<?php

add_action( 'init', 'wp_barebones_create_testimonial_post_type' );
function wp_barebones_create_testimonial_post_type() {
	
	$labels = array(
	    'name' => 'Testimonials',
	    'singular_name' => 'Testimonial',
	    'add_new' => 'Add New',
	    'add_new_item' => 'Add New Testimonial',
	    'edit_item' => 'Edit Testimonial',
	    'new_item' => 'New Testimonial',
	    'all_items' => 'Testimonials',
	    'view_item' => 'View Testimonial',
	    'search_items' => 'Search Testimonials',
	    'not_found' =>  'No testimonials found',
	    'not_found_in_trash' => 'No testimonials found in Trash', 
	    'parent_item_colon' => '',
	    'menu_name' => 'Testimonials'
	);
	  
	$res = register_post_type( 'wpbb_testimonials',
		array(
			'labels' => $labels,
			'public' => true,
			'publicly_queryable' => false,
			'exclude_from_search' => true,
			'show_in_nav_menus' => false,
			'show_in_menu' => 'wmfx-theme-options-top-level',
			'menu_position' => 100,
			'has_archive' => false,
			'query_var' => false,
			'rewrite' => false,
			'supports' => array( 'title', 'editor', 'thumbnail', 'excerpt', 'custom-fields' )
		)
	);
}

add_shortcode( 'testimonials', 'wp_barebones_testimonials' );
function wp_barebones_testimonials( $atts ) {
	extract(shortcode_atts(array(
	      'id' => 'testimonials',
    ), $atts));
	ob_start();
	$args = array( 
		'post_type' => 'wpbb_testimonials',
		'numberposts' => -1, 
		'order' => 'menu-order',
		'suppress_filters' => false,
	);

	$slides = get_posts($args);
	?>
	<div id="<?php echo $id ; ?>-wrap">
      <span class="title">Testimonials: </span>
	  <div id="<?php echo $id ; ?>">
		<?php foreach($slides as $slide): ?>
		<div class="testimonial">
			<span class="text">"<?php echo $slide->post_content; ?>"</span>
			<span class="author"> - <?php echo $slide->post_title ; ?></span>
		</div>
 		<?php endforeach; ?>
 	  </div>
 	</div>
	<script type="text/javascript">
	jQuery(document).ready(function($){
		$('#<?php echo $id ; ?>').cycle();
	});
	</script>
	<?php 
	return ob_get_clean();		
}
	